package com.qcwireless.qcwatch;

import android.app.ActivityManager;
import android.app.Application;
import android.app.Notification;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Process;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import androidx.multidex.MultiDex;
import androidx.multidex.MultiDexApplication;
import androidx.work.WorkRequest;
import com.app.watch.keeping.Cactus;
import com.app.watch.keeping.ext.CactusExtKt;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.iwown.awlog.file.LogFileEngineFactory;
import com.iwown.awlog.impl.LogConfigImpl;
import com.liulishuo.okdownload.OkDownload;
import com.liulishuo.okdownload.OkDownloadProvider;
import com.liulishuo.okdownload.core.dispatcher.DownloadDispatcher;
import com.liulishuo.okdownload.core.file.CustomProcessFileStrategy;
import com.oudmon.ble.base.bluetooth.BleAction;
import com.oudmon.ble.base.bluetooth.BleBaseControl;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.rsp.BaseRspCmd;
import com.oudmon.ble.base.communication.rsp.FindPhoneRsp;
import com.oudmon.ble.base.util.LogToFile;
import com.qcwireless.qcwatch.QCApplication;
import com.qcwireless.qcwatch.base.di.KoinModuleKt;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.lifecycle.QcLifeCycle;
import com.qcwireless.qcwatch.base.log.LogJsonParseImpl;
import com.qcwireless.qcwatch.base.pref.PreUtil;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.FileUtils;
import com.qcwireless.qcwatch.ui.base.receiver.BluetoothReceiver;
import com.qcwireless.qcwatch.ui.base.receiver.MyBluetoothReceiver;
import com.qcwireless.qcwatch.ui.base.receiver.SystemLocaleChangeReceiver;
import com.qcwireless.qcwatch.ui.base.service.HandlerNotifyService;
import com.qcwireless.qcwatch.ui.base.service.XService;
import com.qcwireless.qcwatch.ui.base.service.YService;
import com.qcwireless.qcwatch.ui.base.util.MediaUtil;
import com.qcwireless.qcwatch.ui.base.util.NetWorkUtils;
import com.qcwireless.qcwatch.ui.base.util.NotificationUtils;
import java.util.List;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.LazyThreadSafetyMode;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.MutablePropertyReference1Impl;
import kotlin.jvm.internal.Reflection;
import kotlin.properties.Delegates;
import kotlin.properties.ReadWriteProperty;
import kotlin.reflect.KProperty;
import org.koin.android.ext.koin.KoinExtKt;
import org.koin.core.KoinApplication;
import org.koin.core.context.GlobalContextKt;
import skin.support.SkinCompatManager;
import skin.support.app.SkinAppCompatViewInflater;
import skin.support.app.SkinCardViewInflater;
import skin.support.constraint.app.SkinConstraintViewInflater;
import skin.support.content.res.SkinCompatResources;
import skin.support.design.app.SkinMaterialViewInflater;

/* compiled from: QCApplication.kt */
@Metadata(d1 = {"\u0000V\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\r\u0018\u0000 22\u00020\u0001:\u00012B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010 \u001a\u00020!2\u0006\u0010\"\u001a\u00020#H\u0014J\u0010\u0010$\u001a\u00020!2\b\u0010%\u001a\u0004\u0018\u00010&J\b\u0010'\u001a\u00020!H\u0002J\b\u0010(\u001a\u00020!H\u0002J\b\u0010)\u001a\u00020!H\u0002J\b\u0010*\u001a\u00020!H\u0002J\b\u0010+\u001a\u00020!H\u0002J\b\u0010,\u001a\u00020!H\u0002J\b\u0010-\u001a\u00020!H\u0002J\b\u0010.\u001a\u00020!H\u0002J\b\u0010/\u001a\u00020!H\u0002J\b\u00100\u001a\u00020!H\u0016J\u0006\u0010\u0015\u001a\u00020!J\b\u00101\u001a\u00020\u0004H\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\u0004X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\n\u0010\u0006\"\u0004\b\u000b\u0010\bR\u0014\u0010\f\u001a\b\u0012\u0004\u0012\u00020\u000e0\rX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\u0010X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0011\u001a\u00020\u0012X\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\u0013\u001a\u0004\u0018\u00010\u0014X\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0015\u001a\u00020\u0004X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0016\u0010\u0006\"\u0004\b\u0017\u0010\bR\u000e\u0010\u0018\u001a\u00020\u0019X\u0082\u0004¢\u0006\u0002\n\u0000R\u001a\u0010\u001a\u001a\u00020\u001bX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001c\u0010\u001d\"\u0004\b\u001e\u0010\u001f¨\u00063"}, d2 = {"Lcom/qcwireless/qcwatch/QCApplication;", "Landroidx/multidex/MultiDexApplication;", "()V", "chinaServer", "", "getChinaServer", "()Z", "setChinaServer", "(Z)V", "downloadWatchFace", "getDownloadWatchFace", "setDownloadWatchFace", "findPhoneRspIOdmOpResponse", "Lcom/oudmon/ble/base/communication/ICommandResponse;", "Lcom/oudmon/ble/base/communication/rsp/FindPhoneRsp;", "handler", "Landroid/os/Handler;", "mediaRunnable", "Ljava/lang/Runnable;", "mediaUtil", "Lcom/qcwireless/qcwatch/ui/base/util/MediaUtil;", "pingHwServer", "getPingHwServer", "setPingHwServer", "qcLifeCycle", "Lcom/qcwireless/qcwatch/base/lifecycle/QcLifeCycle;", "updating", "", "getUpdating", "()I", "setUpdating", "(I)V", "attachBaseContext", "", "base", "Landroid/content/Context;", "getLocationOnce", "application", "Landroid/app/Application;", "init", "initFindPhone", "initKeepAlive", "initLog", "initOkDownLoad", "initRTKSPP", "initReceiver", "initService", "initSkin", "onCreate", "shouldInit", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class QCApplication extends MultiDexApplication {
    private static Application application;
    private boolean downloadWatchFace;
    private ICommandResponse<FindPhoneRsp> findPhoneRspIOdmOpResponse;
    private final Handler handler;
    private Runnable mediaRunnable;
    private MediaUtil mediaUtil;
    private int updating;

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private static final ReadWriteProperty<Object, Context> CONTEXT$delegate = Delegates.INSTANCE.notNull();
    private static final Lazy<QCApplication> getInstance$delegate = LazyKt.lazy(LazyThreadSafetyMode.SYNCHRONIZED, (Function0) new Function0<QCApplication>() { // from class: com.qcwireless.qcwatch.QCApplication$Companion$getInstance$2
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // kotlin.jvm.functions.Function0
        public final QCApplication invoke() {
            return new QCApplication();
        }
    });
    private final QcLifeCycle qcLifeCycle = new QcLifeCycle();
    private boolean pingHwServer = true;
    private boolean chinaServer = true;

    public final void getLocationOnce(Application application2) {
    }

    public QCApplication() {
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.QCApplication$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
        this.findPhoneRspIOdmOpResponse = new ICommandResponse() { // from class: com.qcwireless.qcwatch.QCApplication$$ExternalSyntheticLambda0
            @Override // com.oudmon.ble.base.communication.ICommandResponse
            public final void onDataResponse(BaseRspCmd baseRspCmd) {
                QCApplication.m242findPhoneRspIOdmOpResponse$lambda0(QCApplication.this, (FindPhoneRsp) baseRspCmd);
            }
        };
        this.mediaRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.QCApplication$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                QCApplication.m243mediaRunnable$lambda1(QCApplication.this);
            }
        };
    }

    public final int getUpdating() {
        return this.updating;
    }

    public final void setUpdating(int i) {
        this.updating = i;
    }

    public final boolean getDownloadWatchFace() {
        return this.downloadWatchFace;
    }

    public final void setDownloadWatchFace(boolean z) {
        this.downloadWatchFace = z;
    }

    public final boolean getPingHwServer() {
        return this.pingHwServer;
    }

    public final void setPingHwServer(boolean z) {
        this.pingHwServer = z;
    }

    public final boolean getChinaServer() {
        return this.chinaServer;
    }

    public final void setChinaServer(boolean z) {
        this.chinaServer = z;
    }

    @Override // android.app.Application
    public void onCreate() {
        super.onCreate();
        application = this;
        if (shouldInit()) {
            AwLog.e(Author.HeZhiYuan, "多进程拦截");
            initSkin();
            init();
            initReceiver();
            initLog();
            initService();
            initKeepAlive();
            initOkDownLoad();
            initFindPhone();
            initRTKSPP();
            pingHwServer();
        }
    }

    private final void initRTKSPP() {
        BleOperateManager.getInstance().initRTKSPP(this);
    }

    private final void initFindPhone() {
        this.mediaUtil = new MediaUtil(this);
        BleOperateManager.getInstance().addNotifyListener(34, this.findPhoneRspIOdmOpResponse);
    }

    public final void pingHwServer() {
        ThreadExtKt.ktxRunOnBgFix(this, new Function1<QCApplication, Unit>() { // from class: com.qcwireless.qcwatch.QCApplication$pingHwServer$1
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(QCApplication qCApplication) {
                invoke2(qCApplication);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(QCApplication ktxRunOnBgFix) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgFix, "$this$ktxRunOnBgFix");
                ktxRunOnBgFix.setPingHwServer(NetWorkUtils.INSTANCE.isHwOnline());
                ktxRunOnBgFix.setChinaServer(NetWorkUtils.INSTANCE.isChinaOnline());
                AwLog.i(Author.HeZhiYuan, "海外服务器结果:" + ktxRunOnBgFix.getPingHwServer() + "国内服务器:" + ktxRunOnBgFix.getChinaServer());
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: findPhoneRspIOdmOpResponse$lambda-0, reason: not valid java name */
    public static final void m242findPhoneRspIOdmOpResponse$lambda0(QCApplication this$0, FindPhoneRsp findPhoneRsp) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        AwLog.i(Author.HeZhiYuan, findPhoneRsp);
        if (findPhoneRsp != null) {
            try {
                if (findPhoneRsp.getSwitchStatue() == 1) {
                    try {
                        this$0.handler.removeCallbacks(this$0.mediaRunnable);
                        this$0.handler.postDelayed(this$0.mediaRunnable, WorkRequest.MIN_BACKOFF_MILLIS);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    MediaUtil mediaUtil = this$0.mediaUtil;
                    Intrinsics.checkNotNull(mediaUtil);
                    mediaUtil.vibrateAndPlayTone();
                    return;
                }
                if (findPhoneRsp.getSwitchStatue() == 2) {
                    MediaUtil mediaUtil2 = this$0.mediaUtil;
                    Intrinsics.checkNotNull(mediaUtil2);
                    mediaUtil2.stopRing();
                    this$0.handler.removeCallbacks(this$0.mediaRunnable);
                }
            } catch (Exception unused) {
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: mediaRunnable$lambda-1, reason: not valid java name */
    public static final void m243mediaRunnable$lambda1(QCApplication this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        MediaUtil mediaUtil = this$0.mediaUtil;
        Intrinsics.checkNotNull(mediaUtil);
        mediaUtil.stopRing();
    }

    private final void initOkDownLoad() {
        OkDownload.setSingletonInstance(new OkDownload.Builder(this).processFileStrategy(new CustomProcessFileStrategy()).build());
        OkDownloadProvider.context = INSTANCE.getCONTEXT();
        DownloadDispatcher.setMaxParallelRunningCount(10);
    }

    private final boolean shouldInit() {
        Object systemService = getSystemService("activity");
        Objects.requireNonNull(systemService, "null cannot be cast to non-null type android.app.ActivityManager");
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = ((ActivityManager) systemService).getRunningAppProcesses();
        String packageName = getPackageName();
        int myPid = Process.myPid();
        for (ActivityManager.RunningAppProcessInfo runningAppProcessInfo : runningAppProcesses) {
            if (runningAppProcessInfo.pid == myPid && Intrinsics.areEqual(packageName, runningAppProcessInfo.processName)) {
                AwLog.e(Author.HeZhiYuan, "my.pid -> " + myPid + ",mainProcessName -> " + packageName);
                return true;
            }
        }
        return false;
    }

    private final void initReceiver() {
        QCApplication qCApplication = this;
        BleOperateManager.getInstance(qCApplication);
        BleOperateManager.getInstance().setApplication(qCApplication);
        BleOperateManager.getInstance().init();
        IntentFilter deviceIntentFilter = BleAction.getDeviceIntentFilter();
        Intrinsics.checkNotNullExpressionValue(deviceIntentFilter, "getDeviceIntentFilter()");
        registerReceiver(new BluetoothReceiver(), deviceIntentFilter);
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.intent.action.LOCALE_CHANGED");
        registerReceiver(new SystemLocaleChangeReceiver(), intentFilter);
    }

    private final void init() {
        QJavaApplication.getInstance().setApplication(this);
        QCApplication qCApplication = this;
        PreUtil.init(qCApplication);
        UserConfig.INSTANCE.getInstance(qCApplication);
        registerActivityLifecycleCallbacks(this.qcLifeCycle);
        GlobalContextKt.startKoin(new Function1<KoinApplication, Unit>() { // from class: com.qcwireless.qcwatch.QCApplication$init$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(KoinApplication koinApplication) {
                invoke2(koinApplication);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(KoinApplication startKoin) {
                Intrinsics.checkNotNullParameter(startKoin, "$this$startKoin");
                QCApplication.Companion companion = QCApplication.INSTANCE;
                Context applicationContext = QCApplication.this.getApplicationContext();
                Intrinsics.checkNotNullExpressionValue(applicationContext, "applicationContext");
                companion.setCONTEXT(applicationContext);
                KoinExtKt.androidContext(startKoin, QCApplication.this);
                startKoin.modules(KoinModuleKt.getAppModule());
            }
        });
        IntentFilter intentFilter = BleAction.getIntentFilter();
        LocalBroadcastManager.getInstance(INSTANCE.getCONTEXT()).registerReceiver(new MyBluetoothReceiver(), intentFilter);
        PreUtil.putString(PreUtil.Action_Scan_Config, "R01,R02,R03,VK-5098,MERLIN,Hello Ring,RING1,boAtring,R04,R05,R06");
    }

    private final void initLog() {
        FileUtils.INSTANCE.deleteOverdueFile(QJavaApplication.getInstance().getApplication().getExternalFilesDir("") + "/log");
        QCApplication qCApplication = this;
        LogConfigImpl.getInstance().configLogSwitch(true).configGlobalLabelPrefix("qcwx").configMethodOffset(0).configJsonFormat(new LogJsonParseImpl()).configFileEngine(new LogFileEngineFactory(qCApplication)).configShowBorders(true);
        AwLog.e(Author.HeZhiYuan, "MyApplication");
        if (UserConfig.INSTANCE.getInstance().getIsDebug()) {
            LogConfigImpl.getInstance().configLogLevel(1);
            LogToFile.getInstance().debug = true;
        } else {
            LogConfigImpl.getInstance().configLogLevel(5);
            LogToFile.getInstance().debug = false;
        }
        BleBaseControl.getInstance().setmContext(qCApplication);
        LogToFile.getInstance().initPath(this);
    }

    private final void initSkin() {
        QCApplication qCApplication = this;
        SkinCompatManager.withoutActivity(qCApplication).addInflater(new SkinAppCompatViewInflater()).addInflater(new SkinMaterialViewInflater()).addInflater(new SkinConstraintViewInflater()).addInflater(new SkinCardViewInflater()).loadSkin();
        SkinCompatResources.getInstance().setApplication(qCApplication);
    }

    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:31:0x0024 -> B:10:0x0027). Please report as a decompilation issue!!! */
    private final void initService() {
        if (BleOperateManager.getInstance().isConnected()) {
            QCApplication qCApplication = this;
            Intent intent = new Intent(qCApplication, (Class<?>) HandlerNotifyService.class);
            try {
                if (Build.VERSION.SDK_INT >= 26) {
                    startForegroundService(intent);
                } else {
                    startService(intent);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
            try {
                Intent intent2 = new Intent(this, (Class<?>) XService.class);
                if (Build.VERSION.SDK_INT >= 26) {
                    startForegroundService(intent2);
                } else {
                    startService(intent2);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            Intent intent3 = new Intent(qCApplication, (Class<?>) YService.class);
            try {
                if (Build.VERSION.SDK_INT >= 26) {
                    startForegroundService(intent3);
                } else {
                    startService(intent3);
                }
            } catch (Exception e3) {
                e3.printStackTrace();
            }
        }
    }

    private final void initKeepAlive() {
        if (BleOperateManager.getInstance().isConnected()) {
            CactusExtKt.cactus(this, new Function1<Cactus, Unit>() { // from class: com.qcwireless.qcwatch.QCApplication$initKeepAlive$1
                /* JADX INFO: Access modifiers changed from: package-private */
                {
                    super(1);
                }

                @Override // kotlin.jvm.functions.Function1
                public /* bridge */ /* synthetic */ Unit invoke(Cactus cactus) {
                    invoke2(cactus);
                    return Unit.INSTANCE;
                }

                /* renamed from: invoke, reason: avoid collision after fix types in other method */
                public final void invoke2(Cactus cactus) {
                    Intrinsics.checkNotNullParameter(cactus, "$this$cactus");
                    Notification initBandNotification = new NotificationUtils(QCApplication.this).initBandNotification();
                    Intrinsics.checkNotNullExpressionValue(initBandNotification, "NotificationUtils(this@Q…n).initBandNotification()");
                    cactus.setNotification(initBandNotification);
                    cactus.isDebug(false);
                    cactus.setBackgroundMusicEnabled(false);
                    cactus.setCrashRestartUIEnabled(false);
                    cactus.hideNotification(true);
                    cactus.hideNotificationAfterO(true);
                    cactus.setWorkerEnabled(true);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.multidex.MultiDexApplication, android.content.ContextWrapper
    public void attachBaseContext(Context base) {
        Intrinsics.checkNotNullParameter(base, "base");
        super.attachBaseContext(base);
        MultiDex.install(this);
    }

    /* compiled from: QCApplication.kt */
    @Metadata(d1 = {"\u0000\"\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\b\u0010\u0014\u001a\u0004\u0018\u00010\rR+\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0003\u001a\u00020\u00048F@FX\u0086\u008e\u0002¢\u0006\u0012\n\u0004\b\n\u0010\u000b\u001a\u0004\b\u0006\u0010\u0007\"\u0004\b\b\u0010\tR\u0010\u0010\f\u001a\u0004\u0018\u00010\rX\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\u000e\u001a\u00020\u000f8FX\u0086\u0084\u0002¢\u0006\f\n\u0004\b\u0012\u0010\u0013\u001a\u0004\b\u0010\u0010\u0011¨\u0006\u0015"}, d2 = {"Lcom/qcwireless/qcwatch/QCApplication$Companion;", "", "()V", "<set-?>", "Landroid/content/Context;", "CONTEXT", "getCONTEXT", "()Landroid/content/Context;", "setCONTEXT", "(Landroid/content/Context;)V", "CONTEXT$delegate", "Lkotlin/properties/ReadWriteProperty;", "application", "Landroid/app/Application;", "getInstance", "Lcom/qcwireless/qcwatch/QCApplication;", "getGetInstance", "()Lcom/qcwireless/qcwatch/QCApplication;", "getInstance$delegate", "Lkotlin/Lazy;", "getApplication", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        static final /* synthetic */ KProperty<Object>[] $$delegatedProperties = {Reflection.mutableProperty1(new MutablePropertyReference1Impl(Companion.class, "CONTEXT", "getCONTEXT()Landroid/content/Context;", 0))};

        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final Context getCONTEXT() {
            return (Context) QCApplication.CONTEXT$delegate.getValue(this, $$delegatedProperties[0]);
        }

        public final void setCONTEXT(Context context) {
            Intrinsics.checkNotNullParameter(context, "<set-?>");
            QCApplication.CONTEXT$delegate.setValue(this, $$delegatedProperties[0], context);
        }

        public final Application getApplication() {
            if (QCApplication.application != null) {
                return QCApplication.application;
            }
            throw new RuntimeException("Not support calling this, before create app or after terminate app.");
        }

        public final QCApplication getGetInstance() {
            return (QCApplication) QCApplication.getInstance$delegate.getValue();
        }
    }
}
