package com.qcwireless.qcwatch.ui.activity;

import android.app.Activity;
import android.bluetooth.BluetoothAdapter;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Parcelable;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.core.app.ActivityCompat;
import androidx.exifinterface.media.ExifInterface;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;
import com.gyf.immersionbar.ImmersionBar;
import com.haibin.calendarview.Calendar;
import com.haibin.calendarview.CalendarView;
import com.hjq.permissions.OnPermissionCallback;
import com.hjq.permissions.Permission;
import com.hjq.permissions.XXPermissions;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.iwown.awlog.bean.AppLog;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.ILargeDataResponse;
import com.oudmon.ble.base.communication.LargeDataHandler;
import com.oudmon.ble.base.scan.BleScannerHelper;
import com.oudmon.ble.base.util.ThreadUtils;
import com.qcwireless.qc_utils.bluetooth.BluetoothUtils;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qc_utils.date.LanguageUtil;
import com.qcwireless.qcwatch.QCApplication;
import com.qcwireless.qcwatch.QJavaApplication;
import com.qcwireless.qcwatch.base.dialog.BottomDialog;
import com.qcwireless.qcwatch.base.dialog.CenterDialog;
import com.qcwireless.qcwatch.base.event.CalendarNotifyEvent;
import com.qcwireless.qcwatch.base.event.CameraToastEvent;
import com.qcwireless.qcwatch.base.event.DeviceConfigEvent;
import com.qcwireless.qcwatch.base.event.FirmCheckEvent;
import com.qcwireless.qcwatch.base.event.HomeStepRefreshEvent;
import com.qcwireless.qcwatch.base.event.LoginSuccessEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.event.OnThemeEvent;
import com.qcwireless.qcwatch.base.event.RefreshEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.lifecycle.QcLifeCycle;
import com.qcwireless.qcwatch.base.permission.PermissionUtilKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.MoshiUtilsKt;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.databinding.ActivityMainBinding;
import com.qcwireless.qcwatch.ui.activity.MainActivity;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.repository.device.DeviceSettingRepository;
import com.qcwireless.qcwatch.ui.base.repository.device.MessagePushRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.SleepDetailRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.StepDetailRepository;
import com.qcwireless.qcwatch.ui.base.repository.mine.NetState;
import com.qcwireless.qcwatch.ui.base.service.NetService;
import com.qcwireless.qcwatch.ui.base.thread.ThreadManager;
import com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView;
import com.qcwireless.qcwatch.ui.device.camera.CameraActivity;
import com.qcwireless.qcwatch.ui.device.dfu.DeviceFirmwareUpdateActivity;
import com.qcwireless.qcwatch.ui.device.dfu.WatchFileDismissActivity;
import com.qcwireless.qcwatch.ui.home.gps.service.TrackingService;
import com.qcwireless.qcwatch.ui.home.healthy.HealthyFragment;
import com.qcwireless.qcwatch.ui.home.sleep.SleepFragment;
import com.qcwireless.qcwatch.ui.home.step.StepFragment;
import com.qcwireless.qcwatch.ui.mine.MineFragment;
import com.qcwireless.qcwatch.ui.mine.skin.util.SkinType;
import com.qcwireless.qcwatch.ui.mine.thirdSync.googlefit.GoogleFitSync;
import com.qcwireless.ring.R;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.ResultKt;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.intrinsics.IntrinsicsKt;
import kotlin.coroutines.jvm.internal.DebugMetadata;
import kotlin.coroutines.jvm.internal.SuspendLambda;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.functions.Function2;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Ref;
import kotlin.jvm.internal.StringCompanionObject;
import kotlin.text.StringsKt;
import kotlinx.coroutines.BuildersKt;
import kotlinx.coroutines.BuildersKt__Builders_commonKt;
import kotlinx.coroutines.CoroutineScope;
import kotlinx.coroutines.GlobalScope;
import kotlinx.coroutines.flow.Flow;
import kotlinx.coroutines.flow.FlowCollector;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import skin.support.content.res.SkinCompatResources;

/* compiled from: MainActivity.kt */
@Metadata(d1 = {"\u0000¼\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\t\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010$\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0010\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\n\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010!\n\u0002\b\n\u0018\u0000 f2\u00020\u0001:\u0007bcdefghB\u0005¢\u0006\u0002\u0010\u0002J\b\u00103\u001a\u000204H\u0002J\b\u00105\u001a\u000204H\u0002J\b\u00106\u001a\u000204H\u0002J\u0016\u00107\u001a\u0002042\u0006\u00108\u001a\u00020\u00132\u0006\u00109\u001a\u00020\u000fJ\b\u0010:\u001a\u000204H\u0002J\u0010\u0010;\u001a\u0002042\u0006\u0010<\u001a\u00020=H\u0002J\b\u0010>\u001a\u000204H\u0002J\u0010\u0010?\u001a\u0002042\u0006\u0010@\u001a\u00020AH\u0002J\"\u0010B\u001a\u0002042\u0006\u0010C\u001a\u00020\u00132\u0006\u0010D\u001a\u00020\u00132\b\u0010E\u001a\u0004\u0018\u00010FH\u0014J\b\u0010G\u001a\u000204H\u0016J\u0012\u0010H\u001a\u0002042\b\u0010I\u001a\u0004\u0018\u00010JH\u0014J\u0010\u0010K\u001a\u0002042\u0006\u0010L\u001a\u00020MH\u0017J\b\u0010N\u001a\u000204H\u0014J\u0010\u0010O\u001a\u0002042\u0006\u0010I\u001a\u00020JH\u0014J\b\u0010P\u001a\u000204H\u0014J\b\u0010Q\u001a\u000204H\u0002J\b\u0010R\u001a\u000204H\u0002J\u0010\u0010S\u001a\u0002042\u0006\u0010T\u001a\u00020AH\u0002J\b\u0010U\u001a\u000204H\u0014J4\u0010V\u001a\u0002042\u0006\u0010W\u001a\u00020X2\u0012\u0010Y\u001a\u000e\u0012\u0004\u0012\u00020)\u0012\u0004\u0012\u00020*0(2\u0006\u00109\u001a\u00020\u000f2\u0006\u00108\u001a\u00020\u0013H\u0002J\b\u0010Z\u001a\u000204H\u0002J\b\u0010[\u001a\u000204H\u0002J\b\u0010\\\u001a\u000204H\u0002J\u0016\u0010]\u001a\u0002042\f\u0010^\u001a\b\u0012\u0004\u0012\u00020)0_H\u0002J\b\u0010`\u001a\u000204H\u0002J\b\u0010a\u001a\u000204H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u0010\u0010\r\u001a\u0004\u0018\u00010\fX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000e\u001a\u00020\u000fX\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\u0010\u001a\u0004\u0018\u00010\u0011X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0012\u001a\u00020\u0013X\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\u0014\u001a\u00020\u00158BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u0018\u0010\u0019\u001a\u0004\b\u0016\u0010\u0017R\u000e\u0010\u001a\u001a\u00020\u001bX\u0082\u0004¢\u0006\u0002\n\u0000R\u0010\u0010\u001c\u001a\u0004\u0018\u00010\u0011X\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\u001d\u001a\u0004\u0018\u00010\u001eX\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\u001f\u001a\u0004\u0018\u00010 X\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010!\u001a\u0004\u0018\u00010\"X\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010#\u001a\u0004\u0018\u00010$X\u0082\u000e¢\u0006\u0002\n\u0000R\u0012\u0010%\u001a\u00060&R\u00020\u0000X\u0082\u0004¢\u0006\u0002\n\u0000R&\u0010'\u001a\u000e\u0012\u0004\u0012\u00020)\u0012\u0004\u0012\u00020*0(X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b+\u0010,\"\u0004\b-\u0010.R&\u0010/\u001a\u000e\u0012\u0004\u0012\u00020)\u0012\u0004\u0012\u00020*0(X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b0\u0010,\"\u0004\b1\u0010.R\u000e\u00102\u001a\u00020\u0013X\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006i"}, d2 = {"Lcom/qcwireless/qcwatch/ui/activity/MainActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "backPressTime", "", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityMainBinding;", "bluetoothAdapter", "Landroid/bluetooth/BluetoothAdapter;", "bluetoothEnable", "", "calendarDialog", "Lcom/qcwireless/qcwatch/base/dialog/CenterDialog;", "centerDialog", "clickDate", "Lcom/qcwireless/qc_utils/date/DateUtil;", "cnGpsDevice", "Lcom/qcwireless/qcwatch/ui/home/step/StepFragment;", "connectFailNumber", "", "fragmentManager", "Landroidx/fragment/app/FragmentManager;", "getFragmentManager", "()Landroidx/fragment/app/FragmentManager;", "fragmentManager$delegate", "Lkotlin/Lazy;", "handler", "Landroid/os/Handler;", "homeDevice", "homeHealth", "Lcom/qcwireless/qcwatch/ui/home/healthy/HealthyFragment;", "homePlate", "Lcom/qcwireless/qcwatch/ui/home/sleep/SleepFragment;", "mineFragment", "Lcom/qcwireless/qcwatch/ui/mine/MineFragment;", "refuseDialog", "Lcom/qcwireless/qcwatch/base/dialog/BottomDialog;", "runnable", "Lcom/qcwireless/qcwatch/ui/activity/MainActivity$ReconnectRunnable;", "sleepMap", "", "", "Lcom/haibin/calendarview/Calendar;", "getSleepMap", "()Ljava/util/Map;", "setSleepMap", "(Ljava/util/Map;)V", "stepMap", "getStepMap", "setStepMap", "tabIndex", "checkBluetoothEnable", "", "clearAllSelected", "deviceScanConfig", "doCalendar", "type", "date", "doServer", "hideFragments", "transaction", "Landroidx/fragment/app/FragmentTransaction;", "initDeviceRequestLocation", "notificationUiRefresh", "selectionIndex", "Landroid/view/View;", "onActivityResult", "requestCode", "resultCode", "data", "Landroid/content/Intent;", "onBackPressed", "onCreate", "savedInstanceState", "Landroid/os/Bundle;", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "onPause", "onRestoreInstanceState", "onResume", "processBackPressed", "requestPermissions", "setTabSelection", "index", "setupViews", "showCalendarDialog", "activity", "Landroid/app/Activity;", "mSchemeDates", "showGPSDialog", "showLocationWarningDialog", "showPermissionInformationDialog", "showPermissionSettingDialog", "permissions", "", "showPermissionWarmingDialog", "upDataCollection", "AllPermissionCallback", "BluetoothPermissionCallback", "CalendarSelectListener", "CameraPermissionCallback", "Companion", "PermissionCallback", "ReconnectRunnable", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class MainActivity extends BaseActivity {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private long backPressTime;
    private ActivityMainBinding binding;
    private BluetoothAdapter bluetoothAdapter;
    private boolean bluetoothEnable;
    private CenterDialog calendarDialog;
    private CenterDialog centerDialog;
    private StepFragment cnGpsDevice;
    private int connectFailNumber;
    private final Handler handler;
    private StepFragment homeDevice;
    private HealthyFragment homeHealth;
    private SleepFragment homePlate;
    private MineFragment mineFragment;
    private BottomDialog refuseDialog;
    private int tabIndex;

    /* renamed from: fragmentManager$delegate, reason: from kotlin metadata */
    private final Lazy fragmentManager = LazyKt.lazy(new Function0<FragmentManager>() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$fragmentManager$2
        /* JADX INFO: Access modifiers changed from: package-private */
        {
            super(0);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // kotlin.jvm.functions.Function0
        public final FragmentManager invoke() {
            FragmentManager supportFragmentManager = MainActivity.this.getSupportFragmentManager();
            Intrinsics.checkNotNullExpressionValue(supportFragmentManager, "supportFragmentManager");
            return supportFragmentManager;
        }
    });
    private final ReconnectRunnable runnable = new ReconnectRunnable();
    private Map<String, Calendar> stepMap = new HashMap();
    private Map<String, Calendar> sleepMap = new HashMap();
    private DateUtil clickDate = new DateUtil();

    public MainActivity() {
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
    }

    private final FragmentManager getFragmentManager() {
        return (FragmentManager) this.fragmentManager.getValue();
    }

    public final Map<String, Calendar> getStepMap() {
        return this.stepMap;
    }

    public final void setStepMap(Map<String, Calendar> map) {
        Intrinsics.checkNotNullParameter(map, "<set-?>");
        this.stepMap = map;
    }

    public final Map<String, Calendar> getSleepMap() {
        return this.sleepMap;
    }

    public final void setSleepMap(Map<String, Calendar> map) {
        Intrinsics.checkNotNullParameter(map, "<set-?>");
        this.sleepMap = map;
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle savedInstanceState) {
        try {
            super.onCreate(savedInstanceState);
        } catch (Exception unused) {
        }
        ActivityMainBinding inflate = ActivityMainBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        LinearLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
        if (PermissionUtilKt.hasLocationPermission(this)) {
            QCApplication.INSTANCE.getGetInstance().getLocationOnce(QCApplication.INSTANCE.getApplication());
        }
        setStatusBarBackground(R.color.healthy_bg);
        UserConfig companion = UserConfig.INSTANCE.getInstance();
        String language = Locale.getDefault().getLanguage();
        Intrinsics.checkNotNullExpressionValue(language, "getDefault().language");
        companion.setLanguageCurr(language);
        UserConfig.INSTANCE.getInstance().save();
        BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
        Intrinsics.checkNotNullExpressionValue(defaultAdapter, "getDefaultAdapter()");
        this.bluetoothAdapter = defaultAdapter;
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, android.app.Activity
    protected void onRestoreInstanceState(Bundle savedInstanceState) {
        Intrinsics.checkNotNullParameter(savedInstanceState, "savedInstanceState");
        try {
            super.onRestoreInstanceState(savedInstanceState);
        } catch (Exception e) {
            e.printStackTrace();
            Intent intent = new Intent(this, (Class<?>) MainActivity.class);
            intent.addFlags(67108864);
            intent.addFlags(536870912);
            intent.addFlags(268435456);
            startActivity(intent);
        }
    }

    private final void showPermissionWarmingDialog() {
        if (UserConfig.INSTANCE.getInstance().getGpsPermission() >= new DateUtil().getUnixTimestamp() || PermissionUtilKt.hasLocationPermission(this) || !BleOperateManager.getInstance().isConnected()) {
            return;
        }
        BottomDialog.Builder builder = new BottomDialog.Builder(getActivity());
        builder.setContentView(R.layout.layout_dialog_permission_warming);
        final BottomDialog create = builder.create();
        Intrinsics.checkNotNull(create);
        create.show();
        View contentView = create.getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "bottomWarmingDialog.contentView");
        TextView textView = (TextView) contentView.findViewById(R.id.tv_dialog_cancel);
        TextView textView2 = (TextView) contentView.findViewById(R.id.tv_dialog_confirm);
        textView.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MainActivity.m269showPermissionWarmingDialog$lambda0(BottomDialog.this, view);
            }
        });
        textView2.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MainActivity.m270showPermissionWarmingDialog$lambda1(BottomDialog.this, this, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showPermissionWarmingDialog$lambda-0, reason: not valid java name */
    public static final void m269showPermissionWarmingDialog$lambda0(BottomDialog bottomDialog, View view) {
        bottomDialog.dismiss();
        UserConfig.INSTANCE.getInstance().setGpsPermission(new DateUtil().getUnixTimestamp() + 1800);
        UserConfig.INSTANCE.getInstance().save();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showPermissionWarmingDialog$lambda-1, reason: not valid java name */
    public static final void m270showPermissionWarmingDialog$lambda1(BottomDialog bottomDialog, MainActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        UserConfig.INSTANCE.getInstance().setGpsPermission(new DateUtil().getUnixTimestamp() + 21600);
        UserConfig.INSTANCE.getInstance().save();
        bottomDialog.dismiss();
        this$0.showGPSDialog();
    }

    private final void showGPSDialog() {
        Activity activity = getActivity();
        Objects.requireNonNull(activity, "null cannot be cast to non-null type androidx.fragment.app.FragmentActivity");
        PermissionUtilKt.requestBgLocation((FragmentActivity) activity, new PermissionCallback());
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    protected void setupViews() {
        super.setupViews();
        View[] viewArr = new View[4];
        ActivityMainBinding activityMainBinding = this.binding;
        if (activityMainBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding = null;
        }
        viewArr[0] = activityMainBinding.btnHealth;
        ActivityMainBinding activityMainBinding2 = this.binding;
        if (activityMainBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding2 = null;
        }
        viewArr[1] = activityMainBinding2.btnDevice;
        ActivityMainBinding activityMainBinding3 = this.binding;
        if (activityMainBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding3 = null;
        }
        viewArr[2] = activityMainBinding3.btnPlate;
        ActivityMainBinding activityMainBinding4 = this.binding;
        if (activityMainBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding4 = null;
        }
        viewArr[3] = activityMainBinding4.btnMine;
        GlobalKt.setOnClickListener(viewArr, new Function1<View, Unit>() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$setupViews$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(View view) {
                invoke2(view);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(View setOnClickListener) {
                ActivityMainBinding activityMainBinding5;
                ActivityMainBinding activityMainBinding6;
                ActivityMainBinding activityMainBinding7;
                ActivityMainBinding activityMainBinding8;
                ActivityMainBinding activityMainBinding9;
                ActivityMainBinding activityMainBinding10;
                ActivityMainBinding activityMainBinding11;
                ActivityMainBinding activityMainBinding12;
                ActivityMainBinding activityMainBinding13;
                ActivityMainBinding activityMainBinding14;
                ActivityMainBinding activityMainBinding15;
                ActivityMainBinding activityMainBinding16;
                Intrinsics.checkNotNullParameter(setOnClickListener, "$this$setOnClickListener");
                activityMainBinding5 = MainActivity.this.binding;
                ActivityMainBinding activityMainBinding17 = null;
                if (activityMainBinding5 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityMainBinding5 = null;
                }
                if (!Intrinsics.areEqual(setOnClickListener, activityMainBinding5.btnHealth)) {
                    activityMainBinding6 = MainActivity.this.binding;
                    if (activityMainBinding6 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityMainBinding6 = null;
                    }
                    if (!Intrinsics.areEqual(setOnClickListener, activityMainBinding6.btnDevice)) {
                        activityMainBinding7 = MainActivity.this.binding;
                        if (activityMainBinding7 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityMainBinding7 = null;
                        }
                        if (!Intrinsics.areEqual(setOnClickListener, activityMainBinding7.btnPlate)) {
                            activityMainBinding8 = MainActivity.this.binding;
                            if (activityMainBinding8 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityMainBinding8 = null;
                            }
                            if (Intrinsics.areEqual(setOnClickListener, activityMainBinding8.btnMine)) {
                                MainActivity mainActivity = MainActivity.this;
                                activityMainBinding9 = mainActivity.binding;
                                if (activityMainBinding9 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityMainBinding9 = null;
                                }
                                View view = activityMainBinding9.btnMine;
                                Intrinsics.checkNotNullExpressionValue(view, "binding.btnMine");
                                mainActivity.setTabSelection(view);
                                MainActivity mainActivity2 = MainActivity.this;
                                activityMainBinding10 = mainActivity2.binding;
                                if (activityMainBinding10 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityMainBinding17 = activityMainBinding10;
                                }
                                View view2 = activityMainBinding17.btnMine;
                                Intrinsics.checkNotNullExpressionValue(view2, "binding.btnMine");
                                mainActivity2.notificationUiRefresh(view2);
                                return;
                            }
                            return;
                        }
                        MainActivity mainActivity3 = MainActivity.this;
                        activityMainBinding11 = mainActivity3.binding;
                        if (activityMainBinding11 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityMainBinding11 = null;
                        }
                        View view3 = activityMainBinding11.btnPlate;
                        Intrinsics.checkNotNullExpressionValue(view3, "binding.btnPlate");
                        mainActivity3.setTabSelection(view3);
                        MainActivity mainActivity4 = MainActivity.this;
                        activityMainBinding12 = mainActivity4.binding;
                        if (activityMainBinding12 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                        } else {
                            activityMainBinding17 = activityMainBinding12;
                        }
                        View view4 = activityMainBinding17.btnPlate;
                        Intrinsics.checkNotNullExpressionValue(view4, "binding.btnPlate");
                        mainActivity4.notificationUiRefresh(view4);
                        return;
                    }
                    MainActivity mainActivity5 = MainActivity.this;
                    activityMainBinding13 = mainActivity5.binding;
                    if (activityMainBinding13 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityMainBinding13 = null;
                    }
                    View view5 = activityMainBinding13.btnDevice;
                    Intrinsics.checkNotNullExpressionValue(view5, "binding.btnDevice");
                    mainActivity5.setTabSelection(view5);
                    MainActivity mainActivity6 = MainActivity.this;
                    activityMainBinding14 = mainActivity6.binding;
                    if (activityMainBinding14 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityMainBinding17 = activityMainBinding14;
                    }
                    View view6 = activityMainBinding17.btnDevice;
                    Intrinsics.checkNotNullExpressionValue(view6, "binding.btnDevice");
                    mainActivity6.notificationUiRefresh(view6);
                    return;
                }
                MainActivity mainActivity7 = MainActivity.this;
                activityMainBinding15 = mainActivity7.binding;
                if (activityMainBinding15 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityMainBinding15 = null;
                }
                View view7 = activityMainBinding15.btnHealth;
                Intrinsics.checkNotNullExpressionValue(view7, "binding.btnHealth");
                mainActivity7.setTabSelection(view7);
                MainActivity mainActivity8 = MainActivity.this;
                activityMainBinding16 = mainActivity8.binding;
                if (activityMainBinding16 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityMainBinding17 = activityMainBinding16;
                }
                View view8 = activityMainBinding17.btnHealth;
                Intrinsics.checkNotNullExpressionValue(view8, "binding.btnHealth");
                mainActivity8.notificationUiRefresh(view8);
            }
        });
        ActivityMainBinding activityMainBinding5 = this.binding;
        if (activityMainBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding5 = null;
        }
        View view = activityMainBinding5.btnHealth;
        Intrinsics.checkNotNullExpressionValue(view, "binding.btnHealth");
        setTabSelection(view);
        if (UserConfig.INSTANCE.getInstance().getPermissionDescFlag()) {
            showPermissionWarmingDialog();
        } else {
            requestPermissions();
        }
        deviceScanConfig();
        doServer();
        String language = Locale.getDefault().getLanguage();
        if (UserConfig.INSTANCE.getInstance().getGoogleFit()) {
            Intrinsics.checkNotNullExpressionValue(language, "language");
            if (!StringsKt.contains$default((CharSequence) language, (CharSequence) "zh", false, 2, (Object) null)) {
                GoogleFitSync.INSTANCE.getGetInstance().connectGoogleFit(this);
            }
        }
        try {
            QCApplication.INSTANCE.getGetInstance().pingHwServer();
        } catch (Exception unused) {
        }
        checkBluetoothEnable();
        ThreadExtKt.ktxRunOnBgSingleAnother(this, new Function1<MainActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$setupViews$2
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(MainActivity mainActivity) {
                invoke2(mainActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(MainActivity ktxRunOnBgSingleAnother) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingleAnother, "$this$ktxRunOnBgSingleAnother");
                ktxRunOnBgSingleAnother.setStepMap(StepDetailRepository.INSTANCE.getGetInstance().calendarStepDetail(new DateUtil().getYear(), new DateUtil().getMonth()));
                ktxRunOnBgSingleAnother.setSleepMap(SleepDetailRepository.INSTANCE.getGetInstance().calendarSleep(new DateUtil().getYear(), new DateUtil().getMonth()));
            }
        });
    }

    private final void checkBluetoothEnable() {
        try {
            if (BluetoothUtils.isEnabledBluetooth(this)) {
                return;
            }
            AwLog.i(Author.HeZhiYuan, "-----蓝牙关");
            Intent intent = new Intent("android.bluetooth.adapter.action.REQUEST_ENABLE");
            if (Build.VERSION.SDK_INT < 31 || ActivityCompat.checkSelfPermission(this, Permission.BLUETOOTH_CONNECT) == 0) {
                startActivityForResult(intent, 1001);
            }
        } catch (Exception unused) {
        }
    }

    private final void deviceScanConfig() {
        ThreadExtKt.ktxRunOnBgSingleAnother(this, new Function1<MainActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$deviceScanConfig$1

            /* JADX INFO: Access modifiers changed from: package-private */
            /* compiled from: MainActivity.kt */
            @Metadata(d1 = {"\u0000\n\n\u0000\n\u0002\u0010\u0002\n\u0002\u0018\u0002\u0010\u0000\u001a\u00020\u0001*\u00020\u0002H\u008a@"}, d2 = {"<anonymous>", "", "Lkotlinx/coroutines/CoroutineScope;"}, k = 3, mv = {1, 6, 0}, xi = 48)
            @DebugMetadata(c = "com.qcwireless.qcwatch.ui.activity.MainActivity$deviceScanConfig$1$1", f = "MainActivity.kt", i = {}, l = {292, 292}, m = "invokeSuspend", n = {}, s = {})
            /* renamed from: com.qcwireless.qcwatch.ui.activity.MainActivity$deviceScanConfig$1$1, reason: invalid class name */
            /* loaded from: classes2.dex */
            public static final class AnonymousClass1 extends SuspendLambda implements Function2<CoroutineScope, Continuation<? super Unit>, Object> {
                int label;

                AnonymousClass1(Continuation<? super AnonymousClass1> continuation) {
                    super(2, continuation);
                }

                @Override // kotlin.coroutines.jvm.internal.BaseContinuationImpl
                public final Continuation<Unit> create(Object obj, Continuation<?> continuation) {
                    return new AnonymousClass1(continuation);
                }

                @Override // kotlin.jvm.functions.Function2
                public final Object invoke(CoroutineScope coroutineScope, Continuation<? super Unit> continuation) {
                    return ((AnonymousClass1) create(coroutineScope, continuation)).invokeSuspend(Unit.INSTANCE);
                }

                @Override // kotlin.coroutines.jvm.internal.BaseContinuationImpl
                public final Object invokeSuspend(Object obj) {
                    Object coroutine_suspended = IntrinsicsKt.getCOROUTINE_SUSPENDED();
                    int i = this.label;
                    if (i == 0) {
                        ResultKt.throwOnFailure(obj);
                        this.label = 1;
                        obj = DeviceSettingRepository.INSTANCE.getGetInstance().getDeviceScanConfigFromServer(GlobalKt.getAppName(), this);
                        if (obj == coroutine_suspended) {
                            return coroutine_suspended;
                        }
                    } else {
                        if (i != 1) {
                            if (i == 2) {
                                ResultKt.throwOnFailure(obj);
                                return Unit.INSTANCE;
                            }
                            throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                        }
                        ResultKt.throwOnFailure(obj);
                    }
                    this.label = 2;
                    if (((Flow) obj).collect(new FlowCollector() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity.deviceScanConfig.1.1.1
                        @Override // kotlinx.coroutines.flow.FlowCollector
                        public /* bridge */ /* synthetic */ Object emit(Object obj2, Continuation continuation) {
                            return emit((NetState<String>) obj2, (Continuation<? super Unit>) continuation);
                        }

                        public final Object emit(NetState<String> netState, Continuation<? super Unit> continuation) {
                            String valueOf = String.valueOf(netState.isSuccess());
                            if (valueOf.length() > 0) {
                                for (String str : StringsKt.split$default((CharSequence) valueOf, new String[]{","}, false, 0, 6, (Object) null)) {
                                    QJavaApplication.getInstance().putScanKeys(str);
                                    QJavaApplication.getInstance().putScanKeysMap(str);
                                }
                                BleScannerHelper.getInstance().setScanFilter(QJavaApplication.getInstance().getKeys());
                            }
                            return Unit.INSTANCE;
                        }
                    }, this) == coroutine_suspended) {
                        return coroutine_suspended;
                    }
                    return Unit.INSTANCE;
                }
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(MainActivity mainActivity) {
                invoke2(mainActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(MainActivity ktxRunOnBgSingleAnother) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingleAnother, "$this$ktxRunOnBgSingleAnother");
                BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new AnonymousClass1(null), 3, null);
            }
        });
    }

    private final void initDeviceRequestLocation() {
        LargeDataHandler.getInstance().deviceRequestLocation(new ILargeDataResponse() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda9
            @Override // com.oudmon.ble.base.communication.ILargeDataResponse
            public final void parseData(int i, byte[] bArr) {
                MainActivity.m261initDeviceRequestLocation$lambda2(MainActivity.this, i, bArr);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: initDeviceRequestLocation$lambda-2, reason: not valid java name */
    public static final void m261initDeviceRequestLocation$lambda2(MainActivity this$0, int i, byte[] bArr) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (i == 32) {
            BuildersKt.launch$default(GlobalScope.INSTANCE, null, null, new MainActivity$initDeviceRequestLocation$1$1(this$0, null), 3, null);
        }
    }

    private final void upDataCollection() {
        if (UserConfig.INSTANCE.getInstance().getLastCollectionTime() < new DateUtil().getUnixTimestamp()) {
            if (UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear().length() > 0) {
                if (UserConfig.INSTANCE.getInstance().getFmVersion().length() > 0) {
                    if (UserConfig.INSTANCE.getInstance().getHwVersion().length() > 0) {
                        NetService.INSTANCE.getGetInstance().upCollectionData();
                    }
                }
            }
        }
    }

    private final void doServer() {
        if (UserConfig.INSTANCE.getInstance().getLastCollectionTime() < new DateUtil().getUnixTimestamp()) {
            if (UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear().length() > 0) {
                if (UserConfig.INSTANCE.getInstance().getFmVersion().length() > 0) {
                    NetService.INSTANCE.getGetInstance().upCollectionData();
                }
            }
        }
        ThreadUtils.postDelay(new ThreadUtils.TimeTask() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$doServer$1
            @Override // com.oudmon.ble.base.util.ThreadUtils.TimeTask
            protected void task() {
                MessagePushRepository.INSTANCE.getGetInstance().initData();
            }
        }, 0L);
        if (!UserConfig.INSTANCE.getInstance().getLoginStatus() || UserConfig.INSTANCE.getInstance().getLastSyncFromServerTime() >= new DateUtil().getUnixTimestamp()) {
            return;
        }
        NetService.INSTANCE.getGetInstance().downAll();
        NetService.INSTANCE.getGetInstance().downUserProfile();
        NetService.INSTANCE.getGetInstance().downGoalSetting();
        if (BleOperateManager.getInstance().isConnected()) {
            if (UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear().length() > 0) {
                NetService.INSTANCE.getGetInstance().upAll();
                UserConfig.INSTANCE.getInstance().setLastSyncFromServerTime(new DateUtil().getUnixTimestamp() + 43200);
                UserConfig.INSTANCE.getInstance().save();
            }
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if (messageEvent instanceof OnThemeEvent) {
            if (UserConfig.INSTANCE.getInstance().getSkinType() == SkinType.INSTANCE.getSkin_Default()) {
                ImmersionBar.with(this).statusBarDarkFont(false).transparentStatusBar().init();
                return;
            } else {
                ImmersionBar.with(this).statusBarDarkFont(true).transparentStatusBar().init();
                return;
            }
        }
        if (messageEvent instanceof LoginSuccessEvent) {
            doServer();
            return;
        }
        if (messageEvent instanceof FirmCheckEvent) {
            upDataCollection();
            return;
        }
        if (messageEvent instanceof CameraToastEvent) {
            Activity activity = getActivity();
            Objects.requireNonNull(activity, "null cannot be cast to non-null type androidx.fragment.app.FragmentActivity");
            PermissionUtilKt.requestCameraPermission((FragmentActivity) activity, new CameraPermissionCallback());
        } else if (messageEvent instanceof DeviceConfigEvent) {
            BuildersKt.launch$default(GlobalScope.INSTANCE, null, null, new MainActivity$onMessageEvent$1(messageEvent, null), 3, null);
        }
    }

    /* compiled from: MainActivity.kt */
    @Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0003\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u001e\u0010\u0003\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\b\u001a\u00020\tH\u0016J\u001e\u0010\n\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\u000b\u001a\u00020\tH\u0016¨\u0006\f"}, d2 = {"Lcom/qcwireless/qcwatch/ui/activity/MainActivity$CameraPermissionCallback;", "Lcom/hjq/permissions/OnPermissionCallback;", "(Lcom/qcwireless/qcwatch/ui/activity/MainActivity;)V", "onDenied", "", "permissions", "", "", "never", "", "onGranted", "all", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class CameraPermissionCallback implements OnPermissionCallback {
        public CameraPermissionCallback() {
        }

        @Override // com.hjq.permissions.OnPermissionCallback
        public void onGranted(List<String> permissions, boolean all) {
            Intrinsics.checkNotNullParameter(permissions, "permissions");
            if (!all) {
                String string = MainActivity.this.getString(R.string.qc_text_77);
                Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_77)");
                GlobalKt.showToast$default(string, 0, 1, null);
                return;
            }
            MainActivity mainActivity = MainActivity.this;
            ArrayList<Pair> arrayList = new ArrayList();
            Intent intent = new Intent(mainActivity, (Class<?>) CameraActivity.class);
            for (Pair pair : arrayList) {
                if (pair != null) {
                    String str = (String) pair.getFirst();
                    Object second = pair.getSecond();
                    if (second instanceof Integer) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                    } else if (second instanceof Byte) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                    } else if (second instanceof Character) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                    } else if (second instanceof Short) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                    } else if (second instanceof Boolean) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                    } else if (second instanceof Long) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                    } else if (second instanceof Float) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                    } else if (second instanceof Double) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                    } else if (second instanceof String) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                    } else if (second instanceof CharSequence) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                    } else if (second instanceof Parcelable) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                    } else if (second instanceof Object[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof ArrayList) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof Serializable) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof boolean[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                    } else if (second instanceof byte[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                    } else if (second instanceof short[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                    } else if (second instanceof char[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                    } else if (second instanceof int[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                    } else if (second instanceof long[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                    } else if (second instanceof float[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                    } else if (second instanceof double[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                    } else if (second instanceof Bundle) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                    } else if (second instanceof Intent) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                    } else {
                        Unit unit = Unit.INSTANCE;
                    }
                }
            }
            mainActivity.startActivity(intent);
        }

        @Override // com.hjq.permissions.OnPermissionCallback
        public void onDenied(List<String> permissions, boolean never) {
            Intrinsics.checkNotNullParameter(permissions, "permissions");
            OnPermissionCallback.CC.$default$onDenied(this, permissions, never);
            if (never) {
                String string = MainActivity.this.getString(R.string.qc_text_77);
                Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_77)");
                GlobalKt.showToast$default(string, 0, 1, null);
                XXPermissions.startPermissionActivity((Activity) MainActivity.this, permissions);
            }
        }
    }

    @Override // androidx.activity.ComponentActivity, android.app.Activity
    public void onBackPressed() {
        if (getSupportFragmentManager().getBackStackEntryCount() > 0) {
            getSupportFragmentManager().popBackStack();
        } else {
            processBackPressed();
        }
    }

    private final void processBackPressed() {
        long currentTimeMillis = System.currentTimeMillis();
        if (currentTimeMillis - this.backPressTime > TrackingService.Constant.FASTEST_UPDATE_INTERVAL) {
            StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
            String string = getString(R.string.qc_text_5);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_5)");
            String format = String.format(string, Arrays.copyOf(new Object[]{GlobalKt.getAppName()}, 1));
            Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
            GlobalKt.showToast$default(format, 0, 1, null);
            this.backPressTime = currentTimeMillis;
            return;
        }
        super.onBackPressed();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void setTabSelection(View index) {
        clearAllSelected();
        FragmentTransaction beginTransaction = getFragmentManager().beginTransaction();
        Intrinsics.checkNotNullExpressionValue(beginTransaction, "this");
        hideFragments(beginTransaction);
        ActivityMainBinding activityMainBinding = this.binding;
        ActivityMainBinding activityMainBinding2 = null;
        if (activityMainBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding = null;
        }
        if (Intrinsics.areEqual(index, activityMainBinding.btnHealth)) {
            this.tabIndex = 0;
            ActivityMainBinding activityMainBinding3 = this.binding;
            if (activityMainBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityMainBinding3 = null;
            }
            activityMainBinding3.ivHealth.setSelected(true);
            ActivityMainBinding activityMainBinding4 = this.binding;
            if (activityMainBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityMainBinding2 = activityMainBinding4;
            }
            activityMainBinding2.tvHealth.setSelected(true);
            HealthyFragment healthyFragment = this.homeHealth;
            if (healthyFragment == null) {
                HealthyFragment newInstance = HealthyFragment.INSTANCE.newInstance();
                this.homeHealth = newInstance;
                Intrinsics.checkNotNull(newInstance);
                beginTransaction.add(R.id.homeContainer, newInstance);
            } else {
                Intrinsics.checkNotNull(healthyFragment);
                beginTransaction.show(healthyFragment);
            }
        } else {
            ActivityMainBinding activityMainBinding5 = this.binding;
            if (activityMainBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityMainBinding5 = null;
            }
            if (Intrinsics.areEqual(index, activityMainBinding5.btnDevice)) {
                this.tabIndex = 1;
                ActivityMainBinding activityMainBinding6 = this.binding;
                if (activityMainBinding6 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityMainBinding6 = null;
                }
                activityMainBinding6.ivDevice.setSelected(true);
                ActivityMainBinding activityMainBinding7 = this.binding;
                if (activityMainBinding7 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityMainBinding2 = activityMainBinding7;
                }
                activityMainBinding2.tvDevice.setSelected(true);
                if (LanguageUtil.isChina()) {
                    StepFragment stepFragment = this.cnGpsDevice;
                    if (stepFragment == null) {
                        StepFragment newInstance2 = StepFragment.INSTANCE.newInstance();
                        this.cnGpsDevice = newInstance2;
                        Intrinsics.checkNotNull(newInstance2);
                        beginTransaction.add(R.id.homeContainer, newInstance2, "StepFragment");
                    } else {
                        Intrinsics.checkNotNull(stepFragment);
                        beginTransaction.show(stepFragment);
                    }
                } else {
                    StepFragment stepFragment2 = this.homeDevice;
                    if (stepFragment2 == null) {
                        StepFragment newInstance3 = StepFragment.INSTANCE.newInstance();
                        this.homeDevice = newInstance3;
                        Intrinsics.checkNotNull(newInstance3);
                        beginTransaction.add(R.id.homeContainer, newInstance3, "StepFragment");
                    } else {
                        Intrinsics.checkNotNull(stepFragment2);
                        beginTransaction.show(stepFragment2);
                    }
                }
            } else {
                ActivityMainBinding activityMainBinding8 = this.binding;
                if (activityMainBinding8 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityMainBinding8 = null;
                }
                if (Intrinsics.areEqual(index, activityMainBinding8.btnPlate)) {
                    this.tabIndex = 2;
                    ActivityMainBinding activityMainBinding9 = this.binding;
                    if (activityMainBinding9 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityMainBinding9 = null;
                    }
                    activityMainBinding9.ivPlate.setSelected(true);
                    ActivityMainBinding activityMainBinding10 = this.binding;
                    if (activityMainBinding10 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityMainBinding2 = activityMainBinding10;
                    }
                    activityMainBinding2.tvPlate.setSelected(true);
                    SleepFragment sleepFragment = this.homePlate;
                    if (sleepFragment == null) {
                        SleepFragment newInstance4 = SleepFragment.INSTANCE.newInstance();
                        this.homePlate = newInstance4;
                        Intrinsics.checkNotNull(newInstance4);
                        beginTransaction.add(R.id.homeContainer, newInstance4);
                    } else {
                        Intrinsics.checkNotNull(sleepFragment);
                        beginTransaction.show(sleepFragment);
                    }
                } else {
                    ActivityMainBinding activityMainBinding11 = this.binding;
                    if (activityMainBinding11 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityMainBinding11 = null;
                    }
                    if (Intrinsics.areEqual(index, activityMainBinding11.btnMine)) {
                        this.tabIndex = 3;
                        ActivityMainBinding activityMainBinding12 = this.binding;
                        if (activityMainBinding12 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityMainBinding12 = null;
                        }
                        activityMainBinding12.ivMine.setSelected(true);
                        ActivityMainBinding activityMainBinding13 = this.binding;
                        if (activityMainBinding13 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                        } else {
                            activityMainBinding2 = activityMainBinding13;
                        }
                        activityMainBinding2.tvMine.setSelected(true);
                        MineFragment mineFragment = this.mineFragment;
                        if (mineFragment == null) {
                            MineFragment newInstance5 = MineFragment.INSTANCE.newInstance();
                            this.mineFragment = newInstance5;
                            Intrinsics.checkNotNull(newInstance5);
                            beginTransaction.add(R.id.homeContainer, newInstance5);
                        } else {
                            Intrinsics.checkNotNull(mineFragment);
                            beginTransaction.show(mineFragment);
                        }
                    } else {
                        this.tabIndex = 0;
                        ActivityMainBinding activityMainBinding14 = this.binding;
                        if (activityMainBinding14 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityMainBinding14 = null;
                        }
                        activityMainBinding14.ivHealth.setSelected(true);
                        ActivityMainBinding activityMainBinding15 = this.binding;
                        if (activityMainBinding15 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                        } else {
                            activityMainBinding2 = activityMainBinding15;
                        }
                        activityMainBinding2.tvHealth.setSelected(true);
                        HealthyFragment healthyFragment2 = this.homeHealth;
                        if (healthyFragment2 == null) {
                            HealthyFragment newInstance6 = HealthyFragment.INSTANCE.newInstance();
                            this.homeHealth = newInstance6;
                            Intrinsics.checkNotNull(newInstance6);
                            beginTransaction.add(R.id.homeContainer, newInstance6);
                        } else {
                            Intrinsics.checkNotNull(healthyFragment2);
                            beginTransaction.show(healthyFragment2);
                        }
                    }
                }
            }
        }
        beginTransaction.commitAllowingStateLoss();
    }

    private final void clearAllSelected() {
        ActivityMainBinding activityMainBinding = this.binding;
        ActivityMainBinding activityMainBinding2 = null;
        if (activityMainBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding = null;
        }
        activityMainBinding.ivHealth.setSelected(false);
        ActivityMainBinding activityMainBinding3 = this.binding;
        if (activityMainBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding3 = null;
        }
        activityMainBinding3.tvHealth.setSelected(false);
        ActivityMainBinding activityMainBinding4 = this.binding;
        if (activityMainBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding4 = null;
        }
        activityMainBinding4.ivDevice.setSelected(false);
        ActivityMainBinding activityMainBinding5 = this.binding;
        if (activityMainBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding5 = null;
        }
        activityMainBinding5.tvDevice.setSelected(false);
        ActivityMainBinding activityMainBinding6 = this.binding;
        if (activityMainBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding6 = null;
        }
        activityMainBinding6.ivPlate.setSelected(false);
        ActivityMainBinding activityMainBinding7 = this.binding;
        if (activityMainBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding7 = null;
        }
        activityMainBinding7.tvPlate.setSelected(false);
        ActivityMainBinding activityMainBinding8 = this.binding;
        if (activityMainBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding8 = null;
        }
        activityMainBinding8.ivMine.setSelected(false);
        ActivityMainBinding activityMainBinding9 = this.binding;
        if (activityMainBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityMainBinding2 = activityMainBinding9;
        }
        activityMainBinding2.tvMine.setSelected(false);
    }

    private final void hideFragments(FragmentTransaction transaction) {
        HealthyFragment healthyFragment = this.homeHealth;
        if (healthyFragment != null) {
            Intrinsics.checkNotNull(healthyFragment);
            transaction.hide(healthyFragment);
        }
        StepFragment stepFragment = this.homeDevice;
        if (stepFragment != null) {
            Intrinsics.checkNotNull(stepFragment);
            transaction.hide(stepFragment);
        }
        StepFragment stepFragment2 = this.cnGpsDevice;
        if (stepFragment2 != null) {
            Intrinsics.checkNotNull(stepFragment2);
            transaction.hide(stepFragment2);
        }
        SleepFragment sleepFragment = this.homePlate;
        if (sleepFragment != null) {
            Intrinsics.checkNotNull(sleepFragment);
            transaction.hide(sleepFragment);
        }
        MineFragment mineFragment = this.mineFragment;
        if (mineFragment != null) {
            Intrinsics.checkNotNull(mineFragment);
            transaction.hide(mineFragment);
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        if (BleOperateManager.getInstance().isConnected()) {
            int updating = QCApplication.INSTANCE.getGetInstance().getUpdating();
            if (updating == 1) {
                MainActivity mainActivity = this;
                ArrayList<Pair> arrayList = new ArrayList();
                Intent intent = new Intent(mainActivity, (Class<?>) DeviceFirmwareUpdateActivity.class);
                for (Pair pair : arrayList) {
                    if (pair != null) {
                        String str = (String) pair.getFirst();
                        Object second = pair.getSecond();
                        if (second instanceof Integer) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                        } else if (second instanceof Byte) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                        } else if (second instanceof Character) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                        } else if (second instanceof Short) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                        } else if (second instanceof Boolean) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                        } else if (second instanceof Long) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                        } else if (second instanceof Float) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                        } else if (second instanceof Double) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                        } else if (second instanceof String) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                        } else if (second instanceof CharSequence) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                        } else if (second instanceof Parcelable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else if (second instanceof Object[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof ArrayList) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof Serializable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof boolean[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                        } else if (second instanceof byte[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                        } else if (second instanceof short[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                        } else if (second instanceof char[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                        } else if (second instanceof int[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                        } else if (second instanceof long[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                        } else if (second instanceof float[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                        } else if (second instanceof double[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                        } else if (second instanceof Bundle) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                        } else if (second instanceof Intent) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else {
                            Unit unit = Unit.INSTANCE;
                        }
                    }
                }
                mainActivity.startActivity(intent);
            } else if (updating == 2) {
                Bundle bundle = new Bundle();
                bundle.putInt("background", 1);
                MainActivity mainActivity2 = this;
                ArrayList<Pair> arrayList2 = new ArrayList();
                Intent intent2 = new Intent(mainActivity2, (Class<?>) WatchFileDismissActivity.class);
                intent2.setFlags(1);
                intent2.putExtras(bundle);
                for (Pair pair2 : arrayList2) {
                    if (pair2 != null) {
                        String str2 = (String) pair2.getFirst();
                        Object second2 = pair2.getSecond();
                        if (second2 instanceof Integer) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, ((Number) second2).intValue()), "putExtra(name, value)");
                        } else if (second2 instanceof Byte) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, ((Number) second2).byteValue()), "putExtra(name, value)");
                        } else if (second2 instanceof Character) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, ((Character) second2).charValue()), "putExtra(name, value)");
                        } else if (second2 instanceof Short) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, ((Number) second2).shortValue()), "putExtra(name, value)");
                        } else if (second2 instanceof Boolean) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, ((Boolean) second2).booleanValue()), "putExtra(name, value)");
                        } else if (second2 instanceof Long) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, ((Number) second2).longValue()), "putExtra(name, value)");
                        } else if (second2 instanceof Float) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, ((Number) second2).floatValue()), "putExtra(name, value)");
                        } else if (second2 instanceof Double) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, ((Number) second2).doubleValue()), "putExtra(name, value)");
                        } else if (second2 instanceof String) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (String) second2), "putExtra(name, value)");
                        } else if (second2 instanceof CharSequence) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (CharSequence) second2), "putExtra(name, value)");
                        } else if (second2 instanceof Parcelable) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (Parcelable) second2), "putExtra(name, value)");
                        } else if (second2 instanceof Object[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (Serializable) second2), "putExtra(name, value)");
                        } else if (second2 instanceof ArrayList) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (Serializable) second2), "putExtra(name, value)");
                        } else if (second2 instanceof Serializable) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (Serializable) second2), "putExtra(name, value)");
                        } else if (second2 instanceof boolean[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (boolean[]) second2), "putExtra(name, value)");
                        } else if (second2 instanceof byte[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (byte[]) second2), "putExtra(name, value)");
                        } else if (second2 instanceof short[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (short[]) second2), "putExtra(name, value)");
                        } else if (second2 instanceof char[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (char[]) second2), "putExtra(name, value)");
                        } else if (second2 instanceof int[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (int[]) second2), "putExtra(name, value)");
                        } else if (second2 instanceof long[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (long[]) second2), "putExtra(name, value)");
                        } else if (second2 instanceof float[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (float[]) second2), "putExtra(name, value)");
                        } else if (second2 instanceof double[]) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (double[]) second2), "putExtra(name, value)");
                        } else if (second2 instanceof Bundle) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (Bundle) second2), "putExtra(name, value)");
                        } else if (second2 instanceof Intent) {
                            Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str2, (Parcelable) second2), "putExtra(name, value)");
                        } else {
                            Unit unit2 = Unit.INSTANCE;
                        }
                    }
                }
                mainActivity2.startActivity(intent2);
            }
        } else {
            this.handler.removeCallbacks(this.runnable);
            this.handler.postDelayed(this.runnable, 1000L);
            QCApplication.INSTANCE.getGetInstance().setUpdating(0);
        }
        if (UserConfig.INSTANCE.getInstance().getLastLocationTime() >= new DateUtil().getUnixTimestamp() || !PermissionUtilKt.hasLocationPermission(this)) {
            return;
        }
        QCApplication.INSTANCE.getGetInstance().getLocationOnce(QCApplication.INSTANCE.getApplication());
        UserConfig.INSTANCE.getInstance().setLastLocationTime((int) (new DateUtil().getUnixTimestamp() + TypedValues.Custom.TYPE_INT));
        UserConfig.INSTANCE.getInstance().save();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onPause() {
        super.onPause();
        if (UserConfig.INSTANCE.getInstance().getLastLocationTime() >= new DateUtil().getUnixTimestamp() || !PermissionUtilKt.hasLocationPermission(this)) {
            return;
        }
        QCApplication.INSTANCE.getGetInstance().getLocationOnce(QCApplication.INSTANCE.getApplication());
        UserConfig.INSTANCE.getInstance().setLastLocationTime((int) (new DateUtil().getUnixTimestamp() + TypedValues.Custom.TYPE_INT));
        UserConfig.INSTANCE.getInstance().save();
    }

    @Override // androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, android.app.Activity
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode == 1001) {
            if (resultCode == -1) {
                AwLog.i(Author.HeZhiYuan, "打开蓝牙");
                return;
            }
            AwLog.i(Author.HeZhiYuan, "用户拒绝");
            if (this.bluetoothEnable) {
                return;
            }
            this.bluetoothEnable = true;
            checkBluetoothEnable();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void notificationUiRefresh(View selectionIndex) {
        this.handler.removeCallbacks(this.runnable);
        this.handler.postDelayed(this.runnable, 1000L);
        ActivityMainBinding activityMainBinding = this.binding;
        ActivityMainBinding activityMainBinding2 = null;
        if (activityMainBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding = null;
        }
        if (Intrinsics.areEqual(selectionIndex, activityMainBinding.btnHealth)) {
            setStatusBarBackground(R.color.healthy_bg);
            ActivityMainBinding activityMainBinding3 = this.binding;
            if (activityMainBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityMainBinding2 = activityMainBinding3;
            }
            if (activityMainBinding2.ivHealth.isSelected()) {
                EventBus.getDefault().post(new RefreshEvent(HealthyFragment.class));
                return;
            }
            return;
        }
        ActivityMainBinding activityMainBinding4 = this.binding;
        if (activityMainBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding4 = null;
        }
        if (Intrinsics.areEqual(selectionIndex, activityMainBinding4.btnDevice)) {
            setStatusBarBackground(R.color.step_bg);
            ActivityMainBinding activityMainBinding5 = this.binding;
            if (activityMainBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityMainBinding2 = activityMainBinding5;
            }
            if (activityMainBinding2.ivDevice.isSelected()) {
                EventBus.getDefault().post(new HomeStepRefreshEvent());
                return;
            }
            return;
        }
        ActivityMainBinding activityMainBinding6 = this.binding;
        if (activityMainBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding6 = null;
        }
        if (Intrinsics.areEqual(selectionIndex, activityMainBinding6.btnPlate)) {
            setStatusBarBackground(R.color.sleep_bg);
            ActivityMainBinding activityMainBinding7 = this.binding;
            if (activityMainBinding7 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityMainBinding2 = activityMainBinding7;
            }
            if (activityMainBinding2.ivPlate.isSelected()) {
                AwLog.i(Author.HeZhiYuan, "--------");
                EventBus.getDefault().post(new HomeStepRefreshEvent());
                return;
            }
            return;
        }
        ActivityMainBinding activityMainBinding8 = this.binding;
        if (activityMainBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMainBinding8 = null;
        }
        if (Intrinsics.areEqual(selectionIndex, activityMainBinding8.btnMine)) {
            setStatusBarBackground(R.color.mine_bg_1);
            ActivityMainBinding activityMainBinding9 = this.binding;
            if (activityMainBinding9 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityMainBinding2 = activityMainBinding9;
            }
            if (activityMainBinding2.ivMine.isSelected()) {
                EventBus.getDefault().post(new RefreshEvent(MineFragment.class));
            }
        }
    }

    private final void requestPermissions() {
        MainActivity mainActivity = this;
        PermissionUtilKt.requestAllPermission(mainActivity, new AllPermissionCallback());
        PermissionUtilKt.requestBluetoothPermission(mainActivity, new BluetoothPermissionCallback());
    }

    /* compiled from: MainActivity.kt */
    @Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0003\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u001e\u0010\u0003\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\b\u001a\u00020\tH\u0016J\u001e\u0010\n\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\u000b\u001a\u00020\tH\u0016¨\u0006\f"}, d2 = {"Lcom/qcwireless/qcwatch/ui/activity/MainActivity$BluetoothPermissionCallback;", "Lcom/hjq/permissions/OnPermissionCallback;", "(Lcom/qcwireless/qcwatch/ui/activity/MainActivity;)V", "onDenied", "", "permissions", "", "", "never", "", "onGranted", "all", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class BluetoothPermissionCallback implements OnPermissionCallback {
        public BluetoothPermissionCallback() {
        }

        @Override // com.hjq.permissions.OnPermissionCallback
        public void onGranted(List<String> permissions, boolean all) {
            Intrinsics.checkNotNullParameter(permissions, "permissions");
            if (all) {
                return;
            }
            String string = MainActivity.this.getString(R.string.qc_text_77);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_77)");
            GlobalKt.showToast$default(string, 0, 1, null);
        }

        @Override // com.hjq.permissions.OnPermissionCallback
        public void onDenied(List<String> permissions, boolean never) {
            Intrinsics.checkNotNullParameter(permissions, "permissions");
            OnPermissionCallback.CC.$default$onDenied(this, permissions, never);
            if (never) {
                XXPermissions.startPermissionActivity((Activity) MainActivity.this, permissions);
                String string = MainActivity.this.getString(R.string.qc_text_458);
                Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_458)");
                GlobalKt.showToast$default(string, 0, 1, null);
            }
        }
    }

    /* compiled from: MainActivity.kt */
    @Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0003\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u001e\u0010\u0003\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\b\u001a\u00020\tH\u0016J\u001e\u0010\n\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\u000b\u001a\u00020\tH\u0016¨\u0006\f"}, d2 = {"Lcom/qcwireless/qcwatch/ui/activity/MainActivity$AllPermissionCallback;", "Lcom/hjq/permissions/OnPermissionCallback;", "(Lcom/qcwireless/qcwatch/ui/activity/MainActivity;)V", "onDenied", "", "permissions", "", "", "never", "", "onGranted", "all", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class AllPermissionCallback implements OnPermissionCallback {
        public AllPermissionCallback() {
        }

        @Override // com.hjq.permissions.OnPermissionCallback
        public void onGranted(List<String> permissions, boolean all) {
            Intrinsics.checkNotNullParameter(permissions, "permissions");
            if (all) {
                return;
            }
            String string = MainActivity.this.getString(R.string.qc_text_44);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_44)");
            GlobalKt.showToast(string, 1);
        }

        @Override // com.hjq.permissions.OnPermissionCallback
        public void onDenied(List<String> permissions, boolean never) {
            Intrinsics.checkNotNullParameter(permissions, "permissions");
            OnPermissionCallback.CC.$default$onDenied(this, permissions, never);
            if (never) {
                XXPermissions.startPermissionActivity((Activity) MainActivity.this, permissions);
                String string = MainActivity.this.getString(R.string.qc_text_387);
                Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_387)");
                GlobalKt.showToast(string, 1);
            }
        }
    }

    /* compiled from: MainActivity.kt */
    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0003\u001a\u00020\u0004H\u0016¨\u0006\u0005"}, d2 = {"Lcom/qcwireless/qcwatch/ui/activity/MainActivity$ReconnectRunnable;", "Ljava/lang/Runnable;", "(Lcom/qcwireless/qcwatch/ui/activity/MainActivity;)V", "run", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class ReconnectRunnable implements Runnable {
        public ReconnectRunnable() {
        }

        @Override // java.lang.Runnable
        public void run() {
            if (BleOperateManager.getInstance().isConnected()) {
                MainActivity.this.handler.removeCallbacks(MainActivity.this.runnable);
            } else if (QcLifeCycle.INSTANCE.isForeground()) {
                ThreadManager.getInstance().wakeUpNotWait();
                MainActivity.this.handler.postDelayed(MainActivity.this.runnable, 5000L);
            } else {
                ThreadManager.getInstance().wakeUp();
                MainActivity.this.handler.postDelayed(MainActivity.this.runnable, 5000L);
            }
        }
    }

    /* compiled from: MainActivity.kt */
    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/qcwireless/qcwatch/ui/activity/MainActivity$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final void start(Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, (Class<?>) MainActivity.class));
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v1, types: [T, com.qcwireless.qcwatch.base.dialog.BottomDialog] */
    private final void showPermissionInformationDialog() {
        final Ref.ObjectRef objectRef = new Ref.ObjectRef();
        BottomDialog.Builder builder = new BottomDialog.Builder(getActivity());
        builder.setContentView(R.layout.layout_dialog_permission_information);
        objectRef.element = builder.create();
        ((BottomDialog) objectRef.element).show();
        View contentView = ((BottomDialog) objectRef.element).getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "bottomDialog.contentView");
        TextView textView = (TextView) contentView.findViewById(R.id.tv_dialog_cancel);
        TextView textView2 = (TextView) contentView.findViewById(R.id.tv_dialog_confirm);
        textView.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda7
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MainActivity.m265showPermissionInformationDialog$lambda6(MainActivity.this, objectRef, view);
            }
        });
        textView2.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda6
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MainActivity.m266showPermissionInformationDialog$lambda7(MainActivity.this, objectRef, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: showPermissionInformationDialog$lambda-6, reason: not valid java name */
    public static final void m265showPermissionInformationDialog$lambda6(MainActivity this$0, Ref.ObjectRef bottomDialog, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(bottomDialog, "$bottomDialog");
        this$0.requestPermissions();
        ((BottomDialog) bottomDialog.element).dismiss();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: showPermissionInformationDialog$lambda-7, reason: not valid java name */
    public static final void m266showPermissionInformationDialog$lambda7(MainActivity this$0, Ref.ObjectRef bottomDialog, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(bottomDialog, "$bottomDialog");
        this$0.requestPermissions();
        UserConfig.INSTANCE.getInstance().setPermissionDescFlag(false);
        UserConfig.INSTANCE.getInstance().save();
        ((BottomDialog) bottomDialog.element).dismiss();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v1, types: [T, com.qcwireless.qcwatch.base.dialog.BottomDialog] */
    private final void showLocationWarningDialog() {
        final Ref.ObjectRef objectRef = new Ref.ObjectRef();
        BottomDialog.Builder builder = new BottomDialog.Builder(getActivity());
        builder.setContentView(R.layout.layout_dialog_location_warning);
        objectRef.element = builder.create();
        ((BottomDialog) objectRef.element).show();
        View contentView = ((BottomDialog) objectRef.element).getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "bottomDialog.contentView");
        TextView textView = (TextView) contentView.findViewById(R.id.tv_dialog_cancel);
        TextView textView2 = (TextView) contentView.findViewById(R.id.tv_dialog_confirm);
        textView.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MainActivity.m263showLocationWarningDialog$lambda8(MainActivity.this, objectRef, view);
            }
        });
        textView2.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MainActivity.m264showLocationWarningDialog$lambda9(MainActivity.this, objectRef, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: showLocationWarningDialog$lambda-8, reason: not valid java name */
    public static final void m263showLocationWarningDialog$lambda8(MainActivity this$0, Ref.ObjectRef bottomDialog, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(bottomDialog, "$bottomDialog");
        this$0.showPermissionInformationDialog();
        ((BottomDialog) bottomDialog.element).dismiss();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: showLocationWarningDialog$lambda-9, reason: not valid java name */
    public static final void m264showLocationWarningDialog$lambda9(MainActivity this$0, Ref.ObjectRef bottomDialog, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(bottomDialog, "$bottomDialog");
        this$0.showPermissionInformationDialog();
        ((BottomDialog) bottomDialog.element).dismiss();
    }

    /* compiled from: MainActivity.kt */
    @Metadata(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0003\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u001e\u0010\u0003\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\b\u001a\u00020\tH\u0016J\u001e\u0010\n\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\u000b\u001a\u00020\tH\u0016¨\u0006\f"}, d2 = {"Lcom/qcwireless/qcwatch/ui/activity/MainActivity$PermissionCallback;", "Lcom/hjq/permissions/OnPermissionCallback;", "(Lcom/qcwireless/qcwatch/ui/activity/MainActivity;)V", "onDenied", "", "permissions", "", "", "never", "", "onGranted", "all", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class PermissionCallback implements OnPermissionCallback {
        public PermissionCallback() {
        }

        @Override // com.hjq.permissions.OnPermissionCallback
        public void onGranted(List<String> permissions, boolean all) {
            Intrinsics.checkNotNullParameter(permissions, "permissions");
            if (!all) {
                try {
                    MainActivity.this.showPermissionSettingDialog(permissions);
                    return;
                } catch (Exception e) {
                    e.printStackTrace();
                    return;
                }
            }
            AwLog.wtfJson(MoshiUtilsKt.toJson(new AppLog(QJavaApplication.getInstance().getYMD(), "gps bg ok", ExifInterface.GPS_MEASUREMENT_2D)), QJavaApplication.getAppLogPath());
        }

        @Override // com.hjq.permissions.OnPermissionCallback
        public void onDenied(List<String> permissions, boolean never) {
            Intrinsics.checkNotNullParameter(permissions, "permissions");
            OnPermissionCallback.CC.$default$onDenied(this, permissions, never);
            if (never) {
                try {
                    MainActivity.this.showPermissionSettingDialog(permissions);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                AwLog.wtfJson(MoshiUtilsKt.toJson(new AppLog(QJavaApplication.getInstance().getYMD(), "gps bg ng", ExifInterface.GPS_MEASUREMENT_2D)), QJavaApplication.getAppLogPath());
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void showPermissionSettingDialog(final List<String> permissions) {
        BottomDialog.Builder builder = new BottomDialog.Builder(getActivity());
        builder.setContentView(R.layout.layout_dialog_permission_warming_refuse);
        if (this.refuseDialog == null) {
            BottomDialog create = builder.create();
            this.refuseDialog = create;
            Intrinsics.checkNotNull(create);
            create.show();
            BottomDialog bottomDialog = this.refuseDialog;
            Intrinsics.checkNotNull(bottomDialog);
            View contentView = bottomDialog.getContentView();
            Intrinsics.checkNotNullExpressionValue(contentView, "refuseDialog!!.contentView");
            TextView textView = (TextView) contentView.findViewById(R.id.tv_dialog_cancel);
            TextView textView2 = (TextView) contentView.findViewById(R.id.tv_dialog_confirm);
            textView.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda3
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    MainActivity.m267showPermissionSettingDialog$lambda10(MainActivity.this, permissions, view);
                }
            });
            textView2.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda2
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    MainActivity.m268showPermissionSettingDialog$lambda11(MainActivity.this, permissions, view);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showPermissionSettingDialog$lambda-10, reason: not valid java name */
    public static final void m267showPermissionSettingDialog$lambda10(MainActivity this$0, List permissions, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(permissions, "$permissions");
        BottomDialog bottomDialog = this$0.refuseDialog;
        Intrinsics.checkNotNull(bottomDialog);
        bottomDialog.dismiss();
        XXPermissions.startPermissionActivity((Activity) this$0, (List<String>) permissions);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showPermissionSettingDialog$lambda-11, reason: not valid java name */
    public static final void m268showPermissionSettingDialog$lambda11(MainActivity this$0, List permissions, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(permissions, "$permissions");
        BottomDialog bottomDialog = this$0.refuseDialog;
        Intrinsics.checkNotNull(bottomDialog);
        bottomDialog.dismiss();
        XXPermissions.startPermissionActivity((Activity) this$0, (List<String>) permissions);
    }

    public final void doCalendar(int type, DateUtil date) {
        Intrinsics.checkNotNullParameter(date, "date");
        this.clickDate = date;
        if (type == 1) {
            Activity activity = getActivity();
            Objects.requireNonNull(activity, "null cannot be cast to non-null type com.qcwireless.qcwatch.ui.activity.MainActivity");
            showCalendarDialog((MainActivity) activity, this.stepMap, this.clickDate, type);
        } else {
            if (type != 2) {
                return;
            }
            Activity activity2 = getActivity();
            Objects.requireNonNull(activity2, "null cannot be cast to non-null type com.qcwireless.qcwatch.ui.activity.MainActivity");
            showCalendarDialog((MainActivity) activity2, this.sleepMap, this.clickDate, type);
        }
    }

    private final void showCalendarDialog(Activity activity, Map<String, Calendar> mSchemeDates, final DateUtil date, final int type) {
        Activity activity2 = activity;
        CenterDialog.Builder builder = new CenterDialog.Builder(activity2);
        builder.setContentView(R.layout.layout_dialog_calendar);
        CenterDialog create = builder.create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.calendarDialog = create;
        CenterDialog centerDialog = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
            create = null;
        }
        create.show();
        CenterDialog centerDialog2 = this.calendarDialog;
        if (centerDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
        } else {
            centerDialog = centerDialog2;
        }
        View contentView = centerDialog.getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "calendarDialog.contentView");
        final QDateMonthSwitchPubuView qDateMonthSwitchPubuView = (QDateMonthSwitchPubuView) contentView.findViewById(R.id.qc_dialog_date_change);
        final CalendarView calendarView = (CalendarView) contentView.findViewById(R.id.calendarView);
        qDateMonthSwitchPubuView.setShowFuture(true);
        qDateMonthSwitchPubuView.setMonth(date);
        qDateMonthSwitchPubuView.setDateListener(new QDateMonthSwitchPubuView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$showCalendarDialog$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView.QDateBefore
            public void clickBefore(boolean r4, final DateUtil dateUtil) {
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
                CalendarView.this.scrollToCalendar(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay());
                final int i = type;
                final MainActivity mainActivity = this;
                final CalendarView calendarView2 = CalendarView.this;
                ThreadExtKt.ktxRunOnBgSingle(this, new Function1<MainActivity$showCalendarDialog$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$showCalendarDialog$1$clickBefore$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(MainActivity$showCalendarDialog$1 mainActivity$showCalendarDialog$1) {
                        invoke2(mainActivity$showCalendarDialog$1);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(MainActivity$showCalendarDialog$1 ktxRunOnBgSingle) {
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        int i2 = i;
                        if (i2 == 1) {
                            mainActivity.setStepMap(StepDetailRepository.INSTANCE.getGetInstance().calendarStepDetail(dateUtil.getYear(), dateUtil.getMonth()));
                            calendarView2.setSchemeDate(mainActivity.getStepMap());
                        } else if (i2 == 2) {
                            mainActivity.setSleepMap(SleepDetailRepository.INSTANCE.getGetInstance().calendarSleep(dateUtil.getYear(), dateUtil.getMonth()));
                            calendarView2.setSchemeDate(mainActivity.getSleepMap());
                        }
                    }
                });
            }
        });
        calendarView.setSchemeDate(mSchemeDates);
        calendarView.scrollToCalendar(date.getYear(), date.getMonth(), date.getDay());
        calendarView.setOnMonthChangeListener(new CalendarView.OnMonthChangeListener() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$$ExternalSyntheticLambda8
            @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
            public final void onMonthChange(int i, int i2) {
                MainActivity.m262showCalendarDialog$lambda12(DateUtil.this, qDateMonthSwitchPubuView, this, type, calendarView, i, i2);
            }
        });
        calendarView.setOnCalendarSelectListener(new CalendarSelectListener());
        calendarView.setBackground(SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5));
        calendarView.setSelectedColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.white), SkinCompatResources.getColor(activity2, R.color.black));
        calendarView.setTextColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_show_4), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showCalendarDialog$lambda-12, reason: not valid java name */
    public static final void m262showCalendarDialog$lambda12(DateUtil date, QDateMonthSwitchPubuView qDateMonthSwitchPubuView, MainActivity this$0, final int i, final CalendarView calendarView, final int i2, final int i3) {
        Intrinsics.checkNotNullParameter(date, "$date");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DateUtil dateUtil = new DateUtil(i2, i3, date.getDay());
        AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
        qDateMonthSwitchPubuView.setMonth(new DateUtil(i2, i3, dateUtil.getDay()));
        ThreadExtKt.ktxRunOnBgSingle(this$0, new Function1<MainActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$showCalendarDialog$2$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(MainActivity mainActivity) {
                invoke2(mainActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(MainActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                int i4 = i;
                if (i4 == 1) {
                    ktxRunOnBgSingle.setStepMap(StepDetailRepository.INSTANCE.getGetInstance().calendarStepDetail(i2, i3));
                    calendarView.setSchemeDate(ktxRunOnBgSingle.getStepMap());
                } else if (i4 == 2) {
                    ktxRunOnBgSingle.setSleepMap(SleepDetailRepository.INSTANCE.getGetInstance().calendarSleep(i2, i3));
                    calendarView.setSchemeDate(ktxRunOnBgSingle.getSleepMap());
                }
            }
        });
    }

    /* compiled from: MainActivity.kt */
    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0016J\u0018\u0010\u0007\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"Lcom/qcwireless/qcwatch/ui/activity/MainActivity$CalendarSelectListener;", "Lcom/haibin/calendarview/CalendarView$OnCalendarSelectListener;", "(Lcom/qcwireless/qcwatch/ui/activity/MainActivity;)V", "onCalendarOutOfRange", "", "calendar", "Lcom/haibin/calendarview/Calendar;", "onCalendarSelect", "isClick", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class CalendarSelectListener implements CalendarView.OnCalendarSelectListener {
        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarOutOfRange(Calendar calendar) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
        }

        public CalendarSelectListener() {
        }

        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarSelect(final Calendar calendar, boolean isClick) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
            if (isClick) {
                CenterDialog centerDialog = MainActivity.this.calendarDialog;
                if (centerDialog == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
                    centerDialog = null;
                }
                centerDialog.dismiss();
                final MainActivity mainActivity = MainActivity.this;
                ThreadExtKt.ktxRunOnUi(this, new Function1<CalendarSelectListener, Unit>() { // from class: com.qcwireless.qcwatch.ui.activity.MainActivity$CalendarSelectListener$onCalendarSelect$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(MainActivity.CalendarSelectListener calendarSelectListener) {
                        invoke2(calendarSelectListener);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(MainActivity.CalendarSelectListener ktxRunOnUi) {
                        DateUtil dateUtil;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        DateUtil dateUtil2 = new DateUtil(Calendar.this.getYear(), Calendar.this.getMonth(), Calendar.this.getDay());
                        mainActivity.clickDate = dateUtil2;
                        dateUtil = mainActivity.clickDate;
                        if (dateUtil.futureDate()) {
                            String string = mainActivity.getString(R.string.qc_text_6666040);
                            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6666040)");
                            GlobalKt.showToast$default(string, 0, 1, null);
                            return;
                        }
                        EventBus.getDefault().post(new CalendarNotifyEvent(dateUtil2));
                    }
                });
            }
        }
    }
}
