package com.qcwireless.qcwatch.ui.base.repository.healthy;

import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.core.internal.view.SupportMenu;
import com.blankj.utilcode.constant.CacheConstants;
import com.haibin.calendarview.Calendar;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.communication.ILargeDataResponse;
import com.oudmon.ble.base.communication.LargeDataHandler;
import com.oudmon.ble.base.communication.rsp.ReadBlePressureRsp;
import com.oudmon.ble.base.communication.utils.ByteUtil;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.QCApplication;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.MoshiUtilsKt;
import com.qcwireless.qcwatch.ui.base.repository.base.BaseDeviceResult;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcAppManualSugarContinuousDao;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcAppManualSugarDao;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcBloodSugarDao;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcDatabase;
import com.qcwireless.qcwatch.ui.base.repository.entity.AppBloodSugarContinuousEntity;
import com.qcwireless.qcwatch.ui.base.repository.entity.AppBloodSugarEntity;
import com.qcwireless.qcwatch.ui.base.repository.entity.BloodSugarEntity;
import com.qcwireless.qcwatch.ui.base.view.QBloodSugarLineChartHomeView;
import com.qcwireless.qcwatch.ui.base.view.QBloodSugarLineChartView;
import com.qcwireless.qcwatch.ui.home.bloodsugar.bean.BloodSugarDetailBean;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.LazyThreadSafetyMode;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.collections.CollectionsKt;
import kotlin.comparisons.ComparisonsKt;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.TypeIntrinsics;
import org.greenrobot.eventbus.EventBus;

/* compiled from: BloodSugarRepository.kt */
@Metadata(d1 = {"\u0000\u0082\u0001\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010$\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\t\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 12\u00020\u0001:\u00011B\u0005¢\u0006\u0002\u0010\u0002J\"\u0010\t\u001a\u000e\u0012\u0004\u0012\u00020\u000b\u0012\u0004\u0012\u00020\f0\n2\u0006\u0010\r\u001a\u00020\u000e2\u0006\u0010\u000f\u001a\u00020\u000eJ\u0006\u0010\u0010\u001a\u00020\u0011J(\u0010\u0012\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\u000e2\u0006\u0010\u000f\u001a\u00020\u000e2\u0006\u0010\u0013\u001a\u00020\u000e2\u0006\u0010\u0014\u001a\u00020\u000bH\u0002J\b\u0010\u0015\u001a\u0004\u0018\u00010\u0016J\u001c\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\u00190\u00182\u0006\u0010\u001a\u001a\u00020\u000b2\u0006\u0010\u001b\u001a\u00020\u001cJ\u001c\u0010\u001d\u001a\b\u0012\u0004\u0012\u00020\u001e0\u00182\u0006\u0010\u001a\u001a\u00020\u000b2\u0006\u0010\u001b\u001a\u00020\u001cJ\u001c\u0010\u001f\u001a\b\u0012\u0004\u0012\u00020\u001e0\u00182\u0006\u0010\u001a\u001a\u00020\u000b2\u0006\u0010\u001b\u001a\u00020\u001cJ\u0014\u0010 \u001a\b\u0012\u0004\u0012\u00020\"0!2\u0006\u0010\u001a\u001a\u00020\u000bJ\b\u0010#\u001a\u0004\u0018\u00010$J\u0014\u0010%\u001a\b\u0012\u0004\u0012\u00020\u00160!2\u0006\u0010\u001b\u001a\u00020\u001cJ\u0010\u0010&\u001a\u0004\u0018\u00010\u00162\u0006\u0010\u001a\u001a\u00020\u000bJ\u0018\u0010'\u001a\u00020\u00112\u0006\u0010(\u001a\u00020)2\u0006\u0010*\u001a\u00020\u000eH\u0002J\u0016\u0010+\u001a\u00020\u00112\u0006\u0010(\u001a\u00020)2\u0006\u0010*\u001a\u00020\u000eJ\u001c\u0010,\u001a\u00020\u00112\u0006\u0010-\u001a\u00020\u000e2\f\u0010.\u001a\b\u0012\u0004\u0012\u0002000/R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u0004¢\u0006\u0002\n\u0000¨\u00062"}, d2 = {"Lcom/qcwireless/qcwatch/ui/base/repository/healthy/BloodSugarRepository;", "", "()V", "bloodSugarDao", "Lcom/qcwireless/qcwatch/ui/base/repository/dao/QcBloodSugarDao;", "qcAppManualSugarContinuousDao", "Lcom/qcwireless/qcwatch/ui/base/repository/dao/QcAppManualSugarContinuousDao;", "qcAppManualSugarDao", "Lcom/qcwireless/qcwatch/ui/base/repository/dao/QcAppManualSugarDao;", "calendarBloodSugar", "", "", "Lcom/haibin/calendarview/Calendar;", "year", "", "month", "deleteData", "", "getSchemeCalendar", "day", "text", "queryAppSugarLast", "Lcom/qcwireless/qcwatch/ui/base/repository/entity/AppBloodSugarEntity;", "queryBloodSugarByDate", "", "Lcom/qcwireless/qcwatch/ui/base/view/QBloodSugarLineChartView$DataBean;", "mac", "date", "Lcom/qcwireless/qc_utils/date/DateUtil;", "queryBloodSugarByDateDetail", "Lcom/qcwireless/qcwatch/ui/home/bloodsugar/bean/BloodSugarDetailBean;", "queryBloodSugarByDateDetailAll", "queryLastBloodSugar", "", "Lcom/qcwireless/qcwatch/ui/base/view/QBloodSugarLineChartHomeView$DataBean;", "queryLastBloodSugarDate", "Lcom/qcwireless/qcwatch/ui/base/repository/entity/BloodSugarEntity;", "queryManualAppSugar", "queryManualBloodSugar", "querySugarByDate", "dataTime", "", "value", "saveManualSugar", "syncBloodSugar", TypedValues.CycleType.S_WAVE_OFFSET, "result", "Lcom/qcwireless/qcwatch/ui/base/repository/base/BaseDeviceResult;", "Lcom/oudmon/ble/base/communication/rsp/ReadBlePressureRsp;", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class BloodSugarRepository {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private static final Lazy<BloodSugarRepository> getInstance$delegate = LazyKt.lazy(LazyThreadSafetyMode.SYNCHRONIZED, (Function0) new Function0<BloodSugarRepository>() { // from class: com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository$Companion$getInstance$2
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // kotlin.jvm.functions.Function0
        public final BloodSugarRepository invoke() {
            return new BloodSugarRepository();
        }
    });
    private final QcBloodSugarDao bloodSugarDao = QcDatabase.INSTANCE.getDatabase(QCApplication.INSTANCE.getCONTEXT()).qcBloodSugar();
    private final QcAppManualSugarDao qcAppManualSugarDao = QcDatabase.INSTANCE.getDatabase(QCApplication.INSTANCE.getCONTEXT()).qcAppManualSugarDao();
    private final QcAppManualSugarContinuousDao qcAppManualSugarContinuousDao = QcDatabase.INSTANCE.getDatabase(QCApplication.INSTANCE.getCONTEXT()).qcAppManualSugarContinuousDao();

    public final List<QBloodSugarLineChartView.DataBean> queryBloodSugarByDate(String mac, DateUtil date) {
        Intrinsics.checkNotNullParameter(mac, "mac");
        Intrinsics.checkNotNullParameter(date, "date");
        ArrayList arrayList = new ArrayList();
        QcAppManualSugarContinuousDao qcAppManualSugarContinuousDao = this.qcAppManualSugarContinuousDao;
        String y_m_d = date.getY_M_D();
        Intrinsics.checkNotNullExpressionValue(y_m_d, "date.y_M_D");
        List<AppBloodSugarContinuousEntity> queryBloodSugarByDate = qcAppManualSugarContinuousDao.queryBloodSugarByDate(mac, y_m_d);
        if (queryBloodSugarByDate != null) {
            Iterator<T> it = queryBloodSugarByDate.iterator();
            while (it.hasNext()) {
                float f = 10;
                arrayList.add(new QBloodSugarLineChartView.DataBean(((AppBloodSugarContinuousEntity) it.next()).getHour() * CacheConstants.HOUR, (r8.getMinSugar() * 1.0f) / f, (r8.getMaxSugar() * 1.0f) / f));
            }
        }
        return arrayList;
    }

    public final List<BloodSugarDetailBean> queryBloodSugarByDateDetailAll(String mac, DateUtil date) {
        Intrinsics.checkNotNullParameter(mac, "mac");
        Intrinsics.checkNotNullParameter(date, "date");
        ArrayList arrayList = new ArrayList();
        QcAppManualSugarDao qcAppManualSugarDao = this.qcAppManualSugarDao;
        String y_m_d = date.getY_M_D();
        Intrinsics.checkNotNullExpressionValue(y_m_d, "date.y_M_D");
        Iterator<T> it = qcAppManualSugarDao.queryByDate(mac, y_m_d).iterator();
        while (it.hasNext()) {
            float f = 10;
            arrayList.add(new BloodSugarDetailBean(((AppBloodSugarEntity) it.next()).getTimestamp(), (r8.getSugar() * 1.0f) / f, (r8.getSugar() * 1.0f) / f));
        }
        return arrayList;
    }

    public final AppBloodSugarEntity queryManualBloodSugar(String mac) {
        Intrinsics.checkNotNullParameter(mac, "mac");
        return this.qcAppManualSugarDao.queryLastDataTimesTamp(mac);
    }

    public final List<BloodSugarDetailBean> queryBloodSugarByDateDetail(String mac, DateUtil date) {
        Intrinsics.checkNotNullParameter(mac, "mac");
        Intrinsics.checkNotNullParameter(date, "date");
        ArrayList arrayList = new ArrayList();
        QcAppManualSugarContinuousDao qcAppManualSugarContinuousDao = this.qcAppManualSugarContinuousDao;
        String y_m_d = date.getY_M_D();
        Intrinsics.checkNotNullExpressionValue(y_m_d, "date.y_M_D");
        List<AppBloodSugarContinuousEntity> queryBloodSugarByDate = qcAppManualSugarContinuousDao.queryBloodSugarByDate(mac, y_m_d);
        if (queryBloodSugarByDate != null) {
            Iterator<T> it = queryBloodSugarByDate.iterator();
            while (it.hasNext()) {
                float f = 10;
                arrayList.add(new BloodSugarDetailBean(((AppBloodSugarContinuousEntity) it.next()).getHour() * CacheConstants.HOUR, (r8.getMinSugar() * 1.0f) / f, (r8.getMaxSugar() * 1.0f) / f));
            }
        }
        if (arrayList.size() > 1) {
            CollectionsKt.sortWith(arrayList, new Comparator() { // from class: com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository$queryBloodSugarByDateDetail$$inlined$sortByDescending$1
                /* JADX WARN: Multi-variable type inference failed */
                @Override // java.util.Comparator
                public final int compare(T t, T t2) {
                    return ComparisonsKt.compareValues(Integer.valueOf(((BloodSugarDetailBean) t2).getSeconds()), Integer.valueOf(((BloodSugarDetailBean) t).getSeconds()));
                }
            });
        }
        return arrayList;
    }

    public final BloodSugarEntity queryLastBloodSugarDate() {
        return this.bloodSugarDao.queryBloodSugarByDateDesc(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
    }

    public final void deleteData() {
        ThreadExtKt.ktxRunOnBgSingleAnother(this, new Function1<BloodSugarRepository, Unit>() { // from class: com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository$deleteData$1
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodSugarRepository bloodSugarRepository) {
                invoke2(bloodSugarRepository);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodSugarRepository ktxRunOnBgSingleAnother) {
                QcAppManualSugarDao qcAppManualSugarDao;
                QcAppManualSugarContinuousDao qcAppManualSugarContinuousDao;
                QcAppManualSugarContinuousDao qcAppManualSugarContinuousDao2;
                QcAppManualSugarDao qcAppManualSugarDao2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingleAnother, "$this$ktxRunOnBgSingleAnother");
                qcAppManualSugarDao = ktxRunOnBgSingleAnother.qcAppManualSugarDao;
                String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                String y_m_d = new DateUtil().getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d, "DateUtil().y_M_D");
                List<AppBloodSugarEntity> queryByDate = qcAppManualSugarDao.queryByDate(deviceAddressNoClear, y_m_d);
                if (!queryByDate.isEmpty()) {
                    qcAppManualSugarDao2 = ktxRunOnBgSingleAnother.qcAppManualSugarDao;
                    qcAppManualSugarDao2.deleteList(TypeIntrinsics.asMutableList(queryByDate));
                }
                qcAppManualSugarContinuousDao = ktxRunOnBgSingleAnother.qcAppManualSugarContinuousDao;
                String deviceAddressNoClear2 = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                String y_m_d2 = new DateUtil().getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d2, "DateUtil().y_M_D");
                List<AppBloodSugarContinuousEntity> queryBloodSugarByDate = qcAppManualSugarContinuousDao.queryBloodSugarByDate(deviceAddressNoClear2, y_m_d2);
                if (queryBloodSugarByDate != null) {
                    qcAppManualSugarContinuousDao2 = ktxRunOnBgSingleAnother.qcAppManualSugarContinuousDao;
                    qcAppManualSugarContinuousDao2.deleteList(TypeIntrinsics.asMutableList(queryBloodSugarByDate));
                }
            }
        });
    }

    public final List<QBloodSugarLineChartHomeView.DataBean> queryLastBloodSugar(String mac) {
        Intrinsics.checkNotNullParameter(mac, "mac");
        ArrayList arrayList = new ArrayList();
        BloodSugarEntity queryLastBloodSugarDate = queryLastBloodSugarDate();
        String dateStr = new DateUtil().getY_M_D();
        long unixTimestamp = new DateUtil().getUnixTimestamp();
        if (queryLastBloodSugarDate != null) {
            dateStr = queryLastBloodSugarDate.getDateStr();
            unixTimestamp = queryLastBloodSugarDate.getUnixTime();
        }
        QcAppManualSugarContinuousDao qcAppManualSugarContinuousDao = this.qcAppManualSugarContinuousDao;
        Intrinsics.checkNotNullExpressionValue(dateStr, "dateStr");
        List<AppBloodSugarContinuousEntity> queryBloodSugarByDate = qcAppManualSugarContinuousDao.queryBloodSugarByDate(mac, dateStr);
        if (queryBloodSugarByDate != null) {
            Iterator<T> it = queryBloodSugarByDate.iterator();
            while (it.hasNext()) {
                float f = 10;
                arrayList.add(new QBloodSugarLineChartHomeView.DataBean(((AppBloodSugarContinuousEntity) it.next()).getHour() * CacheConstants.HOUR, (r1.getMinSugar() * 1.0f) / f, (r1.getMaxSugar() * 1.0f) / f, (int) unixTimestamp));
            }
        }
        return arrayList;
    }

    public final void syncBloodSugar(int offset, final BaseDeviceResult<ReadBlePressureRsp> result) {
        Intrinsics.checkNotNullParameter(result, "result");
        LargeDataHandler.getInstance().syncBloodSugar(offset, new ILargeDataResponse() { // from class: com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository$$ExternalSyntheticLambda0
            @Override // com.oudmon.ble.base.communication.ILargeDataResponse
            public final void parseData(int i, byte[] bArr) {
                BloodSugarRepository.m289syncBloodSugar$lambda5(BloodSugarRepository.this, result, i, bArr);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: syncBloodSugar$lambda-5, reason: not valid java name */
    public static final void m289syncBloodSugar$lambda5(BloodSugarRepository this$0, BaseDeviceResult result, int i, byte[] bArr) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(result, "$result");
        if (i == 71) {
            int bytesToInt = ByteUtil.bytesToInt(Arrays.copyOfRange(bArr, 2, 4)) / 49;
            int i2 = 0;
            while (i2 < bytesToInt) {
                int i3 = (i2 * 49) + 6;
                i2++;
                byte[] copyOfRange = Arrays.copyOfRange(bArr, i3, (i2 * 49) + 6);
                AwLog.i(Author.HeZhiYuan, copyOfRange);
                final DateUtil dateUtil = new DateUtil();
                final ArrayList arrayList = new ArrayList();
                final ArrayList arrayList2 = new ArrayList();
                int length = copyOfRange.length;
                for (int i4 = 0; i4 < length; i4++) {
                    if (i4 == 0) {
                        dateUtil.addDay(-copyOfRange[0]);
                    } else if (i4 % 2 == 0) {
                        arrayList2.add(Integer.valueOf(copyOfRange[i4]));
                    } else {
                        arrayList.add(Integer.valueOf(copyOfRange[i4]));
                    }
                }
                ThreadExtKt.ktxRunOnBgSingle(this$0, new Function1<BloodSugarRepository, Unit>() { // from class: com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository$syncBloodSugar$1$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodSugarRepository bloodSugarRepository) {
                        invoke2(bloodSugarRepository);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodSugarRepository ktxRunOnBgSingle) {
                        QcBloodSugarDao qcBloodSugarDao;
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                        String y_m_d = DateUtil.this.getY_M_D();
                        Intrinsics.checkNotNullExpressionValue(y_m_d, "date.y_M_D");
                        BloodSugarEntity bloodSugarEntity = new BloodSugarEntity(deviceAddressNoClear, y_m_d, MoshiUtilsKt.toJson(arrayList2), MoshiUtilsKt.toJson(arrayList), DateUtil.this.getZeroTime(), false, new DateUtil().getUnixTimestamp());
                        AwLog.i(Author.HeZhiYuan, bloodSugarEntity);
                        qcBloodSugarDao = ktxRunOnBgSingle.bloodSugarDao;
                        qcBloodSugarDao.insert(bloodSugarEntity);
                    }
                });
            }
            if (bytesToInt == 0) {
                ThreadExtKt.ktxRunOnBgSingle(this$0, new Function1<BloodSugarRepository, Unit>() { // from class: com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository$syncBloodSugar$1$2
                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodSugarRepository bloodSugarRepository) {
                        invoke2(bloodSugarRepository);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodSugarRepository ktxRunOnBgSingle) {
                        QcBloodSugarDao qcBloodSugarDao;
                        QcBloodSugarDao qcBloodSugarDao2;
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        qcBloodSugarDao = ktxRunOnBgSingle.bloodSugarDao;
                        String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                        String y_m_d = new DateUtil().getY_M_D();
                        Intrinsics.checkNotNullExpressionValue(y_m_d, "DateUtil().y_M_D");
                        BloodSugarEntity queryBloodSugarByDate = qcBloodSugarDao.queryBloodSugarByDate(deviceAddressNoClear, y_m_d);
                        if (queryBloodSugarByDate != null) {
                            qcBloodSugarDao2 = ktxRunOnBgSingle.bloodSugarDao;
                            qcBloodSugarDao2.delete(queryBloodSugarByDate);
                        }
                    }
                });
            }
            result.result(0, new ReadBlePressureRsp());
        }
    }

    public final void saveManualSugar(final long dataTime, final int value) {
        ThreadExtKt.ktxRunOnBgSingleAnother(this, new Function1<BloodSugarRepository, Unit>() { // from class: com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository$saveManualSugar$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodSugarRepository bloodSugarRepository) {
                invoke2(bloodSugarRepository);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodSugarRepository ktxRunOnBgSingleAnother) {
                QcAppManualSugarDao qcAppManualSugarDao;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingleAnother, "$this$ktxRunOnBgSingleAnother");
                DateUtil dateUtil = new DateUtil(dataTime, true);
                String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                String y_m_d = dateUtil.getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d, "bean.y_M_D");
                AppBloodSugarEntity appBloodSugarEntity = new AppBloodSugarEntity(deviceAddressNoClear, y_m_d, (int) dataTime, value);
                qcAppManualSugarDao = ktxRunOnBgSingleAnother.qcAppManualSugarDao;
                qcAppManualSugarDao.insert(appBloodSugarEntity);
                ktxRunOnBgSingleAnother.querySugarByDate(dataTime, value);
                EventBus.getDefault().post(new ManualRefreshEvent());
            }
        });
    }

    public final List<AppBloodSugarEntity> queryManualAppSugar(DateUtil date) {
        Intrinsics.checkNotNullParameter(date, "date");
        QcAppManualSugarDao qcAppManualSugarDao = this.qcAppManualSugarDao;
        String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
        String y_m_d = date.getY_M_D();
        Intrinsics.checkNotNullExpressionValue(y_m_d, "date.y_M_D");
        return qcAppManualSugarDao.queryDataLimit(deviceAddressNoClear, y_m_d);
    }

    public final AppBloodSugarEntity queryAppSugarLast() {
        return this.qcAppManualSugarDao.queryLastDataTimesTamp(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void querySugarByDate(long dataTime, int value) {
        DateUtil dateUtil = new DateUtil(dataTime, true);
        QcAppManualSugarContinuousDao qcAppManualSugarContinuousDao = this.qcAppManualSugarContinuousDao;
        String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
        String y_m_d = dateUtil.getY_M_D();
        Intrinsics.checkNotNullExpressionValue(y_m_d, "date.y_M_D");
        AppBloodSugarContinuousEntity queryDataDate = qcAppManualSugarContinuousDao.queryDataDate(deviceAddressNoClear, y_m_d, dateUtil.getHour());
        if (queryDataDate == null) {
            String deviceAddressNoClear2 = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
            String y_m_d2 = dateUtil.getY_M_D();
            Intrinsics.checkNotNullExpressionValue(y_m_d2, "date.y_M_D");
            queryDataDate = new AppBloodSugarContinuousEntity(deviceAddressNoClear2, y_m_d2, (int) dateUtil.getUnixTimestamp(), value, value, dateUtil.getHour());
        } else {
            int minSugar = queryDataDate.getMinSugar();
            int maxSugar = queryDataDate.getMaxSugar();
            if (value < minSugar) {
                queryDataDate.setMinSugar(value);
            }
            if (value > maxSugar) {
                queryDataDate.setMaxSugar(value);
            }
        }
        this.qcAppManualSugarContinuousDao.insert(queryDataDate);
    }

    public final Map<String, Calendar> calendarBloodSugar(int year, int month) {
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        DateUtil dateUtil = new DateUtil(year, month, 1);
        for (int i = 1; i < 32; i++) {
            QcBloodSugarDao qcBloodSugarDao = this.bloodSugarDao;
            String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
            String y_m_d = dateUtil.getY_M_D();
            Intrinsics.checkNotNullExpressionValue(y_m_d, "monthDate.y_M_D");
            if (qcBloodSugarDao.queryBloodSugarByDate(deviceAddressNoClear, y_m_d) != null) {
                String calendar = getSchemeCalendar(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay(), "").toString();
                Intrinsics.checkNotNullExpressionValue(calendar, "getSchemeCalendar(monthD…           \"\").toString()");
                linkedHashMap.put(calendar, getSchemeCalendar(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay(), ""));
            }
            dateUtil.addDay(1);
        }
        return linkedHashMap;
    }

    private final Calendar getSchemeCalendar(int year, int month, int day, String text) {
        Calendar calendar = new Calendar();
        calendar.setYear(year);
        calendar.setMonth(month);
        calendar.setDay(day);
        calendar.setSchemeColor(SupportMenu.CATEGORY_MASK);
        calendar.setScheme(text);
        return calendar;
    }

    /* compiled from: BloodSugarRepository.kt */
    @Metadata(d1 = {"\u0000\u0014\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u001b\u0010\u0003\u001a\u00020\u00048FX\u0086\u0084\u0002¢\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006¨\u0006\t"}, d2 = {"Lcom/qcwireless/qcwatch/ui/base/repository/healthy/BloodSugarRepository$Companion;", "", "()V", "getInstance", "Lcom/qcwireless/qcwatch/ui/base/repository/healthy/BloodSugarRepository;", "getGetInstance", "()Lcom/qcwireless/qcwatch/ui/base/repository/healthy/BloodSugarRepository;", "getInstance$delegate", "Lkotlin/Lazy;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final BloodSugarRepository getGetInstance() {
            return (BloodSugarRepository) BloodSugarRepository.getInstance$delegate.getValue();
        }
    }
}
