package com.qcwireless.qcwatch.ui.base.repository.watchface;

import androidx.exifinterface.media.ExifInterface;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.liulishuo.okdownload.DownloadContext;
import com.liulishuo.okdownload.DownloadContextListener;
import com.liulishuo.okdownload.DownloadTask;
import com.liulishuo.okdownload.core.cause.EndCause;
import com.luck.picture.lib.config.PictureMimeType;
import com.qcwireless.qcwatch.QCApplication;
import com.qcwireless.qcwatch.base.event.WatchFaceDownloadProgressEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.FileUtils;
import com.qcwireless.qcwatch.base.utils.MoshiUtilsKt;
import com.qcwireless.qcwatch.ui.base.bean.response.device.CustomDialResp;
import com.qcwireless.qcwatch.ui.base.bean.response.watchface.WatchFaceResp;
import com.qcwireless.qcwatch.ui.base.repository.base.DeviceSettingAction;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcCustomFaceDao;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcDatabase;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcDeviceSettingDao;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcWatchFaceDao;
import com.qcwireless.qcwatch.ui.base.repository.entity.CustomFaceEntity;
import com.qcwireless.qcwatch.ui.base.repository.entity.DeviceSettingEntity;
import com.qcwireless.qcwatch.ui.base.repository.entity.WatchFace;
import com.qcwireless.qcwatch.ui.base.repository.healthy.HealthyRepository;
import com.qcwireless.qcwatch.ui.home.healthy.bean.WatchFaceVersionBean;
import com.qcwireless.qcwatch.ui.plate.bean.DiyWatchFaceSettingBean;
import com.qcwireless.qcwatch.ui.plate.bean.MarketWatchFaceBean;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.LazyThreadSafetyMode;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.intrinsics.IntrinsicsKt;
import kotlin.coroutines.jvm.internal.ContinuationImpl;
import kotlin.coroutines.jvm.internal.DebugMetadata;
import kotlin.coroutines.jvm.internal.SuspendFunction;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Ref;
import kotlin.text.StringsKt;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.flow.Flow;
import kotlinx.coroutines.flow.FlowCollector;
import kotlinx.coroutines.flow.FlowKt;
import org.greenrobot.eventbus.EventBus;

/* compiled from: WatchFaceRepository.kt */
@Metadata(d1 = {"\u0000\u0080\u0001\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010 \n\u0002\b\u0003\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\b\u0018\u0000 =2\u00020\u0001:\u0001=B\u0005¢\u0006\u0002\u0010\u0002J0\u0010\t\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u0002H\u000b0\n0\n\"\u0004\b\u0000\u0010\u000b2\f\u0010\f\u001a\b\u0012\u0004\u0012\u0002H\u000b0\n2\u0006\u0010\r\u001a\u00020\u000eH\u0002J\u0018\u0010\u000f\u001a\u00020\u00102\u0006\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0013\u001a\u00020\u0012H\u0002J \u0010\u000f\u001a\u00020\u00102\u0006\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0013\u001a\u00020\u00122\u0006\u0010\u0014\u001a\u00020\u0012H\u0002J,\u0010\u0015\u001a\u00020\u00162\u0006\u0010\u0017\u001a\u00020\u00122\f\u0010\u0018\u001a\b\u0012\u0004\u0012\u00020\u00190\n2\u0006\u0010\u001a\u001a\u00020\u000e2\u0006\u0010\u001b\u001a\u00020\u000eJ\u001c\u0010\u001c\u001a\u00020\u00162\f\u0010\u0018\u001a\b\u0012\u0004\u0012\u00020\u001d0\n2\u0006\u0010\u001e\u001a\u00020\u000eJ\u001c\u0010\u001f\u001a\u00020\u00162\f\u0010\u0018\u001a\b\u0012\u0004\u0012\u00020\u001d0\n2\u0006\u0010\u001e\u001a\u00020\u000eJ\u000e\u0010 \u001a\u00020\u00162\u0006\u0010!\u001a\u00020\"J%\u0010#\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020&0%0$2\u0006\u0010'\u001a\u00020\u0012H\u0086@ø\u0001\u0000¢\u0006\u0002\u0010(J'\u0010)\u001a\u0010\u0012\f\u0012\n\u0012\u0004\u0012\u00020*\u0018\u00010\n0$2\u0006\u0010+\u001a\u00020\u0012H\u0086@ø\u0001\u0000¢\u0006\u0002\u0010(J\u0019\u0010,\u001a\n\u0012\u0006\u0012\u0004\u0018\u00010*0$H\u0086@ø\u0001\u0000¢\u0006\u0002\u0010-J3\u0010.\u001a\u0014\u0012\u0010\u0012\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\u001d0\n0%0$2\u0006\u0010'\u001a\u00020\u00122\u0006\u0010/\u001a\u00020\u000eH\u0086@ø\u0001\u0000¢\u0006\u0002\u00100J%\u00101\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\u00120%0$2\u0006\u0010'\u001a\u00020\u0012H\u0086@ø\u0001\u0000¢\u0006\u0002\u0010(J!\u00102\u001a\n\u0012\u0006\u0012\u0004\u0018\u0001030$2\u0006\u00104\u001a\u00020\u0012H\u0086@ø\u0001\u0000¢\u0006\u0002\u0010(J\u000e\u00105\u001a\u0002062\u0006\u00107\u001a\u00020\u0012J\u000e\u00108\u001a\n\u0012\u0004\u0012\u000206\u0018\u00010\nJ\u000e\u00109\u001a\u00020\u00162\u0006\u0010:\u001a\u000203J\u000e\u0010;\u001a\u00020\u00162\u0006\u0010<\u001a\u000206R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u0004¢\u0006\u0002\n\u0000\u0082\u0002\u0004\n\u0002\b\u0019¨\u0006>"}, d2 = {"Lcom/qcwireless/qcwatch/ui/base/repository/watchface/WatchFaceRepository;", "", "()V", "qcCustomFaceDao", "Lcom/qcwireless/qcwatch/ui/base/repository/dao/QcCustomFaceDao;", "qcDeviceSettingDao", "Lcom/qcwireless/qcwatch/ui/base/repository/dao/QcDeviceSettingDao;", "watchFaceDao", "Lcom/qcwireless/qcwatch/ui/base/repository/dao/QcWatchFaceDao;", "averageAssign", "", ExifInterface.GPS_DIRECTION_TRUE, "source", "n", "", "createTask", "Lcom/liulishuo/okdownload/DownloadTask;", "url", "", "fileName", "tag", "downloadCustomImage", "", "bgUrl", "list", "Lcom/qcwireless/qcwatch/ui/base/bean/response/device/CustomDialResp$ElementUI;", "width", "height", "downloadWatchFaceBinFile", "Lcom/qcwireless/qcwatch/ui/base/bean/response/watchface/WatchFaceResp;", "version", "downloadWatchFaceImageFile", "downloadWatchFaceImageFileNotExists", "item", "Lcom/qcwireless/qcwatch/ui/plate/bean/MarketWatchFaceBean;", "getCustomWatchFaceParams", "Lkotlinx/coroutines/flow/Flow;", "Lcom/qcwireless/qcwatch/ui/base/repository/watchface/WatchFaceState;", "Lcom/qcwireless/qcwatch/ui/base/bean/response/device/CustomDialResp;", "hardwareVersion", "(Ljava/lang/String;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "getCustomizeParamsFromLocal", "Lcom/qcwireless/qcwatch/ui/base/repository/entity/CustomFaceEntity;", "address", "getCustomizeParamsFromLocalByType", "(Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "getWatchFaceFromServer", "marketVersion", "(Ljava/lang/String;ILkotlin/coroutines/Continuation;)Ljava/lang/Object;", "getWatchFaceServiceVersion", "getWatchFaceSetting", "Lcom/qcwireless/qcwatch/ui/plate/bean/DiyWatchFaceSettingBean;", "mac", "queryByName", "Lcom/qcwireless/qcwatch/ui/base/repository/entity/WatchFace;", "name", "queryWatchFaceListByVersion", "saveWatchFaceSetting", "watchFaceSettingBean", "updateWatchFaceBean", "bean", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class WatchFaceRepository {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private static final Lazy<WatchFaceRepository> getInstance$delegate = LazyKt.lazy(LazyThreadSafetyMode.SYNCHRONIZED, (Function0) new Function0<WatchFaceRepository>() { // from class: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$Companion$getInstance$2
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // kotlin.jvm.functions.Function0
        public final WatchFaceRepository invoke() {
            return new WatchFaceRepository();
        }
    });
    private final QcWatchFaceDao watchFaceDao = QcDatabase.INSTANCE.getDatabase(QCApplication.INSTANCE.getCONTEXT()).qcWatchFaceDao();
    private final QcDeviceSettingDao qcDeviceSettingDao = QcDatabase.INSTANCE.getDatabase(QCApplication.INSTANCE.getCONTEXT()).qcDeviceSettingDao();
    private final QcCustomFaceDao qcCustomFaceDao = QcDatabase.INSTANCE.getDatabase(QCApplication.INSTANCE.getCONTEXT()).qcCustomFaceDao();

    public final void downloadWatchFaceBinFile(List<WatchFaceResp> list, int version) {
        Intrinsics.checkNotNullParameter(list, "list");
    }

    public final Object getWatchFaceFromServer(String str, int i, Continuation<? super Flow<WatchFaceState<List<WatchFaceResp>>>> continuation) {
        return FlowKt.m2572catch(FlowKt.flowOn(FlowKt.onStart(FlowKt.flow(new WatchFaceRepository$getWatchFaceFromServer$2(str, i, this, null)), new WatchFaceRepository$getWatchFaceFromServer$3(null)), Dispatchers.getIO()), new WatchFaceRepository$getWatchFaceFromServer$4(null));
    }

    public final Object getWatchFaceServiceVersion(String str, Continuation<? super Flow<WatchFaceState<String>>> continuation) {
        return FlowKt.m2572catch(FlowKt.flowOn(FlowKt.onStart(FlowKt.flow(new WatchFaceRepository$getWatchFaceServiceVersion$2(str, null)), new WatchFaceRepository$getWatchFaceServiceVersion$3(null)), Dispatchers.getIO()), new WatchFaceRepository$getWatchFaceServiceVersion$4(null));
    }

    public final void downloadWatchFaceImageFileNotExists(MarketWatchFaceBean item) {
        Intrinsics.checkNotNullParameter(item, "item");
        File watchFaceDirFile = FileUtils.INSTANCE.getWatchFaceDirFile();
        String name = item.getWatchFace().getName();
        String str = name;
        List split$default = StringsKt.split$default((CharSequence) str, new char[]{'.'}, false, 0, 6, (Object) null);
        String str2 = ((String) StringsKt.split$default((CharSequence) str, new char[]{'.'}, false, 0, 6, (Object) null).get(0)) + '.' + ((String) split$default.get(split$default.size() - 1));
        if (FileUtils.INSTANCE.fileExists(watchFaceDirFile.getAbsolutePath() + '/' + str2)) {
            FileUtils.INSTANCE.deleteFile(watchFaceDirFile.getAbsolutePath() + '/' + str2);
        }
        createTask(item.getWatchFace().getPreImageUrl(), str2, name).enqueue(new DownloadAImageListener());
    }

    public final void downloadWatchFaceImageFile(List<WatchFaceResp> list, final int version) {
        Intrinsics.checkNotNullParameter(list, "list");
        int size = list.size() / 10;
        if (size == 0) {
            size = 1;
        }
        List<List> averageAssign = averageAssign(list, size);
        final int size2 = averageAssign.size();
        final Ref.IntRef intRef = new Ref.IntRef();
        for (List<WatchFaceResp> list2 : averageAssign) {
            DownloadContext.QueueSet queueSet = new DownloadContext.QueueSet();
            File watchFaceDirFile = FileUtils.INSTANCE.getWatchFaceDirFile();
            queueSet.setParentPathFile(watchFaceDirFile);
            queueSet.setMinIntervalMillisCallbackProcess(1000);
            DownloadContext.Builder commit = queueSet.commit();
            for (WatchFaceResp watchFaceResp : list2) {
                String name = watchFaceResp.getName();
                List split$default = StringsKt.split$default((CharSequence) watchFaceResp.getPreImageUrl(), new char[]{'.'}, false, 0, 6, (Object) null);
                String str = ((String) StringsKt.split$default((CharSequence) name, new char[]{'.'}, false, 0, 6, (Object) null).get(0)) + '.' + ((String) split$default.get(split$default.size() - 1));
                if (!FileUtils.INSTANCE.fileExists(watchFaceDirFile.getAbsolutePath() + '/' + str)) {
                    commit.bindSetTask(createTask(watchFaceResp.getPreImageUrl(), str, name));
                } else {
                    WatchFace queryWatchFaceByNameAndHdVersion = this.watchFaceDao.queryWatchFaceByNameAndHdVersion(watchFaceResp.getName(), UserConfig.INSTANCE.getInstance().getHwVersion());
                    if (queryWatchFaceByNameAndHdVersion != null) {
                        queryWatchFaceByNameAndHdVersion.setLocalImageUrl(watchFaceDirFile.getAbsolutePath() + '/' + str);
                        queryWatchFaceByNameAndHdVersion.setMarketVersion(version);
                        this.watchFaceDao.insert(queryWatchFaceByNameAndHdVersion);
                    }
                }
            }
            commit.setListener(new DownloadContextListener() { // from class: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$downloadWatchFaceImageFile$1
                @Override // com.liulishuo.okdownload.DownloadContextListener
                public void taskEnd(DownloadContext context, DownloadTask task, EndCause cause, Exception realCause, int remainCount) {
                    Intrinsics.checkNotNullParameter(context, "context");
                    Intrinsics.checkNotNullParameter(task, "task");
                    Intrinsics.checkNotNullParameter(cause, "cause");
                }

                @Override // com.liulishuo.okdownload.DownloadContextListener
                public void queueEnd(DownloadContext context) {
                    Intrinsics.checkNotNullParameter(context, "context");
                    Ref.IntRef.this.element++;
                    if (Ref.IntRef.this.element >= size2) {
                        AwLog.i(Author.HeZhiYuan, "------------1000");
                        QCApplication.INSTANCE.getGetInstance().setDownloadWatchFace(false);
                        AwLog.i(Author.HeZhiYuan, "-----------图片下载完");
                        EventBus.getDefault().post(new WatchFaceDownloadProgressEvent(50));
                        HealthyRepository.INSTANCE.getGetInstance().saveWatchFaceVersion(new WatchFaceVersionBean(UserConfig.INSTANCE.getInstance().getHwVersion(), String.valueOf(version)));
                    }
                }
            });
            commit.build().startOnParallel(new QueueImageListener());
        }
    }

    public final void downloadCustomImage(final String bgUrl, List<CustomDialResp.ElementUI> list, final int width, final int height) {
        Intrinsics.checkNotNullParameter(bgUrl, "bgUrl");
        Intrinsics.checkNotNullParameter(list, "list");
        DownloadContext.QueueSet queueSet = new DownloadContext.QueueSet();
        final File customDialDirFile = FileUtils.INSTANCE.getCustomDialDirFile();
        queueSet.setParentPathFile(customDialDirFile);
        queueSet.setMinIntervalMillisCallbackProcess(1000);
        DownloadContext.Builder commit = queueSet.commit();
        for (CustomDialResp.ElementUI elementUI : list) {
            String valueOf = String.valueOf(elementUI.getType());
            if (!(elementUI.getImageUrl().length() == 0)) {
                String str = UserConfig.INSTANCE.getInstance().getHwVersion() + '_' + valueOf + PictureMimeType.PNG;
                if (!FileUtils.INSTANCE.fileExists(customDialDirFile.getAbsolutePath() + '/' + str)) {
                    commit.bindSetTask(createTask(elementUI.getImageUrl(), str));
                }
                this.qcCustomFaceDao.insert(new CustomFaceEntity(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear(), UserConfig.INSTANCE.getInstance().getHwVersion(), elementUI.getType(), elementUI.getX(), elementUI.getY(), elementUI.getImageUrl(), customDialDirFile.getAbsolutePath() + '/' + str));
            }
        }
        final String str2 = UserConfig.INSTANCE.getInstance().getHwVersion() + "_bg.png";
        if (!FileUtils.INSTANCE.fileExists(customDialDirFile.getAbsolutePath() + '/' + str2)) {
            commit.bindSetTask(createTask(bgUrl, str2));
        }
        commit.setListener(new DownloadContextListener() { // from class: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$downloadCustomImage$1
            @Override // com.liulishuo.okdownload.DownloadContextListener
            public void taskEnd(DownloadContext context, DownloadTask task, EndCause cause, Exception realCause, int remainCount) {
                Intrinsics.checkNotNullParameter(context, "context");
                Intrinsics.checkNotNullParameter(task, "task");
                Intrinsics.checkNotNullParameter(cause, "cause");
            }

            @Override // com.liulishuo.okdownload.DownloadContextListener
            public void queueEnd(DownloadContext context) {
                Intrinsics.checkNotNullParameter(context, "context");
                AwLog.i(Author.HeZhiYuan, "--------end");
                final int i = width;
                final int i2 = height;
                final String str3 = bgUrl;
                final File file = customDialDirFile;
                final String str4 = str2;
                final WatchFaceRepository watchFaceRepository = this;
                ThreadExtKt.ktxRunOnBgSingle(this, new Function1<WatchFaceRepository$downloadCustomImage$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$downloadCustomImage$1$queueEnd$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(WatchFaceRepository$downloadCustomImage$1 watchFaceRepository$downloadCustomImage$1) {
                        invoke2(watchFaceRepository$downloadCustomImage$1);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(WatchFaceRepository$downloadCustomImage$1 ktxRunOnBgSingle) {
                        QcCustomFaceDao qcCustomFaceDao;
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        CustomFaceEntity customFaceEntity = new CustomFaceEntity(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear(), UserConfig.INSTANCE.getInstance().getHwVersion(), 666, i, i2, str3, file.getAbsolutePath() + '/' + str4);
                        qcCustomFaceDao = watchFaceRepository.qcCustomFaceDao;
                        qcCustomFaceDao.insert(customFaceEntity);
                    }
                });
            }
        });
        commit.build().startOnParallel(new QueueDiyImageListener());
    }

    private final DownloadTask createTask(String url, String fileName) {
        DownloadTask build = new DownloadTask.Builder(url, FileUtils.INSTANCE.getCustomDialDirFile()).setFilename(fileName).setMinIntervalMillisCallbackProcess(64).setPriority(10).setPassIfAlreadyCompleted(false).setReadBufferSize(8192).build();
        Intrinsics.checkNotNullExpressionValue(build, "Builder(url, parentFile)…192)\n            .build()");
        return build;
    }

    private final DownloadTask createTask(String url, String fileName, String tag) {
        DownloadTask task = new DownloadTask.Builder(url, FileUtils.INSTANCE.getWatchFaceDirFile()).setFilename(fileName).setMinIntervalMillisCallbackProcess(64).setPassIfAlreadyCompleted(false).setPriority(10).setConnectionCount(1).setReadBufferSize(8192).build();
        task.setTag(tag);
        Intrinsics.checkNotNullExpressionValue(task, "task");
        return task;
    }

    public final List<WatchFace> queryWatchFaceListByVersion() {
        QcWatchFaceDao qcWatchFaceDao = this.watchFaceDao;
        String hwVersion = UserConfig.INSTANCE.getInstance().getHwVersion();
        Intrinsics.checkNotNull(hwVersion);
        return qcWatchFaceDao.queryWatchFaceByHardwareVersion(hwVersion, UserConfig.INSTANCE.getInstance().getWatchFaceMarketVersion());
    }

    public final WatchFace queryByName(String name) {
        Intrinsics.checkNotNullParameter(name, "name");
        return this.watchFaceDao.queryWatchFaceByName(name, UserConfig.INSTANCE.getInstance().getHwVersion());
    }

    public final void updateWatchFaceBean(WatchFace bean) {
        Intrinsics.checkNotNullParameter(bean, "bean");
        this.watchFaceDao.insert(bean);
    }

    public final void saveWatchFaceSetting(final DiyWatchFaceSettingBean watchFaceSettingBean) {
        Intrinsics.checkNotNullParameter(watchFaceSettingBean, "watchFaceSettingBean");
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<WatchFaceRepository, Unit>() { // from class: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$saveWatchFaceSetting$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(WatchFaceRepository watchFaceRepository) {
                invoke2(watchFaceRepository);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(WatchFaceRepository ktxRunOnBgSingle) {
                QcCustomFaceDao qcCustomFaceDao;
                QcDeviceSettingDao qcDeviceSettingDao;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                qcCustomFaceDao = ktxRunOnBgSingle.qcCustomFaceDao;
                List<CustomFaceEntity> queryWatchFaceList = qcCustomFaceDao.queryWatchFaceList(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
                if (queryWatchFaceList != null && (!queryWatchFaceList.isEmpty())) {
                    for (CustomFaceEntity customFaceEntity : queryWatchFaceList) {
                        int type = customFaceEntity.getType();
                        if (type == 1) {
                            DiyWatchFaceSettingBean.this.setLocalHourImageUrl(customFaceEntity.getLocalUrl());
                        } else if (type == 2) {
                            DiyWatchFaceSettingBean.this.setLocalBatteryImageUrl(customFaceEntity.getLocalUrl());
                        } else if (type == 3) {
                            DiyWatchFaceSettingBean.this.setLocalDataImageUrl(customFaceEntity.getLocalUrl());
                        } else if (type == 666) {
                            DiyWatchFaceSettingBean.this.setLocalDefaultImageUrl(customFaceEntity.getLocalUrl());
                        }
                    }
                }
                qcDeviceSettingDao = ktxRunOnBgSingle.qcDeviceSettingDao;
                qcDeviceSettingDao.insert(new DeviceSettingEntity(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear(), DeviceSettingAction.DiyWatchFaceSetting, MoshiUtilsKt.toJson(DiyWatchFaceSettingBean.this)));
            }
        });
    }

    private final <T> List<List<T>> averageAssign(List<? extends T> source, int n) {
        List<? extends T> subList;
        ArrayList arrayList = new ArrayList();
        int size = source.size() % n;
        int size2 = source.size() / n;
        int i = 0;
        for (int i2 = 0; i2 < n; i2++) {
            if (size > 0) {
                subList = source.subList((i2 * size2) + i, ((i2 + 1) * size2) + i + 1);
                size--;
                i++;
            } else {
                subList = source.subList((i2 * size2) + i, ((i2 + 1) * size2) + i);
            }
            arrayList.add(subList);
        }
        return arrayList;
    }

    public final Object getWatchFaceSetting(String str, Continuation<? super Flow<DiyWatchFaceSettingBean>> continuation) {
        final Flow flow = FlowKt.flow(new WatchFaceRepository$getWatchFaceSetting$2(this, str, null));
        return FlowKt.m2572catch(FlowKt.flowOn(FlowKt.onStart(new Flow<DiyWatchFaceSettingBean>() { // from class: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1
            @Override // kotlinx.coroutines.flow.Flow
            public Object collect(FlowCollector<? super DiyWatchFaceSettingBean> flowCollector, Continuation continuation2) {
                Object collect = Flow.this.collect(new AnonymousClass2(flowCollector), continuation2);
                return collect == IntrinsicsKt.getCOROUTINE_SUSPENDED() ? collect : Unit.INSTANCE;
            }

            /* compiled from: Emitters.kt */
            @Metadata(d1 = {"\u0000\n\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0007\u0010\u0000\u001a\u00020\u0001\"\u0004\b\u0000\u0010\u0002\"\u0004\b\u0001\u0010\u00032\u0006\u0010\u0004\u001a\u0002H\u0002H\u008a@¢\u0006\u0004\b\u0005\u0010\u0006¨\u0006\b"}, d2 = {"<anonymous>", "", ExifInterface.GPS_DIRECTION_TRUE, "R", "value", "emit", "(Ljava/lang/Object;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "kotlinx/coroutines/flow/FlowKt__EmittersKt$unsafeTransform$1$1", "kotlinx/coroutines/flow/FlowKt__TransformKt$map$$inlined$unsafeTransform$1$2"}, k = 3, mv = {1, 6, 0}, xi = 48)
            /* renamed from: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1$2, reason: invalid class name */
            /* loaded from: classes2.dex */
            public static final class AnonymousClass2<T> implements FlowCollector, SuspendFunction {
                final /* synthetic */ FlowCollector $this_unsafeFlow;

                /* compiled from: Emitters.kt */
                @Metadata(k = 3, mv = {1, 6, 0}, xi = 48)
                @DebugMetadata(c = "com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1$2", f = "WatchFaceRepository.kt", i = {}, l = {224}, m = "emit", n = {}, s = {})
                /* renamed from: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1$2$1, reason: invalid class name */
                /* loaded from: classes2.dex */
                public static final class AnonymousClass1 extends ContinuationImpl {
                    Object L$0;
                    int label;
                    /* synthetic */ Object result;

                    public AnonymousClass1(Continuation continuation) {
                        super(continuation);
                    }

                    @Override // kotlin.coroutines.jvm.internal.BaseContinuationImpl
                    public final Object invokeSuspend(Object obj) {
                        this.result = obj;
                        this.label |= Integer.MIN_VALUE;
                        return AnonymousClass2.this.emit(null, this);
                    }
                }

                public AnonymousClass2(FlowCollector flowCollector) {
                    this.$this_unsafeFlow = flowCollector;
                }

                /* JADX WARN: Removed duplicated region for block: B:15:0x0032  */
                /* JADX WARN: Removed duplicated region for block: B:8:0x0024  */
                @Override // kotlinx.coroutines.flow.FlowCollector
                /*
                    Code decompiled incorrectly, please refer to instructions dump.
                    To view partially-correct code enable 'Show inconsistent code' option in preferences
                */
                public final java.lang.Object emit(java.lang.Object r6, kotlin.coroutines.Continuation r7) {
                    /*
                        r5 = this;
                        boolean r0 = r7 instanceof com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1.AnonymousClass2.AnonymousClass1
                        if (r0 == 0) goto L14
                        r0 = r7
                        com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1$2$1 r0 = (com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1.AnonymousClass2.AnonymousClass1) r0
                        int r1 = r0.label
                        r2 = -2147483648(0xffffffff80000000, float:-0.0)
                        r1 = r1 & r2
                        if (r1 == 0) goto L14
                        int r7 = r0.label
                        int r7 = r7 - r2
                        r0.label = r7
                        goto L19
                    L14:
                        com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1$2$1 r0 = new com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1$2$1
                        r0.<init>(r7)
                    L19:
                        java.lang.Object r7 = r0.result
                        java.lang.Object r1 = kotlin.coroutines.intrinsics.IntrinsicsKt.getCOROUTINE_SUSPENDED()
                        int r2 = r0.label
                        r3 = 1
                        if (r2 == 0) goto L32
                        if (r2 != r3) goto L2a
                        kotlin.ResultKt.throwOnFailure(r7)
                        goto L65
                    L2a:
                        java.lang.IllegalStateException r6 = new java.lang.IllegalStateException
                        java.lang.String r7 = "call to 'resume' before 'invoke' with coroutine"
                        r6.<init>(r7)
                        throw r6
                    L32:
                        kotlin.ResultKt.throwOnFailure(r7)
                        kotlinx.coroutines.flow.FlowCollector r7 = r5.$this_unsafeFlow
                        r2 = r0
                        kotlin.coroutines.Continuation r2 = (kotlin.coroutines.Continuation) r2
                        com.qcwireless.qcwatch.ui.base.repository.entity.DeviceSettingEntity r6 = (com.qcwireless.qcwatch.ui.base.repository.entity.DeviceSettingEntity) r6
                        java.lang.String r6 = r6.getContent()
                        com.qcwireless.qcwatch.base.utils.MoshiUtils r2 = com.qcwireless.qcwatch.base.utils.MoshiUtils.INSTANCE
                        com.squareup.moshi.Moshi r2 = r2.getMoshiBuild()
                        com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$lambda-0$$inlined$fromJson$1 r4 = new com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$lambda-0$$inlined$fromJson$1
                        r4.<init>()
                        java.lang.reflect.Type r4 = r4.getType()
                        com.squareup.moshi.JsonAdapter r2 = r2.adapter(r4)
                        java.lang.String r4 = "moshiBuild.adapter(objec…: TypeToken<T>() {}.type)"
                        kotlin.jvm.internal.Intrinsics.checkNotNullExpressionValue(r2, r4)
                        java.lang.Object r6 = r2.fromJson(r6)
                        r0.label = r3
                        java.lang.Object r6 = r7.emit(r6, r0)
                        if (r6 != r1) goto L65
                        return r1
                    L65:
                        kotlin.Unit r6 = kotlin.Unit.INSTANCE
                        return r6
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.qcwireless.qcwatch.ui.base.repository.watchface.WatchFaceRepository$getWatchFaceSetting$$inlined$map$1.AnonymousClass2.emit(java.lang.Object, kotlin.coroutines.Continuation):java.lang.Object");
                }
            }
        }, new WatchFaceRepository$getWatchFaceSetting$4(null)), Dispatchers.getIO()), new WatchFaceRepository$getWatchFaceSetting$5(this, str, null));
    }

    public final Object getCustomWatchFaceParams(String str, Continuation<? super Flow<WatchFaceState<CustomDialResp>>> continuation) {
        return FlowKt.m2572catch(FlowKt.flowOn(FlowKt.onStart(FlowKt.flow(new WatchFaceRepository$getCustomWatchFaceParams$2(str, null)), new WatchFaceRepository$getCustomWatchFaceParams$3(null)), Dispatchers.getIO()), new WatchFaceRepository$getCustomWatchFaceParams$4(null));
    }

    public final Object getCustomizeParamsFromLocal(String str, Continuation<? super Flow<? extends List<CustomFaceEntity>>> continuation) {
        return FlowKt.m2572catch(FlowKt.flowOn(FlowKt.onStart(FlowKt.flow(new WatchFaceRepository$getCustomizeParamsFromLocal$2(this, str, null)), new WatchFaceRepository$getCustomizeParamsFromLocal$3(null)), Dispatchers.getIO()), new WatchFaceRepository$getCustomizeParamsFromLocal$4(null));
    }

    public final Object getCustomizeParamsFromLocalByType(Continuation<? super Flow<CustomFaceEntity>> continuation) {
        return FlowKt.m2572catch(FlowKt.flowOn(FlowKt.onStart(FlowKt.flow(new WatchFaceRepository$getCustomizeParamsFromLocalByType$2(this, null)), new WatchFaceRepository$getCustomizeParamsFromLocalByType$3(null)), Dispatchers.getIO()), new WatchFaceRepository$getCustomizeParamsFromLocalByType$4(null));
    }

    /* compiled from: WatchFaceRepository.kt */
    @Metadata(d1 = {"\u0000\u0014\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u001b\u0010\u0003\u001a\u00020\u00048FX\u0086\u0084\u0002¢\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006¨\u0006\t"}, d2 = {"Lcom/qcwireless/qcwatch/ui/base/repository/watchface/WatchFaceRepository$Companion;", "", "()V", "getInstance", "Lcom/qcwireless/qcwatch/ui/base/repository/watchface/WatchFaceRepository;", "getGetInstance", "()Lcom/qcwireless/qcwatch/ui/base/repository/watchface/WatchFaceRepository;", "getInstance$delegate", "Lkotlin/Lazy;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final WatchFaceRepository getGetInstance() {
            return (WatchFaceRepository) WatchFaceRepository.getInstance$delegate.getValue();
        }
    }
}
