package com.qcwireless.qcwatch.ui.device.vm;

import android.bluetooth.BluetoothDevice;
import android.content.IntentFilter;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.google.android.gms.fitness.FitnessActivities;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.liulishuo.okdownload.DownloadTask;
import com.oudmon.ble.base.bluetooth.BleAction;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.bluetooth.DeviceManager;
import com.oudmon.ble.base.bluetooth.QCBluetoothCallbackCloneReceiver;
import com.oudmon.ble.base.communication.file.FileHandle;
import com.oudmon.ble.base.scan.BleScannerHelper;
import com.qcwireless.qcwatch.QCApplication;
import com.qcwireless.qcwatch.QJavaApplication;
import com.qcwireless.qcwatch.base.event.UnbindDeviceEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.PreUtil;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.FileUtils;
import com.qcwireless.qcwatch.ui.base.BaseViewModel;
import com.qcwireless.qcwatch.ui.base.bean.response.device.FirmwareOtaResp;
import com.qcwireless.qcwatch.ui.base.repository.device.DeviceSettingRepository;
import com.qcwireless.qcwatch.ui.base.util.NotificationUtils;
import com.qcwireless.qcwatch.ui.home.gps.service.TrackingService;
import com.qcwireless.qcwatch.ui.home.healthy.bean.DFUInformationBean;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.BuildersKt__Builders_commonKt;
import kotlinx.coroutines.GlobalScope;
import org.greenrobot.eventbus.EventBus;

/* compiled from: DeviceViewModel.kt */
@Metadata(d1 = {"\u0000F\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u00002\u00020\u0001:\u0003\u001f !B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u0006\u0010\u0010\u001a\u00020\u0011J\u0018\u0010\u0012\u001a\u00020\u00132\u0006\u0010\u0014\u001a\u00020\u00152\u0006\u0010\u0016\u001a\u00020\u0015H\u0002J\u0018\u0010\u0017\u001a\u00020\u00132\u0006\u0010\u0014\u001a\u00020\u00152\u0006\u0010\u0016\u001a\u00020\u0015H\u0002J\u000e\u0010\u0018\u001a\u00020\u00112\u0006\u0010\u0019\u001a\u00020\u0015J\u0006\u0010\u001a\u001a\u00020\u0011J\u0010\u0010\u001b\u001a\u00020\u00112\u0006\u0010\u001c\u001a\u00020\u001dH\u0002J\u0006\u0010\u001e\u001a\u00020\u0011R\u0014\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\b\u001a\b\u0012\u0004\u0012\u00020\t0\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u0004¢\u0006\u0002\n\u0000R\u0017\u0010\n\u001a\b\u0012\u0004\u0012\u00020\u00070\u000b8F¢\u0006\u0006\u001a\u0004\b\f\u0010\rR\u0017\u0010\u000e\u001a\b\u0012\u0004\u0012\u00020\t0\u000b8F¢\u0006\u0006\u001a\u0004\b\u000f\u0010\r¨\u0006\""}, d2 = {"Lcom/qcwireless/qcwatch/ui/device/vm/DeviceViewModel;", "Lcom/qcwireless/qcwatch/ui/base/BaseViewModel;", "deviceSettingRepository", "Lcom/qcwireless/qcwatch/ui/base/repository/device/DeviceSettingRepository;", "(Lcom/qcwireless/qcwatch/ui/base/repository/device/DeviceSettingRepository;)V", "_picUiState", "Landroidx/lifecycle/MutableLiveData;", "Lcom/qcwireless/qcwatch/ui/device/vm/DeviceViewModel$DevicePictureUI;", "_uiState", "Lcom/qcwireless/qcwatch/ui/device/vm/DeviceViewModel$DeviceFragmentUI;", "picUiState", "Landroidx/lifecycle/LiveData;", "getPicUiState", "()Landroidx/lifecycle/LiveData;", "uiState", "getUiState", "checkOta", "", "createGlideTask", "Lcom/liulishuo/okdownload/DownloadTask;", "url", "", "fileName", "createTask", "devicePicture", "hardwareVersion", "init", "saveDeviceDfuInformation", "firmwareOtaResp", "Lcom/qcwireless/qcwatch/ui/base/bean/response/device/FirmwareOtaResp;", "unBindDevice", "DeviceFragmentUI", "DevicePictureUI", "MyReceiver", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class DeviceViewModel extends BaseViewModel {
    private final MutableLiveData<DevicePictureUI> _picUiState;
    private final MutableLiveData<DeviceFragmentUI> _uiState;
    private final DeviceSettingRepository deviceSettingRepository;

    public DeviceViewModel(DeviceSettingRepository deviceSettingRepository) {
        Intrinsics.checkNotNullParameter(deviceSettingRepository, "deviceSettingRepository");
        this.deviceSettingRepository = deviceSettingRepository;
        this._uiState = new MutableLiveData<>();
        this._picUiState = new MutableLiveData<>();
    }

    public final LiveData<DeviceFragmentUI> getUiState() {
        return this._uiState;
    }

    public final LiveData<DevicePictureUI> getPicUiState() {
        return this._picUiState;
    }

    public final void init() {
        IntentFilter intentFilter = BleAction.getIntentFilter();
        LocalBroadcastManager.getInstance(QCApplication.INSTANCE.getCONTEXT()).registerReceiver(new MyReceiver(), intentFilter);
    }

    public final void unBindDevice() {
        BleOperateManager.getInstance().disconnectRtkSPP();
        DeviceManager.getInstance().reSet();
        UserConfig.INSTANCE.getInstance().setGpsLocationTime(0L);
        UserConfig.INSTANCE.getInstance().setLastDeviceAddress(UserConfig.INSTANCE.getInstance().getDeviceAddress());
        UserConfig.INSTANCE.getInstance().setServerMarketSize(0);
        UserConfig.INSTANCE.getInstance().setDeviceName("");
        UserConfig.INSTANCE.getInstance().setDeviceAddress("");
        UserConfig.INSTANCE.getInstance().setHwVersion("");
        UserConfig.INSTANCE.getInstance().setFmVersion("");
        UserConfig.INSTANCE.getInstance().setRtkMcuSupport(false);
        UserConfig.INSTANCE.getInstance().setMusicSupport(false);
        UserConfig.INSTANCE.getInstance().setBatteryWarmingOpen(true);
        UserConfig.INSTANCE.getInstance().setNotificationGoTo(false);
        UserConfig.INSTANCE.getInstance().setLastCollectionTime(0L);
        PreUtil.putString(PreUtil.Action_Device_Address, "");
        UserConfig.INSTANCE.getInstance().setMaxWatchFace(6);
        NotificationUtils.lowBatteryNotification = false;
        FileHandle.getInstance().endAndRelease();
        BleOperateManager.getInstance().unBindDevice();
        QJavaApplication.getInstance().clear();
        ThreadExtKt.ktxRunOnUiDelay(this, TrackingService.Constant.FASTEST_UPDATE_INTERVAL, new Function1<DeviceViewModel, Unit>() { // from class: com.qcwireless.qcwatch.ui.device.vm.DeviceViewModel$unBindDevice$1
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(DeviceViewModel deviceViewModel) {
                invoke2(deviceViewModel);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(DeviceViewModel ktxRunOnUiDelay) {
                Intrinsics.checkNotNullParameter(ktxRunOnUiDelay, "$this$ktxRunOnUiDelay");
                BleScannerHelper.getInstance().removeSystemBle();
                BleScannerHelper.getInstance().removeMacSystemBond(UserConfig.INSTANCE.getInstance().getClassicBluetoothMac());
            }
        });
        UserConfig.INSTANCE.getInstance().save();
        EventBus.getDefault().post(new UnbindDeviceEvent());
        new NotificationUtils(QJavaApplication.getInstance().getApplication()).initBandNotification();
    }

    public final void checkOta() {
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new DeviceViewModel$checkOta$1(this, null), 3, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void saveDeviceDfuInformation(FirmwareOtaResp firmwareOtaResp) {
        DFUInformationBean dFUInformationBean = new DFUInformationBean();
        dFUInformationBean.setHardwareVersion(firmwareOtaResp.getHardwareVersion());
        dFUInformationBean.setLastVersion(firmwareOtaResp.getVersion());
        if (firmwareOtaResp.getIsEnforceUpdate().length() == 0) {
            dFUInformationBean.setEnforceUpdate(1);
        } else {
            dFUInformationBean.setEnforceUpdate(Integer.parseInt(firmwareOtaResp.getIsEnforceUpdate()));
        }
        dFUInformationBean.setOpenOrNot(firmwareOtaResp.getOpenOrNot());
        dFUInformationBean.setDownloadUrl(firmwareOtaResp.getDownloadUrl());
        if (dFUInformationBean.getLastVersion().length() > 0) {
            int openOrNot = dFUInformationBean.getOpenOrNot();
            int isEnforceUpdate = dFUInformationBean.getIsEnforceUpdate();
            boolean development = UserConfig.INSTANCE.getInstance().getDevelopment();
            AwLog.i(Author.HeZhiYuan, Boolean.valueOf(development));
            if (development) {
                if (openOrNot == 3) {
                    this._uiState.postValue(new DeviceFragmentUI(2, isEnforceUpdate, true, 0));
                    return;
                } else {
                    this._uiState.postValue(new DeviceFragmentUI(2, isEnforceUpdate, false, 0));
                    return;
                }
            }
            if (openOrNot == 2) {
                this._uiState.postValue(new DeviceFragmentUI(2, isEnforceUpdate, true, 0));
                return;
            } else {
                this._uiState.postValue(new DeviceFragmentUI(2, isEnforceUpdate, false, 0));
                return;
            }
        }
        this._uiState.postValue(new DeviceFragmentUI(2, 1, false, -1));
    }

    public final void devicePicture(String hardwareVersion) {
        Intrinsics.checkNotNullParameter(hardwareVersion, "hardwareVersion");
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new DeviceViewModel$devicePicture$1(this, hardwareVersion, null), 3, null);
    }

    private final DownloadTask createTask(String url, String fileName) {
        DownloadTask build = new DownloadTask.Builder(url, FileUtils.INSTANCE.getBinDirFile()).setFilename(fileName).setMinIntervalMillisCallbackProcess(64).setPassIfAlreadyCompleted(false).build();
        Intrinsics.checkNotNullExpressionValue(build, "Builder(url, parentFile)…lse)\n            .build()");
        return build;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final DownloadTask createGlideTask(String url, String fileName) {
        DownloadTask build = new DownloadTask.Builder(url, FileUtils.INSTANCE.getGuideDirFile()).setFilename(fileName).setMinIntervalMillisCallbackProcess(64).setPassIfAlreadyCompleted(false).build();
        Intrinsics.checkNotNullExpressionValue(build, "Builder(url, parentFile)…lse)\n            .build()");
        return build;
    }

    /* compiled from: DeviceViewModel.kt */
    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u001a\u0010\u0003\u001a\u00020\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u00062\u0006\u0010\u0007\u001a\u00020\bH\u0016¨\u0006\t"}, d2 = {"Lcom/qcwireless/qcwatch/ui/device/vm/DeviceViewModel$MyReceiver;", "Lcom/oudmon/ble/base/bluetooth/QCBluetoothCallbackCloneReceiver;", "(Lcom/qcwireless/qcwatch/ui/device/vm/DeviceViewModel;)V", "connectStatue", "", "device", "Landroid/bluetooth/BluetoothDevice;", "connected", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class MyReceiver extends QCBluetoothCallbackCloneReceiver {
        public MyReceiver() {
        }

        @Override // com.oudmon.ble.base.bluetooth.QCBluetoothCallbackCloneReceiver
        public void connectStatue(BluetoothDevice device, boolean connected) {
            if (device == null || device.getName() == null) {
                return;
            }
            MutableLiveData mutableLiveData = DeviceViewModel.this._uiState;
            String name = device.getName();
            Intrinsics.checkNotNullExpressionValue(name, "device.name");
            String address = device.getAddress();
            Intrinsics.checkNotNullExpressionValue(address, "device.address");
            mutableLiveData.postValue(new DeviceFragmentUI(1, connected, name, address));
        }
    }

    /* compiled from: DeviceViewModel.kt */
    @Metadata(d1 = {"\u0000\"\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000e\n\u0002\b\t\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0002\b\u0086\b\u0018\u00002\u00020\u0001B\u0015\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0003¢\u0006\u0002\u0010\u0005J\t\u0010\t\u001a\u00020\u0003HÆ\u0003J\t\u0010\n\u001a\u00020\u0003HÆ\u0003J\u001d\u0010\u000b\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u00032\b\b\u0002\u0010\u0004\u001a\u00020\u0003HÆ\u0001J\u0013\u0010\f\u001a\u00020\r2\b\u0010\u000e\u001a\u0004\u0018\u00010\u0001HÖ\u0003J\t\u0010\u000f\u001a\u00020\u0010HÖ\u0001J\t\u0010\u0011\u001a\u00020\u0003HÖ\u0001R\u0011\u0010\u0004\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\u0006\u0010\u0007R\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\b\u0010\u0007¨\u0006\u0012"}, d2 = {"Lcom/qcwireless/qcwatch/ui/device/vm/DeviceViewModel$DevicePictureUI;", "", "url", "", "localUrl", "(Ljava/lang/String;Ljava/lang/String;)V", "getLocalUrl", "()Ljava/lang/String;", "getUrl", "component1", "component2", "copy", "equals", "", FitnessActivities.OTHER, "hashCode", "", "toString", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final /* data */ class DevicePictureUI {
        private final String localUrl;
        private final String url;

        public static /* synthetic */ DevicePictureUI copy$default(DevicePictureUI devicePictureUI, String str, String str2, int i, Object obj) {
            if ((i & 1) != 0) {
                str = devicePictureUI.url;
            }
            if ((i & 2) != 0) {
                str2 = devicePictureUI.localUrl;
            }
            return devicePictureUI.copy(str, str2);
        }

        /* renamed from: component1, reason: from getter */
        public final String getUrl() {
            return this.url;
        }

        /* renamed from: component2, reason: from getter */
        public final String getLocalUrl() {
            return this.localUrl;
        }

        public final DevicePictureUI copy(String url, String localUrl) {
            Intrinsics.checkNotNullParameter(url, "url");
            Intrinsics.checkNotNullParameter(localUrl, "localUrl");
            return new DevicePictureUI(url, localUrl);
        }

        public boolean equals(Object other) {
            if (this == other) {
                return true;
            }
            if (!(other instanceof DevicePictureUI)) {
                return false;
            }
            DevicePictureUI devicePictureUI = (DevicePictureUI) other;
            return Intrinsics.areEqual(this.url, devicePictureUI.url) && Intrinsics.areEqual(this.localUrl, devicePictureUI.localUrl);
        }

        public int hashCode() {
            return (this.url.hashCode() * 31) + this.localUrl.hashCode();
        }

        public String toString() {
            return "DevicePictureUI(url=" + this.url + ", localUrl=" + this.localUrl + ')';
        }

        public DevicePictureUI(String url, String localUrl) {
            Intrinsics.checkNotNullParameter(url, "url");
            Intrinsics.checkNotNullParameter(localUrl, "localUrl");
            this.url = url;
            this.localUrl = localUrl;
        }

        public final String getLocalUrl() {
            return this.localUrl;
        }

        public final String getUrl() {
            return this.url;
        }
    }

    /* compiled from: DeviceViewModel.kt */
    @Metadata(d1 = {"\u0000\"\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0004\n\u0002\u0010\u000e\n\u0002\b\u0017\u0018\u00002\u00020\u0001B'\b\u0016\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0003\u0012\u0006\u0010\u0005\u001a\u00020\u0006\u0012\u0006\u0010\u0007\u001a\u00020\u0003¢\u0006\u0002\u0010\bB'\b\u0016\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\t\u001a\u00020\u0006\u0012\u0006\u0010\n\u001a\u00020\u000b\u0012\u0006\u0010\f\u001a\u00020\u000b¢\u0006\u0002\u0010\rR\u001a\u0010\t\u001a\u00020\u0006X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000e\u0010\u000f\"\u0004\b\u0010\u0010\u0011R\u001a\u0010\f\u001a\u00020\u000bX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0012\u0010\u0013\"\u0004\b\u0014\u0010\u0015R\u001a\u0010\n\u001a\u00020\u000bX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0016\u0010\u0013\"\u0004\b\u0017\u0010\u0015R\u001a\u0010\u0004\u001a\u00020\u0003X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0018\u0010\u0019\"\u0004\b\u001a\u0010\u001bR\u001a\u0010\u0002\u001a\u00020\u0003X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001c\u0010\u0019\"\u0004\b\u001d\u0010\u001bR\u001a\u0010\u0007\u001a\u00020\u0003X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001e\u0010\u0019\"\u0004\b\u001f\u0010\u001bR\u001a\u0010\u0005\u001a\u00020\u0006X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b \u0010\u000f\"\u0004\b!\u0010\u0011¨\u0006\""}, d2 = {"Lcom/qcwireless/qcwatch/ui/device/vm/DeviceViewModel$DeviceFragmentUI;", "", "refreshType", "", "dfuType", "showDfuButton", "", "retCode", "(IIZI)V", "connect", "deviceName", "", "deviceAddress", "(IZLjava/lang/String;Ljava/lang/String;)V", "getConnect", "()Z", "setConnect", "(Z)V", "getDeviceAddress", "()Ljava/lang/String;", "setDeviceAddress", "(Ljava/lang/String;)V", "getDeviceName", "setDeviceName", "getDfuType", "()I", "setDfuType", "(I)V", "getRefreshType", "setRefreshType", "getRetCode", "setRetCode", "getShowDfuButton", "setShowDfuButton", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class DeviceFragmentUI {
        private boolean connect;
        private String deviceAddress;
        private String deviceName;
        private int dfuType;
        private int refreshType;
        private int retCode;
        private boolean showDfuButton;

        public final int getRefreshType() {
            return this.refreshType;
        }

        public final void setRefreshType(int i) {
            this.refreshType = i;
        }

        public final boolean getConnect() {
            return this.connect;
        }

        public final void setConnect(boolean z) {
            this.connect = z;
        }

        public final String getDeviceName() {
            return this.deviceName;
        }

        public final void setDeviceName(String str) {
            Intrinsics.checkNotNullParameter(str, "<set-?>");
            this.deviceName = str;
        }

        public final String getDeviceAddress() {
            return this.deviceAddress;
        }

        public final void setDeviceAddress(String str) {
            Intrinsics.checkNotNullParameter(str, "<set-?>");
            this.deviceAddress = str;
        }

        public final int getDfuType() {
            return this.dfuType;
        }

        public final void setDfuType(int i) {
            this.dfuType = i;
        }

        public final boolean getShowDfuButton() {
            return this.showDfuButton;
        }

        public final void setShowDfuButton(boolean z) {
            this.showDfuButton = z;
        }

        public final int getRetCode() {
            return this.retCode;
        }

        public final void setRetCode(int i) {
            this.retCode = i;
        }

        public DeviceFragmentUI(int i, int i2, boolean z, int i3) {
            this.deviceName = "--";
            this.deviceAddress = "--";
            this.retCode = -1;
            this.refreshType = i;
            this.dfuType = i2;
            this.showDfuButton = z;
            this.retCode = i3;
        }

        public DeviceFragmentUI(int i, boolean z, String deviceName, String deviceAddress) {
            Intrinsics.checkNotNullParameter(deviceName, "deviceName");
            Intrinsics.checkNotNullParameter(deviceAddress, "deviceAddress");
            this.deviceName = "--";
            this.deviceAddress = "--";
            this.retCode = -1;
            this.refreshType = i;
            this.connect = z;
            this.deviceName = deviceName;
            this.deviceAddress = deviceAddress;
        }
    }
}
