package com.qcwireless.qcwatch.ui.home.bloodoxgen;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Parcelable;
import android.view.View;
import android.view.animation.AlphaAnimation;
import android.view.animation.ScaleAnimation;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.work.WorkRequest;
import com.haibin.calendarview.Calendar;
import com.haibin.calendarview.CalendarView;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.req.StartHeartRateReq;
import com.oudmon.ble.base.communication.req.StopHeartRateReq;
import com.oudmon.ble.base.communication.responseImpl.DeviceNotifyListener;
import com.oudmon.ble.base.communication.rsp.DeviceNotifyRsp;
import com.oudmon.ble.base.communication.rsp.StartHeartRateRsp;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.dialog.CenterDialog;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityBloodOxygenBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.bean.device.DeviceSetting;
import com.qcwireless.qcwatch.ui.base.repository.entity.BloodOxygenManualEntity;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodOxygenRepository;
import com.qcwireless.qcwatch.ui.base.view.QBloodOxygenLineChartView;
import com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView;
import com.qcwireless.qcwatch.ui.base.view.QDateSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.base.view.QSettingItemTitleSubTitleSystem;
import com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity;
import com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenViewModel;
import com.qcwireless.qcwatch.ui.home.bloodoxgen.adapter.ManualBloodOxygenDetailAdapter;
import com.qcwireless.qcwatch.ui.home.bloodoxgen.bean.BloodOxyDetailBean;
import com.qcwireless.ring.R;
import com.yalantis.ucrop.view.CropImageView;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.math.MathKt;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;
import skin.support.content.res.SkinCompatResources;

/* compiled from: BloodOxygenActivity.kt */
@Metadata(d1 = {"\u0000\u0094\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010$\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u00002\u00020\u0001:\u0002EFB\u0005¢\u0006\u0002\u0010\u0002J\u0012\u00104\u001a\u0002052\b\u00106\u001a\u0004\u0018\u000107H\u0014J\u0010\u00108\u001a\u0002052\u0006\u00109\u001a\u00020:H\u0017J\b\u0010;\u001a\u000205H\u0014J\b\u0010<\u001a\u000205H\u0014J\u0010\u0010=\u001a\u0002052\u0006\u0010>\u001a\u00020\u0016H\u0002J\b\u0010?\u001a\u000205H\u0002J\b\u0010@\u001a\u000205H\u0014J,\u0010A\u001a\u0002052\u0006\u0010B\u001a\u00020C2\u0012\u0010D\u001a\u000e\u0012\u0004\u0012\u00020%\u0012\u0004\u0012\u00020&0$2\u0006\u0010>\u001a\u00020\u0016H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082.¢\u0006\u0002\n\u0000R\u001a\u0010\u000b\u001a\u00020\fX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\r\u0010\u000e\"\u0004\b\u000f\u0010\u0010R\u000e\u0010\u0011\u001a\u00020\u0012X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0013\u001a\u00020\u0014X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0015\u001a\u00020\u0016X\u0082\u000e¢\u0006\u0002\n\u0000R\u0012\u0010\u0017\u001a\u00060\u0018R\u00020\u0000X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0019\u001a\u00020\u001aX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u001b\u001a\u00020\u001cX\u0082\u0004¢\u0006\u0002\n\u0000R\u001a\u0010\u001d\u001a\u00020\u001eX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001f\u0010 \"\u0004\b!\u0010\"R&\u0010#\u001a\u000e\u0012\u0004\u0012\u00020%\u0012\u0004\u0012\u00020&0$X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b'\u0010(\"\u0004\b)\u0010*R\u000e\u0010+\u001a\u00020\u0016X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010,\u001a\u00020-X\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010.\u001a\u00020/8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b2\u00103\u001a\u0004\b0\u00101¨\u0006G"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/adapter/ManualBloodOxygenDetailAdapter;", "alphaAnimation", "Landroid/view/animation/AlphaAnimation;", "animation", "Landroid/view/animation/ScaleAnimation;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityBloodOxygenBinding;", "bloodOxygenValue", "", "getBloodOxygenValue", "()I", "setBloodOxygenValue", "(I)V", "calendarDialog", "Lcom/qcwireless/qcwatch/base/dialog/CenterDialog;", "countDownTimer", "Landroid/os/CountDownTimer;", "dateUtil", "Lcom/qcwireless/qc_utils/date/DateUtil;", "deviceNotifyListener", "Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenActivity$MyDeviceNotifyListener;", "deviceSetting", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "handler", "Landroid/os/Handler;", "heartRunnable", "Ljava/lang/Runnable;", "getHeartRunnable", "()Ljava/lang/Runnable;", "setHeartRunnable", "(Ljava/lang/Runnable;)V", "map", "", "", "Lcom/haibin/calendarview/Calendar;", "getMap", "()Ljava/util/Map;", "setMap", "(Ljava/util/Map;)V", "selectDate", "startMeasure", "", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "onResume", "onStop", "queryManualBloodOxygen", "date", "secondsDown", "setupViews", "showCalendarDialog", "activity", "Landroid/app/Activity;", "mSchemeDates", "CalendarSelectListener", "MyDeviceNotifyListener", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class BloodOxygenActivity extends BaseActivity {
    private ManualBloodOxygenDetailAdapter adapter;
    private AlphaAnimation alphaAnimation;
    private ScaleAnimation animation;
    private ActivityBloodOxygenBinding binding;
    private int bloodOxygenValue;
    private CenterDialog calendarDialog;
    private CountDownTimer countDownTimer;
    private DateUtil dateUtil;
    private MyDeviceNotifyListener deviceNotifyListener;
    private DeviceSetting deviceSetting;
    private final Handler handler;
    private Runnable heartRunnable;
    private Map<String, Calendar> map;
    private DateUtil selectDate;
    private boolean startMeasure;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public BloodOxygenActivity() {
        final BloodOxygenActivity bloodOxygenActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<BloodOxygenViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final BloodOxygenViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(BloodOxygenViewModel.class), qualifier, b);
            }
        });
        this.dateUtil = new DateUtil();
        this.map = new HashMap();
        this.selectDate = new DateUtil();
        this.bloodOxygenValue = 98;
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
        this.heartRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                BloodOxygenActivity.m620heartRunnable$lambda13(BloodOxygenActivity.this);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final BloodOxygenViewModel getViewModel() {
        return (BloodOxygenViewModel) this.viewModel.getValue();
    }

    public final Map<String, Calendar> getMap() {
        return this.map;
    }

    public final void setMap(Map<String, Calendar> map) {
        Intrinsics.checkNotNullParameter(map, "<set-?>");
        this.map = map;
    }

    public final int getBloodOxygenValue() {
        return this.bloodOxygenValue;
    }

    public final void setBloodOxygenValue(int i) {
        this.bloodOxygenValue = i;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityBloodOxygenBinding inflate = ActivityBloodOxygenBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        BloodOxygenActivity bloodOxygenActivity = this;
        this.adapter = new ManualBloodOxygenDetailAdapter(bloodOxygenActivity, getViewModel().getManualList());
        ScaleAnimation scaleAnimation = new ScaleAnimation(1.0f, 1.3f, 1.0f, 1.3f, 1, 0.5f, 1, 0.5f);
        this.animation = scaleAnimation;
        scaleAnimation.setDuration(1500L);
        ScaleAnimation scaleAnimation2 = this.animation;
        ActivityBloodOxygenBinding activityBloodOxygenBinding = null;
        if (scaleAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation2 = null;
        }
        scaleAnimation2.setRepeatCount(-1);
        ScaleAnimation scaleAnimation3 = this.animation;
        if (scaleAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation3 = null;
        }
        scaleAnimation3.setFillAfter(true);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
        this.alphaAnimation = alphaAnimation;
        alphaAnimation.setDuration(500L);
        AlphaAnimation alphaAnimation2 = this.alphaAnimation;
        if (alphaAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation2 = null;
        }
        alphaAnimation2.setRepeatMode(2);
        AlphaAnimation alphaAnimation3 = this.alphaAnimation;
        if (alphaAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation3 = null;
        }
        alphaAnimation3.setRepeatCount(60);
        getViewModel().initData(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
        getViewModel().queryLastData();
        final ActivityBloodOxygenBinding activityBloodOxygenBinding2 = this.binding;
        if (activityBloodOxygenBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding2 = null;
        }
        setStatusBarBackground(R.color.blood_oxygen_bg);
        ViewKt.gone(activityBloodOxygenBinding2.titleBar.divider);
        activityBloodOxygenBinding2.titleBar.tvTitle.setText(getString(R.string.qc_text_87));
        ViewKt.visible(activityBloodOxygenBinding2.titleBar.tvRightText);
        activityBloodOxygenBinding2.titleBar.tvRightText.setBackgroundResource(R.mipmap.app_desp);
        activityBloodOxygenBinding2.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda6
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodOxygenActivity.m623setupViews$lambda4$lambda0(BloodOxygenActivity.this, view);
            }
        });
        final QDateSwitchView qDateSwitchView = activityBloodOxygenBinding2.qcDateChange;
        qDateSwitchView.setDateListener(new QDateSwitchView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$setupViews$1$2$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateSwitchView.QDateBefore
            public void clickBefore(boolean r2, DateUtil date) {
                DateUtil dateUtil;
                ActivityBloodOxygenBinding activityBloodOxygenBinding3;
                ActivityBloodOxygenBinding activityBloodOxygenBinding4;
                ActivityBloodOxygenBinding activityBloodOxygenBinding5;
                Intrinsics.checkNotNullParameter(date, "date");
                BloodOxygenActivity.this.dateUtil = date;
                BloodOxygenActivity.this.selectDate = date;
                qDateSwitchView.setDateUtil(date);
                BloodOxygenActivity.this.getViewModel().queryBloodOxygenByDate(date);
                BloodOxygenActivity bloodOxygenActivity2 = BloodOxygenActivity.this;
                dateUtil = bloodOxygenActivity2.dateUtil;
                bloodOxygenActivity2.queryManualBloodOxygen(dateUtil);
                boolean isToday = date.isToday();
                ActivityBloodOxygenBinding activityBloodOxygenBinding6 = null;
                if (isToday) {
                    activityBloodOxygenBinding4 = BloodOxygenActivity.this.binding;
                    if (activityBloodOxygenBinding4 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodOxygenBinding4 = null;
                    }
                    ViewKt.visible(activityBloodOxygenBinding4.btnMeasure);
                    activityBloodOxygenBinding5 = BloodOxygenActivity.this.binding;
                    if (activityBloodOxygenBinding5 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityBloodOxygenBinding6 = activityBloodOxygenBinding5;
                    }
                    ViewKt.visible(activityBloodOxygenBinding6.currHeartCtl);
                    return;
                }
                ViewKt.gone(activityBloodOxygenBinding2.btnMeasure);
                activityBloodOxygenBinding3 = BloodOxygenActivity.this.binding;
                if (activityBloodOxygenBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityBloodOxygenBinding6 = activityBloodOxygenBinding3;
                }
                ViewKt.gone(activityBloodOxygenBinding6.currHeartCtl);
            }
        });
        activityBloodOxygenBinding2.qcDateChange.setCalendarClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodOxygenActivity.m624setupViews$lambda4$lambda2(BloodOxygenActivity.this, view);
            }
        });
        activityBloodOxygenBinding2.bloodOxygenChatView.setSelectedListener(new QBloodOxygenLineChartView.OnSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda1
            @Override // com.qcwireless.qcwatch.ui.base.view.QBloodOxygenLineChartView.OnSelectedListener
            public final void onSelected(QBloodOxygenLineChartView.DataBean dataBean) {
                BloodOxygenActivity.m625setupViews$lambda4$lambda3(ActivityBloodOxygenBinding.this, dataBean);
            }
        });
        activityBloodOxygenBinding2.rcvBloodOxygenDetail.setLayoutManager(new LinearLayoutManager(bloodOxygenActivity));
        RecyclerView recyclerView = activityBloodOxygenBinding2.rcvBloodOxygenDetail;
        ManualBloodOxygenDetailAdapter manualBloodOxygenDetailAdapter = this.adapter;
        if (manualBloodOxygenDetailAdapter == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            manualBloodOxygenDetailAdapter = null;
        }
        recyclerView.setAdapter(manualBloodOxygenDetailAdapter);
        BloodOxygenActivity bloodOxygenActivity2 = this;
        getViewModel().getDeviceSetting().observe(bloodOxygenActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda9
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodOxygenActivity.m626setupViews$lambda5(BloodOxygenActivity.this, (DeviceSetting) obj);
            }
        });
        ActivityBloodOxygenBinding activityBloodOxygenBinding3 = this.binding;
        if (activityBloodOxygenBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding3 = null;
        }
        activityBloodOxygenBinding3.qcSettingBloodOxygen.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda7
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                BloodOxygenActivity.m627setupViews$lambda6(BloodOxygenActivity.this, compoundButton, z);
            }
        });
        getViewModel().getUiState().observe(bloodOxygenActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda10
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodOxygenActivity.m628setupViews$lambda7(BloodOxygenActivity.this, (BloodOxygenViewModel.BloodOxygenUI) obj);
            }
        });
        getViewModel().getLastDate().observe(bloodOxygenActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda8
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodOxygenActivity.m629setupViews$lambda8(BloodOxygenActivity.this, (DateUtil) obj);
            }
        });
        ActivityBloodOxygenBinding activityBloodOxygenBinding4 = this.binding;
        if (activityBloodOxygenBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding4 = null;
        }
        activityBloodOxygenBinding4.boValueDetail.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$setupViews$6
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                DateUtil dateUtil;
                Bundle bundle = new Bundle();
                dateUtil = BloodOxygenActivity.this.dateUtil;
                bundle.putInt("timestamp", (int) dateUtil.getUnixTimestamp());
                BloodOxygenActivity bloodOxygenActivity3 = BloodOxygenActivity.this;
                ArrayList<Pair> arrayList = new ArrayList();
                Intent intent = new Intent(bloodOxygenActivity3, (Class<?>) BloodOxygenDataDetailActivity.class);
                intent.setFlags(1);
                intent.putExtras(bundle);
                for (Pair pair : arrayList) {
                    if (pair != null) {
                        String str = (String) pair.getFirst();
                        Object second = pair.getSecond();
                        if (second instanceof Integer) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                        } else if (second instanceof Byte) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                        } else if (second instanceof Character) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                        } else if (second instanceof Short) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                        } else if (second instanceof Boolean) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                        } else if (second instanceof Long) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                        } else if (second instanceof Float) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                        } else if (second instanceof Double) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                        } else if (second instanceof String) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                        } else if (second instanceof CharSequence) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                        } else if (second instanceof Parcelable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else if (second instanceof Object[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof ArrayList) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof Serializable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof boolean[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                        } else if (second instanceof byte[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                        } else if (second instanceof short[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                        } else if (second instanceof char[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                        } else if (second instanceof int[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                        } else if (second instanceof long[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                        } else if (second instanceof float[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                        } else if (second instanceof double[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                        } else if (second instanceof Bundle) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                        } else if (second instanceof Intent) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else {
                            Unit unit = Unit.INSTANCE;
                        }
                    }
                }
                bloodOxygenActivity3.startActivity(intent);
            }
        });
        ActivityBloodOxygenBinding activityBloodOxygenBinding5 = this.binding;
        if (activityBloodOxygenBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding5 = null;
        }
        activityBloodOxygenBinding5.qcSettingBloodOxygen.setSubTitleClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodOxygenActivity.m630setupViews$lambda9(BloodOxygenActivity.this, view);
            }
        });
        ActivityBloodOxygenBinding activityBloodOxygenBinding6 = this.binding;
        if (activityBloodOxygenBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding6 = null;
        }
        activityBloodOxygenBinding6.tvListDetail.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodOxygenActivity.m621setupViews$lambda11(BloodOxygenActivity.this, view);
            }
        });
        ActivityBloodOxygenBinding activityBloodOxygenBinding7 = this.binding;
        if (activityBloodOxygenBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodOxygenBinding = activityBloodOxygenBinding7;
        }
        activityBloodOxygenBinding.btnMeasure.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodOxygenActivity.m622setupViews$lambda12(BloodOxygenActivity.this, view);
            }
        });
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<BloodOxygenActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$setupViews$10
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodOxygenActivity bloodOxygenActivity3) {
                invoke2(bloodOxygenActivity3);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodOxygenActivity ktxRunOnBgSingle) {
                DateUtil dateUtil;
                DateUtil dateUtil2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                BloodOxygenRepository getInstance = BloodOxygenRepository.INSTANCE.getGetInstance();
                dateUtil = ktxRunOnBgSingle.dateUtil;
                int year = dateUtil.getYear();
                dateUtil2 = ktxRunOnBgSingle.dateUtil;
                ktxRunOnBgSingle.setMap(getInstance.calendarBloodOxygen(year, dateUtil2.getMonth()));
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-4$lambda-0, reason: not valid java name */
    public static final void m623setupViews$lambda4$lambda0(BloodOxygenActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        BloodOxygenActivity bloodOxygenActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(bloodOxygenActivity, (Class<?>) BloodOxygenGuideActivity.class);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        bloodOxygenActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-4$lambda-2, reason: not valid java name */
    public static final void m624setupViews$lambda4$lambda2(BloodOxygenActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.showCalendarDialog(this$0, this$0.map, this$0.selectDate);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-4$lambda-3, reason: not valid java name */
    public static final void m625setupViews$lambda4$lambda3(ActivityBloodOxygenBinding this_run, final QBloodOxygenLineChartView.DataBean dataBean) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        ThreadExtKt.ktxRunOnUi(this_run, new Function1<ActivityBloodOxygenBinding, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$setupViews$1$4$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(ActivityBloodOxygenBinding activityBloodOxygenBinding) {
                invoke2(activityBloodOxygenBinding);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(ActivityBloodOxygenBinding ktxRunOnUi) {
                Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                if (QBloodOxygenLineChartView.DataBean.this.getMinValue() == 0) {
                    ktxRunOnUi.tvBloodOxygenValue.setText("--");
                } else {
                    TextView textView = ktxRunOnUi.tvBloodOxygenValue;
                    StringBuilder sb = new StringBuilder();
                    sb.append(QBloodOxygenLineChartView.DataBean.this.getMinValue());
                    sb.append('-');
                    sb.append(QBloodOxygenLineChartView.DataBean.this.getMaxValue());
                    textView.setText(sb.toString());
                }
                ktxRunOnUi.tvHM.setText(DateUtil.dayMinToStr(QBloodOxygenLineChartView.DataBean.this.getSeconds() / 60));
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5, reason: not valid java name */
    public static final void m626setupViews$lambda5(BloodOxygenActivity this$0, DeviceSetting it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.deviceSetting = it;
        ActivityBloodOxygenBinding activityBloodOxygenBinding = this$0.binding;
        if (activityBloodOxygenBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding = null;
        }
        activityBloodOxygenBinding.qcSettingBloodOxygen.setChecked(it.getBo2Detection());
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6, reason: not valid java name */
    public static final void m627setupViews$lambda6(BloodOxygenActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 != null) {
                if (deviceSetting2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                    deviceSetting2 = null;
                }
                deviceSetting2.setBo2Detection(z);
                BloodOxygenViewModel viewModel = this$0.getViewModel();
                String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                DeviceSetting deviceSetting3 = this$0.deviceSetting;
                if (deviceSetting3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                } else {
                    deviceSetting = deviceSetting3;
                }
                viewModel.saveDeviceSetting(deviceAddressNoClear, deviceSetting);
                return;
            }
            return;
        }
        ActivityBloodOxygenBinding activityBloodOxygenBinding = this$0.binding;
        if (activityBloodOxygenBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding = null;
        }
        QSettingItemTitleSubTitleSystem qSettingItemTitleSubTitleSystem = activityBloodOxygenBinding.qcSettingBloodOxygen;
        DeviceSetting deviceSetting4 = this$0.deviceSetting;
        if (deviceSetting4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting4 = null;
        }
        qSettingItemTitleSubTitleSystem.setChecked(deviceSetting4.getBo2Detection());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-7, reason: not valid java name */
    public static final void m628setupViews$lambda7(BloodOxygenActivity this$0, BloodOxygenViewModel.BloodOxygenUI bloodOxygenUI) {
        ActivityBloodOxygenBinding activityBloodOxygenBinding;
        ActivityBloodOxygenBinding activityBloodOxygenBinding2;
        ActivityBloodOxygenBinding activityBloodOxygenBinding3;
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (!bloodOxygenUI.getListData().isEmpty()) {
            ActivityBloodOxygenBinding activityBloodOxygenBinding4 = this$0.binding;
            if (activityBloodOxygenBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding4 = null;
            }
            activityBloodOxygenBinding4.bloodOxygenChatView.setData(bloodOxygenUI.getListData(), bloodOxygenUI.getToday());
            int i = 0;
            for (QBloodOxygenLineChartView.DataBean dataBean : bloodOxygenUI.getListData()) {
                if (dataBean.getMaxValue() > 0) {
                    i = dataBean.getSeconds();
                }
            }
            String dayMinToStr = DateUtil.dayMinToStr(i / 60);
            ActivityBloodOxygenBinding activityBloodOxygenBinding5 = this$0.binding;
            if (activityBloodOxygenBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding5 = null;
            }
            activityBloodOxygenBinding5.boValueDetail.setRightText(dayMinToStr);
            int i2 = 100;
            int i3 = 0;
            int i4 = 0;
            int i5 = 0;
            int i6 = 0;
            int i7 = 0;
            int i8 = 0;
            for (QBloodOxygenLineChartView.DataBean dataBean2 : bloodOxygenUI.getListData()) {
                if (dataBean2.getMinValue() > 0) {
                    if (dataBean2.getMinValue() < i2) {
                        i2 = dataBean2.getMinValue();
                    }
                    if (dataBean2.getMaxValue() > i3) {
                        i3 = dataBean2.getMaxValue();
                    }
                    i4++;
                    i6 += dataBean2.getMaxValue();
                }
                if (dataBean2.getMaxValue() >= 98) {
                    i5++;
                } else {
                    int maxValue = dataBean2.getMaxValue();
                    if (95 <= maxValue && maxValue < 98) {
                        i7++;
                    } else {
                        int maxValue2 = dataBean2.getMaxValue();
                        if (1 <= maxValue2 && maxValue2 < 95) {
                            i8++;
                        }
                    }
                }
            }
            ActivityBloodOxygenBinding activityBloodOxygenBinding6 = this$0.binding;
            if (activityBloodOxygenBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding6 = null;
            }
            activityBloodOxygenBinding6.tvMinValue.setText(String.valueOf(i2));
            ActivityBloodOxygenBinding activityBloodOxygenBinding7 = this$0.binding;
            if (activityBloodOxygenBinding7 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding7 = null;
            }
            activityBloodOxygenBinding7.tvMaxValue.setText(String.valueOf(i3));
            if (i4 > 0) {
                ActivityBloodOxygenBinding activityBloodOxygenBinding8 = this$0.binding;
                if (activityBloodOxygenBinding8 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding8 = null;
                }
                activityBloodOxygenBinding8.tvAvgValue.setText(String.valueOf(MathKt.roundToInt((i6 * 1.0f) / i4)));
            } else {
                ActivityBloodOxygenBinding activityBloodOxygenBinding9 = this$0.binding;
                if (activityBloodOxygenBinding9 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding9 = null;
                }
                activityBloodOxygenBinding9.tvMinValue.setText("--");
                ActivityBloodOxygenBinding activityBloodOxygenBinding10 = this$0.binding;
                if (activityBloodOxygenBinding10 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding10 = null;
                }
                activityBloodOxygenBinding10.tvMaxValue.setText("--");
                ActivityBloodOxygenBinding activityBloodOxygenBinding11 = this$0.binding;
                if (activityBloodOxygenBinding11 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding11 = null;
                }
                activityBloodOxygenBinding11.tvAvgValue.setText("--");
            }
            int i9 = i8;
            for (QBloodOxygenLineChartView.DataBean dataBean3 : bloodOxygenUI.getListData()) {
                if (dataBean3.getMinValue() >= 98) {
                    i5++;
                } else {
                    int minValue = dataBean3.getMinValue();
                    if (95 <= minValue && minValue < 98) {
                        i7++;
                    } else {
                        int minValue2 = dataBean3.getMinValue();
                        if (1 <= minValue2 && minValue2 < 95) {
                            i9++;
                        }
                    }
                }
            }
            int[] iArr = {0, 0, 0, 0, 0};
            iArr[0] = i9;
            iArr[3] = i5;
            iArr[4] = i7;
            int i10 = i5 + i9 + i7;
            if (i10 > 0) {
                ActivityBloodOxygenBinding activityBloodOxygenBinding12 = this$0.binding;
                if (activityBloodOxygenBinding12 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding12 = null;
                }
                activityBloodOxygenBinding12.bloodOxygenCircleView.dataInit(iArr);
                float f = i10;
                float f2 = 100;
                int roundToInt = MathKt.roundToInt(((i9 * 1.0f) / f) * f2);
                int roundToInt2 = MathKt.roundToInt(((i7 * 1.0f) / f) * f2);
                ActivityBloodOxygenBinding activityBloodOxygenBinding13 = this$0.binding;
                if (activityBloodOxygenBinding13 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding13 = null;
                }
                TextView textView = activityBloodOxygenBinding13.tvValue1;
                StringBuilder sb = new StringBuilder();
                sb.append((100 - roundToInt) - roundToInt2);
                sb.append('%');
                textView.setText(sb.toString());
                ActivityBloodOxygenBinding activityBloodOxygenBinding14 = this$0.binding;
                if (activityBloodOxygenBinding14 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding14 = null;
                }
                TextView textView2 = activityBloodOxygenBinding14.tvValue2;
                StringBuilder sb2 = new StringBuilder();
                sb2.append(roundToInt);
                sb2.append('%');
                textView2.setText(sb2.toString());
                ActivityBloodOxygenBinding activityBloodOxygenBinding15 = this$0.binding;
                if (activityBloodOxygenBinding15 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding3 = null;
                } else {
                    activityBloodOxygenBinding3 = activityBloodOxygenBinding15;
                }
                TextView textView3 = activityBloodOxygenBinding3.tvValue3;
                StringBuilder sb3 = new StringBuilder();
                sb3.append(roundToInt2);
                sb3.append('%');
                textView3.setText(sb3.toString());
                return;
            }
            int[] iArr2 = {0, 0, 0, 0, 0};
            ActivityBloodOxygenBinding activityBloodOxygenBinding16 = this$0.binding;
            if (activityBloodOxygenBinding16 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding16 = null;
            }
            activityBloodOxygenBinding16.bloodOxygenCircleView.dataInit(iArr2);
            ActivityBloodOxygenBinding activityBloodOxygenBinding17 = this$0.binding;
            if (activityBloodOxygenBinding17 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding17 = null;
            }
            activityBloodOxygenBinding17.bloodOxygenChatView.setData(bloodOxygenUI.getListData(), bloodOxygenUI.getToday());
            ActivityBloodOxygenBinding activityBloodOxygenBinding18 = this$0.binding;
            if (activityBloodOxygenBinding18 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding18 = null;
            }
            activityBloodOxygenBinding18.tvValue1.setText("0%");
            ActivityBloodOxygenBinding activityBloodOxygenBinding19 = this$0.binding;
            if (activityBloodOxygenBinding19 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding19 = null;
            }
            activityBloodOxygenBinding19.tvValue2.setText("0%");
            ActivityBloodOxygenBinding activityBloodOxygenBinding20 = this$0.binding;
            if (activityBloodOxygenBinding20 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding20 = null;
            }
            activityBloodOxygenBinding20.tvValue3.setText("0%");
            ActivityBloodOxygenBinding activityBloodOxygenBinding21 = this$0.binding;
            if (activityBloodOxygenBinding21 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding21 = null;
            }
            activityBloodOxygenBinding21.tvMinValue.setText("--");
            ActivityBloodOxygenBinding activityBloodOxygenBinding22 = this$0.binding;
            if (activityBloodOxygenBinding22 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding22 = null;
            }
            activityBloodOxygenBinding22.tvMaxValue.setText("--");
            ActivityBloodOxygenBinding activityBloodOxygenBinding23 = this$0.binding;
            if (activityBloodOxygenBinding23 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding2 = null;
            } else {
                activityBloodOxygenBinding2 = activityBloodOxygenBinding23;
            }
            activityBloodOxygenBinding2.tvAvgValue.setText("--");
            return;
        }
        int[] iArr3 = {0, 0, 0, 0, 0};
        ActivityBloodOxygenBinding activityBloodOxygenBinding24 = this$0.binding;
        if (activityBloodOxygenBinding24 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding24 = null;
        }
        activityBloodOxygenBinding24.bloodOxygenCircleView.dataInit(iArr3);
        ActivityBloodOxygenBinding activityBloodOxygenBinding25 = this$0.binding;
        if (activityBloodOxygenBinding25 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding25 = null;
        }
        activityBloodOxygenBinding25.bloodOxygenChatView.setData(bloodOxygenUI.getListData(), bloodOxygenUI.getToday());
        ActivityBloodOxygenBinding activityBloodOxygenBinding26 = this$0.binding;
        if (activityBloodOxygenBinding26 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding26 = null;
        }
        activityBloodOxygenBinding26.tvValue1.setText("0%");
        ActivityBloodOxygenBinding activityBloodOxygenBinding27 = this$0.binding;
        if (activityBloodOxygenBinding27 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding27 = null;
        }
        activityBloodOxygenBinding27.tvValue2.setText("0%");
        ActivityBloodOxygenBinding activityBloodOxygenBinding28 = this$0.binding;
        if (activityBloodOxygenBinding28 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding28 = null;
        }
        activityBloodOxygenBinding28.tvValue3.setText("0%");
        ActivityBloodOxygenBinding activityBloodOxygenBinding29 = this$0.binding;
        if (activityBloodOxygenBinding29 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding29 = null;
        }
        activityBloodOxygenBinding29.tvMinValue.setText("--");
        ActivityBloodOxygenBinding activityBloodOxygenBinding30 = this$0.binding;
        if (activityBloodOxygenBinding30 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding30 = null;
        }
        activityBloodOxygenBinding30.tvMaxValue.setText("--");
        ActivityBloodOxygenBinding activityBloodOxygenBinding31 = this$0.binding;
        if (activityBloodOxygenBinding31 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding31 = null;
        }
        activityBloodOxygenBinding31.tvAvgValue.setText("--");
        ActivityBloodOxygenBinding activityBloodOxygenBinding32 = this$0.binding;
        if (activityBloodOxygenBinding32 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding = null;
        } else {
            activityBloodOxygenBinding = activityBloodOxygenBinding32;
        }
        activityBloodOxygenBinding.boValueDetail.setRightText("");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-8, reason: not valid java name */
    public static final void m629setupViews$lambda8(BloodOxygenActivity this$0, DateUtil it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.dateUtil = it;
        ActivityBloodOxygenBinding activityBloodOxygenBinding = this$0.binding;
        ActivityBloodOxygenBinding activityBloodOxygenBinding2 = null;
        if (activityBloodOxygenBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding = null;
        }
        activityBloodOxygenBinding.qcDateChange.setDateUtil(it);
        this$0.getViewModel().queryBloodOxygenByDate(it);
        this$0.queryManualBloodOxygen(this$0.dateUtil);
        if (this$0.dateUtil.isToday()) {
            ActivityBloodOxygenBinding activityBloodOxygenBinding3 = this$0.binding;
            if (activityBloodOxygenBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding3 = null;
            }
            ViewKt.visible(activityBloodOxygenBinding3.btnMeasure);
            ActivityBloodOxygenBinding activityBloodOxygenBinding4 = this$0.binding;
            if (activityBloodOxygenBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityBloodOxygenBinding2 = activityBloodOxygenBinding4;
            }
            ViewKt.visible(activityBloodOxygenBinding2.currHeartCtl);
            return;
        }
        ActivityBloodOxygenBinding activityBloodOxygenBinding5 = this$0.binding;
        if (activityBloodOxygenBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding5 = null;
        }
        ViewKt.gone(activityBloodOxygenBinding5.btnMeasure);
        ActivityBloodOxygenBinding activityBloodOxygenBinding6 = this$0.binding;
        if (activityBloodOxygenBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodOxygenBinding2 = activityBloodOxygenBinding6;
        }
        ViewKt.gone(activityBloodOxygenBinding2.currHeartCtl);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-9, reason: not valid java name */
    public static final void m630setupViews$lambda9(BloodOxygenActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityBloodOxygenBinding activityBloodOxygenBinding = this$0.binding;
        ActivityBloodOxygenBinding activityBloodOxygenBinding2 = null;
        if (activityBloodOxygenBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding = null;
        }
        if (activityBloodOxygenBinding.qcSettingBloodOxygen.getTextLines() == 2) {
            ActivityBloodOxygenBinding activityBloodOxygenBinding3 = this$0.binding;
            if (activityBloodOxygenBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenBinding3 = null;
            }
            activityBloodOxygenBinding3.qcSettingBloodOxygen.startAnim(180.0f);
            ActivityBloodOxygenBinding activityBloodOxygenBinding4 = this$0.binding;
            if (activityBloodOxygenBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityBloodOxygenBinding2 = activityBloodOxygenBinding4;
            }
            activityBloodOxygenBinding2.qcSettingBloodOxygen.setTextLines(20);
            return;
        }
        ActivityBloodOxygenBinding activityBloodOxygenBinding5 = this$0.binding;
        if (activityBloodOxygenBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding5 = null;
        }
        activityBloodOxygenBinding5.qcSettingBloodOxygen.startAnim(360.0f);
        ActivityBloodOxygenBinding activityBloodOxygenBinding6 = this$0.binding;
        if (activityBloodOxygenBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodOxygenBinding2 = activityBloodOxygenBinding6;
        }
        activityBloodOxygenBinding2.qcSettingBloodOxygen.setTextLines(2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11, reason: not valid java name */
    public static final void m621setupViews$lambda11(BloodOxygenActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Bundle bundle = new Bundle();
        bundle.putInt("timestamp", (int) this$0.dateUtil.getUnixTimestamp());
        bundle.putInt("type", 1);
        BloodOxygenActivity bloodOxygenActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(bloodOxygenActivity, (Class<?>) BloodOxygenDataDetailActivity.class);
        intent.setFlags(1);
        intent.putExtras(bundle);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        bloodOxygenActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-12, reason: not valid java name */
    public static final void m622setupViews$lambda12(final BloodOxygenActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityBloodOxygenBinding activityBloodOxygenBinding = null;
        if (!BleOperateManager.getInstance().isConnected()) {
            String string = this$0.getString(R.string.qc_text_75);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        ActivityBloodOxygenBinding activityBloodOxygenBinding2 = this$0.binding;
        if (activityBloodOxygenBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding2 = null;
        }
        activityBloodOxygenBinding2.tvCurrHeart.setText("--");
        ActivityBloodOxygenBinding activityBloodOxygenBinding3 = this$0.binding;
        if (activityBloodOxygenBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding3 = null;
        }
        activityBloodOxygenBinding3.tvHeartTime.setText("");
        ActivityBloodOxygenBinding activityBloodOxygenBinding4 = this$0.binding;
        if (activityBloodOxygenBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding4 = null;
        }
        ImageView imageView = activityBloodOxygenBinding4.imageHeart;
        ScaleAnimation scaleAnimation = this$0.animation;
        if (scaleAnimation == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation = null;
        }
        imageView.startAnimation(scaleAnimation);
        ActivityBloodOxygenBinding activityBloodOxygenBinding5 = this$0.binding;
        if (activityBloodOxygenBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding5 = null;
        }
        TextView textView = activityBloodOxygenBinding5.tvCurrHeart;
        AlphaAnimation alphaAnimation = this$0.alphaAnimation;
        if (alphaAnimation == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation = null;
        }
        textView.startAnimation(alphaAnimation);
        if (!this$0.startMeasure) {
            this$0.secondsDown();
            this$0.startMeasure = true;
            ActivityBloodOxygenBinding activityBloodOxygenBinding6 = this$0.binding;
            if (activityBloodOxygenBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityBloodOxygenBinding = activityBloodOxygenBinding6;
            }
            activityBloodOxygenBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660011));
            CommandHandle.getInstance().executeReqCmd(StartHeartRateReq.getSimpleReq((byte) 3), new ICommandResponse<StartHeartRateRsp>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$setupViews$9$1
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public void onDataResponse(StartHeartRateRsp resultEntity) {
                    ActivityBloodOxygenBinding activityBloodOxygenBinding7;
                    ActivityBloodOxygenBinding activityBloodOxygenBinding8;
                    CountDownTimer countDownTimer;
                    ActivityBloodOxygenBinding activityBloodOxygenBinding9;
                    Handler handler;
                    Handler handler2;
                    ActivityBloodOxygenBinding activityBloodOxygenBinding10;
                    ActivityBloodOxygenBinding activityBloodOxygenBinding11;
                    boolean z;
                    ActivityBloodOxygenBinding activityBloodOxygenBinding12;
                    CountDownTimer countDownTimer2;
                    ActivityBloodOxygenBinding activityBloodOxygenBinding13;
                    Intrinsics.checkNotNullParameter(resultEntity, "resultEntity");
                    ActivityBloodOxygenBinding activityBloodOxygenBinding14 = null;
                    if (resultEntity.getErrCode() == 0 && resultEntity.getType() == 3) {
                        if (resultEntity.getValue() > 0) {
                            AwLog.i(Author.HeZhiYuan, Byte.valueOf(resultEntity.getValue()));
                            BloodOxygenActivity.this.setBloodOxygenValue(resultEntity.getValue());
                            z = BloodOxygenActivity.this.startMeasure;
                            if (z) {
                                activityBloodOxygenBinding12 = BloodOxygenActivity.this.binding;
                                if (activityBloodOxygenBinding12 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodOxygenBinding12 = null;
                                }
                                activityBloodOxygenBinding12.tvCurrHeart.setText(String.valueOf(BloodOxygenActivity.this.getBloodOxygenValue()));
                                countDownTimer2 = BloodOxygenActivity.this.countDownTimer;
                                if (countDownTimer2 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                                    countDownTimer2 = null;
                                }
                                countDownTimer2.cancel();
                                activityBloodOxygenBinding13 = BloodOxygenActivity.this.binding;
                                if (activityBloodOxygenBinding13 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityBloodOxygenBinding14 = activityBloodOxygenBinding13;
                                }
                                activityBloodOxygenBinding14.tvCurrHeart.clearAnimation();
                                return;
                            }
                            return;
                        }
                        return;
                    }
                    if (resultEntity.getErrCode() == 1) {
                        String string2 = BloodOxygenActivity.this.getString(R.string.qc_text_6666064);
                        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_6666064)");
                        GlobalKt.showToast$default(string2, 0, 1, null);
                    }
                    activityBloodOxygenBinding7 = BloodOxygenActivity.this.binding;
                    if (activityBloodOxygenBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodOxygenBinding7 = null;
                    }
                    activityBloodOxygenBinding7.imageHeart.clearAnimation();
                    activityBloodOxygenBinding8 = BloodOxygenActivity.this.binding;
                    if (activityBloodOxygenBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodOxygenBinding8 = null;
                    }
                    activityBloodOxygenBinding8.tvCurrHeart.clearAnimation();
                    countDownTimer = BloodOxygenActivity.this.countDownTimer;
                    if (countDownTimer == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                        countDownTimer = null;
                    }
                    countDownTimer.cancel();
                    BloodOxygenActivity.this.startMeasure = false;
                    activityBloodOxygenBinding9 = BloodOxygenActivity.this.binding;
                    if (activityBloodOxygenBinding9 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodOxygenBinding9 = null;
                    }
                    activityBloodOxygenBinding9.btnMeasure.setText(BloodOxygenActivity.this.getString(R.string.qc_text_76660010));
                    handler = BloodOxygenActivity.this.handler;
                    handler.removeCallbacks(BloodOxygenActivity.this.getHeartRunnable());
                    if (resultEntity.getErrCode() != 0) {
                        handler2 = BloodOxygenActivity.this.handler;
                        handler2.removeCallbacks(BloodOxygenActivity.this.getHeartRunnable());
                        activityBloodOxygenBinding10 = BloodOxygenActivity.this.binding;
                        if (activityBloodOxygenBinding10 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityBloodOxygenBinding10 = null;
                        }
                        activityBloodOxygenBinding10.tvCurrHeart.setText("--");
                        activityBloodOxygenBinding11 = BloodOxygenActivity.this.binding;
                        if (activityBloodOxygenBinding11 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                        } else {
                            activityBloodOxygenBinding14 = activityBloodOxygenBinding11;
                        }
                        activityBloodOxygenBinding14.tvHeartTime.setText("");
                    }
                }
            });
            this$0.handler.removeCallbacks(this$0.heartRunnable);
            this$0.handler.postDelayed(this$0.heartRunnable, WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS);
            return;
        }
        this$0.startMeasure = false;
        ActivityBloodOxygenBinding activityBloodOxygenBinding7 = this$0.binding;
        if (activityBloodOxygenBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding7 = null;
        }
        activityBloodOxygenBinding7.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        ActivityBloodOxygenBinding activityBloodOxygenBinding8 = this$0.binding;
        if (activityBloodOxygenBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding8 = null;
        }
        activityBloodOxygenBinding8.imageHeart.clearAnimation();
        ActivityBloodOxygenBinding activityBloodOxygenBinding9 = this$0.binding;
        if (activityBloodOxygenBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding9 = null;
        }
        activityBloodOxygenBinding9.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        this$0.handler.removeCallbacks(this$0.heartRunnable);
        ActivityBloodOxygenBinding activityBloodOxygenBinding10 = this$0.binding;
        if (activityBloodOxygenBinding10 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding10 = null;
        }
        activityBloodOxygenBinding10.tvCurrHeart.setText("--");
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodOxygen((byte) 0), null);
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if ((messageEvent instanceof ManualRefreshEvent) && this.dateUtil.isToday()) {
            getViewModel().queryBloodOxygenByDate(this.dateUtil);
            queryManualBloodOxygen(this.dateUtil);
        }
    }

    public final Runnable getHeartRunnable() {
        return this.heartRunnable;
    }

    public final void setHeartRunnable(Runnable runnable) {
        Intrinsics.checkNotNullParameter(runnable, "<set-?>");
        this.heartRunnable = runnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: heartRunnable$lambda-13, reason: not valid java name */
    public static final void m620heartRunnable$lambda13(BloodOxygenActivity this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.startMeasure = false;
        ActivityBloodOxygenBinding activityBloodOxygenBinding = this$0.binding;
        if (activityBloodOxygenBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding = null;
        }
        activityBloodOxygenBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        ActivityBloodOxygenBinding activityBloodOxygenBinding2 = this$0.binding;
        if (activityBloodOxygenBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding2 = null;
        }
        activityBloodOxygenBinding2.imageHeart.clearAnimation();
        ActivityBloodOxygenBinding activityBloodOxygenBinding3 = this$0.binding;
        if (activityBloodOxygenBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding3 = null;
        }
        activityBloodOxygenBinding3.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        DateUtil dateUtil = new DateUtil();
        ActivityBloodOxygenBinding activityBloodOxygenBinding4 = this$0.binding;
        if (activityBloodOxygenBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding4 = null;
        }
        activityBloodOxygenBinding4.tvHeartTime.setText(dateUtil.getY_M_D_H_M_S());
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodOxygen((byte) this$0.bloodOxygenValue), null);
        BloodOxygenRepository.INSTANCE.getGetInstance().saveManualBloodOxygen((int) dateUtil.getUnixTimestamp(), this$0.bloodOxygenValue);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onResume() {
        super.onResume();
        ActivityBloodOxygenBinding activityBloodOxygenBinding = this.binding;
        MyDeviceNotifyListener myDeviceNotifyListener = null;
        if (activityBloodOxygenBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenBinding = null;
        }
        activityBloodOxygenBinding.btnMeasure.setText(getString(R.string.qc_text_76660010));
        this.deviceNotifyListener = new MyDeviceNotifyListener();
        BleOperateManager bleOperateManager = BleOperateManager.getInstance();
        MyDeviceNotifyListener myDeviceNotifyListener2 = this.deviceNotifyListener;
        if (myDeviceNotifyListener2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceNotifyListener");
        } else {
            myDeviceNotifyListener = myDeviceNotifyListener2;
        }
        bleOperateManager.addOutDeviceListener(3, myDeviceNotifyListener);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onStop() {
        super.onStop();
        try {
            if (this.startMeasure) {
                this.startMeasure = false;
                this.handler.removeCallbacks(this.heartRunnable);
                CountDownTimer countDownTimer = this.countDownTimer;
                if (countDownTimer == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                    countDownTimer = null;
                }
                countDownTimer.cancel();
                ActivityBloodOxygenBinding activityBloodOxygenBinding = this.binding;
                if (activityBloodOxygenBinding == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding = null;
                }
                activityBloodOxygenBinding.tvCurrHeart.setText("--");
                ActivityBloodOxygenBinding activityBloodOxygenBinding2 = this.binding;
                if (activityBloodOxygenBinding2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding2 = null;
                }
                activityBloodOxygenBinding2.tvCurrHeart.clearAnimation();
                ActivityBloodOxygenBinding activityBloodOxygenBinding3 = this.binding;
                if (activityBloodOxygenBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodOxygenBinding3 = null;
                }
                activityBloodOxygenBinding3.imageHeart.clearAnimation();
                CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodOxygen((byte) 0), null);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        BleOperateManager.getInstance().removeOutDeviceListener(3);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void queryManualBloodOxygen(final DateUtil date) {
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<BloodOxygenActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$queryManualBloodOxygen$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodOxygenActivity bloodOxygenActivity) {
                invoke2(bloodOxygenActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodOxygenActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                List<BloodOxygenManualEntity> queryManualBloodOxygen = BloodOxygenRepository.INSTANCE.getGetInstance().queryManualBloodOxygen(DateUtil.this);
                ktxRunOnBgSingle.getViewModel().getManualList().clear();
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(queryManualBloodOxygen.size()));
                for (BloodOxygenManualEntity bloodOxygenManualEntity : queryManualBloodOxygen) {
                    ktxRunOnBgSingle.getViewModel().getManualList().add(new BloodOxyDetailBean(bloodOxygenManualEntity.getTimestamp(), bloodOxygenManualEntity.getBloodOxygen(), bloodOxygenManualEntity.getBloodOxygen()));
                }
                final DateUtil dateUtil = DateUtil.this;
                ThreadExtKt.ktxRunOnUi(ktxRunOnBgSingle, new Function1<BloodOxygenActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$queryManualBloodOxygen$1.2
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodOxygenActivity bloodOxygenActivity) {
                        invoke2(bloodOxygenActivity);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodOxygenActivity ktxRunOnUi) {
                        ActivityBloodOxygenBinding activityBloodOxygenBinding;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding2;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding3;
                        ManualBloodOxygenDetailAdapter manualBloodOxygenDetailAdapter;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding4;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding5;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding6;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding7;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding8;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding9;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        ManualBloodOxygenDetailAdapter manualBloodOxygenDetailAdapter2 = null;
                        if (ktxRunOnUi.getViewModel().getManualList().size() != 0) {
                            activityBloodOxygenBinding = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding = null;
                            }
                            ViewKt.visible(activityBloodOxygenBinding.rcvBloodOxygenDetail);
                            activityBloodOxygenBinding2 = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding2 = null;
                            }
                            ViewKt.gone(activityBloodOxygenBinding2.tvNoData);
                            activityBloodOxygenBinding3 = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding3 = null;
                            }
                            ViewKt.visible(activityBloodOxygenBinding3.rcvDetailLayout);
                        } else if (DateUtil.this.isToday()) {
                            activityBloodOxygenBinding7 = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding7 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding7 = null;
                            }
                            ViewKt.visible(activityBloodOxygenBinding7.rcvDetailLayout);
                            activityBloodOxygenBinding8 = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding8 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding8 = null;
                            }
                            ViewKt.gone(activityBloodOxygenBinding8.rcvBloodOxygenDetail);
                            activityBloodOxygenBinding9 = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding9 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding9 = null;
                            }
                            ViewKt.visible(activityBloodOxygenBinding9.tvNoData);
                        } else {
                            AwLog.i(Author.HeZhiYuan, "--------");
                            activityBloodOxygenBinding4 = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding4 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding4 = null;
                            }
                            ViewKt.visible(activityBloodOxygenBinding4.rcvBloodOxygenDetail);
                            activityBloodOxygenBinding5 = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding5 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding5 = null;
                            }
                            ViewKt.gone(activityBloodOxygenBinding5.tvNoData);
                            activityBloodOxygenBinding6 = ktxRunOnUi.binding;
                            if (activityBloodOxygenBinding6 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding6 = null;
                            }
                            ViewKt.gone(activityBloodOxygenBinding6.rcvDetailLayout);
                        }
                        manualBloodOxygenDetailAdapter = ktxRunOnUi.adapter;
                        if (manualBloodOxygenDetailAdapter == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("adapter");
                        } else {
                            manualBloodOxygenDetailAdapter2 = manualBloodOxygenDetailAdapter;
                        }
                        manualBloodOxygenDetailAdapter2.notifyDataSetChanged();
                    }
                });
            }
        });
    }

    /* compiled from: BloodOxygenActivity.kt */
    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u0003\u001a\u00020\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006H\u0016¨\u0006\u0007"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenActivity$MyDeviceNotifyListener;", "Lcom/oudmon/ble/base/communication/responseImpl/DeviceNotifyListener;", "(Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenActivity;)V", "onDataResponse", "", "resultEntity", "Lcom/oudmon/ble/base/communication/rsp/DeviceNotifyRsp;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class MyDeviceNotifyListener extends DeviceNotifyListener {
        public MyDeviceNotifyListener() {
        }

        @Override // com.oudmon.ble.base.communication.responseImpl.DeviceNotifyListener, com.oudmon.ble.base.communication.ICommandResponse
        public void onDataResponse(DeviceNotifyRsp resultEntity) {
            Intrinsics.checkNotNull(resultEntity);
            if (resultEntity.getStatus() == 0 && resultEntity.getDataType() == 3) {
                BloodOxygenActivity.this.getViewModel().syncTodayData();
            }
        }
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$secondsDown$1] */
    private final void secondsDown() {
        final long j = 25000;
        CountDownTimer start = new CountDownTimer(j) { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$secondsDown$1
            @Override // android.os.CountDownTimer
            public void onFinish() {
            }

            @Override // android.os.CountDownTimer
            public void onTick(long p0) {
                int i = ((int) (p0 / CropImageView.DEFAULT_IMAGE_TO_CROP_BOUNDS_ANIM_DURATION)) % 2;
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(i));
                if (i == 0) {
                    final BloodOxygenActivity bloodOxygenActivity = BloodOxygenActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<BloodOxygenActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$secondsDown$1$onTick$1
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(BloodOxygenActivity$secondsDown$1 bloodOxygenActivity$secondsDown$1) {
                            invoke2(bloodOxygenActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(BloodOxygenActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityBloodOxygenBinding activityBloodOxygenBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityBloodOxygenBinding = BloodOxygenActivity.this.binding;
                            if (activityBloodOxygenBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding = null;
                            }
                            activityBloodOxygenBinding.tvCurrHeart.setText("--");
                        }
                    });
                } else {
                    final BloodOxygenActivity bloodOxygenActivity2 = BloodOxygenActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<BloodOxygenActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$secondsDown$1$onTick$2
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(BloodOxygenActivity$secondsDown$1 bloodOxygenActivity$secondsDown$1) {
                            invoke2(bloodOxygenActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(BloodOxygenActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityBloodOxygenBinding activityBloodOxygenBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityBloodOxygenBinding = BloodOxygenActivity.this.binding;
                            if (activityBloodOxygenBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding = null;
                            }
                            activityBloodOxygenBinding.tvCurrHeart.setText("-");
                        }
                    });
                }
            }
        }.start();
        Intrinsics.checkNotNullExpressionValue(start, "private fun secondsDown(…\n\n        }.start()\n    }");
        this.countDownTimer = start;
    }

    private final void showCalendarDialog(Activity activity, Map<String, Calendar> mSchemeDates, final DateUtil date) {
        Activity activity2 = activity;
        CenterDialog.Builder builder = new CenterDialog.Builder(activity2);
        builder.setContentView(R.layout.layout_dialog_calendar);
        CenterDialog create = builder.create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.calendarDialog = create;
        CenterDialog centerDialog = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
            create = null;
        }
        create.show();
        CenterDialog centerDialog2 = this.calendarDialog;
        if (centerDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
        } else {
            centerDialog = centerDialog2;
        }
        View contentView = centerDialog.getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "calendarDialog.contentView");
        final QDateMonthSwitchPubuView qDateMonthSwitchPubuView = (QDateMonthSwitchPubuView) contentView.findViewById(R.id.qc_dialog_date_change);
        final CalendarView calendarView = (CalendarView) contentView.findViewById(R.id.calendarView);
        qDateMonthSwitchPubuView.setShowFuture(true);
        qDateMonthSwitchPubuView.setMonth(date);
        qDateMonthSwitchPubuView.setDateListener(new QDateMonthSwitchPubuView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$showCalendarDialog$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView.QDateBefore
            public void clickBefore(boolean r4, final DateUtil dateUtil) {
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
                CalendarView.this.scrollToCalendar(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay());
                final BloodOxygenActivity bloodOxygenActivity = this;
                final CalendarView calendarView2 = CalendarView.this;
                ThreadExtKt.ktxRunOnBgSingle(this, new Function1<BloodOxygenActivity$showCalendarDialog$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$showCalendarDialog$1$clickBefore$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodOxygenActivity$showCalendarDialog$1 bloodOxygenActivity$showCalendarDialog$1) {
                        invoke2(bloodOxygenActivity$showCalendarDialog$1);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodOxygenActivity$showCalendarDialog$1 ktxRunOnBgSingle) {
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        BloodOxygenActivity.this.setMap(BloodOxygenRepository.INSTANCE.getGetInstance().calendarBloodOxygen(dateUtil.getYear(), dateUtil.getMonth()));
                        calendarView2.setSchemeDate(BloodOxygenActivity.this.getMap());
                    }
                });
            }
        });
        calendarView.setSchemeDate(mSchemeDates);
        calendarView.scrollToCalendar(date.getYear(), date.getMonth(), date.getDay());
        calendarView.setOnMonthChangeListener(new CalendarView.OnMonthChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$$ExternalSyntheticLambda11
            @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
            public final void onMonthChange(int i, int i2) {
                BloodOxygenActivity.m631showCalendarDialog$lambda14(DateUtil.this, qDateMonthSwitchPubuView, this, calendarView, i, i2);
            }
        });
        calendarView.setOnCalendarSelectListener(new CalendarSelectListener());
        calendarView.setBackground(SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5));
        calendarView.setSelectedColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.white), SkinCompatResources.getColor(activity2, R.color.black));
        calendarView.setTextColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_show_4), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showCalendarDialog$lambda-14, reason: not valid java name */
    public static final void m631showCalendarDialog$lambda14(DateUtil date, QDateMonthSwitchPubuView qDateMonthSwitchPubuView, BloodOxygenActivity this$0, final CalendarView calendarView, final int i, final int i2) {
        Intrinsics.checkNotNullParameter(date, "$date");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DateUtil dateUtil = new DateUtil(i, i2, date.getDay());
        AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
        qDateMonthSwitchPubuView.setMonth(new DateUtil(i, i2, dateUtil.getDay()));
        ThreadExtKt.ktxRunOnBgSingle(this$0, new Function1<BloodOxygenActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$showCalendarDialog$2$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodOxygenActivity bloodOxygenActivity) {
                invoke2(bloodOxygenActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodOxygenActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                ktxRunOnBgSingle.setMap(BloodOxygenRepository.INSTANCE.getGetInstance().calendarBloodOxygen(i, i2));
                calendarView.setSchemeDate(ktxRunOnBgSingle.getMap());
            }
        });
    }

    /* compiled from: BloodOxygenActivity.kt */
    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0016J\u0018\u0010\u0007\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenActivity$CalendarSelectListener;", "Lcom/haibin/calendarview/CalendarView$OnCalendarSelectListener;", "(Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenActivity;)V", "onCalendarOutOfRange", "", "calendar", "Lcom/haibin/calendarview/Calendar;", "onCalendarSelect", "isClick", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class CalendarSelectListener implements CalendarView.OnCalendarSelectListener {
        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarOutOfRange(Calendar calendar) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
        }

        public CalendarSelectListener() {
        }

        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarSelect(final Calendar calendar, boolean isClick) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
            if (isClick) {
                CenterDialog centerDialog = BloodOxygenActivity.this.calendarDialog;
                if (centerDialog == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
                    centerDialog = null;
                }
                centerDialog.dismiss();
                final BloodOxygenActivity bloodOxygenActivity = BloodOxygenActivity.this;
                ThreadExtKt.ktxRunOnUi(this, new Function1<CalendarSelectListener, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenActivity$CalendarSelectListener$onCalendarSelect$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodOxygenActivity.CalendarSelectListener calendarSelectListener) {
                        invoke2(calendarSelectListener);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodOxygenActivity.CalendarSelectListener ktxRunOnUi) {
                        ActivityBloodOxygenBinding activityBloodOxygenBinding;
                        DateUtil dateUtil;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding2;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding3;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding4;
                        ActivityBloodOxygenBinding activityBloodOxygenBinding5;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        DateUtil dateUtil2 = new DateUtil(Calendar.this.getYear(), Calendar.this.getMonth(), Calendar.this.getDay());
                        ActivityBloodOxygenBinding activityBloodOxygenBinding6 = null;
                        if (!dateUtil2.futureDate()) {
                            bloodOxygenActivity.selectDate = dateUtil2;
                            bloodOxygenActivity.dateUtil = dateUtil2;
                            activityBloodOxygenBinding = bloodOxygenActivity.binding;
                            if (activityBloodOxygenBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding = null;
                            }
                            activityBloodOxygenBinding.qcDateChange.setDateUtil(dateUtil2);
                            bloodOxygenActivity.getViewModel().queryBloodOxygenByDate(dateUtil2);
                            bloodOxygenActivity.queryManualBloodOxygen(dateUtil2);
                            dateUtil = bloodOxygenActivity.dateUtil;
                            if (dateUtil.isToday()) {
                                activityBloodOxygenBinding4 = bloodOxygenActivity.binding;
                                if (activityBloodOxygenBinding4 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodOxygenBinding4 = null;
                                }
                                ViewKt.visible(activityBloodOxygenBinding4.btnMeasure);
                                activityBloodOxygenBinding5 = bloodOxygenActivity.binding;
                                if (activityBloodOxygenBinding5 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityBloodOxygenBinding6 = activityBloodOxygenBinding5;
                                }
                                ViewKt.visible(activityBloodOxygenBinding6.currHeartCtl);
                                return;
                            }
                            activityBloodOxygenBinding2 = bloodOxygenActivity.binding;
                            if (activityBloodOxygenBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodOxygenBinding2 = null;
                            }
                            ViewKt.gone(activityBloodOxygenBinding2.btnMeasure);
                            activityBloodOxygenBinding3 = bloodOxygenActivity.binding;
                            if (activityBloodOxygenBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                            } else {
                                activityBloodOxygenBinding6 = activityBloodOxygenBinding3;
                            }
                            ViewKt.gone(activityBloodOxygenBinding6.currHeartCtl);
                            return;
                        }
                        String string = bloodOxygenActivity.getString(R.string.qc_text_6666040);
                        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6666040)");
                        GlobalKt.showToast$default(string, 0, 1, null);
                    }
                });
            }
        }
    }
}
