package com.qcwireless.qcwatch.ui.home.bloodsugar;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Parcelable;
import android.view.View;
import android.view.animation.AlphaAnimation;
import android.view.animation.ScaleAnimation;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.widget.NestedScrollView;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.work.WorkRequest;
import com.haibin.calendarview.Calendar;
import com.haibin.calendarview.CalendarView;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.req.StartHeartRateReq;
import com.oudmon.ble.base.communication.req.StopHeartRateReq;
import com.oudmon.ble.base.communication.rsp.StartHeartRateRsp;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.dialog.CenterDialog;
import com.qcwireless.qcwatch.base.event.BluetoothEvent;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityBloodSugarBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.repository.entity.AppBloodSugarEntity;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodOxygenRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository;
import com.qcwireless.qcwatch.ui.base.view.QBloodSugarLineChartView;
import com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView;
import com.qcwireless.qcwatch.ui.base.view.QDateSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity;
import com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivityViewModel;
import com.qcwireless.qcwatch.ui.home.bloodsugar.adapter.ManualSugarDetailAdapter;
import com.qcwireless.qcwatch.ui.home.bloodsugar.bean.AppSugarDetailBean;
import com.qcwireless.ring.R;
import com.yalantis.ucrop.view.CropImageView;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;
import skin.support.content.res.SkinCompatResources;

/* compiled from: BloodSugarActivity.kt */
@Metadata(d1 = {"\u0000\u0088\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010$\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\u00020\u0001:\u0001@B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u00100\u001a\u0002012\b\u00102\u001a\u0004\u0018\u000103H\u0014J\u0010\u00104\u001a\u0002012\u0006\u00105\u001a\u000206H\u0017J\b\u00107\u001a\u000201H\u0014J\u0010\u00108\u001a\u0002012\u0006\u00109\u001a\u00020\u0010H\u0002J\b\u0010:\u001a\u000201H\u0002J\b\u0010;\u001a\u000201H\u0014J,\u0010<\u001a\u0002012\u0006\u0010=\u001a\u00020>2\u0012\u0010?\u001a\u000e\u0012\u0004\u0012\u00020\u0015\u0012\u0004\u0012\u00020\u00160\u00142\u0006\u00109\u001a\u00020\u0010H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\u000eX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\u0010X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0011\u001a\u00020\u0012X\u0082\u0004¢\u0006\u0002\n\u0000R&\u0010\u0013\u001a\u000e\u0012\u0004\u0012\u00020\u0015\u0012\u0004\u0012\u00020\u00160\u0014X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0017\u0010\u0018\"\u0004\b\u0019\u0010\u001aR\u000e\u0010\u001b\u001a\u00020\u0010X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u001c\u001a\u00020\u001dX\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u001e\u001a\u00020\u001fX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b \u0010!\"\u0004\b\"\u0010#R\u001a\u0010$\u001a\u00020%X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b&\u0010'\"\u0004\b(\u0010)R\u001b\u0010*\u001a\u00020+8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b.\u0010/\u001a\u0004\b,\u0010-¨\u0006A"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bloodsugar/BloodSugarActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/bloodsugar/adapter/ManualSugarDetailAdapter;", "alphaAnimation", "Landroid/view/animation/AlphaAnimation;", "animation", "Landroid/view/animation/ScaleAnimation;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityBloodSugarBinding;", "calendarDialog", "Lcom/qcwireless/qcwatch/base/dialog/CenterDialog;", "countDownTimer", "Landroid/os/CountDownTimer;", "dateUtil", "Lcom/qcwireless/qc_utils/date/DateUtil;", "handler", "Landroid/os/Handler;", "map", "", "", "Lcom/haibin/calendarview/Calendar;", "getMap", "()Ljava/util/Map;", "setMap", "(Ljava/util/Map;)V", "selectDate", "startMeasure", "", "sugarRunnable", "Ljava/lang/Runnable;", "getSugarRunnable", "()Ljava/lang/Runnable;", "setSugarRunnable", "(Ljava/lang/Runnable;)V", "sugarValue", "", "getSugarValue", "()I", "setSugarValue", "(I)V", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/bloodsugar/BloodSugarActivityViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/bloodsugar/BloodSugarActivityViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "onStop", "queryManualSugar", "date", "secondsDown", "setupViews", "showCalendarDialog", "activity", "Landroid/app/Activity;", "mSchemeDates", "CalendarSelectListener", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class BloodSugarActivity extends BaseActivity {
    private ManualSugarDetailAdapter adapter;
    private AlphaAnimation alphaAnimation;
    private ScaleAnimation animation;
    private ActivityBloodSugarBinding binding;
    private CenterDialog calendarDialog;
    private CountDownTimer countDownTimer;
    private DateUtil dateUtil;
    private final Handler handler;
    private Map<String, Calendar> map;
    private DateUtil selectDate;
    private boolean startMeasure;
    private Runnable sugarRunnable;
    private int sugarValue;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public BloodSugarActivity() {
        final BloodSugarActivity bloodSugarActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<BloodSugarActivityViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivityViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final BloodSugarActivityViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(BloodSugarActivityViewModel.class), qualifier, b);
            }
        });
        this.dateUtil = new DateUtil();
        this.sugarValue = 42;
        this.map = new HashMap();
        this.selectDate = new DateUtil();
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
        this.sugarRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                BloodSugarActivity.m648sugarRunnable$lambda10(BloodSugarActivity.this);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final BloodSugarActivityViewModel getViewModel() {
        return (BloodSugarActivityViewModel) this.viewModel.getValue();
    }

    public final int getSugarValue() {
        return this.sugarValue;
    }

    public final void setSugarValue(int i) {
        this.sugarValue = i;
    }

    public final Map<String, Calendar> getMap() {
        return this.map;
    }

    public final void setMap(Map<String, Calendar> map) {
        Intrinsics.checkNotNullParameter(map, "<set-?>");
        this.map = map;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityBloodSugarBinding inflate = ActivityBloodSugarBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        NestedScrollView root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        setStatusBarBackground(R.color.heart_bg);
        BloodSugarActivity bloodSugarActivity = this;
        this.adapter = new ManualSugarDetailAdapter(bloodSugarActivity, getViewModel().getManualList());
        ScaleAnimation scaleAnimation = new ScaleAnimation(1.0f, 1.3f, 1.0f, 1.3f, 1, 0.5f, 1, 0.5f);
        this.animation = scaleAnimation;
        scaleAnimation.setDuration(1500L);
        ScaleAnimation scaleAnimation2 = this.animation;
        ActivityBloodSugarBinding activityBloodSugarBinding = null;
        if (scaleAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation2 = null;
        }
        scaleAnimation2.setRepeatCount(-1);
        ScaleAnimation scaleAnimation3 = this.animation;
        if (scaleAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation3 = null;
        }
        scaleAnimation3.setFillAfter(true);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
        this.alphaAnimation = alphaAnimation;
        alphaAnimation.setDuration(500L);
        AlphaAnimation alphaAnimation2 = this.alphaAnimation;
        if (alphaAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation2 = null;
        }
        alphaAnimation2.setRepeatMode(2);
        AlphaAnimation alphaAnimation3 = this.alphaAnimation;
        if (alphaAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation3 = null;
        }
        alphaAnimation3.setRepeatCount(60);
        ActivityBloodSugarBinding activityBloodSugarBinding2 = this.binding;
        if (activityBloodSugarBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding2 = null;
        }
        activityBloodSugarBinding2.rcvSugarDetail.setLayoutManager(new LinearLayoutManager(bloodSugarActivity));
        ActivityBloodSugarBinding activityBloodSugarBinding3 = this.binding;
        if (activityBloodSugarBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding3 = null;
        }
        RecyclerView recyclerView = activityBloodSugarBinding3.rcvSugarDetail;
        ManualSugarDetailAdapter manualSugarDetailAdapter = this.adapter;
        if (manualSugarDetailAdapter == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            manualSugarDetailAdapter = null;
        }
        recyclerView.setAdapter(manualSugarDetailAdapter);
        getViewModel().queryLastData();
        final ActivityBloodSugarBinding activityBloodSugarBinding4 = this.binding;
        if (activityBloodSugarBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding4 = null;
        }
        activityBloodSugarBinding4.titleBar.tvTitle.setText(getString(R.string.qc_text_569));
        ViewKt.visible(activityBloodSugarBinding4.titleBar.tvRightText);
        activityBloodSugarBinding4.titleBar.tvRightText.setBackgroundResource(R.mipmap.app_desp);
        activityBloodSugarBinding4.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodSugarActivity.m640setupViews$lambda4$lambda0(BloodSugarActivity.this, view);
            }
        });
        final QDateSwitchView qDateSwitchView = activityBloodSugarBinding4.qcDateChange;
        qDateSwitchView.setDateListener(new QDateSwitchView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$setupViews$1$2$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateSwitchView.QDateBefore
            public void clickBefore(boolean r3, DateUtil date) {
                DateUtil dateUtil;
                ActivityBloodSugarBinding activityBloodSugarBinding5;
                ActivityBloodSugarBinding activityBloodSugarBinding6;
                BloodSugarActivityViewModel viewModel;
                ActivityBloodSugarBinding activityBloodSugarBinding7;
                ActivityBloodSugarBinding activityBloodSugarBinding8;
                Intrinsics.checkNotNullParameter(date, "date");
                QDateSwitchView.this.setDateUtil(date);
                this.dateUtil = date;
                this.selectDate = date;
                dateUtil = this.dateUtil;
                ActivityBloodSugarBinding activityBloodSugarBinding9 = null;
                if (dateUtil.isToday()) {
                    activityBloodSugarBinding7 = this.binding;
                    if (activityBloodSugarBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodSugarBinding7 = null;
                    }
                    ViewKt.visible(activityBloodSugarBinding7.btnMeasure);
                    activityBloodSugarBinding8 = this.binding;
                    if (activityBloodSugarBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityBloodSugarBinding9 = activityBloodSugarBinding8;
                    }
                    ViewKt.visible(activityBloodSugarBinding9.currHeartCtl);
                } else {
                    activityBloodSugarBinding5 = this.binding;
                    if (activityBloodSugarBinding5 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodSugarBinding5 = null;
                    }
                    ViewKt.gone(activityBloodSugarBinding5.btnMeasure);
                    activityBloodSugarBinding6 = this.binding;
                    if (activityBloodSugarBinding6 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityBloodSugarBinding9 = activityBloodSugarBinding6;
                    }
                    ViewKt.gone(activityBloodSugarBinding9.currHeartCtl);
                }
                viewModel = this.getViewModel();
                viewModel.queryBloodSugarByDate(date);
                this.queryManualSugar(date);
            }
        });
        activityBloodSugarBinding4.qcDateChange.setCalendarClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodSugarActivity.m641setupViews$lambda4$lambda2(BloodSugarActivity.this, view);
            }
        });
        activityBloodSugarBinding4.bloodSugarView.setSelectedListener(new QBloodSugarLineChartView.OnSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda7
            @Override // com.qcwireless.qcwatch.ui.base.view.QBloodSugarLineChartView.OnSelectedListener
            public final void onSelected(QBloodSugarLineChartView.DataBean dataBean) {
                BloodSugarActivity.m642setupViews$lambda4$lambda3(ActivityBloodSugarBinding.this, dataBean);
            }
        });
        BloodSugarActivity bloodSugarActivity2 = this;
        getViewModel().getUiState().observe(bloodSugarActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda5
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodSugarActivity.m643setupViews$lambda5(BloodSugarActivity.this, (BloodSugarActivityViewModel.BloodSugarUI) obj);
            }
        });
        getViewModel().getLastDate().observe(bloodSugarActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda4
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodSugarActivity.m644setupViews$lambda6(BloodSugarActivity.this, (DateUtil) obj);
            }
        });
        ActivityBloodSugarBinding activityBloodSugarBinding5 = this.binding;
        if (activityBloodSugarBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding5 = null;
        }
        activityBloodSugarBinding5.bloodSugarValueDetail.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$setupViews$4
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                DateUtil dateUtil;
                Bundle bundle = new Bundle();
                dateUtil = BloodSugarActivity.this.dateUtil;
                bundle.putInt("timestamp", (int) dateUtil.getUnixTimestamp());
                BloodSugarActivity bloodSugarActivity3 = BloodSugarActivity.this;
                ArrayList<Pair> arrayList = new ArrayList();
                Intent intent = new Intent(bloodSugarActivity3, (Class<?>) BloodSugarDataDetailActivity.class);
                intent.setFlags(1);
                intent.putExtras(bundle);
                for (Pair pair : arrayList) {
                    if (pair != null) {
                        String str = (String) pair.getFirst();
                        Object second = pair.getSecond();
                        if (second instanceof Integer) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                        } else if (second instanceof Byte) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                        } else if (second instanceof Character) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                        } else if (second instanceof Short) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                        } else if (second instanceof Boolean) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                        } else if (second instanceof Long) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                        } else if (second instanceof Float) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                        } else if (second instanceof Double) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                        } else if (second instanceof String) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                        } else if (second instanceof CharSequence) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                        } else if (second instanceof Parcelable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else if (second instanceof Object[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof ArrayList) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof Serializable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof boolean[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                        } else if (second instanceof byte[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                        } else if (second instanceof short[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                        } else if (second instanceof char[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                        } else if (second instanceof int[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                        } else if (second instanceof long[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                        } else if (second instanceof float[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                        } else if (second instanceof double[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                        } else if (second instanceof Bundle) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                        } else if (second instanceof Intent) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else {
                            Unit unit = Unit.INSTANCE;
                        }
                    }
                }
                bloodSugarActivity3.startActivity(intent);
            }
        });
        ActivityBloodSugarBinding activityBloodSugarBinding6 = this.binding;
        if (activityBloodSugarBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding6 = null;
        }
        activityBloodSugarBinding6.tvListDetail.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodSugarActivity.m645setupViews$lambda8(BloodSugarActivity.this, view);
            }
        });
        ActivityBloodSugarBinding activityBloodSugarBinding7 = this.binding;
        if (activityBloodSugarBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodSugarBinding = activityBloodSugarBinding7;
        }
        activityBloodSugarBinding.btnMeasure.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodSugarActivity.m646setupViews$lambda9(BloodSugarActivity.this, view);
            }
        });
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<BloodSugarActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$setupViews$7
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodSugarActivity bloodSugarActivity3) {
                invoke2(bloodSugarActivity3);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodSugarActivity ktxRunOnBgSingle) {
                DateUtil dateUtil;
                DateUtil dateUtil2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                BloodSugarRepository getInstance = BloodSugarRepository.INSTANCE.getGetInstance();
                dateUtil = ktxRunOnBgSingle.dateUtil;
                int year = dateUtil.getYear();
                dateUtil2 = ktxRunOnBgSingle.dateUtil;
                ktxRunOnBgSingle.setMap(getInstance.calendarBloodSugar(year, dateUtil2.getMonth()));
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-4$lambda-0, reason: not valid java name */
    public static final void m640setupViews$lambda4$lambda0(BloodSugarActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        BloodSugarActivity bloodSugarActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(bloodSugarActivity, (Class<?>) BloodSugarGuideActivity.class);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        bloodSugarActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-4$lambda-2, reason: not valid java name */
    public static final void m641setupViews$lambda4$lambda2(BloodSugarActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.showCalendarDialog(this$0, this$0.map, this$0.selectDate);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-4$lambda-3, reason: not valid java name */
    public static final void m642setupViews$lambda4$lambda3(ActivityBloodSugarBinding this_run, final QBloodSugarLineChartView.DataBean dataBean) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        ThreadExtKt.ktxRunOnUi(this_run, new Function1<ActivityBloodSugarBinding, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$setupViews$1$4$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(ActivityBloodSugarBinding activityBloodSugarBinding) {
                invoke2(activityBloodSugarBinding);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(ActivityBloodSugarBinding ktxRunOnUi) {
                Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                if (QBloodSugarLineChartView.DataBean.this.getMinValue() == 0.0f) {
                    ktxRunOnUi.tvSugarValue.setText("--");
                } else {
                    TextView textView = ktxRunOnUi.tvSugarValue;
                    StringBuilder sb = new StringBuilder();
                    sb.append(QBloodSugarLineChartView.DataBean.this.getMinValue());
                    sb.append('-');
                    sb.append(QBloodSugarLineChartView.DataBean.this.getMaxValue());
                    textView.setText(sb.toString());
                }
                ktxRunOnUi.tvHM.setText(DateUtil.dayMinToStr(QBloodSugarLineChartView.DataBean.this.getSeconds() / 60));
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5, reason: not valid java name */
    public static final void m643setupViews$lambda5(BloodSugarActivity this$0, BloodSugarActivityViewModel.BloodSugarUI bloodSugarUI) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityBloodSugarBinding activityBloodSugarBinding = null;
        if (!bloodSugarUI.getListData().isEmpty()) {
            ActivityBloodSugarBinding activityBloodSugarBinding2 = this$0.binding;
            if (activityBloodSugarBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarBinding2 = null;
            }
            activityBloodSugarBinding2.bloodSugarView.setData(bloodSugarUI.getListData(), bloodSugarUI.getToday());
            float f = 100.0f;
            int i = 0;
            float f2 = 0.0f;
            float f3 = 0.0f;
            int i2 = -1;
            for (QBloodSugarLineChartView.DataBean dataBean : bloodSugarUI.getListData()) {
                if (dataBean.getMaxValue() > 0.0f) {
                    i2 = dataBean.getSeconds();
                    f2 = f2 + (dataBean.getMaxValue() * 10.0f) + (dataBean.getMinValue() * 10.0f);
                    i += 2;
                    if (dataBean.getMinValue() < f) {
                        f = dataBean.getMinValue();
                    }
                    if (dataBean.getMaxValue() > f3) {
                        f3 = dataBean.getMaxValue();
                    }
                }
            }
            if (f2 > 0.0f) {
                String valueOf = String.valueOf(new BigDecimal(String.valueOf(((f2 * 1.0f) / i) / 10)).setScale(1, RoundingMode.HALF_UP));
                ActivityBloodSugarBinding activityBloodSugarBinding3 = this$0.binding;
                if (activityBloodSugarBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodSugarBinding3 = null;
                }
                activityBloodSugarBinding3.tvAvgValue.setText(valueOf);
                ActivityBloodSugarBinding activityBloodSugarBinding4 = this$0.binding;
                if (activityBloodSugarBinding4 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodSugarBinding4 = null;
                }
                activityBloodSugarBinding4.tvMinValue.setText(String.valueOf(f));
                ActivityBloodSugarBinding activityBloodSugarBinding5 = this$0.binding;
                if (activityBloodSugarBinding5 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodSugarBinding5 = null;
                }
                activityBloodSugarBinding5.tvMaxValue.setText(String.valueOf(f3));
            } else {
                ActivityBloodSugarBinding activityBloodSugarBinding6 = this$0.binding;
                if (activityBloodSugarBinding6 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodSugarBinding6 = null;
                }
                activityBloodSugarBinding6.tvAvgValue.setText("--");
                ActivityBloodSugarBinding activityBloodSugarBinding7 = this$0.binding;
                if (activityBloodSugarBinding7 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodSugarBinding7 = null;
                }
                activityBloodSugarBinding7.tvMinValue.setText("--");
                ActivityBloodSugarBinding activityBloodSugarBinding8 = this$0.binding;
                if (activityBloodSugarBinding8 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodSugarBinding8 = null;
                }
                activityBloodSugarBinding8.tvMaxValue.setText("--");
            }
            String dayMinToStr = DateUtil.dayMinToStr(i2 / 60);
            if (i2 == -1) {
                ActivityBloodSugarBinding activityBloodSugarBinding9 = this$0.binding;
                if (activityBloodSugarBinding9 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityBloodSugarBinding = activityBloodSugarBinding9;
                }
                activityBloodSugarBinding.bloodSugarValueDetail.setRightText("");
                return;
            }
            ActivityBloodSugarBinding activityBloodSugarBinding10 = this$0.binding;
            if (activityBloodSugarBinding10 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityBloodSugarBinding = activityBloodSugarBinding10;
            }
            activityBloodSugarBinding.bloodSugarValueDetail.setRightText(dayMinToStr);
            return;
        }
        ActivityBloodSugarBinding activityBloodSugarBinding11 = this$0.binding;
        if (activityBloodSugarBinding11 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding11 = null;
        }
        activityBloodSugarBinding11.bloodSugarView.setData(bloodSugarUI.getListData(), bloodSugarUI.getToday());
        ActivityBloodSugarBinding activityBloodSugarBinding12 = this$0.binding;
        if (activityBloodSugarBinding12 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding12 = null;
        }
        activityBloodSugarBinding12.bloodSugarValueDetail.setRightText("");
        ActivityBloodSugarBinding activityBloodSugarBinding13 = this$0.binding;
        if (activityBloodSugarBinding13 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding13 = null;
        }
        activityBloodSugarBinding13.tvAvgValue.setText("--");
        ActivityBloodSugarBinding activityBloodSugarBinding14 = this$0.binding;
        if (activityBloodSugarBinding14 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding14 = null;
        }
        activityBloodSugarBinding14.tvMinValue.setText("--");
        ActivityBloodSugarBinding activityBloodSugarBinding15 = this$0.binding;
        if (activityBloodSugarBinding15 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodSugarBinding = activityBloodSugarBinding15;
        }
        activityBloodSugarBinding.tvMaxValue.setText("--");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6, reason: not valid java name */
    public static final void m644setupViews$lambda6(BloodSugarActivity this$0, DateUtil it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.dateUtil = it;
        ActivityBloodSugarBinding activityBloodSugarBinding = this$0.binding;
        if (activityBloodSugarBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding = null;
        }
        activityBloodSugarBinding.qcDateChange.setDateUtil(it);
        this$0.getViewModel().queryBloodSugarByDate(it);
        this$0.queryManualSugar(it);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-8, reason: not valid java name */
    public static final void m645setupViews$lambda8(BloodSugarActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Bundle bundle = new Bundle();
        bundle.putInt("timestamp", (int) this$0.dateUtil.getUnixTimestamp());
        bundle.putInt("type", 1);
        BloodSugarActivity bloodSugarActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(bloodSugarActivity, (Class<?>) BloodSugarDataDetailActivity.class);
        intent.setFlags(1);
        intent.putExtras(bundle);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        bloodSugarActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-9, reason: not valid java name */
    public static final void m646setupViews$lambda9(final BloodSugarActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityBloodSugarBinding activityBloodSugarBinding = null;
        if (!BleOperateManager.getInstance().isConnected()) {
            String string = this$0.getString(R.string.qc_text_75);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        ActivityBloodSugarBinding activityBloodSugarBinding2 = this$0.binding;
        if (activityBloodSugarBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding2 = null;
        }
        activityBloodSugarBinding2.tvCurrHeart.setText("--");
        ActivityBloodSugarBinding activityBloodSugarBinding3 = this$0.binding;
        if (activityBloodSugarBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding3 = null;
        }
        activityBloodSugarBinding3.tvHeartTime.setText("");
        ActivityBloodSugarBinding activityBloodSugarBinding4 = this$0.binding;
        if (activityBloodSugarBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding4 = null;
        }
        ImageView imageView = activityBloodSugarBinding4.imageHeart;
        ScaleAnimation scaleAnimation = this$0.animation;
        if (scaleAnimation == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation = null;
        }
        imageView.startAnimation(scaleAnimation);
        if (!this$0.startMeasure) {
            this$0.startMeasure = true;
            ActivityBloodSugarBinding activityBloodSugarBinding5 = this$0.binding;
            if (activityBloodSugarBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarBinding5 = null;
            }
            TextView textView = activityBloodSugarBinding5.tvCurrHeart;
            AlphaAnimation alphaAnimation = this$0.alphaAnimation;
            if (alphaAnimation == null) {
                Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
                alphaAnimation = null;
            }
            textView.startAnimation(alphaAnimation);
            this$0.secondsDown();
            ActivityBloodSugarBinding activityBloodSugarBinding6 = this$0.binding;
            if (activityBloodSugarBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityBloodSugarBinding = activityBloodSugarBinding6;
            }
            activityBloodSugarBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660011));
            CommandHandle.getInstance().executeReqCmd(StartHeartRateReq.getSimpleReq((byte) 9), new ICommandResponse<StartHeartRateRsp>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$setupViews$6$1
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public void onDataResponse(StartHeartRateRsp resultEntity) {
                    ActivityBloodSugarBinding activityBloodSugarBinding7;
                    ActivityBloodSugarBinding activityBloodSugarBinding8;
                    CountDownTimer countDownTimer;
                    ActivityBloodSugarBinding activityBloodSugarBinding9;
                    Handler handler;
                    Handler handler2;
                    ActivityBloodSugarBinding activityBloodSugarBinding10;
                    ActivityBloodSugarBinding activityBloodSugarBinding11;
                    boolean z;
                    ActivityBloodSugarBinding activityBloodSugarBinding12;
                    CountDownTimer countDownTimer2;
                    ActivityBloodSugarBinding activityBloodSugarBinding13;
                    Intrinsics.checkNotNullParameter(resultEntity, "resultEntity");
                    ActivityBloodSugarBinding activityBloodSugarBinding14 = null;
                    if (resultEntity.getErrCode() == 0 && resultEntity.getType() == 9) {
                        if (resultEntity.getValue() > 0) {
                            z = BloodSugarActivity.this.startMeasure;
                            if (z) {
                                BloodSugarActivity.this.setSugarValue(resultEntity.getValue());
                                AwLog.i(Author.HeZhiYuan, Integer.valueOf(BloodSugarActivity.this.getSugarValue()));
                                activityBloodSugarBinding12 = BloodSugarActivity.this.binding;
                                if (activityBloodSugarBinding12 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodSugarBinding12 = null;
                                }
                                activityBloodSugarBinding12.tvCurrHeart.setText(String.valueOf((BloodSugarActivity.this.getSugarValue() * 1.0f) / 10));
                                countDownTimer2 = BloodSugarActivity.this.countDownTimer;
                                if (countDownTimer2 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                                    countDownTimer2 = null;
                                }
                                countDownTimer2.cancel();
                                activityBloodSugarBinding13 = BloodSugarActivity.this.binding;
                                if (activityBloodSugarBinding13 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityBloodSugarBinding14 = activityBloodSugarBinding13;
                                }
                                activityBloodSugarBinding14.tvCurrHeart.clearAnimation();
                                return;
                            }
                            return;
                        }
                        return;
                    }
                    if (resultEntity.getErrCode() == 1) {
                        String string2 = BloodSugarActivity.this.getString(R.string.qc_text_6666064);
                        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_6666064)");
                        GlobalKt.showToast$default(string2, 0, 1, null);
                    }
                    BloodSugarActivity.this.startMeasure = false;
                    activityBloodSugarBinding7 = BloodSugarActivity.this.binding;
                    if (activityBloodSugarBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodSugarBinding7 = null;
                    }
                    activityBloodSugarBinding7.imageHeart.clearAnimation();
                    activityBloodSugarBinding8 = BloodSugarActivity.this.binding;
                    if (activityBloodSugarBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodSugarBinding8 = null;
                    }
                    activityBloodSugarBinding8.tvCurrHeart.clearAnimation();
                    countDownTimer = BloodSugarActivity.this.countDownTimer;
                    if (countDownTimer == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                        countDownTimer = null;
                    }
                    countDownTimer.cancel();
                    activityBloodSugarBinding9 = BloodSugarActivity.this.binding;
                    if (activityBloodSugarBinding9 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodSugarBinding9 = null;
                    }
                    activityBloodSugarBinding9.btnMeasure.setText(BloodSugarActivity.this.getString(R.string.qc_text_76660010));
                    handler = BloodSugarActivity.this.handler;
                    handler.removeCallbacks(BloodSugarActivity.this.getSugarRunnable());
                    if (resultEntity.getErrCode() == 0 || resultEntity.getErrCode() == 2) {
                        return;
                    }
                    handler2 = BloodSugarActivity.this.handler;
                    handler2.removeCallbacks(BloodSugarActivity.this.getSugarRunnable());
                    activityBloodSugarBinding10 = BloodSugarActivity.this.binding;
                    if (activityBloodSugarBinding10 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodSugarBinding10 = null;
                    }
                    activityBloodSugarBinding10.tvCurrHeart.setText("--");
                    activityBloodSugarBinding11 = BloodSugarActivity.this.binding;
                    if (activityBloodSugarBinding11 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityBloodSugarBinding14 = activityBloodSugarBinding11;
                    }
                    activityBloodSugarBinding14.tvHeartTime.setText("");
                }
            });
            this$0.handler.removeCallbacks(this$0.sugarRunnable);
            this$0.handler.postDelayed(this$0.sugarRunnable, WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS);
            return;
        }
        this$0.startMeasure = false;
        ActivityBloodSugarBinding activityBloodSugarBinding7 = this$0.binding;
        if (activityBloodSugarBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding7 = null;
        }
        activityBloodSugarBinding7.imageHeart.clearAnimation();
        ActivityBloodSugarBinding activityBloodSugarBinding8 = this$0.binding;
        if (activityBloodSugarBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding8 = null;
        }
        activityBloodSugarBinding8.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        ActivityBloodSugarBinding activityBloodSugarBinding9 = this$0.binding;
        if (activityBloodSugarBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding9 = null;
        }
        activityBloodSugarBinding9.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        this$0.handler.removeCallbacks(this$0.sugarRunnable);
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopHeartRate((byte) 0), null);
    }

    public final Runnable getSugarRunnable() {
        return this.sugarRunnable;
    }

    public final void setSugarRunnable(Runnable runnable) {
        Intrinsics.checkNotNullParameter(runnable, "<set-?>");
        this.sugarRunnable = runnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: sugarRunnable$lambda-10, reason: not valid java name */
    public static final void m648sugarRunnable$lambda10(BloodSugarActivity this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.startMeasure = false;
        ActivityBloodSugarBinding activityBloodSugarBinding = this$0.binding;
        if (activityBloodSugarBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding = null;
        }
        activityBloodSugarBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        ActivityBloodSugarBinding activityBloodSugarBinding2 = this$0.binding;
        if (activityBloodSugarBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding2 = null;
        }
        activityBloodSugarBinding2.imageHeart.clearAnimation();
        ActivityBloodSugarBinding activityBloodSugarBinding3 = this$0.binding;
        if (activityBloodSugarBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding3 = null;
        }
        activityBloodSugarBinding3.tvCurrHeart.clearAnimation();
        DateUtil dateUtil = new DateUtil();
        ActivityBloodSugarBinding activityBloodSugarBinding4 = this$0.binding;
        if (activityBloodSugarBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding4 = null;
        }
        activityBloodSugarBinding4.tvCurrHeart.setText(String.valueOf((this$0.sugarValue * 1.0f) / 10));
        ActivityBloodSugarBinding activityBloodSugarBinding5 = this$0.binding;
        if (activityBloodSugarBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarBinding5 = null;
        }
        activityBloodSugarBinding5.tvHeartTime.setText(dateUtil.getY_M_D_H_M_S());
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodSugar((byte) this$0.sugarValue), null);
        BloodSugarRepository.INSTANCE.getGetInstance().saveManualSugar(dateUtil.getUnixTimestamp(), this$0.sugarValue);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void queryManualSugar(final DateUtil date) {
        ThreadExtKt.ktxRunOnBgFix(this, new Function1<BloodSugarActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$queryManualSugar$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodSugarActivity bloodSugarActivity) {
                invoke2(bloodSugarActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodSugarActivity ktxRunOnBgFix) {
                BloodSugarActivityViewModel viewModel;
                BloodSugarActivityViewModel viewModel2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgFix, "$this$ktxRunOnBgFix");
                List<AppBloodSugarEntity> queryManualAppSugar = BloodSugarRepository.INSTANCE.getGetInstance().queryManualAppSugar(DateUtil.this);
                viewModel = ktxRunOnBgFix.getViewModel();
                viewModel.getManualList().clear();
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(queryManualAppSugar.size()));
                for (AppBloodSugarEntity appBloodSugarEntity : queryManualAppSugar) {
                    viewModel2 = ktxRunOnBgFix.getViewModel();
                    viewModel2.getManualList().add(new AppSugarDetailBean(appBloodSugarEntity.getTimestamp(), appBloodSugarEntity.getSugar()));
                }
                final DateUtil dateUtil = DateUtil.this;
                ThreadExtKt.ktxRunOnUi(ktxRunOnBgFix, new Function1<BloodSugarActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$queryManualSugar$1.2
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodSugarActivity bloodSugarActivity) {
                        invoke2(bloodSugarActivity);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodSugarActivity ktxRunOnUi) {
                        BloodSugarActivityViewModel viewModel3;
                        ActivityBloodSugarBinding activityBloodSugarBinding;
                        ActivityBloodSugarBinding activityBloodSugarBinding2;
                        ActivityBloodSugarBinding activityBloodSugarBinding3;
                        ManualSugarDetailAdapter manualSugarDetailAdapter;
                        ActivityBloodSugarBinding activityBloodSugarBinding4;
                        ActivityBloodSugarBinding activityBloodSugarBinding5;
                        ActivityBloodSugarBinding activityBloodSugarBinding6;
                        ActivityBloodSugarBinding activityBloodSugarBinding7;
                        ActivityBloodSugarBinding activityBloodSugarBinding8;
                        ActivityBloodSugarBinding activityBloodSugarBinding9;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        viewModel3 = ktxRunOnUi.getViewModel();
                        ManualSugarDetailAdapter manualSugarDetailAdapter2 = null;
                        if (viewModel3.getManualList().size() != 0) {
                            activityBloodSugarBinding = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding = null;
                            }
                            ViewKt.visible(activityBloodSugarBinding.rcvSugarDetail);
                            activityBloodSugarBinding2 = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding2 = null;
                            }
                            ViewKt.gone(activityBloodSugarBinding2.tvNoData);
                            activityBloodSugarBinding3 = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding3 = null;
                            }
                            ViewKt.visible(activityBloodSugarBinding3.rcvDetailLayout);
                        } else if (DateUtil.this.isToday()) {
                            activityBloodSugarBinding7 = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding7 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding7 = null;
                            }
                            ViewKt.visible(activityBloodSugarBinding7.rcvDetailLayout);
                            activityBloodSugarBinding8 = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding8 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding8 = null;
                            }
                            ViewKt.gone(activityBloodSugarBinding8.rcvSugarDetail);
                            activityBloodSugarBinding9 = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding9 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding9 = null;
                            }
                            ViewKt.visible(activityBloodSugarBinding9.tvNoData);
                        } else {
                            activityBloodSugarBinding4 = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding4 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding4 = null;
                            }
                            ViewKt.visible(activityBloodSugarBinding4.rcvSugarDetail);
                            activityBloodSugarBinding5 = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding5 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding5 = null;
                            }
                            ViewKt.gone(activityBloodSugarBinding5.tvNoData);
                            activityBloodSugarBinding6 = ktxRunOnUi.binding;
                            if (activityBloodSugarBinding6 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding6 = null;
                            }
                            ViewKt.gone(activityBloodSugarBinding6.rcvDetailLayout);
                        }
                        manualSugarDetailAdapter = ktxRunOnUi.adapter;
                        if (manualSugarDetailAdapter == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("adapter");
                        } else {
                            manualSugarDetailAdapter2 = manualSugarDetailAdapter;
                        }
                        manualSugarDetailAdapter2.notifyDataSetChanged();
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onStop() {
        super.onStop();
        if (this.startMeasure) {
            this.startMeasure = false;
            this.handler.removeCallbacks(this.sugarRunnable);
            CountDownTimer countDownTimer = this.countDownTimer;
            if (countDownTimer == null) {
                Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                countDownTimer = null;
            }
            countDownTimer.cancel();
            ActivityBloodSugarBinding activityBloodSugarBinding = this.binding;
            if (activityBloodSugarBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarBinding = null;
            }
            activityBloodSugarBinding.tvCurrHeart.setText("--");
            ActivityBloodSugarBinding activityBloodSugarBinding2 = this.binding;
            if (activityBloodSugarBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarBinding2 = null;
            }
            activityBloodSugarBinding2.btnMeasure.setText(getString(R.string.qc_text_76660010));
            ActivityBloodSugarBinding activityBloodSugarBinding3 = this.binding;
            if (activityBloodSugarBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarBinding3 = null;
            }
            activityBloodSugarBinding3.tvCurrHeart.clearAnimation();
            ActivityBloodSugarBinding activityBloodSugarBinding4 = this.binding;
            if (activityBloodSugarBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarBinding4 = null;
            }
            activityBloodSugarBinding4.imageHeart.clearAnimation();
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodSugar((byte) 0), null);
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if (messageEvent instanceof ManualRefreshEvent) {
            if (this.dateUtil.isToday()) {
                getViewModel().queryBloodSugarByDate(this.dateUtil);
                queryManualSugar(this.dateUtil);
                return;
            }
            return;
        }
        if (messageEvent instanceof BluetoothEvent) {
            ((BluetoothEvent) messageEvent).getConnect();
        }
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$secondsDown$1] */
    private final void secondsDown() {
        final long j = 25000;
        CountDownTimer start = new CountDownTimer(j) { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$secondsDown$1
            @Override // android.os.CountDownTimer
            public void onFinish() {
            }

            @Override // android.os.CountDownTimer
            public void onTick(long p0) {
                if (((int) (p0 / CropImageView.DEFAULT_IMAGE_TO_CROP_BOUNDS_ANIM_DURATION)) % 2 == 0) {
                    final BloodSugarActivity bloodSugarActivity = BloodSugarActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<BloodSugarActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$secondsDown$1$onTick$1
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(BloodSugarActivity$secondsDown$1 bloodSugarActivity$secondsDown$1) {
                            invoke2(bloodSugarActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(BloodSugarActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityBloodSugarBinding activityBloodSugarBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityBloodSugarBinding = BloodSugarActivity.this.binding;
                            if (activityBloodSugarBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding = null;
                            }
                            activityBloodSugarBinding.tvCurrHeart.setText("--");
                        }
                    });
                } else {
                    final BloodSugarActivity bloodSugarActivity2 = BloodSugarActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<BloodSugarActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$secondsDown$1$onTick$2
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(BloodSugarActivity$secondsDown$1 bloodSugarActivity$secondsDown$1) {
                            invoke2(bloodSugarActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(BloodSugarActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityBloodSugarBinding activityBloodSugarBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityBloodSugarBinding = BloodSugarActivity.this.binding;
                            if (activityBloodSugarBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding = null;
                            }
                            activityBloodSugarBinding.tvCurrHeart.setText("-");
                        }
                    });
                }
            }
        }.start();
        Intrinsics.checkNotNullExpressionValue(start, "private fun secondsDown(…\n\n        }.start()\n    }");
        this.countDownTimer = start;
    }

    private final void showCalendarDialog(Activity activity, Map<String, Calendar> mSchemeDates, final DateUtil date) {
        Activity activity2 = activity;
        CenterDialog.Builder builder = new CenterDialog.Builder(activity2);
        builder.setContentView(R.layout.layout_dialog_calendar);
        CenterDialog create = builder.create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.calendarDialog = create;
        CenterDialog centerDialog = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
            create = null;
        }
        create.show();
        CenterDialog centerDialog2 = this.calendarDialog;
        if (centerDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
        } else {
            centerDialog = centerDialog2;
        }
        View contentView = centerDialog.getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "calendarDialog.contentView");
        final QDateMonthSwitchPubuView qDateMonthSwitchPubuView = (QDateMonthSwitchPubuView) contentView.findViewById(R.id.qc_dialog_date_change);
        final CalendarView calendarView = (CalendarView) contentView.findViewById(R.id.calendarView);
        qDateMonthSwitchPubuView.setShowFuture(true);
        qDateMonthSwitchPubuView.setMonth(date);
        qDateMonthSwitchPubuView.setDateListener(new QDateMonthSwitchPubuView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$showCalendarDialog$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView.QDateBefore
            public void clickBefore(boolean r4, final DateUtil dateUtil) {
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
                CalendarView.this.scrollToCalendar(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay());
                final BloodSugarActivity bloodSugarActivity = this;
                final CalendarView calendarView2 = CalendarView.this;
                ThreadExtKt.ktxRunOnBgSingle(this, new Function1<BloodSugarActivity$showCalendarDialog$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$showCalendarDialog$1$clickBefore$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodSugarActivity$showCalendarDialog$1 bloodSugarActivity$showCalendarDialog$1) {
                        invoke2(bloodSugarActivity$showCalendarDialog$1);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodSugarActivity$showCalendarDialog$1 ktxRunOnBgSingle) {
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        BloodSugarActivity.this.setMap(BloodSugarRepository.INSTANCE.getGetInstance().calendarBloodSugar(dateUtil.getYear(), dateUtil.getMonth()));
                        calendarView2.setSchemeDate(BloodSugarActivity.this.getMap());
                    }
                });
            }
        });
        calendarView.setSchemeDate(mSchemeDates);
        calendarView.scrollToCalendar(date.getYear(), date.getMonth(), date.getDay());
        calendarView.setOnMonthChangeListener(new CalendarView.OnMonthChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$$ExternalSyntheticLambda6
            @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
            public final void onMonthChange(int i, int i2) {
                BloodSugarActivity.m647showCalendarDialog$lambda11(DateUtil.this, qDateMonthSwitchPubuView, this, calendarView, i, i2);
            }
        });
        calendarView.setOnCalendarSelectListener(new CalendarSelectListener());
        calendarView.setBackground(SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5));
        calendarView.setSelectedColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.white), SkinCompatResources.getColor(activity2, R.color.black));
        calendarView.setTextColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_show_4), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showCalendarDialog$lambda-11, reason: not valid java name */
    public static final void m647showCalendarDialog$lambda11(DateUtil date, QDateMonthSwitchPubuView qDateMonthSwitchPubuView, BloodSugarActivity this$0, final CalendarView calendarView, final int i, final int i2) {
        Intrinsics.checkNotNullParameter(date, "$date");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DateUtil dateUtil = new DateUtil(i, i2, date.getDay());
        AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
        qDateMonthSwitchPubuView.setMonth(new DateUtil(i, i2, dateUtil.getDay()));
        ThreadExtKt.ktxRunOnBgSingle(this$0, new Function1<BloodSugarActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$showCalendarDialog$2$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodSugarActivity bloodSugarActivity) {
                invoke2(bloodSugarActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodSugarActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                ktxRunOnBgSingle.setMap(BloodOxygenRepository.INSTANCE.getGetInstance().calendarBloodOxygen(i, i2));
                calendarView.setSchemeDate(ktxRunOnBgSingle.getMap());
            }
        });
    }

    /* compiled from: BloodSugarActivity.kt */
    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0016J\u0018\u0010\u0007\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bloodsugar/BloodSugarActivity$CalendarSelectListener;", "Lcom/haibin/calendarview/CalendarView$OnCalendarSelectListener;", "(Lcom/qcwireless/qcwatch/ui/home/bloodsugar/BloodSugarActivity;)V", "onCalendarOutOfRange", "", "calendar", "Lcom/haibin/calendarview/Calendar;", "onCalendarSelect", "isClick", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class CalendarSelectListener implements CalendarView.OnCalendarSelectListener {
        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarOutOfRange(Calendar calendar) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
        }

        public CalendarSelectListener() {
        }

        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarSelect(final Calendar calendar, boolean isClick) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
            if (isClick) {
                CenterDialog centerDialog = BloodSugarActivity.this.calendarDialog;
                if (centerDialog == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
                    centerDialog = null;
                }
                centerDialog.dismiss();
                final BloodSugarActivity bloodSugarActivity = BloodSugarActivity.this;
                ThreadExtKt.ktxRunOnUi(this, new Function1<CalendarSelectListener, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivity$CalendarSelectListener$onCalendarSelect$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodSugarActivity.CalendarSelectListener calendarSelectListener) {
                        invoke2(calendarSelectListener);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodSugarActivity.CalendarSelectListener ktxRunOnUi) {
                        ActivityBloodSugarBinding activityBloodSugarBinding;
                        BloodSugarActivityViewModel viewModel;
                        ActivityBloodSugarBinding activityBloodSugarBinding2;
                        ActivityBloodSugarBinding activityBloodSugarBinding3;
                        ActivityBloodSugarBinding activityBloodSugarBinding4;
                        ActivityBloodSugarBinding activityBloodSugarBinding5;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        DateUtil dateUtil = new DateUtil(Calendar.this.getYear(), Calendar.this.getMonth(), Calendar.this.getDay());
                        ActivityBloodSugarBinding activityBloodSugarBinding6 = null;
                        if (!dateUtil.futureDate()) {
                            bloodSugarActivity.selectDate = dateUtil;
                            bloodSugarActivity.dateUtil = dateUtil;
                            activityBloodSugarBinding = bloodSugarActivity.binding;
                            if (activityBloodSugarBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding = null;
                            }
                            activityBloodSugarBinding.qcDateChange.setDateUtil(dateUtil);
                            viewModel = bloodSugarActivity.getViewModel();
                            viewModel.queryBloodSugarByDate(dateUtil);
                            bloodSugarActivity.queryManualSugar(dateUtil);
                            if (dateUtil.isToday()) {
                                activityBloodSugarBinding4 = bloodSugarActivity.binding;
                                if (activityBloodSugarBinding4 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodSugarBinding4 = null;
                                }
                                ViewKt.visible(activityBloodSugarBinding4.btnMeasure);
                                activityBloodSugarBinding5 = bloodSugarActivity.binding;
                                if (activityBloodSugarBinding5 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityBloodSugarBinding6 = activityBloodSugarBinding5;
                                }
                                ViewKt.visible(activityBloodSugarBinding6.currHeartCtl);
                                return;
                            }
                            activityBloodSugarBinding2 = bloodSugarActivity.binding;
                            if (activityBloodSugarBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodSugarBinding2 = null;
                            }
                            ViewKt.gone(activityBloodSugarBinding2.btnMeasure);
                            activityBloodSugarBinding3 = bloodSugarActivity.binding;
                            if (activityBloodSugarBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                            } else {
                                activityBloodSugarBinding6 = activityBloodSugarBinding3;
                            }
                            ViewKt.gone(activityBloodSugarBinding6.currHeartCtl);
                            return;
                        }
                        String string = bloodSugarActivity.getString(R.string.qc_text_6666040);
                        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6666040)");
                        GlobalKt.showToast$default(string, 0, 1, null);
                    }
                });
            }
        }
    }
}
