package com.qcwireless.qcwatch.ui.home.bp;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Parcelable;
import android.view.View;
import android.view.animation.AlphaAnimation;
import android.view.animation.ScaleAnimation;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.work.WorkRequest;
import com.haibin.calendarview.Calendar;
import com.haibin.calendarview.CalendarView;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.req.StartHeartRateReq;
import com.oudmon.ble.base.communication.req.StopHeartRateReq;
import com.oudmon.ble.base.communication.responseImpl.DeviceNotifyListener;
import com.oudmon.ble.base.communication.rsp.DeviceNotifyRsp;
import com.oudmon.ble.base.communication.rsp.StartHeartRateRsp;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.dialog.CenterDialog;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityBloodPressureBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.bean.device.DeviceSetting;
import com.qcwireless.qcwatch.ui.base.repository.entity.BloodPressureManualEntity;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodPressureRepository;
import com.qcwireless.qcwatch.ui.base.view.QBloodPressureChartView;
import com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView;
import com.qcwireless.qcwatch.ui.base.view.QDateSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.base.view.QSettingItemTitleSubTitleSystem;
import com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity;
import com.qcwireless.qcwatch.ui.home.bp.BloodPressureViewModel;
import com.qcwireless.qcwatch.ui.home.bp.adapter.ManualBloodPressureDetailAdapter;
import com.qcwireless.qcwatch.ui.home.bp.bean.BpDetailBean;
import com.qcwireless.ring.R;
import com.yalantis.ucrop.view.CropImageView;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;
import skin.support.content.res.SkinCompatResources;

/* compiled from: BloodPressureActivity.kt */
@Metadata(d1 = {"\u0000\u0094\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010$\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u00002\u00020\u0001:\u0002HIB\u0005¢\u0006\u0002\u0010\u0002J\u0012\u00107\u001a\u0002082\b\u00109\u001a\u0004\u0018\u00010:H\u0014J\b\u0010;\u001a\u000208H\u0014J\u0010\u0010<\u001a\u0002082\u0006\u0010=\u001a\u00020>H\u0017J\b\u0010?\u001a\u000208H\u0014J\b\u0010@\u001a\u000208H\u0014J\u0010\u0010A\u001a\u0002082\u0006\u0010\u000f\u001a\u00020\u0010H\u0002J\b\u0010B\u001a\u000208H\u0002J\b\u0010C\u001a\u000208H\u0015J,\u0010D\u001a\u0002082\u0006\u0010E\u001a\u00020F2\u0012\u0010G\u001a\u000e\u0012\u0004\u0012\u00020%\u0012\u0004\u0012\u00020&0$2\u0006\u0010\u000f\u001a\u00020\u0010H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\u000eX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\u0010X\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0011\u001a\u00020\u0012X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0013\u0010\u0014\"\u0004\b\u0015\u0010\u0016R\u0012\u0010\u0017\u001a\u00060\u0018R\u00020\u0000X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0019\u001a\u00020\u001aX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u001b\u001a\u00020\u001cX\u0082\u0004¢\u0006\u0002\n\u0000R\u001a\u0010\u001d\u001a\u00020\u001eX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001f\u0010 \"\u0004\b!\u0010\"R&\u0010#\u001a\u000e\u0012\u0004\u0012\u00020%\u0012\u0004\u0012\u00020&0$X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b'\u0010(\"\u0004\b)\u0010*R\u001a\u0010+\u001a\u00020\u0012X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b,\u0010\u0014\"\u0004\b-\u0010\u0016R\u000e\u0010.\u001a\u00020\u0010X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010/\u001a\u000200X\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u00101\u001a\u0002028BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b5\u00106\u001a\u0004\b3\u00104¨\u0006J"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bp/BloodPressureActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/bp/adapter/ManualBloodPressureDetailAdapter;", "alphaAnimation", "Landroid/view/animation/AlphaAnimation;", "animation", "Landroid/view/animation/ScaleAnimation;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityBloodPressureBinding;", "calendarDialog", "Lcom/qcwireless/qcwatch/base/dialog/CenterDialog;", "countDownTimer", "Landroid/os/CountDownTimer;", "date", "Lcom/qcwireless/qc_utils/date/DateUtil;", "dbp", "", "getDbp", "()I", "setDbp", "(I)V", "deviceNotifyListener", "Lcom/qcwireless/qcwatch/ui/home/bp/BloodPressureActivity$MyDeviceNotifyListener;", "deviceSetting", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "handler", "Landroid/os/Handler;", "heartRunnable", "Ljava/lang/Runnable;", "getHeartRunnable", "()Ljava/lang/Runnable;", "setHeartRunnable", "(Ljava/lang/Runnable;)V", "map", "", "", "Lcom/haibin/calendarview/Calendar;", "getMap", "()Ljava/util/Map;", "setMap", "(Ljava/util/Map;)V", "sbp", "getSbp", "setSbp", "selectDate", "startMeasure", "", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/bp/BloodPressureViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/bp/BloodPressureViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onDestroy", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "onResume", "onStop", "queryManualBloodPressure", "secondsDown", "setupViews", "showCalendarDialog", "activity", "Landroid/app/Activity;", "mSchemeDates", "CalendarSelectListener", "MyDeviceNotifyListener", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class BloodPressureActivity extends BaseActivity {
    private ManualBloodPressureDetailAdapter adapter;
    private AlphaAnimation alphaAnimation;
    private ScaleAnimation animation;
    private ActivityBloodPressureBinding binding;
    private CenterDialog calendarDialog;
    private CountDownTimer countDownTimer;
    private DateUtil date;
    private int dbp;
    private MyDeviceNotifyListener deviceNotifyListener;
    private DeviceSetting deviceSetting;
    private final Handler handler;
    private Runnable heartRunnable;
    private Map<String, Calendar> map;
    private int sbp;
    private DateUtil selectDate;
    private boolean startMeasure;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public BloodPressureActivity() {
        final BloodPressureActivity bloodPressureActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<BloodPressureViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.bp.BloodPressureViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final BloodPressureViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(BloodPressureViewModel.class), qualifier, b);
            }
        });
        this.date = new DateUtil();
        this.map = new HashMap();
        this.selectDate = new DateUtil();
        this.sbp = 120;
        this.dbp = 80;
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
        this.heartRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                BloodPressureActivity.m656heartRunnable$lambda13(BloodPressureActivity.this);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final BloodPressureViewModel getViewModel() {
        return (BloodPressureViewModel) this.viewModel.getValue();
    }

    public final Map<String, Calendar> getMap() {
        return this.map;
    }

    public final void setMap(Map<String, Calendar> map) {
        Intrinsics.checkNotNullParameter(map, "<set-?>");
        this.map = map;
    }

    public final int getSbp() {
        return this.sbp;
    }

    public final void setSbp(int i) {
        this.sbp = i;
    }

    public final int getDbp() {
        return this.dbp;
    }

    public final void setDbp(int i) {
        this.dbp = i;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityBloodPressureBinding inflate = ActivityBloodPressureBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        getViewModel().initData(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
        getViewModel().queryLastData();
        BloodPressureActivity bloodPressureActivity = this;
        this.adapter = new ManualBloodPressureDetailAdapter(bloodPressureActivity, getViewModel().getManualList());
        final ActivityBloodPressureBinding activityBloodPressureBinding = this.binding;
        ActivityBloodPressureBinding activityBloodPressureBinding2 = null;
        if (activityBloodPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding = null;
        }
        setStatusBarBackground(R.color.blood_pressure_bg);
        ViewKt.gone(activityBloodPressureBinding.titleBar.divider);
        activityBloodPressureBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_86));
        ViewKt.visible(activityBloodPressureBinding.titleBar.tvRightText);
        activityBloodPressureBinding.titleBar.tvRightText.setBackgroundResource(R.mipmap.app_desp);
        activityBloodPressureBinding.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodPressureActivity.m659setupViews$lambda3$lambda0(BloodPressureActivity.this, view);
            }
        });
        final QDateSwitchView qDateSwitchView = activityBloodPressureBinding.qcDateChange;
        qDateSwitchView.setDateListener(new QDateSwitchView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$setupViews$1$2$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateSwitchView.QDateBefore
            public void clickBefore(boolean r2, DateUtil dateUtil) {
                DateUtil dateUtil2;
                ActivityBloodPressureBinding activityBloodPressureBinding3;
                ActivityBloodPressureBinding activityBloodPressureBinding4;
                ActivityBloodPressureBinding activityBloodPressureBinding5;
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                BloodPressureActivity.this.date = dateUtil;
                BloodPressureActivity.this.selectDate = dateUtil;
                qDateSwitchView.setDateUtil(dateUtil);
                BloodPressureActivity.this.getViewModel().queryBloodPressureByDate(dateUtil);
                BloodPressureActivity.this.queryManualBloodPressure(dateUtil);
                dateUtil2 = BloodPressureActivity.this.date;
                ActivityBloodPressureBinding activityBloodPressureBinding6 = null;
                if (dateUtil2.isToday()) {
                    activityBloodPressureBinding4 = BloodPressureActivity.this.binding;
                    if (activityBloodPressureBinding4 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodPressureBinding4 = null;
                    }
                    ViewKt.visible(activityBloodPressureBinding4.btnMeasure);
                    activityBloodPressureBinding5 = BloodPressureActivity.this.binding;
                    if (activityBloodPressureBinding5 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityBloodPressureBinding6 = activityBloodPressureBinding5;
                    }
                    ViewKt.visible(activityBloodPressureBinding6.currHeartCtl);
                    return;
                }
                ViewKt.gone(activityBloodPressureBinding.btnMeasure);
                activityBloodPressureBinding3 = BloodPressureActivity.this.binding;
                if (activityBloodPressureBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityBloodPressureBinding6 = activityBloodPressureBinding3;
                }
                ViewKt.gone(activityBloodPressureBinding6.currHeartCtl);
            }
        });
        activityBloodPressureBinding.qcDateChange.setCalendarClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodPressureActivity.m660setupViews$lambda3$lambda2(BloodPressureActivity.this, view);
            }
        });
        activityBloodPressureBinding.rcvBloodPressureDetail.setLayoutManager(new LinearLayoutManager(bloodPressureActivity));
        RecyclerView recyclerView = activityBloodPressureBinding.rcvBloodPressureDetail;
        ManualBloodPressureDetailAdapter manualBloodPressureDetailAdapter = this.adapter;
        if (manualBloodPressureDetailAdapter == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            manualBloodPressureDetailAdapter = null;
        }
        recyclerView.setAdapter(manualBloodPressureDetailAdapter);
        ScaleAnimation scaleAnimation = new ScaleAnimation(1.0f, 1.3f, 1.0f, 1.3f, 1, 0.5f, 1, 0.5f);
        this.animation = scaleAnimation;
        scaleAnimation.setDuration(1500L);
        ScaleAnimation scaleAnimation2 = this.animation;
        if (scaleAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation2 = null;
        }
        scaleAnimation2.setRepeatCount(-1);
        ScaleAnimation scaleAnimation3 = this.animation;
        if (scaleAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation3 = null;
        }
        scaleAnimation3.setFillAfter(true);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
        this.alphaAnimation = alphaAnimation;
        alphaAnimation.setDuration(500L);
        AlphaAnimation alphaAnimation2 = this.alphaAnimation;
        if (alphaAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation2 = null;
        }
        alphaAnimation2.setRepeatMode(2);
        AlphaAnimation alphaAnimation3 = this.alphaAnimation;
        if (alphaAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation3 = null;
        }
        alphaAnimation3.setRepeatCount(60);
        BloodPressureActivity bloodPressureActivity2 = this;
        getViewModel().getUiState().observe(bloodPressureActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda10
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodPressureActivity.m661setupViews$lambda4(BloodPressureActivity.this, (BloodPressureViewModel.BloodPressureUI) obj);
            }
        });
        getViewModel().getLastDate().observe(bloodPressureActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda8
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodPressureActivity.m662setupViews$lambda5(BloodPressureActivity.this, (DateUtil) obj);
            }
        });
        ActivityBloodPressureBinding activityBloodPressureBinding3 = this.binding;
        if (activityBloodPressureBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding3 = null;
        }
        activityBloodPressureBinding3.bloodPressureChatView.setSelectedListener(new QBloodPressureChartView.OnSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda1
            @Override // com.qcwireless.qcwatch.ui.base.view.QBloodPressureChartView.OnSelectedListener
            public final void onSelected(QBloodPressureChartView.BpDataBean bpDataBean) {
                BloodPressureActivity.m663setupViews$lambda6(BloodPressureActivity.this, bpDataBean);
            }
        });
        getViewModel().getDeviceSetting().observe(bloodPressureActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda9
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodPressureActivity.m664setupViews$lambda7(BloodPressureActivity.this, (DeviceSetting) obj);
            }
        });
        ActivityBloodPressureBinding activityBloodPressureBinding4 = this.binding;
        if (activityBloodPressureBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding4 = null;
        }
        activityBloodPressureBinding4.qcSettingBloodPressure.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda7
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                BloodPressureActivity.m665setupViews$lambda8(BloodPressureActivity.this, compoundButton, z);
            }
        });
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<BloodPressureActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$setupViews$7
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity bloodPressureActivity3) {
                invoke2(bloodPressureActivity3);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodPressureActivity ktxRunOnBgSingle) {
                DateUtil dateUtil;
                DateUtil dateUtil2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                BloodPressureRepository getInstance = BloodPressureRepository.INSTANCE.getGetInstance();
                dateUtil = ktxRunOnBgSingle.date;
                int year = dateUtil.getYear();
                dateUtil2 = ktxRunOnBgSingle.date;
                ktxRunOnBgSingle.setMap(getInstance.calendarBloodPressure(year, dateUtil2.getMonth()));
            }
        });
        ActivityBloodPressureBinding activityBloodPressureBinding5 = this.binding;
        if (activityBloodPressureBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding5 = null;
        }
        activityBloodPressureBinding5.bpValueDetail.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$setupViews$8
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                DateUtil dateUtil;
                Bundle bundle = new Bundle();
                dateUtil = BloodPressureActivity.this.date;
                bundle.putInt("timestamp", (int) dateUtil.getUnixTimestamp());
                BloodPressureActivity bloodPressureActivity3 = BloodPressureActivity.this;
                ArrayList<Pair> arrayList = new ArrayList();
                Intent intent = new Intent(bloodPressureActivity3, (Class<?>) BloodPressureDataDetailActivity.class);
                intent.setFlags(1);
                intent.putExtras(bundle);
                for (Pair pair : arrayList) {
                    if (pair != null) {
                        String str = (String) pair.getFirst();
                        Object second = pair.getSecond();
                        if (second instanceof Integer) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                        } else if (second instanceof Byte) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                        } else if (second instanceof Character) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                        } else if (second instanceof Short) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                        } else if (second instanceof Boolean) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                        } else if (second instanceof Long) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                        } else if (second instanceof Float) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                        } else if (second instanceof Double) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                        } else if (second instanceof String) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                        } else if (second instanceof CharSequence) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                        } else if (second instanceof Parcelable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else if (second instanceof Object[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof ArrayList) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof Serializable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof boolean[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                        } else if (second instanceof byte[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                        } else if (second instanceof short[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                        } else if (second instanceof char[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                        } else if (second instanceof int[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                        } else if (second instanceof long[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                        } else if (second instanceof float[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                        } else if (second instanceof double[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                        } else if (second instanceof Bundle) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                        } else if (second instanceof Intent) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else {
                            Unit unit = Unit.INSTANCE;
                        }
                    }
                }
                bloodPressureActivity3.startActivity(intent);
            }
        });
        ActivityBloodPressureBinding activityBloodPressureBinding6 = this.binding;
        if (activityBloodPressureBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding6 = null;
        }
        activityBloodPressureBinding6.qcSettingBloodPressure.setSubTitleClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda6
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodPressureActivity.m666setupViews$lambda9(BloodPressureActivity.this, view);
            }
        });
        ActivityBloodPressureBinding activityBloodPressureBinding7 = this.binding;
        if (activityBloodPressureBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding7 = null;
        }
        activityBloodPressureBinding7.btnMeasure.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodPressureActivity.m657setupViews$lambda10(BloodPressureActivity.this, view);
            }
        });
        ActivityBloodPressureBinding activityBloodPressureBinding8 = this.binding;
        if (activityBloodPressureBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodPressureBinding2 = activityBloodPressureBinding8;
        }
        activityBloodPressureBinding2.tvListDetail.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodPressureActivity.m658setupViews$lambda12(BloodPressureActivity.this, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-3$lambda-0, reason: not valid java name */
    public static final void m659setupViews$lambda3$lambda0(BloodPressureActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        BloodPressureActivity bloodPressureActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(bloodPressureActivity, (Class<?>) BloodPressureGuideActivity.class);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        bloodPressureActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-3$lambda-2, reason: not valid java name */
    public static final void m660setupViews$lambda3$lambda2(BloodPressureActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.showCalendarDialog(this$0, this$0.map, this$0.selectDate);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-4, reason: not valid java name */
    public static final void m661setupViews$lambda4(BloodPressureActivity this$0, BloodPressureViewModel.BloodPressureUI bloodPressureUI) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (bloodPressureUI != null) {
            ActivityBloodPressureBinding activityBloodPressureBinding = this$0.binding;
            ActivityBloodPressureBinding activityBloodPressureBinding2 = null;
            if (activityBloodPressureBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodPressureBinding = null;
            }
            activityBloodPressureBinding.bloodPressureChatView.setData(bloodPressureUI.getListData(), bloodPressureUI.getToday());
            if (bloodPressureUI.getListData().isEmpty()) {
                ActivityBloodPressureBinding activityBloodPressureBinding3 = this$0.binding;
                if (activityBloodPressureBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityBloodPressureBinding2 = activityBloodPressureBinding3;
                }
                activityBloodPressureBinding2.bpValueDetail.setRightText("");
                return;
            }
            int min = bloodPressureUI.getListData().get(0).getMin();
            ActivityBloodPressureBinding activityBloodPressureBinding4 = this$0.binding;
            if (activityBloodPressureBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityBloodPressureBinding2 = activityBloodPressureBinding4;
            }
            activityBloodPressureBinding2.bpValueDetail.setRightText(DateUtil.dayMinToStr(min));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5, reason: not valid java name */
    public static final void m662setupViews$lambda5(BloodPressureActivity this$0, DateUtil it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.date = it;
        ActivityBloodPressureBinding activityBloodPressureBinding = this$0.binding;
        ActivityBloodPressureBinding activityBloodPressureBinding2 = null;
        if (activityBloodPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding = null;
        }
        activityBloodPressureBinding.qcDateChange.setDateUtil(it);
        this$0.getViewModel().queryBloodPressureByDate(it);
        this$0.queryManualBloodPressure(it);
        if (this$0.date.isToday()) {
            ActivityBloodPressureBinding activityBloodPressureBinding3 = this$0.binding;
            if (activityBloodPressureBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityBloodPressureBinding2 = activityBloodPressureBinding3;
            }
            ViewKt.visible(activityBloodPressureBinding2.btnMeasure);
            return;
        }
        ActivityBloodPressureBinding activityBloodPressureBinding4 = this$0.binding;
        if (activityBloodPressureBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodPressureBinding2 = activityBloodPressureBinding4;
        }
        ViewKt.gone(activityBloodPressureBinding2.btnMeasure);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6, reason: not valid java name */
    public static final void m663setupViews$lambda6(BloodPressureActivity this$0, final QBloodPressureChartView.BpDataBean bpDataBean) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (bpDataBean != null) {
            if (bpDataBean.getSbp() == 0) {
                ThreadExtKt.ktxRunOnUi(this$0, new Function1<BloodPressureActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$setupViews$4$1
                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity bloodPressureActivity) {
                        invoke2(bloodPressureActivity);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodPressureActivity ktxRunOnUi) {
                        ActivityBloodPressureBinding activityBloodPressureBinding;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        activityBloodPressureBinding = ktxRunOnUi.binding;
                        if (activityBloodPressureBinding == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityBloodPressureBinding = null;
                        }
                        activityBloodPressureBinding.bpValue.setText("--/--");
                    }
                });
            } else {
                ThreadExtKt.ktxRunOnUi(this$0, new Function1<BloodPressureActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$setupViews$4$2
                    /* JADX INFO: Access modifiers changed from: package-private */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity bloodPressureActivity) {
                        invoke2(bloodPressureActivity);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodPressureActivity ktxRunOnUi) {
                        ActivityBloodPressureBinding activityBloodPressureBinding;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        StringBuilder sb = new StringBuilder();
                        sb.append(QBloodPressureChartView.BpDataBean.this.getSbp());
                        sb.append('/');
                        sb.append(QBloodPressureChartView.BpDataBean.this.getDbp());
                        String sb2 = sb.toString();
                        activityBloodPressureBinding = ktxRunOnUi.binding;
                        if (activityBloodPressureBinding == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityBloodPressureBinding = null;
                        }
                        activityBloodPressureBinding.bpValue.setText(sb2);
                    }
                });
            }
            ActivityBloodPressureBinding activityBloodPressureBinding = this$0.binding;
            if (activityBloodPressureBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodPressureBinding = null;
            }
            activityBloodPressureBinding.tvHM.setText(DateUtil.dayMinToStr(bpDataBean.getMin()));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-7, reason: not valid java name */
    public static final void m664setupViews$lambda7(BloodPressureActivity this$0, DeviceSetting it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.deviceSetting = it;
        ActivityBloodPressureBinding activityBloodPressureBinding = this$0.binding;
        if (activityBloodPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding = null;
        }
        activityBloodPressureBinding.qcSettingBloodPressure.setChecked(it.getBpSwitch());
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-8, reason: not valid java name */
    public static final void m665setupViews$lambda8(BloodPressureActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 != null) {
                if (deviceSetting2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                    deviceSetting2 = null;
                }
                deviceSetting2.setBpSwitch(z);
                BloodPressureViewModel viewModel = this$0.getViewModel();
                String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                DeviceSetting deviceSetting3 = this$0.deviceSetting;
                if (deviceSetting3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                } else {
                    deviceSetting = deviceSetting3;
                }
                viewModel.saveDeviceSetting(deviceAddressNoClear, deviceSetting);
                return;
            }
            return;
        }
        ActivityBloodPressureBinding activityBloodPressureBinding = this$0.binding;
        if (activityBloodPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding = null;
        }
        QSettingItemTitleSubTitleSystem qSettingItemTitleSubTitleSystem = activityBloodPressureBinding.qcSettingBloodPressure;
        DeviceSetting deviceSetting4 = this$0.deviceSetting;
        if (deviceSetting4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting4 = null;
        }
        qSettingItemTitleSubTitleSystem.setChecked(deviceSetting4.getBpSwitch());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-9, reason: not valid java name */
    public static final void m666setupViews$lambda9(BloodPressureActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityBloodPressureBinding activityBloodPressureBinding = this$0.binding;
        ActivityBloodPressureBinding activityBloodPressureBinding2 = null;
        if (activityBloodPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding = null;
        }
        if (activityBloodPressureBinding.qcSettingBloodPressure.getTextLines() == 2) {
            ActivityBloodPressureBinding activityBloodPressureBinding3 = this$0.binding;
            if (activityBloodPressureBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodPressureBinding3 = null;
            }
            activityBloodPressureBinding3.qcSettingBloodPressure.startAnim(180.0f);
            ActivityBloodPressureBinding activityBloodPressureBinding4 = this$0.binding;
            if (activityBloodPressureBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityBloodPressureBinding2 = activityBloodPressureBinding4;
            }
            activityBloodPressureBinding2.qcSettingBloodPressure.setTextLines(20);
            return;
        }
        ActivityBloodPressureBinding activityBloodPressureBinding5 = this$0.binding;
        if (activityBloodPressureBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding5 = null;
        }
        activityBloodPressureBinding5.qcSettingBloodPressure.startAnim(360.0f);
        ActivityBloodPressureBinding activityBloodPressureBinding6 = this$0.binding;
        if (activityBloodPressureBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodPressureBinding2 = activityBloodPressureBinding6;
        }
        activityBloodPressureBinding2.qcSettingBloodPressure.setTextLines(2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-10, reason: not valid java name */
    public static final void m657setupViews$lambda10(final BloodPressureActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        AlphaAnimation alphaAnimation = null;
        if (!BleOperateManager.getInstance().isConnected()) {
            String string = this$0.getString(R.string.qc_text_75);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        if (!this$0.startMeasure) {
            this$0.startMeasure = true;
            this$0.secondsDown();
            ActivityBloodPressureBinding activityBloodPressureBinding = this$0.binding;
            if (activityBloodPressureBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodPressureBinding = null;
            }
            activityBloodPressureBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660011));
            ActivityBloodPressureBinding activityBloodPressureBinding2 = this$0.binding;
            if (activityBloodPressureBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodPressureBinding2 = null;
            }
            ImageView imageView = activityBloodPressureBinding2.imageHeart;
            ScaleAnimation scaleAnimation = this$0.animation;
            if (scaleAnimation == null) {
                Intrinsics.throwUninitializedPropertyAccessException("animation");
                scaleAnimation = null;
            }
            imageView.startAnimation(scaleAnimation);
            ActivityBloodPressureBinding activityBloodPressureBinding3 = this$0.binding;
            if (activityBloodPressureBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodPressureBinding3 = null;
            }
            TextView textView = activityBloodPressureBinding3.tvCurrHeart;
            AlphaAnimation alphaAnimation2 = this$0.alphaAnimation;
            if (alphaAnimation2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            } else {
                alphaAnimation = alphaAnimation2;
            }
            textView.startAnimation(alphaAnimation);
            CommandHandle.getInstance().executeReqCmd(StartHeartRateReq.getSimpleReq((byte) 2), new ICommandResponse<StartHeartRateRsp>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$setupViews$10$1
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public void onDataResponse(StartHeartRateRsp resultEntity) {
                    ActivityBloodPressureBinding activityBloodPressureBinding4;
                    ActivityBloodPressureBinding activityBloodPressureBinding5;
                    ActivityBloodPressureBinding activityBloodPressureBinding6;
                    Handler handler;
                    Handler handler2;
                    boolean z;
                    ActivityBloodPressureBinding activityBloodPressureBinding7;
                    CountDownTimer countDownTimer;
                    ActivityBloodPressureBinding activityBloodPressureBinding8;
                    Intrinsics.checkNotNullParameter(resultEntity, "resultEntity");
                    ActivityBloodPressureBinding activityBloodPressureBinding9 = null;
                    if (resultEntity.getErrCode() == 0 && resultEntity.getType() == 2) {
                        if (resultEntity.getSbp() > 0) {
                            BloodPressureActivity.this.setSbp(resultEntity.getSbp());
                            BloodPressureActivity.this.setDbp(resultEntity.getDbp());
                            z = BloodPressureActivity.this.startMeasure;
                            if (z) {
                                activityBloodPressureBinding7 = BloodPressureActivity.this.binding;
                                if (activityBloodPressureBinding7 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodPressureBinding7 = null;
                                }
                                TextView textView2 = activityBloodPressureBinding7.tvCurrHeart;
                                StringBuilder sb = new StringBuilder();
                                sb.append(BloodPressureActivity.this.getSbp());
                                sb.append('/');
                                sb.append(BloodPressureActivity.this.getDbp());
                                textView2.setText(sb.toString());
                                countDownTimer = BloodPressureActivity.this.countDownTimer;
                                if (countDownTimer == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                                    countDownTimer = null;
                                }
                                countDownTimer.cancel();
                                activityBloodPressureBinding8 = BloodPressureActivity.this.binding;
                                if (activityBloodPressureBinding8 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityBloodPressureBinding9 = activityBloodPressureBinding8;
                                }
                                activityBloodPressureBinding9.tvCurrHeart.clearAnimation();
                                return;
                            }
                            return;
                        }
                        return;
                    }
                    if (resultEntity.getErrCode() == 1) {
                        String string2 = BloodPressureActivity.this.getString(R.string.qc_text_6666064);
                        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_6666064)");
                        GlobalKt.showToast$default(string2, 0, 1, null);
                    }
                    activityBloodPressureBinding4 = BloodPressureActivity.this.binding;
                    if (activityBloodPressureBinding4 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodPressureBinding4 = null;
                    }
                    activityBloodPressureBinding4.imageHeart.clearAnimation();
                    activityBloodPressureBinding5 = BloodPressureActivity.this.binding;
                    if (activityBloodPressureBinding5 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityBloodPressureBinding5 = null;
                    }
                    activityBloodPressureBinding5.tvCurrHeart.clearAnimation();
                    BloodPressureActivity.this.startMeasure = false;
                    activityBloodPressureBinding6 = BloodPressureActivity.this.binding;
                    if (activityBloodPressureBinding6 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityBloodPressureBinding9 = activityBloodPressureBinding6;
                    }
                    activityBloodPressureBinding9.btnMeasure.setText(BloodPressureActivity.this.getString(R.string.qc_text_76660010));
                    handler = BloodPressureActivity.this.handler;
                    handler.removeCallbacks(BloodPressureActivity.this.getHeartRunnable());
                    if (resultEntity.getErrCode() != 0) {
                        handler2 = BloodPressureActivity.this.handler;
                        handler2.removeCallbacks(BloodPressureActivity.this.getHeartRunnable());
                    }
                }
            });
            this$0.handler.removeCallbacks(this$0.heartRunnable);
            this$0.handler.postDelayed(this$0.heartRunnable, WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS);
            return;
        }
        this$0.startMeasure = false;
        ActivityBloodPressureBinding activityBloodPressureBinding4 = this$0.binding;
        if (activityBloodPressureBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding4 = null;
        }
        activityBloodPressureBinding4.imageHeart.clearAnimation();
        ActivityBloodPressureBinding activityBloodPressureBinding5 = this$0.binding;
        if (activityBloodPressureBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding5 = null;
        }
        activityBloodPressureBinding5.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        ActivityBloodPressureBinding activityBloodPressureBinding6 = this$0.binding;
        if (activityBloodPressureBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding6 = null;
        }
        activityBloodPressureBinding6.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        this$0.handler.removeCallbacks(this$0.heartRunnable);
        ActivityBloodPressureBinding activityBloodPressureBinding7 = this$0.binding;
        if (activityBloodPressureBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding7 = null;
        }
        activityBloodPressureBinding7.tvCurrHeart.setText("--");
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodPressure((byte) 0, (byte) 0), null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-12, reason: not valid java name */
    public static final void m658setupViews$lambda12(BloodPressureActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Bundle bundle = new Bundle();
        bundle.putInt("timestamp", (int) this$0.date.getUnixTimestamp());
        BloodPressureActivity bloodPressureActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(bloodPressureActivity, (Class<?>) ManualBloodPressureDetailActivity.class);
        intent.setFlags(1);
        intent.putExtras(bundle);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        bloodPressureActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onResume() {
        super.onResume();
        ActivityBloodPressureBinding activityBloodPressureBinding = this.binding;
        MyDeviceNotifyListener myDeviceNotifyListener = null;
        if (activityBloodPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding = null;
        }
        activityBloodPressureBinding.btnMeasure.setText(getString(R.string.qc_text_76660010));
        this.deviceNotifyListener = new MyDeviceNotifyListener();
        BleOperateManager bleOperateManager = BleOperateManager.getInstance();
        MyDeviceNotifyListener myDeviceNotifyListener2 = this.deviceNotifyListener;
        if (myDeviceNotifyListener2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceNotifyListener");
        } else {
            myDeviceNotifyListener = myDeviceNotifyListener2;
        }
        bleOperateManager.addOutDeviceListener(2, myDeviceNotifyListener);
    }

    public final Runnable getHeartRunnable() {
        return this.heartRunnable;
    }

    public final void setHeartRunnable(Runnable runnable) {
        Intrinsics.checkNotNullParameter(runnable, "<set-?>");
        this.heartRunnable = runnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: heartRunnable$lambda-13, reason: not valid java name */
    public static final void m656heartRunnable$lambda13(BloodPressureActivity this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.startMeasure = false;
        ActivityBloodPressureBinding activityBloodPressureBinding = this$0.binding;
        if (activityBloodPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding = null;
        }
        activityBloodPressureBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        ActivityBloodPressureBinding activityBloodPressureBinding2 = this$0.binding;
        if (activityBloodPressureBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding2 = null;
        }
        activityBloodPressureBinding2.imageHeart.clearAnimation();
        ActivityBloodPressureBinding activityBloodPressureBinding3 = this$0.binding;
        if (activityBloodPressureBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodPressureBinding3 = null;
        }
        activityBloodPressureBinding3.tvCurrHeart.clearAnimation();
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodPressure((byte) this$0.sbp, (byte) this$0.dbp), null);
        BloodPressureRepository.INSTANCE.getGetInstance().saveManualBloodPressure((int) new DateUtil().getUnixTimestamp(), (byte) this$0.sbp, (byte) this$0.dbp);
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if ((messageEvent instanceof ManualRefreshEvent) && this.date.isToday()) {
            getViewModel().queryBloodPressureByDate(this.date);
            queryManualBloodPressure(this.date);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onStop() {
        super.onStop();
        try {
            if (this.startMeasure) {
                this.startMeasure = false;
                this.handler.removeCallbacks(this.heartRunnable);
                CountDownTimer countDownTimer = this.countDownTimer;
                if (countDownTimer == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                    countDownTimer = null;
                }
                countDownTimer.cancel();
                ActivityBloodPressureBinding activityBloodPressureBinding = this.binding;
                if (activityBloodPressureBinding == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodPressureBinding = null;
                }
                activityBloodPressureBinding.tvCurrHeart.setText("--");
                ActivityBloodPressureBinding activityBloodPressureBinding2 = this.binding;
                if (activityBloodPressureBinding2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodPressureBinding2 = null;
                }
                activityBloodPressureBinding2.tvCurrHeart.clearAnimation();
                ActivityBloodPressureBinding activityBloodPressureBinding3 = this.binding;
                if (activityBloodPressureBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityBloodPressureBinding3 = null;
                }
                activityBloodPressureBinding3.imageHeart.clearAnimation();
                CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodOxygen((byte) 0), null);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        BleOperateManager.getInstance().removeOutDeviceListener(2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void queryManualBloodPressure(final DateUtil date) {
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<BloodPressureActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$queryManualBloodPressure$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity bloodPressureActivity) {
                invoke2(bloodPressureActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodPressureActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                BloodPressureRepository getInstance = BloodPressureRepository.INSTANCE.getGetInstance();
                String y_m_d = DateUtil.this.getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d, "date.y_M_D");
                List<BloodPressureManualEntity> queryManualBloodPressure = getInstance.queryManualBloodPressure(y_m_d);
                ktxRunOnBgSingle.getViewModel().getManualList().clear();
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(queryManualBloodPressure.size()));
                for (BloodPressureManualEntity bloodPressureManualEntity : queryManualBloodPressure) {
                    ktxRunOnBgSingle.getViewModel().getManualList().add(new BpDetailBean(new DateUtil(bloodPressureManualEntity.getTimestamp(), true).getTodayMinNoPlus(), bloodPressureManualEntity.getSbp(), bloodPressureManualEntity.getDbp(), bloodPressureManualEntity.getTimestamp()));
                }
                final DateUtil dateUtil = DateUtil.this;
                ThreadExtKt.ktxRunOnUi(ktxRunOnBgSingle, new Function1<BloodPressureActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$queryManualBloodPressure$1.2
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity bloodPressureActivity) {
                        invoke2(bloodPressureActivity);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodPressureActivity ktxRunOnUi) {
                        ActivityBloodPressureBinding activityBloodPressureBinding;
                        ActivityBloodPressureBinding activityBloodPressureBinding2;
                        ActivityBloodPressureBinding activityBloodPressureBinding3;
                        ManualBloodPressureDetailAdapter manualBloodPressureDetailAdapter;
                        ActivityBloodPressureBinding activityBloodPressureBinding4;
                        ActivityBloodPressureBinding activityBloodPressureBinding5;
                        ActivityBloodPressureBinding activityBloodPressureBinding6;
                        ActivityBloodPressureBinding activityBloodPressureBinding7;
                        ActivityBloodPressureBinding activityBloodPressureBinding8;
                        ActivityBloodPressureBinding activityBloodPressureBinding9;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        ManualBloodPressureDetailAdapter manualBloodPressureDetailAdapter2 = null;
                        if (ktxRunOnUi.getViewModel().getManualList().size() != 0) {
                            activityBloodPressureBinding = ktxRunOnUi.binding;
                            if (activityBloodPressureBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodPressureBinding = null;
                            }
                            ViewKt.visible(activityBloodPressureBinding.rcvBloodPressureDetail);
                            activityBloodPressureBinding2 = ktxRunOnUi.binding;
                            if (activityBloodPressureBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodPressureBinding2 = null;
                            }
                            ViewKt.gone(activityBloodPressureBinding2.tvNoData);
                            activityBloodPressureBinding3 = ktxRunOnUi.binding;
                            if (activityBloodPressureBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodPressureBinding3 = null;
                            }
                            ViewKt.visible(activityBloodPressureBinding3.rcvDetailLayout);
                        } else {
                            AwLog.i(Author.HeZhiYuan, DateUtil.this.getY_M_D());
                            if (DateUtil.this.isToday()) {
                                activityBloodPressureBinding7 = ktxRunOnUi.binding;
                                if (activityBloodPressureBinding7 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodPressureBinding7 = null;
                                }
                                ViewKt.visible(activityBloodPressureBinding7.rcvDetailLayout);
                                activityBloodPressureBinding8 = ktxRunOnUi.binding;
                                if (activityBloodPressureBinding8 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodPressureBinding8 = null;
                                }
                                ViewKt.gone(activityBloodPressureBinding8.rcvBloodPressureDetail);
                                activityBloodPressureBinding9 = ktxRunOnUi.binding;
                                if (activityBloodPressureBinding9 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodPressureBinding9 = null;
                                }
                                ViewKt.visible(activityBloodPressureBinding9.tvNoData);
                            } else {
                                activityBloodPressureBinding4 = ktxRunOnUi.binding;
                                if (activityBloodPressureBinding4 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodPressureBinding4 = null;
                                }
                                ViewKt.visible(activityBloodPressureBinding4.rcvBloodPressureDetail);
                                activityBloodPressureBinding5 = ktxRunOnUi.binding;
                                if (activityBloodPressureBinding5 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodPressureBinding5 = null;
                                }
                                ViewKt.gone(activityBloodPressureBinding5.tvNoData);
                                activityBloodPressureBinding6 = ktxRunOnUi.binding;
                                if (activityBloodPressureBinding6 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodPressureBinding6 = null;
                                }
                                ViewKt.gone(activityBloodPressureBinding6.rcvDetailLayout);
                            }
                        }
                        manualBloodPressureDetailAdapter = ktxRunOnUi.adapter;
                        if (manualBloodPressureDetailAdapter == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("adapter");
                        } else {
                            manualBloodPressureDetailAdapter2 = manualBloodPressureDetailAdapter;
                        }
                        manualBloodPressureDetailAdapter2.notifyDataSetChanged();
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onDestroy() {
        super.onDestroy();
        BleOperateManager.getInstance().removeOutDeviceListener(2);
        if (this.startMeasure) {
            this.handler.removeCallbacks(this.heartRunnable);
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodPressure((byte) 0, (byte) 0), null);
        }
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$secondsDown$1] */
    private final void secondsDown() {
        final long j = 25000;
        CountDownTimer start = new CountDownTimer(j) { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$secondsDown$1
            @Override // android.os.CountDownTimer
            public void onFinish() {
            }

            @Override // android.os.CountDownTimer
            public void onTick(long p0) {
                if (((int) (p0 / CropImageView.DEFAULT_IMAGE_TO_CROP_BOUNDS_ANIM_DURATION)) % 2 == 0) {
                    final BloodPressureActivity bloodPressureActivity = BloodPressureActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<BloodPressureActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$secondsDown$1$onTick$1
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity$secondsDown$1 bloodPressureActivity$secondsDown$1) {
                            invoke2(bloodPressureActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(BloodPressureActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityBloodPressureBinding activityBloodPressureBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityBloodPressureBinding = BloodPressureActivity.this.binding;
                            if (activityBloodPressureBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodPressureBinding = null;
                            }
                            activityBloodPressureBinding.tvCurrHeart.setText("--");
                        }
                    });
                } else {
                    final BloodPressureActivity bloodPressureActivity2 = BloodPressureActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<BloodPressureActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$secondsDown$1$onTick$2
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity$secondsDown$1 bloodPressureActivity$secondsDown$1) {
                            invoke2(bloodPressureActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(BloodPressureActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityBloodPressureBinding activityBloodPressureBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityBloodPressureBinding = BloodPressureActivity.this.binding;
                            if (activityBloodPressureBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodPressureBinding = null;
                            }
                            activityBloodPressureBinding.tvCurrHeart.setText("-");
                        }
                    });
                }
            }
        }.start();
        Intrinsics.checkNotNullExpressionValue(start, "private fun secondsDown(…\n\n        }.start()\n    }");
        this.countDownTimer = start;
    }

    /* compiled from: BloodPressureActivity.kt */
    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u0003\u001a\u00020\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006H\u0016¨\u0006\u0007"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bp/BloodPressureActivity$MyDeviceNotifyListener;", "Lcom/oudmon/ble/base/communication/responseImpl/DeviceNotifyListener;", "(Lcom/qcwireless/qcwatch/ui/home/bp/BloodPressureActivity;)V", "onDataResponse", "", "resultEntity", "Lcom/oudmon/ble/base/communication/rsp/DeviceNotifyRsp;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class MyDeviceNotifyListener extends DeviceNotifyListener {
        public MyDeviceNotifyListener() {
        }

        @Override // com.oudmon.ble.base.communication.responseImpl.DeviceNotifyListener, com.oudmon.ble.base.communication.ICommandResponse
        public void onDataResponse(DeviceNotifyRsp resultEntity) {
            Intrinsics.checkNotNull(resultEntity);
            if (resultEntity.getStatus() == 0 && resultEntity.getDataType() == 2) {
                BloodPressureActivity.this.getViewModel().syncBp();
            }
        }
    }

    private final void showCalendarDialog(Activity activity, Map<String, Calendar> mSchemeDates, final DateUtil date) {
        Activity activity2 = activity;
        CenterDialog.Builder builder = new CenterDialog.Builder(activity2);
        builder.setContentView(R.layout.layout_dialog_calendar);
        CenterDialog create = builder.create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.calendarDialog = create;
        CenterDialog centerDialog = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
            create = null;
        }
        create.show();
        CenterDialog centerDialog2 = this.calendarDialog;
        if (centerDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
        } else {
            centerDialog = centerDialog2;
        }
        View contentView = centerDialog.getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "calendarDialog.contentView");
        final QDateMonthSwitchPubuView qDateMonthSwitchPubuView = (QDateMonthSwitchPubuView) contentView.findViewById(R.id.qc_dialog_date_change);
        final CalendarView calendarView = (CalendarView) contentView.findViewById(R.id.calendarView);
        qDateMonthSwitchPubuView.setShowFuture(true);
        qDateMonthSwitchPubuView.setMonth(date);
        qDateMonthSwitchPubuView.setDateListener(new QDateMonthSwitchPubuView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$showCalendarDialog$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView.QDateBefore
            public void clickBefore(boolean r4, final DateUtil dateUtil) {
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
                CalendarView.this.scrollToCalendar(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay());
                final BloodPressureActivity bloodPressureActivity = this;
                final CalendarView calendarView2 = CalendarView.this;
                ThreadExtKt.ktxRunOnBgSingle(this, new Function1<BloodPressureActivity$showCalendarDialog$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$showCalendarDialog$1$clickBefore$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity$showCalendarDialog$1 bloodPressureActivity$showCalendarDialog$1) {
                        invoke2(bloodPressureActivity$showCalendarDialog$1);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodPressureActivity$showCalendarDialog$1 ktxRunOnBgSingle) {
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        BloodPressureActivity.this.setMap(BloodPressureRepository.INSTANCE.getGetInstance().calendarBloodPressure(dateUtil.getYear(), dateUtil.getMonth()));
                        calendarView2.setSchemeDate(BloodPressureActivity.this.getMap());
                    }
                });
            }
        });
        calendarView.setSchemeDate(mSchemeDates);
        calendarView.scrollToCalendar(date.getYear(), date.getMonth(), date.getDay());
        calendarView.setOnMonthChangeListener(new CalendarView.OnMonthChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$$ExternalSyntheticLambda11
            @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
            public final void onMonthChange(int i, int i2) {
                BloodPressureActivity.m667showCalendarDialog$lambda14(DateUtil.this, qDateMonthSwitchPubuView, this, calendarView, i, i2);
            }
        });
        calendarView.setOnCalendarSelectListener(new CalendarSelectListener());
        calendarView.setBackground(SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5));
        calendarView.setSelectedColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.white), SkinCompatResources.getColor(activity2, R.color.black));
        calendarView.setTextColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_show_4), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showCalendarDialog$lambda-14, reason: not valid java name */
    public static final void m667showCalendarDialog$lambda14(DateUtil date, QDateMonthSwitchPubuView qDateMonthSwitchPubuView, BloodPressureActivity this$0, final CalendarView calendarView, final int i, final int i2) {
        Intrinsics.checkNotNullParameter(date, "$date");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DateUtil dateUtil = new DateUtil(i, i2, date.getDay());
        AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
        qDateMonthSwitchPubuView.setMonth(new DateUtil(i, i2, dateUtil.getDay()));
        ThreadExtKt.ktxRunOnBgSingle(this$0, new Function1<BloodPressureActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$showCalendarDialog$2$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity bloodPressureActivity) {
                invoke2(bloodPressureActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(BloodPressureActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                ktxRunOnBgSingle.setMap(BloodPressureRepository.INSTANCE.getGetInstance().calendarBloodPressure(i, i2));
                calendarView.setSchemeDate(ktxRunOnBgSingle.getMap());
            }
        });
    }

    /* compiled from: BloodPressureActivity.kt */
    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0016J\u0018\u0010\u0007\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bp/BloodPressureActivity$CalendarSelectListener;", "Lcom/haibin/calendarview/CalendarView$OnCalendarSelectListener;", "(Lcom/qcwireless/qcwatch/ui/home/bp/BloodPressureActivity;)V", "onCalendarOutOfRange", "", "calendar", "Lcom/haibin/calendarview/Calendar;", "onCalendarSelect", "isClick", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class CalendarSelectListener implements CalendarView.OnCalendarSelectListener {
        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarOutOfRange(Calendar calendar) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
        }

        public CalendarSelectListener() {
        }

        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarSelect(final Calendar calendar, boolean isClick) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
            if (isClick) {
                CenterDialog centerDialog = BloodPressureActivity.this.calendarDialog;
                if (centerDialog == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
                    centerDialog = null;
                }
                centerDialog.dismiss();
                final BloodPressureActivity bloodPressureActivity = BloodPressureActivity.this;
                ThreadExtKt.ktxRunOnUi(this, new Function1<CalendarSelectListener, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.BloodPressureActivity$CalendarSelectListener$onCalendarSelect$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(BloodPressureActivity.CalendarSelectListener calendarSelectListener) {
                        invoke2(calendarSelectListener);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(BloodPressureActivity.CalendarSelectListener ktxRunOnUi) {
                        ActivityBloodPressureBinding activityBloodPressureBinding;
                        ActivityBloodPressureBinding activityBloodPressureBinding2;
                        ActivityBloodPressureBinding activityBloodPressureBinding3;
                        ActivityBloodPressureBinding activityBloodPressureBinding4;
                        ActivityBloodPressureBinding activityBloodPressureBinding5;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        DateUtil dateUtil = new DateUtil(Calendar.this.getYear(), Calendar.this.getMonth(), Calendar.this.getDay());
                        ActivityBloodPressureBinding activityBloodPressureBinding6 = null;
                        if (!dateUtil.futureDate()) {
                            bloodPressureActivity.selectDate = dateUtil;
                            bloodPressureActivity.date = dateUtil;
                            activityBloodPressureBinding = bloodPressureActivity.binding;
                            if (activityBloodPressureBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodPressureBinding = null;
                            }
                            activityBloodPressureBinding.qcDateChange.setDateUtil(dateUtil);
                            bloodPressureActivity.getViewModel().queryBloodPressureByDate(dateUtil);
                            bloodPressureActivity.queryManualBloodPressure(dateUtil);
                            if (dateUtil.isToday()) {
                                activityBloodPressureBinding4 = bloodPressureActivity.binding;
                                if (activityBloodPressureBinding4 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityBloodPressureBinding4 = null;
                                }
                                ViewKt.visible(activityBloodPressureBinding4.btnMeasure);
                                activityBloodPressureBinding5 = bloodPressureActivity.binding;
                                if (activityBloodPressureBinding5 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityBloodPressureBinding6 = activityBloodPressureBinding5;
                                }
                                ViewKt.visible(activityBloodPressureBinding6.currHeartCtl);
                                return;
                            }
                            activityBloodPressureBinding2 = bloodPressureActivity.binding;
                            if (activityBloodPressureBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityBloodPressureBinding2 = null;
                            }
                            ViewKt.gone(activityBloodPressureBinding2.btnMeasure);
                            activityBloodPressureBinding3 = bloodPressureActivity.binding;
                            if (activityBloodPressureBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                            } else {
                                activityBloodPressureBinding6 = activityBloodPressureBinding3;
                            }
                            ViewKt.gone(activityBloodPressureBinding6.currHeartCtl);
                            return;
                        }
                        String string = bloodPressureActivity.getString(R.string.qc_text_6666040);
                        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6666040)");
                        GlobalKt.showToast$default(string, 0, 1, null);
                    }
                });
            }
        }
    }
}
