package com.qcwireless.qcwatch.ui.home.healthy.adapter;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.Group;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import com.chad.library.adapter.base.BaseMultiItemQuickAdapter;
import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.luck.picture.lib.config.PictureConfig;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.req.StartHeartRateReq;
import com.oudmon.ble.base.communication.req.StopHeartRateReq;
import com.oudmon.ble.base.communication.rsp.StartHeartRateRsp;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.ui.base.imagepicker.cropper.CropImage;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodOxygenRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodPressureRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodSugarRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.HeartRateDetailRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.PressureRepository;
import com.qcwireless.qcwatch.ui.base.view.PGHeartSportDetailLineChartView;
import com.qcwireless.qcwatch.ui.base.view.QBloodOxygenLineChartHomeView;
import com.qcwireless.qcwatch.ui.base.view.QBloodPressureChartHomeView;
import com.qcwireless.qcwatch.ui.base.view.QBloodSugarLineChartHomeView;
import com.qcwireless.qcwatch.ui.base.view.QHomeHeartLineChartView;
import com.qcwireless.qcwatch.ui.base.view.QHomeMenstruationView;
import com.qcwireless.qcwatch.ui.base.view.QHrvChartHomeView;
import com.qcwireless.qcwatch.ui.base.view.QSleepHomeHBarView;
import com.qcwireless.qcwatch.ui.base.view.QTemperatureLineHomeChartView;
import com.qcwireless.qcwatch.ui.base.view.healthy.PubuProgressCircle;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastBloodOxygenItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastBloodPressureItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastBloodSugarItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastBodyTemperatureItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastGpsSportItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastHeartItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastHrvItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastMenstruationItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastOneKeyItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastPressureItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastSleepItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.LastSportItem;
import com.qcwireless.qcwatch.ui.home.healthy.bean.MeasureBean;
import com.qcwireless.ring.R;
import com.realsil.sdk.bbpro.equalizer.AudioEq;
import com.realsil.sdk.core.bluetooth.connection.le.GattError;
import java.util.Arrays;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Random;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.StringCompanionObject;
import kotlinx.coroutines.BuildersKt__Builders_commonKt;
import kotlinx.coroutines.GlobalScope;
import okhttp3.internal.ws.WebSocketProtocol;

/* compiled from: MultipleItemQuickAdapter.kt */
@Metadata(d1 = {"\u0000Â\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\b\n\u0002\b\r\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u000f\n\u0002\u0010%\n\u0002\u0010\u0011\n\u0002\b\u0006\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\u0018\u00002\u000e\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001B\u001b\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u0012\f\u0010\u0006\u001a\b\u0012\u0004\u0012\u00020\u00020\u0007¢\u0006\u0002\u0010\bJ\u0010\u0010?\u001a\u00020@2\u0006\u0010A\u001a\u00020BH\u0002J\u0018\u0010C\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020\u0002H\u0014J\u000e\u0010F\u001a\u00020G2\u0006\u0010H\u001a\u00020\u0010J\u0006\u0010I\u001a\u00020@J\u0010\u0010A\u001a\u00020@2\u0006\u0010J\u001a\u00020KH\u0002J\u0018\u0010L\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020MH\u0002J\u0018\u0010N\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020OH\u0002J\u0018\u0010P\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020QH\u0002J\u0018\u0010R\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020SH\u0002J\u0018\u0010T\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020UH\u0002J\u0018\u0010V\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020WH\u0002J\u0018\u0010X\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020YH\u0002J\u0018\u0010Z\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020[H\u0002J\u0018\u0010\\\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020]H\u0002J\u0018\u0010^\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020_H\u0002J\u0018\u0010`\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020aH\u0002J\u0018\u0010b\u001a\u00020@2\u0006\u0010D\u001a\u00020\u00032\u0006\u0010E\u001a\u00020cH\u0002R\u0014\u0010\t\u001a\b\u0012\u0004\u0012\u00020\u000b0\nX\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\f\u001a\u00020\u0003X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\u000eX\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u000f\u001a\u00020\u0010X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0011\u0010\u0012\"\u0004\b\u0013\u0010\u0014R\u001a\u0010\u0015\u001a\u00020\u0010X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0016\u0010\u0012\"\u0004\b\u0017\u0010\u0014R\u000e\u0010\u0018\u001a\u00020\u0003X\u0082.¢\u0006\u0002\n\u0000R\u001a\u0010\u0019\u001a\u00020\u0010X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001a\u0010\u0012\"\u0004\b\u001b\u0010\u0014R\u000e\u0010\u001c\u001a\u00020\u000eX\u0082\u000e¢\u0006\u0002\n\u0000R\u0011\u0010\u001d\u001a\u00020\u001e¢\u0006\b\n\u0000\u001a\u0004\b\u001f\u0010 R\u0011\u0010!\u001a\u00020\u001e¢\u0006\b\n\u0000\u001a\u0004\b\"\u0010 R\u0017\u0010#\u001a\b\u0012\u0004\u0012\u00020\u000b0$8F¢\u0006\u0006\u001a\u0004\b%\u0010&R\u000e\u0010'\u001a\u00020(X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010)\u001a\u00020\u0003X\u0082.¢\u0006\u0002\n\u0000R\u0011\u0010*\u001a\u00020\u001e¢\u0006\b\n\u0000\u001a\u0004\b+\u0010 R\u000e\u0010,\u001a\u00020\u000eX\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010-\u001a\u00020\u0010X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b.\u0010\u0012\"\u0004\b/\u0010\u0014R\u000e\u00100\u001a\u00020\u0003X\u0082.¢\u0006\u0002\n\u0000R\u0011\u00101\u001a\u00020\u001e¢\u0006\b\n\u0000\u001a\u0004\b2\u0010 R\u000e\u00103\u001a\u00020\u000eX\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u00104\u001a\u00020\u0010X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b5\u0010\u0012\"\u0004\b6\u0010\u0014R \u00107\u001a\u0014\u0012\u0004\u0012\u00020\u0010\u0012\n\u0012\b\u0012\u0004\u0012\u00020\u00100908X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010:\u001a\u00020\u0003X\u0082.¢\u0006\u0002\n\u0000R\u0011\u0010;\u001a\u00020\u001e¢\u0006\b\n\u0000\u001a\u0004\b<\u0010 R\u000e\u0010=\u001a\u00020\u000eX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010>\u001a\u00020\u0010X\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006d"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/healthy/adapter/MultipleItemQuickAdapter;", "Lcom/chad/library/adapter/base/BaseMultiItemQuickAdapter;", "Lcom/chad/library/adapter/base/entity/MultiItemEntity;", "Lcom/chad/library/adapter/base/viewholder/BaseViewHolder;", "context", "Landroid/content/Context;", "data", "", "(Landroid/content/Context;Ljava/util/List;)V", "_clickType", "Landroidx/lifecycle/MutableLiveData;", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/MeasureBean;", "bloodOxygenHolder", "bloodOxygenStart", "", "bloodOxygenValue", "", "getBloodOxygenValue", "()I", "setBloodOxygenValue", "(I)V", "bloodPressureDbp", "getBloodPressureDbp", "setBloodPressureDbp", "bloodPressureHolder", "bloodPressureSbp", "getBloodPressureSbp", "setBloodPressureSbp", "bloodPressureStart", "bloodRunnable", "Ljava/lang/Runnable;", "getBloodRunnable", "()Ljava/lang/Runnable;", "bpRunnable", "getBpRunnable", "clickType", "Landroidx/lifecycle/LiveData;", "getClickType", "()Landroidx/lifecycle/LiveData;", "handler", "Landroid/os/Handler;", "hearViewHolder", "heartRunnable", "getHeartRunnable", "heartStart", "heartValue", "getHeartValue", "setHeartValue", "pressureHolder", "pressureRunnable", "getPressureRunnable", "pressureStart", "pressureValue", "getPressureValue", "setPressureValue", "sportMap", "", "", "sugarHolder", "sugarRunnable", "getSugarRunnable", "sugarStart", "sugarValue", "animatorText", "", "textView", "Landroid/view/View;", "convert", "holder", "item", "formatText", "", "minute", "removeMeasure", "view", "Landroid/widget/TextView;", "updateBloodOxygen", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastBloodOxygenItem;", "updateBloodPressure", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastBloodPressureItem;", "updateBloodSugar", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastBloodSugarItem;", "updateGpsView", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastGpsSportItem;", "updateHeartView", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastHeartItem;", "updateHrvView", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastHrvItem;", "updateMenstruationView", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastMenstruationItem;", "updateOneKeyView", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastOneKeyItem;", "updatePressureView", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastPressureItem;", "updateSleepView", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastSleepItem;", "updateSportView", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastSportItem;", "updateTemperature", "Lcom/qcwireless/qcwatch/ui/home/healthy/bean/LastBodyTemperatureItem;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class MultipleItemQuickAdapter extends BaseMultiItemQuickAdapter<MultiItemEntity, BaseViewHolder> {
    private final MutableLiveData<MeasureBean> _clickType;
    private BaseViewHolder bloodOxygenHolder;
    private boolean bloodOxygenStart;
    private int bloodOxygenValue;
    private int bloodPressureDbp;
    private BaseViewHolder bloodPressureHolder;
    private int bloodPressureSbp;
    private boolean bloodPressureStart;
    private final Runnable bloodRunnable;
    private final Runnable bpRunnable;
    private final Handler handler;
    private BaseViewHolder hearViewHolder;
    private final Runnable heartRunnable;
    private boolean heartStart;
    private int heartValue;
    private BaseViewHolder pressureHolder;
    private final Runnable pressureRunnable;
    private boolean pressureStart;
    private int pressureValue;
    private Map<Integer, Integer[]> sportMap;
    private BaseViewHolder sugarHolder;
    private final Runnable sugarRunnable;
    private boolean sugarStart;
    private int sugarValue;

    public final void removeMeasure() {
    }

    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
    public MultipleItemQuickAdapter(Context context, List<MultiItemEntity> data) {
        super(data);
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(data, "data");
        this._clickType = new MutableLiveData<>();
        this.sportMap = new LinkedHashMap();
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
        addItemType(2, R.layout.recycleview_item_heart);
        addItemType(1, R.layout.recycleview_item_sleep);
        addItemType(8, R.layout.recycleview_item_sport);
        addItemType(4, R.layout.recycleview_item_blood_oxygen);
        addItemType(11, R.layout.recycleview_item_menstruation);
        addItemType(6, R.layout.recycleview_item_blood_pressure);
        addItemType(12, R.layout.recycleview_item_blood_sugar);
        addItemType(5, R.layout.recycleview_item_pressure);
        addItemType(3, R.layout.recycleview_item_hrv);
        this.sportMap.put(4, new Integer[]{Integer.valueOf(R.string.qc_text_213), Integer.valueOf(R.mipmap.sport_buxing)});
        this.sportMap.put(5, new Integer[]{Integer.valueOf(R.string.qc_text_271), Integer.valueOf(R.mipmap.sport_tiaosheng)});
        this.sportMap.put(6, new Integer[]{Integer.valueOf(R.string.qc_text_338), Integer.valueOf(R.mipmap.sport_youyong)});
        this.sportMap.put(7, new Integer[]{Integer.valueOf(R.string.qc_text_295), Integer.valueOf(R.mipmap.sport_paobu)});
        Map<Integer, Integer[]> map = this.sportMap;
        Integer valueOf = Integer.valueOf(R.mipmap.sport_tubu);
        map.put(8, new Integer[]{Integer.valueOf(R.string.qc_text_214), valueOf});
        this.sportMap.put(9, new Integer[]{Integer.valueOf(R.string.qc_text_216), Integer.valueOf(R.mipmap.sport_qixing)});
        this.sportMap.put(10, new Integer[]{Integer.valueOf(R.string.qc_text_215), Integer.valueOf(R.mipmap.sport_duanlian)});
        this.sportMap.put(11, new Integer[]{Integer.valueOf(R.string.qc_text_217), Integer.valueOf(R.mipmap.sport_huipai)});
        this.sportMap.put(20, new Integer[]{Integer.valueOf(R.string.qc_text_339), valueOf});
        this.sportMap.put(21, new Integer[]{Integer.valueOf(R.string.qc_text_340), Integer.valueOf(R.mipmap.sport_yumaoqiu)});
        this.sportMap.put(22, new Integer[]{Integer.valueOf(R.string.qc_text_341), Integer.valueOf(R.mipmap.sport_yujia)});
        this.sportMap.put(23, new Integer[]{Integer.valueOf(R.string.qc_text_342), Integer.valueOf(R.mipmap.sport_jianshencao)});
        this.sportMap.put(24, new Integer[]{Integer.valueOf(R.string.qc_text_343), Integer.valueOf(R.mipmap.sport_donggandanche)});
        this.sportMap.put(25, new Integer[]{Integer.valueOf(R.string.qc_text_344), Integer.valueOf(R.mipmap.sport_pihuating)});
        this.sportMap.put(26, new Integer[]{Integer.valueOf(R.string.qc_text_345), Integer.valueOf(R.mipmap.sport_tuoyuanji)});
        this.sportMap.put(27, new Integer[]{Integer.valueOf(R.string.qc_text_346), Integer.valueOf(R.mipmap.sport_huachuanji)});
        this.sportMap.put(28, new Integer[]{Integer.valueOf(R.string.qc_text_347), Integer.valueOf(R.mipmap.sport_pingpangq)});
        this.sportMap.put(29, new Integer[]{Integer.valueOf(R.string.qc_text_348), Integer.valueOf(R.mipmap.sport_wangqiu)});
        this.sportMap.put(30, new Integer[]{Integer.valueOf(R.string.qc_text_349), Integer.valueOf(R.mipmap.sport_gaoerfu)});
        this.sportMap.put(31, new Integer[]{Integer.valueOf(R.string.qc_text_350), Integer.valueOf(R.mipmap.sport_lanqiu)});
        this.sportMap.put(32, new Integer[]{Integer.valueOf(R.string.qc_text_351), Integer.valueOf(R.mipmap.sport_zuqiu)});
        this.sportMap.put(33, new Integer[]{Integer.valueOf(R.string.qc_text_352), Integer.valueOf(R.mipmap.sport_paiqiu)});
        this.sportMap.put(34, new Integer[]{Integer.valueOf(R.string.qc_text_353), Integer.valueOf(R.mipmap.sport_panyan)});
        this.sportMap.put(35, new Integer[]{Integer.valueOf(R.string.qc_text_354), Integer.valueOf(R.mipmap.sport_wudao)});
        this.sportMap.put(36, new Integer[]{Integer.valueOf(R.string.qc_text_355), Integer.valueOf(R.mipmap.sport_lunhua)});
        this.sportMap.put(40, new Integer[]{Integer.valueOf(R.string.qc_text_2590), Integer.valueOf(R.mipmap.ic_sport_40)});
        this.sportMap.put(41, new Integer[]{Integer.valueOf(R.string.qc_text_2615), Integer.valueOf(R.mipmap.ic_sport_41)});
        this.sportMap.put(42, new Integer[]{Integer.valueOf(R.string.qc_text_2654), Integer.valueOf(R.mipmap.ic_sport_42)});
        this.sportMap.put(43, new Integer[]{Integer.valueOf(R.string.qc_text_2576), Integer.valueOf(R.mipmap.ic_sport_43)});
        this.sportMap.put(44, new Integer[]{Integer.valueOf(R.string.qc_text_2526), Integer.valueOf(R.mipmap.ic_sport_44)});
        this.sportMap.put(45, new Integer[]{Integer.valueOf(R.string.qc_text_2567), Integer.valueOf(R.mipmap.ic_sport_45)});
        this.sportMap.put(50, new Integer[]{Integer.valueOf(R.string.qc_text_2557), Integer.valueOf(R.mipmap.ic_sport_50)});
        this.sportMap.put(51, new Integer[]{Integer.valueOf(R.string.qc_text_2618), Integer.valueOf(R.mipmap.ic_sport_51)});
        this.sportMap.put(52, new Integer[]{Integer.valueOf(R.string.qc_text_2613), Integer.valueOf(R.mipmap.ic_sport_52)});
        this.sportMap.put(53, new Integer[]{Integer.valueOf(R.string.qc_text_2645), Integer.valueOf(R.mipmap.ic_sport_53)});
        this.sportMap.put(55, new Integer[]{Integer.valueOf(R.string.qc_text_2651), Integer.valueOf(R.mipmap.ic_sport_55)});
        this.sportMap.put(56, new Integer[]{Integer.valueOf(R.string.qc_text_2620), Integer.valueOf(R.mipmap.ic_sport_56)});
        this.sportMap.put(57, new Integer[]{Integer.valueOf(R.string.qc_text_2597), Integer.valueOf(R.mipmap.ic_sport_57)});
        this.sportMap.put(58, new Integer[]{Integer.valueOf(R.string.qc_text_2559), Integer.valueOf(R.mipmap.ic_sport_58)});
        this.sportMap.put(60, new Integer[]{Integer.valueOf(R.string.qc_text_2558), Integer.valueOf(R.mipmap.ic_sport_60)});
        this.sportMap.put(61, new Integer[]{Integer.valueOf(R.string.qc_text_2537), Integer.valueOf(R.mipmap.ic_sport_61)});
        this.sportMap.put(62, new Integer[]{Integer.valueOf(R.string.qc_text_2535), Integer.valueOf(R.mipmap.ic_sport_62)});
        this.sportMap.put(63, new Integer[]{Integer.valueOf(R.string.qc_text_2528), Integer.valueOf(R.mipmap.ic_sport_63)});
        this.sportMap.put(64, new Integer[]{Integer.valueOf(R.string.qc_text_2560), Integer.valueOf(R.mipmap.ic_sport_64)});
        this.sportMap.put(65, new Integer[]{Integer.valueOf(R.string.qc_text_2591), Integer.valueOf(R.mipmap.ic_sport_65)});
        this.sportMap.put(66, new Integer[]{Integer.valueOf(R.string.qc_text_2610), Integer.valueOf(R.mipmap.ic_sport_66)});
        this.sportMap.put(67, new Integer[]{Integer.valueOf(R.string.qc_text_2653), Integer.valueOf(R.mipmap.ic_sport_67)});
        this.sportMap.put(68, new Integer[]{Integer.valueOf(R.string.qc_text_2607), Integer.valueOf(R.mipmap.ic_sport_68)});
        this.sportMap.put(69, new Integer[]{Integer.valueOf(R.string.qc_text_2622), Integer.valueOf(R.mipmap.ic_sport_69)});
        this.sportMap.put(70, new Integer[]{Integer.valueOf(R.string.qc_text_2584), Integer.valueOf(R.mipmap.ic_sport_70)});
        this.sportMap.put(71, new Integer[]{Integer.valueOf(R.string.qc_text_2657), Integer.valueOf(R.mipmap.ic_sport_71)});
        this.sportMap.put(80, new Integer[]{Integer.valueOf(R.string.qc_text_2589), Integer.valueOf(R.mipmap.ic_sport_80)});
        this.sportMap.put(81, new Integer[]{Integer.valueOf(R.string.qc_text_2627), Integer.valueOf(R.mipmap.ic_sport_81)});
        this.sportMap.put(82, new Integer[]{Integer.valueOf(R.string.qc_text_2563), Integer.valueOf(R.mipmap.ic_sport_82)});
        this.sportMap.put(83, new Integer[]{Integer.valueOf(R.string.qc_text_2525), Integer.valueOf(R.mipmap.ic_sport_83)});
        this.sportMap.put(84, new Integer[]{Integer.valueOf(R.string.qc_text_2553), Integer.valueOf(R.mipmap.ic_sport_84)});
        this.sportMap.put(85, new Integer[]{Integer.valueOf(R.string.qc_text_2573), Integer.valueOf(R.mipmap.ic_sport_85)});
        this.sportMap.put(86, new Integer[]{Integer.valueOf(R.string.qc_text_2617), Integer.valueOf(R.mipmap.ic_sport_86)});
        this.sportMap.put(87, new Integer[]{Integer.valueOf(R.string.qc_text_2638), Integer.valueOf(R.mipmap.ic_sport_87)});
        this.sportMap.put(88, new Integer[]{Integer.valueOf(R.string.qc_text_2582), Integer.valueOf(R.mipmap.ic_sport_88)});
        this.sportMap.put(89, new Integer[]{Integer.valueOf(R.string.qc_text_2566), Integer.valueOf(R.mipmap.ic_sport_89)});
        this.sportMap.put(90, new Integer[]{Integer.valueOf(R.string.qc_text_2672), Integer.valueOf(R.mipmap.ic_sport_90)});
        this.sportMap.put(91, new Integer[]{Integer.valueOf(R.string.qc_text_2605), Integer.valueOf(R.mipmap.ic_sport_91)});
        this.sportMap.put(92, new Integer[]{Integer.valueOf(R.string.qc_text_2634), Integer.valueOf(R.mipmap.ic_sport_92)});
        this.sportMap.put(93, new Integer[]{Integer.valueOf(R.string.qc_text_2580), Integer.valueOf(R.mipmap.ic_sport_93)});
        this.sportMap.put(94, new Integer[]{Integer.valueOf(R.string.qc_text_2596), Integer.valueOf(R.mipmap.ic_sport_94)});
        this.sportMap.put(95, new Integer[]{Integer.valueOf(R.string.qc_text_2530), Integer.valueOf(R.mipmap.ic_sport_95)});
        this.sportMap.put(96, new Integer[]{Integer.valueOf(R.string.qc_text_2625), Integer.valueOf(R.mipmap.ic_sport_96)});
        this.sportMap.put(97, new Integer[]{Integer.valueOf(R.string.qc_text_2656), Integer.valueOf(R.mipmap.ic_sport_97)});
        this.sportMap.put(98, new Integer[]{Integer.valueOf(R.string.qc_text_2570), Integer.valueOf(R.mipmap.ic_sport_98)});
        this.sportMap.put(99, new Integer[]{Integer.valueOf(R.string.qc_text_2595), Integer.valueOf(R.mipmap.ic_sport_99)});
        this.sportMap.put(100, new Integer[]{Integer.valueOf(R.string.qc_text_2628), Integer.valueOf(R.mipmap.ic_sport_100)});
        this.sportMap.put(110, new Integer[]{Integer.valueOf(R.string.qc_text_2550), Integer.valueOf(R.mipmap.ic_sport_110)});
        this.sportMap.put(111, new Integer[]{Integer.valueOf(R.string.qc_text_2574), Integer.valueOf(R.mipmap.ic_sport_111)});
        this.sportMap.put(112, new Integer[]{Integer.valueOf(R.string.qc_text_2539), Integer.valueOf(R.mipmap.ic_sport_112)});
        this.sportMap.put(113, new Integer[]{Integer.valueOf(R.string.qc_text_2516), Integer.valueOf(R.mipmap.ic_sport_113)});
        this.sportMap.put(114, new Integer[]{Integer.valueOf(R.string.qc_text_2575), Integer.valueOf(R.mipmap.ic_sport_114)});
        this.sportMap.put(115, new Integer[]{Integer.valueOf(R.string.qc_text_2673), Integer.valueOf(R.mipmap.ic_sport_115)});
        this.sportMap.put(116, new Integer[]{Integer.valueOf(R.string.qc_text_2579), Integer.valueOf(R.mipmap.ic_sport_116)});
        this.sportMap.put(117, new Integer[]{Integer.valueOf(R.string.qc_text_2577), Integer.valueOf(R.mipmap.ic_sport_117)});
        this.sportMap.put(118, new Integer[]{Integer.valueOf(R.string.qc_text_2642), Integer.valueOf(R.mipmap.ic_sport_118)});
        this.sportMap.put(119, new Integer[]{Integer.valueOf(R.string.qc_text_2548), Integer.valueOf(R.mipmap.ic_sport_119)});
        this.sportMap.put(120, new Integer[]{Integer.valueOf(R.string.qc_text_2592), Integer.valueOf(R.mipmap.ic_sport_120)});
        this.sportMap.put(121, new Integer[]{Integer.valueOf(R.string.qc_text_2588), Integer.valueOf(R.mipmap.ic_sport_121)});
        this.sportMap.put(122, new Integer[]{Integer.valueOf(R.string.qc_text_2641), Integer.valueOf(R.mipmap.ic_sport_122)});
        this.sportMap.put(123, new Integer[]{Integer.valueOf(R.string.qc_text_2643), Integer.valueOf(R.mipmap.ic_sport_123)});
        this.sportMap.put(124, new Integer[]{Integer.valueOf(R.string.qc_text_2533), Integer.valueOf(R.mipmap.ic_sport_124)});
        this.sportMap.put(125, new Integer[]{Integer.valueOf(R.string.qc_text_2633), Integer.valueOf(R.mipmap.ic_sport_125)});
        this.sportMap.put(Integer.valueOf(WebSocketProtocol.PAYLOAD_SHORT), new Integer[]{Integer.valueOf(R.string.qc_text_2598), Integer.valueOf(R.mipmap.ic_sport_126)});
        this.sportMap.put(130, new Integer[]{Integer.valueOf(R.string.qc_text_2603), Integer.valueOf(R.mipmap.ic_sport_130)});
        this.sportMap.put(131, new Integer[]{Integer.valueOf(R.string.qc_text_2623), Integer.valueOf(R.mipmap.ic_sport_131)});
        this.sportMap.put(132, new Integer[]{Integer.valueOf(R.string.qc_text_2640), Integer.valueOf(R.mipmap.ic_sport_132)});
        this.sportMap.put(Integer.valueOf(GattError.GATT_ERROR), new Integer[]{Integer.valueOf(R.string.qc_text_2630), Integer.valueOf(R.mipmap.ic_sport_133)});
        this.sportMap.put(134, new Integer[]{Integer.valueOf(R.string.qc_text_2631), Integer.valueOf(R.mipmap.ic_sport_134)});
        this.sportMap.put(135, new Integer[]{Integer.valueOf(R.string.qc_text_2604), Integer.valueOf(R.mipmap.ic_sport_135)});
        this.sportMap.put(136, new Integer[]{Integer.valueOf(R.string.qc_text_2629), Integer.valueOf(R.mipmap.ic_sport_136)});
        this.sportMap.put(137, new Integer[]{Integer.valueOf(R.string.qc_text_2578), Integer.valueOf(R.mipmap.ic_sport_137)});
        this.sportMap.put(138, new Integer[]{Integer.valueOf(R.string.qc_text_2671), Integer.valueOf(R.mipmap.ic_sport_138)});
        this.sportMap.put(139, new Integer[]{Integer.valueOf(R.string.qc_text_2569), Integer.valueOf(R.mipmap.ic_sport_139)});
        this.sportMap.put(140, new Integer[]{Integer.valueOf(R.string.qc_text_2606), Integer.valueOf(R.mipmap.ic_sport_140)});
        Map<Integer, Integer[]> map2 = this.sportMap;
        Integer valueOf2 = Integer.valueOf(R.string.qc_text_2568);
        map2.put(141, new Integer[]{valueOf2, Integer.valueOf(R.mipmap.ic_sport_141)});
        this.sportMap.put(142, new Integer[]{valueOf2, Integer.valueOf(R.mipmap.ic_sport_142)});
        this.sportMap.put(150, new Integer[]{Integer.valueOf(R.string.qc_text_2612), Integer.valueOf(R.mipmap.ic_sport_150)});
        this.sportMap.put(151, new Integer[]{Integer.valueOf(R.string.qc_text_2611), Integer.valueOf(R.mipmap.ic_sport_151)});
        this.sportMap.put(152, new Integer[]{Integer.valueOf(R.string.qc_text_2519), Integer.valueOf(R.mipmap.ic_sport_152)});
        this.sportMap.put(153, new Integer[]{Integer.valueOf(R.string.qc_text_2581), Integer.valueOf(R.mipmap.ic_sport_153)});
        this.sportMap.put(154, new Integer[]{Integer.valueOf(R.string.qc_text_2674), Integer.valueOf(R.mipmap.ic_sport_154)});
        this.sportMap.put(155, new Integer[]{Integer.valueOf(R.string.qc_text_2602), Integer.valueOf(R.mipmap.ic_sport_155)});
        this.sportMap.put(156, new Integer[]{Integer.valueOf(R.string.qc_text_2522), Integer.valueOf(R.mipmap.ic_sport_156)});
        this.sportMap.put(157, new Integer[]{Integer.valueOf(R.string.qc_text_2587), Integer.valueOf(R.mipmap.ic_sport_157)});
        this.sportMap.put(158, new Integer[]{Integer.valueOf(R.string.qc_text_2518), Integer.valueOf(R.mipmap.ic_sport_158)});
        this.sportMap.put(159, new Integer[]{Integer.valueOf(R.string.qc_text_2621), Integer.valueOf(R.mipmap.ic_sport_159)});
        this.sportMap.put(160, new Integer[]{Integer.valueOf(R.string.qc_text_2520), Integer.valueOf(R.mipmap.ic_sport_160)});
        this.sportMap.put(161, new Integer[]{Integer.valueOf(R.string.qc_text_2585), Integer.valueOf(R.mipmap.ic_sport_161)});
        this.sportMap.put(162, new Integer[]{Integer.valueOf(R.string.qc_text_2599), Integer.valueOf(R.mipmap.ic_sport_162)});
        this.sportMap.put(163, new Integer[]{Integer.valueOf(R.string.qc_text_2658), Integer.valueOf(R.mipmap.ic_sport_163)});
        this.sportMap.put(164, new Integer[]{Integer.valueOf(R.string.qc_text_2632), Integer.valueOf(R.mipmap.ic_sport_164)});
        this.sportMap.put(165, new Integer[]{Integer.valueOf(R.string.qc_text_2540), Integer.valueOf(R.mipmap.ic_sport_165)});
        this.sportMap.put(166, new Integer[]{Integer.valueOf(R.string.qc_text_2626), Integer.valueOf(R.mipmap.ic_sport_166)});
        this.sportMap.put(167, new Integer[]{Integer.valueOf(R.string.qc_text_2524), Integer.valueOf(R.mipmap.ic_sport_167)});
        this.sportMap.put(168, new Integer[]{Integer.valueOf(R.string.qc_text_2571), Integer.valueOf(R.mipmap.ic_sport_168)});
        this.sportMap.put(169, new Integer[]{Integer.valueOf(R.string.qc_text_2619), Integer.valueOf(R.mipmap.ic_sport_169)});
        this.sportMap.put(170, new Integer[]{Integer.valueOf(R.string.qc_text_2608), Integer.valueOf(R.mipmap.ic_sport_170)});
        this.sportMap.put(171, new Integer[]{Integer.valueOf(R.string.qc_text_2532), Integer.valueOf(R.mipmap.ic_sport_171)});
        this.sportMap.put(172, new Integer[]{Integer.valueOf(R.string.qc_text_2562), Integer.valueOf(R.mipmap.ic_sport_172)});
        this.sportMap.put(173, new Integer[]{Integer.valueOf(R.string.qc_text_2531), Integer.valueOf(R.mipmap.ic_sport_173)});
        this.sportMap.put(174, new Integer[]{Integer.valueOf(R.string.qc_text_2515), Integer.valueOf(R.mipmap.ic_sport_174)});
        this.sportMap.put(175, new Integer[]{Integer.valueOf(R.string.qc_text_2593), Integer.valueOf(R.mipmap.ic_sport_175)});
        this.sportMap.put(180, new Integer[]{Integer.valueOf(R.string.qc_text_2556), Integer.valueOf(R.mipmap.ic_sport_180)});
        this.sportMap.put(181, new Integer[]{Integer.valueOf(R.string.qc_text_2541), Integer.valueOf(R.mipmap.ic_sport_181)});
        this.sportMap.put(182, new Integer[]{Integer.valueOf(R.string.qc_text_2583), Integer.valueOf(R.mipmap.ic_sport_182)});
        this.sportMap.put(183, new Integer[]{Integer.valueOf(R.string.qc_text_2527), Integer.valueOf(R.mipmap.ic_sport_183)});
        this.sportMap.put(184, new Integer[]{Integer.valueOf(R.string.qc_text_2545), Integer.valueOf(R.mipmap.ic_sport_184)});
        this.sportMap.put(185, new Integer[]{Integer.valueOf(R.string.qc_text_2561), Integer.valueOf(R.mipmap.ic_sport_185)});
        this.sportMap.put(186, new Integer[]{Integer.valueOf(R.string.qc_text_2572), Integer.valueOf(R.mipmap.ic_sport_186)});
        this.sportMap.put(187, new Integer[]{Integer.valueOf(R.string.qc_text_2616), Integer.valueOf(R.mipmap.ic_sport_187)});
        this.sportMap.put(Integer.valueOf(PictureConfig.CHOOSE_REQUEST), new Integer[]{Integer.valueOf(R.string.qc_text_2594), Integer.valueOf(R.mipmap.ic_sport_188)});
        this.sportMap.put(189, new Integer[]{Integer.valueOf(R.string.qc_text_2546), Integer.valueOf(R.mipmap.ic_sport_189)});
        this.sportMap.put(190, new Integer[]{Integer.valueOf(R.string.qc_text_2624), Integer.valueOf(R.mipmap.ic_sport_190)});
        this.sportMap.put(191, new Integer[]{Integer.valueOf(R.string.qc_text_2529), Integer.valueOf(R.mipmap.ic_sport_191)});
        this.sportMap.put(192, new Integer[]{Integer.valueOf(R.string.qc_text_2549), Integer.valueOf(R.mipmap.ic_sport_192)});
        this.sportMap.put(193, new Integer[]{Integer.valueOf(R.string.qc_text_2652), Integer.valueOf(R.mipmap.ic_sport_193)});
        this.sportMap.put(194, new Integer[]{Integer.valueOf(R.string.qc_text_2536), Integer.valueOf(R.mipmap.ic_sport_194)});
        this.sportMap.put(195, new Integer[]{Integer.valueOf(R.string.qc_text_2538), Integer.valueOf(R.mipmap.ic_sport_195)});
        this.sportMap.put(196, new Integer[]{Integer.valueOf(R.string.qc_text_2555), Integer.valueOf(R.mipmap.ic_sport_196)});
        this.sportMap.put(197, new Integer[]{Integer.valueOf(R.string.qc_text_2675), Integer.valueOf(R.mipmap.ic_sport_197)});
        this.sportMap.put(198, new Integer[]{Integer.valueOf(R.string.qc_text_2523), Integer.valueOf(R.mipmap.ic_sport_198)});
        this.sportMap.put(199, new Integer[]{Integer.valueOf(R.string.qc_text_2646), Integer.valueOf(R.mipmap.ic_sport_199)});
        this.sportMap.put(200, new Integer[]{Integer.valueOf(R.string.qc_text_2648), Integer.valueOf(R.mipmap.ic_sport_200)});
        this.sportMap.put(Integer.valueOf(CropImage.PICK_IMAGE_PERMISSIONS_REQUEST_CODE), new Integer[]{Integer.valueOf(R.string.qc_text_2647), Integer.valueOf(R.mipmap.ic_sport_201)});
        this.sportMap.put(202, new Integer[]{Integer.valueOf(R.string.qc_text_2649), Integer.valueOf(R.mipmap.ic_sport_202)});
        this.sportMap.put(210, new Integer[]{Integer.valueOf(R.string.qc_text_2554), Integer.valueOf(R.mipmap.ic_sport_210)});
        this.sportMap.put(211, new Integer[]{Integer.valueOf(R.string.qc_text_2544), Integer.valueOf(R.mipmap.ic_sport_211)});
        this.sportMap.put(Integer.valueOf(AudioEq.PARSE_EQ_DATA_LENGTH), new Integer[]{Integer.valueOf(R.string.qc_text_2543), Integer.valueOf(R.mipmap.ic_sport_212)});
        this.sportMap.put(213, new Integer[]{Integer.valueOf(R.string.qc_text_2542), Integer.valueOf(R.mipmap.ic_sport_213)});
        this.sportMap.put(214, new Integer[]{Integer.valueOf(R.string.qc_text_2517), Integer.valueOf(R.mipmap.ic_sport_214)});
        this.sportMap.put(215, new Integer[]{Integer.valueOf(R.string.qc_text_2534), Integer.valueOf(R.mipmap.ic_sport_215)});
        this.sportMap.put(216, new Integer[]{Integer.valueOf(R.string.qc_text_2586), Integer.valueOf(R.mipmap.ic_sport_216)});
        this.sportMap.put(217, new Integer[]{Integer.valueOf(R.string.qc_text_2601), Integer.valueOf(R.mipmap.ic_sport_217)});
        this.sportMap.put(218, new Integer[]{Integer.valueOf(R.string.qc_text_2609), Integer.valueOf(R.mipmap.ic_sport_218)});
        this.sportMap.put(219, new Integer[]{Integer.valueOf(R.string.qc_text_2659), Integer.valueOf(R.mipmap.ic_sport_219)});
        this.sportMap.put(220, new Integer[]{Integer.valueOf(R.string.qc_text_2635), Integer.valueOf(R.mipmap.ic_sport_220)});
        this.sportMap.put(221, new Integer[]{Integer.valueOf(R.string.qc_text_2521), Integer.valueOf(R.mipmap.ic_sport_221)});
        this.sportMap.put(222, new Integer[]{Integer.valueOf(R.string.qc_text_2636), Integer.valueOf(R.mipmap.ic_sport_222)});
        this.sportMap.put(223, new Integer[]{Integer.valueOf(R.string.qc_text_2514), Integer.valueOf(R.mipmap.ic_sport_223)});
        this.sportMap.put(224, new Integer[]{Integer.valueOf(R.string.qc_text_2650), Integer.valueOf(R.mipmap.ic_sport_224)});
        this.sportMap.put(225, new Integer[]{Integer.valueOf(R.string.qc_text_2655), Integer.valueOf(R.mipmap.ic_sport_225)});
        this.sportMap.put(230, new Integer[]{Integer.valueOf(R.string.qc_text_2552), Integer.valueOf(R.mipmap.ic_sport_230)});
        this.sportMap.put(231, new Integer[]{Integer.valueOf(R.string.qc_text_2639), Integer.valueOf(R.mipmap.ic_sport_231)});
        this.sportMap.put(232, new Integer[]{Integer.valueOf(R.string.qc_text_2551), Integer.valueOf(R.mipmap.ic_sport_232)});
        this.sportMap.put(233, new Integer[]{Integer.valueOf(R.string.qc_text_2670), Integer.valueOf(R.mipmap.ic_sport_233)});
        this.sportMap.put(234, new Integer[]{Integer.valueOf(R.string.qc_text_2600), Integer.valueOf(R.mipmap.ic_sport_234)});
        this.sportMap.put(235, new Integer[]{Integer.valueOf(R.string.qc_text_2637), Integer.valueOf(R.mipmap.ic_sport_235)});
        this.sportMap.put(236, new Integer[]{Integer.valueOf(R.string.qc_text_2614), Integer.valueOf(R.mipmap.ic_sport_236)});
        this.sportMap.put(237, new Integer[]{Integer.valueOf(R.string.qc_text_2547), Integer.valueOf(R.mipmap.ic_sport_237)});
        this.sportMap.put(238, new Integer[]{Integer.valueOf(R.string.qc_text_2565), Integer.valueOf(R.mipmap.ic_sport_238)});
        this.bloodPressureSbp = 120;
        this.bloodPressureDbp = 80;
        this.bpRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                MultipleItemQuickAdapter.m739bpRunnable$lambda1(MultipleItemQuickAdapter.this);
            }
        };
        this.bloodOxygenValue = 98;
        this.bloodRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$$ExternalSyntheticLambda7
            @Override // java.lang.Runnable
            public final void run() {
                MultipleItemQuickAdapter.m738bloodRunnable$lambda2(MultipleItemQuickAdapter.this);
            }
        };
        this.heartValue = 85;
        this.heartRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                MultipleItemQuickAdapter.m740heartRunnable$lambda4(MultipleItemQuickAdapter.this);
            }
        };
        this.sugarValue = 42;
        this.sugarRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$$ExternalSyntheticLambda5
            @Override // java.lang.Runnable
            public final void run() {
                MultipleItemQuickAdapter.m742sugarRunnable$lambda5(MultipleItemQuickAdapter.this);
            }
        };
        this.pressureValue = 42;
        this.pressureRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                MultipleItemQuickAdapter.m741pressureRunnable$lambda7(MultipleItemQuickAdapter.this);
            }
        };
    }

    public final LiveData<MeasureBean> getClickType() {
        return this._clickType;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(BaseViewHolder holder, MultiItemEntity item) {
        Intrinsics.checkNotNullParameter(holder, "holder");
        Intrinsics.checkNotNullParameter(item, "item");
        switch (item.getItemType()) {
            case 1:
                updateSleepView(holder, (LastSleepItem) item);
                return;
            case 2:
                this.hearViewHolder = holder;
                updateHeartView(holder, (LastHeartItem) item);
                return;
            case 3:
                updateHrvView(holder, (LastHrvItem) item);
                return;
            case 4:
                this.bloodOxygenHolder = holder;
                updateBloodOxygen(holder, (LastBloodOxygenItem) item);
                return;
            case 5:
                this.pressureHolder = holder;
                updatePressureView(holder, (LastPressureItem) item);
                return;
            case 6:
                this.bloodPressureHolder = holder;
                updateBloodPressure(holder, (LastBloodPressureItem) item);
                return;
            case 7:
            case 9:
            case 10:
            default:
                return;
            case 8:
                updateSportView(holder, (LastSportItem) item);
                return;
            case 11:
                updateMenstruationView(holder, (LastMenstruationItem) item);
                return;
            case 12:
                this.sugarHolder = holder;
                updateBloodSugar(holder, (LastBloodSugarItem) item);
                return;
        }
    }

    private final void updateBloodSugar(BaseViewHolder holder, LastBloodSugarItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_sugar_date);
        TextView textView2 = (TextView) holder.getView(R.id.home_sugar_value);
        QBloodSugarLineChartHomeView qBloodSugarLineChartHomeView = (QBloodSugarLineChartHomeView) holder.getView(R.id.home_sugar_view);
        TextView textView3 = (TextView) holder.getView(R.id.home_sugar_title);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.sugar_show);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.pressure_no_data_layout);
        TextView textView4 = (TextView) holder.getView(R.id.home_bo_range);
        textView(textView3);
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateBloodSugar$1(item, constraintLayout, constraintLayout2, textView, textView2, qBloodSugarLineChartHomeView, textView4, null), 3, null);
    }

    private final void updateTemperature(BaseViewHolder holder, LastBodyTemperatureItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_body_temp_date);
        TextView textView2 = (TextView) holder.getView(R.id.home_body_temp_value);
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateTemperature$1(item, (QTemperatureLineHomeChartView) holder.getView(R.id.home_temperature_view), textView, (ImageView) holder.getView(R.id.image_no_data), (TextView) holder.getView(R.id.home_step_distance_unit), textView2, null), 3, null);
    }

    private final void updateOneKeyView(BaseViewHolder holder, LastOneKeyItem item) {
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateOneKeyView$1(item, (TextView) holder.getView(R.id.home_one_key_date), (TextView) holder.getView(R.id.home_one_key_value), (ImageView) holder.getView(R.id.home_one_key_view), (ImageView) holder.getView(R.id.image_no_data), null), 3, null);
    }

    private final void updateBloodPressure(BaseViewHolder holder, LastBloodPressureItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_bp_date);
        QBloodPressureChartHomeView qBloodPressureChartHomeView = (QBloodPressureChartHomeView) holder.getView(R.id.home_bp_view);
        TextView textView2 = (TextView) holder.getView(R.id.home_bp_value);
        final Group group = (Group) holder.getView(R.id.heart_measuring_group);
        final Group group2 = (Group) holder.getView(R.id.heart_measuring_group_2);
        final TextView textView3 = (TextView) holder.getView(R.id.home_heart_value_measuring);
        LinearLayout linearLayout = (LinearLayout) holder.getView(R.id.bp_ll);
        TextView textView4 = (TextView) holder.getView(R.id.home_bp_title);
        final TextView textView5 = (TextView) holder.getView(R.id.home_text_measure);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.heart_bp_no_data_layout);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.bp_show);
        TextView textView6 = (TextView) holder.getView(R.id.tv_text_2);
        TextView textView7 = (TextView) holder.getView(R.id.tv_text_1);
        textView(textView4);
        textView(textView6);
        textView(textView7);
        linearLayout.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MultipleItemQuickAdapter.m743updateBloodPressure$lambda0(MultipleItemQuickAdapter.this, textView5, textView3, group2, group, view);
            }
        });
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateBloodPressure$2(item, textView, textView2, qBloodPressureChartHomeView, constraintLayout, constraintLayout2, null), 3, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: updateBloodPressure$lambda-0, reason: not valid java name */
    public static final void m743updateBloodPressure$lambda0(final MultipleItemQuickAdapter this$0, final TextView measure, final TextView animTextView, final Group groupNormal, final Group group, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(measure, "$measure");
        Intrinsics.checkNotNullParameter(animTextView, "$animTextView");
        Intrinsics.checkNotNullParameter(groupNormal, "$groupNormal");
        Intrinsics.checkNotNullParameter(group, "$group");
        AwLog.i(Author.HeZhiYuan, this$0.bloodPressureStart + "-----");
        this$0._clickType.postValue(new MeasureBean(6, this$0.bloodPressureStart));
        if (!BleOperateManager.getInstance().isConnected()) {
            GlobalKt.showToast$default(GlobalKt.getString(R.string.qc_text_75), 0, 1, null);
            return;
        }
        if (this$0.pressureStart || this$0.heartStart || this$0.sugarStart || this$0.bloodOxygenStart) {
            GlobalKt.showToast$default(GlobalKt.getString(R.string.qc_text_7666009), 0, 1, null);
            return;
        }
        if (this$0.bloodPressureStart) {
            this$0.bloodPressureStart = false;
            measure.setText(GlobalKt.getString(R.string.qc_text_6666560));
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodPressure((byte) 0, (byte) 0), null);
            this$0.handler.removeCallbacks(this$0.bloodRunnable);
            animTextView.clearAnimation();
            ViewKt.visible(groupNormal);
            ViewKt.gone(group);
            return;
        }
        this$0.bloodPressureStart = true;
        measure.setText(GlobalKt.getString(R.string.qc_text_6666065));
        this$0.animatorText(animTextView);
        groupNormal.setVisibility(4);
        ViewKt.visible(group);
        CommandHandle.getInstance().executeReqCmd(StartHeartRateReq.getSimpleReq((byte) 2), new ICommandResponse<StartHeartRateRsp>() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$updateBloodPressure$1$1
            @Override // com.oudmon.ble.base.communication.ICommandResponse
            public void onDataResponse(StartHeartRateRsp resultEntity) {
                MutableLiveData mutableLiveData;
                Handler handler;
                Handler handler2;
                Intrinsics.checkNotNullParameter(resultEntity, "resultEntity");
                AwLog.i(Author.HeZhiYuan, resultEntity);
                if (resultEntity.getErrCode() == 0 && resultEntity.getType() == 2) {
                    if (resultEntity.getSbp() > 0) {
                        MultipleItemQuickAdapter.this.setBloodPressureSbp(resultEntity.getSbp());
                        MultipleItemQuickAdapter.this.setBloodPressureDbp(resultEntity.getDbp());
                        return;
                    }
                    return;
                }
                if (resultEntity.getErrCode() == 1) {
                    ThreadExtKt.ktxRunOnUi(this, new Function1<MultipleItemQuickAdapter$updateBloodPressure$1$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$updateBloodPressure$1$1$onDataResponse$1
                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(MultipleItemQuickAdapter$updateBloodPressure$1$1 multipleItemQuickAdapter$updateBloodPressure$1$1) {
                            invoke2(multipleItemQuickAdapter$updateBloodPressure$1$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(MultipleItemQuickAdapter$updateBloodPressure$1$1 ktxRunOnUi) {
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            GlobalKt.showToast$default(GlobalKt.getString(R.string.qc_text_6666064), 0, 1, null);
                        }
                    });
                    MultipleItemQuickAdapter.this.bloodPressureStart = false;
                    handler2 = MultipleItemQuickAdapter.this.handler;
                    handler2.removeCallbacks(MultipleItemQuickAdapter.this.getBpRunnable());
                    animTextView.clearAnimation();
                    ViewKt.visible(groupNormal);
                    ViewKt.gone(group);
                }
                measure.setText(GlobalKt.getString(R.string.qc_text_6666560));
                if (resultEntity.getErrCode() == 0 || resultEntity.getErrCode() == 2) {
                    return;
                }
                mutableLiveData = MultipleItemQuickAdapter.this._clickType;
                mutableLiveData.postValue(new MeasureBean(6, false));
                measure.setText(GlobalKt.getString(R.string.qc_text_6666560));
                handler = MultipleItemQuickAdapter.this.handler;
                handler.removeCallbacks(MultipleItemQuickAdapter.this.getBpRunnable());
            }
        });
        this$0.handler.removeCallbacks(this$0.bpRunnable);
        this$0.handler.postDelayed(this$0.bpRunnable, 31000L);
    }

    public final int getBloodPressureSbp() {
        return this.bloodPressureSbp;
    }

    public final void setBloodPressureSbp(int i) {
        this.bloodPressureSbp = i;
    }

    public final int getBloodPressureDbp() {
        return this.bloodPressureDbp;
    }

    public final void setBloodPressureDbp(int i) {
        this.bloodPressureDbp = i;
    }

    public final Runnable getBpRunnable() {
        return this.bpRunnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: bpRunnable$lambda-1, reason: not valid java name */
    public static final void m739bpRunnable$lambda1(MultipleItemQuickAdapter this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.bloodPressureStart = false;
        try {
            BaseViewHolder baseViewHolder = this$0.bloodPressureHolder;
            if (baseViewHolder == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bloodPressureHolder");
                baseViewHolder = null;
            }
            ((TextView) baseViewHolder.getView(R.id.home_text_measure)).setText(GlobalKt.getString(R.string.qc_text_6666560));
            BaseViewHolder baseViewHolder2 = this$0.bloodPressureHolder;
            if (baseViewHolder2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bloodPressureHolder");
                baseViewHolder2 = null;
            }
            Group group = (Group) baseViewHolder2.getView(R.id.heart_measuring_group);
            BaseViewHolder baseViewHolder3 = this$0.bloodPressureHolder;
            if (baseViewHolder3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bloodPressureHolder");
                baseViewHolder3 = null;
            }
            Group group2 = (Group) baseViewHolder3.getView(R.id.heart_measuring_group_2);
            ViewKt.gone(group);
            ViewKt.visible(group2);
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodPressure((byte) this$0.bloodPressureSbp, (byte) this$0.bloodPressureDbp), null);
            this$0._clickType.postValue(new MeasureBean(6, false));
            BloodPressureRepository.INSTANCE.getGetInstance().saveManualBloodPressure((int) new DateUtil().getUnixTimestamp(), (byte) this$0.bloodPressureSbp, (byte) this$0.bloodPressureDbp);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private final void updateBloodOxygen(BaseViewHolder holder, LastBloodOxygenItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_bo_date);
        TextView textView2 = (TextView) holder.getView(R.id.home_bo_value);
        QBloodOxygenLineChartHomeView qBloodOxygenLineChartHomeView = (QBloodOxygenLineChartHomeView) holder.getView(R.id.home_bo_view);
        TextView textView3 = (TextView) holder.getView(R.id.home_bo_title);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.blood_oxygen_show);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.blood_oxygen_no_data_layout);
        TextView textView4 = (TextView) holder.getView(R.id.home_bo_range);
        textView(textView3);
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateBloodOxygen$1(item, constraintLayout2, constraintLayout, textView, textView2, qBloodOxygenLineChartHomeView, textView4, null), 3, null);
    }

    public final int getBloodOxygenValue() {
        return this.bloodOxygenValue;
    }

    public final void setBloodOxygenValue(int i) {
        this.bloodOxygenValue = i;
    }

    public final Runnable getBloodRunnable() {
        return this.bloodRunnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: bloodRunnable$lambda-2, reason: not valid java name */
    public static final void m738bloodRunnable$lambda2(MultipleItemQuickAdapter this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.bloodOxygenStart = false;
        try {
            BaseViewHolder baseViewHolder = this$0.bloodOxygenHolder;
            if (baseViewHolder == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bloodOxygenHolder");
                baseViewHolder = null;
            }
            ((TextView) baseViewHolder.getView(R.id.home_text_measure)).setText(GlobalKt.getString(R.string.qc_text_6666560));
            BaseViewHolder baseViewHolder2 = this$0.bloodOxygenHolder;
            if (baseViewHolder2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bloodOxygenHolder");
                baseViewHolder2 = null;
            }
            Group group = (Group) baseViewHolder2.getView(R.id.heart_measuring_group);
            BaseViewHolder baseViewHolder3 = this$0.bloodOxygenHolder;
            if (baseViewHolder3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bloodOxygenHolder");
                baseViewHolder3 = null;
            }
            Group group2 = (Group) baseViewHolder3.getView(R.id.heart_measuring_group_2);
            ViewKt.gone(group);
            ViewKt.visible(group2);
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodOxygen((byte) this$0.bloodOxygenValue), null);
            this$0._clickType.postValue(new MeasureBean(4, false));
            BloodOxygenRepository.INSTANCE.getGetInstance().saveManualBloodOxygen((int) new DateUtil().getUnixTimestamp(), this$0.bloodOxygenValue);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private final void updateGpsView(BaseViewHolder holder, LastGpsSportItem item) {
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateGpsView$1(item, (TextView) holder.getView(R.id.home_gps_distance), (TextView) holder.getView(R.id.home_gps_date), (ImageView) holder.getView(R.id.image_no_data), (ImageView) holder.getView(R.id.image_gps), (TextView) holder.getView(R.id.home_gps_distance_unit), null), 3, null);
    }

    private final void updateMenstruationView(BaseViewHolder holder, LastMenstruationItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_bo_date);
        TextView textView2 = (TextView) holder.getView(R.id.home_bo_unit);
        QHomeMenstruationView qHomeMenstruationView = (QHomeMenstruationView) holder.getView(R.id.qms_view);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.heart_rate_show);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.heart_rate_no_data_layout);
        if (UserConfig.INSTANCE.getInstance().getMenstruationSetting()) {
            BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateMenstruationView$1(item, qHomeMenstruationView, textView2, null), 3, null);
            ViewKt.visible(constraintLayout);
            ViewKt.gone(constraintLayout2);
            ViewKt.visible(qHomeMenstruationView);
        } else {
            textView2.setText("--");
            ViewKt.visible(constraintLayout2);
            ViewKt.gone(constraintLayout);
            ViewKt.gone(qHomeMenstruationView);
        }
        textView.setText(item.getDate());
    }

    private final void updateSportView(BaseViewHolder holder, LastSportItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_sport_date);
        TextView textView2 = (TextView) holder.getView(R.id.home_sport_title);
        TextView textView3 = (TextView) holder.getView(R.id.tv_5);
        TextView textView4 = (TextView) holder.getView(R.id.tv_6);
        TextView textView5 = (TextView) holder.getView(R.id.tv_sport_name);
        TextView textView6 = (TextView) holder.getView(R.id.home_sport_value);
        Group group = (Group) holder.getView(R.id.group_1);
        TextView textView7 = (TextView) holder.getView(R.id.btn_sport_go);
        TextView textView8 = (TextView) holder.getView(R.id.tv_6_unit);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.sport_show);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.sport_no_data_layout);
        PubuProgressCircle pubuProgressCircle = (PubuProgressCircle) holder.getView(R.id.qc_step_chart);
        textView(textView5);
        textView(textView2);
        textView(textView8);
        textView7.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MultipleItemQuickAdapter.m745updateSportView$lambda3(MultipleItemQuickAdapter.this, view);
            }
        });
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateSportView$2(item, textView, constraintLayout2, constraintLayout, textView5, this, textView6, textView3, textView4, (PGHeartSportDetailLineChartView) holder.getView(R.id.home_sport_view), pubuProgressCircle, group, null), 3, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: updateSportView$lambda-3, reason: not valid java name */
    public static final void m745updateSportView$lambda3(MultipleItemQuickAdapter this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0._clickType.setValue(new MeasureBean(8, false));
    }

    private final void textView(TextView view) {
        view.setEllipsize(TextUtils.TruncateAt.MARQUEE);
        view.setSingleLine();
        view.setSelected(true);
        view.setFocusable(true);
        view.setFocusableInTouchMode(true);
    }

    private final void updateHrvView(BaseViewHolder holder, LastHrvItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_heart_date);
        QHrvChartHomeView qHrvChartHomeView = (QHrvChartHomeView) holder.getView(R.id.home_heart_view);
        TextView textView2 = (TextView) holder.getView(R.id.home_heart_value);
        TextView textView3 = (TextView) holder.getView(R.id.home_heart_title);
        TextView textView4 = (TextView) holder.getView(R.id.home_heart_range);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.heart_rate_show);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.heart_rate_no_data_layout);
        textView(textView3);
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateHrvView$1(item, textView, textView2, textView4, qHrvChartHomeView, constraintLayout2, constraintLayout, null), 3, null);
    }

    private final void updateHeartView(BaseViewHolder holder, LastHeartItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_heart_date);
        QHomeHeartLineChartView qHomeHeartLineChartView = (QHomeHeartLineChartView) holder.getView(R.id.home_heart_view);
        TextView textView2 = (TextView) holder.getView(R.id.home_heart_value);
        TextView textView3 = (TextView) holder.getView(R.id.home_heart_title);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.heart_rate_show);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.heart_rate_no_data_layout);
        TextView textView4 = (TextView) holder.getView(R.id.home_heart_range);
        textView(textView3);
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateHeartView$1(item, textView, textView2, qHomeHeartLineChartView, constraintLayout2, constraintLayout, textView4, null), 3, null);
    }

    public final int getHeartValue() {
        return this.heartValue;
    }

    public final void setHeartValue(int i) {
        this.heartValue = i;
    }

    public final Runnable getHeartRunnable() {
        return this.heartRunnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: heartRunnable$lambda-4, reason: not valid java name */
    public static final void m740heartRunnable$lambda4(MultipleItemQuickAdapter this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        try {
            AwLog.i(Author.HeZhiYuan, "------heartRunnable");
            this$0.heartStart = false;
            BaseViewHolder baseViewHolder = this$0.hearViewHolder;
            if (baseViewHolder == null) {
                Intrinsics.throwUninitializedPropertyAccessException("hearViewHolder");
                baseViewHolder = null;
            }
            TextView textView = (TextView) baseViewHolder.getView(R.id.home_text_measure_heart);
            BaseViewHolder baseViewHolder2 = this$0.hearViewHolder;
            if (baseViewHolder2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("hearViewHolder");
                baseViewHolder2 = null;
            }
            Group group = (Group) baseViewHolder2.getView(R.id.heart_measuring_group);
            BaseViewHolder baseViewHolder3 = this$0.hearViewHolder;
            if (baseViewHolder3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("hearViewHolder");
                baseViewHolder3 = null;
            }
            TextView textView2 = (TextView) baseViewHolder3.getView(R.id.home_heart_value);
            ViewKt.gone(group);
            ViewKt.visible(textView2);
            textView.setText(GlobalKt.getString(R.string.qc_text_6666560));
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopHeartRate((byte) this$0.heartValue), null);
            this$0._clickType.postValue(new MeasureBean(2, false));
            HeartRateDetailRepository.INSTANCE.getGetInstance().saveManualHeartRate(new DateUtil().getUnixTimestamp(), this$0.heartValue);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public final Runnable getSugarRunnable() {
        return this.sugarRunnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: sugarRunnable$lambda-5, reason: not valid java name */
    public static final void m742sugarRunnable$lambda5(MultipleItemQuickAdapter this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        try {
            AwLog.i(Author.HeZhiYuan, "------sugarRunnable");
            this$0.sugarStart = false;
            BaseViewHolder baseViewHolder = this$0.sugarHolder;
            if (baseViewHolder == null) {
                Intrinsics.throwUninitializedPropertyAccessException("sugarHolder");
                baseViewHolder = null;
            }
            TextView textView = (TextView) baseViewHolder.getView(R.id.home_text_measure);
            BaseViewHolder baseViewHolder2 = this$0.sugarHolder;
            if (baseViewHolder2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("sugarHolder");
                baseViewHolder2 = null;
            }
            Group group = (Group) baseViewHolder2.getView(R.id.heart_measuring_group);
            BaseViewHolder baseViewHolder3 = this$0.sugarHolder;
            if (baseViewHolder3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("sugarHolder");
                baseViewHolder3 = null;
            }
            TextView textView2 = (TextView) baseViewHolder3.getView(R.id.home_sugar_value);
            ViewKt.gone(group);
            ViewKt.visible(textView2);
            textView.setText(GlobalKt.getString(R.string.qc_text_6666560));
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopBloodSugar((byte) this$0.sugarValue), null);
            this$0._clickType.postValue(new MeasureBean(12, false));
            BloodSugarRepository.INSTANCE.getGetInstance().saveManualSugar(new DateUtil().getUnixTimestamp(), this$0.heartValue);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private final void updatePressureView(BaseViewHolder holder, LastPressureItem item) {
        final TextView textView = (TextView) holder.getView(R.id.home_text_measure);
        LinearLayout linearLayout = (LinearLayout) holder.getView(R.id.pressure_ll);
        final TextView textView2 = (TextView) holder.getView(R.id.home_pressure_value);
        TextView textView3 = (TextView) holder.getView(R.id.home_bo_date);
        TextView textView4 = (TextView) holder.getView(R.id.home_pressure_title);
        TextView textView5 = (TextView) holder.getView(R.id.tv_pressure_range_1);
        final Group group = (Group) holder.getView(R.id.heart_measuring_group);
        final TextView textView6 = (TextView) holder.getView(R.id.home_heart_value_measuring);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.pressure_show);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.pressure_no_data_layout);
        PubuProgressCircle pubuProgressCircle = (PubuProgressCircle) holder.getView(R.id.qc_step_chart);
        TextView textView7 = (TextView) holder.getView(R.id.tv_pressure_value);
        TextView textView8 = (TextView) holder.getView(R.id.tv_pressure_range_value);
        TextView textView9 = (TextView) holder.getView(R.id.tv_activity_comment);
        textView(textView4);
        textView(textView5);
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updatePressureView$1(item, textView3, textView2, constraintLayout2, constraintLayout, pubuProgressCircle, textView9, textView8, textView7, null), 3, null);
        linearLayout.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MultipleItemQuickAdapter.m744updatePressureView$lambda6(MultipleItemQuickAdapter.this, textView, group, textView6, textView2, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: updatePressureView$lambda-6, reason: not valid java name */
    public static final void m744updatePressureView$lambda6(final MultipleItemQuickAdapter this$0, final TextView measure, final Group group, final TextView animTextView, final TextView value, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(measure, "$measure");
        Intrinsics.checkNotNullParameter(group, "$group");
        Intrinsics.checkNotNullParameter(animTextView, "$animTextView");
        Intrinsics.checkNotNullParameter(value, "$value");
        if (!BleOperateManager.getInstance().isConnected()) {
            GlobalKt.showToast$default(GlobalKt.getString(R.string.qc_text_75), 0, 1, null);
            return;
        }
        if (this$0.bloodOxygenStart || this$0.heartStart || this$0.sugarStart || this$0.bloodPressureStart) {
            GlobalKt.showToast$default(GlobalKt.getString(R.string.qc_text_7666009), 0, 1, null);
            return;
        }
        this$0._clickType.postValue(new MeasureBean(5, this$0.pressureStart));
        if (this$0.pressureStart) {
            this$0.pressureStart = false;
            measure.setText(GlobalKt.getString(R.string.qc_text_6666560));
            ViewKt.gone(group);
            animTextView.clearAnimation();
            ViewKt.visible(value);
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopPressure((byte) 0), null);
            this$0.handler.removeCallbacks(this$0.pressureRunnable);
            return;
        }
        this$0.pressureStart = true;
        measure.setText(GlobalKt.getString(R.string.qc_text_6666065));
        ViewKt.visible(group);
        this$0.animatorText(animTextView);
        value.setVisibility(4);
        CommandHandle.getInstance().executeReqCmd(StartHeartRateReq.getSimpleReq((byte) 8), new ICommandResponse<StartHeartRateRsp>() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$updatePressureView$2$1
            @Override // com.oudmon.ble.base.communication.ICommandResponse
            public void onDataResponse(StartHeartRateRsp resultEntity) {
                MutableLiveData mutableLiveData;
                Handler handler;
                Handler handler2;
                boolean z;
                int value2;
                Intrinsics.checkNotNullParameter(resultEntity, "resultEntity");
                AwLog.i(Author.HeZhiYuan, resultEntity);
                if (resultEntity.getErrCode() == 0 && resultEntity.getType() == 8) {
                    if (resultEntity.getValue() > 0) {
                        z = MultipleItemQuickAdapter.this.pressureStart;
                        if (z) {
                            MultipleItemQuickAdapter multipleItemQuickAdapter = MultipleItemQuickAdapter.this;
                            if (resultEntity.getValue() > 50) {
                                value2 = new Random().nextInt(20) + 30;
                            } else {
                                value2 = resultEntity.getValue();
                            }
                            multipleItemQuickAdapter.setPressureValue(value2);
                            AwLog.i(Author.HeZhiYuan, Integer.valueOf(MultipleItemQuickAdapter.this.getPressureValue()));
                            return;
                        }
                        return;
                    }
                    return;
                }
                if (resultEntity.getErrCode() == 1) {
                    ThreadExtKt.ktxRunOnUi(this, new Function1<MultipleItemQuickAdapter$updatePressureView$2$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.healthy.adapter.MultipleItemQuickAdapter$updatePressureView$2$1$onDataResponse$1
                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(MultipleItemQuickAdapter$updatePressureView$2$1 multipleItemQuickAdapter$updatePressureView$2$1) {
                            invoke2(multipleItemQuickAdapter$updatePressureView$2$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(MultipleItemQuickAdapter$updatePressureView$2$1 ktxRunOnUi) {
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            GlobalKt.showToast$default(GlobalKt.getString(R.string.qc_text_6666064), 0, 1, null);
                        }
                    });
                    handler2 = MultipleItemQuickAdapter.this.handler;
                    handler2.removeCallbacks(MultipleItemQuickAdapter.this.getPressureRunnable());
                    MultipleItemQuickAdapter.this.pressureStart = false;
                }
                ViewKt.gone(group);
                animTextView.clearAnimation();
                ViewKt.visible(value);
                measure.setText(GlobalKt.getString(R.string.qc_text_6666560));
                if (resultEntity.getErrCode() == 0 || resultEntity.getErrCode() == 2) {
                    return;
                }
                mutableLiveData = MultipleItemQuickAdapter.this._clickType;
                mutableLiveData.postValue(new MeasureBean(5, false));
                measure.setText(GlobalKt.getString(R.string.qc_text_6666560));
                handler = MultipleItemQuickAdapter.this.handler;
                handler.removeCallbacks(MultipleItemQuickAdapter.this.getPressureRunnable());
            }
        });
        this$0.handler.removeCallbacks(this$0.pressureRunnable);
        this$0.handler.postDelayed(this$0.pressureRunnable, 31000L);
    }

    public final int getPressureValue() {
        return this.pressureValue;
    }

    public final void setPressureValue(int i) {
        this.pressureValue = i;
    }

    public final Runnable getPressureRunnable() {
        return this.pressureRunnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: pressureRunnable$lambda-7, reason: not valid java name */
    public static final void m741pressureRunnable$lambda7(MultipleItemQuickAdapter this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        try {
            this$0.pressureStart = false;
            BaseViewHolder baseViewHolder = this$0.pressureHolder;
            if (baseViewHolder == null) {
                Intrinsics.throwUninitializedPropertyAccessException("pressureHolder");
                baseViewHolder = null;
            }
            TextView textView = (TextView) baseViewHolder.getView(R.id.home_text_measure);
            BaseViewHolder baseViewHolder2 = this$0.pressureHolder;
            if (baseViewHolder2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("pressureHolder");
                baseViewHolder2 = null;
            }
            Group group = (Group) baseViewHolder2.getView(R.id.heart_measuring_group);
            BaseViewHolder baseViewHolder3 = this$0.pressureHolder;
            if (baseViewHolder3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("pressureHolder");
                baseViewHolder3 = null;
            }
            TextView textView2 = (TextView) baseViewHolder3.getView(R.id.home_pressure_value);
            ViewKt.gone(group);
            ViewKt.visible(textView2);
            textView.setText(GlobalKt.getString(R.string.qc_text_6666560));
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopPressure((byte) this$0.pressureValue), null);
            PressureRepository.INSTANCE.getGetInstance().saveManualPressure(new DateUtil().getUnixTimestamp(), this$0.pressureValue);
            this$0._clickType.postValue(new MeasureBean(5, false));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private final void updateSleepView(BaseViewHolder holder, LastSleepItem item) {
        TextView textView = (TextView) holder.getView(R.id.home_sleep_date);
        QSleepHomeHBarView qSleepHomeHBarView = (QSleepHomeHBarView) holder.getView(R.id.home_sleep_view);
        TextView textView2 = (TextView) holder.getView(R.id.home_sleep_value);
        TextView textView3 = (TextView) holder.getView(R.id.home_sleep_value_min);
        ConstraintLayout constraintLayout = (ConstraintLayout) holder.getView(R.id.sleep_no_data_layout);
        ConstraintLayout constraintLayout2 = (ConstraintLayout) holder.getView(R.id.sleep_data_layout);
        TextView textView4 = (TextView) holder.getView(R.id.home_sleep_title);
        PubuProgressCircle pubuProgressCircle = (PubuProgressCircle) holder.getView(R.id.qc_step_chart);
        TextView textView5 = (TextView) holder.getView(R.id.tv_activity_score);
        TextView textView6 = (TextView) holder.getView(R.id.tv_activity_comment);
        textView(textView4);
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new MultipleItemQuickAdapter$updateSleepView$1(item, textView, textView2, textView3, textView5, constraintLayout2, textView6, pubuProgressCircle, qSleepHomeHBarView, constraintLayout, null), 3, null);
    }

    public final String formatText(int minute) {
        String str;
        String str2;
        String str3;
        int i = minute / 60;
        int i2 = minute % 60;
        if (i == 0) {
            if (i2 < 10) {
                StringBuilder sb = new StringBuilder();
                sb.append('0');
                sb.append(i2);
                str3 = sb.toString();
            } else {
                str3 = i2 + "";
            }
            StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
            String format = String.format(GlobalKt.getString(R.string.qc_text_8053), Arrays.copyOf(new Object[]{str3}, 1));
            Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
            return format;
        }
        if (i < 10) {
            StringBuilder sb2 = new StringBuilder();
            sb2.append('0');
            sb2.append(i);
            str = sb2.toString();
        } else {
            str = i + "";
        }
        if (i2 < 10) {
            StringBuilder sb3 = new StringBuilder();
            sb3.append('0');
            sb3.append(i2);
            str2 = sb3.toString();
        } else {
            str2 = i2 + "";
        }
        StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
        String format2 = String.format(GlobalKt.getString(R.string.qc_text_8052), Arrays.copyOf(new Object[]{str, str2}, 2));
        Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
        return format2;
    }

    private final void animatorText(View textView) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(textView, "alpha", 0.0f, 1.0f);
        ofFloat.setDuration(500L);
        ofFloat.setRepeatMode(2);
        ofFloat.setRepeatCount(60);
        ofFloat.start();
    }
}
