package com.qcwireless.qcwatch.ui.home.heart;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Parcelable;
import android.view.View;
import android.view.animation.AlphaAnimation;
import android.view.animation.ScaleAnimation;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.widget.NestedScrollView;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.work.WorkRequest;
import com.haibin.calendarview.Calendar;
import com.haibin.calendarview.CalendarView;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.req.RealTimeHeartRate;
import com.oudmon.ble.base.communication.req.StartHeartRateReq;
import com.oudmon.ble.base.communication.req.StopHeartRateReq;
import com.oudmon.ble.base.communication.responseImpl.DeviceNotifyListener;
import com.oudmon.ble.base.communication.rsp.DeviceNotifyRsp;
import com.oudmon.ble.base.communication.rsp.StartHeartRateRsp;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.dialog.CenterDialog;
import com.qcwireless.qcwatch.base.event.BluetoothEvent;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityHeartBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.bean.device.DeviceSetting;
import com.qcwireless.qcwatch.ui.base.repository.entity.AppHeartEntity;
import com.qcwireless.qcwatch.ui.base.repository.healthy.HeartRateDetailRepository;
import com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView;
import com.qcwireless.qcwatch.ui.base.view.QDateSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QHeartLineChartView;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.base.view.QSettingItemTitleSubTitleSystem;
import com.qcwireless.qcwatch.ui.home.heart.HeartActivity;
import com.qcwireless.qcwatch.ui.home.heart.HeartActivityViewModel;
import com.qcwireless.qcwatch.ui.home.heart.adapter.ManualHeartRateDetailAdapter;
import com.qcwireless.qcwatch.ui.home.heart.bean.HeartRateDetailBean;
import com.qcwireless.ring.R;
import com.yalantis.ucrop.view.CropImageView;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.jvm.internal.StringCompanionObject;
import kotlin.math.MathKt;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;
import skin.support.content.res.SkinCompatResources;

/* compiled from: HeartActivity.kt */
@Metadata(d1 = {"\u0000\u009e\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0010$\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0010\u000b\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u00002\u00020\u0001:\u0003OPQB\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010<\u001a\u00020=2\b\u0010>\u001a\u0004\u0018\u00010?H\u0014J\b\u0010@\u001a\u00020=H\u0014J\u0010\u0010A\u001a\u00020=2\u0006\u0010B\u001a\u00020CH\u0017J\b\u0010D\u001a\u00020=H\u0014J\b\u0010E\u001a\u00020=H\u0014J\b\u0010F\u001a\u00020=H\u0014J\u0010\u0010G\u001a\u00020=2\u0006\u0010H\u001a\u00020\u0010H\u0002J\b\u0010I\u001a\u00020=H\u0002J\b\u0010J\u001a\u00020=H\u0014J,\u0010K\u001a\u00020=2\u0006\u0010L\u001a\u00020M2\u0012\u0010N\u001a\u000e\u0012\u0004\u0012\u00020(\u0012\u0004\u0012\u00020)0'2\u0006\u0010H\u001a\u00020\u0010H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u0012\u0010\r\u001a\u00060\u000eR\u00020\u0000X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\u0010X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0011\u001a\u00020\u0012X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0013\u001a\u00020\u0010X\u0082\u000e¢\u0006\u0002\n\u0000R\u0012\u0010\u0014\u001a\u00060\u0015R\u00020\u0000X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0016\u001a\u00020\u0017X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0018\u001a\u00020\u0019X\u0082\u0004¢\u0006\u0002\n\u0000R\u001a\u0010\u001a\u001a\u00020\u001bX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001c\u0010\u001d\"\u0004\b\u001e\u0010\u001fR\u001a\u0010 \u001a\u00020!X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\"\u0010#\"\u0004\b$\u0010%R&\u0010&\u001a\u000e\u0012\u0004\u0012\u00020(\u0012\u0004\u0012\u00020)0'X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b*\u0010+\"\u0004\b,\u0010-R\u000e\u0010.\u001a\u00020!X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010/\u001a\u00020!X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u00100\u001a\u00020!X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u00101\u001a\u000202X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u00103\u001a\u00020!X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u00104\u001a\u00020!X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u00105\u001a\u00020!X\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u00106\u001a\u0002078BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b:\u0010;\u001a\u0004\b8\u00109¨\u0006R"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/heart/adapter/ManualHeartRateDetailAdapter;", "alphaAnimation", "Landroid/view/animation/AlphaAnimation;", "animation", "Landroid/view/animation/ScaleAnimation;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityHeartBinding;", "calendarDialog", "Lcom/qcwireless/qcwatch/base/dialog/CenterDialog;", "callback", "Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity$MyRunnable;", "clickDate", "Lcom/qcwireless/qc_utils/date/DateUtil;", "countDownTimer", "Landroid/os/CountDownTimer;", "dateUtil", "deviceNotifyListener", "Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity$MyDeviceNotifyListener;", "deviceSetting", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "handler", "Landroid/os/Handler;", "heartRunnable", "Ljava/lang/Runnable;", "getHeartRunnable", "()Ljava/lang/Runnable;", "setHeartRunnable", "(Ljava/lang/Runnable;)V", "heartValue", "", "getHeartValue", "()I", "setHeartValue", "(I)V", "map", "", "", "Lcom/haibin/calendarview/Calendar;", "getMap", "()Ljava/util/Map;", "setMap", "(Ljava/util/Map;)V", "max", "maxHeart", "min", "startMeasure", "", "totalHeart", "totalIndex", "userAge", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivityViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivityViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onDestroy", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "onPause", "onResume", "onStop", "queryManualHeart", "date", "secondsDown", "setupViews", "showCalendarDialog", "activity", "Landroid/app/Activity;", "mSchemeDates", "CalendarSelectListener", "MyDeviceNotifyListener", "MyRunnable", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class HeartActivity extends BaseActivity {
    private ManualHeartRateDetailAdapter adapter;
    private AlphaAnimation alphaAnimation;
    private ScaleAnimation animation;
    private ActivityHeartBinding binding;
    private CenterDialog calendarDialog;
    private final MyRunnable callback;
    private DateUtil clickDate;
    private CountDownTimer countDownTimer;
    private DateUtil dateUtil;
    private MyDeviceNotifyListener deviceNotifyListener;
    private DeviceSetting deviceSetting;
    private final Handler handler;
    private Runnable heartRunnable;
    private int heartValue;
    private Map<String, Calendar> map;
    private int max;
    private int maxHeart;
    private int min;
    private boolean startMeasure;
    private int totalHeart;
    private int totalIndex;
    private int userAge;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public HeartActivity() {
        final HeartActivity heartActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<HeartActivityViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.heart.HeartActivityViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final HeartActivityViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(HeartActivityViewModel.class), qualifier, b);
            }
        });
        this.userAge = 27;
        this.maxHeart = 200;
        this.callback = new MyRunnable();
        this.dateUtil = new DateUtil();
        this.heartValue = 85;
        this.map = new HashMap();
        this.clickDate = new DateUtil();
        this.min = 300;
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
        this.heartRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                HeartActivity.m763heartRunnable$lambda16(HeartActivity.this);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final HeartActivityViewModel getViewModel() {
        return (HeartActivityViewModel) this.viewModel.getValue();
    }

    public final int getHeartValue() {
        return this.heartValue;
    }

    public final void setHeartValue(int i) {
        this.heartValue = i;
    }

    public final Map<String, Calendar> getMap() {
        return this.map;
    }

    public final void setMap(Map<String, Calendar> map) {
        Intrinsics.checkNotNullParameter(map, "<set-?>");
        this.map = map;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityHeartBinding inflate = ActivityHeartBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        NestedScrollView root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        HeartActivity heartActivity = this;
        this.adapter = new ManualHeartRateDetailAdapter(heartActivity, getViewModel().getManualList());
        ActivityHeartBinding activityHeartBinding = this.binding;
        ActivityHeartBinding activityHeartBinding2 = null;
        if (activityHeartBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding = null;
        }
        activityHeartBinding.rcvBloodOxygenDetail.setLayoutManager(new LinearLayoutManager(heartActivity));
        ActivityHeartBinding activityHeartBinding3 = this.binding;
        if (activityHeartBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding3 = null;
        }
        RecyclerView recyclerView = activityHeartBinding3.rcvBloodOxygenDetail;
        ManualHeartRateDetailAdapter manualHeartRateDetailAdapter = this.adapter;
        if (manualHeartRateDetailAdapter == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            manualHeartRateDetailAdapter = null;
        }
        recyclerView.setAdapter(manualHeartRateDetailAdapter);
        getViewModel().initData(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
        getViewModel().m779getAge();
        final ActivityHeartBinding activityHeartBinding4 = this.binding;
        if (activityHeartBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding4 = null;
        }
        setStatusBarBackground(R.color.heart_bg);
        ViewKt.gone(activityHeartBinding4.titleBar.divider);
        activityHeartBinding4.titleBar.tvTitle.setText(getString(R.string.qc_text_85));
        ViewKt.visible(activityHeartBinding4.titleBar.tvRightText);
        activityHeartBinding4.titleBar.tvRightText.setBackgroundResource(R.mipmap.app_desp);
        activityHeartBinding4.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda7
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HeartActivity.m769setupViews$lambda5$lambda0(HeartActivity.this, view);
            }
        });
        final QDateSwitchView qDateSwitchView = activityHeartBinding4.qcDateChange;
        qDateSwitchView.setDateListener(new QDateSwitchView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$setupViews$1$2$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateSwitchView.QDateBefore
            public void clickBefore(boolean r3, DateUtil date) {
                DateUtil dateUtil;
                ActivityHeartBinding activityHeartBinding5;
                ActivityHeartBinding activityHeartBinding6;
                ActivityHeartBinding activityHeartBinding7;
                ActivityHeartBinding activityHeartBinding8;
                Intrinsics.checkNotNullParameter(date, "date");
                QDateSwitchView.this.setDateUtil(date);
                this.dateUtil = date;
                this.clickDate = date;
                dateUtil = this.dateUtil;
                ActivityHeartBinding activityHeartBinding9 = null;
                if (dateUtil.isToday()) {
                    activityHeartBinding7 = this.binding;
                    if (activityHeartBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHeartBinding7 = null;
                    }
                    ViewKt.visible(activityHeartBinding7.btnMeasure);
                    activityHeartBinding8 = this.binding;
                    if (activityHeartBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityHeartBinding9 = activityHeartBinding8;
                    }
                    ViewKt.visible(activityHeartBinding9.currHeartCtl);
                } else {
                    activityHeartBinding5 = this.binding;
                    if (activityHeartBinding5 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHeartBinding5 = null;
                    }
                    ViewKt.gone(activityHeartBinding5.btnMeasure);
                    activityHeartBinding6 = this.binding;
                    if (activityHeartBinding6 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityHeartBinding9 = activityHeartBinding6;
                    }
                    ViewKt.gone(activityHeartBinding9.currHeartCtl);
                }
                this.getViewModel().showHeartRateDetail(date);
                this.queryManualHeart(date);
            }
        });
        activityHeartBinding4.qcDateChange.setCalendarClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HeartActivity.m770setupViews$lambda5$lambda2(HeartActivity.this, view);
            }
        });
        activityHeartBinding4.heartChatView.setSelectedListener(new QHeartLineChartView.OnSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda3
            @Override // com.qcwireless.qcwatch.ui.base.view.QHeartLineChartView.OnSelectedListener
            public final void onSelected(QHeartLineChartView.HeartDataBean heartDataBean) {
                HeartActivity.m771setupViews$lambda5$lambda3(ActivityHeartBinding.this, heartDataBean);
            }
        });
        TextView textView = activityHeartBinding4.tvValue1;
        StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
        String string = getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_100)");
        String format = String.format(string, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
        textView.setText(format);
        TextView textView2 = activityHeartBinding4.tvValue2;
        StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
        String string2 = getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_100)");
        String format2 = String.format(string2, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
        textView2.setText(format2);
        TextView textView3 = activityHeartBinding4.tvValue3;
        StringCompanionObject stringCompanionObject3 = StringCompanionObject.INSTANCE;
        String string3 = getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string3, "getString(R.string.qc_text_100)");
        String format3 = String.format(string3, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format3, "format(format, *args)");
        textView3.setText(format3);
        TextView textView4 = activityHeartBinding4.tvValue4;
        StringCompanionObject stringCompanionObject4 = StringCompanionObject.INSTANCE;
        String string4 = getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string4, "getString(R.string.qc_text_100)");
        String format4 = String.format(string4, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format4, "format(format, *args)");
        textView4.setText(format4);
        TextView textView5 = activityHeartBinding4.tvValue5;
        StringCompanionObject stringCompanionObject5 = StringCompanionObject.INSTANCE;
        String string5 = getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string5, "getString(R.string.qc_text_100)");
        String format5 = String.format(string5, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format5, "format(format, *args)");
        textView5.setText(format5);
        activityHeartBinding4.tvDesc.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda8
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HeartActivity.m772setupViews$lambda5$lambda4(HeartActivity.this, view);
            }
        });
        HeartActivity heartActivity2 = this;
        getViewModel().getLastDate().observe(heartActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda11
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                HeartActivity.m773setupViews$lambda6(HeartActivity.this, (DateUtil) obj);
            }
        });
        getViewModel().getUiState().observe(heartActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda13
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                HeartActivity.m774setupViews$lambda8(HeartActivity.this, (HeartActivityViewModel.HeartDetailUI) obj);
            }
        });
        getViewModel().getAge().observe(heartActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda1
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                HeartActivity.m775setupViews$lambda9(HeartActivity.this, (HeartActivityViewModel.UserAge) obj);
            }
        });
        ScaleAnimation scaleAnimation = new ScaleAnimation(1.0f, 1.3f, 1.0f, 1.3f, 1, 0.5f, 1, 0.5f);
        this.animation = scaleAnimation;
        scaleAnimation.setDuration(1500L);
        ScaleAnimation scaleAnimation2 = this.animation;
        if (scaleAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation2 = null;
        }
        scaleAnimation2.setRepeatCount(-1);
        ScaleAnimation scaleAnimation3 = this.animation;
        if (scaleAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation3 = null;
        }
        scaleAnimation3.setFillAfter(true);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
        this.alphaAnimation = alphaAnimation;
        alphaAnimation.setDuration(500L);
        AlphaAnimation alphaAnimation2 = this.alphaAnimation;
        if (alphaAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation2 = null;
        }
        alphaAnimation2.setRepeatMode(2);
        AlphaAnimation alphaAnimation3 = this.alphaAnimation;
        if (alphaAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation3 = null;
        }
        alphaAnimation3.setRepeatCount(60);
        ActivityHeartBinding activityHeartBinding5 = this.binding;
        if (activityHeartBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding5 = null;
        }
        activityHeartBinding5.heartValueDetail.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$setupViews$5
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                DateUtil dateUtil;
                Bundle bundle = new Bundle();
                dateUtil = HeartActivity.this.dateUtil;
                bundle.putInt("timestamp", (int) dateUtil.getUnixTimestamp());
                HeartActivity heartActivity3 = HeartActivity.this;
                ArrayList<Pair> arrayList = new ArrayList();
                Intent intent = new Intent(heartActivity3, (Class<?>) HeartRateDataDetailActivity.class);
                intent.setFlags(1);
                intent.putExtras(bundle);
                for (Pair pair : arrayList) {
                    if (pair != null) {
                        String str = (String) pair.getFirst();
                        Object second = pair.getSecond();
                        if (second instanceof Integer) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                        } else if (second instanceof Byte) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                        } else if (second instanceof Character) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                        } else if (second instanceof Short) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                        } else if (second instanceof Boolean) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                        } else if (second instanceof Long) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                        } else if (second instanceof Float) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                        } else if (second instanceof Double) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                        } else if (second instanceof String) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                        } else if (second instanceof CharSequence) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                        } else if (second instanceof Parcelable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else if (second instanceof Object[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof ArrayList) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof Serializable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof boolean[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                        } else if (second instanceof byte[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                        } else if (second instanceof short[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                        } else if (second instanceof char[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                        } else if (second instanceof int[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                        } else if (second instanceof long[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                        } else if (second instanceof float[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                        } else if (second instanceof double[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                        } else if (second instanceof Bundle) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                        } else if (second instanceof Intent) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else {
                            Unit unit = Unit.INSTANCE;
                        }
                    }
                }
                heartActivity3.startActivity(intent);
            }
        });
        getViewModel().getDeviceSetting().observe(heartActivity2, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda12
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                HeartActivity.m764setupViews$lambda10(HeartActivity.this, (DeviceSetting) obj);
            }
        });
        ActivityHeartBinding activityHeartBinding6 = this.binding;
        if (activityHeartBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding6 = null;
        }
        activityHeartBinding6.qcSettingHeart.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda10
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                HeartActivity.m765setupViews$lambda11(HeartActivity.this, compoundButton, z);
            }
        });
        ActivityHeartBinding activityHeartBinding7 = this.binding;
        if (activityHeartBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding7 = null;
        }
        activityHeartBinding7.qcSettingHeart.setSubTitleClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda6
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HeartActivity.m766setupViews$lambda12(HeartActivity.this, view);
            }
        });
        ActivityHeartBinding activityHeartBinding8 = this.binding;
        if (activityHeartBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding8 = null;
        }
        activityHeartBinding8.tvListDetail.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HeartActivity.m767setupViews$lambda14(HeartActivity.this, view);
            }
        });
        ActivityHeartBinding activityHeartBinding9 = this.binding;
        if (activityHeartBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHeartBinding2 = activityHeartBinding9;
        }
        activityHeartBinding2.btnMeasure.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda9
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HeartActivity.m768setupViews$lambda15(HeartActivity.this, view);
            }
        });
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<HeartActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$setupViews$11
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(HeartActivity heartActivity3) {
                invoke2(heartActivity3);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(HeartActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                ktxRunOnBgSingle.setMap(HeartRateDetailRepository.INSTANCE.getGetInstance().calendarHeartDetail(new DateUtil().getYear(), new DateUtil().getMonth()));
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5$lambda-0, reason: not valid java name */
    public static final void m769setupViews$lambda5$lambda0(HeartActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        HeartActivity heartActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(heartActivity, (Class<?>) ExerciseHeartGuideActivity.class);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        heartActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5$lambda-2, reason: not valid java name */
    public static final void m770setupViews$lambda5$lambda2(HeartActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.showCalendarDialog(this$0, this$0.map, this$0.clickDate);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5$lambda-3, reason: not valid java name */
    public static final void m771setupViews$lambda5$lambda3(ActivityHeartBinding this_run, final QHeartLineChartView.HeartDataBean heartDataBean) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        if (heartDataBean != null) {
            ThreadExtKt.ktxRunOnUi(this_run, new Function1<ActivityHeartBinding, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$setupViews$1$4$1
                /* JADX INFO: Access modifiers changed from: package-private */
                {
                    super(1);
                }

                @Override // kotlin.jvm.functions.Function1
                public /* bridge */ /* synthetic */ Unit invoke(ActivityHeartBinding activityHeartBinding) {
                    invoke2(activityHeartBinding);
                    return Unit.INSTANCE;
                }

                /* renamed from: invoke, reason: avoid collision after fix types in other method */
                public final void invoke2(ActivityHeartBinding ktxRunOnUi) {
                    Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                    if (QHeartLineChartView.HeartDataBean.this.getValue() > 0) {
                        ktxRunOnUi.tvHeartValue.setText(String.valueOf(QHeartLineChartView.HeartDataBean.this.getValue()));
                    } else {
                        ktxRunOnUi.tvHeartValue.setText("--");
                    }
                    ktxRunOnUi.tvHM.setText(DateUtil.dayMinToStr(QHeartLineChartView.HeartDataBean.this.getMin()));
                }
            });
        } else {
            this_run.tvHeartValue.setText("--");
            this_run.tvHM.setText("12:00");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5$lambda-4, reason: not valid java name */
    public static final void m772setupViews$lambda5$lambda4(HeartActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        HeartActivity heartActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(heartActivity, (Class<?>) ExerciseHeartGuideActivity.class);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        heartActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6, reason: not valid java name */
    public static final void m773setupViews$lambda6(HeartActivity this$0, DateUtil it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.dateUtil = it;
        ActivityHeartBinding activityHeartBinding = null;
        if (it.isToday()) {
            ActivityHeartBinding activityHeartBinding2 = this$0.binding;
            if (activityHeartBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding2 = null;
            }
            ViewKt.visible(activityHeartBinding2.btnMeasure);
            ActivityHeartBinding activityHeartBinding3 = this$0.binding;
            if (activityHeartBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding3 = null;
            }
            ViewKt.visible(activityHeartBinding3.currHeartCtl);
        } else {
            ActivityHeartBinding activityHeartBinding4 = this$0.binding;
            if (activityHeartBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding4 = null;
            }
            ViewKt.gone(activityHeartBinding4.btnMeasure);
            ActivityHeartBinding activityHeartBinding5 = this$0.binding;
            if (activityHeartBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding5 = null;
            }
            ViewKt.gone(activityHeartBinding5.currHeartCtl);
        }
        ActivityHeartBinding activityHeartBinding6 = this$0.binding;
        if (activityHeartBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHeartBinding = activityHeartBinding6;
        }
        activityHeartBinding.qcDateChange.setDateUtil(it);
        this$0.getViewModel().showHeartRateDetail(it);
        this$0.queryManualHeart(it);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-8, reason: not valid java name */
    public static final void m774setupViews$lambda8(HeartActivity this$0, HeartActivityViewModel.HeartDetailUI heartDetailUI) {
        ActivityHeartBinding activityHeartBinding;
        ActivityHeartBinding activityHeartBinding2;
        ActivityHeartBinding activityHeartBinding3;
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityHeartBinding activityHeartBinding4 = this$0.binding;
        if (activityHeartBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding4 = null;
        }
        this$0.totalHeart = 0;
        this$0.totalIndex = 0;
        this$0.min = 300;
        this$0.max = 0;
        if (!heartDetailUI.getListData().isEmpty()) {
            activityHeartBinding4.heartChatView.setData(heartDetailUI.getListData(), heartDetailUI.getToday());
            int i = 0;
            for (QHeartLineChartView.HeartDataBean heartDataBean : heartDetailUI.getListData()) {
                if (heartDataBean.getValue() > 0) {
                    i = heartDataBean.getMin();
                }
            }
            String dayMinToStr = DateUtil.dayMinToStr(i);
            ActivityHeartBinding activityHeartBinding5 = this$0.binding;
            if (activityHeartBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding5 = null;
            }
            activityHeartBinding5.heartValueDetail.setRightText(dayMinToStr);
            int[] iArr = {0, 0, 0, 0, 0};
            for (QHeartLineChartView.HeartDataBean heartDataBean2 : heartDetailUI.getListData()) {
                int value = heartDataBean2.getValue();
                if (value < this$0.min) {
                    this$0.min = value;
                }
                if (value > this$0.max) {
                    this$0.max = value;
                }
                if (value > 0) {
                    this$0.totalIndex++;
                    this$0.totalHeart += value;
                }
                float f = value;
                int i2 = this$0.maxHeart;
                if (f >= i2 * 0.9f) {
                    iArr[0] = iArr[0] + heartDataBean2.getRange();
                } else if (f >= i2 * 0.8f) {
                    iArr[1] = iArr[1] + heartDataBean2.getRange();
                } else if (f >= i2 * 0.7f) {
                    iArr[2] = iArr[2] + heartDataBean2.getRange();
                } else if (f >= i2 * 0.6f) {
                    iArr[3] = iArr[3] + heartDataBean2.getRange();
                } else if (f >= i2 * 0.5f) {
                    iArr[4] = iArr[4] + heartDataBean2.getRange();
                }
            }
            activityHeartBinding4.heartCircleView.dataInit(iArr);
            if (iArr[0] > 0) {
                TextView textView = activityHeartBinding4.tvValue1;
                StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
                String string = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_100)");
                String format = String.format(string, Arrays.copyOf(new Object[]{String.valueOf(iArr[0])}, 1));
                Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
                textView.setText(format);
            } else {
                TextView textView2 = activityHeartBinding4.tvValue1;
                StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
                String string2 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_100)");
                String format2 = String.format(string2, Arrays.copyOf(new Object[]{"0"}, 1));
                Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
                textView2.setText(format2);
            }
            if (iArr[1] > 0) {
                TextView textView3 = activityHeartBinding4.tvValue2;
                StringCompanionObject stringCompanionObject3 = StringCompanionObject.INSTANCE;
                String string3 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string3, "getString(R.string.qc_text_100)");
                String format3 = String.format(string3, Arrays.copyOf(new Object[]{String.valueOf(iArr[1])}, 1));
                Intrinsics.checkNotNullExpressionValue(format3, "format(format, *args)");
                textView3.setText(format3);
            } else {
                TextView textView4 = activityHeartBinding4.tvValue2;
                StringCompanionObject stringCompanionObject4 = StringCompanionObject.INSTANCE;
                String string4 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string4, "getString(R.string.qc_text_100)");
                String format4 = String.format(string4, Arrays.copyOf(new Object[]{"0"}, 1));
                Intrinsics.checkNotNullExpressionValue(format4, "format(format, *args)");
                textView4.setText(format4);
            }
            if (iArr[2] > 0) {
                TextView textView5 = activityHeartBinding4.tvValue3;
                StringCompanionObject stringCompanionObject5 = StringCompanionObject.INSTANCE;
                String string5 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string5, "getString(R.string.qc_text_100)");
                String format5 = String.format(string5, Arrays.copyOf(new Object[]{String.valueOf(iArr[2])}, 1));
                Intrinsics.checkNotNullExpressionValue(format5, "format(format, *args)");
                textView5.setText(format5);
            } else {
                TextView textView6 = activityHeartBinding4.tvValue3;
                StringCompanionObject stringCompanionObject6 = StringCompanionObject.INSTANCE;
                String string6 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string6, "getString(R.string.qc_text_100)");
                String format6 = String.format(string6, Arrays.copyOf(new Object[]{"0"}, 1));
                Intrinsics.checkNotNullExpressionValue(format6, "format(format, *args)");
                textView6.setText(format6);
            }
            if (iArr[3] > 0) {
                TextView textView7 = activityHeartBinding4.tvValue4;
                StringCompanionObject stringCompanionObject7 = StringCompanionObject.INSTANCE;
                String string7 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string7, "getString(R.string.qc_text_100)");
                String format7 = String.format(string7, Arrays.copyOf(new Object[]{String.valueOf(iArr[3])}, 1));
                Intrinsics.checkNotNullExpressionValue(format7, "format(format, *args)");
                textView7.setText(format7);
            } else {
                TextView textView8 = activityHeartBinding4.tvValue4;
                StringCompanionObject stringCompanionObject8 = StringCompanionObject.INSTANCE;
                String string8 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string8, "getString(R.string.qc_text_100)");
                String format8 = String.format(string8, Arrays.copyOf(new Object[]{"0"}, 1));
                Intrinsics.checkNotNullExpressionValue(format8, "format(format, *args)");
                textView8.setText(format8);
            }
            if (iArr[4] > 0) {
                TextView textView9 = activityHeartBinding4.tvValue5;
                StringCompanionObject stringCompanionObject9 = StringCompanionObject.INSTANCE;
                String string9 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string9, "getString(R.string.qc_text_100)");
                String format9 = String.format(string9, Arrays.copyOf(new Object[]{String.valueOf(iArr[4])}, 1));
                Intrinsics.checkNotNullExpressionValue(format9, "format(format, *args)");
                textView9.setText(format9);
            } else {
                TextView textView10 = activityHeartBinding4.tvValue5;
                StringCompanionObject stringCompanionObject10 = StringCompanionObject.INSTANCE;
                String string10 = this$0.getString(R.string.qc_text_100);
                Intrinsics.checkNotNullExpressionValue(string10, "getString(R.string.qc_text_100)");
                String format10 = String.format(string10, Arrays.copyOf(new Object[]{"0"}, 1));
                Intrinsics.checkNotNullExpressionValue(format10, "format(format, *args)");
                textView10.setText(format10);
            }
            if (this$0.totalIndex > 0) {
                ActivityHeartBinding activityHeartBinding6 = this$0.binding;
                if (activityHeartBinding6 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHeartBinding6 = null;
                }
                activityHeartBinding6.tvAvgValue.setText(String.valueOf(MathKt.roundToInt((this$0.totalHeart * 1.0f) / this$0.totalIndex)));
                ActivityHeartBinding activityHeartBinding7 = this$0.binding;
                if (activityHeartBinding7 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHeartBinding7 = null;
                }
                activityHeartBinding7.tvMinValue.setText(String.valueOf(this$0.min));
                ActivityHeartBinding activityHeartBinding8 = this$0.binding;
                if (activityHeartBinding8 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHeartBinding3 = null;
                } else {
                    activityHeartBinding3 = activityHeartBinding8;
                }
                activityHeartBinding3.tvMaxValue.setText(String.valueOf(this$0.max));
                return;
            }
            ActivityHeartBinding activityHeartBinding9 = this$0.binding;
            if (activityHeartBinding9 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding9 = null;
            }
            activityHeartBinding9.tvAvgValue.setText("--");
            ActivityHeartBinding activityHeartBinding10 = this$0.binding;
            if (activityHeartBinding10 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding10 = null;
            }
            activityHeartBinding10.tvMinValue.setText("--");
            ActivityHeartBinding activityHeartBinding11 = this$0.binding;
            if (activityHeartBinding11 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding2 = null;
            } else {
                activityHeartBinding2 = activityHeartBinding11;
            }
            activityHeartBinding2.tvMaxValue.setText("--");
            return;
        }
        activityHeartBinding4.heartCircleView.dataInit(new int[]{0, 0, 0, 0, 0});
        activityHeartBinding4.heartChatView.setData(new ArrayList(), heartDetailUI.getToday());
        TextView textView11 = activityHeartBinding4.tvValue1;
        StringCompanionObject stringCompanionObject11 = StringCompanionObject.INSTANCE;
        String string11 = this$0.getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string11, "getString(R.string.qc_text_100)");
        String format11 = String.format(string11, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format11, "format(format, *args)");
        textView11.setText(format11);
        TextView textView12 = activityHeartBinding4.tvValue2;
        StringCompanionObject stringCompanionObject12 = StringCompanionObject.INSTANCE;
        String string12 = this$0.getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string12, "getString(R.string.qc_text_100)");
        String format12 = String.format(string12, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format12, "format(format, *args)");
        textView12.setText(format12);
        TextView textView13 = activityHeartBinding4.tvValue3;
        StringCompanionObject stringCompanionObject13 = StringCompanionObject.INSTANCE;
        String string13 = this$0.getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string13, "getString(R.string.qc_text_100)");
        String format13 = String.format(string13, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format13, "format(format, *args)");
        textView13.setText(format13);
        TextView textView14 = activityHeartBinding4.tvValue4;
        StringCompanionObject stringCompanionObject14 = StringCompanionObject.INSTANCE;
        String string14 = this$0.getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string14, "getString(R.string.qc_text_100)");
        String format14 = String.format(string14, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format14, "format(format, *args)");
        textView14.setText(format14);
        TextView textView15 = activityHeartBinding4.tvValue5;
        StringCompanionObject stringCompanionObject15 = StringCompanionObject.INSTANCE;
        String string15 = this$0.getString(R.string.qc_text_100);
        Intrinsics.checkNotNullExpressionValue(string15, "getString(R.string.qc_text_100)");
        String format15 = String.format(string15, Arrays.copyOf(new Object[]{"0"}, 1));
        Intrinsics.checkNotNullExpressionValue(format15, "format(format, *args)");
        textView15.setText(format15);
        activityHeartBinding4.tvHeartValue.setText("--");
        ActivityHeartBinding activityHeartBinding12 = this$0.binding;
        if (activityHeartBinding12 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding12 = null;
        }
        activityHeartBinding12.heartValueDetail.setRightText("");
        ActivityHeartBinding activityHeartBinding13 = this$0.binding;
        if (activityHeartBinding13 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding13 = null;
        }
        activityHeartBinding13.tvAvgValue.setText("--");
        ActivityHeartBinding activityHeartBinding14 = this$0.binding;
        if (activityHeartBinding14 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding14 = null;
        }
        activityHeartBinding14.tvMinValue.setText("--");
        ActivityHeartBinding activityHeartBinding15 = this$0.binding;
        if (activityHeartBinding15 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding = null;
        } else {
            activityHeartBinding = activityHeartBinding15;
        }
        activityHeartBinding.tvMaxValue.setText("--");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-9, reason: not valid java name */
    public static final void m775setupViews$lambda9(HeartActivity this$0, HeartActivityViewModel.UserAge userAge) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        int age = userAge.getAge();
        this$0.userAge = age;
        this$0.maxHeart = 220 - age;
        this$0.getViewModel().queryLastData();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-10, reason: not valid java name */
    public static final void m764setupViews$lambda10(HeartActivity this$0, DeviceSetting it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.deviceSetting = it;
        ActivityHeartBinding activityHeartBinding = this$0.binding;
        ActivityHeartBinding activityHeartBinding2 = null;
        if (activityHeartBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding = null;
        }
        activityHeartBinding.qcSettingHeart.setChecked(it.getHrDetection());
        int hrInterval = it.getHrInterval();
        ActivityHeartBinding activityHeartBinding3 = this$0.binding;
        if (activityHeartBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHeartBinding2 = activityHeartBinding3;
        }
        QSettingItemTitleSubTitleSystem qSettingItemTitleSubTitleSystem = activityHeartBinding2.qcSettingHeart;
        StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
        String string = this$0.getString(R.string.qc_text_6666056);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6666056)");
        String format = String.format(string, Arrays.copyOf(new Object[]{Integer.valueOf(hrInterval)}, 1));
        Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
        qSettingItemTitleSubTitleSystem.setLeftSubText(format);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11, reason: not valid java name */
    public static final void m765setupViews$lambda11(HeartActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 != null) {
                if (deviceSetting2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                    deviceSetting2 = null;
                }
                deviceSetting2.setHrDetection(z);
                HeartActivityViewModel viewModel = this$0.getViewModel();
                String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                DeviceSetting deviceSetting3 = this$0.deviceSetting;
                if (deviceSetting3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                } else {
                    deviceSetting = deviceSetting3;
                }
                viewModel.saveDeviceSetting(deviceAddressNoClear, deviceSetting);
                return;
            }
            return;
        }
        ActivityHeartBinding activityHeartBinding = this$0.binding;
        if (activityHeartBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding = null;
        }
        QSettingItemTitleSubTitleSystem qSettingItemTitleSubTitleSystem = activityHeartBinding.qcSettingHeart;
        DeviceSetting deviceSetting4 = this$0.deviceSetting;
        if (deviceSetting4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting4 = null;
        }
        qSettingItemTitleSubTitleSystem.setChecked(deviceSetting4.getHrDetection());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-12, reason: not valid java name */
    public static final void m766setupViews$lambda12(HeartActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityHeartBinding activityHeartBinding = this$0.binding;
        ActivityHeartBinding activityHeartBinding2 = null;
        if (activityHeartBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding = null;
        }
        if (activityHeartBinding.qcSettingHeart.getTextLines() == 2) {
            ActivityHeartBinding activityHeartBinding3 = this$0.binding;
            if (activityHeartBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding3 = null;
            }
            activityHeartBinding3.qcSettingHeart.startAnim(180.0f);
            ActivityHeartBinding activityHeartBinding4 = this$0.binding;
            if (activityHeartBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityHeartBinding2 = activityHeartBinding4;
            }
            activityHeartBinding2.qcSettingHeart.setTextLines(20);
            return;
        }
        ActivityHeartBinding activityHeartBinding5 = this$0.binding;
        if (activityHeartBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding5 = null;
        }
        activityHeartBinding5.qcSettingHeart.startAnim(360.0f);
        ActivityHeartBinding activityHeartBinding6 = this$0.binding;
        if (activityHeartBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHeartBinding2 = activityHeartBinding6;
        }
        activityHeartBinding2.qcSettingHeart.setTextLines(2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-14, reason: not valid java name */
    public static final void m767setupViews$lambda14(HeartActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Bundle bundle = new Bundle();
        bundle.putInt("timestamp", (int) this$0.dateUtil.getUnixTimestamp());
        HeartActivity heartActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(heartActivity, (Class<?>) AppHeartDetailActivity.class);
        intent.setFlags(1);
        intent.putExtras(bundle);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        heartActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-15, reason: not valid java name */
    public static final void m768setupViews$lambda15(final HeartActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        AlphaAnimation alphaAnimation = null;
        if (!BleOperateManager.getInstance().isConnected()) {
            String string = this$0.getString(R.string.qc_text_75);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        ActivityHeartBinding activityHeartBinding = this$0.binding;
        if (activityHeartBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding = null;
        }
        activityHeartBinding.tvCurrHeart.setText("--");
        ActivityHeartBinding activityHeartBinding2 = this$0.binding;
        if (activityHeartBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding2 = null;
        }
        activityHeartBinding2.tvHeartTime.setText("");
        ActivityHeartBinding activityHeartBinding3 = this$0.binding;
        if (activityHeartBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding3 = null;
        }
        ImageView imageView = activityHeartBinding3.imageHeart;
        ScaleAnimation scaleAnimation = this$0.animation;
        if (scaleAnimation == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation = null;
        }
        imageView.startAnimation(scaleAnimation);
        if (!this$0.startMeasure) {
            this$0.startMeasure = true;
            ActivityHeartBinding activityHeartBinding4 = this$0.binding;
            if (activityHeartBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding4 = null;
            }
            activityHeartBinding4.btnMeasure.setText(this$0.getString(R.string.qc_text_76660011));
            ActivityHeartBinding activityHeartBinding5 = this$0.binding;
            if (activityHeartBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding5 = null;
            }
            TextView textView = activityHeartBinding5.tvCurrHeart;
            AlphaAnimation alphaAnimation2 = this$0.alphaAnimation;
            if (alphaAnimation2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            } else {
                alphaAnimation = alphaAnimation2;
            }
            textView.startAnimation(alphaAnimation);
            this$0.secondsDown();
            CommandHandle.getInstance().executeReqCmd(StartHeartRateReq.getSimpleReq((byte) 1), new ICommandResponse<StartHeartRateRsp>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$setupViews$10$1
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public void onDataResponse(StartHeartRateRsp resultEntity) {
                    ActivityHeartBinding activityHeartBinding6;
                    ActivityHeartBinding activityHeartBinding7;
                    CountDownTimer countDownTimer;
                    ActivityHeartBinding activityHeartBinding8;
                    Handler handler;
                    Handler handler2;
                    ActivityHeartBinding activityHeartBinding9;
                    ActivityHeartBinding activityHeartBinding10;
                    boolean z;
                    ActivityHeartBinding activityHeartBinding11;
                    CountDownTimer countDownTimer2;
                    ActivityHeartBinding activityHeartBinding12;
                    Intrinsics.checkNotNullParameter(resultEntity, "resultEntity");
                    AwLog.i(Author.HeZhiYuan, resultEntity);
                    ActivityHeartBinding activityHeartBinding13 = null;
                    if (resultEntity.getErrCode() == 0 && resultEntity.getType() == 1) {
                        if (resultEntity.getValue() > 0) {
                            z = HeartActivity.this.startMeasure;
                            if (!z || HeartActivity.this.getHeartValue() <= 0) {
                                return;
                            }
                            HeartActivity.this.setHeartValue(resultEntity.getValue());
                            AwLog.i(Author.HeZhiYuan, Integer.valueOf(HeartActivity.this.getHeartValue()));
                            activityHeartBinding11 = HeartActivity.this.binding;
                            if (activityHeartBinding11 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding11 = null;
                            }
                            activityHeartBinding11.tvCurrHeart.setText(String.valueOf(HeartActivity.this.getHeartValue()));
                            countDownTimer2 = HeartActivity.this.countDownTimer;
                            if (countDownTimer2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                                countDownTimer2 = null;
                            }
                            countDownTimer2.cancel();
                            activityHeartBinding12 = HeartActivity.this.binding;
                            if (activityHeartBinding12 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                            } else {
                                activityHeartBinding13 = activityHeartBinding12;
                            }
                            activityHeartBinding13.tvCurrHeart.clearAnimation();
                            return;
                        }
                        return;
                    }
                    if (resultEntity.getErrCode() == 1) {
                        String string2 = HeartActivity.this.getString(R.string.qc_text_6666064);
                        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_6666064)");
                        GlobalKt.showToast$default(string2, 0, 1, null);
                    }
                    activityHeartBinding6 = HeartActivity.this.binding;
                    if (activityHeartBinding6 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHeartBinding6 = null;
                    }
                    activityHeartBinding6.imageHeart.clearAnimation();
                    activityHeartBinding7 = HeartActivity.this.binding;
                    if (activityHeartBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHeartBinding7 = null;
                    }
                    activityHeartBinding7.tvCurrHeart.clearAnimation();
                    countDownTimer = HeartActivity.this.countDownTimer;
                    if (countDownTimer == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                        countDownTimer = null;
                    }
                    countDownTimer.cancel();
                    HeartActivity.this.startMeasure = false;
                    activityHeartBinding8 = HeartActivity.this.binding;
                    if (activityHeartBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHeartBinding8 = null;
                    }
                    activityHeartBinding8.btnMeasure.setText(HeartActivity.this.getString(R.string.qc_text_76660010));
                    handler = HeartActivity.this.handler;
                    handler.removeCallbacks(HeartActivity.this.getHeartRunnable());
                    if (resultEntity.getErrCode() == 0 || resultEntity.getErrCode() == 2) {
                        return;
                    }
                    handler2 = HeartActivity.this.handler;
                    handler2.removeCallbacks(HeartActivity.this.getHeartRunnable());
                    activityHeartBinding9 = HeartActivity.this.binding;
                    if (activityHeartBinding9 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHeartBinding9 = null;
                    }
                    activityHeartBinding9.tvCurrHeart.setText("--");
                    activityHeartBinding10 = HeartActivity.this.binding;
                    if (activityHeartBinding10 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityHeartBinding13 = activityHeartBinding10;
                    }
                    activityHeartBinding13.tvHeartTime.setText("");
                }
            });
            this$0.handler.removeCallbacks(this$0.heartRunnable);
            this$0.handler.postDelayed(this$0.heartRunnable, WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS);
            return;
        }
        this$0.startMeasure = false;
        ActivityHeartBinding activityHeartBinding6 = this$0.binding;
        if (activityHeartBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding6 = null;
        }
        activityHeartBinding6.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        this$0.handler.removeCallbacks(this$0.heartRunnable);
        ActivityHeartBinding activityHeartBinding7 = this$0.binding;
        if (activityHeartBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding7 = null;
        }
        activityHeartBinding7.imageHeart.clearAnimation();
        ActivityHeartBinding activityHeartBinding8 = this$0.binding;
        if (activityHeartBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding8 = null;
        }
        activityHeartBinding8.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopHeartRate((byte) 0), null);
    }

    public final Runnable getHeartRunnable() {
        return this.heartRunnable;
    }

    public final void setHeartRunnable(Runnable runnable) {
        Intrinsics.checkNotNullParameter(runnable, "<set-?>");
        this.heartRunnable = runnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: heartRunnable$lambda-16, reason: not valid java name */
    public static final void m763heartRunnable$lambda16(HeartActivity this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.startMeasure = false;
        ActivityHeartBinding activityHeartBinding = this$0.binding;
        ActivityHeartBinding activityHeartBinding2 = null;
        if (activityHeartBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding = null;
        }
        activityHeartBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        ActivityHeartBinding activityHeartBinding3 = this$0.binding;
        if (activityHeartBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding3 = null;
        }
        activityHeartBinding3.tvCurrHeart.setText(String.valueOf(this$0.heartValue));
        ActivityHeartBinding activityHeartBinding4 = this$0.binding;
        if (activityHeartBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding4 = null;
        }
        activityHeartBinding4.tvCurrHeart.clearAnimation();
        ActivityHeartBinding activityHeartBinding5 = this$0.binding;
        if (activityHeartBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding5 = null;
        }
        activityHeartBinding5.imageHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopHeartRate((byte) this$0.heartValue), null);
        DateUtil dateUtil = new DateUtil();
        ActivityHeartBinding activityHeartBinding6 = this$0.binding;
        if (activityHeartBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHeartBinding2 = activityHeartBinding6;
        }
        activityHeartBinding2.tvHeartTime.setText(dateUtil.getY_M_D_H_M_S());
        HeartRateDetailRepository.INSTANCE.getGetInstance().saveManualHeartRate(dateUtil.getUnixTimestamp(), this$0.heartValue);
    }

    /* compiled from: HeartActivity.kt */
    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0003\u001a\u00020\u0004H\u0016¨\u0006\u0005"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity$MyRunnable;", "Ljava/lang/Runnable;", "(Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity;)V", "run", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class MyRunnable implements Runnable {
        public MyRunnable() {
        }

        @Override // java.lang.Runnable
        public void run() {
            final HeartActivity heartActivity = HeartActivity.this;
            ThreadExtKt.ktxRunOnUi(this, new Function1<MyRunnable, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$MyRunnable$run$1
                /* JADX INFO: Access modifiers changed from: package-private */
                {
                    super(1);
                }

                @Override // kotlin.jvm.functions.Function1
                public /* bridge */ /* synthetic */ Unit invoke(HeartActivity.MyRunnable myRunnable) {
                    invoke2(myRunnable);
                    return Unit.INSTANCE;
                }

                /* renamed from: invoke, reason: avoid collision after fix types in other method */
                public final void invoke2(HeartActivity.MyRunnable ktxRunOnUi) {
                    Handler handler;
                    HeartActivity.MyRunnable myRunnable;
                    Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                    CommandHandle.getInstance().executeReqCmdNoCallback(new RealTimeHeartRate(3));
                    handler = HeartActivity.this.handler;
                    myRunnable = HeartActivity.this.callback;
                    handler.postDelayed(myRunnable, 20000L);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onResume() {
        super.onResume();
        ActivityHeartBinding activityHeartBinding = this.binding;
        MyDeviceNotifyListener myDeviceNotifyListener = null;
        if (activityHeartBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHeartBinding = null;
        }
        activityHeartBinding.btnMeasure.setText(getString(R.string.qc_text_76660010));
        this.deviceNotifyListener = new MyDeviceNotifyListener();
        BleOperateManager bleOperateManager = BleOperateManager.getInstance();
        MyDeviceNotifyListener myDeviceNotifyListener2 = this.deviceNotifyListener;
        if (myDeviceNotifyListener2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceNotifyListener");
        } else {
            myDeviceNotifyListener = myDeviceNotifyListener2;
        }
        bleOperateManager.addOutDeviceListener(1, myDeviceNotifyListener);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onPause() {
        super.onPause();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if (messageEvent instanceof ManualRefreshEvent) {
            if (this.dateUtil.isToday()) {
                getViewModel().showHeartRateDetail(this.dateUtil);
                queryManualHeart(this.dateUtil);
                return;
            }
            return;
        }
        if (messageEvent instanceof BluetoothEvent) {
            ((BluetoothEvent) messageEvent).getConnect();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void queryManualHeart(final DateUtil date) {
        ThreadExtKt.ktxRunOnBgFix(this, new Function1<HeartActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$queryManualHeart$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(HeartActivity heartActivity) {
                invoke2(heartActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(HeartActivity ktxRunOnBgFix) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgFix, "$this$ktxRunOnBgFix");
                List<AppHeartEntity> queryManualAppHeart = HeartRateDetailRepository.INSTANCE.getGetInstance().queryManualAppHeart(DateUtil.this);
                ktxRunOnBgFix.getViewModel().getManualList().clear();
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(queryManualAppHeart.size()));
                Iterator<T> it = queryManualAppHeart.iterator();
                while (it.hasNext()) {
                    ktxRunOnBgFix.getViewModel().getManualList().add(new HeartRateDetailBean(r1.getTimestamp(), ((AppHeartEntity) it.next()).getHeart()));
                }
                final DateUtil dateUtil = DateUtil.this;
                ThreadExtKt.ktxRunOnUi(ktxRunOnBgFix, new Function1<HeartActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$queryManualHeart$1.2
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(HeartActivity heartActivity) {
                        invoke2(heartActivity);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(HeartActivity ktxRunOnUi) {
                        ActivityHeartBinding activityHeartBinding;
                        ActivityHeartBinding activityHeartBinding2;
                        ActivityHeartBinding activityHeartBinding3;
                        ManualHeartRateDetailAdapter manualHeartRateDetailAdapter;
                        ActivityHeartBinding activityHeartBinding4;
                        ActivityHeartBinding activityHeartBinding5;
                        ActivityHeartBinding activityHeartBinding6;
                        ActivityHeartBinding activityHeartBinding7;
                        ActivityHeartBinding activityHeartBinding8;
                        ActivityHeartBinding activityHeartBinding9;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        ManualHeartRateDetailAdapter manualHeartRateDetailAdapter2 = null;
                        if (ktxRunOnUi.getViewModel().getManualList().size() != 0) {
                            activityHeartBinding = ktxRunOnUi.binding;
                            if (activityHeartBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding = null;
                            }
                            ViewKt.gone(activityHeartBinding.tvNoData);
                            activityHeartBinding2 = ktxRunOnUi.binding;
                            if (activityHeartBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding2 = null;
                            }
                            ViewKt.visible(activityHeartBinding2.rcvBloodOxygenDetail);
                            activityHeartBinding3 = ktxRunOnUi.binding;
                            if (activityHeartBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding3 = null;
                            }
                            ViewKt.visible(activityHeartBinding3.rcvDetailLayout);
                        } else if (DateUtil.this.isToday()) {
                            activityHeartBinding7 = ktxRunOnUi.binding;
                            if (activityHeartBinding7 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding7 = null;
                            }
                            ViewKt.visible(activityHeartBinding7.rcvDetailLayout);
                            activityHeartBinding8 = ktxRunOnUi.binding;
                            if (activityHeartBinding8 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding8 = null;
                            }
                            ViewKt.gone(activityHeartBinding8.rcvBloodOxygenDetail);
                            activityHeartBinding9 = ktxRunOnUi.binding;
                            if (activityHeartBinding9 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding9 = null;
                            }
                            ViewKt.visible(activityHeartBinding9.tvNoData);
                        } else {
                            activityHeartBinding4 = ktxRunOnUi.binding;
                            if (activityHeartBinding4 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding4 = null;
                            }
                            ViewKt.visible(activityHeartBinding4.rcvBloodOxygenDetail);
                            activityHeartBinding5 = ktxRunOnUi.binding;
                            if (activityHeartBinding5 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding5 = null;
                            }
                            ViewKt.gone(activityHeartBinding5.tvNoData);
                            activityHeartBinding6 = ktxRunOnUi.binding;
                            if (activityHeartBinding6 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding6 = null;
                            }
                            ViewKt.gone(activityHeartBinding6.rcvDetailLayout);
                        }
                        manualHeartRateDetailAdapter = ktxRunOnUi.adapter;
                        if (manualHeartRateDetailAdapter == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("adapter");
                        } else {
                            manualHeartRateDetailAdapter2 = manualHeartRateDetailAdapter;
                        }
                        manualHeartRateDetailAdapter2.notifyDataSetChanged();
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onDestroy() {
        super.onDestroy();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onStop() {
        super.onStop();
        BleOperateManager.getInstance().removeOutDeviceListener(1);
        if (this.startMeasure) {
            this.startMeasure = false;
            CountDownTimer countDownTimer = this.countDownTimer;
            if (countDownTimer == null) {
                Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                countDownTimer = null;
            }
            countDownTimer.cancel();
            ActivityHeartBinding activityHeartBinding = this.binding;
            if (activityHeartBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding = null;
            }
            activityHeartBinding.tvCurrHeart.setText("--");
            ActivityHeartBinding activityHeartBinding2 = this.binding;
            if (activityHeartBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding2 = null;
            }
            activityHeartBinding2.tvCurrHeart.clearAnimation();
            ActivityHeartBinding activityHeartBinding3 = this.binding;
            if (activityHeartBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHeartBinding3 = null;
            }
            activityHeartBinding3.imageHeart.clearAnimation();
            this.handler.removeCallbacks(this.heartRunnable);
            CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopHeartRate((byte) 0), null);
        }
    }

    /* compiled from: HeartActivity.kt */
    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u0003\u001a\u00020\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006H\u0016¨\u0006\u0007"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity$MyDeviceNotifyListener;", "Lcom/oudmon/ble/base/communication/responseImpl/DeviceNotifyListener;", "(Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity;)V", "onDataResponse", "", "resultEntity", "Lcom/oudmon/ble/base/communication/rsp/DeviceNotifyRsp;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class MyDeviceNotifyListener extends DeviceNotifyListener {
        public MyDeviceNotifyListener() {
        }

        @Override // com.oudmon.ble.base.communication.responseImpl.DeviceNotifyListener, com.oudmon.ble.base.communication.ICommandResponse
        public void onDataResponse(DeviceNotifyRsp resultEntity) {
            super.onDataResponse(resultEntity);
            Intrinsics.checkNotNull(resultEntity);
            if (resultEntity.getStatus() == 0 && resultEntity.getDataType() == 1) {
                HeartActivity.this.getViewModel().syncTodayData();
            }
        }
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [com.qcwireless.qcwatch.ui.home.heart.HeartActivity$secondsDown$1] */
    private final void secondsDown() {
        final long j = 25000;
        CountDownTimer start = new CountDownTimer(j) { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$secondsDown$1
            @Override // android.os.CountDownTimer
            public void onFinish() {
            }

            @Override // android.os.CountDownTimer
            public void onTick(long p0) {
                int i = ((int) (p0 / CropImageView.DEFAULT_IMAGE_TO_CROP_BOUNDS_ANIM_DURATION)) % 2;
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(i));
                if (i == 0) {
                    final HeartActivity heartActivity = HeartActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<HeartActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$secondsDown$1$onTick$1
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(HeartActivity$secondsDown$1 heartActivity$secondsDown$1) {
                            invoke2(heartActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(HeartActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityHeartBinding activityHeartBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityHeartBinding = HeartActivity.this.binding;
                            if (activityHeartBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding = null;
                            }
                            activityHeartBinding.tvCurrHeart.setText("--");
                        }
                    });
                } else {
                    final HeartActivity heartActivity2 = HeartActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<HeartActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$secondsDown$1$onTick$2
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(HeartActivity$secondsDown$1 heartActivity$secondsDown$1) {
                            invoke2(heartActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(HeartActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityHeartBinding activityHeartBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityHeartBinding = HeartActivity.this.binding;
                            if (activityHeartBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding = null;
                            }
                            activityHeartBinding.tvCurrHeart.setText("-");
                        }
                    });
                }
            }
        }.start();
        Intrinsics.checkNotNullExpressionValue(start, "private fun secondsDown(…\n\n        }.start()\n    }");
        this.countDownTimer = start;
    }

    private final void showCalendarDialog(Activity activity, Map<String, Calendar> mSchemeDates, final DateUtil date) {
        AwLog.i(Author.HeZhiYuan, date.getY_M_D());
        Activity activity2 = activity;
        CenterDialog.Builder builder = new CenterDialog.Builder(activity2);
        builder.setContentView(R.layout.layout_dialog_calendar);
        CenterDialog create = builder.create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.calendarDialog = create;
        CenterDialog centerDialog = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
            create = null;
        }
        create.show();
        CenterDialog centerDialog2 = this.calendarDialog;
        if (centerDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
        } else {
            centerDialog = centerDialog2;
        }
        View contentView = centerDialog.getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "calendarDialog.contentView");
        final QDateMonthSwitchPubuView qDateMonthSwitchPubuView = (QDateMonthSwitchPubuView) contentView.findViewById(R.id.qc_dialog_date_change);
        final CalendarView calendarView = (CalendarView) contentView.findViewById(R.id.calendarView);
        qDateMonthSwitchPubuView.setShowFuture(true);
        qDateMonthSwitchPubuView.setMonth(date);
        qDateMonthSwitchPubuView.setDateListener(new QDateMonthSwitchPubuView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$showCalendarDialog$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView.QDateBefore
            public void clickBefore(boolean r4, final DateUtil dateUtil) {
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
                CalendarView.this.scrollToCalendar(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay());
                final HeartActivity heartActivity = this;
                final CalendarView calendarView2 = CalendarView.this;
                ThreadExtKt.ktxRunOnBgSingle(this, new Function1<HeartActivity$showCalendarDialog$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$showCalendarDialog$1$clickBefore$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(HeartActivity$showCalendarDialog$1 heartActivity$showCalendarDialog$1) {
                        invoke2(heartActivity$showCalendarDialog$1);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(HeartActivity$showCalendarDialog$1 ktxRunOnBgSingle) {
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        HeartActivity.this.setMap(HeartRateDetailRepository.INSTANCE.getGetInstance().calendarHeartDetail(dateUtil.getYear(), dateUtil.getMonth()));
                        calendarView2.setSchemeDate(HeartActivity.this.getMap());
                    }
                });
            }
        });
        calendarView.setSchemeDate(mSchemeDates);
        calendarView.scrollToCalendar(date.getYear(), date.getMonth(), date.getDay());
        calendarView.setOnMonthChangeListener(new CalendarView.OnMonthChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$$ExternalSyntheticLambda2
            @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
            public final void onMonthChange(int i, int i2) {
                HeartActivity.m776showCalendarDialog$lambda17(DateUtil.this, qDateMonthSwitchPubuView, this, i, i2);
            }
        });
        calendarView.setOnCalendarSelectListener(new CalendarSelectListener());
        calendarView.setBackground(SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5));
        calendarView.setSelectedColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.white), SkinCompatResources.getColor(activity2, R.color.black));
        calendarView.setTextColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_show_4), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showCalendarDialog$lambda-17, reason: not valid java name */
    public static final void m776showCalendarDialog$lambda17(DateUtil date, QDateMonthSwitchPubuView qDateMonthSwitchPubuView, HeartActivity this$0, final int i, final int i2) {
        Intrinsics.checkNotNullParameter(date, "$date");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        qDateMonthSwitchPubuView.setMonth(new DateUtil(i, i2, new DateUtil(i, i2, date.getDay()).getDay()));
        ThreadExtKt.ktxRunOnBgSingle(this$0, new Function1<HeartActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$showCalendarDialog$2$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(HeartActivity heartActivity) {
                invoke2(heartActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(HeartActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                ktxRunOnBgSingle.setMap(HeartRateDetailRepository.INSTANCE.getGetInstance().calendarHeartDetail(i, i2));
            }
        });
    }

    /* compiled from: HeartActivity.kt */
    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0016J\u0018\u0010\u0007\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity$CalendarSelectListener;", "Lcom/haibin/calendarview/CalendarView$OnCalendarSelectListener;", "(Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivity;)V", "onCalendarOutOfRange", "", "calendar", "Lcom/haibin/calendarview/Calendar;", "onCalendarSelect", "isClick", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class CalendarSelectListener implements CalendarView.OnCalendarSelectListener {
        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarOutOfRange(Calendar calendar) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
        }

        public CalendarSelectListener() {
        }

        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarSelect(final Calendar calendar, boolean isClick) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
            if (isClick) {
                CenterDialog centerDialog = HeartActivity.this.calendarDialog;
                if (centerDialog == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
                    centerDialog = null;
                }
                centerDialog.dismiss();
                final HeartActivity heartActivity = HeartActivity.this;
                ThreadExtKt.ktxRunOnUi(this, new Function1<CalendarSelectListener, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HeartActivity$CalendarSelectListener$onCalendarSelect$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(HeartActivity.CalendarSelectListener calendarSelectListener) {
                        invoke2(calendarSelectListener);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(HeartActivity.CalendarSelectListener ktxRunOnUi) {
                        DateUtil dateUtil;
                        ActivityHeartBinding activityHeartBinding;
                        DateUtil dateUtil2;
                        DateUtil dateUtil3;
                        ActivityHeartBinding activityHeartBinding2;
                        ActivityHeartBinding activityHeartBinding3;
                        ActivityHeartBinding activityHeartBinding4;
                        ActivityHeartBinding activityHeartBinding5;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        DateUtil dateUtil4 = new DateUtil(Calendar.this.getYear(), Calendar.this.getMonth(), Calendar.this.getDay());
                        ActivityHeartBinding activityHeartBinding6 = null;
                        if (!dateUtil4.futureDate()) {
                            heartActivity.clickDate = dateUtil4;
                            heartActivity.dateUtil = dateUtil4;
                            dateUtil = heartActivity.clickDate;
                            AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
                            activityHeartBinding = heartActivity.binding;
                            if (activityHeartBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHeartBinding = null;
                            }
                            QDateSwitchView qDateSwitchView = activityHeartBinding.qcDateChange;
                            dateUtil2 = heartActivity.clickDate;
                            qDateSwitchView.setDateUtil(dateUtil2);
                            HeartActivityViewModel viewModel = heartActivity.getViewModel();
                            dateUtil3 = heartActivity.dateUtil;
                            viewModel.showHeartRateDetail(dateUtil3);
                            if (dateUtil4.isToday()) {
                                activityHeartBinding4 = heartActivity.binding;
                                if (activityHeartBinding4 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityHeartBinding4 = null;
                                }
                                ViewKt.visible(activityHeartBinding4.btnMeasure);
                                activityHeartBinding5 = heartActivity.binding;
                                if (activityHeartBinding5 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityHeartBinding6 = activityHeartBinding5;
                                }
                                ViewKt.visible(activityHeartBinding6.currHeartCtl);
                            } else {
                                activityHeartBinding2 = heartActivity.binding;
                                if (activityHeartBinding2 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityHeartBinding2 = null;
                                }
                                ViewKt.gone(activityHeartBinding2.btnMeasure);
                                activityHeartBinding3 = heartActivity.binding;
                                if (activityHeartBinding3 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityHeartBinding6 = activityHeartBinding3;
                                }
                                ViewKt.gone(activityHeartBinding6.currHeartCtl);
                            }
                            heartActivity.queryManualHeart(dateUtil4);
                            return;
                        }
                        String string = heartActivity.getString(R.string.qc_text_6666040);
                        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6666040)");
                        GlobalKt.showToast$default(string, 0, 1, null);
                    }
                });
            }
        }
    }
}
