package com.qcwireless.qcwatch.ui.home.heart;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Parcelable;
import android.view.View;
import android.view.animation.AlphaAnimation;
import android.view.animation.ScaleAnimation;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.widget.NestedScrollView;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.haibin.calendarview.Calendar;
import com.haibin.calendarview.CalendarView;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.req.StartHeartRateReq;
import com.oudmon.ble.base.communication.req.StopHeartRateReq;
import com.oudmon.ble.base.communication.rsp.StartHeartRateRsp;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.dialog.CenterDialog;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityHrvBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.bean.device.DeviceSetting;
import com.qcwireless.qcwatch.ui.base.repository.entity.HRVManualEntity;
import com.qcwireless.qcwatch.ui.base.repository.healthy.HRVRepository;
import com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView;
import com.qcwireless.qcwatch.ui.base.view.QDateSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QHrvLineChartView;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.base.view.QSettingItemTitleSubTitleSystem;
import com.qcwireless.qcwatch.ui.home.heart.HrvActivity;
import com.qcwireless.qcwatch.ui.home.heart.HrvActivityViewModel;
import com.qcwireless.qcwatch.ui.home.heart.adapter.ManualHrvDetailAdapter;
import com.qcwireless.qcwatch.ui.home.heart.bean.HeartRateDetailBean;
import com.qcwireless.ring.R;
import com.yalantis.ucrop.view.CropImageView;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;
import skin.support.content.res.SkinCompatResources;

/* compiled from: HrvActivity.kt */
@Metadata(d1 = {"\u0000\u0092\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0010$\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\u00020\u0001:\u0001FB\u0005¢\u0006\u0002\u0010\u0002J\u0012\u00106\u001a\u0002072\b\u00108\u001a\u0004\u0018\u000109H\u0014J\u0010\u0010:\u001a\u0002072\u0006\u0010;\u001a\u00020<H\u0017J\b\u0010=\u001a\u000207H\u0014J\b\u0010>\u001a\u000207H\u0014J\u0010\u0010?\u001a\u0002072\u0006\u0010\u0011\u001a\u00020\u000eH\u0002J\b\u0010@\u001a\u000207H\u0002J\b\u0010A\u001a\u000207H\u0014J,\u0010B\u001a\u0002072\u0006\u0010C\u001a\u00020D2\u0012\u0010E\u001a\u000e\u0012\u0004\u0012\u00020$\u0012\u0004\u0012\u00020%0#2\u0006\u0010\u0011\u001a\u00020\u000eH\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\u000eX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\u0010X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0011\u001a\u00020\u000eX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0012\u001a\u00020\u0013X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0014\u001a\u00020\u0015X\u0082\u0004¢\u0006\u0002\n\u0000R\u001a\u0010\u0016\u001a\u00020\u0017X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0018\u0010\u0019\"\u0004\b\u001a\u0010\u001bR\u001a\u0010\u001c\u001a\u00020\u001dX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001e\u0010\u001f\"\u0004\b \u0010!R&\u0010\"\u001a\u000e\u0012\u0004\u0012\u00020$\u0012\u0004\u0012\u00020%0#X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b&\u0010'\"\u0004\b(\u0010)R\u000e\u0010*\u001a\u00020\u001dX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010+\u001a\u00020\u001dX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010,\u001a\u00020-X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010.\u001a\u00020\u001dX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010/\u001a\u00020\u001dX\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u00100\u001a\u0002018BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b4\u00105\u001a\u0004\b2\u00103¨\u0006G"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/HrvActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/heart/adapter/ManualHrvDetailAdapter;", "alphaAnimation", "Landroid/view/animation/AlphaAnimation;", "animation", "Landroid/view/animation/ScaleAnimation;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityHrvBinding;", "calendarDialog", "Lcom/qcwireless/qcwatch/base/dialog/CenterDialog;", "clickDate", "Lcom/qcwireless/qc_utils/date/DateUtil;", "countDownTimer", "Landroid/os/CountDownTimer;", "date", "deviceSetting", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "handler", "Landroid/os/Handler;", "heartRunnable", "Ljava/lang/Runnable;", "getHeartRunnable", "()Ljava/lang/Runnable;", "setHeartRunnable", "(Ljava/lang/Runnable;)V", "hrvValue", "", "getHrvValue", "()I", "setHrvValue", "(I)V", "map", "", "", "Lcom/haibin/calendarview/Calendar;", "getMap", "()Ljava/util/Map;", "setMap", "(Ljava/util/Map;)V", "maxHrv", "minHrv", "startMeasure", "", "totalHrv", "totalIndex", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/heart/HrvActivityViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/heart/HrvActivityViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "onResume", "onStop", "queryManualPressure", "secondsDown", "setupViews", "showCalendarDialog", "activity", "Landroid/app/Activity;", "mSchemeDates", "CalendarSelectListener", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class HrvActivity extends BaseActivity {
    private ManualHrvDetailAdapter adapter;
    private AlphaAnimation alphaAnimation;
    private ScaleAnimation animation;
    private ActivityHrvBinding binding;
    private CenterDialog calendarDialog;
    private DateUtil clickDate;
    private CountDownTimer countDownTimer;
    private DateUtil date;
    private DeviceSetting deviceSetting;
    private final Handler handler;
    private Runnable heartRunnable;
    private int hrvValue;
    private Map<String, Calendar> map;
    private int maxHrv;
    private int minHrv;
    private boolean startMeasure;
    private int totalHrv;
    private int totalIndex;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public HrvActivity() {
        final HrvActivity hrvActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<HrvActivityViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.heart.HrvActivityViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final HrvActivityViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(HrvActivityViewModel.class), qualifier, b);
            }
        });
        this.date = new DateUtil();
        this.minHrv = 200;
        this.hrvValue = 152;
        this.map = new HashMap();
        this.clickDate = new DateUtil();
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
        this.heartRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                HrvActivity.m788heartRunnable$lambda14(HrvActivity.this);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final HrvActivityViewModel getViewModel() {
        return (HrvActivityViewModel) this.viewModel.getValue();
    }

    public final int getHrvValue() {
        return this.hrvValue;
    }

    public final void setHrvValue(int i) {
        this.hrvValue = i;
    }

    public final Map<String, Calendar> getMap() {
        return this.map;
    }

    public final void setMap(Map<String, Calendar> map) {
        Intrinsics.checkNotNullParameter(map, "<set-?>");
        this.map = map;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityHrvBinding inflate = ActivityHrvBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        NestedScrollView root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        ActivityHrvBinding activityHrvBinding = this.binding;
        ActivityHrvBinding activityHrvBinding2 = null;
        if (activityHrvBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding = null;
        }
        setStatusBarBackground(R.color.heart_bg);
        ViewKt.gone(activityHrvBinding.titleBar.divider);
        activityHrvBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_8060));
        ViewKt.visible(activityHrvBinding.titleBar.tvRightText);
        activityHrvBinding.titleBar.tvRightText.setBackgroundResource(R.mipmap.app_desp);
        activityHrvBinding.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda6
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HrvActivity.m789setupViews$lambda1$lambda0(HrvActivity.this, view);
            }
        });
        ScaleAnimation scaleAnimation = new ScaleAnimation(1.0f, 1.3f, 1.0f, 1.3f, 1, 0.5f, 1, 0.5f);
        this.animation = scaleAnimation;
        scaleAnimation.setDuration(1500L);
        ScaleAnimation scaleAnimation2 = this.animation;
        if (scaleAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation2 = null;
        }
        scaleAnimation2.setRepeatCount(-1);
        ScaleAnimation scaleAnimation3 = this.animation;
        if (scaleAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation3 = null;
        }
        scaleAnimation3.setFillAfter(true);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
        this.alphaAnimation = alphaAnimation;
        alphaAnimation.setDuration(500L);
        AlphaAnimation alphaAnimation2 = this.alphaAnimation;
        if (alphaAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation2 = null;
        }
        alphaAnimation2.setRepeatMode(2);
        AlphaAnimation alphaAnimation3 = this.alphaAnimation;
        if (alphaAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation3 = null;
        }
        alphaAnimation3.setRepeatCount(60);
        getViewModel().initData(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
        this.adapter = new ManualHrvDetailAdapter(this, getViewModel().getManualList());
        ActivityHrvBinding activityHrvBinding3 = this.binding;
        if (activityHrvBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding3 = null;
        }
        activityHrvBinding3.rcvHrvDetail.setLayoutManager(new LinearLayoutManager(getActivity()));
        ActivityHrvBinding activityHrvBinding4 = this.binding;
        if (activityHrvBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding4 = null;
        }
        RecyclerView recyclerView = activityHrvBinding4.rcvHrvDetail;
        ManualHrvDetailAdapter manualHrvDetailAdapter = this.adapter;
        if (manualHrvDetailAdapter == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            manualHrvDetailAdapter = null;
        }
        recyclerView.setAdapter(manualHrvDetailAdapter);
        HrvActivity hrvActivity = this;
        getViewModel().getUiState().observe(hrvActivity, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda10
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                HrvActivity.m793setupViews$lambda3(HrvActivity.this, (HrvActivityViewModel.HrvUI) obj);
            }
        });
        getViewModel().queryLastData();
        final ActivityHrvBinding activityHrvBinding5 = this.binding;
        if (activityHrvBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding5 = null;
        }
        activityHrvBinding5.qcDateChange.setDateListener(new QDateSwitchView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$setupViews$3$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateSwitchView.QDateBefore
            public void clickBefore(boolean r2, DateUtil dateUtil) {
                HrvActivityViewModel viewModel;
                DateUtil dateUtil2;
                ActivityHrvBinding activityHrvBinding6;
                ActivityHrvBinding activityHrvBinding7;
                ActivityHrvBinding activityHrvBinding8;
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                ActivityHrvBinding.this.qcDateChange.setDateUtil(dateUtil);
                viewModel = this.getViewModel();
                viewModel.queryPressureByDate(dateUtil);
                this.date = dateUtil;
                this.clickDate = dateUtil;
                this.queryManualPressure(dateUtil);
                dateUtil2 = this.date;
                ActivityHrvBinding activityHrvBinding9 = null;
                if (dateUtil2.isToday()) {
                    activityHrvBinding7 = this.binding;
                    if (activityHrvBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHrvBinding7 = null;
                    }
                    ViewKt.visible(activityHrvBinding7.btnMeasure);
                    activityHrvBinding8 = this.binding;
                    if (activityHrvBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityHrvBinding9 = activityHrvBinding8;
                    }
                    ViewKt.visible(activityHrvBinding9.currHeartCtl);
                    return;
                }
                ViewKt.gone(ActivityHrvBinding.this.btnMeasure);
                activityHrvBinding6 = this.binding;
                if (activityHrvBinding6 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityHrvBinding9 = activityHrvBinding6;
                }
                ViewKt.gone(activityHrvBinding9.currHeartCtl);
            }
        });
        activityHrvBinding5.qcDateChange.setCalendarClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HrvActivity.m794setupViews$lambda6$lambda4(HrvActivity.this, view);
            }
        });
        ActivityHrvBinding activityHrvBinding6 = this.binding;
        if (activityHrvBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding6 = null;
        }
        activityHrvBinding6.heartChatView.setSelectedListener(new QHrvLineChartView.OnSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda1
            @Override // com.qcwireless.qcwatch.ui.base.view.QHrvLineChartView.OnSelectedListener
            public final void onSelected(QHrvLineChartView.HeartDataBean heartDataBean) {
                HrvActivity.m795setupViews$lambda6$lambda5(HrvActivity.this, heartDataBean);
            }
        });
        getViewModel().getDeviceSetting().observe(hrvActivity, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda9
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                HrvActivity.m796setupViews$lambda7(HrvActivity.this, (DeviceSetting) obj);
            }
        });
        ActivityHrvBinding activityHrvBinding7 = this.binding;
        if (activityHrvBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding7 = null;
        }
        activityHrvBinding7.qcSettingHrv.setSubTitleClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HrvActivity.m797setupViews$lambda8(HrvActivity.this, view);
            }
        });
        getViewModel().getLastDate().observe(hrvActivity, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda8
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                HrvActivity.m798setupViews$lambda9(HrvActivity.this, (DateUtil) obj);
            }
        });
        ActivityHrvBinding activityHrvBinding8 = this.binding;
        if (activityHrvBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding8 = null;
        }
        activityHrvBinding8.qcSettingHrv.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda7
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                HrvActivity.m790setupViews$lambda10(HrvActivity.this, compoundButton, z);
            }
        });
        ActivityHrvBinding activityHrvBinding9 = this.binding;
        if (activityHrvBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding9 = null;
        }
        activityHrvBinding9.heartValueDetail.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$setupViews$8
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                DateUtil dateUtil;
                Bundle bundle = new Bundle();
                dateUtil = HrvActivity.this.date;
                bundle.putInt("timestamp", (int) dateUtil.getUnixTimestamp());
                HrvActivity hrvActivity2 = HrvActivity.this;
                ArrayList<Pair> arrayList = new ArrayList();
                Intent intent = new Intent(hrvActivity2, (Class<?>) HrvDataDetailActivity.class);
                intent.setFlags(1);
                intent.putExtras(bundle);
                for (Pair pair : arrayList) {
                    if (pair != null) {
                        String str = (String) pair.getFirst();
                        Object second = pair.getSecond();
                        if (second instanceof Integer) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                        } else if (second instanceof Byte) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                        } else if (second instanceof Character) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                        } else if (second instanceof Short) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                        } else if (second instanceof Boolean) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                        } else if (second instanceof Long) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                        } else if (second instanceof Float) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                        } else if (second instanceof Double) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                        } else if (second instanceof String) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                        } else if (second instanceof CharSequence) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                        } else if (second instanceof Parcelable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else if (second instanceof Object[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof ArrayList) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof Serializable) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                        } else if (second instanceof boolean[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                        } else if (second instanceof byte[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                        } else if (second instanceof short[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                        } else if (second instanceof char[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                        } else if (second instanceof int[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                        } else if (second instanceof long[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                        } else if (second instanceof float[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                        } else if (second instanceof double[]) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                        } else if (second instanceof Bundle) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                        } else if (second instanceof Intent) {
                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                        } else {
                            Unit unit = Unit.INSTANCE;
                        }
                    }
                }
                hrvActivity2.startActivity(intent);
            }
        });
        ActivityHrvBinding activityHrvBinding10 = this.binding;
        if (activityHrvBinding10 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding10 = null;
        }
        activityHrvBinding10.tvListDetail.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HrvActivity.m791setupViews$lambda12(HrvActivity.this, view);
            }
        });
        ActivityHrvBinding activityHrvBinding11 = this.binding;
        if (activityHrvBinding11 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHrvBinding2 = activityHrvBinding11;
        }
        activityHrvBinding2.btnMeasure.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                HrvActivity.m792setupViews$lambda13(HrvActivity.this, view);
            }
        });
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<HrvActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$setupViews$11
            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(HrvActivity hrvActivity2) {
                invoke2(hrvActivity2);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(HrvActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                ktxRunOnBgSingle.setMap(HRVRepository.INSTANCE.getGetInstance().calendarPressure(new DateUtil().getYear(), new DateUtil().getMonth()));
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-1$lambda-0, reason: not valid java name */
    public static final void m789setupViews$lambda1$lambda0(HrvActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        HrvActivity hrvActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(hrvActivity, (Class<?>) HrvGuideActivity.class);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        hrvActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-3, reason: not valid java name */
    public static final void m793setupViews$lambda3(HrvActivity this$0, HrvActivityViewModel.HrvUI hrvUI) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityHrvBinding activityHrvBinding = this$0.binding;
        ActivityHrvBinding activityHrvBinding2 = null;
        if (activityHrvBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding = null;
        }
        activityHrvBinding.heartChatView.setData(hrvUI.getData(), hrvUI.getToday());
        this$0.totalIndex = 0;
        this$0.totalHrv = 0;
        this$0.minHrv = 200;
        this$0.maxHrv = 0;
        int i = 0;
        int i2 = 0;
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        for (QHrvLineChartView.HeartDataBean heartDataBean : hrvUI.getData()) {
            if (heartDataBean.getValue() > 0) {
                i = heartDataBean.getMin();
            }
            if (heartDataBean.getValue() < this$0.minHrv) {
                this$0.minHrv = heartDataBean.getValue();
            }
            if (heartDataBean.getValue() > this$0.maxHrv) {
                this$0.maxHrv = heartDataBean.getValue();
            }
            this$0.totalHrv += heartDataBean.getValue();
            if (heartDataBean.getValue() > 101) {
                i2++;
            } else {
                int value = heartDataBean.getValue();
                if (61 <= value && value < 102) {
                    i3++;
                } else {
                    int value2 = heartDataBean.getValue();
                    if (31 <= value2 && value2 < 61) {
                        i5++;
                    } else {
                        int value3 = heartDataBean.getValue();
                        if (value3 >= 0 && value3 < 31) {
                            i4++;
                        }
                    }
                }
            }
            if (heartDataBean.getValue() > 0) {
                this$0.totalIndex++;
            }
        }
        String dayMinToStr = DateUtil.dayMinToStr(i);
        ActivityHrvBinding activityHrvBinding3 = this$0.binding;
        if (activityHrvBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding3 = null;
        }
        activityHrvBinding3.heartValueDetail.setRightText(dayMinToStr);
        if (!hrvUI.getData().isEmpty()) {
            if (this$0.totalIndex > 0) {
                ActivityHrvBinding activityHrvBinding4 = this$0.binding;
                if (activityHrvBinding4 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding4 = null;
                }
                activityHrvBinding4.tvAvgValue.setText(String.valueOf(this$0.totalHrv / this$0.totalIndex));
                ActivityHrvBinding activityHrvBinding5 = this$0.binding;
                if (activityHrvBinding5 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding5 = null;
                }
                activityHrvBinding5.tvMinValue.setText(String.valueOf(this$0.minHrv));
                ActivityHrvBinding activityHrvBinding6 = this$0.binding;
                if (activityHrvBinding6 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding6 = null;
                }
                activityHrvBinding6.tvMaxValue.setText(String.valueOf(this$0.maxHrv));
            } else {
                ActivityHrvBinding activityHrvBinding7 = this$0.binding;
                if (activityHrvBinding7 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding7 = null;
                }
                activityHrvBinding7.tvAvgValue.setText("--");
                ActivityHrvBinding activityHrvBinding8 = this$0.binding;
                if (activityHrvBinding8 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding8 = null;
                }
                activityHrvBinding8.tvMinValue.setText("--");
                ActivityHrvBinding activityHrvBinding9 = this$0.binding;
                if (activityHrvBinding9 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding9 = null;
                }
                activityHrvBinding9.tvMaxValue.setText("--");
            }
            int[] iArr = {0, 0, 0, 0, 0};
            iArr[0] = i4;
            iArr[1] = i5;
            iArr[2] = i3;
            iArr[3] = i2;
            int i6 = i4 + i5 + i3 + i2;
            if (i6 > 0) {
                float f = i6;
                float f2 = 100;
                int round = Math.round(((i4 * 1.0f) / f) * f2);
                int round2 = Math.round(((i5 * 1.0f) / f) * f2);
                int round3 = Math.round(((i3 * 1.0f) / f) * f2);
                int i7 = ((100 - round) - round2) - round3;
                ActivityHrvBinding activityHrvBinding10 = this$0.binding;
                if (activityHrvBinding10 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding10 = null;
                }
                activityHrvBinding10.heartCircleView.dataHrvInit(iArr);
                ActivityHrvBinding activityHrvBinding11 = this$0.binding;
                if (activityHrvBinding11 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding11 = null;
                }
                TextView textView = activityHrvBinding11.tvValue1;
                StringBuilder sb = new StringBuilder();
                sb.append(round);
                sb.append('%');
                textView.setText(sb.toString());
                ActivityHrvBinding activityHrvBinding12 = this$0.binding;
                if (activityHrvBinding12 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding12 = null;
                }
                TextView textView2 = activityHrvBinding12.tvValue2;
                StringBuilder sb2 = new StringBuilder();
                sb2.append(round2);
                sb2.append('%');
                textView2.setText(sb2.toString());
                ActivityHrvBinding activityHrvBinding13 = this$0.binding;
                if (activityHrvBinding13 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding13 = null;
                }
                TextView textView3 = activityHrvBinding13.tvValue4;
                StringBuilder sb3 = new StringBuilder();
                sb3.append(round3);
                sb3.append('%');
                textView3.setText(sb3.toString());
                ActivityHrvBinding activityHrvBinding14 = this$0.binding;
                if (activityHrvBinding14 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityHrvBinding2 = activityHrvBinding14;
                }
                TextView textView4 = activityHrvBinding2.tvValue5;
                StringBuilder sb4 = new StringBuilder();
                sb4.append(i7);
                sb4.append('%');
                textView4.setText(sb4.toString());
                return;
            }
            return;
        }
        int[] iArr2 = {0, 0, 0, 0, 0};
        ActivityHrvBinding activityHrvBinding15 = this$0.binding;
        if (activityHrvBinding15 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding15 = null;
        }
        activityHrvBinding15.heartCircleView.dataHrvInit(iArr2);
        ActivityHrvBinding activityHrvBinding16 = this$0.binding;
        if (activityHrvBinding16 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding16 = null;
        }
        activityHrvBinding16.heartChatView.setData(new ArrayList(), hrvUI.getToday());
        ActivityHrvBinding activityHrvBinding17 = this$0.binding;
        if (activityHrvBinding17 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding17 = null;
        }
        activityHrvBinding17.heartValueDetail.setRightText("");
        ActivityHrvBinding activityHrvBinding18 = this$0.binding;
        if (activityHrvBinding18 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding18 = null;
        }
        activityHrvBinding18.tvValue1.setText("0%");
        ActivityHrvBinding activityHrvBinding19 = this$0.binding;
        if (activityHrvBinding19 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding19 = null;
        }
        activityHrvBinding19.tvValue2.setText("0%");
        ActivityHrvBinding activityHrvBinding20 = this$0.binding;
        if (activityHrvBinding20 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding20 = null;
        }
        activityHrvBinding20.tvValue4.setText("0%");
        ActivityHrvBinding activityHrvBinding21 = this$0.binding;
        if (activityHrvBinding21 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding21 = null;
        }
        activityHrvBinding21.tvValue5.setText("0%");
        ActivityHrvBinding activityHrvBinding22 = this$0.binding;
        if (activityHrvBinding22 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding22 = null;
        }
        activityHrvBinding22.tvAvgValue.setText("--");
        ActivityHrvBinding activityHrvBinding23 = this$0.binding;
        if (activityHrvBinding23 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding23 = null;
        }
        activityHrvBinding23.tvMinValue.setText("--");
        ActivityHrvBinding activityHrvBinding24 = this$0.binding;
        if (activityHrvBinding24 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHrvBinding2 = activityHrvBinding24;
        }
        activityHrvBinding2.tvMaxValue.setText("--");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6$lambda-4, reason: not valid java name */
    public static final void m794setupViews$lambda6$lambda4(HrvActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.showCalendarDialog(this$0, this$0.map, this$0.clickDate);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6$lambda-5, reason: not valid java name */
    public static final void m795setupViews$lambda6$lambda5(HrvActivity this$0, QHrvLineChartView.HeartDataBean heartDataBean) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (heartDataBean != null) {
            ActivityHrvBinding activityHrvBinding = this$0.binding;
            ActivityHrvBinding activityHrvBinding2 = null;
            if (activityHrvBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHrvBinding = null;
            }
            activityHrvBinding.tvHM.setText(DateUtil.dayMinToStr(heartDataBean.getMin()));
            if (heartDataBean.getValue() > 0) {
                ActivityHrvBinding activityHrvBinding3 = this$0.binding;
                if (activityHrvBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityHrvBinding2 = activityHrvBinding3;
                }
                activityHrvBinding2.tvHeartValue.setText(String.valueOf(heartDataBean.getValue()));
                return;
            }
            ActivityHrvBinding activityHrvBinding4 = this$0.binding;
            if (activityHrvBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityHrvBinding2 = activityHrvBinding4;
            }
            activityHrvBinding2.tvHeartValue.setText("--");
            return;
        }
        AwLog.i(Author.HeZhiYuan, "-----");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-7, reason: not valid java name */
    public static final void m796setupViews$lambda7(HrvActivity this$0, DeviceSetting it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.deviceSetting = it;
        ActivityHrvBinding activityHrvBinding = this$0.binding;
        if (activityHrvBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding = null;
        }
        activityHrvBinding.qcSettingHrv.setChecked(it.getHrvEnable());
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-8, reason: not valid java name */
    public static final void m797setupViews$lambda8(HrvActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityHrvBinding activityHrvBinding = this$0.binding;
        ActivityHrvBinding activityHrvBinding2 = null;
        if (activityHrvBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding = null;
        }
        if (activityHrvBinding.qcSettingHrv.getTextLines() == 2) {
            ActivityHrvBinding activityHrvBinding3 = this$0.binding;
            if (activityHrvBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHrvBinding3 = null;
            }
            activityHrvBinding3.qcSettingHrv.startAnim(180.0f);
            ActivityHrvBinding activityHrvBinding4 = this$0.binding;
            if (activityHrvBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityHrvBinding2 = activityHrvBinding4;
            }
            activityHrvBinding2.qcSettingHrv.setTextLines(20);
            return;
        }
        ActivityHrvBinding activityHrvBinding5 = this$0.binding;
        if (activityHrvBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding5 = null;
        }
        activityHrvBinding5.qcSettingHrv.startAnim(360.0f);
        ActivityHrvBinding activityHrvBinding6 = this$0.binding;
        if (activityHrvBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHrvBinding2 = activityHrvBinding6;
        }
        activityHrvBinding2.qcSettingHrv.setTextLines(2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-9, reason: not valid java name */
    public static final void m798setupViews$lambda9(HrvActivity this$0, DateUtil it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityHrvBinding activityHrvBinding = this$0.binding;
        ActivityHrvBinding activityHrvBinding2 = null;
        if (activityHrvBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding = null;
        }
        QDateSwitchView qDateSwitchView = activityHrvBinding.qcDateChange;
        Intrinsics.checkNotNullExpressionValue(it, "it");
        qDateSwitchView.setDateUtil(it);
        AwLog.i(Author.HeZhiYuan, it.getY_M_D());
        this$0.getViewModel().queryPressureByDate(it);
        this$0.queryManualPressure(it);
        this$0.date = it;
        if (it.isToday()) {
            ActivityHrvBinding activityHrvBinding3 = this$0.binding;
            if (activityHrvBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHrvBinding3 = null;
            }
            ViewKt.visible(activityHrvBinding3.btnMeasure);
            ActivityHrvBinding activityHrvBinding4 = this$0.binding;
            if (activityHrvBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityHrvBinding2 = activityHrvBinding4;
            }
            ViewKt.visible(activityHrvBinding2.currHeartCtl);
            return;
        }
        ActivityHrvBinding activityHrvBinding5 = this$0.binding;
        if (activityHrvBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding5 = null;
        }
        ViewKt.gone(activityHrvBinding5.btnMeasure);
        ActivityHrvBinding activityHrvBinding6 = this$0.binding;
        if (activityHrvBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHrvBinding2 = activityHrvBinding6;
        }
        ViewKt.gone(activityHrvBinding2.currHeartCtl);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-10, reason: not valid java name */
    public static final void m790setupViews$lambda10(HrvActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 != null) {
                if (deviceSetting2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                    deviceSetting2 = null;
                }
                deviceSetting2.setHrvEnable(z);
                HrvActivityViewModel viewModel = this$0.getViewModel();
                String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                DeviceSetting deviceSetting3 = this$0.deviceSetting;
                if (deviceSetting3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                } else {
                    deviceSetting = deviceSetting3;
                }
                viewModel.saveDeviceSetting(deviceAddressNoClear, deviceSetting);
                return;
            }
            return;
        }
        ActivityHrvBinding activityHrvBinding = this$0.binding;
        if (activityHrvBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding = null;
        }
        QSettingItemTitleSubTitleSystem qSettingItemTitleSubTitleSystem = activityHrvBinding.qcSettingHrv;
        DeviceSetting deviceSetting4 = this$0.deviceSetting;
        if (deviceSetting4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting4 = null;
        }
        qSettingItemTitleSubTitleSystem.setChecked(deviceSetting4.getHrvEnable());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-12, reason: not valid java name */
    public static final void m791setupViews$lambda12(HrvActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Bundle bundle = new Bundle();
        bundle.putInt("timestamp", (int) this$0.date.getUnixTimestamp());
        HrvActivity hrvActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(hrvActivity, (Class<?>) HrvAPPDataDetailActivity.class);
        intent.setFlags(1);
        intent.putExtras(bundle);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        hrvActivity.startActivity(intent);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-13, reason: not valid java name */
    public static final void m792setupViews$lambda13(final HrvActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityHrvBinding activityHrvBinding = null;
        if (!BleOperateManager.getInstance().isConnected()) {
            String string = this$0.getString(R.string.qc_text_75);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        ActivityHrvBinding activityHrvBinding2 = this$0.binding;
        if (activityHrvBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding2 = null;
        }
        activityHrvBinding2.tvCurrHeart.setText("--");
        ActivityHrvBinding activityHrvBinding3 = this$0.binding;
        if (activityHrvBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding3 = null;
        }
        activityHrvBinding3.tvHeartTime.setText("");
        ActivityHrvBinding activityHrvBinding4 = this$0.binding;
        if (activityHrvBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding4 = null;
        }
        ImageView imageView = activityHrvBinding4.imageHeart;
        ScaleAnimation scaleAnimation = this$0.animation;
        if (scaleAnimation == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation = null;
        }
        imageView.startAnimation(scaleAnimation);
        ActivityHrvBinding activityHrvBinding5 = this$0.binding;
        if (activityHrvBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding5 = null;
        }
        TextView textView = activityHrvBinding5.tvCurrHeart;
        AlphaAnimation alphaAnimation = this$0.alphaAnimation;
        if (alphaAnimation == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation = null;
        }
        textView.startAnimation(alphaAnimation);
        if (!this$0.startMeasure) {
            this$0.startMeasure = true;
            this$0.secondsDown();
            ActivityHrvBinding activityHrvBinding6 = this$0.binding;
            if (activityHrvBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityHrvBinding = activityHrvBinding6;
            }
            activityHrvBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660011));
            CommandHandle.getInstance().executeReqCmd(StartHeartRateReq.getSimpleReq((byte) 10), new ICommandResponse<StartHeartRateRsp>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$setupViews$10$1
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public void onDataResponse(StartHeartRateRsp resultEntity) {
                    ActivityHrvBinding activityHrvBinding7;
                    ActivityHrvBinding activityHrvBinding8;
                    CountDownTimer countDownTimer;
                    ActivityHrvBinding activityHrvBinding9;
                    Handler handler;
                    Handler handler2;
                    ActivityHrvBinding activityHrvBinding10;
                    ActivityHrvBinding activityHrvBinding11;
                    boolean z;
                    ActivityHrvBinding activityHrvBinding12;
                    CountDownTimer countDownTimer2;
                    ActivityHrvBinding activityHrvBinding13;
                    Handler handler3;
                    Handler handler4;
                    Intrinsics.checkNotNullParameter(resultEntity, "resultEntity");
                    ActivityHrvBinding activityHrvBinding14 = null;
                    if (resultEntity.getErrCode() == 0 && resultEntity.getType() == 10) {
                        if (resultEntity.getValue() > 0) {
                            HrvActivity.this.setHrvValue(resultEntity.getValue());
                            z = HrvActivity.this.startMeasure;
                            if (z) {
                                activityHrvBinding12 = HrvActivity.this.binding;
                                if (activityHrvBinding12 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityHrvBinding12 = null;
                                }
                                activityHrvBinding12.tvCurrHeart.setText(String.valueOf(HrvActivity.this.getHrvValue()));
                                AwLog.i(Author.HeZhiYuan, Byte.valueOf(resultEntity.getValue()));
                                countDownTimer2 = HrvActivity.this.countDownTimer;
                                if (countDownTimer2 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                                    countDownTimer2 = null;
                                }
                                countDownTimer2.cancel();
                                activityHrvBinding13 = HrvActivity.this.binding;
                                if (activityHrvBinding13 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityHrvBinding14 = activityHrvBinding13;
                                }
                                activityHrvBinding14.tvCurrHeart.clearAnimation();
                                handler3 = HrvActivity.this.handler;
                                handler3.removeCallbacks(HrvActivity.this.getHeartRunnable());
                                handler4 = HrvActivity.this.handler;
                                handler4.postDelayed(HrvActivity.this.getHeartRunnable(), 1000L);
                                return;
                            }
                            return;
                        }
                        return;
                    }
                    if (resultEntity.getErrCode() == 1) {
                        String string2 = HrvActivity.this.getString(R.string.qc_text_6666064);
                        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_6666064)");
                        GlobalKt.showToast$default(string2, 0, 1, null);
                    }
                    HrvActivity.this.startMeasure = false;
                    activityHrvBinding7 = HrvActivity.this.binding;
                    if (activityHrvBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHrvBinding7 = null;
                    }
                    activityHrvBinding7.imageHeart.clearAnimation();
                    activityHrvBinding8 = HrvActivity.this.binding;
                    if (activityHrvBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHrvBinding8 = null;
                    }
                    activityHrvBinding8.tvCurrHeart.clearAnimation();
                    countDownTimer = HrvActivity.this.countDownTimer;
                    if (countDownTimer == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                        countDownTimer = null;
                    }
                    countDownTimer.cancel();
                    activityHrvBinding9 = HrvActivity.this.binding;
                    if (activityHrvBinding9 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHrvBinding9 = null;
                    }
                    activityHrvBinding9.btnMeasure.setText(HrvActivity.this.getString(R.string.qc_text_76660010));
                    handler = HrvActivity.this.handler;
                    handler.removeCallbacks(HrvActivity.this.getHeartRunnable());
                    if (resultEntity.getErrCode() != 0) {
                        handler2 = HrvActivity.this.handler;
                        handler2.removeCallbacks(HrvActivity.this.getHeartRunnable());
                        activityHrvBinding10 = HrvActivity.this.binding;
                        if (activityHrvBinding10 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityHrvBinding10 = null;
                        }
                        activityHrvBinding10.tvCurrHeart.setText("--");
                        activityHrvBinding11 = HrvActivity.this.binding;
                        if (activityHrvBinding11 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                        } else {
                            activityHrvBinding14 = activityHrvBinding11;
                        }
                        activityHrvBinding14.tvHeartTime.setText("");
                    }
                }
            });
            this$0.handler.removeCallbacks(this$0.heartRunnable);
            this$0.handler.postDelayed(this$0.heartRunnable, 80000L);
            return;
        }
        this$0.startMeasure = false;
        ActivityHrvBinding activityHrvBinding7 = this$0.binding;
        if (activityHrvBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding7 = null;
        }
        activityHrvBinding7.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        this$0.handler.removeCallbacks(this$0.heartRunnable);
        ActivityHrvBinding activityHrvBinding8 = this$0.binding;
        if (activityHrvBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding8 = null;
        }
        activityHrvBinding8.imageHeart.clearAnimation();
        ActivityHrvBinding activityHrvBinding9 = this$0.binding;
        if (activityHrvBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding9 = null;
        }
        activityHrvBinding9.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopHrv((byte) 0), null);
    }

    public final Runnable getHeartRunnable() {
        return this.heartRunnable;
    }

    public final void setHeartRunnable(Runnable runnable) {
        Intrinsics.checkNotNullParameter(runnable, "<set-?>");
        this.heartRunnable = runnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: heartRunnable$lambda-14, reason: not valid java name */
    public static final void m788heartRunnable$lambda14(HrvActivity this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.startMeasure = false;
        ActivityHrvBinding activityHrvBinding = this$0.binding;
        if (activityHrvBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding = null;
        }
        activityHrvBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        ActivityHrvBinding activityHrvBinding2 = this$0.binding;
        if (activityHrvBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding2 = null;
        }
        activityHrvBinding2.imageHeart.clearAnimation();
        ActivityHrvBinding activityHrvBinding3 = this$0.binding;
        if (activityHrvBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding3 = null;
        }
        activityHrvBinding3.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        DateUtil dateUtil = new DateUtil();
        ActivityHrvBinding activityHrvBinding4 = this$0.binding;
        if (activityHrvBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding4 = null;
        }
        activityHrvBinding4.tvHeartTime.setText(dateUtil.getY_M_D_H_M_S());
        ActivityHrvBinding activityHrvBinding5 = this$0.binding;
        if (activityHrvBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding5 = null;
        }
        activityHrvBinding5.tvCurrHeart.setText(String.valueOf(this$0.hrvValue));
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopHrv((byte) this$0.hrvValue), null);
        HRVRepository.INSTANCE.getGetInstance().saveManualPressure(dateUtil.getUnixTimestamp(), this$0.hrvValue);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void queryManualPressure(final DateUtil date) {
        ThreadExtKt.ktxRunOnBgFix(this, new Function1<HrvActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$queryManualPressure$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(HrvActivity hrvActivity) {
                invoke2(hrvActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(HrvActivity ktxRunOnBgFix) {
                HrvActivityViewModel viewModel;
                HrvActivityViewModel viewModel2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgFix, "$this$ktxRunOnBgFix");
                List<HRVManualEntity> queryManualPressure = HRVRepository.INSTANCE.getGetInstance().queryManualPressure(DateUtil.this);
                viewModel = ktxRunOnBgFix.getViewModel();
                viewModel.getManualList().clear();
                for (HRVManualEntity hRVManualEntity : queryManualPressure) {
                    viewModel2 = ktxRunOnBgFix.getViewModel();
                    viewModel2.getManualList().add(new HeartRateDetailBean(hRVManualEntity.getTimestamp(), hRVManualEntity.getPressure()));
                }
                final DateUtil dateUtil = DateUtil.this;
                ThreadExtKt.ktxRunOnUi(ktxRunOnBgFix, new Function1<HrvActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$queryManualPressure$1.2
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(HrvActivity hrvActivity) {
                        invoke2(hrvActivity);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(HrvActivity ktxRunOnUi) {
                        HrvActivityViewModel viewModel3;
                        ActivityHrvBinding activityHrvBinding;
                        ActivityHrvBinding activityHrvBinding2;
                        ActivityHrvBinding activityHrvBinding3;
                        ManualHrvDetailAdapter manualHrvDetailAdapter;
                        ActivityHrvBinding activityHrvBinding4;
                        ActivityHrvBinding activityHrvBinding5;
                        ActivityHrvBinding activityHrvBinding6;
                        ActivityHrvBinding activityHrvBinding7;
                        ActivityHrvBinding activityHrvBinding8;
                        ActivityHrvBinding activityHrvBinding9;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        viewModel3 = ktxRunOnUi.getViewModel();
                        ManualHrvDetailAdapter manualHrvDetailAdapter2 = null;
                        if (viewModel3.getManualList().size() != 0) {
                            activityHrvBinding = ktxRunOnUi.binding;
                            if (activityHrvBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding = null;
                            }
                            ViewKt.gone(activityHrvBinding.tvNoData);
                            activityHrvBinding2 = ktxRunOnUi.binding;
                            if (activityHrvBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding2 = null;
                            }
                            ViewKt.visible(activityHrvBinding2.rcvHrvDetail);
                            activityHrvBinding3 = ktxRunOnUi.binding;
                            if (activityHrvBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding3 = null;
                            }
                            ViewKt.visible(activityHrvBinding3.rcvDetailLayout);
                        } else if (DateUtil.this.isToday()) {
                            activityHrvBinding7 = ktxRunOnUi.binding;
                            if (activityHrvBinding7 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding7 = null;
                            }
                            ViewKt.visible(activityHrvBinding7.rcvDetailLayout);
                            activityHrvBinding8 = ktxRunOnUi.binding;
                            if (activityHrvBinding8 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding8 = null;
                            }
                            ViewKt.gone(activityHrvBinding8.rcvHrvDetail);
                            activityHrvBinding9 = ktxRunOnUi.binding;
                            if (activityHrvBinding9 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding9 = null;
                            }
                            ViewKt.visible(activityHrvBinding9.tvNoData);
                        } else {
                            activityHrvBinding4 = ktxRunOnUi.binding;
                            if (activityHrvBinding4 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding4 = null;
                            }
                            ViewKt.gone(activityHrvBinding4.rcvHrvDetail);
                            activityHrvBinding5 = ktxRunOnUi.binding;
                            if (activityHrvBinding5 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding5 = null;
                            }
                            ViewKt.gone(activityHrvBinding5.tvNoData);
                            activityHrvBinding6 = ktxRunOnUi.binding;
                            if (activityHrvBinding6 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding6 = null;
                            }
                            ViewKt.gone(activityHrvBinding6.rcvDetailLayout);
                        }
                        manualHrvDetailAdapter = ktxRunOnUi.adapter;
                        if (manualHrvDetailAdapter == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("adapter");
                        } else {
                            manualHrvDetailAdapter2 = manualHrvDetailAdapter;
                        }
                        manualHrvDetailAdapter2.notifyDataSetChanged();
                    }
                });
            }
        });
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        if (messageEvent instanceof ManualRefreshEvent) {
            queryManualPressure(this.date);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onResume() {
        super.onResume();
        ActivityHrvBinding activityHrvBinding = this.binding;
        if (activityHrvBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHrvBinding = null;
        }
        activityHrvBinding.btnMeasure.setText(getString(R.string.qc_text_76660010));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onStop() {
        super.onStop();
        try {
            if (this.startMeasure) {
                this.startMeasure = false;
                this.handler.removeCallbacks(this.heartRunnable);
                CountDownTimer countDownTimer = this.countDownTimer;
                if (countDownTimer == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                    countDownTimer = null;
                }
                countDownTimer.cancel();
                ActivityHrvBinding activityHrvBinding = this.binding;
                if (activityHrvBinding == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding = null;
                }
                activityHrvBinding.tvCurrHeart.setText("--");
                ActivityHrvBinding activityHrvBinding2 = this.binding;
                if (activityHrvBinding2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding2 = null;
                }
                activityHrvBinding2.tvCurrHeart.clearAnimation();
                ActivityHrvBinding activityHrvBinding3 = this.binding;
                if (activityHrvBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityHrvBinding3 = null;
                }
                activityHrvBinding3.imageHeart.clearAnimation();
                CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopHrv((byte) 0), null);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [com.qcwireless.qcwatch.ui.home.heart.HrvActivity$secondsDown$1] */
    private final void secondsDown() {
        final long j = 75000;
        CountDownTimer start = new CountDownTimer(j) { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$secondsDown$1
            @Override // android.os.CountDownTimer
            public void onFinish() {
            }

            @Override // android.os.CountDownTimer
            public void onTick(long p0) {
                if (((int) (p0 / CropImageView.DEFAULT_IMAGE_TO_CROP_BOUNDS_ANIM_DURATION)) % 2 == 0) {
                    final HrvActivity hrvActivity = HrvActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<HrvActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$secondsDown$1$onTick$1
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(HrvActivity$secondsDown$1 hrvActivity$secondsDown$1) {
                            invoke2(hrvActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(HrvActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityHrvBinding activityHrvBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityHrvBinding = HrvActivity.this.binding;
                            if (activityHrvBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding = null;
                            }
                            activityHrvBinding.tvCurrHeart.setText("--");
                        }
                    });
                } else {
                    final HrvActivity hrvActivity2 = HrvActivity.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<HrvActivity$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$secondsDown$1$onTick$2
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(HrvActivity$secondsDown$1 hrvActivity$secondsDown$1) {
                            invoke2(hrvActivity$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(HrvActivity$secondsDown$1 ktxRunOnUi) {
                            ActivityHrvBinding activityHrvBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            activityHrvBinding = HrvActivity.this.binding;
                            if (activityHrvBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding = null;
                            }
                            activityHrvBinding.tvCurrHeart.setText("-");
                        }
                    });
                }
            }
        }.start();
        Intrinsics.checkNotNullExpressionValue(start, "private fun secondsDown(…\n        }.start()\n\n    }");
        this.countDownTimer = start;
    }

    private final void showCalendarDialog(Activity activity, Map<String, Calendar> mSchemeDates, final DateUtil date) {
        Activity activity2 = activity;
        CenterDialog.Builder builder = new CenterDialog.Builder(activity2);
        builder.setContentView(R.layout.layout_dialog_calendar);
        CenterDialog create = builder.create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.calendarDialog = create;
        CenterDialog centerDialog = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
            create = null;
        }
        create.show();
        CenterDialog centerDialog2 = this.calendarDialog;
        if (centerDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
        } else {
            centerDialog = centerDialog2;
        }
        View contentView = centerDialog.getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "calendarDialog.contentView");
        final QDateMonthSwitchPubuView qDateMonthSwitchPubuView = (QDateMonthSwitchPubuView) contentView.findViewById(R.id.qc_dialog_date_change);
        final CalendarView calendarView = (CalendarView) contentView.findViewById(R.id.calendarView);
        qDateMonthSwitchPubuView.setShowFuture(true);
        qDateMonthSwitchPubuView.setMonth(date);
        qDateMonthSwitchPubuView.setDateListener(new QDateMonthSwitchPubuView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$showCalendarDialog$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView.QDateBefore
            public void clickBefore(boolean r4, final DateUtil dateUtil) {
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
                CalendarView.this.scrollToCalendar(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay());
                final HrvActivity hrvActivity = this;
                final CalendarView calendarView2 = CalendarView.this;
                ThreadExtKt.ktxRunOnBgSingle(this, new Function1<HrvActivity$showCalendarDialog$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$showCalendarDialog$1$clickBefore$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(HrvActivity$showCalendarDialog$1 hrvActivity$showCalendarDialog$1) {
                        invoke2(hrvActivity$showCalendarDialog$1);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(HrvActivity$showCalendarDialog$1 ktxRunOnBgSingle) {
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        HrvActivity.this.setMap(HRVRepository.INSTANCE.getGetInstance().calendarPressure(dateUtil.getYear(), dateUtil.getMonth()));
                        calendarView2.setSchemeDate(HrvActivity.this.getMap());
                    }
                });
            }
        });
        calendarView.setSchemeDate(mSchemeDates);
        calendarView.scrollToCalendar(date.getYear(), date.getMonth(), date.getDay());
        calendarView.setOnMonthChangeListener(new CalendarView.OnMonthChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$$ExternalSyntheticLambda11
            @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
            public final void onMonthChange(int i, int i2) {
                HrvActivity.m799showCalendarDialog$lambda15(DateUtil.this, qDateMonthSwitchPubuView, this, calendarView, i, i2);
            }
        });
        calendarView.setOnCalendarSelectListener(new CalendarSelectListener());
        calendarView.setBackground(SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5), SkinCompatResources.getColor(activity2, R.color.menstruation_show_5));
        calendarView.setSelectedColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.white), SkinCompatResources.getColor(activity2, R.color.black));
        calendarView.setTextColor(SkinCompatResources.getColor(activity2, R.color.pubu_dialog_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_show_4), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1), SkinCompatResources.getColor(activity2, R.color.menstruation_common_1));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showCalendarDialog$lambda-15, reason: not valid java name */
    public static final void m799showCalendarDialog$lambda15(DateUtil date, QDateMonthSwitchPubuView qDateMonthSwitchPubuView, HrvActivity this$0, final CalendarView calendarView, final int i, final int i2) {
        Intrinsics.checkNotNullParameter(date, "$date");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DateUtil dateUtil = new DateUtil(i, i2, date.getDay());
        AwLog.i(Author.HeZhiYuan, dateUtil.getY_M_D());
        qDateMonthSwitchPubuView.setMonth(new DateUtil(i, i2, dateUtil.getDay()));
        ThreadExtKt.ktxRunOnBgSingle(this$0, new Function1<HrvActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$showCalendarDialog$2$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(HrvActivity hrvActivity) {
                invoke2(hrvActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(HrvActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                ktxRunOnBgSingle.setMap(HRVRepository.INSTANCE.getGetInstance().calendarPressure(i, i2));
                calendarView.setSchemeDate(ktxRunOnBgSingle.getMap());
            }
        });
    }

    /* compiled from: HrvActivity.kt */
    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\b\u0086\u0004\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006H\u0016J\u0018\u0010\u0007\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\b\u001a\u00020\tH\u0016¨\u0006\n"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/HrvActivity$CalendarSelectListener;", "Lcom/haibin/calendarview/CalendarView$OnCalendarSelectListener;", "(Lcom/qcwireless/qcwatch/ui/home/heart/HrvActivity;)V", "onCalendarOutOfRange", "", "calendar", "Lcom/haibin/calendarview/Calendar;", "onCalendarSelect", "isClick", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public final class CalendarSelectListener implements CalendarView.OnCalendarSelectListener {
        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarOutOfRange(Calendar calendar) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
        }

        public CalendarSelectListener() {
        }

        @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
        public void onCalendarSelect(final Calendar calendar, boolean isClick) {
            Intrinsics.checkNotNullParameter(calendar, "calendar");
            if (isClick) {
                CenterDialog centerDialog = HrvActivity.this.calendarDialog;
                if (centerDialog == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("calendarDialog");
                    centerDialog = null;
                }
                centerDialog.dismiss();
                final HrvActivity hrvActivity = HrvActivity.this;
                ThreadExtKt.ktxRunOnUi(this, new Function1<CalendarSelectListener, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivity$CalendarSelectListener$onCalendarSelect$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(HrvActivity.CalendarSelectListener calendarSelectListener) {
                        invoke2(calendarSelectListener);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(HrvActivity.CalendarSelectListener ktxRunOnUi) {
                        ActivityHrvBinding activityHrvBinding;
                        DateUtil dateUtil;
                        HrvActivityViewModel viewModel;
                        DateUtil dateUtil2;
                        DateUtil dateUtil3;
                        DateUtil dateUtil4;
                        ActivityHrvBinding activityHrvBinding2;
                        ActivityHrvBinding activityHrvBinding3;
                        ActivityHrvBinding activityHrvBinding4;
                        ActivityHrvBinding activityHrvBinding5;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        DateUtil dateUtil5 = new DateUtil(Calendar.this.getYear(), Calendar.this.getMonth(), Calendar.this.getDay());
                        hrvActivity.clickDate = dateUtil5;
                        ActivityHrvBinding activityHrvBinding6 = null;
                        if (!dateUtil5.futureDate()) {
                            hrvActivity.date = dateUtil5;
                            hrvActivity.clickDate = dateUtil5;
                            activityHrvBinding = hrvActivity.binding;
                            if (activityHrvBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding = null;
                            }
                            QDateSwitchView qDateSwitchView = activityHrvBinding.qcDateChange;
                            dateUtil = hrvActivity.clickDate;
                            qDateSwitchView.setDateUtil(dateUtil);
                            viewModel = hrvActivity.getViewModel();
                            dateUtil2 = hrvActivity.clickDate;
                            viewModel.queryPressureByDate(dateUtil2);
                            HrvActivity hrvActivity2 = hrvActivity;
                            dateUtil3 = hrvActivity2.clickDate;
                            hrvActivity2.queryManualPressure(dateUtil3);
                            dateUtil4 = hrvActivity.date;
                            if (dateUtil4.isToday()) {
                                activityHrvBinding4 = hrvActivity.binding;
                                if (activityHrvBinding4 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityHrvBinding4 = null;
                                }
                                ViewKt.visible(activityHrvBinding4.btnMeasure);
                                activityHrvBinding5 = hrvActivity.binding;
                                if (activityHrvBinding5 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    activityHrvBinding6 = activityHrvBinding5;
                                }
                                ViewKt.visible(activityHrvBinding6.currHeartCtl);
                                return;
                            }
                            activityHrvBinding2 = hrvActivity.binding;
                            if (activityHrvBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityHrvBinding2 = null;
                            }
                            ViewKt.gone(activityHrvBinding2.btnMeasure);
                            activityHrvBinding3 = hrvActivity.binding;
                            if (activityHrvBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                            } else {
                                activityHrvBinding6 = activityHrvBinding3;
                            }
                            ViewKt.gone(activityHrvBinding6.currHeartCtl);
                            return;
                        }
                        String string = hrvActivity.getString(R.string.qc_text_6666040);
                        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6666040)");
                        GlobalKt.showToast$default(string, 0, 1, null);
                    }
                });
            }
        }
    }
}
