package com.qcwireless.qcwatch.ui.home.heart;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import com.google.android.gms.fitness.FitnessActivities;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.req.HrvSettingReq;
import com.oudmon.ble.base.communication.rsp.BaseRspCmd;
import com.oudmon.ble.base.communication.rsp.HRVRsp;
import com.oudmon.ble.base.communication.rsp.HRVSettingRsp;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.utils.MoshiUtilsKt;
import com.qcwireless.qcwatch.ui.base.BaseViewModel;
import com.qcwireless.qcwatch.ui.base.bean.device.DeviceSetting;
import com.qcwireless.qcwatch.ui.base.repository.base.BaseDeviceResult;
import com.qcwireless.qcwatch.ui.base.repository.base.DeviceSettingAction;
import com.qcwireless.qcwatch.ui.base.repository.device.DeviceSettingRepository;
import com.qcwireless.qcwatch.ui.base.repository.entity.DeviceSettingEntity;
import com.qcwireless.qcwatch.ui.base.repository.healthy.HRVRepository;
import com.qcwireless.qcwatch.ui.base.view.QHrvLineChartView;
import com.qcwireless.qcwatch.ui.home.heart.HrvActivityViewModel;
import com.qcwireless.qcwatch.ui.home.heart.bean.HeartRateDetailBean;
import java.util.ArrayList;
import java.util.List;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.BuildersKt__Builders_commonKt;
import kotlinx.coroutines.GlobalScope;
import org.greenrobot.eventbus.EventBus;

/* compiled from: HrvActivityViewModel.kt */
@Metadata(d1 = {"\u0000J\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\b\u0018\u00002\u00020\u0001:\u0001#B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u000e\u0010\u0019\u001a\u00020\u001a2\u0006\u0010\u001b\u001a\u00020\u001cJ\u0006\u0010\u001d\u001a\u00020\u001aJ\u000e\u0010\u001e\u001a\u00020\u001a2\u0006\u0010\u001f\u001a\u00020\tJ\u0016\u0010 \u001a\u00020\u001a2\u0006\u0010\u001b\u001a\u00020\u001c2\u0006\u0010!\u001a\u00020\u0007J\u0006\u0010\"\u001a\u00020\u001aR\u0014\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\b\u001a\b\u0012\u0004\u0012\u00020\t0\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\n\u001a\b\u0012\u0004\u0012\u00020\u000b0\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u0017\u0010\f\u001a\b\u0012\u0004\u0012\u00020\u00070\r8F¢\u0006\u0006\u001a\u0004\b\u000e\u0010\u000fR\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u0004¢\u0006\u0002\n\u0000R\u0017\u0010\u0010\u001a\b\u0012\u0004\u0012\u00020\t0\r8F¢\u0006\u0006\u001a\u0004\b\u0011\u0010\u000fR\u0017\u0010\u0012\u001a\b\u0012\u0004\u0012\u00020\u00140\u0013¢\u0006\b\n\u0000\u001a\u0004\b\u0015\u0010\u0016R\u0017\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\u000b0\r8F¢\u0006\u0006\u001a\u0004\b\u0018\u0010\u000f¨\u0006$"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/HrvActivityViewModel;", "Lcom/qcwireless/qcwatch/ui/base/BaseViewModel;", "hrvRepository", "Lcom/qcwireless/qcwatch/ui/base/repository/healthy/HRVRepository;", "(Lcom/qcwireless/qcwatch/ui/base/repository/healthy/HRVRepository;)V", "_deviceSetting", "Landroidx/lifecycle/MutableLiveData;", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "_lastDate", "Lcom/qcwireless/qc_utils/date/DateUtil;", "_uiState", "Lcom/qcwireless/qcwatch/ui/home/heart/HrvActivityViewModel$HrvUI;", "deviceSetting", "Landroidx/lifecycle/LiveData;", "getDeviceSetting", "()Landroidx/lifecycle/LiveData;", "lastDate", "getLastDate", "manualList", "", "Lcom/qcwireless/qcwatch/ui/home/heart/bean/HeartRateDetailBean;", "getManualList", "()Ljava/util/List;", "uiState", "getUiState", "initData", "", "mac", "", "queryLastData", "queryPressureByDate", "date", "saveDeviceSetting", "setting", "syncTodayData", "HrvUI", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class HrvActivityViewModel extends BaseViewModel {
    private final MutableLiveData<DeviceSetting> _deviceSetting;
    private final MutableLiveData<DateUtil> _lastDate;
    private final MutableLiveData<HrvUI> _uiState;
    private final HRVRepository hrvRepository;
    private final List<HeartRateDetailBean> manualList;

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: saveDeviceSetting$lambda-0, reason: not valid java name */
    public static final void m800saveDeviceSetting$lambda0(HRVSettingRsp hRVSettingRsp) {
    }

    public HrvActivityViewModel(HRVRepository hrvRepository) {
        Intrinsics.checkNotNullParameter(hrvRepository, "hrvRepository");
        this.hrvRepository = hrvRepository;
        this._uiState = new MutableLiveData<>();
        this._lastDate = new MutableLiveData<>();
        this.manualList = new ArrayList();
        this._deviceSetting = new MutableLiveData<>();
    }

    public final LiveData<HrvUI> getUiState() {
        return this._uiState;
    }

    public final LiveData<DateUtil> getLastDate() {
        return this._lastDate;
    }

    public final List<HeartRateDetailBean> getManualList() {
        return this.manualList;
    }

    public final LiveData<DeviceSetting> getDeviceSetting() {
        return this._deviceSetting;
    }

    public final void queryLastData() {
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new HrvActivityViewModel$queryLastData$1(this, null), 3, null);
    }

    public final void queryPressureByDate(final DateUtil date) {
        Intrinsics.checkNotNullParameter(date, "date");
        ThreadExtKt.ktxRunOnBgFix(this, new Function1<HrvActivityViewModel, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivityViewModel$queryPressureByDate$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(HrvActivityViewModel hrvActivityViewModel) {
                invoke2(hrvActivityViewModel);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(HrvActivityViewModel ktxRunOnBgFix) {
                HRVRepository hRVRepository;
                MutableLiveData mutableLiveData;
                MutableLiveData mutableLiveData2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgFix, "$this$ktxRunOnBgFix");
                hRVRepository = ktxRunOnBgFix.hrvRepository;
                List<QHrvLineChartView.HeartDataBean> queryHrvByDateDetailRespAsc = hRVRepository.queryHrvByDateDetailRespAsc(DateUtil.this);
                if (DateUtil.this.isToday()) {
                    mutableLiveData2 = ktxRunOnBgFix._uiState;
                    mutableLiveData2.postValue(new HrvActivityViewModel.HrvUI(true, queryHrvByDateDetailRespAsc));
                } else {
                    mutableLiveData = ktxRunOnBgFix._uiState;
                    mutableLiveData.postValue(new HrvActivityViewModel.HrvUI(false, queryHrvByDateDetailRespAsc));
                }
            }
        });
    }

    public final void initData(String mac) {
        Intrinsics.checkNotNullParameter(mac, "mac");
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new HrvActivityViewModel$initData$1(mac, this, null), 3, null);
    }

    public final void saveDeviceSetting(String mac, DeviceSetting setting) {
        Intrinsics.checkNotNullParameter(mac, "mac");
        Intrinsics.checkNotNullParameter(setting, "setting");
        CommandHandle.getInstance().executeReqCmd(new HrvSettingReq(setting.getPressureDetection()), new ICommandResponse() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivityViewModel$$ExternalSyntheticLambda0
            @Override // com.oudmon.ble.base.communication.ICommandResponse
            public final void onDataResponse(BaseRspCmd baseRspCmd) {
                HrvActivityViewModel.m800saveDeviceSetting$lambda0((HRVSettingRsp) baseRspCmd);
            }
        });
        DeviceSettingRepository.INSTANCE.getGetInstance().saveDeviceSetting(new DeviceSettingEntity(mac, DeviceSettingAction.WatchSetting, MoshiUtilsKt.toJson(setting)));
    }

    public final void syncTodayData() {
        this.hrvRepository.syncTodayHrv(new BaseDeviceResult<HRVRsp>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivityViewModel$syncTodayData$1$1
            @Override // com.qcwireless.qcwatch.ui.base.repository.base.BaseDeviceResult
            public void result(int errorCode, HRVRsp t) {
                Intrinsics.checkNotNullParameter(t, "t");
                final HrvActivityViewModel hrvActivityViewModel = HrvActivityViewModel.this;
                ThreadExtKt.ktxRunOnBgSingle(this, new Function1<HrvActivityViewModel$syncTodayData$1$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.heart.HrvActivityViewModel$syncTodayData$1$1$result$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(HrvActivityViewModel$syncTodayData$1$1 hrvActivityViewModel$syncTodayData$1$1) {
                        invoke2(hrvActivityViewModel$syncTodayData$1$1);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(HrvActivityViewModel$syncTodayData$1$1 ktxRunOnBgSingle) {
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        HrvActivityViewModel.this.queryPressureByDate(new DateUtil());
                        EventBus.getDefault().post(new ManualRefreshEvent());
                    }
                });
            }
        });
    }

    /* compiled from: HrvActivityViewModel.kt */
    @Metadata(d1 = {"\u0000(\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\u000b\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0086\b\u0018\u00002\u00020\u0001B\u001b\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\f\u0010\u0004\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005¢\u0006\u0002\u0010\u0007J\t\u0010\f\u001a\u00020\u0003HÆ\u0003J\u000f\u0010\r\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005HÆ\u0003J#\u0010\u000e\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u00032\u000e\b\u0002\u0010\u0004\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005HÆ\u0001J\u0013\u0010\u000f\u001a\u00020\u00032\b\u0010\u0010\u001a\u0004\u0018\u00010\u0001HÖ\u0003J\t\u0010\u0011\u001a\u00020\u0012HÖ\u0001J\t\u0010\u0013\u001a\u00020\u0014HÖ\u0001R\u0017\u0010\u0004\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005¢\u0006\b\n\u0000\u001a\u0004\b\b\u0010\tR\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\n\u0010\u000b¨\u0006\u0015"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/HrvActivityViewModel$HrvUI;", "", "today", "", "data", "", "Lcom/qcwireless/qcwatch/ui/base/view/QHrvLineChartView$HeartDataBean;", "(ZLjava/util/List;)V", "getData", "()Ljava/util/List;", "getToday", "()Z", "component1", "component2", "copy", "equals", FitnessActivities.OTHER, "hashCode", "", "toString", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final /* data */ class HrvUI {
        private final List<QHrvLineChartView.HeartDataBean> data;
        private final boolean today;

        /* JADX WARN: Multi-variable type inference failed */
        public static /* synthetic */ HrvUI copy$default(HrvUI hrvUI, boolean z, List list, int i, Object obj) {
            if ((i & 1) != 0) {
                z = hrvUI.today;
            }
            if ((i & 2) != 0) {
                list = hrvUI.data;
            }
            return hrvUI.copy(z, list);
        }

        /* renamed from: component1, reason: from getter */
        public final boolean getToday() {
            return this.today;
        }

        public final List<QHrvLineChartView.HeartDataBean> component2() {
            return this.data;
        }

        public final HrvUI copy(boolean today, List<? extends QHrvLineChartView.HeartDataBean> data) {
            Intrinsics.checkNotNullParameter(data, "data");
            return new HrvUI(today, data);
        }

        public boolean equals(Object other) {
            if (this == other) {
                return true;
            }
            if (!(other instanceof HrvUI)) {
                return false;
            }
            HrvUI hrvUI = (HrvUI) other;
            return this.today == hrvUI.today && Intrinsics.areEqual(this.data, hrvUI.data);
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r0v1, types: [int] */
        /* JADX WARN: Type inference failed for: r0v4 */
        /* JADX WARN: Type inference failed for: r0v5 */
        public int hashCode() {
            boolean z = this.today;
            ?? r0 = z;
            if (z) {
                r0 = 1;
            }
            return (r0 * 31) + this.data.hashCode();
        }

        public String toString() {
            return "HrvUI(today=" + this.today + ", data=" + this.data + ')';
        }

        /* JADX WARN: Multi-variable type inference failed */
        public HrvUI(boolean z, List<? extends QHrvLineChartView.HeartDataBean> data) {
            Intrinsics.checkNotNullParameter(data, "data");
            this.today = z;
            this.data = data;
        }

        public final boolean getToday() {
            return this.today;
        }

        public final List<QHrvLineChartView.HeartDataBean> getData() {
            return this.data;
        }
    }
}
