package com.qcwireless.qcwatch.ui.home.pressure.day;

import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Parcelable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AlphaAnimation;
import android.view.animation.ScaleAnimation;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.work.WorkRequest;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.req.StartHeartRateReq;
import com.oudmon.ble.base.communication.req.StopHeartRateReq;
import com.oudmon.ble.base.communication.rsp.StartHeartRateRsp;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.event.CalendarNotifyEvent;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.FragmentDayPressureBinding;
import com.qcwireless.qcwatch.ui.base.BaseFragment;
import com.qcwireless.qcwatch.ui.base.bean.device.DeviceSetting;
import com.qcwireless.qcwatch.ui.base.repository.entity.PressureManualEntity;
import com.qcwireless.qcwatch.ui.base.repository.healthy.PressureRepository;
import com.qcwireless.qcwatch.ui.base.view.QDateSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QPressureBarChart;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.base.view.QSettingItemTitleSubTitleSystem;
import com.qcwireless.qcwatch.ui.base.view.QStepComponentView;
import com.qcwireless.qcwatch.ui.home.pressure.RingPressureActivity;
import com.qcwireless.qcwatch.ui.home.pressure.RingPressureDetailActivity;
import com.qcwireless.qcwatch.ui.home.pressure.adapter.ManualPressureDetailAdapter;
import com.qcwireless.qcwatch.ui.home.pressure.bean.PressureDetailBean;
import com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragmentViewModel;
import com.qcwireless.ring.R;
import com.yalantis.ucrop.view.CropImageView;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.math.MathKt;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: DayPressureFragment.kt */
@Metadata(d1 = {"\u0000\u0084\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\u0007\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0006\u0018\u0000 =2\u00020\u0001:\u0001=B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010+\u001a\u00020,H\u0016J&\u0010-\u001a\u0004\u0018\u00010.2\u0006\u0010/\u001a\u0002002\b\u00101\u001a\u0004\u0018\u0001022\b\u00103\u001a\u0004\u0018\u000104H\u0016J\b\u00105\u001a\u00020,H\u0016J\u0010\u00106\u001a\u00020,2\u0006\u00107\u001a\u000208H\u0007J\b\u00109\u001a\u00020,H\u0016J\b\u0010:\u001a\u00020,H\u0016J\u0010\u0010;\u001a\u00020,2\u0006\u0010\r\u001a\u00020\u000eH\u0002J\b\u0010<\u001a\u00020,H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\u000eX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\u0010X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0011\u001a\u00020\u0012X\u0082\u0004¢\u0006\u0002\n\u0000R\u001a\u0010\u0013\u001a\u00020\u0014X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0015\u0010\u0016\"\u0004\b\u0017\u0010\u0018R\u000e\u0010\u0019\u001a\u00020\u001aX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u001b\u001a\u00020\u001aX\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u001c\u001a\u00020\u001aX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001d\u0010\u001e\"\u0004\b\u001f\u0010 R\u000e\u0010!\u001a\u00020\"X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010#\u001a\u00020\u001aX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010$\u001a\u00020\u001aX\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010%\u001a\u00020&8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b)\u0010*\u001a\u0004\b'\u0010(¨\u0006>"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/pressure/day/DayPressureFragment;", "Lcom/qcwireless/qcwatch/ui/base/BaseFragment;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/pressure/adapter/ManualPressureDetailAdapter;", "alphaAnimation", "Landroid/view/animation/AlphaAnimation;", "animation", "Landroid/view/animation/ScaleAnimation;", "binding", "Lcom/qcwireless/qcwatch/databinding/FragmentDayPressureBinding;", "countDownTimer", "Landroid/os/CountDownTimer;", "date", "Lcom/qcwireless/qc_utils/date/DateUtil;", "deviceSetting", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "handler", "Landroid/os/Handler;", "heartRunnable", "Ljava/lang/Runnable;", "getHeartRunnable", "()Ljava/lang/Runnable;", "setHeartRunnable", "(Ljava/lang/Runnable;)V", "maxPressure", "", "minPressure", "pressureValue", "getPressureValue", "()I", "setPressureValue", "(I)V", "startMeasure", "", "totalIndex", "totalPressure", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/pressure/day/DayPressureFragmentViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/pressure/day/DayPressureFragmentViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "loadDataOnce", "", "onCreateView", "Landroid/view/View;", "inflater", "Landroid/view/LayoutInflater;", "container", "Landroid/view/ViewGroup;", "savedInstanceState", "Landroid/os/Bundle;", "onDestroy", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "onResume", "onStop", "queryManualPressure", "secondsDown", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class DayPressureFragment extends BaseFragment {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private ManualPressureDetailAdapter adapter;
    private AlphaAnimation alphaAnimation;
    private ScaleAnimation animation;
    private FragmentDayPressureBinding binding;
    private CountDownTimer countDownTimer;
    private DateUtil date;
    private DeviceSetting deviceSetting;
    private final Handler handler;
    private Runnable heartRunnable;
    private int maxPressure;
    private int minPressure;
    private int pressureValue;
    private boolean startMeasure;
    private int totalIndex;
    private int totalPressure;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public DayPressureFragment() {
        final DayPressureFragment dayPressureFragment = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<DayPressureFragmentViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragmentViewModel, androidx.lifecycle.ViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final DayPressureFragmentViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(DayPressureFragmentViewModel.class), qualifier, b);
            }
        });
        this.date = new DateUtil();
        this.minPressure = 100;
        this.pressureValue = 42;
        final Looper mainLooper = Looper.getMainLooper();
        this.handler = new Handler(mainLooper) { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$handler$1
            @Override // android.os.Handler
            public void handleMessage(Message msg) {
                Intrinsics.checkNotNullParameter(msg, "msg");
                super.handleMessage(msg);
            }
        };
        this.heartRunnable = new Runnable() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda9
            @Override // java.lang.Runnable
            public final void run() {
                DayPressureFragment.m829heartRunnable$lambda12(DayPressureFragment.this);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final DayPressureFragmentViewModel getViewModel() {
        return (DayPressureFragmentViewModel) this.viewModel.getValue();
    }

    public final int getPressureValue() {
        return this.pressureValue;
    }

    public final void setPressureValue(int i) {
        this.pressureValue = i;
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        Intrinsics.checkNotNullParameter(inflater, "inflater");
        FragmentDayPressureBinding inflate = FragmentDayPressureBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        return inflate.getRoot();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment
    public void loadDataOnce() {
        super.loadDataOnce();
        EventBus.getDefault().register(this);
        ScaleAnimation scaleAnimation = new ScaleAnimation(1.0f, 1.3f, 1.0f, 1.3f, 1, 0.5f, 1, 0.5f);
        this.animation = scaleAnimation;
        scaleAnimation.setDuration(1500L);
        ScaleAnimation scaleAnimation2 = this.animation;
        FragmentDayPressureBinding fragmentDayPressureBinding = null;
        if (scaleAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation2 = null;
        }
        scaleAnimation2.setRepeatCount(-1);
        ScaleAnimation scaleAnimation3 = this.animation;
        if (scaleAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation3 = null;
        }
        scaleAnimation3.setFillAfter(true);
        AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
        this.alphaAnimation = alphaAnimation;
        alphaAnimation.setDuration(500L);
        AlphaAnimation alphaAnimation2 = this.alphaAnimation;
        if (alphaAnimation2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation2 = null;
        }
        alphaAnimation2.setRepeatMode(2);
        AlphaAnimation alphaAnimation3 = this.alphaAnimation;
        if (alphaAnimation3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation3 = null;
        }
        alphaAnimation3.setRepeatCount(60);
        getViewModel().initData(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
        this.adapter = new ManualPressureDetailAdapter(getActivity(), getViewModel().getManualList());
        FragmentDayPressureBinding fragmentDayPressureBinding2 = this.binding;
        if (fragmentDayPressureBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding2 = null;
        }
        fragmentDayPressureBinding2.rcvPressureDetail.setLayoutManager(new LinearLayoutManager(getActivity()));
        FragmentDayPressureBinding fragmentDayPressureBinding3 = this.binding;
        if (fragmentDayPressureBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding3 = null;
        }
        RecyclerView recyclerView = fragmentDayPressureBinding3.rcvPressureDetail;
        ManualPressureDetailAdapter manualPressureDetailAdapter = this.adapter;
        if (manualPressureDetailAdapter == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            manualPressureDetailAdapter = null;
        }
        recyclerView.setAdapter(manualPressureDetailAdapter);
        DayPressureFragment dayPressureFragment = this;
        getViewModel().getUiState().observe(dayPressureFragment, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda7
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                DayPressureFragment.m830loadDataOnce$lambda1(DayPressureFragment.this, (DayPressureFragmentViewModel.DayPressureUI) obj);
            }
        });
        getViewModel().queryLastData();
        final FragmentDayPressureBinding fragmentDayPressureBinding4 = this.binding;
        if (fragmentDayPressureBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding4 = null;
        }
        fragmentDayPressureBinding4.qcDateChange.setDateListener(new QDateSwitchView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$loadDataOnce$2$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateSwitchView.QDateBefore
            public void clickBefore(boolean r2, DateUtil dateUtil) {
                DayPressureFragmentViewModel viewModel;
                DateUtil dateUtil2;
                FragmentDayPressureBinding fragmentDayPressureBinding5;
                FragmentDayPressureBinding fragmentDayPressureBinding6;
                FragmentDayPressureBinding fragmentDayPressureBinding7;
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                FragmentDayPressureBinding.this.qcDateChange.setDateUtil(dateUtil);
                viewModel = this.getViewModel();
                viewModel.queryPressureByDate(dateUtil);
                this.date = dateUtil;
                this.queryManualPressure(dateUtil);
                dateUtil2 = this.date;
                FragmentDayPressureBinding fragmentDayPressureBinding8 = null;
                if (dateUtil2.isToday()) {
                    fragmentDayPressureBinding6 = this.binding;
                    if (fragmentDayPressureBinding6 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        fragmentDayPressureBinding6 = null;
                    }
                    ViewKt.visible(fragmentDayPressureBinding6.btnMeasure);
                    fragmentDayPressureBinding7 = this.binding;
                    if (fragmentDayPressureBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        fragmentDayPressureBinding8 = fragmentDayPressureBinding7;
                    }
                    ViewKt.visible(fragmentDayPressureBinding8.currHeartCtl);
                    return;
                }
                ViewKt.gone(FragmentDayPressureBinding.this.btnMeasure);
                fragmentDayPressureBinding5 = this.binding;
                if (fragmentDayPressureBinding5 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    fragmentDayPressureBinding8 = fragmentDayPressureBinding5;
                }
                ViewKt.gone(fragmentDayPressureBinding8.currHeartCtl);
            }
        });
        fragmentDayPressureBinding4.qcDateChange.setCalendarClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                DayPressureFragment.m833loadDataOnce$lambda4$lambda2(DayPressureFragment.this, view);
            }
        });
        FragmentDayPressureBinding fragmentDayPressureBinding5 = this.binding;
        if (fragmentDayPressureBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding5 = null;
        }
        fragmentDayPressureBinding5.qcPressureChart.setListener(new QPressureBarChart.OnSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda8
            @Override // com.qcwireless.qcwatch.ui.base.view.QPressureBarChart.OnSelectedListener
            public final void onSelected(QPressureBarChart.PressureDataBean pressureDataBean) {
                DayPressureFragment.m834loadDataOnce$lambda4$lambda3(DayPressureFragment.this, pressureDataBean);
            }
        });
        getViewModel().getDeviceSetting().observe(dayPressureFragment, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda6
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                DayPressureFragment.m835loadDataOnce$lambda5(DayPressureFragment.this, (DeviceSetting) obj);
            }
        });
        FragmentDayPressureBinding fragmentDayPressureBinding6 = this.binding;
        if (fragmentDayPressureBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding6 = null;
        }
        fragmentDayPressureBinding6.qcSettingPressure.setSubTitleClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                DayPressureFragment.m836loadDataOnce$lambda6(DayPressureFragment.this, view);
            }
        });
        getViewModel().getLastDate().observe(dayPressureFragment, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda5
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                DayPressureFragment.m837loadDataOnce$lambda7(DayPressureFragment.this, (DateUtil) obj);
            }
        });
        FragmentDayPressureBinding fragmentDayPressureBinding7 = this.binding;
        if (fragmentDayPressureBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding7 = null;
        }
        fragmentDayPressureBinding7.qcSettingPressure.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda4
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                DayPressureFragment.m838loadDataOnce$lambda8(DayPressureFragment.this, compoundButton, z);
            }
        });
        FragmentDayPressureBinding fragmentDayPressureBinding8 = this.binding;
        if (fragmentDayPressureBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding8 = null;
        }
        fragmentDayPressureBinding8.tvListDetail.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                DayPressureFragment.m831loadDataOnce$lambda10(DayPressureFragment.this, view);
            }
        });
        FragmentDayPressureBinding fragmentDayPressureBinding9 = this.binding;
        if (fragmentDayPressureBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding9 = null;
        }
        fragmentDayPressureBinding9.heartValueDetail.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$loadDataOnce$8
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                DateUtil dateUtil;
                Bundle bundle = new Bundle();
                dateUtil = DayPressureFragment.this.date;
                bundle.putInt("timestamp", (int) dateUtil.getUnixTimestamp());
                bundle.putInt("type", 1);
                DayPressureFragment dayPressureFragment2 = DayPressureFragment.this;
                FragmentActivity it = dayPressureFragment2.getActivity();
                if (it != null) {
                    ArrayList<Pair> arrayList = new ArrayList();
                    Intrinsics.checkNotNullExpressionValue(it, "it");
                    Intent intent = new Intent(it, (Class<?>) RingPressureDetailActivity.class);
                    intent.setFlags(1);
                    intent.putExtras(bundle);
                    for (Pair pair : arrayList) {
                        if (pair != null) {
                            String str = (String) pair.getFirst();
                            Object second = pair.getSecond();
                            if (second instanceof Integer) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                            } else if (second instanceof Byte) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                            } else if (second instanceof Character) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                            } else if (second instanceof Short) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                            } else if (second instanceof Boolean) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                            } else if (second instanceof Long) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                            } else if (second instanceof Float) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                            } else if (second instanceof Double) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                            } else if (second instanceof String) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                            } else if (second instanceof CharSequence) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                            } else if (second instanceof Parcelable) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                            } else if (second instanceof Object[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                            } else if (second instanceof ArrayList) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                            } else if (second instanceof Serializable) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                            } else if (second instanceof boolean[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                            } else if (second instanceof byte[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                            } else if (second instanceof short[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                            } else if (second instanceof char[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                            } else if (second instanceof int[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                            } else if (second instanceof long[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                            } else if (second instanceof float[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                            } else if (second instanceof double[]) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                            } else if (second instanceof Bundle) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                            } else if (second instanceof Intent) {
                                Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                            } else {
                                Unit unit = Unit.INSTANCE;
                            }
                        }
                    }
                    dayPressureFragment2.startActivity(intent);
                }
            }
        });
        FragmentDayPressureBinding fragmentDayPressureBinding10 = this.binding;
        if (fragmentDayPressureBinding10 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            fragmentDayPressureBinding = fragmentDayPressureBinding10;
        }
        fragmentDayPressureBinding.btnMeasure.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                DayPressureFragment.m832loadDataOnce$lambda11(DayPressureFragment.this, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-1, reason: not valid java name */
    public static final void m830loadDataOnce$lambda1(DayPressureFragment this$0, DayPressureFragmentViewModel.DayPressureUI dayPressureUI) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        FragmentDayPressureBinding fragmentDayPressureBinding = this$0.binding;
        FragmentDayPressureBinding fragmentDayPressureBinding2 = null;
        if (fragmentDayPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding = null;
        }
        fragmentDayPressureBinding.qcPressureChart.setData(dayPressureUI.getData());
        this$0.totalIndex = 0;
        this$0.totalPressure = 0;
        this$0.minPressure = 100;
        this$0.maxPressure = 0;
        int i = 0;
        int i2 = 0;
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        for (QPressureBarChart.PressureDataBean pressureDataBean : dayPressureUI.getData()) {
            if (pressureDataBean.getSteps() > 0) {
                i = (int) pressureDataBean.getTimeStamp();
            }
            if (pressureDataBean.getSteps() < this$0.minPressure) {
                this$0.minPressure = pressureDataBean.getSteps();
            }
            if (pressureDataBean.getSteps() > this$0.maxPressure) {
                this$0.maxPressure = pressureDataBean.getSteps();
            }
            this$0.totalPressure += pressureDataBean.getSteps();
            if (pressureDataBean.getSteps() >= 80) {
                i2++;
            } else {
                int steps = pressureDataBean.getSteps();
                if (60 <= steps && steps < 80) {
                    i3++;
                } else {
                    int steps2 = pressureDataBean.getSteps();
                    if (30 <= steps2 && steps2 < 60) {
                        i4++;
                    } else {
                        int steps3 = pressureDataBean.getSteps();
                        if (steps3 >= 0 && steps3 < 30) {
                            i5++;
                        }
                    }
                }
            }
            if (pressureDataBean.getSteps() > 0) {
                this$0.totalIndex++;
            }
        }
        if (i > 0) {
            String dayMinToStr = DateUtil.dayMinToStr(i / 60);
            FragmentDayPressureBinding fragmentDayPressureBinding3 = this$0.binding;
            if (fragmentDayPressureBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding3 = null;
            }
            fragmentDayPressureBinding3.heartValueDetail.setRightText(dayMinToStr);
        } else {
            FragmentDayPressureBinding fragmentDayPressureBinding4 = this$0.binding;
            if (fragmentDayPressureBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding4 = null;
            }
            fragmentDayPressureBinding4.heartValueDetail.setRightText("--:--");
        }
        if (!dayPressureUI.getData().isEmpty()) {
            if (this$0.totalIndex > 0) {
                AwLog.i(Author.HeZhiYuan, this$0.totalPressure + "----" + this$0.totalIndex);
                FragmentDayPressureBinding fragmentDayPressureBinding5 = this$0.binding;
                if (fragmentDayPressureBinding5 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding5 = null;
                }
                fragmentDayPressureBinding5.tvAvgValue.setText(String.valueOf(MathKt.roundToInt((this$0.totalPressure * 1.0f) / this$0.totalIndex)));
                FragmentDayPressureBinding fragmentDayPressureBinding6 = this$0.binding;
                if (fragmentDayPressureBinding6 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding6 = null;
                }
                fragmentDayPressureBinding6.tvMinValue.setText(String.valueOf(this$0.minPressure));
                FragmentDayPressureBinding fragmentDayPressureBinding7 = this$0.binding;
                if (fragmentDayPressureBinding7 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding7 = null;
                }
                fragmentDayPressureBinding7.tvMaxValue.setText(String.valueOf(this$0.maxPressure));
            } else {
                FragmentDayPressureBinding fragmentDayPressureBinding8 = this$0.binding;
                if (fragmentDayPressureBinding8 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding8 = null;
                }
                fragmentDayPressureBinding8.tvAvgValue.setText("--");
                FragmentDayPressureBinding fragmentDayPressureBinding9 = this$0.binding;
                if (fragmentDayPressureBinding9 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding9 = null;
                }
                fragmentDayPressureBinding9.tvMinValue.setText("--");
                FragmentDayPressureBinding fragmentDayPressureBinding10 = this$0.binding;
                if (fragmentDayPressureBinding10 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding10 = null;
                }
                fragmentDayPressureBinding10.tvMaxValue.setText("--");
            }
            FragmentDayPressureBinding fragmentDayPressureBinding11 = this$0.binding;
            if (fragmentDayPressureBinding11 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding11 = null;
            }
            QStepComponentView qStepComponentView = fragmentDayPressureBinding11.pressureTotal;
            String string = this$0.getString(R.string.qc_text_6666562);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6666562)");
            qStepComponentView.setTitleUnit(string);
            FragmentDayPressureBinding fragmentDayPressureBinding12 = this$0.binding;
            if (fragmentDayPressureBinding12 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding12 = null;
            }
            QStepComponentView qStepComponentView2 = fragmentDayPressureBinding12.pressureAvg;
            String string2 = this$0.getString(R.string.qc_text_6666562);
            Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_6666562)");
            qStepComponentView2.setTitleUnit(string2);
            int[] iArr = {0, 0, 0, 0, 0};
            iArr[0] = i5;
            iArr[1] = i4;
            iArr[2] = i3;
            iArr[3] = i2;
            int i6 = i4 + i5 + i3 + i2;
            if (i6 > 0) {
                FragmentDayPressureBinding fragmentDayPressureBinding13 = this$0.binding;
                if (fragmentDayPressureBinding13 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding13 = null;
                }
                fragmentDayPressureBinding13.heartCircleView.dataPressureInit(iArr);
                float f = i6;
                float f2 = 100;
                int round = Math.round(((i5 * 1.0f) / f) * f2);
                int round2 = Math.round(((i3 * 1.0f) / f) * f2);
                int round3 = Math.round(((i2 * 1.0f) / f) * f2);
                int i7 = ((100 - round) - round2) - round3;
                FragmentDayPressureBinding fragmentDayPressureBinding14 = this$0.binding;
                if (fragmentDayPressureBinding14 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding14 = null;
                }
                TextView textView = fragmentDayPressureBinding14.tvValue1;
                StringBuilder sb = new StringBuilder();
                sb.append(round);
                sb.append('%');
                textView.setText(sb.toString());
                FragmentDayPressureBinding fragmentDayPressureBinding15 = this$0.binding;
                if (fragmentDayPressureBinding15 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding15 = null;
                }
                TextView textView2 = fragmentDayPressureBinding15.tvValue2;
                StringBuilder sb2 = new StringBuilder();
                sb2.append(i7);
                sb2.append('%');
                textView2.setText(sb2.toString());
                FragmentDayPressureBinding fragmentDayPressureBinding16 = this$0.binding;
                if (fragmentDayPressureBinding16 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding16 = null;
                }
                TextView textView3 = fragmentDayPressureBinding16.tvValue4;
                StringBuilder sb3 = new StringBuilder();
                sb3.append(round2);
                sb3.append('%');
                textView3.setText(sb3.toString());
                FragmentDayPressureBinding fragmentDayPressureBinding17 = this$0.binding;
                if (fragmentDayPressureBinding17 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    fragmentDayPressureBinding2 = fragmentDayPressureBinding17;
                }
                TextView textView4 = fragmentDayPressureBinding2.tvValue5;
                StringBuilder sb4 = new StringBuilder();
                sb4.append(round3);
                sb4.append('%');
                textView4.setText(sb4.toString());
                return;
            }
            return;
        }
        int[] iArr2 = {0, 0, 0, 0, 0};
        FragmentDayPressureBinding fragmentDayPressureBinding18 = this$0.binding;
        if (fragmentDayPressureBinding18 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding18 = null;
        }
        fragmentDayPressureBinding18.heartCircleView.dataPressureInit(iArr2);
        ArrayList arrayList = new ArrayList();
        for (int i8 = 0; i8 < 48; i8++) {
            arrayList.add(new QPressureBarChart.PressureDataBean(i8 * 1800, 0));
        }
        FragmentDayPressureBinding fragmentDayPressureBinding19 = this$0.binding;
        if (fragmentDayPressureBinding19 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding19 = null;
        }
        fragmentDayPressureBinding19.qcPressureChart.setData(arrayList);
        FragmentDayPressureBinding fragmentDayPressureBinding20 = this$0.binding;
        if (fragmentDayPressureBinding20 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding20 = null;
        }
        fragmentDayPressureBinding20.tvValue1.setText("0%");
        FragmentDayPressureBinding fragmentDayPressureBinding21 = this$0.binding;
        if (fragmentDayPressureBinding21 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding21 = null;
        }
        fragmentDayPressureBinding21.tvValue2.setText("0%");
        FragmentDayPressureBinding fragmentDayPressureBinding22 = this$0.binding;
        if (fragmentDayPressureBinding22 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding22 = null;
        }
        fragmentDayPressureBinding22.tvValue4.setText("0%");
        FragmentDayPressureBinding fragmentDayPressureBinding23 = this$0.binding;
        if (fragmentDayPressureBinding23 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding23 = null;
        }
        fragmentDayPressureBinding23.tvValue5.setText("0%");
        FragmentDayPressureBinding fragmentDayPressureBinding24 = this$0.binding;
        if (fragmentDayPressureBinding24 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding24 = null;
        }
        fragmentDayPressureBinding24.pressureTotal.setTitleValue("--");
        FragmentDayPressureBinding fragmentDayPressureBinding25 = this$0.binding;
        if (fragmentDayPressureBinding25 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding25 = null;
        }
        fragmentDayPressureBinding25.pressureTotal.setTitleUnit("--");
        FragmentDayPressureBinding fragmentDayPressureBinding26 = this$0.binding;
        if (fragmentDayPressureBinding26 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding26 = null;
        }
        fragmentDayPressureBinding26.pressureAvg.setTitleValue("--");
        FragmentDayPressureBinding fragmentDayPressureBinding27 = this$0.binding;
        if (fragmentDayPressureBinding27 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding27 = null;
        }
        fragmentDayPressureBinding27.pressureAvg.setTitleUnit("--");
        FragmentDayPressureBinding fragmentDayPressureBinding28 = this$0.binding;
        if (fragmentDayPressureBinding28 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding28 = null;
        }
        fragmentDayPressureBinding28.tvAvgValue.setText("--");
        FragmentDayPressureBinding fragmentDayPressureBinding29 = this$0.binding;
        if (fragmentDayPressureBinding29 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding29 = null;
        }
        fragmentDayPressureBinding29.tvMinValue.setText("--");
        FragmentDayPressureBinding fragmentDayPressureBinding30 = this$0.binding;
        if (fragmentDayPressureBinding30 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            fragmentDayPressureBinding2 = fragmentDayPressureBinding30;
        }
        fragmentDayPressureBinding2.tvMaxValue.setText("--");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-4$lambda-2, reason: not valid java name */
    public static final void m833loadDataOnce$lambda4$lambda2(DayPressureFragment this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ((RingPressureActivity) this$0.getActivity()).doCalendar(this$0.date);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-4$lambda-3, reason: not valid java name */
    public static final void m834loadDataOnce$lambda4$lambda3(DayPressureFragment this$0, QPressureBarChart.PressureDataBean pressureDataBean) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (pressureDataBean != null) {
            FragmentDayPressureBinding fragmentDayPressureBinding = null;
            if (pressureDataBean.getSteps() > 0) {
                FragmentDayPressureBinding fragmentDayPressureBinding2 = this$0.binding;
                if (fragmentDayPressureBinding2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding2 = null;
                }
                fragmentDayPressureBinding2.tvPressureRange.setText(DateUtil.dayMinToStr((int) (pressureDataBean.getTimeStamp() / 60)));
                FragmentDayPressureBinding fragmentDayPressureBinding3 = this$0.binding;
                if (fragmentDayPressureBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding3 = null;
                }
                fragmentDayPressureBinding3.tvDayPressure.setText(String.valueOf(pressureDataBean.getSteps()));
                FragmentDayPressureBinding fragmentDayPressureBinding4 = this$0.binding;
                if (fragmentDayPressureBinding4 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    fragmentDayPressureBinding = fragmentDayPressureBinding4;
                }
                fragmentDayPressureBinding.tvDayPressureUnit.setText(this$0.getString(R.string.qc_text_6666562));
                return;
            }
            FragmentDayPressureBinding fragmentDayPressureBinding5 = this$0.binding;
            if (fragmentDayPressureBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding5 = null;
            }
            fragmentDayPressureBinding5.tvDayPressure.setText("--");
            FragmentDayPressureBinding fragmentDayPressureBinding6 = this$0.binding;
            if (fragmentDayPressureBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding6 = null;
            }
            fragmentDayPressureBinding6.tvDayPressureUnit.setText("");
            FragmentDayPressureBinding fragmentDayPressureBinding7 = this$0.binding;
            if (fragmentDayPressureBinding7 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                fragmentDayPressureBinding = fragmentDayPressureBinding7;
            }
            fragmentDayPressureBinding.tvPressureRange.setText(DateUtil.dayMinToStr((int) (pressureDataBean.getTimeStamp() / 60)));
            return;
        }
        AwLog.i(Author.HeZhiYuan, "-----");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-5, reason: not valid java name */
    public static final void m835loadDataOnce$lambda5(DayPressureFragment this$0, DeviceSetting it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.deviceSetting = it;
        FragmentDayPressureBinding fragmentDayPressureBinding = this$0.binding;
        if (fragmentDayPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding = null;
        }
        fragmentDayPressureBinding.qcSettingPressure.setChecked(it.getPressureDetection());
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-6, reason: not valid java name */
    public static final void m836loadDataOnce$lambda6(DayPressureFragment this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        FragmentDayPressureBinding fragmentDayPressureBinding = this$0.binding;
        FragmentDayPressureBinding fragmentDayPressureBinding2 = null;
        if (fragmentDayPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding = null;
        }
        if (fragmentDayPressureBinding.qcSettingPressure.getTextLines() == 2) {
            FragmentDayPressureBinding fragmentDayPressureBinding3 = this$0.binding;
            if (fragmentDayPressureBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding3 = null;
            }
            fragmentDayPressureBinding3.qcSettingPressure.startAnim(180.0f);
            FragmentDayPressureBinding fragmentDayPressureBinding4 = this$0.binding;
            if (fragmentDayPressureBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                fragmentDayPressureBinding2 = fragmentDayPressureBinding4;
            }
            fragmentDayPressureBinding2.qcSettingPressure.setTextLines(20);
            return;
        }
        FragmentDayPressureBinding fragmentDayPressureBinding5 = this$0.binding;
        if (fragmentDayPressureBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding5 = null;
        }
        fragmentDayPressureBinding5.qcSettingPressure.startAnim(360.0f);
        FragmentDayPressureBinding fragmentDayPressureBinding6 = this$0.binding;
        if (fragmentDayPressureBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            fragmentDayPressureBinding2 = fragmentDayPressureBinding6;
        }
        fragmentDayPressureBinding2.qcSettingPressure.setTextLines(2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-7, reason: not valid java name */
    public static final void m837loadDataOnce$lambda7(DayPressureFragment this$0, DateUtil it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        FragmentDayPressureBinding fragmentDayPressureBinding = this$0.binding;
        FragmentDayPressureBinding fragmentDayPressureBinding2 = null;
        if (fragmentDayPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding = null;
        }
        QDateSwitchView qDateSwitchView = fragmentDayPressureBinding.qcDateChange;
        Intrinsics.checkNotNullExpressionValue(it, "it");
        qDateSwitchView.setDateUtil(it);
        AwLog.i(Author.HeZhiYuan, it.getY_M_D());
        this$0.getViewModel().queryPressureByDate(it);
        this$0.queryManualPressure(it);
        this$0.date = it;
        if (it.isToday()) {
            FragmentDayPressureBinding fragmentDayPressureBinding3 = this$0.binding;
            if (fragmentDayPressureBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding3 = null;
            }
            ViewKt.visible(fragmentDayPressureBinding3.btnMeasure);
            FragmentDayPressureBinding fragmentDayPressureBinding4 = this$0.binding;
            if (fragmentDayPressureBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                fragmentDayPressureBinding2 = fragmentDayPressureBinding4;
            }
            ViewKt.visible(fragmentDayPressureBinding2.currHeartCtl);
            return;
        }
        FragmentDayPressureBinding fragmentDayPressureBinding5 = this$0.binding;
        if (fragmentDayPressureBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding5 = null;
        }
        ViewKt.gone(fragmentDayPressureBinding5.btnMeasure);
        FragmentDayPressureBinding fragmentDayPressureBinding6 = this$0.binding;
        if (fragmentDayPressureBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            fragmentDayPressureBinding2 = fragmentDayPressureBinding6;
        }
        ViewKt.gone(fragmentDayPressureBinding2.currHeartCtl);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-8, reason: not valid java name */
    public static final void m838loadDataOnce$lambda8(DayPressureFragment this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 != null) {
                if (deviceSetting2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                    deviceSetting2 = null;
                }
                deviceSetting2.setPressureDetection(z);
                DayPressureFragmentViewModel viewModel = this$0.getViewModel();
                String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                DeviceSetting deviceSetting3 = this$0.deviceSetting;
                if (deviceSetting3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                } else {
                    deviceSetting = deviceSetting3;
                }
                viewModel.saveDeviceSetting(deviceAddressNoClear, deviceSetting);
                return;
            }
            return;
        }
        FragmentDayPressureBinding fragmentDayPressureBinding = this$0.binding;
        if (fragmentDayPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding = null;
        }
        QSettingItemTitleSubTitleSystem qSettingItemTitleSubTitleSystem = fragmentDayPressureBinding.qcSettingPressure;
        DeviceSetting deviceSetting4 = this$0.deviceSetting;
        if (deviceSetting4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting4 = null;
        }
        qSettingItemTitleSubTitleSystem.setChecked(deviceSetting4.getPressureDetection());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-10, reason: not valid java name */
    public static final void m831loadDataOnce$lambda10(DayPressureFragment this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Bundle bundle = new Bundle();
        bundle.putInt("timestamp", (int) this$0.date.getUnixTimestamp());
        bundle.putInt("type", 2);
        DayPressureFragment dayPressureFragment = this$0;
        FragmentActivity it = dayPressureFragment.getActivity();
        if (it != null) {
            ArrayList<Pair> arrayList = new ArrayList();
            Intrinsics.checkNotNullExpressionValue(it, "it");
            Intent intent = new Intent(it, (Class<?>) RingPressureDetailActivity.class);
            intent.setFlags(1);
            intent.putExtras(bundle);
            for (Pair pair : arrayList) {
                if (pair != null) {
                    String str = (String) pair.getFirst();
                    Object second = pair.getSecond();
                    if (second instanceof Integer) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                    } else if (second instanceof Byte) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                    } else if (second instanceof Character) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                    } else if (second instanceof Short) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                    } else if (second instanceof Boolean) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                    } else if (second instanceof Long) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                    } else if (second instanceof Float) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                    } else if (second instanceof Double) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                    } else if (second instanceof String) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                    } else if (second instanceof CharSequence) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                    } else if (second instanceof Parcelable) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                    } else if (second instanceof Object[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof ArrayList) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof Serializable) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof boolean[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                    } else if (second instanceof byte[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                    } else if (second instanceof short[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                    } else if (second instanceof char[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                    } else if (second instanceof int[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                    } else if (second instanceof long[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                    } else if (second instanceof float[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                    } else if (second instanceof double[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                    } else if (second instanceof Bundle) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                    } else if (second instanceof Intent) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                    } else {
                        Unit unit = Unit.INSTANCE;
                    }
                }
            }
            dayPressureFragment.startActivity(intent);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-11, reason: not valid java name */
    public static final void m832loadDataOnce$lambda11(final DayPressureFragment this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        FragmentDayPressureBinding fragmentDayPressureBinding = null;
        if (!BleOperateManager.getInstance().isConnected()) {
            String string = this$0.getString(R.string.qc_text_75);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        FragmentDayPressureBinding fragmentDayPressureBinding2 = this$0.binding;
        if (fragmentDayPressureBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding2 = null;
        }
        fragmentDayPressureBinding2.tvCurrHeart.setText("--");
        FragmentDayPressureBinding fragmentDayPressureBinding3 = this$0.binding;
        if (fragmentDayPressureBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding3 = null;
        }
        fragmentDayPressureBinding3.tvHeartTime.setText("");
        FragmentDayPressureBinding fragmentDayPressureBinding4 = this$0.binding;
        if (fragmentDayPressureBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding4 = null;
        }
        ImageView imageView = fragmentDayPressureBinding4.imageHeart;
        ScaleAnimation scaleAnimation = this$0.animation;
        if (scaleAnimation == null) {
            Intrinsics.throwUninitializedPropertyAccessException("animation");
            scaleAnimation = null;
        }
        imageView.startAnimation(scaleAnimation);
        FragmentDayPressureBinding fragmentDayPressureBinding5 = this$0.binding;
        if (fragmentDayPressureBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding5 = null;
        }
        TextView textView = fragmentDayPressureBinding5.tvCurrHeart;
        AlphaAnimation alphaAnimation = this$0.alphaAnimation;
        if (alphaAnimation == null) {
            Intrinsics.throwUninitializedPropertyAccessException("alphaAnimation");
            alphaAnimation = null;
        }
        textView.startAnimation(alphaAnimation);
        if (!this$0.startMeasure) {
            this$0.startMeasure = true;
            this$0.secondsDown();
            FragmentDayPressureBinding fragmentDayPressureBinding6 = this$0.binding;
            if (fragmentDayPressureBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                fragmentDayPressureBinding = fragmentDayPressureBinding6;
            }
            fragmentDayPressureBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660011));
            CommandHandle.getInstance().executeReqCmd(StartHeartRateReq.getSimpleReq((byte) 8), new ICommandResponse<StartHeartRateRsp>() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$loadDataOnce$9$1
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public void onDataResponse(StartHeartRateRsp resultEntity) {
                    FragmentDayPressureBinding fragmentDayPressureBinding7;
                    FragmentDayPressureBinding fragmentDayPressureBinding8;
                    CountDownTimer countDownTimer;
                    FragmentDayPressureBinding fragmentDayPressureBinding9;
                    Handler handler;
                    Handler handler2;
                    FragmentDayPressureBinding fragmentDayPressureBinding10;
                    FragmentDayPressureBinding fragmentDayPressureBinding11;
                    int value;
                    boolean z;
                    FragmentDayPressureBinding fragmentDayPressureBinding12;
                    CountDownTimer countDownTimer2;
                    FragmentDayPressureBinding fragmentDayPressureBinding13;
                    Intrinsics.checkNotNullParameter(resultEntity, "resultEntity");
                    FragmentDayPressureBinding fragmentDayPressureBinding14 = null;
                    if (resultEntity.getErrCode() == 0 && resultEntity.getType() == 8) {
                        if (resultEntity.getValue() > 0) {
                            DayPressureFragment dayPressureFragment = DayPressureFragment.this;
                            if (resultEntity.getValue() > 50) {
                                value = new Random().nextInt(20) + 30;
                            } else {
                                value = resultEntity.getValue();
                            }
                            dayPressureFragment.setPressureValue(value);
                            z = DayPressureFragment.this.startMeasure;
                            if (z) {
                                fragmentDayPressureBinding12 = DayPressureFragment.this.binding;
                                if (fragmentDayPressureBinding12 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    fragmentDayPressureBinding12 = null;
                                }
                                fragmentDayPressureBinding12.tvCurrHeart.setText(String.valueOf(DayPressureFragment.this.getPressureValue()));
                                AwLog.i(Author.HeZhiYuan, Byte.valueOf(resultEntity.getValue()));
                                countDownTimer2 = DayPressureFragment.this.countDownTimer;
                                if (countDownTimer2 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                                    countDownTimer2 = null;
                                }
                                countDownTimer2.cancel();
                                fragmentDayPressureBinding13 = DayPressureFragment.this.binding;
                                if (fragmentDayPressureBinding13 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                } else {
                                    fragmentDayPressureBinding14 = fragmentDayPressureBinding13;
                                }
                                fragmentDayPressureBinding14.tvCurrHeart.clearAnimation();
                                return;
                            }
                            return;
                        }
                        return;
                    }
                    if (resultEntity.getErrCode() == 1) {
                        String string2 = DayPressureFragment.this.getString(R.string.qc_text_6666064);
                        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_6666064)");
                        GlobalKt.showToast$default(string2, 0, 1, null);
                    }
                    DayPressureFragment.this.startMeasure = false;
                    fragmentDayPressureBinding7 = DayPressureFragment.this.binding;
                    if (fragmentDayPressureBinding7 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        fragmentDayPressureBinding7 = null;
                    }
                    fragmentDayPressureBinding7.imageHeart.clearAnimation();
                    fragmentDayPressureBinding8 = DayPressureFragment.this.binding;
                    if (fragmentDayPressureBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        fragmentDayPressureBinding8 = null;
                    }
                    fragmentDayPressureBinding8.tvCurrHeart.clearAnimation();
                    countDownTimer = DayPressureFragment.this.countDownTimer;
                    if (countDownTimer == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                        countDownTimer = null;
                    }
                    countDownTimer.cancel();
                    fragmentDayPressureBinding9 = DayPressureFragment.this.binding;
                    if (fragmentDayPressureBinding9 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        fragmentDayPressureBinding9 = null;
                    }
                    fragmentDayPressureBinding9.btnMeasure.setText(DayPressureFragment.this.getString(R.string.qc_text_76660010));
                    handler = DayPressureFragment.this.handler;
                    handler.removeCallbacks(DayPressureFragment.this.getHeartRunnable());
                    if (resultEntity.getErrCode() != 0) {
                        handler2 = DayPressureFragment.this.handler;
                        handler2.removeCallbacks(DayPressureFragment.this.getHeartRunnable());
                        fragmentDayPressureBinding10 = DayPressureFragment.this.binding;
                        if (fragmentDayPressureBinding10 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            fragmentDayPressureBinding10 = null;
                        }
                        fragmentDayPressureBinding10.tvCurrHeart.setText("--");
                        fragmentDayPressureBinding11 = DayPressureFragment.this.binding;
                        if (fragmentDayPressureBinding11 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                        } else {
                            fragmentDayPressureBinding14 = fragmentDayPressureBinding11;
                        }
                        fragmentDayPressureBinding14.tvHeartTime.setText("");
                    }
                }
            });
            this$0.handler.removeCallbacks(this$0.heartRunnable);
            this$0.handler.postDelayed(this$0.heartRunnable, WorkRequest.DEFAULT_BACKOFF_DELAY_MILLIS);
            return;
        }
        this$0.startMeasure = false;
        FragmentDayPressureBinding fragmentDayPressureBinding7 = this$0.binding;
        if (fragmentDayPressureBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding7 = null;
        }
        fragmentDayPressureBinding7.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        this$0.handler.removeCallbacks(this$0.heartRunnable);
        FragmentDayPressureBinding fragmentDayPressureBinding8 = this$0.binding;
        if (fragmentDayPressureBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding8 = null;
        }
        fragmentDayPressureBinding8.imageHeart.clearAnimation();
        FragmentDayPressureBinding fragmentDayPressureBinding9 = this$0.binding;
        if (fragmentDayPressureBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding9 = null;
        }
        fragmentDayPressureBinding9.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopPressure((byte) 0), null);
    }

    public final Runnable getHeartRunnable() {
        return this.heartRunnable;
    }

    public final void setHeartRunnable(Runnable runnable) {
        Intrinsics.checkNotNullParameter(runnable, "<set-?>");
        this.heartRunnable = runnable;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: heartRunnable$lambda-12, reason: not valid java name */
    public static final void m829heartRunnable$lambda12(DayPressureFragment this$0) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.startMeasure = false;
        FragmentDayPressureBinding fragmentDayPressureBinding = this$0.binding;
        if (fragmentDayPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding = null;
        }
        fragmentDayPressureBinding.btnMeasure.setText(this$0.getString(R.string.qc_text_76660010));
        FragmentDayPressureBinding fragmentDayPressureBinding2 = this$0.binding;
        if (fragmentDayPressureBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding2 = null;
        }
        fragmentDayPressureBinding2.imageHeart.clearAnimation();
        FragmentDayPressureBinding fragmentDayPressureBinding3 = this$0.binding;
        if (fragmentDayPressureBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding3 = null;
        }
        fragmentDayPressureBinding3.tvCurrHeart.clearAnimation();
        CountDownTimer countDownTimer = this$0.countDownTimer;
        if (countDownTimer == null) {
            Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
            countDownTimer = null;
        }
        countDownTimer.cancel();
        DateUtil dateUtil = new DateUtil();
        FragmentDayPressureBinding fragmentDayPressureBinding4 = this$0.binding;
        if (fragmentDayPressureBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding4 = null;
        }
        fragmentDayPressureBinding4.tvHeartTime.setText(dateUtil.getY_M_D_H_M_S());
        CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopPressure((byte) this$0.pressureValue), null);
        PressureRepository.INSTANCE.getGetInstance().saveManualPressure(dateUtil.getUnixTimestamp(), this$0.pressureValue);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void queryManualPressure(final DateUtil date) {
        ThreadExtKt.ktxRunOnBgFix(this, new Function1<DayPressureFragment, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$queryManualPressure$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(DayPressureFragment dayPressureFragment) {
                invoke2(dayPressureFragment);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(DayPressureFragment ktxRunOnBgFix) {
                DayPressureFragmentViewModel viewModel;
                DayPressureFragmentViewModel viewModel2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgFix, "$this$ktxRunOnBgFix");
                List<PressureManualEntity> queryManualPressure = PressureRepository.INSTANCE.getGetInstance().queryManualPressure(DateUtil.this);
                viewModel = ktxRunOnBgFix.getViewModel();
                viewModel.getManualList().clear();
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(queryManualPressure.size()));
                for (PressureManualEntity pressureManualEntity : queryManualPressure) {
                    viewModel2 = ktxRunOnBgFix.getViewModel();
                    viewModel2.getManualList().add(new PressureDetailBean(pressureManualEntity.getTimestamp(), pressureManualEntity.getPressure()));
                }
                final DateUtil dateUtil = DateUtil.this;
                ThreadExtKt.ktxRunOnUi(ktxRunOnBgFix, new Function1<DayPressureFragment, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$queryManualPressure$1.2
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(DayPressureFragment dayPressureFragment) {
                        invoke2(dayPressureFragment);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(DayPressureFragment ktxRunOnUi) {
                        DayPressureFragmentViewModel viewModel3;
                        FragmentDayPressureBinding fragmentDayPressureBinding;
                        FragmentDayPressureBinding fragmentDayPressureBinding2;
                        FragmentDayPressureBinding fragmentDayPressureBinding3;
                        ManualPressureDetailAdapter manualPressureDetailAdapter;
                        FragmentDayPressureBinding fragmentDayPressureBinding4;
                        FragmentDayPressureBinding fragmentDayPressureBinding5;
                        FragmentDayPressureBinding fragmentDayPressureBinding6;
                        FragmentDayPressureBinding fragmentDayPressureBinding7;
                        FragmentDayPressureBinding fragmentDayPressureBinding8;
                        FragmentDayPressureBinding fragmentDayPressureBinding9;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        viewModel3 = ktxRunOnUi.getViewModel();
                        ManualPressureDetailAdapter manualPressureDetailAdapter2 = null;
                        if (viewModel3.getManualList().size() != 0) {
                            fragmentDayPressureBinding = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding = null;
                            }
                            ViewKt.visible(fragmentDayPressureBinding.rcvPressureDetail);
                            fragmentDayPressureBinding2 = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding2 = null;
                            }
                            ViewKt.gone(fragmentDayPressureBinding2.tvNoData);
                            fragmentDayPressureBinding3 = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding3 = null;
                            }
                            ViewKt.visible(fragmentDayPressureBinding3.rcvDetailLayout);
                        } else if (DateUtil.this.isToday()) {
                            fragmentDayPressureBinding7 = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding7 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding7 = null;
                            }
                            ViewKt.visible(fragmentDayPressureBinding7.rcvDetailLayout);
                            fragmentDayPressureBinding8 = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding8 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding8 = null;
                            }
                            ViewKt.gone(fragmentDayPressureBinding8.rcvPressureDetail);
                            fragmentDayPressureBinding9 = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding9 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding9 = null;
                            }
                            ViewKt.visible(fragmentDayPressureBinding9.tvNoData);
                        } else {
                            fragmentDayPressureBinding4 = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding4 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding4 = null;
                            }
                            ViewKt.visible(fragmentDayPressureBinding4.rcvPressureDetail);
                            fragmentDayPressureBinding5 = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding5 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding5 = null;
                            }
                            ViewKt.gone(fragmentDayPressureBinding5.tvNoData);
                            fragmentDayPressureBinding6 = ktxRunOnUi.binding;
                            if (fragmentDayPressureBinding6 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding6 = null;
                            }
                            ViewKt.gone(fragmentDayPressureBinding6.rcvDetailLayout);
                        }
                        manualPressureDetailAdapter = ktxRunOnUi.adapter;
                        if (manualPressureDetailAdapter == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("adapter");
                        } else {
                            manualPressureDetailAdapter2 = manualPressureDetailAdapter;
                        }
                        manualPressureDetailAdapter2.notifyDataSetChanged();
                    }
                });
            }
        });
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        if (messageEvent instanceof ManualRefreshEvent) {
            queryManualPressure(this.date);
            return;
        }
        if (messageEvent instanceof CalendarNotifyEvent) {
            DateUtil date = ((CalendarNotifyEvent) messageEvent).getDate();
            this.date = date;
            FragmentDayPressureBinding fragmentDayPressureBinding = this.binding;
            FragmentDayPressureBinding fragmentDayPressureBinding2 = null;
            if (fragmentDayPressureBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding = null;
            }
            fragmentDayPressureBinding.qcDateChange.setDateUtil(date);
            AwLog.i(Author.HeZhiYuan, this.date.getY_M_D());
            getViewModel().queryPressureByDate(this.date);
            queryManualPressure(this.date);
            if (this.date.isToday()) {
                FragmentDayPressureBinding fragmentDayPressureBinding3 = this.binding;
                if (fragmentDayPressureBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding3 = null;
                }
                ViewKt.visible(fragmentDayPressureBinding3.btnMeasure);
                FragmentDayPressureBinding fragmentDayPressureBinding4 = this.binding;
                if (fragmentDayPressureBinding4 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    fragmentDayPressureBinding2 = fragmentDayPressureBinding4;
                }
                ViewKt.visible(fragmentDayPressureBinding2.currHeartCtl);
                return;
            }
            FragmentDayPressureBinding fragmentDayPressureBinding5 = this.binding;
            if (fragmentDayPressureBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDayPressureBinding5 = null;
            }
            ViewKt.gone(fragmentDayPressureBinding5.btnMeasure);
            FragmentDayPressureBinding fragmentDayPressureBinding6 = this.binding;
            if (fragmentDayPressureBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                fragmentDayPressureBinding2 = fragmentDayPressureBinding6;
            }
            ViewKt.gone(fragmentDayPressureBinding2.currHeartCtl);
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        FragmentDayPressureBinding fragmentDayPressureBinding = this.binding;
        if (fragmentDayPressureBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDayPressureBinding = null;
        }
        fragmentDayPressureBinding.btnMeasure.setText(getString(R.string.qc_text_76660010));
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public void onStop() {
        super.onStop();
        try {
            if (this.startMeasure) {
                this.startMeasure = false;
                this.handler.removeCallbacks(this.heartRunnable);
                CountDownTimer countDownTimer = this.countDownTimer;
                if (countDownTimer == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("countDownTimer");
                    countDownTimer = null;
                }
                countDownTimer.cancel();
                FragmentDayPressureBinding fragmentDayPressureBinding = this.binding;
                if (fragmentDayPressureBinding == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding = null;
                }
                fragmentDayPressureBinding.tvCurrHeart.setText("--");
                FragmentDayPressureBinding fragmentDayPressureBinding2 = this.binding;
                if (fragmentDayPressureBinding2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding2 = null;
                }
                fragmentDayPressureBinding2.tvCurrHeart.clearAnimation();
                FragmentDayPressureBinding fragmentDayPressureBinding3 = this.binding;
                if (fragmentDayPressureBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentDayPressureBinding3 = null;
                }
                fragmentDayPressureBinding3.imageHeart.clearAnimation();
                CommandHandle.getInstance().executeReqCmd(StopHeartRateReq.stopPressure((byte) 0), null);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        EventBus.getDefault().unregister(this);
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$secondsDown$1] */
    private final void secondsDown() {
        final long j = 25000;
        CountDownTimer start = new CountDownTimer(j) { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$secondsDown$1
            @Override // android.os.CountDownTimer
            public void onFinish() {
            }

            @Override // android.os.CountDownTimer
            public void onTick(long p0) {
                if (((int) (p0 / CropImageView.DEFAULT_IMAGE_TO_CROP_BOUNDS_ANIM_DURATION)) % 2 == 0) {
                    final DayPressureFragment dayPressureFragment = DayPressureFragment.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<DayPressureFragment$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$secondsDown$1$onTick$1
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(DayPressureFragment$secondsDown$1 dayPressureFragment$secondsDown$1) {
                            invoke2(dayPressureFragment$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(DayPressureFragment$secondsDown$1 ktxRunOnUi) {
                            FragmentDayPressureBinding fragmentDayPressureBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            fragmentDayPressureBinding = DayPressureFragment.this.binding;
                            if (fragmentDayPressureBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding = null;
                            }
                            fragmentDayPressureBinding.tvCurrHeart.setText("--");
                        }
                    });
                } else {
                    final DayPressureFragment dayPressureFragment2 = DayPressureFragment.this;
                    ThreadExtKt.ktxRunOnUi(this, new Function1<DayPressureFragment$secondsDown$1, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.pressure.day.DayPressureFragment$secondsDown$1$onTick$2
                        /* JADX INFO: Access modifiers changed from: package-private */
                        {
                            super(1);
                        }

                        @Override // kotlin.jvm.functions.Function1
                        public /* bridge */ /* synthetic */ Unit invoke(DayPressureFragment$secondsDown$1 dayPressureFragment$secondsDown$1) {
                            invoke2(dayPressureFragment$secondsDown$1);
                            return Unit.INSTANCE;
                        }

                        /* renamed from: invoke, reason: avoid collision after fix types in other method */
                        public final void invoke2(DayPressureFragment$secondsDown$1 ktxRunOnUi) {
                            FragmentDayPressureBinding fragmentDayPressureBinding;
                            Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                            fragmentDayPressureBinding = DayPressureFragment.this.binding;
                            if (fragmentDayPressureBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                fragmentDayPressureBinding = null;
                            }
                            fragmentDayPressureBinding.tvCurrHeart.setText("-");
                        }
                    });
                }
            }
        }.start();
        Intrinsics.checkNotNullExpressionValue(start, "private fun secondsDown(…\n\n        }.start()\n    }");
        this.countDownTimer = start;
    }

    /* compiled from: DayPressureFragment.kt */
    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/pressure/day/DayPressureFragment$Companion;", "", "()V", "newInstance", "Lcom/qcwireless/qcwatch/ui/home/pressure/day/DayPressureFragment;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final DayPressureFragment newInstance() {
            return new DayPressureFragment();
        }
    }
}
