package com.qcwireless.qcwatch.ui.home.sleep.day;

import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.king.zxing.util.CodeUtils;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.event.CalendarNotifyEvent;
import com.qcwireless.qcwatch.base.event.HomeStepRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.FragmentDaySleepBinding;
import com.qcwireless.qcwatch.ui.activity.MainActivity;
import com.qcwireless.qcwatch.ui.base.BaseFragment;
import com.qcwireless.qcwatch.ui.base.view.QDateSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QSleepBarChart;
import com.qcwireless.qcwatch.ui.home.sleep.SleepActivity;
import com.qcwireless.qcwatch.ui.home.sleep.aigo.AlSleepUtil;
import com.qcwireless.qcwatch.ui.home.sleep.bean.SleepViewBean;
import com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragmentViewModel;
import com.qcwireless.ring.R;
import java.util.Arrays;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.jvm.internal.StringCompanionObject;
import kotlin.math.MathKt;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;
import skin.support.content.res.SkinCompatResources;

/* compiled from: DaySleepFragment.kt */
@Metadata(d1 = {"\u0000^\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 #2\u00020\u0001:\u0001#B\u0005¢\u0006\u0002\u0010\u0002J\u000e\u0010\r\u001a\u00020\u000e2\u0006\u0010\u000f\u001a\u00020\u0010J\b\u0010\u0011\u001a\u00020\u0012H\u0016J\u0012\u0010\u0013\u001a\u00020\u00122\b\u0010\u0014\u001a\u0004\u0018\u00010\u0015H\u0016J&\u0010\u0016\u001a\u0004\u0018\u00010\u00172\u0006\u0010\u0018\u001a\u00020\u00192\b\u0010\u001a\u001a\u0004\u0018\u00010\u001b2\b\u0010\u0014\u001a\u0004\u0018\u00010\u0015H\u0016J\b\u0010\u001c\u001a\u00020\u0012H\u0016J\u0010\u0010\u001d\u001a\u00020\u00122\u0006\u0010\u001e\u001a\u00020\u001fH\u0007J\u0010\u0010 \u001a\u00020\u00122\u0006\u0010!\u001a\u00020\"H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\u0007\u001a\u00020\b8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u000b\u0010\f\u001a\u0004\b\t\u0010\n¨\u0006$"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragment;", "Lcom/qcwireless/qcwatch/ui/base/BaseFragment;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/FragmentDaySleepBinding;", "date", "Lcom/qcwireless/qc_utils/date/DateUtil;", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragmentViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragmentViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "formatText", "", "minute", "", "loadDataOnce", "", "onCreate", "savedInstanceState", "Landroid/os/Bundle;", "onCreateView", "Landroid/view/View;", "inflater", "Landroid/view/LayoutInflater;", "container", "Landroid/view/ViewGroup;", "onDestroy", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "textView", "view", "Landroid/widget/TextView;", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class DaySleepFragment extends BaseFragment {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private FragmentDaySleepBinding binding;
    private DateUtil date;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public DaySleepFragment() {
        final DaySleepFragment daySleepFragment = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<DaySleepFragmentViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragmentViewModel, androidx.lifecycle.ViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final DaySleepFragmentViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(DaySleepFragmentViewModel.class), qualifier, b);
            }
        });
        this.date = new DateUtil();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final DaySleepFragmentViewModel getViewModel() {
        return (DaySleepFragmentViewModel) this.viewModel.getValue();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        Intrinsics.checkNotNullParameter(inflater, "inflater");
        FragmentDaySleepBinding inflate = FragmentDaySleepBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        return inflate.getRoot();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment
    public void loadDataOnce() {
        super.loadDataOnce();
        EventBus.getDefault().register(this);
        getViewModel().queryLastData();
        final FragmentDaySleepBinding fragmentDaySleepBinding = this.binding;
        if (fragmentDaySleepBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding = null;
        }
        fragmentDaySleepBinding.qcDateChange.setDateUtil(new DateUtil());
        fragmentDaySleepBinding.qcDateChange.setDateListener(new QDateSwitchView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment$loadDataOnce$1$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateSwitchView.QDateBefore
            public void clickBefore(boolean r1, DateUtil dateUtil) {
                DaySleepFragmentViewModel viewModel;
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                DaySleepFragment.this.date = dateUtil;
                fragmentDaySleepBinding.qcDateChange.setDateUtil(dateUtil);
                viewModel = DaySleepFragment.this.getViewModel();
                viewModel.showDaySleepView(dateUtil);
            }
        });
        fragmentDaySleepBinding.qcDateChange.setCalendarClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                DaySleepFragment.m855loadDataOnce$lambda2$lambda0(DaySleepFragment.this, view);
            }
        });
        fragmentDaySleepBinding.daySleepBarView.setListener(new QSleepBarChart.OnSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment$$ExternalSyntheticLambda4
            @Override // com.qcwireless.qcwatch.ui.base.view.QSleepBarChart.OnSelectedListener
            public final void onSelected(QSleepBarChart.SleepDataBean sleepDataBean) {
                DaySleepFragment.m856loadDataOnce$lambda2$lambda1(FragmentDaySleepBinding.this, this, sleepDataBean);
            }
        });
        if (UserConfig.INSTANCE.getInstance().getHrvSupport()) {
            ViewKt.visible(fragmentDaySleepBinding.showHrv);
        } else {
            ViewKt.gone(fragmentDaySleepBinding.showHrv);
        }
        if (UserConfig.INSTANCE.getInstance().getBloodOxygenSupport()) {
            ViewKt.visible(fragmentDaySleepBinding.showBo);
        } else {
            ViewKt.gone(fragmentDaySleepBinding.showBo);
        }
        DaySleepFragment daySleepFragment = this;
        getViewModel().getLastDate().observe(daySleepFragment, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment$$ExternalSyntheticLambda1
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                DaySleepFragment.m857loadDataOnce$lambda3(DaySleepFragment.this, (DateUtil) obj);
            }
        });
        getViewModel().getUiOtherDataDetail().observe(daySleepFragment, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment$$ExternalSyntheticLambda3
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                DaySleepFragment.m858loadDataOnce$lambda5(DaySleepFragment.this, (DaySleepFragmentViewModel.DayStepUI) obj);
            }
        });
        getViewModel().getUiState().observe(daySleepFragment, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment$$ExternalSyntheticLambda2
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                DaySleepFragment.m859loadDataOnce$lambda7(DaySleepFragment.this, (SleepViewBean) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-2$lambda-0, reason: not valid java name */
    public static final void m855loadDataOnce$lambda2$lambda0(DaySleepFragment this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (this$0.getActivity() instanceof MainActivity) {
            ((MainActivity) this$0.getActivity()).doCalendar(2, this$0.date);
        } else if (this$0.getActivity() instanceof SleepActivity) {
            ((SleepActivity) this$0.getActivity()).doCalendar(this$0.date);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-2$lambda-1, reason: not valid java name */
    public static final void m856loadDataOnce$lambda2$lambda1(FragmentDaySleepBinding this_run, DaySleepFragment this$0, QSleepBarChart.SleepDataBean sleepDataBean) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (sleepDataBean != null) {
            DateUtil dateUtil = new DateUtil(sleepDataBean.getSleepStart(), true);
            DateUtil dateUtil2 = new DateUtil(sleepDataBean.getSleepEnd(), true);
            this_run.tvSleepRange.setText(dateUtil.getHHmmDate() + '~' + dateUtil2.getHHmmDate());
            this_run.tvSleepMin.setText(String.valueOf((sleepDataBean.getSleepEnd() - sleepDataBean.getSleepStart()) / ((long) 60)));
            int type = sleepDataBean.getType();
            if (type == 1) {
                this_run.tvSleepType.setText(this$0.getString(R.string.qc_text_114));
                this_run.tvSleepMin.setTextColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_common_1));
                return;
            }
            if (type == 2) {
                this_run.tvSleepType.setText(this$0.getString(R.string.qc_text_115));
                this_run.tvSleepMin.setTextColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_common_1));
                return;
            } else if (type == 3) {
                this_run.tvSleepType.setText(this$0.getString(R.string.qc_text_116));
                this_run.tvSleepMin.setTextColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_common_1));
                return;
            } else {
                if (type != 4) {
                    return;
                }
                this_run.tvSleepType.setText("");
                return;
            }
        }
        this_run.tvSleepRange.setText("");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-3, reason: not valid java name */
    public static final void m857loadDataOnce$lambda3(DaySleepFragment this$0, DateUtil it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.date = it;
        FragmentDaySleepBinding fragmentDaySleepBinding = this$0.binding;
        FragmentDaySleepBinding fragmentDaySleepBinding2 = null;
        if (fragmentDaySleepBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding = null;
        }
        fragmentDaySleepBinding.qcDateChange.setDateUtil(it);
        this$0.getViewModel().showDaySleepView(it);
        FragmentDaySleepBinding fragmentDaySleepBinding3 = this$0.binding;
        if (fragmentDaySleepBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding3 = null;
        }
        fragmentDaySleepBinding3.pbAwake1.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_item_progress_7));
        FragmentDaySleepBinding fragmentDaySleepBinding4 = this$0.binding;
        if (fragmentDaySleepBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding4 = null;
        }
        fragmentDaySleepBinding4.pbLight1.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_item_progress_9));
        FragmentDaySleepBinding fragmentDaySleepBinding5 = this$0.binding;
        if (fragmentDaySleepBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding5 = null;
        }
        fragmentDaySleepBinding5.pbDeep1.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_item_progress_10));
        FragmentDaySleepBinding fragmentDaySleepBinding6 = this$0.binding;
        if (fragmentDaySleepBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding6 = null;
        }
        fragmentDaySleepBinding6.pbSleep1.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentDaySleepBinding fragmentDaySleepBinding7 = this$0.binding;
        if (fragmentDaySleepBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding7 = null;
        }
        fragmentDaySleepBinding7.pbSleep2.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentDaySleepBinding fragmentDaySleepBinding8 = this$0.binding;
        if (fragmentDaySleepBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding8 = null;
        }
        fragmentDaySleepBinding8.pbSleep3.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentDaySleepBinding fragmentDaySleepBinding9 = this$0.binding;
        if (fragmentDaySleepBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding9 = null;
        }
        fragmentDaySleepBinding9.pbSleep4.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentDaySleepBinding fragmentDaySleepBinding10 = this$0.binding;
        if (fragmentDaySleepBinding10 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding10 = null;
        }
        fragmentDaySleepBinding10.pbSleep5.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentDaySleepBinding fragmentDaySleepBinding11 = this$0.binding;
        if (fragmentDaySleepBinding11 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding11 = null;
        }
        TextView textView = fragmentDaySleepBinding11.tvSleepAwake1;
        Intrinsics.checkNotNullExpressionValue(textView, "binding.tvSleepAwake1");
        this$0.textView(textView);
        FragmentDaySleepBinding fragmentDaySleepBinding12 = this$0.binding;
        if (fragmentDaySleepBinding12 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding12 = null;
        }
        TextView textView2 = fragmentDaySleepBinding12.tvSleepLight1;
        Intrinsics.checkNotNullExpressionValue(textView2, "binding.tvSleepLight1");
        this$0.textView(textView2);
        FragmentDaySleepBinding fragmentDaySleepBinding13 = this$0.binding;
        if (fragmentDaySleepBinding13 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding13 = null;
        }
        TextView textView3 = fragmentDaySleepBinding13.tvSleepDeep1;
        Intrinsics.checkNotNullExpressionValue(textView3, "binding.tvSleepDeep1");
        this$0.textView(textView3);
        FragmentDaySleepBinding fragmentDaySleepBinding14 = this$0.binding;
        if (fragmentDaySleepBinding14 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            fragmentDaySleepBinding2 = fragmentDaySleepBinding14;
        }
        TextView textView4 = fragmentDaySleepBinding2.tvSleepScore2;
        Intrinsics.checkNotNullExpressionValue(textView4, "binding.tvSleepScore2");
        this$0.textView(textView4);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-5, reason: not valid java name */
    public static final void m858loadDataOnce$lambda5(DaySleepFragment this$0, DaySleepFragmentViewModel.DayStepUI dayStepUI) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        FragmentDaySleepBinding fragmentDaySleepBinding = this$0.binding;
        if (fragmentDaySleepBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding = null;
        }
        if (dayStepUI.getHasSleep() <= 0) {
            TextView textView = fragmentDaySleepBinding.tvSleep41;
            StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
            String string = this$0.getString(R.string.qc_text_8054);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_8054)");
            String format = String.format(string, Arrays.copyOf(new Object[]{"--"}, 1));
            Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
            textView.setText(format);
            fragmentDaySleepBinding.pbSleep3.setProgress(0);
            fragmentDaySleepBinding.tvSleep51.setText("--%");
            fragmentDaySleepBinding.pbSleep4.setProgress(0);
            fragmentDaySleepBinding.tvSleep61.setText("--ms");
            fragmentDaySleepBinding.pbSleep5.setProgress(0);
            return;
        }
        if (dayStepUI.getHeart() > 0) {
            TextView textView2 = fragmentDaySleepBinding.tvSleep41;
            StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
            String string2 = this$0.getString(R.string.qc_text_8054);
            Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_8054)");
            String format2 = String.format(string2, Arrays.copyOf(new Object[]{String.valueOf(dayStepUI.getHeart())}, 1));
            Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
            textView2.setText(format2);
            fragmentDaySleepBinding.pbSleep3.setProgress((dayStepUI.getHeart() * 100) / 80);
        } else {
            TextView textView3 = fragmentDaySleepBinding.tvSleep41;
            StringCompanionObject stringCompanionObject3 = StringCompanionObject.INSTANCE;
            String string3 = this$0.getString(R.string.qc_text_8054);
            Intrinsics.checkNotNullExpressionValue(string3, "getString(R.string.qc_text_8054)");
            String format3 = String.format(string3, Arrays.copyOf(new Object[]{"--"}, 1));
            Intrinsics.checkNotNullExpressionValue(format3, "format(format, *args)");
            textView3.setText(format3);
            fragmentDaySleepBinding.pbSleep3.setProgress(0);
        }
        if (dayStepUI.getSpo2() > 0) {
            TextView textView4 = fragmentDaySleepBinding.tvSleep51;
            StringBuilder sb = new StringBuilder();
            sb.append(dayStepUI.getSpo2());
            sb.append('%');
            textView4.setText(sb.toString());
            fragmentDaySleepBinding.pbSleep4.setProgress(dayStepUI.getSpo2());
        } else {
            fragmentDaySleepBinding.tvSleep51.setText("--%");
            fragmentDaySleepBinding.pbSleep4.setProgress(0);
        }
        if (dayStepUI.getHrv() > 0) {
            fragmentDaySleepBinding.tvSleep61.setText(dayStepUI.getHrv() + "ms");
            fragmentDaySleepBinding.pbSleep5.setProgress((dayStepUI.getHrv() * 100) / 200);
            return;
        }
        fragmentDaySleepBinding.tvSleep61.setText("--ms");
        fragmentDaySleepBinding.pbSleep5.setProgress(0);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-7, reason: not valid java name */
    public static final void m859loadDataOnce$lambda7(DaySleepFragment this$0, final SleepViewBean sleepViewBean) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        FragmentDaySleepBinding fragmentDaySleepBinding = this$0.binding;
        if (fragmentDaySleepBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentDaySleepBinding = null;
        }
        int[] iArr = {0, 0, 0, 0, 0};
        if ((sleepViewBean != null ? sleepViewBean.getData() : null) != null) {
            if (!(sleepViewBean != null ? sleepViewBean.getData() : null).isEmpty()) {
                ThreadExtKt.ktxRunOnUiDelay(fragmentDaySleepBinding, 100L, new Function1<FragmentDaySleepBinding, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment$loadDataOnce$4$1$1
                    /* JADX INFO: Access modifiers changed from: package-private */
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(FragmentDaySleepBinding fragmentDaySleepBinding2) {
                        invoke2(fragmentDaySleepBinding2);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(FragmentDaySleepBinding ktxRunOnUiDelay) {
                        Intrinsics.checkNotNullParameter(ktxRunOnUiDelay, "$this$ktxRunOnUiDelay");
                        ktxRunOnUiDelay.daySleepBarView.setData(SleepViewBean.this.getStartTime(), SleepViewBean.this.getEndTime(), SleepViewBean.this.getData());
                    }
                });
                fragmentDaySleepBinding.qcSleep1.setTitleValue(String.valueOf((sleepViewBean.getTotalSleep() / 60) / 60));
                fragmentDaySleepBinding.qcSleep1.setValue2(String.valueOf((sleepViewBean.getTotalSleep() / 60) % 60));
                float deepSleep = ((sleepViewBean.getDeepSleep() * 100) * 1.0f) / sleepViewBean.getTotalSleep();
                float awakeSleep = ((sleepViewBean.getAwakeSleep() * 100) * 1.0f) / sleepViewBean.getTotalSleep();
                float lightSleep = ((sleepViewBean.getLightSleep() * 100) * 1.0f) / sleepViewBean.getTotalSleep();
                int calcSleepScore = AlSleepUtil.calcSleepScore(sleepViewBean.getTotalSleep(), sleepViewBean.getDeepSleep(), sleepViewBean.getLightSleep(), 0);
                if (sleepViewBean.getAwakeSleep() / 60 == 0) {
                    fragmentDaySleepBinding.tvSleepAwake1Time.setText("--");
                    fragmentDaySleepBinding.tvSleepAwake1Progress.setText("");
                } else {
                    fragmentDaySleepBinding.tvSleepAwake1Time.setText(this$0.formatText(sleepViewBean.getAwakeSleep() / 60));
                    TextView textView = fragmentDaySleepBinding.tvSleepAwake1Progress;
                    StringBuilder sb = new StringBuilder();
                    sb.append((100 - MathKt.roundToInt(deepSleep)) - MathKt.roundToInt(lightSleep));
                    sb.append('%');
                    textView.setText(sb.toString());
                }
                fragmentDaySleepBinding.tvSleepLight1Time.setText(this$0.formatText(sleepViewBean.getLightSleep() / 60));
                fragmentDaySleepBinding.tvSleepDeep1Time.setText(this$0.formatText(sleepViewBean.getDeepSleep() / 60));
                TextView textView2 = fragmentDaySleepBinding.tvSleepLight1Progress;
                StringBuilder sb2 = new StringBuilder();
                sb2.append(MathKt.roundToInt(lightSleep));
                sb2.append('%');
                textView2.setText(sb2.toString());
                TextView textView3 = fragmentDaySleepBinding.tvSleepDeep1Progress;
                StringBuilder sb3 = new StringBuilder();
                sb3.append(MathKt.roundToInt(deepSleep));
                sb3.append('%');
                textView3.setText(sb3.toString());
                fragmentDaySleepBinding.tvSleep21.setText(this$0.formatText(sleepViewBean.getTotalSleep() / 60));
                int totalSleep = sleepViewBean.getTotalSleep() / 60;
                if (totalSleep < 240) {
                    fragmentDaySleepBinding.tvSleepScore1.setText("90%");
                } else {
                    if (totalSleep <= 300 && 240 <= totalSleep) {
                        fragmentDaySleepBinding.tvSleepScore1.setText("95%");
                    } else {
                        if (totalSleep <= 480 && 360 <= totalSleep) {
                            fragmentDaySleepBinding.tvSleepScore1.setText("99%");
                        } else {
                            fragmentDaySleepBinding.tvSleepScore1.setText("100%");
                        }
                    }
                }
                QSleepBarChart.SleepDataBean sleepDataBean = sleepViewBean.getData().get(0);
                int sleepEnd = (((int) (sleepDataBean.getSleepEnd() - sleepDataBean.getSleepStart())) / 60) % 20;
                if (sleepViewBean.getTotalSleep() > 0 && sleepEnd == 0) {
                    sleepEnd = 20;
                }
                fragmentDaySleepBinding.tvSleep31.setText(this$0.formatText(sleepEnd));
                fragmentDaySleepBinding.pbSleep2.setProgress((sleepEnd * 100) / 20);
                if (awakeSleep <= 0.0f) {
                    fragmentDaySleepBinding.pbAwake1.setProgress(5);
                } else {
                    fragmentDaySleepBinding.pbAwake1.setProgress(MathKt.roundToInt(awakeSleep));
                }
                fragmentDaySleepBinding.pbLight1.setProgress(MathKt.roundToInt(lightSleep));
                fragmentDaySleepBinding.pbDeep1.setProgress(MathKt.roundToInt(deepSleep));
                fragmentDaySleepBinding.pbSleep1.setProgress(MathKt.roundToInt((((sleepViewBean.getTotalSleep() * 1.0f) / 60) * 100) / CodeUtils.DEFAULT_REQ_WIDTH));
                fragmentDaySleepBinding.tvSleepTimeRang.setText(new DateUtil(sleepViewBean.getStartTime(), true).getHHmmDate() + '-' + new DateUtil(sleepViewBean.getEndTime(), true).getHHmmDate());
                fragmentDaySleepBinding.tvSleepH.setText(String.valueOf((sleepViewBean.getTotalSleep() / 60) / 60));
                fragmentDaySleepBinding.tvSleepM.setText(String.valueOf((sleepViewBean.getTotalSleep() / 60) % 60));
                fragmentDaySleepBinding.tvProgressValue.setText(String.valueOf(calcSleepScore));
                fragmentDaySleepBinding.progressValue.setPercentage(calcSleepScore);
                if (calcSleepScore <= 30) {
                    fragmentDaySleepBinding.tvSleepScore2.setText(this$0.getString(R.string.qc_text_8015));
                } else {
                    if (31 <= calcSleepScore && calcSleepScore < 61) {
                        fragmentDaySleepBinding.tvSleepScore2.setText(this$0.getString(R.string.qc_text_8014));
                    } else {
                        fragmentDaySleepBinding.tvSleepScore2.setText(this$0.getString(R.string.qc_text_8013));
                    }
                }
                iArr[0] = sleepViewBean.getDeepSleep() / 60;
                iArr[1] = sleepViewBean.getLightSleep() / 60;
                iArr[2] = sleepViewBean.getAwakeSleep() / 60;
                fragmentDaySleepBinding.homeSleepView.dataInit(iArr);
                ViewKt.visible(fragmentDaySleepBinding.daySleepBarView);
                ViewKt.gone(fragmentDaySleepBinding.sleepNoData);
                return;
            }
        }
        fragmentDaySleepBinding.homeSleepView.dataInit(iArr);
        fragmentDaySleepBinding.daySleepBarView.setData(1612886400L, 1612886400L, sleepViewBean.getData());
        ViewKt.invisible(fragmentDaySleepBinding.daySleepBarView);
        ViewKt.visible(fragmentDaySleepBinding.sleepNoData);
        fragmentDaySleepBinding.qcSleep1.setTitleValue("--");
        fragmentDaySleepBinding.qcSleep1.setValue2("--");
        fragmentDaySleepBinding.qcSleep3.setTitleValue("--");
        fragmentDaySleepBinding.qcSleep4.setTitleValue("--");
        fragmentDaySleepBinding.qcSleep2.setTitleValue("--");
        fragmentDaySleepBinding.tvSleepType.setText("");
        fragmentDaySleepBinding.tvSleepRange.setText("");
        fragmentDaySleepBinding.tvSleepMin.setText("--");
        fragmentDaySleepBinding.qcSleep1.setStatusNull("");
        fragmentDaySleepBinding.qcSleep2.setStatusNull("");
        fragmentDaySleepBinding.qcSleep3.setStatusNull("");
        fragmentDaySleepBinding.qcSleep4.setStatusNull("");
        fragmentDaySleepBinding.tvSleepTimeRang.setText("");
        fragmentDaySleepBinding.tvSleepDeep2.setText("--");
        fragmentDaySleepBinding.tvSleepLight2.setText("--");
        fragmentDaySleepBinding.tvSleepAwake2.setText("--");
        fragmentDaySleepBinding.tvSleepScore1.setText("--");
        fragmentDaySleepBinding.tvSleepScore2.setText("--");
        TextView textView4 = fragmentDaySleepBinding.tvSleep21;
        StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
        String string = this$0.getString(R.string.qc_text_8078);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_8078)");
        String format = String.format(string, Arrays.copyOf(new Object[]{"--"}, 1));
        Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
        textView4.setText(format);
        TextView textView5 = fragmentDaySleepBinding.tvSleep31;
        StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
        String string2 = this$0.getString(R.string.qc_text_8078);
        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_8078)");
        String format2 = String.format(string2, Arrays.copyOf(new Object[]{"--"}, 1));
        Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
        textView5.setText(format2);
        TextView textView6 = fragmentDaySleepBinding.tvSleep41;
        StringCompanionObject stringCompanionObject3 = StringCompanionObject.INSTANCE;
        String string3 = this$0.getString(R.string.qc_text_8054);
        Intrinsics.checkNotNullExpressionValue(string3, "getString(R.string.qc_text_8054)");
        String format3 = String.format(string3, Arrays.copyOf(new Object[]{"--"}, 1));
        Intrinsics.checkNotNullExpressionValue(format3, "format(format, *args)");
        textView6.setText(format3);
        fragmentDaySleepBinding.pbSleep1.setProgress(0);
        fragmentDaySleepBinding.pbSleep2.setProgress(0);
        fragmentDaySleepBinding.pbAwake1.setProgress(5);
        fragmentDaySleepBinding.pbLight1.setProgress(5);
        fragmentDaySleepBinding.pbDeep1.setProgress(5);
        fragmentDaySleepBinding.tvSleepAwake1Time.setText("--");
        fragmentDaySleepBinding.tvSleepAwake1Progress.setText("");
        fragmentDaySleepBinding.tvSleepLight1Time.setText("--");
        fragmentDaySleepBinding.tvSleepLight1Progress.setText("");
        fragmentDaySleepBinding.tvSleepDeep1Time.setText("--");
        fragmentDaySleepBinding.tvSleepDeep1Progress.setText("");
        fragmentDaySleepBinding.tvSleepH.setText("--");
        fragmentDaySleepBinding.tvSleepM.setText("--");
        fragmentDaySleepBinding.progressValue.setPercentage(0);
        fragmentDaySleepBinding.tvProgressValue.setText("--");
        fragmentDaySleepBinding.tvSleepScore1.setText("--");
        fragmentDaySleepBinding.tvSleepScore2.setText("--");
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        EventBus.getDefault().unregister(this);
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        if (messageEvent instanceof HomeStepRefreshEvent) {
            AwLog.i(Author.HeZhiYuan, "-----HomeStepRefreshEvent");
            getViewModel().queryLastData();
            return;
        }
        if (messageEvent instanceof CalendarNotifyEvent) {
            DateUtil date = ((CalendarNotifyEvent) messageEvent).getDate();
            this.date = date;
            FragmentDaySleepBinding fragmentDaySleepBinding = this.binding;
            if (fragmentDaySleepBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentDaySleepBinding = null;
            }
            fragmentDaySleepBinding.qcDateChange.setDateUtil(date);
            AwLog.i(Author.HeZhiYuan, date.getY_M_D());
            getViewModel().showDaySleepView(date);
        }
    }

    public final String formatText(int minute) {
        String str;
        String str2;
        String str3;
        int i = minute / 60;
        int i2 = minute % 60;
        if (i == 0) {
            if (i2 < 10) {
                StringBuilder sb = new StringBuilder();
                sb.append('0');
                sb.append(i2);
                str3 = sb.toString();
            } else {
                str3 = i2 + "";
            }
            StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
            String string = getString(R.string.qc_text_8053);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_8053)");
            String format = String.format(string, Arrays.copyOf(new Object[]{str3}, 1));
            Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
            return format;
        }
        if (i < 10) {
            StringBuilder sb2 = new StringBuilder();
            sb2.append('0');
            sb2.append(i);
            str = sb2.toString();
        } else {
            str = i + "";
        }
        if (i2 < 10) {
            StringBuilder sb3 = new StringBuilder();
            sb3.append('0');
            sb3.append(i2);
            str2 = sb3.toString();
        } else {
            str2 = i2 + "";
        }
        StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
        String string2 = getString(R.string.qc_text_8052);
        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_8052)");
        String format2 = String.format(string2, Arrays.copyOf(new Object[]{str, str2}, 2));
        Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
        return format2;
    }

    private final void textView(TextView view) {
        view.setEllipsize(TextUtils.TruncateAt.MARQUEE);
        view.setSingleLine();
        view.setSelected(true);
        view.setFocusable(true);
        view.setFocusableInTouchMode(true);
    }

    /* compiled from: DaySleepFragment.kt */
    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragment$Companion;", "", "()V", "newInstance", "Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragment;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final DaySleepFragment newInstance() {
            return new DaySleepFragment();
        }
    }
}
