package com.qcwireless.qcwatch.ui.mine.register;

import android.content.Intent;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.Editable;
import android.text.InputFilter;
import android.text.Spanned;
import android.text.TextWatcher;
import android.text.method.HideReturnsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.EditText;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.qcwatch.QCApplication;
import com.qcwireless.qcwatch.base.event.LoginSuccessEvent;
import com.qcwireless.qcwatch.base.event.RefreshEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityRegisterBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.bean.mine.MineActivityFinish;
import com.qcwireless.qcwatch.ui.base.repository.mine.NetState;
import com.qcwireless.qcwatch.ui.base.util.MD5UtilKt;
import com.qcwireless.qcwatch.ui.base.util.NetWorkUtils;
import com.qcwireless.qcwatch.ui.mine.MineFragment;
import com.qcwireless.qcwatch.ui.mine.privacy.LanguagePPMURLKt;
import com.qcwireless.qcwatch.ui.mine.privacy.WebActivity;
import com.qcwireless.qcwatch.ui.mine.privacy.WebUrl;
import com.qcwireless.qcwatch.ui.mine.ucenter.FirstProfileActivity;
import com.qcwireless.ring.R;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Locale;
import java.util.regex.Pattern;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.text.Regex;
import kotlin.text.StringsKt;
import org.greenrobot.eventbus.EventBus;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: RegisterActivity.kt */
@Metadata(d1 = {"\u0000<\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0016\u001a\u00020\u00172\u0006\u0010\u0005\u001a\u00020\u0006H\u0002J\u0012\u0010\u0018\u001a\u00020\u00192\b\u0010\u001a\u001a\u0004\u0018\u00010\u001bH\u0014J\b\u0010\u001c\u001a\u00020\u0019H\u0014R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0007\u001a\u00020\bX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\t\u0010\n\"\u0004\b\u000b\u0010\fR\u000e\u0010\r\u001a\u00020\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000e\u001a\u00020\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\u0010\u001a\u00020\u00118BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u0014\u0010\u0015\u001a\u0004\b\u0012\u0010\u0013¨\u0006\u001d"}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/register/RegisterActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityRegisterBinding;", "email", "", "emptyInputFilter", "Landroid/text/InputFilter;", "getEmptyInputFilter", "()Landroid/text/InputFilter;", "setEmptyInputFilter", "(Landroid/text/InputFilter;)V", "inputFilter", "password", "passwordAgain", "registerViewModel", "Lcom/qcwireless/qcwatch/ui/mine/register/RegisterViewModel;", "getRegisterViewModel", "()Lcom/qcwireless/qcwatch/ui/mine/register/RegisterViewModel;", "registerViewModel$delegate", "Lkotlin/Lazy;", "isValidEmail", "", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "setupViews", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class RegisterActivity extends BaseActivity {
    private ActivityRegisterBinding binding;
    private InputFilter emptyInputFilter;
    private InputFilter inputFilter;

    /* renamed from: registerViewModel$delegate, reason: from kotlin metadata */
    private final Lazy registerViewModel;
    private String email = "";
    private String password = "";
    private String passwordAgain = "";

    public RegisterActivity() {
        final RegisterActivity registerActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.registerViewModel = LazyKt.lazy(new Function0<RegisterViewModel>() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [com.qcwireless.qcwatch.ui.mine.register.RegisterViewModel, androidx.lifecycle.ViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final RegisterViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(RegisterViewModel.class), qualifier, b);
            }
        });
        this.emptyInputFilter = new InputFilter() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$$ExternalSyntheticLambda0
            @Override // android.text.InputFilter
            public final CharSequence filter(CharSequence charSequence, int i, int i2, Spanned spanned, int i3, int i4) {
                CharSequence m1006emptyInputFilter$lambda7;
                m1006emptyInputFilter$lambda7 = RegisterActivity.m1006emptyInputFilter$lambda7(RegisterActivity.this, charSequence, i, i2, spanned, i3, i4);
                return m1006emptyInputFilter$lambda7;
            }
        };
        this.inputFilter = new InputFilter() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$inputFilter$1
            private Pattern emoji = Pattern.compile("[^\\u0000-\\uFFFF]", 66);

            public final Pattern getEmoji() {
                return this.emoji;
            }

            public final void setEmoji(Pattern pattern) {
                this.emoji = pattern;
            }

            @Override // android.text.InputFilter
            public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
                Intrinsics.checkNotNullParameter(source, "source");
                Intrinsics.checkNotNullParameter(dest, "dest");
                return this.emoji.matcher(source).find() ? "" : source;
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final RegisterViewModel getRegisterViewModel() {
        return (RegisterViewModel) this.registerViewModel.getValue();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityRegisterBinding inflate = ActivityRegisterBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        final ActivityRegisterBinding activityRegisterBinding = this.binding;
        ActivityRegisterBinding activityRegisterBinding2 = null;
        if (activityRegisterBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding = null;
        }
        activityRegisterBinding.imgPwd.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$$ExternalSyntheticLambda1
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                RegisterActivity.m1007setupViews$lambda6$lambda0(ActivityRegisterBinding.this, compoundButton, z);
            }
        });
        activityRegisterBinding.imgPwdEye.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$$ExternalSyntheticLambda2
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                RegisterActivity.m1008setupViews$lambda6$lambda1(ActivityRegisterBinding.this, compoundButton, z);
            }
        });
        activityRegisterBinding.userEmail.setFilters(new InputFilter[]{this.inputFilter, this.emptyInputFilter, new InputFilter.LengthFilter(60)});
        activityRegisterBinding.userPwd.setFilters(new InputFilter[]{this.inputFilter, this.emptyInputFilter, new InputFilter.LengthFilter(60)});
        activityRegisterBinding.userPwdAgain.setFilters(new InputFilter[]{this.inputFilter, this.emptyInputFilter, new InputFilter.LengthFilter(60)});
        EditText userEmail = activityRegisterBinding.userEmail;
        Intrinsics.checkNotNullExpressionValue(userEmail, "userEmail");
        userEmail.addTextChangedListener(new TextWatcher() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$setupViews$lambda-6$$inlined$doAfterTextChanged$1
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence text, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence text, int start, int before, int count) {
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                boolean isValidEmail;
                ActivityRegisterBinding activityRegisterBinding3;
                Editable text = ActivityRegisterBinding.this.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text, "userEmail.text");
                ActivityRegisterBinding activityRegisterBinding4 = null;
                if (!StringsKt.contains$default((CharSequence) text, (CharSequence) "@", false, 2, (Object) null)) {
                    ActivityRegisterBinding.this.tvError.setText(this.getString(R.string.qc_text_219));
                    ActivityRegisterBinding.this.btnRegister.setEnabled(false);
                    return;
                }
                ActivityRegisterBinding.this.btnRegister.setEnabled(true);
                ActivityRegisterBinding.this.tvError.setText("");
                isValidEmail = this.isValidEmail(ActivityRegisterBinding.this.userEmail.getText().toString());
                if (!isValidEmail) {
                    activityRegisterBinding3 = this.binding;
                    if (activityRegisterBinding3 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityRegisterBinding4 = activityRegisterBinding3;
                    }
                    activityRegisterBinding4.tvError.setText(this.getString(R.string.qc_text_219));
                    return;
                }
                RegisterActivity registerActivity = this;
                Editable text2 = ActivityRegisterBinding.this.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text2, "userEmail.text");
                registerActivity.email = new Regex("\\s").replace(text2, "");
            }
        });
        EditText userPwd = activityRegisterBinding.userPwd;
        Intrinsics.checkNotNullExpressionValue(userPwd, "userPwd");
        userPwd.addTextChangedListener(new TextWatcher() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$setupViews$lambda-6$$inlined$doAfterTextChanged$2
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence text, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence text, int start, int before, int count) {
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                if (ActivityRegisterBinding.this.userPwd.getText().length() < 6 || ActivityRegisterBinding.this.userPwd.getText().length() > 12) {
                    ActivityRegisterBinding.this.tvError.setText(this.getString(R.string.qc_text_220));
                    ActivityRegisterBinding.this.btnRegister.setEnabled(false);
                } else {
                    ActivityRegisterBinding.this.btnRegister.setEnabled(true);
                    ActivityRegisterBinding.this.tvError.setText("");
                    this.password = ActivityRegisterBinding.this.userPwd.getText().toString();
                }
            }
        });
        EditText userPwdAgain = activityRegisterBinding.userPwdAgain;
        Intrinsics.checkNotNullExpressionValue(userPwdAgain, "userPwdAgain");
        userPwdAgain.addTextChangedListener(new TextWatcher() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$setupViews$lambda-6$$inlined$doAfterTextChanged$3
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence text, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence text, int start, int before, int count) {
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                if (ActivityRegisterBinding.this.userPwdAgain.getText().length() < 6 || ActivityRegisterBinding.this.userPwdAgain.getText().length() > 12) {
                    ActivityRegisterBinding.this.tvError.setText(this.getString(R.string.qc_text_220));
                    ActivityRegisterBinding.this.btnRegister.setEnabled(false);
                } else {
                    ActivityRegisterBinding.this.btnRegister.setEnabled(true);
                    ActivityRegisterBinding.this.tvError.setText("");
                    this.passwordAgain = ActivityRegisterBinding.this.userPwdAgain.getText().toString();
                }
            }
        });
        View[] viewArr = new View[4];
        ActivityRegisterBinding activityRegisterBinding3 = this.binding;
        if (activityRegisterBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding3 = null;
        }
        viewArr[0] = activityRegisterBinding3.btnRegister;
        ActivityRegisterBinding activityRegisterBinding4 = this.binding;
        if (activityRegisterBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding4 = null;
        }
        viewArr[1] = activityRegisterBinding4.userPrivacyEn;
        ActivityRegisterBinding activityRegisterBinding5 = this.binding;
        if (activityRegisterBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding5 = null;
        }
        viewArr[2] = activityRegisterBinding5.tvLogin;
        ActivityRegisterBinding activityRegisterBinding6 = this.binding;
        if (activityRegisterBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding6 = null;
        }
        viewArr[3] = activityRegisterBinding6.userAgreement;
        GlobalKt.setOnClickListener(viewArr, new Function1<View, Unit>() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$setupViews$1$6
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(View view) {
                invoke2(view);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(View setOnClickListener) {
                ActivityRegisterBinding activityRegisterBinding7;
                ActivityRegisterBinding activityRegisterBinding8;
                ActivityRegisterBinding activityRegisterBinding9;
                ActivityRegisterBinding activityRegisterBinding10;
                ActivityRegisterBinding activityRegisterBinding11;
                ActivityRegisterBinding activityRegisterBinding12;
                ActivityRegisterBinding activityRegisterBinding13;
                String str;
                boolean isValidEmail;
                ActivityRegisterBinding activityRegisterBinding14;
                ActivityRegisterBinding activityRegisterBinding15;
                ActivityRegisterBinding activityRegisterBinding16;
                ActivityRegisterBinding activityRegisterBinding17;
                ActivityRegisterBinding activityRegisterBinding18;
                ActivityRegisterBinding activityRegisterBinding19;
                ActivityRegisterBinding activityRegisterBinding20;
                ActivityRegisterBinding activityRegisterBinding21;
                String str2;
                ActivityRegisterBinding activityRegisterBinding22;
                ActivityRegisterBinding activityRegisterBinding23;
                String str3;
                ActivityRegisterBinding activityRegisterBinding24;
                ActivityRegisterBinding activityRegisterBinding25;
                String str4;
                ActivityRegisterBinding activityRegisterBinding26;
                ActivityRegisterBinding activityRegisterBinding27;
                String str5;
                ActivityRegisterBinding activityRegisterBinding28;
                String str6;
                String str7;
                String str8;
                ActivityRegisterBinding activityRegisterBinding29;
                String str9;
                String str10;
                RegisterViewModel registerViewModel;
                String str11;
                String str12;
                RegisterViewModel registerViewModel2;
                String str13;
                String str14;
                ActivityRegisterBinding activityRegisterBinding30;
                ActivityRegisterBinding activityRegisterBinding31;
                ActivityRegisterBinding activityRegisterBinding32;
                ActivityRegisterBinding activityRegisterBinding33;
                ActivityRegisterBinding activityRegisterBinding34;
                ActivityRegisterBinding activityRegisterBinding35;
                ActivityRegisterBinding activityRegisterBinding36;
                ActivityRegisterBinding activityRegisterBinding37;
                ActivityRegisterBinding activityRegisterBinding38;
                ActivityRegisterBinding activityRegisterBinding39;
                Intrinsics.checkNotNullParameter(setOnClickListener, "$this$setOnClickListener");
                activityRegisterBinding7 = RegisterActivity.this.binding;
                ActivityRegisterBinding activityRegisterBinding40 = null;
                if (activityRegisterBinding7 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityRegisterBinding7 = null;
                }
                if (!Intrinsics.areEqual(setOnClickListener, activityRegisterBinding7.btnRegister)) {
                    activityRegisterBinding8 = RegisterActivity.this.binding;
                    if (activityRegisterBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding8 = null;
                    }
                    if (!Intrinsics.areEqual(setOnClickListener, activityRegisterBinding8.userPrivacyEn)) {
                        activityRegisterBinding9 = RegisterActivity.this.binding;
                        if (activityRegisterBinding9 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityRegisterBinding9 = null;
                        }
                        if (!Intrinsics.areEqual(setOnClickListener, activityRegisterBinding9.tvLogin)) {
                            activityRegisterBinding10 = RegisterActivity.this.binding;
                            if (activityRegisterBinding10 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                            } else {
                                activityRegisterBinding40 = activityRegisterBinding10;
                            }
                            if (Intrinsics.areEqual(setOnClickListener, activityRegisterBinding40.userAgreement)) {
                                Bundle bundle = new Bundle();
                                RegisterActivity registerActivity = RegisterActivity.this;
                                bundle.putString("url", WebUrl.PPM_China_User);
                                bundle.putString("title", registerActivity.getString(R.string.china_qwatch_pro_4));
                                Unit unit = Unit.INSTANCE;
                                RegisterActivity registerActivity2 = RegisterActivity.this;
                                ArrayList<Pair> arrayList = new ArrayList();
                                Intent intent = new Intent(registerActivity2, (Class<?>) WebActivity.class);
                                intent.setFlags(1);
                                intent.putExtras(bundle);
                                for (Pair pair : arrayList) {
                                    if (pair != null) {
                                        String str15 = (String) pair.getFirst();
                                        Object second = pair.getSecond();
                                        if (second instanceof Integer) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, ((Number) second).intValue()), "putExtra(name, value)");
                                        } else if (second instanceof Byte) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, ((Number) second).byteValue()), "putExtra(name, value)");
                                        } else if (second instanceof Character) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, ((Character) second).charValue()), "putExtra(name, value)");
                                        } else if (second instanceof Short) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, ((Number) second).shortValue()), "putExtra(name, value)");
                                        } else if (second instanceof Boolean) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                                        } else if (second instanceof Long) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, ((Number) second).longValue()), "putExtra(name, value)");
                                        } else if (second instanceof Float) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, ((Number) second).floatValue()), "putExtra(name, value)");
                                        } else if (second instanceof Double) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, ((Number) second).doubleValue()), "putExtra(name, value)");
                                        } else if (second instanceof String) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (String) second), "putExtra(name, value)");
                                        } else if (second instanceof CharSequence) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (CharSequence) second), "putExtra(name, value)");
                                        } else if (second instanceof Parcelable) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (Parcelable) second), "putExtra(name, value)");
                                        } else if (second instanceof Object[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (Serializable) second), "putExtra(name, value)");
                                        } else if (second instanceof ArrayList) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (Serializable) second), "putExtra(name, value)");
                                        } else if (second instanceof Serializable) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (Serializable) second), "putExtra(name, value)");
                                        } else if (second instanceof boolean[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (boolean[]) second), "putExtra(name, value)");
                                        } else if (second instanceof byte[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (byte[]) second), "putExtra(name, value)");
                                        } else if (second instanceof short[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (short[]) second), "putExtra(name, value)");
                                        } else if (second instanceof char[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (char[]) second), "putExtra(name, value)");
                                        } else if (second instanceof int[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (int[]) second), "putExtra(name, value)");
                                        } else if (second instanceof long[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (long[]) second), "putExtra(name, value)");
                                        } else if (second instanceof float[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (float[]) second), "putExtra(name, value)");
                                        } else if (second instanceof double[]) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (double[]) second), "putExtra(name, value)");
                                        } else if (second instanceof Bundle) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (Bundle) second), "putExtra(name, value)");
                                        } else if (second instanceof Intent) {
                                            Intrinsics.checkNotNullExpressionValue(intent.putExtra(str15, (Parcelable) second), "putExtra(name, value)");
                                        } else {
                                            Unit unit2 = Unit.INSTANCE;
                                        }
                                    }
                                }
                                Unit unit3 = Unit.INSTANCE;
                                Unit unit4 = Unit.INSTANCE;
                                Unit unit5 = Unit.INSTANCE;
                                registerActivity2.startActivity(intent);
                                return;
                            }
                            return;
                        }
                        RegisterActivity.this.finish();
                        return;
                    }
                    Bundle bundle2 = new Bundle();
                    bundle2.putString("url", LanguagePPMURLKt.getLanguagePPMUrl());
                    Unit unit6 = Unit.INSTANCE;
                    RegisterActivity registerActivity3 = RegisterActivity.this;
                    ArrayList<Pair> arrayList2 = new ArrayList();
                    Intent intent2 = new Intent(registerActivity3, (Class<?>) WebActivity.class);
                    intent2.setFlags(1);
                    intent2.putExtras(bundle2);
                    for (Pair pair2 : arrayList2) {
                        if (pair2 != null) {
                            String str16 = (String) pair2.getFirst();
                            Object second2 = pair2.getSecond();
                            if (second2 instanceof Integer) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, ((Number) second2).intValue()), "putExtra(name, value)");
                            } else if (second2 instanceof Byte) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, ((Number) second2).byteValue()), "putExtra(name, value)");
                            } else if (second2 instanceof Character) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, ((Character) second2).charValue()), "putExtra(name, value)");
                            } else if (second2 instanceof Short) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, ((Number) second2).shortValue()), "putExtra(name, value)");
                            } else if (second2 instanceof Boolean) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, ((Boolean) second2).booleanValue()), "putExtra(name, value)");
                            } else if (second2 instanceof Long) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, ((Number) second2).longValue()), "putExtra(name, value)");
                            } else if (second2 instanceof Float) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, ((Number) second2).floatValue()), "putExtra(name, value)");
                            } else if (second2 instanceof Double) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, ((Number) second2).doubleValue()), "putExtra(name, value)");
                            } else if (second2 instanceof String) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (String) second2), "putExtra(name, value)");
                            } else if (second2 instanceof CharSequence) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (CharSequence) second2), "putExtra(name, value)");
                            } else if (second2 instanceof Parcelable) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (Parcelable) second2), "putExtra(name, value)");
                            } else if (second2 instanceof Object[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (Serializable) second2), "putExtra(name, value)");
                            } else if (second2 instanceof ArrayList) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (Serializable) second2), "putExtra(name, value)");
                            } else if (second2 instanceof Serializable) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (Serializable) second2), "putExtra(name, value)");
                            } else if (second2 instanceof boolean[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (boolean[]) second2), "putExtra(name, value)");
                            } else if (second2 instanceof byte[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (byte[]) second2), "putExtra(name, value)");
                            } else if (second2 instanceof short[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (short[]) second2), "putExtra(name, value)");
                            } else if (second2 instanceof char[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (char[]) second2), "putExtra(name, value)");
                            } else if (second2 instanceof int[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (int[]) second2), "putExtra(name, value)");
                            } else if (second2 instanceof long[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (long[]) second2), "putExtra(name, value)");
                            } else if (second2 instanceof float[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (float[]) second2), "putExtra(name, value)");
                            } else if (second2 instanceof double[]) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (double[]) second2), "putExtra(name, value)");
                            } else if (second2 instanceof Bundle) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (Bundle) second2), "putExtra(name, value)");
                            } else if (second2 instanceof Intent) {
                                Intrinsics.checkNotNullExpressionValue(intent2.putExtra(str16, (Parcelable) second2), "putExtra(name, value)");
                            } else {
                                Unit unit7 = Unit.INSTANCE;
                            }
                        }
                    }
                    Unit unit8 = Unit.INSTANCE;
                    Unit unit9 = Unit.INSTANCE;
                    Unit unit10 = Unit.INSTANCE;
                    registerActivity3.startActivity(intent2);
                    return;
                }
                if (!NetWorkUtils.INSTANCE.isNetworkAvailable(RegisterActivity.this)) {
                    activityRegisterBinding39 = RegisterActivity.this.binding;
                    if (activityRegisterBinding39 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityRegisterBinding40 = activityRegisterBinding39;
                    }
                    activityRegisterBinding40.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_223));
                    return;
                }
                final RegisterActivity registerActivity4 = RegisterActivity.this;
                ThreadExtKt.ktxRunOnBgSingle(setOnClickListener, new Function1<View, Unit>() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$setupViews$1$6.1
                    {
                        super(1);
                    }

                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(View view) {
                        invoke2(view);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(View ktxRunOnBgSingle) {
                        Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                        if (NetWorkUtils.INSTANCE.isOnline()) {
                            return;
                        }
                        final RegisterActivity registerActivity5 = RegisterActivity.this;
                        ThreadExtKt.ktxRunOnUi(ktxRunOnBgSingle, new Function1<View, Unit>() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity.setupViews.1.6.1.1
                            {
                                super(1);
                            }

                            @Override // kotlin.jvm.functions.Function1
                            public /* bridge */ /* synthetic */ Unit invoke(View view) {
                                invoke2(view);
                                return Unit.INSTANCE;
                            }

                            /* renamed from: invoke, reason: avoid collision after fix types in other method */
                            public final void invoke2(View ktxRunOnUi) {
                                ActivityRegisterBinding activityRegisterBinding41;
                                Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                                activityRegisterBinding41 = RegisterActivity.this.binding;
                                if (activityRegisterBinding41 == null) {
                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    activityRegisterBinding41 = null;
                                }
                                activityRegisterBinding41.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_223));
                            }
                        });
                    }
                });
                String language = Locale.getDefault().getLanguage();
                Intrinsics.checkNotNullExpressionValue(language, "language");
                if (StringsKt.startsWith$default(language, "zh", false, 2, (Object) null)) {
                    activityRegisterBinding33 = RegisterActivity.this.binding;
                    if (activityRegisterBinding33 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding33 = null;
                    }
                    ViewKt.visible(activityRegisterBinding33.ppmCheckbox);
                    activityRegisterBinding34 = RegisterActivity.this.binding;
                    if (activityRegisterBinding34 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding34 = null;
                    }
                    ViewKt.visible(activityRegisterBinding34.userPrivacyEn);
                    activityRegisterBinding35 = RegisterActivity.this.binding;
                    if (activityRegisterBinding35 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding35 = null;
                    }
                    ViewKt.visible(activityRegisterBinding35.userAgreement);
                    activityRegisterBinding36 = RegisterActivity.this.binding;
                    if (activityRegisterBinding36 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding36 = null;
                    }
                    if (!activityRegisterBinding36.ppmCheckbox.isChecked()) {
                        activityRegisterBinding38 = RegisterActivity.this.binding;
                        if (activityRegisterBinding38 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityRegisterBinding38 = null;
                        }
                        activityRegisterBinding38.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_cn_2));
                        String string = RegisterActivity.this.getString(R.string.qc_text_cn_2);
                        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_cn_2)");
                        GlobalKt.showToast$default(string, 0, 1, null);
                        return;
                    }
                    activityRegisterBinding37 = RegisterActivity.this.binding;
                    if (activityRegisterBinding37 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding37 = null;
                    }
                    activityRegisterBinding37.tvError.setText("");
                } else {
                    activityRegisterBinding11 = RegisterActivity.this.binding;
                    if (activityRegisterBinding11 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding11 = null;
                    }
                    ViewKt.gone(activityRegisterBinding11.ppmCheckbox);
                    activityRegisterBinding12 = RegisterActivity.this.binding;
                    if (activityRegisterBinding12 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding12 = null;
                    }
                    ViewKt.gone(activityRegisterBinding12.userPrivacyEn);
                    activityRegisterBinding13 = RegisterActivity.this.binding;
                    if (activityRegisterBinding13 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding13 = null;
                    }
                    ViewKt.gone(activityRegisterBinding13.userAgreement);
                }
                Editable text = activityRegisterBinding.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text, "userEmail.text");
                if (!StringsKt.contains$default((CharSequence) text, (CharSequence) "@", false, 2, (Object) null)) {
                    activityRegisterBinding.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_219));
                    activityRegisterBinding.btnRegister.setEnabled(false);
                    return;
                }
                activityRegisterBinding.btnRegister.setEnabled(true);
                activityRegisterBinding.tvError.setText("");
                RegisterActivity registerActivity5 = RegisterActivity.this;
                str = registerActivity5.email;
                isValidEmail = registerActivity5.isValidEmail(str);
                if (!isValidEmail) {
                    activityRegisterBinding31 = RegisterActivity.this.binding;
                    if (activityRegisterBinding31 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityRegisterBinding31 = null;
                    }
                    activityRegisterBinding31.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_219));
                    activityRegisterBinding32 = RegisterActivity.this.binding;
                    if (activityRegisterBinding32 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                    } else {
                        activityRegisterBinding40 = activityRegisterBinding32;
                    }
                    activityRegisterBinding40.btnRegister.setEnabled(false);
                    return;
                }
                activityRegisterBinding.btnRegister.setEnabled(true);
                activityRegisterBinding.tvError.setText("");
                activityRegisterBinding14 = RegisterActivity.this.binding;
                if (activityRegisterBinding14 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityRegisterBinding14 = null;
                }
                Editable text2 = activityRegisterBinding14.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text2, "binding.userEmail.text");
                Editable editable = text2;
                activityRegisterBinding15 = RegisterActivity.this.binding;
                if (activityRegisterBinding15 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityRegisterBinding15 = null;
                }
                Editable text3 = activityRegisterBinding15.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text3, "binding.userEmail.text");
                String obj = editable.subSequence(0, StringsKt.indexOf$default((CharSequence) text3, "@", 0, false, 4, (Object) null)).toString();
                activityRegisterBinding16 = RegisterActivity.this.binding;
                if (activityRegisterBinding16 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityRegisterBinding16 = null;
                }
                Editable text4 = activityRegisterBinding16.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text4, "binding.userEmail.text");
                if (StringsKt.contains$default((CharSequence) text4, (CharSequence) "@", false, 2, (Object) null)) {
                    if (!(obj.length() == 0) && obj.length() >= 2) {
                        activityRegisterBinding19 = RegisterActivity.this.binding;
                        if (activityRegisterBinding19 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("binding");
                            activityRegisterBinding19 = null;
                        }
                        if (activityRegisterBinding19.userEmail.getText().length() >= 3) {
                            activityRegisterBinding.btnRegister.setEnabled(true);
                            activityRegisterBinding20 = RegisterActivity.this.binding;
                            if (activityRegisterBinding20 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityRegisterBinding20 = null;
                            }
                            activityRegisterBinding20.tvError.setText("");
                            RegisterActivity registerActivity6 = RegisterActivity.this;
                            Editable text5 = activityRegisterBinding.userEmail.getText();
                            Intrinsics.checkNotNullExpressionValue(text5, "userEmail.text");
                            registerActivity6.email = new Regex("\\s").replace(text5, "");
                            RegisterActivity registerActivity7 = RegisterActivity.this;
                            activityRegisterBinding21 = registerActivity7.binding;
                            if (activityRegisterBinding21 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityRegisterBinding21 = null;
                            }
                            Editable text6 = activityRegisterBinding21.userPwdAgain.getText();
                            Intrinsics.checkNotNullExpressionValue(text6, "binding.userPwdAgain.text");
                            registerActivity7.passwordAgain = new Regex("\\s").replace(text6, "");
                            str2 = RegisterActivity.this.passwordAgain;
                            if (str2.length() >= 6) {
                                str3 = RegisterActivity.this.passwordAgain;
                                if (str3.length() <= 12) {
                                    activityRegisterBinding.btnRegister.setEnabled(true);
                                    activityRegisterBinding24 = RegisterActivity.this.binding;
                                    if (activityRegisterBinding24 == null) {
                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                        activityRegisterBinding24 = null;
                                    }
                                    activityRegisterBinding24.tvError.setText("");
                                    RegisterActivity registerActivity8 = RegisterActivity.this;
                                    activityRegisterBinding25 = registerActivity8.binding;
                                    if (activityRegisterBinding25 == null) {
                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                        activityRegisterBinding25 = null;
                                    }
                                    Editable text7 = activityRegisterBinding25.userPwd.getText();
                                    Intrinsics.checkNotNullExpressionValue(text7, "binding.userPwd.text");
                                    registerActivity8.password = new Regex("\\s").replace(text7, "");
                                    str4 = RegisterActivity.this.password;
                                    if (str4.length() >= 6) {
                                        str5 = RegisterActivity.this.password;
                                        if (str5.length() <= 12) {
                                            activityRegisterBinding.btnRegister.setEnabled(true);
                                            activityRegisterBinding28 = RegisterActivity.this.binding;
                                            if (activityRegisterBinding28 == null) {
                                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                activityRegisterBinding28 = null;
                                            }
                                            activityRegisterBinding28.tvError.setText("");
                                            str6 = RegisterActivity.this.password;
                                            str7 = RegisterActivity.this.passwordAgain;
                                            if (!Intrinsics.areEqual(str6, str7)) {
                                                activityRegisterBinding30 = RegisterActivity.this.binding;
                                                if (activityRegisterBinding30 == null) {
                                                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                                                } else {
                                                    activityRegisterBinding40 = activityRegisterBinding30;
                                                }
                                                activityRegisterBinding40.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_224));
                                                return;
                                            }
                                            str8 = RegisterActivity.this.email;
                                            if (!(str8.length() == 0)) {
                                                str9 = RegisterActivity.this.password;
                                                if (!(str9.length() == 0)) {
                                                    str10 = RegisterActivity.this.passwordAgain;
                                                    if (!(str10.length() == 0)) {
                                                        if (QCApplication.INSTANCE.getGetInstance().getPingHwServer()) {
                                                            registerViewModel2 = RegisterActivity.this.getRegisterViewModel();
                                                            str13 = RegisterActivity.this.email;
                                                            str14 = RegisterActivity.this.passwordAgain;
                                                            registerViewModel2.register(str13, MD5UtilKt.encode(str14), 2);
                                                            return;
                                                        }
                                                        registerViewModel = RegisterActivity.this.getRegisterViewModel();
                                                        str11 = RegisterActivity.this.email;
                                                        str12 = RegisterActivity.this.passwordAgain;
                                                        registerViewModel.registerChina(str11, MD5UtilKt.encode(str12), 2);
                                                        return;
                                                    }
                                                }
                                            }
                                            activityRegisterBinding29 = RegisterActivity.this.binding;
                                            if (activityRegisterBinding29 == null) {
                                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                            } else {
                                                activityRegisterBinding40 = activityRegisterBinding29;
                                            }
                                            activityRegisterBinding40.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_225));
                                            return;
                                        }
                                    }
                                    activityRegisterBinding26 = RegisterActivity.this.binding;
                                    if (activityRegisterBinding26 == null) {
                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                        activityRegisterBinding26 = null;
                                    }
                                    activityRegisterBinding26.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_220));
                                    activityRegisterBinding27 = RegisterActivity.this.binding;
                                    if (activityRegisterBinding27 == null) {
                                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                                    } else {
                                        activityRegisterBinding40 = activityRegisterBinding27;
                                    }
                                    activityRegisterBinding40.btnRegister.setEnabled(false);
                                    return;
                                }
                            }
                            activityRegisterBinding22 = RegisterActivity.this.binding;
                            if (activityRegisterBinding22 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityRegisterBinding22 = null;
                            }
                            activityRegisterBinding22.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_220));
                            activityRegisterBinding23 = RegisterActivity.this.binding;
                            if (activityRegisterBinding23 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                            } else {
                                activityRegisterBinding40 = activityRegisterBinding23;
                            }
                            activityRegisterBinding40.btnRegister.setEnabled(false);
                            return;
                        }
                    }
                }
                activityRegisterBinding17 = RegisterActivity.this.binding;
                if (activityRegisterBinding17 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityRegisterBinding17 = null;
                }
                activityRegisterBinding17.tvError.setText(RegisterActivity.this.getString(R.string.qc_text_219));
                activityRegisterBinding18 = RegisterActivity.this.binding;
                if (activityRegisterBinding18 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                } else {
                    activityRegisterBinding40 = activityRegisterBinding18;
                }
                activityRegisterBinding40.btnRegister.setEnabled(false);
            }
        });
        getRegisterViewModel().getRegisterUI().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterActivity$$ExternalSyntheticLambda3
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                RegisterActivity.m1009setupViews$lambda6$lambda5(RegisterActivity.this, (NetState) obj);
            }
        });
        String language = Locale.getDefault().getLanguage();
        Intrinsics.checkNotNullExpressionValue(language, "language");
        if (StringsKt.startsWith$default(language, "zh", false, 2, (Object) null)) {
            ActivityRegisterBinding activityRegisterBinding7 = this.binding;
            if (activityRegisterBinding7 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityRegisterBinding7 = null;
            }
            ViewKt.visible(activityRegisterBinding7.ppmCheckbox);
            ActivityRegisterBinding activityRegisterBinding8 = this.binding;
            if (activityRegisterBinding8 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityRegisterBinding8 = null;
            }
            ViewKt.visible(activityRegisterBinding8.userPrivacyEn);
            ActivityRegisterBinding activityRegisterBinding9 = this.binding;
            if (activityRegisterBinding9 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityRegisterBinding9 = null;
            }
            ViewKt.visible(activityRegisterBinding9.userAgreement);
            ActivityRegisterBinding activityRegisterBinding10 = this.binding;
            if (activityRegisterBinding10 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityRegisterBinding2 = activityRegisterBinding10;
            }
            ViewKt.visible(activityRegisterBinding2.agreeText);
            return;
        }
        AwLog.i(Author.HeZhiYuan, "-----");
        ActivityRegisterBinding activityRegisterBinding11 = this.binding;
        if (activityRegisterBinding11 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding11 = null;
        }
        ViewKt.gone(activityRegisterBinding11.ppmCheckbox);
        ActivityRegisterBinding activityRegisterBinding12 = this.binding;
        if (activityRegisterBinding12 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding12 = null;
        }
        ViewKt.gone(activityRegisterBinding12.userPrivacyEn);
        ActivityRegisterBinding activityRegisterBinding13 = this.binding;
        if (activityRegisterBinding13 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding13 = null;
        }
        ViewKt.gone(activityRegisterBinding13.userAgreement);
        ActivityRegisterBinding activityRegisterBinding14 = this.binding;
        if (activityRegisterBinding14 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityRegisterBinding2 = activityRegisterBinding14;
        }
        ViewKt.gone(activityRegisterBinding2.agreeText);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6$lambda-0, reason: not valid java name */
    public static final void m1007setupViews$lambda6$lambda0(ActivityRegisterBinding this_run, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        if (z) {
            this_run.userPwd.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
            this_run.userPwd.setSelection(this_run.userPwd.length());
        } else {
            this_run.userPwd.setTransformationMethod(PasswordTransformationMethod.getInstance());
            this_run.userPwd.setSelection(this_run.userPwd.length());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6$lambda-1, reason: not valid java name */
    public static final void m1008setupViews$lambda6$lambda1(ActivityRegisterBinding this_run, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        if (z) {
            this_run.userPwdAgain.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
            this_run.userPwdAgain.setSelection(this_run.userPwdAgain.length());
        } else {
            this_run.userPwdAgain.setTransformationMethod(PasswordTransformationMethod.getInstance());
            this_run.userPwdAgain.setSelection(this_run.userPwdAgain.length());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-6$lambda-5, reason: not valid java name */
    public static final void m1009setupViews$lambda6$lambda5(RegisterActivity this$0, NetState netState) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (netState.getIsLoading()) {
            this$0.showLoadingDialog();
        } else {
            this$0.dismissLoadingDialog();
        }
        int retCode = netState.getRetCode();
        if (retCode != 0) {
            if (retCode != 50004) {
                return;
            }
            ActivityRegisterBinding activityRegisterBinding = this$0.binding;
            if (activityRegisterBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityRegisterBinding = null;
            }
            activityRegisterBinding.tvError.setText(this$0.getString(R.string.qc_text_226));
            String string = this$0.getString(R.string.qc_text_226);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_226)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        UserConfig.INSTANCE.getInstance().setLoginStatus(true);
        UserConfig.INSTANCE.getInstance().save();
        EventBus.getDefault().post(new MineActivityFinish(1));
        EventBus.getDefault().post(new LoginSuccessEvent());
        EventBus.getDefault().post(new RefreshEvent(MineFragment.class));
        String string2 = this$0.getString(R.string.qc_text_510);
        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_510)");
        GlobalKt.showToast$default(string2, 0, 1, null);
        RegisterActivity registerActivity = this$0;
        ArrayList<Pair> arrayList = new ArrayList();
        Intent intent = new Intent(registerActivity, (Class<?>) FirstProfileActivity.class);
        for (Pair pair : arrayList) {
            if (pair != null) {
                String str = (String) pair.getFirst();
                Object second = pair.getSecond();
                if (second instanceof Integer) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                } else if (second instanceof Byte) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                } else if (second instanceof Character) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                } else if (second instanceof Short) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                } else if (second instanceof Boolean) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                } else if (second instanceof Long) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                } else if (second instanceof Float) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                } else if (second instanceof Double) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                } else if (second instanceof String) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                } else if (second instanceof CharSequence) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                } else if (second instanceof Parcelable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else if (second instanceof Object[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof ArrayList) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof Serializable) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                } else if (second instanceof boolean[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                } else if (second instanceof byte[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                } else if (second instanceof short[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                } else if (second instanceof char[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                } else if (second instanceof int[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                } else if (second instanceof long[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                } else if (second instanceof float[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                } else if (second instanceof double[]) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                } else if (second instanceof Bundle) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                } else if (second instanceof Intent) {
                    Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                } else {
                    Unit unit = Unit.INSTANCE;
                }
            }
        }
        registerActivity.startActivity(intent);
        this$0.finish();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final boolean isValidEmail(String email) {
        return Pattern.matches("^(\\w+([-.][A-Za-z0-9]+)*){3,18}@\\w+([-.][A-Za-z0-9]+)*\\.\\w+([-.][A-Za-z0-9]+)*$", email);
    }

    public final InputFilter getEmptyInputFilter() {
        return this.emptyInputFilter;
    }

    public final void setEmptyInputFilter(InputFilter inputFilter) {
        Intrinsics.checkNotNullParameter(inputFilter, "<set-?>");
        this.emptyInputFilter = inputFilter;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: emptyInputFilter$lambda-7, reason: not valid java name */
    public static final CharSequence m1006emptyInputFilter$lambda7(RegisterActivity this$0, CharSequence charSequence, int i, int i2, Spanned spanned, int i3, int i4) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (!Intrinsics.areEqual(charSequence, " ")) {
            return charSequence;
        }
        ActivityRegisterBinding activityRegisterBinding = this$0.binding;
        if (activityRegisterBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityRegisterBinding = null;
        }
        activityRegisterBinding.tvError.setText(this$0.getString(R.string.qc_text_284));
        return "";
    }
}
