package com.qcwireless.qcwatch.ui.mine.ucenter;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.communication.LargeDataHandler;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.dialog.BottomBirthdayDialog;
import com.qcwireless.qcwatch.base.dialog.BottomDialog;
import com.qcwireless.qcwatch.base.dialog.BottomHeightWeightDialog;
import com.qcwireless.qcwatch.base.dialog.BottomListDialog;
import com.qcwireless.qcwatch.base.dialog.EditTextDialog;
import com.qcwireless.qcwatch.base.dialog.bean.ListDataBean;
import com.qcwireless.qcwatch.base.event.RefreshEvent;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.MetricUtilsKt;
import com.qcwireless.qcwatch.base.utils.QcDateUtil;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityUserProfileBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.bean.device.DeviceSetting;
import com.qcwireless.qcwatch.ui.base.repository.entity.UserEntity;
import com.qcwireless.qcwatch.ui.base.util.NetWorkUtils;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.mine.MineFragment;
import com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileViewModel;
import com.qcwireless.ring.R;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.MutablePropertyReference1Impl;
import kotlin.jvm.internal.Ref;
import kotlin.jvm.internal.Reflection;
import kotlin.properties.Delegates;
import kotlin.properties.ReadWriteProperty;
import kotlin.reflect.KProperty;
import kotlinx.coroutines.BuildersKt__Builders_commonKt;
import kotlinx.coroutines.GlobalScope;
import org.greenrobot.eventbus.EventBus;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: UserProfileActivity.kt */
@Metadata(d1 = {"\u0000`\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\b\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010\u000e\n\u0002\b\b\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010%\u001a\u00020&2\b\u0010'\u001a\u0004\u0018\u00010(H\u0014J\b\u0010)\u001a\u00020&H\u0014J\b\u0010*\u001a\u00020&H\u0014J\b\u0010+\u001a\u00020&H\u0014J\b\u0010,\u001a\u00020&H\u0002J\u000e\u0010-\u001a\u00020&2\u0006\u0010.\u001a\u00020/J\b\u00100\u001a\u00020&H\u0014J\u0006\u00101\u001a\u00020&J\b\u00102\u001a\u00020&H\u0002J\u0006\u00103\u001a\u00020&J\u0006\u00104\u001a\u00020&J\u0006\u00105\u001a\u00020&J\u0006\u00106\u001a\u00020&R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\bX\u0082.¢\u0006\u0002\n\u0000R+\u0010\u0010\u001a\u00020\u000f2\u0006\u0010\u000e\u001a\u00020\u000f8B@BX\u0082\u008e\u0002¢\u0006\u0012\n\u0004\b\u0015\u0010\u0016\u001a\u0004\b\u0011\u0010\u0012\"\u0004\b\u0013\u0010\u0014R\u000e\u0010\u0017\u001a\u00020\u0018X\u0082.¢\u0006\u0002\n\u0000R\u001a\u0010\u0019\u001a\u00020\u001aX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001b\u0010\u001c\"\u0004\b\u001d\u0010\u001eR\u001b\u0010\u001f\u001a\u00020 8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b#\u0010$\u001a\u0004\b!\u0010\"¨\u00067"}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/ucenter/UserProfileActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityUserProfileBinding;", "birthdayDialog", "Lcom/qcwireless/qcwatch/base/dialog/BottomBirthdayDialog;", "bottomDialog", "Lcom/qcwireless/qcwatch/base/dialog/BottomHeightWeightDialog;", "deviceSetting", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "genderDialog", "Lcom/qcwireless/qcwatch/base/dialog/BottomListDialog;", "heightDialog", "<set-?>", "", "metric", "getMetric", "()Z", "setMetric", "(Z)V", "metric$delegate", "Lkotlin/properties/ReadWriteProperty;", "nickNameDialog", "Lcom/qcwireless/qcwatch/base/dialog/EditTextDialog;", "userEntity", "Lcom/qcwireless/qcwatch/ui/base/repository/entity/UserEntity;", "getUserEntity", "()Lcom/qcwireless/qcwatch/ui/base/repository/entity/UserEntity;", "setUserEntity", "(Lcom/qcwireless/qcwatch/ui/base/repository/entity/UserEntity;)V", "viewModel", "Lcom/qcwireless/qcwatch/ui/mine/ucenter/UserProfileViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/mine/ucenter/UserProfileViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onPause", "onResume", "onStop", "refreshHeightAndWeight", "setNickNameDialog", "text", "", "setupViews", "showBirthdayDialog", "showExitDialog", "showGenderDialog", "showHeightDialog", "showLogOffDialog", "showWeightDialog", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class UserProfileActivity extends BaseActivity {
    static final /* synthetic */ KProperty<Object>[] $$delegatedProperties = {Reflection.mutableProperty1(new MutablePropertyReference1Impl(UserProfileActivity.class, "metric", "getMetric()Z", 0))};
    private ActivityUserProfileBinding binding;
    private BottomBirthdayDialog birthdayDialog;
    private BottomHeightWeightDialog bottomDialog;
    private DeviceSetting deviceSetting;
    private BottomListDialog genderDialog;
    private BottomHeightWeightDialog heightDialog;

    /* renamed from: metric$delegate, reason: from kotlin metadata */
    private final ReadWriteProperty metric;
    private EditTextDialog nickNameDialog;
    private UserEntity userEntity;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public UserProfileActivity() {
        final UserProfileActivity userProfileActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<UserProfileViewModel>() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final UserProfileViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(UserProfileViewModel.class), qualifier, b);
            }
        });
        this.metric = Delegates.INSTANCE.notNull();
        long uid = UserConfig.INSTANCE.getInstance().getUid();
        String y_m_d = new DateUtil().getY_M_D();
        Intrinsics.checkNotNullExpressionValue(y_m_d, "DateUtil().y_M_D");
        this.userEntity = new UserEntity(uid, "", "", 1, 60.0f, 120, 175.0f, "1995-01", "", "", 10000, 200.0f, 5.0f, 1.5f, 8.0f, y_m_d, 0);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final UserProfileViewModel getViewModel() {
        return (UserProfileViewModel) this.viewModel.getValue();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final boolean getMetric() {
        return ((Boolean) this.metric.getValue(this, $$delegatedProperties[0])).booleanValue();
    }

    private final void setMetric(boolean z) {
        this.metric.setValue(this, $$delegatedProperties[0], Boolean.valueOf(z));
    }

    public final UserEntity getUserEntity() {
        return this.userEntity;
    }

    public final void setUserEntity(UserEntity userEntity) {
        Intrinsics.checkNotNullParameter(userEntity, "<set-?>");
        this.userEntity = userEntity;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityUserProfileBinding inflate = ActivityUserProfileBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        showLoadingDialogTimeout(1000);
        getViewModel().queryUserByUidUI();
        getViewModel().initDialogData();
        setMetric(UserConfig.INSTANCE.getInstance().getMetric());
        ActivityUserProfileBinding activityUserProfileBinding = this.binding;
        if (activityUserProfileBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityUserProfileBinding = null;
        }
        activityUserProfileBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_151));
        ViewKt.visible(activityUserProfileBinding.titleBar.tvRightText);
        activityUserProfileBinding.titleBar.tvRightText.setText(getString(R.string.qc_text_79));
        activityUserProfileBinding.userCenterHeight.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$setupViews$1$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                UserProfileActivity.this.showHeightDialog();
            }
        });
        activityUserProfileBinding.userCenterWeight.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$setupViews$1$2
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                UserProfileActivity.this.showWeightDialog();
            }
        });
        activityUserProfileBinding.userCenterBirthday.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$setupViews$1$3
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                UserProfileActivity.this.showBirthdayDialog();
            }
        });
        activityUserProfileBinding.userCenterGender.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$setupViews$1$4
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                UserProfileActivity.this.showGenderDialog();
            }
        });
        activityUserProfileBinding.userLogOff.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$setupViews$1$5
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                if (!NetWorkUtils.INSTANCE.isNetworkAvailable(UserProfileActivity.this)) {
                    String string = UserProfileActivity.this.getString(R.string.qc_text_223);
                    Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_223)");
                    GlobalKt.showToast$default(string, 0, 1, null);
                    return;
                }
                UserProfileActivity.this.showLogOffDialog();
            }
        });
        activityUserProfileBinding.userCenterName.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$setupViews$1$6
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                UserProfileActivity userProfileActivity = UserProfileActivity.this;
                userProfileActivity.setNickNameDialog(userProfileActivity.getUserEntity().getNickName());
            }
        });
        activityUserProfileBinding.btnExit.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                UserProfileActivity.m1036setupViews$lambda2$lambda0(UserProfileActivity.this, view);
            }
        });
        activityUserProfileBinding.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                UserProfileActivity.m1037setupViews$lambda2$lambda1(UserProfileActivity.this, view);
            }
        });
        getViewModel().getUiState().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda8
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                UserProfileActivity.m1038setupViews$lambda4(UserProfileActivity.this, (UserProfileViewModel.ProfileUI) obj);
            }
        });
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new UserProfileActivity$setupViews$3(this, null), 3, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-2$lambda-0, reason: not valid java name */
    public static final void m1036setupViews$lambda2$lambda0(UserProfileActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.showExitDialog();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-2$lambda-1, reason: not valid java name */
    public static final void m1037setupViews$lambda2$lambda1(UserProfileActivity this$0, View view) {
        DeviceSetting deviceSetting;
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.getViewModel().saveUserEntity(this$0.userEntity);
        this$0.getViewModel().updateUserProfile(this$0.userEntity);
        UserConfig.INSTANCE.getInstance().setMetric(this$0.getMetric());
        UserConfig.INSTANCE.getInstance().save();
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new UserProfileActivity$setupViews$1$8$1(this$0, null), 3, null);
        int ageByBirthday = DateUtil.getAgeByBirthday(DateUtil.String2Date("yyyy-MM-dd", this$0.userEntity.getBirthday() + "-01"));
        LargeDataHandler.getInstance().setDeviceNickName(this$0.userEntity.getNickName());
        UserProfileViewModel viewModel = this$0.getViewModel();
        DeviceSetting deviceSetting2 = this$0.deviceSetting;
        if (deviceSetting2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting = null;
        } else {
            deviceSetting = deviceSetting2;
        }
        viewModel.execUserInfoToDevice(deviceSetting, this$0.userEntity.getGender() - 1, ageByBirthday, (int) this$0.userEntity.getHeight(), (int) this$0.userEntity.getWeight());
        this$0.finish();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-4, reason: not valid java name */
    public static final void m1038setupViews$lambda4(UserProfileActivity this$0, UserProfileViewModel.ProfileUI profileUI) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityUserProfileBinding activityUserProfileBinding = this$0.binding;
        if (activityUserProfileBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityUserProfileBinding = null;
        }
        this$0.userEntity = profileUI.getEntity();
        activityUserProfileBinding.userCenterName.setRightText(profileUI.getNick());
        if (this$0.userEntity.getGender() == 0) {
            this$0.userEntity.setGender(1);
        }
        AwLog.i(Author.HeZhiYuan, Integer.valueOf(profileUI.getGender()));
        int gender = profileUI.getGender();
        if (gender == 1) {
            activityUserProfileBinding.userCenterGender.setRightText(this$0.getString(R.string.qc_text_152));
        } else if (gender == 2) {
            activityUserProfileBinding.userCenterGender.setRightText(this$0.getString(R.string.qc_text_153));
        } else if (gender == 3) {
            activityUserProfileBinding.userCenterGender.setRightText(this$0.getString(R.string.qc_text_6666039));
        }
        String birthday = profileUI.getBirthday();
        if (birthday.length() == 0) {
            birthday = new DateUtil().getYyyyMMDate();
            Intrinsics.checkNotNullExpressionValue(birthday, "DateUtil().yyyyMMDate");
        }
        DateUtil d = DateUtil.parse(birthday, DateUtil.DateFormater.yyyyMM);
        QSettingItem qSettingItem = activityUserProfileBinding.userCenterBirthday;
        QcDateUtil getInstance = QcDateUtil.INSTANCE.getGetInstance();
        Intrinsics.checkNotNullExpressionValue(d, "d");
        qSettingItem.setRightText(getInstance.localDateNoDayFormat(d));
        if (this$0.getMetric()) {
            activityUserProfileBinding.userCenterWeight.setRightText(profileUI.getWeight() + "kg");
            activityUserProfileBinding.userCenterHeight.setRightText(profileUI.getHeight() + "cm");
            return;
        }
        int cmToIn = MetricUtilsKt.cmToIn(profileUI.getHeight());
        activityUserProfileBinding.userCenterHeight.setRightText((cmToIn / 12) + "ft" + (cmToIn % 12) + "in");
        QSettingItem qSettingItem2 = activityUserProfileBinding.userCenterWeight;
        StringBuilder sb = new StringBuilder();
        sb.append(profileUI.getWeightLbs());
        sb.append("lbs");
        qSettingItem2.setRightText(sb.toString());
        this$0.userEntity.setWeightLbs(profileUI.getWeightLbs());
    }

    private final void showExitDialog() {
        BottomDialog.Builder builder = new BottomDialog.Builder(getActivity());
        builder.setContentView(R.layout.layout_dialog_exit);
        final BottomDialog create = builder.create();
        create.show();
        View contentView = create.getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "bottomDialog.contentView");
        TextView textView = (TextView) contentView.findViewById(R.id.tv_cancel);
        TextView textView2 = (TextView) contentView.findViewById(R.id.tv_confirm);
        textView.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BottomDialog.this.dismiss();
            }
        });
        textView2.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                UserProfileActivity.m1041showExitDialog$lambda6(UserProfileActivity.this, create, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showExitDialog$lambda-6, reason: not valid java name */
    public static final void m1041showExitDialog$lambda6(UserProfileActivity this$0, BottomDialog bottomDialog, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        UserConfig.INSTANCE.getInstance().setLoginStatus(false);
        UserConfig.INSTANCE.getInstance().save();
        EventBus.getDefault().post(new RefreshEvent(MineFragment.class));
        this$0.finish();
        bottomDialog.dismiss();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onResume() {
        super.onResume();
        ActivityUserProfileBinding activityUserProfileBinding = null;
        if (UserConfig.INSTANCE.getInstance().getLoginStatus()) {
            ActivityUserProfileBinding activityUserProfileBinding2 = this.binding;
            if (activityUserProfileBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityUserProfileBinding2 = null;
            }
            ViewKt.visible(activityUserProfileBinding2.btnExit);
            ActivityUserProfileBinding activityUserProfileBinding3 = this.binding;
            if (activityUserProfileBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityUserProfileBinding3 = null;
            }
            ViewKt.visible(activityUserProfileBinding3.userLogOff);
            ActivityUserProfileBinding activityUserProfileBinding4 = this.binding;
            if (activityUserProfileBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityUserProfileBinding = activityUserProfileBinding4;
            }
            ViewKt.visible(activityUserProfileBinding.line2);
        } else {
            ActivityUserProfileBinding activityUserProfileBinding5 = this.binding;
            if (activityUserProfileBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityUserProfileBinding5 = null;
            }
            ViewKt.gone(activityUserProfileBinding5.btnExit);
            ActivityUserProfileBinding activityUserProfileBinding6 = this.binding;
            if (activityUserProfileBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityUserProfileBinding6 = null;
            }
            ViewKt.gone(activityUserProfileBinding6.userLogOff);
            ActivityUserProfileBinding activityUserProfileBinding7 = this.binding;
            if (activityUserProfileBinding7 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityUserProfileBinding = activityUserProfileBinding7;
            }
            ViewKt.gone(activityUserProfileBinding.line2);
        }
        getViewModel().queryUserByUidUI();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onStop() {
        super.onStop();
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new UserProfileActivity$onStop$1(this, null), 3, null);
    }

    private final void refreshHeightAndWeight() {
        ActivityUserProfileBinding activityUserProfileBinding = null;
        if (getMetric()) {
            ActivityUserProfileBinding activityUserProfileBinding2 = this.binding;
            if (activityUserProfileBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityUserProfileBinding2 = null;
            }
            activityUserProfileBinding2.userCenterWeight.setRightText(((int) this.userEntity.getWeight()) + "kg");
            ActivityUserProfileBinding activityUserProfileBinding3 = this.binding;
            if (activityUserProfileBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityUserProfileBinding = activityUserProfileBinding3;
            }
            activityUserProfileBinding.userCenterHeight.setRightText(((int) this.userEntity.getHeight()) + "cm");
            return;
        }
        int cmToIn = MetricUtilsKt.cmToIn((int) this.userEntity.getHeight());
        String str = (cmToIn / 12) + "ft" + (cmToIn % 12) + "in";
        ActivityUserProfileBinding activityUserProfileBinding4 = this.binding;
        if (activityUserProfileBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityUserProfileBinding4 = null;
        }
        activityUserProfileBinding4.userCenterHeight.setRightText(str);
        ActivityUserProfileBinding activityUserProfileBinding5 = this.binding;
        if (activityUserProfileBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityUserProfileBinding = activityUserProfileBinding5;
        }
        activityUserProfileBinding.userCenterWeight.setRightText(this.userEntity.getWeightLbs() + "lbs");
    }

    public final void showHeightDialog() {
        BottomHeightWeightDialog bottomHeightWeightDialog;
        BottomHeightWeightDialog create = new BottomHeightWeightDialog.Builder(getActivity()).create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.heightDialog = create;
        BottomHeightWeightDialog bottomHeightWeightDialog2 = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("heightDialog");
            bottomHeightWeightDialog = null;
        } else {
            bottomHeightWeightDialog = create;
        }
        bottomHeightWeightDialog.initData(this, getViewModel().getMHeightList(), getViewModel().getIHeightList(), getMetric(), true);
        BottomHeightWeightDialog bottomHeightWeightDialog3 = this.heightDialog;
        if (bottomHeightWeightDialog3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("heightDialog");
            bottomHeightWeightDialog3 = null;
        }
        bottomHeightWeightDialog3.setDialogTitle(getString(R.string.qc_text_145));
        BottomHeightWeightDialog bottomHeightWeightDialog4 = this.heightDialog;
        if (bottomHeightWeightDialog4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("heightDialog");
            bottomHeightWeightDialog4 = null;
        }
        bottomHeightWeightDialog4.setListener(new BottomHeightWeightDialog.DialogSaveClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda11
            @Override // com.qcwireless.qcwatch.base.dialog.BottomHeightWeightDialog.DialogSaveClickListener
            public final void itemClick(int i, boolean z, boolean z2) {
                UserProfileActivity.m1043showHeightDialog$lambda7(UserProfileActivity.this, i, z, z2);
            }
        });
        BottomHeightWeightDialog bottomHeightWeightDialog5 = this.heightDialog;
        if (bottomHeightWeightDialog5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("heightDialog");
            bottomHeightWeightDialog5 = null;
        }
        bottomHeightWeightDialog5.setCurrItem((int) this.userEntity.getHeight(), getMetric());
        BottomHeightWeightDialog bottomHeightWeightDialog6 = this.heightDialog;
        if (bottomHeightWeightDialog6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("heightDialog");
        } else {
            bottomHeightWeightDialog2 = bottomHeightWeightDialog6;
        }
        bottomHeightWeightDialog2.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showHeightDialog$lambda-7, reason: not valid java name */
    public static final void m1043showHeightDialog$lambda7(UserProfileActivity this$0, int i, boolean z, boolean z2) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (z2) {
            this$0.userEntity.setHeight(i);
            this$0.refreshHeightAndWeight();
        } else {
            this$0.setMetric(z);
        }
    }

    public final void showWeightDialog() {
        BottomHeightWeightDialog bottomHeightWeightDialog;
        BottomHeightWeightDialog create = new BottomHeightWeightDialog.Builder(getActivity()).create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.bottomDialog = create;
        BottomHeightWeightDialog bottomHeightWeightDialog2 = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("bottomDialog");
            bottomHeightWeightDialog = null;
        } else {
            bottomHeightWeightDialog = create;
        }
        bottomHeightWeightDialog.initData(this, getViewModel().getMWeightList(), getViewModel().getIWeightList(), getMetric(), false);
        BottomHeightWeightDialog bottomHeightWeightDialog3 = this.bottomDialog;
        if (bottomHeightWeightDialog3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("bottomDialog");
            bottomHeightWeightDialog3 = null;
        }
        bottomHeightWeightDialog3.setDialogTitle(getString(R.string.qc_text_146));
        BottomHeightWeightDialog bottomHeightWeightDialog4 = this.bottomDialog;
        if (bottomHeightWeightDialog4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("bottomDialog");
            bottomHeightWeightDialog4 = null;
        }
        bottomHeightWeightDialog4.setListener(new BottomHeightWeightDialog.DialogSaveClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda10
            @Override // com.qcwireless.qcwatch.base.dialog.BottomHeightWeightDialog.DialogSaveClickListener
            public final void itemClick(int i, boolean z, boolean z2) {
                UserProfileActivity.m1046showWeightDialog$lambda8(UserProfileActivity.this, i, z, z2);
            }
        });
        if (getMetric()) {
            BottomHeightWeightDialog bottomHeightWeightDialog5 = this.bottomDialog;
            if (bottomHeightWeightDialog5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bottomDialog");
                bottomHeightWeightDialog5 = null;
            }
            bottomHeightWeightDialog5.setCurrItem((int) this.userEntity.getWeight(), getMetric());
        } else {
            BottomHeightWeightDialog bottomHeightWeightDialog6 = this.bottomDialog;
            if (bottomHeightWeightDialog6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bottomDialog");
                bottomHeightWeightDialog6 = null;
            }
            bottomHeightWeightDialog6.setCurrItem(this.userEntity.getWeightLbs(), getMetric());
        }
        BottomHeightWeightDialog bottomHeightWeightDialog7 = this.bottomDialog;
        if (bottomHeightWeightDialog7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("bottomDialog");
        } else {
            bottomHeightWeightDialog2 = bottomHeightWeightDialog7;
        }
        bottomHeightWeightDialog2.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showWeightDialog$lambda-8, reason: not valid java name */
    public static final void m1046showWeightDialog$lambda8(UserProfileActivity this$0, int i, boolean z, boolean z2) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (z2) {
            AwLog.i(Author.HeZhiYuan, Integer.valueOf(i));
            if (z) {
                this$0.userEntity.setWeight(i);
                this$0.userEntity.setWeightLbs(MetricUtilsKt.kgToLbs(i));
                AwLog.i(Author.HeZhiYuan, Float.valueOf(MetricUtilsKt.kgToLbs(i)));
            } else {
                this$0.userEntity.setWeightLbs(i);
                this$0.userEntity.setWeight(MetricUtilsKt.lbsToKg(i));
                AwLog.i(Author.HeZhiYuan, Float.valueOf(MetricUtilsKt.lbsToKg(i)));
            }
            this$0.refreshHeightAndWeight();
            return;
        }
        this$0.setMetric(z);
    }

    public final void showBirthdayDialog() {
        String birthday = this.userEntity.getBirthday();
        if (birthday.length() == 0) {
            birthday = new DateUtil().getY_M_D();
            Intrinsics.checkNotNullExpressionValue(birthday, "DateUtil().y_M_D");
        }
        DateUtil parse = DateUtil.parse(birthday, DateUtil.DateFormater.yyyyMM);
        BottomBirthdayDialog create = new BottomBirthdayDialog.Builder(getActivity()).create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.birthdayDialog = create;
        BottomBirthdayDialog bottomBirthdayDialog = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("birthdayDialog");
            create = null;
        }
        create.initData(this);
        BottomBirthdayDialog bottomBirthdayDialog2 = this.birthdayDialog;
        if (bottomBirthdayDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("birthdayDialog");
            bottomBirthdayDialog2 = null;
        }
        bottomBirthdayDialog2.setDialogTitle(getString(R.string.qc_text_144));
        BottomBirthdayDialog bottomBirthdayDialog3 = this.birthdayDialog;
        if (bottomBirthdayDialog3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("birthdayDialog");
            bottomBirthdayDialog3 = null;
        }
        bottomBirthdayDialog3.setListener(new BottomBirthdayDialog.DialogSaveClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda9
            @Override // com.qcwireless.qcwatch.base.dialog.BottomBirthdayDialog.DialogSaveClickListener
            public final void itemClick(int i, int i2) {
                UserProfileActivity.m1039showBirthdayDialog$lambda9(UserProfileActivity.this, i, i2);
            }
        });
        BottomBirthdayDialog bottomBirthdayDialog4 = this.birthdayDialog;
        if (bottomBirthdayDialog4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("birthdayDialog");
            bottomBirthdayDialog4 = null;
        }
        bottomBirthdayDialog4.setCurrItem(parse.getYear(), parse.getMonth());
        BottomBirthdayDialog bottomBirthdayDialog5 = this.birthdayDialog;
        if (bottomBirthdayDialog5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("birthdayDialog");
        } else {
            bottomBirthdayDialog = bottomBirthdayDialog5;
        }
        bottomBirthdayDialog.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showBirthdayDialog$lambda-9, reason: not valid java name */
    public static final void m1039showBirthdayDialog$lambda9(UserProfileActivity this$0, int i, int i2) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DateUtil dateUtil = new DateUtil(i, i2, 1);
        ActivityUserProfileBinding activityUserProfileBinding = null;
        if (dateUtil.getUnixTimestamp() > new DateUtil().getUnixTimestamp()) {
            String string = this$0.getString(R.string.qc_text_229);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_229)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        ActivityUserProfileBinding activityUserProfileBinding2 = this$0.binding;
        if (activityUserProfileBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityUserProfileBinding = activityUserProfileBinding2;
        }
        activityUserProfileBinding.userCenterBirthday.setRightText(QcDateUtil.INSTANCE.getGetInstance().localDateNoDayFormat(dateUtil));
        UserEntity userEntity = this$0.userEntity;
        String yyyyMMDate = dateUtil.getYyyyMMDate();
        Intrinsics.checkNotNullExpressionValue(yyyyMMDate, "d.yyyyMMDate");
        userEntity.setBirthday(yyyyMMDate);
    }

    public final void showGenderDialog() {
        int gender = this.userEntity.getGender();
        getViewModel().getGenderList().clear();
        getViewModel().getGenderList().add(0, new ListDataBean(GlobalKt.getString(R.string.qc_text_152), gender == 1));
        getViewModel().getGenderList().add(1, new ListDataBean(GlobalKt.getString(R.string.qc_text_153), gender == 2));
        BottomListDialog create = new BottomListDialog.Builder(getActivity()).create();
        Intrinsics.checkNotNullExpressionValue(create, "builder.create()");
        this.genderDialog = create;
        BottomListDialog bottomListDialog = null;
        if (create == null) {
            Intrinsics.throwUninitializedPropertyAccessException("genderDialog");
            create = null;
        }
        create.show();
        BottomListDialog bottomListDialog2 = this.genderDialog;
        if (bottomListDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("genderDialog");
            bottomListDialog2 = null;
        }
        bottomListDialog2.initView();
        BottomListDialog bottomListDialog3 = this.genderDialog;
        if (bottomListDialog3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("genderDialog");
            bottomListDialog3 = null;
        }
        bottomListDialog3.setSubTitle(getString(R.string.qc_text_154));
        BottomListDialog bottomListDialog4 = this.genderDialog;
        if (bottomListDialog4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("genderDialog");
            bottomListDialog4 = null;
        }
        bottomListDialog4.setData(getViewModel().getGenderList());
        BottomListDialog bottomListDialog5 = this.genderDialog;
        if (bottomListDialog5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("genderDialog");
        } else {
            bottomListDialog = bottomListDialog5;
        }
        bottomListDialog.setListener(new BottomListDialog.DialogItemClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda1
            @Override // com.qcwireless.qcwatch.base.dialog.BottomListDialog.DialogItemClickListener
            public final void onSelected(int i) {
                UserProfileActivity.m1042showGenderDialog$lambda10(UserProfileActivity.this, i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showGenderDialog$lambda-10, reason: not valid java name */
    public static final void m1042showGenderDialog$lambda10(UserProfileActivity this$0, int i) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        ActivityUserProfileBinding activityUserProfileBinding = null;
        if (i == 0) {
            ActivityUserProfileBinding activityUserProfileBinding2 = this$0.binding;
            if (activityUserProfileBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityUserProfileBinding = activityUserProfileBinding2;
            }
            activityUserProfileBinding.userCenterGender.setRightText(this$0.getString(R.string.qc_text_152));
            this$0.userEntity.setGender(1);
            return;
        }
        if (i == 1) {
            this$0.userEntity.setGender(2);
            ActivityUserProfileBinding activityUserProfileBinding3 = this$0.binding;
            if (activityUserProfileBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityUserProfileBinding = activityUserProfileBinding3;
            }
            activityUserProfileBinding.userCenterGender.setRightText(this$0.getString(R.string.qc_text_153));
            return;
        }
        if (i != 2) {
            return;
        }
        this$0.userEntity.setGender(3);
        ActivityUserProfileBinding activityUserProfileBinding4 = this$0.binding;
        if (activityUserProfileBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityUserProfileBinding = activityUserProfileBinding4;
        }
        activityUserProfileBinding.userCenterGender.setRightText(this$0.getString(R.string.qc_text_6666039));
    }

    public final void setNickNameDialog(String text) {
        Intrinsics.checkNotNullParameter(text, "text");
        EditTextDialog editTextDialog = new EditTextDialog(this, text);
        this.nickNameDialog = editTextDialog;
        editTextDialog.setOnTextConfirmListener(new EditTextDialog.OnTextConfirmListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda2
            @Override // com.qcwireless.qcwatch.base.dialog.EditTextDialog.OnTextConfirmListener
            public final void OnConfirm(String str) {
                UserProfileActivity.m1035setNickNameDialog$lambda11(UserProfileActivity.this, str);
            }
        });
        EditTextDialog editTextDialog2 = this.nickNameDialog;
        if (editTextDialog2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("nickNameDialog");
            editTextDialog2 = null;
        }
        editTextDialog2.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setNickNameDialog$lambda-11, reason: not valid java name */
    public static final void m1035setNickNameDialog$lambda11(UserProfileActivity this$0, String it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        if (it.length() > 0) {
            ActivityUserProfileBinding activityUserProfileBinding = this$0.binding;
            if (activityUserProfileBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityUserProfileBinding = null;
            }
            activityUserProfileBinding.userCenterName.setRightText(it);
            this$0.userEntity.setNickName(it);
            AwLog.i(Author.HeZhiYuan, it);
            EventBus.getDefault().post(new RefreshEvent(MineFragment.class));
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onPause() {
        super.onPause();
        AwLog.i(Author.HeZhiYuan, "onPause");
        try {
            BottomHeightWeightDialog bottomHeightWeightDialog = this.heightDialog;
            EditTextDialog editTextDialog = null;
            if (bottomHeightWeightDialog == null) {
                Intrinsics.throwUninitializedPropertyAccessException("heightDialog");
                bottomHeightWeightDialog = null;
            }
            bottomHeightWeightDialog.dismiss();
            BottomHeightWeightDialog bottomHeightWeightDialog2 = this.bottomDialog;
            if (bottomHeightWeightDialog2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("bottomDialog");
                bottomHeightWeightDialog2 = null;
            }
            bottomHeightWeightDialog2.dismiss();
            BottomBirthdayDialog bottomBirthdayDialog = this.birthdayDialog;
            if (bottomBirthdayDialog == null) {
                Intrinsics.throwUninitializedPropertyAccessException("birthdayDialog");
                bottomBirthdayDialog = null;
            }
            bottomBirthdayDialog.dismiss();
            BottomListDialog bottomListDialog = this.genderDialog;
            if (bottomListDialog == null) {
                Intrinsics.throwUninitializedPropertyAccessException("genderDialog");
                bottomListDialog = null;
            }
            bottomListDialog.dismiss();
            EditTextDialog editTextDialog2 = this.nickNameDialog;
            if (editTextDialog2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("nickNameDialog");
            } else {
                editTextDialog = editTextDialog2;
            }
            editTextDialog.dismiss();
        } catch (Exception unused) {
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v1, types: [T, com.qcwireless.qcwatch.base.dialog.BottomDialog] */
    public final void showLogOffDialog() {
        final Ref.ObjectRef objectRef = new Ref.ObjectRef();
        BottomDialog.Builder builder = new BottomDialog.Builder(getActivity());
        builder.setContentView(R.layout.layout_dialog_log_off);
        objectRef.element = builder.create();
        ((BottomDialog) objectRef.element).show();
        View contentView = ((BottomDialog) objectRef.element).getContentView();
        Intrinsics.checkNotNullExpressionValue(contentView, "bottomDialog.contentView");
        TextView textView = (TextView) contentView.findViewById(R.id.tv_dialog_cancel);
        TextView textView2 = (TextView) contentView.findViewById(R.id.tv_dialog_confirm);
        textView.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda7
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                UserProfileActivity.m1044showLogOffDialog$lambda12(Ref.ObjectRef.this, view);
            }
        });
        textView2.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.mine.ucenter.UserProfileActivity$$ExternalSyntheticLambda6
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                UserProfileActivity.m1045showLogOffDialog$lambda13(UserProfileActivity.this, objectRef, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: showLogOffDialog$lambda-12, reason: not valid java name */
    public static final void m1044showLogOffDialog$lambda12(Ref.ObjectRef bottomDialog, View view) {
        Intrinsics.checkNotNullParameter(bottomDialog, "$bottomDialog");
        ((BottomDialog) bottomDialog.element).dismiss();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* renamed from: showLogOffDialog$lambda-13, reason: not valid java name */
    public static final void m1045showLogOffDialog$lambda13(UserProfileActivity this$0, Ref.ObjectRef bottomDialog, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(bottomDialog, "$bottomDialog");
        this$0.showLoadingDialog();
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new UserProfileActivity$showLogOffDialog$2$1(this$0, null), 3, null);
        ((BottomDialog) bottomDialog.element).dismiss();
    }
}
