package androidx.camera.view;

import java.util.Objects;

/* loaded from: classes.dex */
final class FlashModeConverter {
    private FlashModeConverter() {
    }

    public static int valueOf(final String name) {
        Objects.requireNonNull(name, "name cannot be null");
        name.hashCode();
        char c = 65535;
        switch (name.hashCode()) {
            case 2527:
                if (name.equals("ON")) {
                    c = 0;
                    break;
                }
                break;
            case 78159:
                if (name.equals("OFF")) {
                    c = 1;
                    break;
                }
                break;
            case 2020783:
                if (name.equals("AUTO")) {
                    c = 2;
                    break;
                }
                break;
        }
        switch (c) {
            case 0:
                return 1;
            case 1:
                return 2;
            case 2:
                return 0;
            default:
                throw new IllegalArgumentException("Unknown flash mode name " + name);
        }
    }

    public static String nameOf(final int flashMode) {
        if (flashMode == 0) {
            return "AUTO";
        }
        if (flashMode == 1) {
            return "ON";
        }
        if (flashMode == 2) {
            return "OFF";
        }
        throw new IllegalArgumentException("Unknown flash mode " + flashMode);
    }
}
