package com.app.watch.keeping.entity;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

/* loaded from: classes.dex */
public interface ICactusInterface extends IInterface {

    /* loaded from: classes.dex */
    public static class Default implements ICactusInterface {
        @Override // android.os.IInterface
        public IBinder asBinder() {
            return null;
        }

        @Override // com.app.watch.keeping.entity.ICactusInterface
        public void connectionTimes(int i) throws RemoteException {
        }

        @Override // com.app.watch.keeping.entity.ICactusInterface
        public void wakeup(CactusConfig cactusConfig) throws RemoteException {
        }
    }

    void connectionTimes(int i) throws RemoteException;

    void wakeup(CactusConfig cactusConfig) throws RemoteException;

    /* loaded from: classes.dex */
    public static abstract class Stub extends Binder implements ICactusInterface {
        private static final String DESCRIPTOR = "com.app.watch.keeping.entity.ICactusInterface";
        static final int TRANSACTION_connectionTimes = 2;
        static final int TRANSACTION_wakeup = 1;

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICactusInterface asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof ICactusInterface)) {
                return (ICactusInterface) queryLocalInterface;
            }
            return new Proxy(iBinder);
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                wakeup(parcel.readInt() != 0 ? CactusConfig.CREATOR.createFromParcel(parcel) : null);
                parcel2.writeNoException();
                return true;
            }
            if (i != 2) {
                if (i == 1598968902) {
                    parcel2.writeString(DESCRIPTOR);
                    return true;
                }
                return super.onTransact(i, parcel, parcel2, i2);
            }
            parcel.enforceInterface(DESCRIPTOR);
            connectionTimes(parcel.readInt());
            parcel2.writeNoException();
            return true;
        }

        /* JADX INFO: Access modifiers changed from: private */
        /* loaded from: classes.dex */
        public static class Proxy implements ICactusInterface {
            public static ICactusInterface sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // android.os.IInterface
            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.app.watch.keeping.entity.ICactusInterface
            public void wakeup(CactusConfig cactusConfig) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (cactusConfig != null) {
                        obtain.writeInt(1);
                        cactusConfig.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        Stub.getDefaultImpl().wakeup(cactusConfig);
                    } else {
                        obtain2.readException();
                    }
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.app.watch.keeping.entity.ICactusInterface
            public void connectionTimes(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        Stub.getDefaultImpl().connectionTimes(i);
                    } else {
                        obtain2.readException();
                    }
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(ICactusInterface iCactusInterface) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            }
            if (iCactusInterface == null) {
                return false;
            }
            Proxy.sDefaultImpl = iCactusInterface;
            return true;
        }

        public static ICactusInterface getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
