package com.qcwireless.qcwatch;

import android.app.Application;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.util.DateUtil;
import com.qcwireless.qcwatch.base.pref.PreUtil;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/* loaded from: classes2.dex */
public class QJavaApplication {
    private static QJavaApplication instance;
    private Application application;
    private Map<String, String> plates = new HashMap();
    private List<String> filterPrefix = new ArrayList();
    private Map<String, String> filterPrefixMap = new ConcurrentHashMap();
    private int gpsType = 0;

    public static QJavaApplication getInstance() {
        QJavaApplication qJavaApplication;
        QJavaApplication qJavaApplication2 = instance;
        if (qJavaApplication2 != null) {
            return qJavaApplication2;
        }
        synchronized (QJavaApplication.class) {
            if (instance == null) {
                instance = new QJavaApplication();
            }
            qJavaApplication = instance;
        }
        return qJavaApplication;
    }

    public static String getAppLogPath() {
        return getInstance().getApplication().getExternalFilesDir("") + "/log/" + new DateUtil().getY_M_D() + "app_log.txt";
    }

    public String getYMD() {
        return new DateUtil().getY_M_D_H_M_S();
    }

    public Application getApplication() {
        return this.application;
    }

    public void setApplication(Application application) {
        this.application = application;
    }

    public void putKeys(String key) {
        this.plates.put(key, key);
    }

    public int localPlates() {
        return this.plates.size();
    }

    public boolean hasKey(String key) {
        return this.plates.get(key) != null;
    }

    public int getGpsType() {
        return this.gpsType;
    }

    public void setGpsType(int gpsType) {
        this.gpsType = gpsType;
    }

    public void removeKeys(String key) {
        this.plates.remove(key);
    }

    public void clear() {
        this.plates.clear();
    }

    public void putScanKeys(String key) {
        this.filterPrefix.add(key);
    }

    public void putScanKeysMap(String key) {
        this.filterPrefixMap.put(key, key);
    }

    public Map<String, String> getKeysMap() {
        if (this.filterPrefixMap.size() == 0) {
            String sharedString = PreUtil.getSharedString(PreUtil.Action_Scan_Config, "O_");
            AwLog.i(Author.HeZhiYuan, sharedString);
            for (String str : sharedString.split(",")) {
                this.filterPrefixMap.put(str, str);
            }
        }
        return this.filterPrefixMap;
    }

    public List<String> getKeys() {
        if (this.filterPrefix.size() == 0) {
            String sharedString = PreUtil.getSharedString(PreUtil.Action_Scan_Config, "O_");
            AwLog.i(Author.HeZhiYuan, sharedString);
            for (String str : sharedString.split(",")) {
                this.filterPrefix.add(str);
            }
        }
        return this.filterPrefix;
    }
}
