package com.qcwireless.qcwatch.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import com.qcwireless.ring.R;
import com.sweetzpot.stravazpot.authenticaton.ui.StravaLoginButton;

/* loaded from: classes2.dex */
public final class ActivityStravaBinding implements ViewBinding {
    public final StravaLoginButton loginButton;
    private final ConstraintLayout rootView;

    private ActivityStravaBinding(ConstraintLayout rootView, StravaLoginButton loginButton) {
        this.rootView = rootView;
        this.loginButton = loginButton;
    }

    @Override // androidx.viewbinding.ViewBinding
    public ConstraintLayout getRoot() {
        return this.rootView;
    }

    public static ActivityStravaBinding inflate(LayoutInflater inflater) {
        return inflate(inflater, null, false);
    }

    public static ActivityStravaBinding inflate(LayoutInflater inflater, ViewGroup parent, boolean attachToParent) {
        View inflate = inflater.inflate(R.layout.activity_strava, parent, false);
        if (attachToParent) {
            parent.addView(inflate);
        }
        return bind(inflate);
    }

    public static ActivityStravaBinding bind(View rootView) {
        StravaLoginButton stravaLoginButton = (StravaLoginButton) ViewBindings.findChildViewById(rootView, R.id.login_button);
        if (stravaLoginButton != null) {
            return new ActivityStravaBinding((ConstraintLayout) rootView, stravaLoginButton);
        }
        throw new NullPointerException("Missing required view with ID: ".concat(rootView.getResources().getResourceName(R.id.login_button)));
    }
}
