package com.qcwireless.qcwatch.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import androidx.viewpager2.widget.ViewPager2;
import com.qcwireless.ring.R;

/* loaded from: classes2.dex */
public final class FragmentPlateBinding implements ViewBinding {
    private final ConstraintLayout rootView;
    public final TextView tvLine1;
    public final TextView tvLine2;
    public final TextView tvTab1Title;
    public final TextView tvTab2Title;
    public final ViewPager2 viewPager;

    private FragmentPlateBinding(ConstraintLayout rootView, TextView tvLine1, TextView tvLine2, TextView tvTab1Title, TextView tvTab2Title, ViewPager2 viewPager) {
        this.rootView = rootView;
        this.tvLine1 = tvLine1;
        this.tvLine2 = tvLine2;
        this.tvTab1Title = tvTab1Title;
        this.tvTab2Title = tvTab2Title;
        this.viewPager = viewPager;
    }

    @Override // androidx.viewbinding.ViewBinding
    public ConstraintLayout getRoot() {
        return this.rootView;
    }

    public static FragmentPlateBinding inflate(LayoutInflater inflater) {
        return inflate(inflater, null, false);
    }

    public static FragmentPlateBinding inflate(LayoutInflater inflater, ViewGroup parent, boolean attachToParent) {
        View inflate = inflater.inflate(R.layout.fragment_plate, parent, false);
        if (attachToParent) {
            parent.addView(inflate);
        }
        return bind(inflate);
    }

    public static FragmentPlateBinding bind(View rootView) {
        int i = R.id.tv_line_1;
        TextView textView = (TextView) ViewBindings.findChildViewById(rootView, R.id.tv_line_1);
        if (textView != null) {
            i = R.id.tv_line_2;
            TextView textView2 = (TextView) ViewBindings.findChildViewById(rootView, R.id.tv_line_2);
            if (textView2 != null) {
                i = R.id.tv_tab1_title;
                TextView textView3 = (TextView) ViewBindings.findChildViewById(rootView, R.id.tv_tab1_title);
                if (textView3 != null) {
                    i = R.id.tv_tab2_title;
                    TextView textView4 = (TextView) ViewBindings.findChildViewById(rootView, R.id.tv_tab2_title);
                    if (textView4 != null) {
                        i = R.id.view_pager;
                        ViewPager2 viewPager2 = (ViewPager2) ViewBindings.findChildViewById(rootView, R.id.view_pager);
                        if (viewPager2 != null) {
                            return new FragmentPlateBinding((ConstraintLayout) rootView, textView, textView2, textView3, textView4, viewPager2);
                        }
                    }
                }
            }
        }
        throw new NullPointerException("Missing required view with ID: ".concat(rootView.getResources().getResourceName(i)));
    }
}
