package com.qcwireless.qcwatch.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.widget.NestedScrollView;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import com.qcwireless.qcwatch.ui.base.view.QDateWeekSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QSportItemView;
import com.qcwireless.ring.R;

/* loaded from: classes2.dex */
public final class FragmentWeekSportBinding implements ViewBinding {
    public final ImageView imageSportNoData;
    public final ConstraintLayout noDataLayout;
    public final QDateWeekSwitchView qcDateChange;
    private final NestedScrollView rootView;
    public final RecyclerView sportDetailRcv;
    public final QSportItemView totalCal;
    public final QSportItemView totalDays;
    public final QSportItemView totalTimes;
    public final TextView tvRecent;
    public final TextView weekTotal;

    private FragmentWeekSportBinding(NestedScrollView rootView, ImageView imageSportNoData, ConstraintLayout noDataLayout, QDateWeekSwitchView qcDateChange, RecyclerView sportDetailRcv, QSportItemView totalCal, QSportItemView totalDays, QSportItemView totalTimes, TextView tvRecent, TextView weekTotal) {
        this.rootView = rootView;
        this.imageSportNoData = imageSportNoData;
        this.noDataLayout = noDataLayout;
        this.qcDateChange = qcDateChange;
        this.sportDetailRcv = sportDetailRcv;
        this.totalCal = totalCal;
        this.totalDays = totalDays;
        this.totalTimes = totalTimes;
        this.tvRecent = tvRecent;
        this.weekTotal = weekTotal;
    }

    @Override // androidx.viewbinding.ViewBinding
    public NestedScrollView getRoot() {
        return this.rootView;
    }

    public static FragmentWeekSportBinding inflate(LayoutInflater inflater) {
        return inflate(inflater, null, false);
    }

    public static FragmentWeekSportBinding inflate(LayoutInflater inflater, ViewGroup parent, boolean attachToParent) {
        View inflate = inflater.inflate(R.layout.fragment_week_sport, parent, false);
        if (attachToParent) {
            parent.addView(inflate);
        }
        return bind(inflate);
    }

    public static FragmentWeekSportBinding bind(View rootView) {
        int i = R.id.image_sport_no_data;
        ImageView imageView = (ImageView) ViewBindings.findChildViewById(rootView, R.id.image_sport_no_data);
        if (imageView != null) {
            i = R.id.no_data_layout;
            ConstraintLayout constraintLayout = (ConstraintLayout) ViewBindings.findChildViewById(rootView, R.id.no_data_layout);
            if (constraintLayout != null) {
                i = R.id.qc_date_change;
                QDateWeekSwitchView qDateWeekSwitchView = (QDateWeekSwitchView) ViewBindings.findChildViewById(rootView, R.id.qc_date_change);
                if (qDateWeekSwitchView != null) {
                    i = R.id.sport_detail_rcv;
                    RecyclerView recyclerView = (RecyclerView) ViewBindings.findChildViewById(rootView, R.id.sport_detail_rcv);
                    if (recyclerView != null) {
                        i = R.id.total_cal;
                        QSportItemView qSportItemView = (QSportItemView) ViewBindings.findChildViewById(rootView, R.id.total_cal);
                        if (qSportItemView != null) {
                            i = R.id.total_days;
                            QSportItemView qSportItemView2 = (QSportItemView) ViewBindings.findChildViewById(rootView, R.id.total_days);
                            if (qSportItemView2 != null) {
                                i = R.id.total_times;
                                QSportItemView qSportItemView3 = (QSportItemView) ViewBindings.findChildViewById(rootView, R.id.total_times);
                                if (qSportItemView3 != null) {
                                    i = R.id.tv_recent;
                                    TextView textView = (TextView) ViewBindings.findChildViewById(rootView, R.id.tv_recent);
                                    if (textView != null) {
                                        i = R.id.week_total;
                                        TextView textView2 = (TextView) ViewBindings.findChildViewById(rootView, R.id.week_total);
                                        if (textView2 != null) {
                                            return new FragmentWeekSportBinding((NestedScrollView) rootView, imageView, constraintLayout, qDateWeekSwitchView, recyclerView, qSportItemView, qSportItemView2, qSportItemView3, textView, textView2);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        throw new NullPointerException("Missing required view with ID: ".concat(rootView.getResources().getResourceName(i)));
    }
}
