package com.qcwireless.qcwatch.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import com.haibin.calendarview.CalendarLayout;
import com.haibin.calendarview.CalendarView;
import com.qcwireless.qcwatch.ui.base.view.QDateMonthSwitchPubuView;
import com.qcwireless.ring.R;

/* loaded from: classes2.dex */
public final class LayoutDialogCalendarBinding implements ViewBinding {
    public final CalendarLayout calendarLayout;
    public final CalendarView calendarView;
    public final QDateMonthSwitchPubuView qcDialogDateChange;
    private final ConstraintLayout rootView;

    private LayoutDialogCalendarBinding(ConstraintLayout rootView, CalendarLayout calendarLayout, CalendarView calendarView, QDateMonthSwitchPubuView qcDialogDateChange) {
        this.rootView = rootView;
        this.calendarLayout = calendarLayout;
        this.calendarView = calendarView;
        this.qcDialogDateChange = qcDialogDateChange;
    }

    @Override // androidx.viewbinding.ViewBinding
    public ConstraintLayout getRoot() {
        return this.rootView;
    }

    public static LayoutDialogCalendarBinding inflate(LayoutInflater inflater) {
        return inflate(inflater, null, false);
    }

    public static LayoutDialogCalendarBinding inflate(LayoutInflater inflater, ViewGroup parent, boolean attachToParent) {
        View inflate = inflater.inflate(R.layout.layout_dialog_calendar, parent, false);
        if (attachToParent) {
            parent.addView(inflate);
        }
        return bind(inflate);
    }

    public static LayoutDialogCalendarBinding bind(View rootView) {
        int i = R.id.calendarLayout;
        CalendarLayout calendarLayout = (CalendarLayout) ViewBindings.findChildViewById(rootView, R.id.calendarLayout);
        if (calendarLayout != null) {
            i = R.id.calendarView;
            CalendarView calendarView = (CalendarView) ViewBindings.findChildViewById(rootView, R.id.calendarView);
            if (calendarView != null) {
                i = R.id.qc_dialog_date_change;
                QDateMonthSwitchPubuView qDateMonthSwitchPubuView = (QDateMonthSwitchPubuView) ViewBindings.findChildViewById(rootView, R.id.qc_dialog_date_change);
                if (qDateMonthSwitchPubuView != null) {
                    return new LayoutDialogCalendarBinding((ConstraintLayout) rootView, calendarLayout, calendarView, qDateMonthSwitchPubuView);
                }
            }
        }
        throw new NullPointerException("Missing required view with ID: ".concat(rootView.getResources().getResourceName(i)));
    }
}
