package com.qcwireless.qcwatch.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.viewbinding.ViewBinding;
import androidx.viewbinding.ViewBindings;
import com.qcwireless.ring.R;

/* loaded from: classes2.dex */
public final class ViewDateSwitchCalendarBinding implements ViewBinding {
    public final ImageView imageBefore;
    public final ImageView imageNext1;
    private final ConstraintLayout rootView;
    public final TextView tvDateTitle;

    private ViewDateSwitchCalendarBinding(ConstraintLayout rootView, ImageView imageBefore, ImageView imageNext1, TextView tvDateTitle) {
        this.rootView = rootView;
        this.imageBefore = imageBefore;
        this.imageNext1 = imageNext1;
        this.tvDateTitle = tvDateTitle;
    }

    @Override // androidx.viewbinding.ViewBinding
    public ConstraintLayout getRoot() {
        return this.rootView;
    }

    public static ViewDateSwitchCalendarBinding inflate(LayoutInflater inflater) {
        return inflate(inflater, null, false);
    }

    public static ViewDateSwitchCalendarBinding inflate(LayoutInflater inflater, ViewGroup parent, boolean attachToParent) {
        View inflate = inflater.inflate(R.layout.view_date_switch_calendar, parent, false);
        if (attachToParent) {
            parent.addView(inflate);
        }
        return bind(inflate);
    }

    public static ViewDateSwitchCalendarBinding bind(View rootView) {
        int i = R.id.image_before;
        ImageView imageView = (ImageView) ViewBindings.findChildViewById(rootView, R.id.image_before);
        if (imageView != null) {
            i = R.id.image_next_1;
            ImageView imageView2 = (ImageView) ViewBindings.findChildViewById(rootView, R.id.image_next_1);
            if (imageView2 != null) {
                i = R.id.tv_date_title;
                TextView textView = (TextView) ViewBindings.findChildViewById(rootView, R.id.tv_date_title);
                if (textView != null) {
                    return new ViewDateSwitchCalendarBinding((ConstraintLayout) rootView, imageView, imageView2, textView);
                }
            }
        }
        throw new NullPointerException("Missing required view with ID: ".concat(rootView.getResources().getResourceName(i)));
    }
}
