package com.qcwireless.qcwatch.ui.base.bean.device;

import com.squareup.moshi.JsonAdapter;
import com.squareup.moshi.JsonDataException;
import com.squareup.moshi.JsonReader;
import com.squareup.moshi.JsonWriter;
import com.squareup.moshi.Moshi;
import com.squareup.moshi.Types;
import com.squareup.moshi.internal.Util;
import java.lang.reflect.Constructor;
import java.util.List;
import java.util.Objects;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.collections.SetsKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.TypeIntrinsics;

/* compiled from: DeviceSettingJsonAdapter.kt */
@Metadata(d1 = {"\u0000^\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0011\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\r\u0012\u0006\u0010\u0003\u001a\u00020\u0004¢\u0006\u0002\u0010\u0005J\u0010\u0010\u0016\u001a\u00020\u00022\u0006\u0010\u0017\u001a\u00020\u0018H\u0016J\u001a\u0010\u0019\u001a\u00020\u001a2\u0006\u0010\u001b\u001a\u00020\u001c2\b\u0010\u001d\u001a\u0004\u0018\u00010\u0002H\u0016J\b\u0010\u001e\u001a\u00020\u0015H\u0016R\u001a\u0010\u0006\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\b0\u00070\u0001X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\t\u001a\b\u0012\u0004\u0012\u00020\n0\u0001X\u0082\u0004¢\u0006\u0002\n\u0000R\u0016\u0010\u000b\u001a\n\u0012\u0004\u0012\u00020\u0002\u0018\u00010\fX\u0082\u000e¢\u0006\u0002\n\u0000R\u0014\u0010\r\u001a\b\u0012\u0004\u0012\u00020\u000e0\u0001X\u0082\u0004¢\u0006\u0002\n\u0000R\u001a\u0010\u000f\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\u00110\u00100\u0001X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0012\u001a\u00020\u0013X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\u0014\u001a\b\u0012\u0004\u0012\u00020\u00150\u0001X\u0082\u0004¢\u0006\u0002\n\u0000¨\u0006\u001f"}, d2 = {"Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSettingJsonAdapter;", "Lcom/squareup/moshi/JsonAdapter;", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "moshi", "Lcom/squareup/moshi/Moshi;", "(Lcom/squareup/moshi/Moshi;)V", "arrayOfDrinkBeanAdapter", "", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DrinkBean;", "booleanAdapter", "", "constructorRef", "Ljava/lang/reflect/Constructor;", "intAdapter", "", "mutableListOfAlarmBeanAdapter", "", "Lcom/qcwireless/qcwatch/ui/base/bean/device/AlarmBean;", "options", "Lcom/squareup/moshi/JsonReader$Options;", "stringAdapter", "", "fromJson", "reader", "Lcom/squareup/moshi/JsonReader;", "toJson", "", "writer", "Lcom/squareup/moshi/JsonWriter;", "value_", "toString", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* renamed from: com.qcwireless.qcwatch.ui.base.bean.device.DeviceSettingJsonAdapter, reason: from toString */
/* loaded from: classes2.dex */
public final class GeneratedJsonAdapter extends JsonAdapter<DeviceSetting> {
    private final JsonAdapter<DrinkBean[]> arrayOfDrinkBeanAdapter;
    private final JsonAdapter<Boolean> booleanAdapter;
    private volatile Constructor<DeviceSetting> constructorRef;
    private final JsonAdapter<Integer> intAdapter;
    private final JsonAdapter<List<AlarmBean>> mutableListOfAlarmBeanAdapter;
    private final JsonReader.Options options;
    private final JsonAdapter<String> stringAdapter;

    public GeneratedJsonAdapter(Moshi moshi) {
        Intrinsics.checkNotNullParameter(moshi, "moshi");
        JsonReader.Options of = JsonReader.Options.of("callSwitch", "messagePushSwitch", "smsPushSwitch", "bpSwitch", "bpStart", "bpEnd", "bpInterval", "hrDetection", "hrInterval", "hrvEnable", "bo2Detection", "pressureDetection", "wristSense", "wristSenseHand", "timeFormat", "weatherFormat", "metricUnit", "disturbSwitch", "disturbManualSwitch", "disturbStart", "disturbEnd", "firmwareVersion", "screenLight", "longSitSwitch", "longSitStart", "longSitEnd", "longSitDuring", "longSitWeek", "drinkSwitch", "drinkWeek", "drinkArray", "alarmList", "avatarScreen", "avatarWidth", "avatarHeight", "batteryWarming");
        Intrinsics.checkNotNullExpressionValue(of, "of(\"callSwitch\", \"messag…eight\", \"batteryWarming\")");
        this.options = of;
        JsonAdapter<Boolean> adapter = moshi.adapter(Boolean.TYPE, SetsKt.emptySet(), "callSwitch");
        Intrinsics.checkNotNullExpressionValue(adapter, "moshi.adapter(Boolean::c…et(),\n      \"callSwitch\")");
        this.booleanAdapter = adapter;
        JsonAdapter<Integer> adapter2 = moshi.adapter(Integer.TYPE, SetsKt.emptySet(), "bpStart");
        Intrinsics.checkNotNullExpressionValue(adapter2, "moshi.adapter(Int::class…a, emptySet(), \"bpStart\")");
        this.intAdapter = adapter2;
        JsonAdapter<String> adapter3 = moshi.adapter(String.class, SetsKt.emptySet(), "firmwareVersion");
        Intrinsics.checkNotNullExpressionValue(adapter3, "moshi.adapter(String::cl…\n      \"firmwareVersion\")");
        this.stringAdapter = adapter3;
        JsonAdapter<DrinkBean[]> adapter4 = moshi.adapter(Types.arrayOf(DrinkBean.class), SetsKt.emptySet(), "drinkArray");
        Intrinsics.checkNotNullExpressionValue(adapter4, "moshi.adapter(Types.arra…emptySet(), \"drinkArray\")");
        this.arrayOfDrinkBeanAdapter = adapter4;
        JsonAdapter<List<AlarmBean>> adapter5 = moshi.adapter(Types.newParameterizedType(List.class, AlarmBean.class), SetsKt.emptySet(), "alarmList");
        Intrinsics.checkNotNullExpressionValue(adapter5, "moshi.adapter(Types.newP… emptySet(), \"alarmList\")");
        this.mutableListOfAlarmBeanAdapter = adapter5;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(35);
        sb.append("GeneratedJsonAdapter(");
        sb.append("DeviceSetting");
        sb.append(')');
        String sb2 = sb.toString();
        Intrinsics.checkNotNullExpressionValue(sb2, "StringBuilder(capacity).…builderAction).toString()");
        return sb2;
    }

    /* JADX WARN: Can't rename method to resolve collision */
    /* JADX WARN: Failed to find 'out' block for switch in B:5:0x0062. Please report as an issue. */
    @Override // com.squareup.moshi.JsonAdapter
    public DeviceSetting fromJson(JsonReader reader) {
        int i;
        int i2;
        Intrinsics.checkNotNullParameter(reader, "reader");
        Boolean bool = false;
        reader.beginObject();
        Boolean bool2 = bool;
        Boolean bool3 = bool2;
        Boolean bool4 = bool3;
        Boolean bool5 = bool4;
        Boolean bool6 = bool5;
        Boolean bool7 = bool6;
        Boolean bool8 = bool7;
        Boolean bool9 = bool8;
        Boolean bool10 = bool9;
        Boolean bool11 = bool10;
        Boolean bool12 = bool11;
        Boolean bool13 = bool12;
        Integer num = 0;
        Integer num2 = null;
        Integer num3 = null;
        Integer num4 = null;
        Integer num5 = null;
        Integer num6 = null;
        Integer num7 = null;
        Integer num8 = null;
        Integer num9 = null;
        Integer num10 = null;
        Integer num11 = null;
        Integer num12 = null;
        Integer num13 = null;
        Integer num14 = null;
        Integer num15 = null;
        Integer num16 = null;
        Integer num17 = null;
        Integer num18 = null;
        Integer num19 = null;
        int i3 = -1;
        int i4 = -1;
        String str = null;
        DrinkBean[] drinkBeanArr = null;
        List<AlarmBean> list = null;
        Boolean bool14 = bool13;
        while (reader.hasNext()) {
            String str2 = str;
            switch (reader.selectName(this.options)) {
                case -1:
                    reader.skipName();
                    reader.skipValue();
                    str = str2;
                case 0:
                    bool = this.booleanAdapter.fromJson(reader);
                    if (bool == null) {
                        JsonDataException unexpectedNull = Util.unexpectedNull("callSwitch", "callSwitch", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull, "unexpectedNull(\"callSwit…    \"callSwitch\", reader)");
                        throw unexpectedNull;
                    }
                    i4 &= -2;
                    str = str2;
                case 1:
                    bool14 = this.booleanAdapter.fromJson(reader);
                    if (bool14 == null) {
                        JsonDataException unexpectedNull2 = Util.unexpectedNull("messagePushSwitch", "messagePushSwitch", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull2, "unexpectedNull(\"messageP…ssagePushSwitch\", reader)");
                        throw unexpectedNull2;
                    }
                    i4 &= -3;
                    str = str2;
                case 2:
                    bool2 = this.booleanAdapter.fromJson(reader);
                    if (bool2 == null) {
                        JsonDataException unexpectedNull3 = Util.unexpectedNull("smsPushSwitch", "smsPushSwitch", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull3, "unexpectedNull(\"smsPushS… \"smsPushSwitch\", reader)");
                        throw unexpectedNull3;
                    }
                    i4 &= -5;
                    str = str2;
                case 3:
                    bool3 = this.booleanAdapter.fromJson(reader);
                    if (bool3 == null) {
                        JsonDataException unexpectedNull4 = Util.unexpectedNull("bpSwitch", "bpSwitch", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull4, "unexpectedNull(\"bpSwitch…      \"bpSwitch\", reader)");
                        throw unexpectedNull4;
                    }
                    i4 &= -9;
                    str = str2;
                case 4:
                    num = this.intAdapter.fromJson(reader);
                    if (num == null) {
                        JsonDataException unexpectedNull5 = Util.unexpectedNull("bpStart", "bpStart", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull5, "unexpectedNull(\"bpStart\"…t\",\n              reader)");
                        throw unexpectedNull5;
                    }
                    i4 &= -17;
                    str = str2;
                case 5:
                    num2 = this.intAdapter.fromJson(reader);
                    if (num2 == null) {
                        JsonDataException unexpectedNull6 = Util.unexpectedNull("bpEnd", "bpEnd", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull6, "unexpectedNull(\"bpEnd\", \"bpEnd\", reader)");
                        throw unexpectedNull6;
                    }
                    i4 &= -33;
                    str = str2;
                case 6:
                    num3 = this.intAdapter.fromJson(reader);
                    if (num3 == null) {
                        JsonDataException unexpectedNull7 = Util.unexpectedNull("bpInterval", "bpInterval", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull7, "unexpectedNull(\"bpInterv…    \"bpInterval\", reader)");
                        throw unexpectedNull7;
                    }
                    i4 &= -65;
                    str = str2;
                case 7:
                    bool4 = this.booleanAdapter.fromJson(reader);
                    if (bool4 == null) {
                        JsonDataException unexpectedNull8 = Util.unexpectedNull("hrDetection", "hrDetection", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull8, "unexpectedNull(\"hrDetect…   \"hrDetection\", reader)");
                        throw unexpectedNull8;
                    }
                    i4 &= -129;
                    str = str2;
                case 8:
                    num4 = this.intAdapter.fromJson(reader);
                    if (num4 == null) {
                        JsonDataException unexpectedNull9 = Util.unexpectedNull("hrInterval", "hrInterval", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull9, "unexpectedNull(\"hrInterv…    \"hrInterval\", reader)");
                        throw unexpectedNull9;
                    }
                    i4 &= -257;
                    str = str2;
                case 9:
                    bool5 = this.booleanAdapter.fromJson(reader);
                    if (bool5 == null) {
                        JsonDataException unexpectedNull10 = Util.unexpectedNull("hrvEnable", "hrvEnable", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull10, "unexpectedNull(\"hrvEnabl…     \"hrvEnable\", reader)");
                        throw unexpectedNull10;
                    }
                    i4 &= -513;
                    str = str2;
                case 10:
                    bool6 = this.booleanAdapter.fromJson(reader);
                    if (bool6 == null) {
                        JsonDataException unexpectedNull11 = Util.unexpectedNull("bo2Detection", "bo2Detection", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull11, "unexpectedNull(\"bo2Detec…, \"bo2Detection\", reader)");
                        throw unexpectedNull11;
                    }
                    i4 &= -1025;
                    str = str2;
                case 11:
                    bool7 = this.booleanAdapter.fromJson(reader);
                    if (bool7 == null) {
                        JsonDataException unexpectedNull12 = Util.unexpectedNull("pressureDetection", "pressureDetection", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull12, "unexpectedNull(\"pressure…essureDetection\", reader)");
                        throw unexpectedNull12;
                    }
                    i4 &= -2049;
                    str = str2;
                case 12:
                    bool8 = this.booleanAdapter.fromJson(reader);
                    if (bool8 == null) {
                        JsonDataException unexpectedNull13 = Util.unexpectedNull("wristSense", "wristSense", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull13, "unexpectedNull(\"wristSen…    \"wristSense\", reader)");
                        throw unexpectedNull13;
                    }
                    i4 &= -4097;
                    str = str2;
                case 13:
                    num5 = this.intAdapter.fromJson(reader);
                    if (num5 == null) {
                        JsonDataException unexpectedNull14 = Util.unexpectedNull("wristSenseHand", "wristSenseHand", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull14, "unexpectedNull(\"wristSen…\"wristSenseHand\", reader)");
                        throw unexpectedNull14;
                    }
                    i4 &= -8193;
                    str = str2;
                case 14:
                    num6 = this.intAdapter.fromJson(reader);
                    if (num6 == null) {
                        JsonDataException unexpectedNull15 = Util.unexpectedNull("timeFormat", "timeFormat", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull15, "unexpectedNull(\"timeForm…    \"timeFormat\", reader)");
                        throw unexpectedNull15;
                    }
                    i4 &= -16385;
                    str = str2;
                case 15:
                    num7 = this.intAdapter.fromJson(reader);
                    if (num7 == null) {
                        JsonDataException unexpectedNull16 = Util.unexpectedNull("weatherFormat", "weatherFormat", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull16, "unexpectedNull(\"weatherF… \"weatherFormat\", reader)");
                        throw unexpectedNull16;
                    }
                    i2 = -32769;
                    i4 &= i2;
                    str = str2;
                case 16:
                    num8 = this.intAdapter.fromJson(reader);
                    if (num8 == null) {
                        JsonDataException unexpectedNull17 = Util.unexpectedNull("metricUnit", "metricUnit", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull17, "unexpectedNull(\"metricUn…    \"metricUnit\", reader)");
                        throw unexpectedNull17;
                    }
                    i2 = -65537;
                    i4 &= i2;
                    str = str2;
                case 17:
                    bool9 = this.booleanAdapter.fromJson(reader);
                    if (bool9 == null) {
                        JsonDataException unexpectedNull18 = Util.unexpectedNull("disturbSwitch", "disturbSwitch", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull18, "unexpectedNull(\"disturbS… \"disturbSwitch\", reader)");
                        throw unexpectedNull18;
                    }
                    i2 = -131073;
                    i4 &= i2;
                    str = str2;
                case 18:
                    bool10 = this.booleanAdapter.fromJson(reader);
                    if (bool10 == null) {
                        JsonDataException unexpectedNull19 = Util.unexpectedNull("disturbManualSwitch", "disturbManualSwitch", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull19, "unexpectedNull(\"disturbM…urbManualSwitch\", reader)");
                        throw unexpectedNull19;
                    }
                    i2 = -262145;
                    i4 &= i2;
                    str = str2;
                case 19:
                    num9 = this.intAdapter.fromJson(reader);
                    if (num9 == null) {
                        JsonDataException unexpectedNull20 = Util.unexpectedNull("disturbStart", "disturbStart", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull20, "unexpectedNull(\"disturbS…  \"disturbStart\", reader)");
                        throw unexpectedNull20;
                    }
                    i2 = -524289;
                    i4 &= i2;
                    str = str2;
                case 20:
                    num10 = this.intAdapter.fromJson(reader);
                    if (num10 == null) {
                        JsonDataException unexpectedNull21 = Util.unexpectedNull("disturbEnd", "disturbEnd", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull21, "unexpectedNull(\"disturbE…    \"disturbEnd\", reader)");
                        throw unexpectedNull21;
                    }
                    i2 = -1048577;
                    i4 &= i2;
                    str = str2;
                case 21:
                    str = this.stringAdapter.fromJson(reader);
                    if (str == null) {
                        JsonDataException unexpectedNull22 = Util.unexpectedNull("firmwareVersion", "firmwareVersion", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull22, "unexpectedNull(\"firmware…firmwareVersion\", reader)");
                        throw unexpectedNull22;
                    }
                    i4 &= -2097153;
                case 22:
                    num11 = this.intAdapter.fromJson(reader);
                    if (num11 == null) {
                        JsonDataException unexpectedNull23 = Util.unexpectedNull("screenLight", "screenLight", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull23, "unexpectedNull(\"screenLi…   \"screenLight\", reader)");
                        throw unexpectedNull23;
                    }
                    i2 = -4194305;
                    i4 &= i2;
                    str = str2;
                case 23:
                    bool13 = this.booleanAdapter.fromJson(reader);
                    if (bool13 == null) {
                        JsonDataException unexpectedNull24 = Util.unexpectedNull("longSitSwitch", "longSitSwitch", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull24, "unexpectedNull(\"longSitS… \"longSitSwitch\", reader)");
                        throw unexpectedNull24;
                    }
                    i2 = -8388609;
                    i4 &= i2;
                    str = str2;
                case 24:
                    num12 = this.intAdapter.fromJson(reader);
                    if (num12 == null) {
                        JsonDataException unexpectedNull25 = Util.unexpectedNull("longSitStart", "longSitStart", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull25, "unexpectedNull(\"longSitS…  \"longSitStart\", reader)");
                        throw unexpectedNull25;
                    }
                    i2 = -16777217;
                    i4 &= i2;
                    str = str2;
                case 25:
                    num13 = this.intAdapter.fromJson(reader);
                    if (num13 == null) {
                        JsonDataException unexpectedNull26 = Util.unexpectedNull("longSitEnd", "longSitEnd", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull26, "unexpectedNull(\"longSitE…    \"longSitEnd\", reader)");
                        throw unexpectedNull26;
                    }
                    i2 = -33554433;
                    i4 &= i2;
                    str = str2;
                case 26:
                    num14 = this.intAdapter.fromJson(reader);
                    if (num14 == null) {
                        JsonDataException unexpectedNull27 = Util.unexpectedNull("longSitDuring", "longSitDuring", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull27, "unexpectedNull(\"longSitD… \"longSitDuring\", reader)");
                        throw unexpectedNull27;
                    }
                    i2 = -67108865;
                    i4 &= i2;
                    str = str2;
                case 27:
                    num15 = this.intAdapter.fromJson(reader);
                    if (num15 == null) {
                        JsonDataException unexpectedNull28 = Util.unexpectedNull("longSitWeek", "longSitWeek", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull28, "unexpectedNull(\"longSitW…   \"longSitWeek\", reader)");
                        throw unexpectedNull28;
                    }
                    i2 = -134217729;
                    i4 &= i2;
                    str = str2;
                case 28:
                    bool11 = this.booleanAdapter.fromJson(reader);
                    if (bool11 == null) {
                        JsonDataException unexpectedNull29 = Util.unexpectedNull("drinkSwitch", "drinkSwitch", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull29, "unexpectedNull(\"drinkSwi…   \"drinkSwitch\", reader)");
                        throw unexpectedNull29;
                    }
                    i2 = -268435457;
                    i4 &= i2;
                    str = str2;
                case 29:
                    num16 = this.intAdapter.fromJson(reader);
                    if (num16 == null) {
                        JsonDataException unexpectedNull30 = Util.unexpectedNull("drinkWeek", "drinkWeek", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull30, "unexpectedNull(\"drinkWee…     \"drinkWeek\", reader)");
                        throw unexpectedNull30;
                    }
                    i2 = -536870913;
                    i4 &= i2;
                    str = str2;
                case 30:
                    drinkBeanArr = this.arrayOfDrinkBeanAdapter.fromJson(reader);
                    if (drinkBeanArr == null) {
                        JsonDataException unexpectedNull31 = Util.unexpectedNull("drinkArray", "drinkArray", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull31, "unexpectedNull(\"drinkArray\", \"drinkArray\", reader)");
                        throw unexpectedNull31;
                    }
                    i2 = -1073741825;
                    i4 &= i2;
                    str = str2;
                case 31:
                    list = this.mutableListOfAlarmBeanAdapter.fromJson(reader);
                    if (list == null) {
                        JsonDataException unexpectedNull32 = Util.unexpectedNull("alarmList", "alarmList", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull32, "unexpectedNull(\"alarmList\", \"alarmList\", reader)");
                        throw unexpectedNull32;
                    }
                    i2 = Integer.MAX_VALUE;
                    i4 &= i2;
                    str = str2;
                case 32:
                    num17 = this.intAdapter.fromJson(reader);
                    if (num17 == null) {
                        JsonDataException unexpectedNull33 = Util.unexpectedNull("avatarScreen", "avatarScreen", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull33, "unexpectedNull(\"avatarSc…  \"avatarScreen\", reader)");
                        throw unexpectedNull33;
                    }
                    i3 &= -2;
                    str = str2;
                case 33:
                    num18 = this.intAdapter.fromJson(reader);
                    if (num18 == null) {
                        JsonDataException unexpectedNull34 = Util.unexpectedNull("avatarWidth", "avatarWidth", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull34, "unexpectedNull(\"avatarWi…   \"avatarWidth\", reader)");
                        throw unexpectedNull34;
                    }
                    i3 &= -3;
                    str = str2;
                case 34:
                    num19 = this.intAdapter.fromJson(reader);
                    if (num19 == null) {
                        JsonDataException unexpectedNull35 = Util.unexpectedNull("avatarHeight", "avatarHeight", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull35, "unexpectedNull(\"avatarHe…  \"avatarHeight\", reader)");
                        throw unexpectedNull35;
                    }
                    i3 &= -5;
                    str = str2;
                case 35:
                    bool12 = this.booleanAdapter.fromJson(reader);
                    if (bool12 == null) {
                        JsonDataException unexpectedNull36 = Util.unexpectedNull("batteryWarming", "batteryWarming", reader);
                        Intrinsics.checkNotNullExpressionValue(unexpectedNull36, "unexpectedNull(\"batteryW…\"batteryWarming\", reader)");
                        throw unexpectedNull36;
                    }
                    i3 &= -9;
                    str = str2;
                default:
                    str = str2;
            }
        }
        String str3 = str;
        reader.endObject();
        if (i4 == 0 && i3 == -16) {
            boolean booleanValue = bool.booleanValue();
            boolean booleanValue2 = bool14.booleanValue();
            boolean booleanValue3 = bool2.booleanValue();
            boolean booleanValue4 = bool3.booleanValue();
            int intValue = num.intValue();
            int intValue2 = num2.intValue();
            int intValue3 = num3.intValue();
            boolean booleanValue5 = bool4.booleanValue();
            int intValue4 = num4.intValue();
            boolean booleanValue6 = bool5.booleanValue();
            boolean booleanValue7 = bool6.booleanValue();
            boolean booleanValue8 = bool7.booleanValue();
            boolean booleanValue9 = bool8.booleanValue();
            int intValue5 = num5.intValue();
            int intValue6 = num6.intValue();
            int intValue7 = num7.intValue();
            int intValue8 = num8.intValue();
            boolean booleanValue10 = bool9.booleanValue();
            boolean booleanValue11 = bool10.booleanValue();
            int intValue9 = num9.intValue();
            int intValue10 = num10.intValue();
            Objects.requireNonNull(str3, "null cannot be cast to non-null type kotlin.String");
            int intValue11 = num11.intValue();
            boolean booleanValue12 = bool13.booleanValue();
            int intValue12 = num12.intValue();
            int intValue13 = num13.intValue();
            int intValue14 = num14.intValue();
            int intValue15 = num15.intValue();
            boolean booleanValue13 = bool11.booleanValue();
            int intValue16 = num16.intValue();
            DrinkBean[] drinkBeanArr2 = drinkBeanArr;
            Objects.requireNonNull(drinkBeanArr2, "null cannot be cast to non-null type kotlin.Array<com.qcwireless.qcwatch.ui.base.bean.device.DrinkBean>");
            List<AlarmBean> list2 = list;
            Objects.requireNonNull(list2, "null cannot be cast to non-null type kotlin.collections.MutableList<com.qcwireless.qcwatch.ui.base.bean.device.AlarmBean>");
            return new DeviceSetting(booleanValue, booleanValue2, booleanValue3, booleanValue4, intValue, intValue2, intValue3, booleanValue5, intValue4, booleanValue6, booleanValue7, booleanValue8, booleanValue9, intValue5, intValue6, intValue7, intValue8, booleanValue10, booleanValue11, intValue9, intValue10, str3, intValue11, booleanValue12, intValue12, intValue13, intValue14, intValue15, booleanValue13, intValue16, drinkBeanArr2, TypeIntrinsics.asMutableList(list2), num17.intValue(), num18.intValue(), num19.intValue(), bool12.booleanValue());
        }
        Constructor<DeviceSetting> constructor = this.constructorRef;
        int i5 = i3;
        if (constructor == null) {
            i = i4;
            constructor = DeviceSetting.class.getDeclaredConstructor(Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Boolean.TYPE, Integer.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Boolean.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, String.class, Integer.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Boolean.TYPE, Integer.TYPE, DrinkBean[].class, List.class, Integer.TYPE, Integer.TYPE, Integer.TYPE, Boolean.TYPE, Integer.TYPE, Integer.TYPE, Util.DEFAULT_CONSTRUCTOR_MARKER);
            this.constructorRef = constructor;
            Unit unit = Unit.INSTANCE;
            Intrinsics.checkNotNullExpressionValue(constructor, "DeviceSetting::class.jav…his.constructorRef = it }");
        } else {
            i = i4;
        }
        DeviceSetting newInstance = constructor.newInstance(bool, bool14, bool2, bool3, num, num2, num3, bool4, num4, bool5, bool6, bool7, bool8, num5, num6, num7, num8, bool9, bool10, num9, num10, str3, num11, bool13, num12, num13, num14, num15, bool11, num16, drinkBeanArr, list, num17, num18, num19, bool12, Integer.valueOf(i), Integer.valueOf(i5), null);
        Intrinsics.checkNotNullExpressionValue(newInstance, "localConstructor.newInst…torMarker */ null\n      )");
        return newInstance;
    }

    @Override // com.squareup.moshi.JsonAdapter
    public void toJson(JsonWriter writer, DeviceSetting value_) {
        Intrinsics.checkNotNullParameter(writer, "writer");
        Objects.requireNonNull(value_, "value_ was null! Wrap in .nullSafe() to write nullable values.");
        writer.beginObject();
        writer.name("callSwitch");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getCallSwitch()));
        writer.name("messagePushSwitch");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getMessagePushSwitch()));
        writer.name("smsPushSwitch");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getSmsPushSwitch()));
        writer.name("bpSwitch");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getBpSwitch()));
        writer.name("bpStart");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getBpStart()));
        writer.name("bpEnd");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getBpEnd()));
        writer.name("bpInterval");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getBpInterval()));
        writer.name("hrDetection");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getHrDetection()));
        writer.name("hrInterval");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getHrInterval()));
        writer.name("hrvEnable");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getHrvEnable()));
        writer.name("bo2Detection");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getBo2Detection()));
        writer.name("pressureDetection");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getPressureDetection()));
        writer.name("wristSense");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getWristSense()));
        writer.name("wristSenseHand");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getWristSenseHand()));
        writer.name("timeFormat");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getTimeFormat()));
        writer.name("weatherFormat");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getWeatherFormat()));
        writer.name("metricUnit");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getMetricUnit()));
        writer.name("disturbSwitch");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getDisturbSwitch()));
        writer.name("disturbManualSwitch");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getDisturbManualSwitch()));
        writer.name("disturbStart");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getDisturbStart()));
        writer.name("disturbEnd");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getDisturbEnd()));
        writer.name("firmwareVersion");
        this.stringAdapter.toJson(writer, (JsonWriter) value_.getFirmwareVersion());
        writer.name("screenLight");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getScreenLight()));
        writer.name("longSitSwitch");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getLongSitSwitch()));
        writer.name("longSitStart");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getLongSitStart()));
        writer.name("longSitEnd");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getLongSitEnd()));
        writer.name("longSitDuring");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getLongSitDuring()));
        writer.name("longSitWeek");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getLongSitWeek()));
        writer.name("drinkSwitch");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getDrinkSwitch()));
        writer.name("drinkWeek");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getDrinkWeek()));
        writer.name("drinkArray");
        this.arrayOfDrinkBeanAdapter.toJson(writer, (JsonWriter) value_.getDrinkArray());
        writer.name("alarmList");
        this.mutableListOfAlarmBeanAdapter.toJson(writer, (JsonWriter) value_.getAlarmList());
        writer.name("avatarScreen");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getAvatarScreen()));
        writer.name("avatarWidth");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getAvatarWidth()));
        writer.name("avatarHeight");
        this.intAdapter.toJson(writer, (JsonWriter) Integer.valueOf(value_.getAvatarHeight()));
        writer.name("batteryWarming");
        this.booleanAdapter.toJson(writer, (JsonWriter) Boolean.valueOf(value_.getBatteryWarming()));
        writer.endObject();
    }
}
