package com.qcwireless.qcwatch.ui.base.repository.dao;

import android.database.Cursor;
import androidx.room.EntityDeletionOrUpdateAdapter;
import androidx.room.EntityInsertionAdapter;
import androidx.room.RoomDatabase;
import androidx.room.RoomSQLiteQuery;
import androidx.room.util.CursorUtil;
import androidx.room.util.DBUtil;
import androidx.sqlite.db.SupportSQLiteStatement;
import com.qcwireless.qcwatch.ui.base.repository.entity.AppBloodSugarContinuousEntity;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* loaded from: classes2.dex */
public final class QcAppManualSugarContinuousDao_Impl implements QcAppManualSugarContinuousDao {
    private final RoomDatabase __db;
    private final EntityDeletionOrUpdateAdapter<AppBloodSugarContinuousEntity> __deletionAdapterOfAppBloodSugarContinuousEntity;
    private final EntityInsertionAdapter<AppBloodSugarContinuousEntity> __insertionAdapterOfAppBloodSugarContinuousEntity;
    private final EntityDeletionOrUpdateAdapter<AppBloodSugarContinuousEntity> __updateAdapterOfAppBloodSugarContinuousEntity;

    public QcAppManualSugarContinuousDao_Impl(RoomDatabase __db) {
        this.__db = __db;
        this.__insertionAdapterOfAppBloodSugarContinuousEntity = new EntityInsertionAdapter<AppBloodSugarContinuousEntity>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcAppManualSugarContinuousDao_Impl.1
            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "INSERT OR REPLACE INTO `app_continuous_sugar` (`mac`,`date_str`,`timestamp`,`min_sugar`,`max_sugar`,`hour`) VALUES (?,?,?,?,?,?)";
            }

            @Override // androidx.room.EntityInsertionAdapter
            public void bind(SupportSQLiteStatement stmt, AppBloodSugarContinuousEntity value) {
                if (value.getMac() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getMac());
                }
                if (value.getDateStr() == null) {
                    stmt.bindNull(2);
                } else {
                    stmt.bindString(2, value.getDateStr());
                }
                stmt.bindLong(3, value.getTimestamp());
                stmt.bindLong(4, value.getMinSugar());
                stmt.bindLong(5, value.getMaxSugar());
                stmt.bindLong(6, value.getHour());
            }
        };
        this.__deletionAdapterOfAppBloodSugarContinuousEntity = new EntityDeletionOrUpdateAdapter<AppBloodSugarContinuousEntity>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcAppManualSugarContinuousDao_Impl.2
            @Override // androidx.room.EntityDeletionOrUpdateAdapter, androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "DELETE FROM `app_continuous_sugar` WHERE `mac` = ? AND `date_str` = ? AND `hour` = ?";
            }

            @Override // androidx.room.EntityDeletionOrUpdateAdapter
            public void bind(SupportSQLiteStatement stmt, AppBloodSugarContinuousEntity value) {
                if (value.getMac() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getMac());
                }
                if (value.getDateStr() == null) {
                    stmt.bindNull(2);
                } else {
                    stmt.bindString(2, value.getDateStr());
                }
                stmt.bindLong(3, value.getHour());
            }
        };
        this.__updateAdapterOfAppBloodSugarContinuousEntity = new EntityDeletionOrUpdateAdapter<AppBloodSugarContinuousEntity>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcAppManualSugarContinuousDao_Impl.3
            @Override // androidx.room.EntityDeletionOrUpdateAdapter, androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE OR ABORT `app_continuous_sugar` SET `mac` = ?,`date_str` = ?,`timestamp` = ?,`min_sugar` = ?,`max_sugar` = ?,`hour` = ? WHERE `mac` = ? AND `date_str` = ? AND `hour` = ?";
            }

            @Override // androidx.room.EntityDeletionOrUpdateAdapter
            public void bind(SupportSQLiteStatement stmt, AppBloodSugarContinuousEntity value) {
                if (value.getMac() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getMac());
                }
                if (value.getDateStr() == null) {
                    stmt.bindNull(2);
                } else {
                    stmt.bindString(2, value.getDateStr());
                }
                stmt.bindLong(3, value.getTimestamp());
                stmt.bindLong(4, value.getMinSugar());
                stmt.bindLong(5, value.getMaxSugar());
                stmt.bindLong(6, value.getHour());
                if (value.getMac() == null) {
                    stmt.bindNull(7);
                } else {
                    stmt.bindString(7, value.getMac());
                }
                if (value.getDateStr() == null) {
                    stmt.bindNull(8);
                } else {
                    stmt.bindString(8, value.getDateStr());
                }
                stmt.bindLong(9, value.getHour());
            }
        };
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void insertAll(final List<AppBloodSugarContinuousEntity> list) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__insertionAdapterOfAppBloodSugarContinuousEntity.insert(list);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void insert(final AppBloodSugarContinuousEntity element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__insertionAdapterOfAppBloodSugarContinuousEntity.insert((EntityInsertionAdapter<AppBloodSugarContinuousEntity>) element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void delete(final AppBloodSugarContinuousEntity element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfAppBloodSugarContinuousEntity.handle(element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void deleteList(final List<AppBloodSugarContinuousEntity> elements) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfAppBloodSugarContinuousEntity.handleMultiple(elements);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void deleteSome(final AppBloodSugarContinuousEntity... elements) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfAppBloodSugarContinuousEntity.handleMultiple(elements);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void update(final AppBloodSugarContinuousEntity element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__updateAdapterOfAppBloodSugarContinuousEntity.handle(element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcAppManualSugarContinuousDao
    public AppBloodSugarContinuousEntity queryDataDate(String str, String str2, int i) {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("select * from app_continuous_sugar where mac=?  and date_str=? and hour=?", 3);
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        if (str2 == null) {
            acquire.bindNull(2);
        } else {
            acquire.bindString(2, str2);
        }
        acquire.bindLong(3, i);
        this.__db.assertNotSuspendingTransaction();
        AppBloodSugarContinuousEntity appBloodSugarContinuousEntity = null;
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = CursorUtil.getColumnIndexOrThrow(query, "mac");
            int columnIndexOrThrow2 = CursorUtil.getColumnIndexOrThrow(query, "date_str");
            int columnIndexOrThrow3 = CursorUtil.getColumnIndexOrThrow(query, "timestamp");
            int columnIndexOrThrow4 = CursorUtil.getColumnIndexOrThrow(query, "min_sugar");
            int columnIndexOrThrow5 = CursorUtil.getColumnIndexOrThrow(query, "max_sugar");
            int columnIndexOrThrow6 = CursorUtil.getColumnIndexOrThrow(query, "hour");
            if (query.moveToFirst()) {
                appBloodSugarContinuousEntity = new AppBloodSugarContinuousEntity(query.isNull(columnIndexOrThrow) ? null : query.getString(columnIndexOrThrow), query.isNull(columnIndexOrThrow2) ? null : query.getString(columnIndexOrThrow2), query.getInt(columnIndexOrThrow3), query.getInt(columnIndexOrThrow4), query.getInt(columnIndexOrThrow5), query.getInt(columnIndexOrThrow6));
            }
            return appBloodSugarContinuousEntity;
        } finally {
            query.close();
            acquire.release();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcAppManualSugarContinuousDao
    public List<AppBloodSugarContinuousEntity> queryBloodSugarByDate(final String mac, final String dateStr) {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("select * from app_continuous_sugar where  mac=?  and date_str=?", 2);
        if (mac == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, mac);
        }
        if (dateStr == null) {
            acquire.bindNull(2);
        } else {
            acquire.bindString(2, dateStr);
        }
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = CursorUtil.getColumnIndexOrThrow(query, "mac");
            int columnIndexOrThrow2 = CursorUtil.getColumnIndexOrThrow(query, "date_str");
            int columnIndexOrThrow3 = CursorUtil.getColumnIndexOrThrow(query, "timestamp");
            int columnIndexOrThrow4 = CursorUtil.getColumnIndexOrThrow(query, "min_sugar");
            int columnIndexOrThrow5 = CursorUtil.getColumnIndexOrThrow(query, "max_sugar");
            int columnIndexOrThrow6 = CursorUtil.getColumnIndexOrThrow(query, "hour");
            ArrayList arrayList = new ArrayList(query.getCount());
            while (query.moveToNext()) {
                arrayList.add(new AppBloodSugarContinuousEntity(query.isNull(columnIndexOrThrow) ? null : query.getString(columnIndexOrThrow), query.isNull(columnIndexOrThrow2) ? null : query.getString(columnIndexOrThrow2), query.getInt(columnIndexOrThrow3), query.getInt(columnIndexOrThrow4), query.getInt(columnIndexOrThrow5), query.getInt(columnIndexOrThrow6)));
            }
            return arrayList;
        } finally {
            query.close();
            acquire.release();
        }
    }

    public static List<Class<?>> getRequiredConverters() {
        return Collections.emptyList();
    }
}
