package com.qcwireless.qcwatch.ui.base.repository.dao;

import android.database.Cursor;
import androidx.room.EntityDeletionOrUpdateAdapter;
import androidx.room.EntityInsertionAdapter;
import androidx.room.RoomDatabase;
import androidx.room.RoomSQLiteQuery;
import androidx.room.SharedSQLiteStatement;
import androidx.room.util.CursorUtil;
import androidx.room.util.DBUtil;
import androidx.sqlite.db.SupportSQLiteStatement;
import com.qcwireless.qcwatch.ui.base.repository.entity.MessagePushEntity;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* loaded from: classes2.dex */
public final class QcMessagePushDao_Impl implements QcMessagePushDao {
    private final RoomDatabase __db;
    private final EntityDeletionOrUpdateAdapter<MessagePushEntity> __deletionAdapterOfMessagePushEntity;
    private final EntityInsertionAdapter<MessagePushEntity> __insertionAdapterOfMessagePushEntity;
    private final SharedSQLiteStatement __preparedStmtOfDeleteByPackageName;
    private final EntityDeletionOrUpdateAdapter<MessagePushEntity> __updateAdapterOfMessagePushEntity;

    public QcMessagePushDao_Impl(RoomDatabase __db) {
        this.__db = __db;
        this.__insertionAdapterOfMessagePushEntity = new EntityInsertionAdapter<MessagePushEntity>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao_Impl.1
            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "INSERT OR REPLACE INTO `message_push` (`package_name`,`open`) VALUES (?,?)";
            }

            @Override // androidx.room.EntityInsertionAdapter
            public void bind(SupportSQLiteStatement stmt, MessagePushEntity value) {
                if (value.getPackageName() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getPackageName());
                }
                stmt.bindLong(2, value.getOpen());
            }
        };
        this.__deletionAdapterOfMessagePushEntity = new EntityDeletionOrUpdateAdapter<MessagePushEntity>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao_Impl.2
            @Override // androidx.room.EntityDeletionOrUpdateAdapter, androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "DELETE FROM `message_push` WHERE `package_name` = ?";
            }

            @Override // androidx.room.EntityDeletionOrUpdateAdapter
            public void bind(SupportSQLiteStatement stmt, MessagePushEntity value) {
                if (value.getPackageName() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getPackageName());
                }
            }
        };
        this.__updateAdapterOfMessagePushEntity = new EntityDeletionOrUpdateAdapter<MessagePushEntity>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao_Impl.3
            @Override // androidx.room.EntityDeletionOrUpdateAdapter, androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE OR ABORT `message_push` SET `package_name` = ?,`open` = ? WHERE `package_name` = ?";
            }

            @Override // androidx.room.EntityDeletionOrUpdateAdapter
            public void bind(SupportSQLiteStatement stmt, MessagePushEntity value) {
                if (value.getPackageName() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getPackageName());
                }
                stmt.bindLong(2, value.getOpen());
                if (value.getPackageName() == null) {
                    stmt.bindNull(3);
                } else {
                    stmt.bindString(3, value.getPackageName());
                }
            }
        };
        this.__preparedStmtOfDeleteByPackageName = new SharedSQLiteStatement(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao_Impl.4
            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "delete from message_push where package_name=?";
            }
        };
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void insertAll(final List<MessagePushEntity> list) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__insertionAdapterOfMessagePushEntity.insert(list);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void insert(final MessagePushEntity element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__insertionAdapterOfMessagePushEntity.insert((EntityInsertionAdapter<MessagePushEntity>) element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void delete(final MessagePushEntity element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfMessagePushEntity.handle(element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void deleteList(final List<MessagePushEntity> elements) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfMessagePushEntity.handleMultiple(elements);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void deleteSome(final MessagePushEntity... elements) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfMessagePushEntity.handleMultiple(elements);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void update(final MessagePushEntity element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__updateAdapterOfMessagePushEntity.handle(element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao
    public void deleteByPackageName(final String name) {
        this.__db.assertNotSuspendingTransaction();
        SupportSQLiteStatement acquire = this.__preparedStmtOfDeleteByPackageName.acquire();
        if (name == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, name);
        }
        this.__db.beginTransaction();
        try {
            acquire.executeUpdateDelete();
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
            this.__preparedStmtOfDeleteByPackageName.release(acquire);
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao
    public MessagePushEntity queryByName(String str) {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("select * from message_push where  package_name=? ", 1);
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        this.__db.assertNotSuspendingTransaction();
        MessagePushEntity messagePushEntity = null;
        String string = null;
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = CursorUtil.getColumnIndexOrThrow(query, "package_name");
            int columnIndexOrThrow2 = CursorUtil.getColumnIndexOrThrow(query, "open");
            if (query.moveToFirst()) {
                if (!query.isNull(columnIndexOrThrow)) {
                    string = query.getString(columnIndexOrThrow);
                }
                messagePushEntity = new MessagePushEntity(string, query.getInt(columnIndexOrThrow2));
            }
            return messagePushEntity;
        } finally {
            query.close();
            acquire.release();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao
    public MessagePushEntity queryByNameAndOpen(String str, int i) {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("select * from message_push where  package_name=? and open<?", 2);
        if (str == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, str);
        }
        acquire.bindLong(2, i);
        this.__db.assertNotSuspendingTransaction();
        MessagePushEntity messagePushEntity = null;
        String string = null;
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = CursorUtil.getColumnIndexOrThrow(query, "package_name");
            int columnIndexOrThrow2 = CursorUtil.getColumnIndexOrThrow(query, "open");
            if (query.moveToFirst()) {
                if (!query.isNull(columnIndexOrThrow)) {
                    string = query.getString(columnIndexOrThrow);
                }
                messagePushEntity = new MessagePushEntity(string, query.getInt(columnIndexOrThrow2));
            }
            return messagePushEntity;
        } finally {
            query.close();
            acquire.release();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao
    public List<MessagePushEntity> queryByOpen(final int open) {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("select * from message_push where open<?", 1);
        acquire.bindLong(1, open);
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = CursorUtil.getColumnIndexOrThrow(query, "package_name");
            int columnIndexOrThrow2 = CursorUtil.getColumnIndexOrThrow(query, "open");
            ArrayList arrayList = new ArrayList(query.getCount());
            while (query.moveToNext()) {
                arrayList.add(new MessagePushEntity(query.isNull(columnIndexOrThrow) ? null : query.getString(columnIndexOrThrow), query.getInt(columnIndexOrThrow2)));
            }
            return arrayList;
        } finally {
            query.close();
            acquire.release();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcMessagePushDao
    public List<MessagePushEntity> queryByStatus() {
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("select `message_push`.`package_name` AS `package_name`, `message_push`.`open` AS `open` from message_push where open =1 ", 0);
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            ArrayList arrayList = new ArrayList(query.getCount());
            while (query.moveToNext()) {
                arrayList.add(new MessagePushEntity(query.isNull(0) ? null : query.getString(0), query.getInt(1)));
            }
            return arrayList;
        } finally {
            query.close();
            acquire.release();
        }
    }

    public static List<Class<?>> getRequiredConverters() {
        return Collections.emptyList();
    }
}
