package com.qcwireless.qcwatch.ui.base.repository.dao;

import android.database.Cursor;
import androidx.room.EntityDeletionOrUpdateAdapter;
import androidx.room.EntityInsertionAdapter;
import androidx.room.RoomDatabase;
import androidx.room.RoomSQLiteQuery;
import androidx.room.util.CursorUtil;
import androidx.room.util.DBUtil;
import androidx.sqlite.db.SupportSQLiteStatement;
import com.qcwireless.qcwatch.ui.base.repository.entity.SleepTotalHistory;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* loaded from: classes2.dex */
public final class QcSleepTotalDao_Impl implements QcSleepTotalDao {
    private final RoomDatabase __db;
    private final EntityDeletionOrUpdateAdapter<SleepTotalHistory> __deletionAdapterOfSleepTotalHistory;
    private final EntityInsertionAdapter<SleepTotalHistory> __insertionAdapterOfSleepTotalHistory;
    private final EntityDeletionOrUpdateAdapter<SleepTotalHistory> __updateAdapterOfSleepTotalHistory;

    public QcSleepTotalDao_Impl(RoomDatabase __db) {
        this.__db = __db;
        this.__insertionAdapterOfSleepTotalHistory = new EntityInsertionAdapter<SleepTotalHistory>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcSleepTotalDao_Impl.1
            @Override // androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "INSERT OR REPLACE INTO `sleep_total` (`device_address`,`date_str`,`total_sleep`,`deep_sleep`,`light_sleep`,`awake`,`start_time`,`end_time`,`unix_time`,`avg_heart`,`avg_blood_oxygen`,`avg_hrv`,`bedtime`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)";
            }

            @Override // androidx.room.EntityInsertionAdapter
            public void bind(SupportSQLiteStatement stmt, SleepTotalHistory value) {
                if (value.getDeviceAddress() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getDeviceAddress());
                }
                if (value.getDateStr() == null) {
                    stmt.bindNull(2);
                } else {
                    stmt.bindString(2, value.getDateStr());
                }
                stmt.bindLong(3, value.getTotalSleep());
                stmt.bindLong(4, value.getDeepSleep());
                stmt.bindLong(5, value.getLightSleep());
                stmt.bindLong(6, value.getAwake());
                stmt.bindLong(7, value.getStartTime());
                stmt.bindLong(8, value.getEndTime());
                stmt.bindLong(9, value.getUnixTime());
                stmt.bindLong(10, value.getAvgHeart());
                stmt.bindLong(11, value.getAvgBloodOxygen());
                stmt.bindLong(12, value.getAvgHrv());
                stmt.bindLong(13, value.getBedtime());
            }
        };
        this.__deletionAdapterOfSleepTotalHistory = new EntityDeletionOrUpdateAdapter<SleepTotalHistory>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcSleepTotalDao_Impl.2
            @Override // androidx.room.EntityDeletionOrUpdateAdapter, androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "DELETE FROM `sleep_total` WHERE `device_address` = ? AND `date_str` = ?";
            }

            @Override // androidx.room.EntityDeletionOrUpdateAdapter
            public void bind(SupportSQLiteStatement stmt, SleepTotalHistory value) {
                if (value.getDeviceAddress() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getDeviceAddress());
                }
                if (value.getDateStr() == null) {
                    stmt.bindNull(2);
                } else {
                    stmt.bindString(2, value.getDateStr());
                }
            }
        };
        this.__updateAdapterOfSleepTotalHistory = new EntityDeletionOrUpdateAdapter<SleepTotalHistory>(__db) { // from class: com.qcwireless.qcwatch.ui.base.repository.dao.QcSleepTotalDao_Impl.3
            @Override // androidx.room.EntityDeletionOrUpdateAdapter, androidx.room.SharedSQLiteStatement
            public String createQuery() {
                return "UPDATE OR ABORT `sleep_total` SET `device_address` = ?,`date_str` = ?,`total_sleep` = ?,`deep_sleep` = ?,`light_sleep` = ?,`awake` = ?,`start_time` = ?,`end_time` = ?,`unix_time` = ?,`avg_heart` = ?,`avg_blood_oxygen` = ?,`avg_hrv` = ?,`bedtime` = ? WHERE `device_address` = ? AND `date_str` = ?";
            }

            @Override // androidx.room.EntityDeletionOrUpdateAdapter
            public void bind(SupportSQLiteStatement stmt, SleepTotalHistory value) {
                if (value.getDeviceAddress() == null) {
                    stmt.bindNull(1);
                } else {
                    stmt.bindString(1, value.getDeviceAddress());
                }
                if (value.getDateStr() == null) {
                    stmt.bindNull(2);
                } else {
                    stmt.bindString(2, value.getDateStr());
                }
                stmt.bindLong(3, value.getTotalSleep());
                stmt.bindLong(4, value.getDeepSleep());
                stmt.bindLong(5, value.getLightSleep());
                stmt.bindLong(6, value.getAwake());
                stmt.bindLong(7, value.getStartTime());
                stmt.bindLong(8, value.getEndTime());
                stmt.bindLong(9, value.getUnixTime());
                stmt.bindLong(10, value.getAvgHeart());
                stmt.bindLong(11, value.getAvgBloodOxygen());
                stmt.bindLong(12, value.getAvgHrv());
                stmt.bindLong(13, value.getBedtime());
                if (value.getDeviceAddress() == null) {
                    stmt.bindNull(14);
                } else {
                    stmt.bindString(14, value.getDeviceAddress());
                }
                if (value.getDateStr() == null) {
                    stmt.bindNull(15);
                } else {
                    stmt.bindString(15, value.getDateStr());
                }
            }
        };
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void insertAll(final List<SleepTotalHistory> list) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__insertionAdapterOfSleepTotalHistory.insert(list);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void insert(final SleepTotalHistory element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__insertionAdapterOfSleepTotalHistory.insert((EntityInsertionAdapter<SleepTotalHistory>) element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void delete(final SleepTotalHistory element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfSleepTotalHistory.handle(element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void deleteList(final List<SleepTotalHistory> elements) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfSleepTotalHistory.handleMultiple(elements);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void deleteSome(final SleepTotalHistory... elements) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__deletionAdapterOfSleepTotalHistory.handleMultiple(elements);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.BaseDao
    public void update(final SleepTotalHistory element) {
        this.__db.assertNotSuspendingTransaction();
        this.__db.beginTransaction();
        try {
            this.__updateAdapterOfSleepTotalHistory.handle(element);
            this.__db.setTransactionSuccessful();
        } finally {
            this.__db.endTransaction();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcSleepTotalDao
    public SleepTotalHistory queryTotalSleepByAddressAndDate(final String deviceAddress, final String date) {
        SleepTotalHistory sleepTotalHistory;
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("select * from sleep_total where  device_address=? and date_str=? order by date_str desc LIMIT 1 ", 2);
        if (deviceAddress == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, deviceAddress);
        }
        if (date == null) {
            acquire.bindNull(2);
        } else {
            acquire.bindString(2, date);
        }
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            int columnIndexOrThrow = CursorUtil.getColumnIndexOrThrow(query, "device_address");
            int columnIndexOrThrow2 = CursorUtil.getColumnIndexOrThrow(query, "date_str");
            int columnIndexOrThrow3 = CursorUtil.getColumnIndexOrThrow(query, "total_sleep");
            int columnIndexOrThrow4 = CursorUtil.getColumnIndexOrThrow(query, "deep_sleep");
            int columnIndexOrThrow5 = CursorUtil.getColumnIndexOrThrow(query, "light_sleep");
            int columnIndexOrThrow6 = CursorUtil.getColumnIndexOrThrow(query, "awake");
            int columnIndexOrThrow7 = CursorUtil.getColumnIndexOrThrow(query, "start_time");
            int columnIndexOrThrow8 = CursorUtil.getColumnIndexOrThrow(query, "end_time");
            int columnIndexOrThrow9 = CursorUtil.getColumnIndexOrThrow(query, "unix_time");
            int columnIndexOrThrow10 = CursorUtil.getColumnIndexOrThrow(query, "avg_heart");
            int columnIndexOrThrow11 = CursorUtil.getColumnIndexOrThrow(query, "avg_blood_oxygen");
            int columnIndexOrThrow12 = CursorUtil.getColumnIndexOrThrow(query, "avg_hrv");
            int columnIndexOrThrow13 = CursorUtil.getColumnIndexOrThrow(query, "bedtime");
            if (query.moveToFirst()) {
                sleepTotalHistory = new SleepTotalHistory(query.isNull(columnIndexOrThrow) ? null : query.getString(columnIndexOrThrow), query.isNull(columnIndexOrThrow2) ? null : query.getString(columnIndexOrThrow2), query.getInt(columnIndexOrThrow3), query.getInt(columnIndexOrThrow4), query.getInt(columnIndexOrThrow5), query.getInt(columnIndexOrThrow6), query.getInt(columnIndexOrThrow7), query.getInt(columnIndexOrThrow8), query.getInt(columnIndexOrThrow9), query.getInt(columnIndexOrThrow10), query.getInt(columnIndexOrThrow11), query.getInt(columnIndexOrThrow12), query.getInt(columnIndexOrThrow13));
            } else {
                sleepTotalHistory = null;
            }
            return sleepTotalHistory;
        } finally {
            query.close();
            acquire.release();
        }
    }

    @Override // com.qcwireless.qcwatch.ui.base.repository.dao.QcSleepTotalDao
    public List<SleepTotalHistory> queryByAddressAndDate(final String deviceAddress, final String start, final String end) {
        RoomSQLiteQuery roomSQLiteQuery;
        int columnIndexOrThrow;
        int columnIndexOrThrow2;
        int columnIndexOrThrow3;
        int columnIndexOrThrow4;
        int columnIndexOrThrow5;
        int columnIndexOrThrow6;
        int columnIndexOrThrow7;
        int columnIndexOrThrow8;
        int columnIndexOrThrow9;
        int columnIndexOrThrow10;
        int columnIndexOrThrow11;
        int columnIndexOrThrow12;
        int columnIndexOrThrow13;
        RoomSQLiteQuery acquire = RoomSQLiteQuery.acquire("select * from sleep_total where device_address=? and unix_time >= ? and unix_time<=? order by unix_time asc", 3);
        if (deviceAddress == null) {
            acquire.bindNull(1);
        } else {
            acquire.bindString(1, deviceAddress);
        }
        if (start == null) {
            acquire.bindNull(2);
        } else {
            acquire.bindString(2, start);
        }
        if (end == null) {
            acquire.bindNull(3);
        } else {
            acquire.bindString(3, end);
        }
        this.__db.assertNotSuspendingTransaction();
        Cursor query = DBUtil.query(this.__db, acquire, false, null);
        try {
            columnIndexOrThrow = CursorUtil.getColumnIndexOrThrow(query, "device_address");
            columnIndexOrThrow2 = CursorUtil.getColumnIndexOrThrow(query, "date_str");
            columnIndexOrThrow3 = CursorUtil.getColumnIndexOrThrow(query, "total_sleep");
            columnIndexOrThrow4 = CursorUtil.getColumnIndexOrThrow(query, "deep_sleep");
            columnIndexOrThrow5 = CursorUtil.getColumnIndexOrThrow(query, "light_sleep");
            columnIndexOrThrow6 = CursorUtil.getColumnIndexOrThrow(query, "awake");
            columnIndexOrThrow7 = CursorUtil.getColumnIndexOrThrow(query, "start_time");
            columnIndexOrThrow8 = CursorUtil.getColumnIndexOrThrow(query, "end_time");
            columnIndexOrThrow9 = CursorUtil.getColumnIndexOrThrow(query, "unix_time");
            columnIndexOrThrow10 = CursorUtil.getColumnIndexOrThrow(query, "avg_heart");
            columnIndexOrThrow11 = CursorUtil.getColumnIndexOrThrow(query, "avg_blood_oxygen");
            columnIndexOrThrow12 = CursorUtil.getColumnIndexOrThrow(query, "avg_hrv");
            columnIndexOrThrow13 = CursorUtil.getColumnIndexOrThrow(query, "bedtime");
            roomSQLiteQuery = acquire;
        } catch (Throwable th) {
            th = th;
            roomSQLiteQuery = acquire;
        }
        try {
            ArrayList arrayList = new ArrayList(query.getCount());
            while (query.moveToNext()) {
                arrayList.add(new SleepTotalHistory(query.isNull(columnIndexOrThrow) ? null : query.getString(columnIndexOrThrow), query.isNull(columnIndexOrThrow2) ? null : query.getString(columnIndexOrThrow2), query.getInt(columnIndexOrThrow3), query.getInt(columnIndexOrThrow4), query.getInt(columnIndexOrThrow5), query.getInt(columnIndexOrThrow6), query.getInt(columnIndexOrThrow7), query.getInt(columnIndexOrThrow8), query.getInt(columnIndexOrThrow9), query.getInt(columnIndexOrThrow10), query.getInt(columnIndexOrThrow11), query.getInt(columnIndexOrThrow12), query.getInt(columnIndexOrThrow13)));
            }
            query.close();
            roomSQLiteQuery.release();
            return arrayList;
        } catch (Throwable th2) {
            th = th2;
            query.close();
            roomSQLiteQuery.release();
            throw th;
        }
    }

    public static List<Class<?>> getRequiredConverters() {
        return Collections.emptyList();
    }
}
