package com.qcwireless.qcwatch.ui.base.repository.mine;

import com.qcwireless.qcwatch.QCApplication;
import com.qcwireless.qcwatch.ui.base.bean.request.user.FeedbackRequest;
import com.qcwireless.qcwatch.ui.base.bean.response.mine.feedback.FeedbackResp;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcDatabase;
import com.qcwireless.qcwatch.ui.base.repository.dao.QcFeedbackDao;
import com.qcwireless.qcwatch.ui.base.repository.entity.FeedbackEntity;
import java.io.File;
import java.util.List;
import kotlin.Metadata;
import kotlin.coroutines.Continuation;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.flow.Flow;
import kotlinx.coroutines.flow.FlowKt;

/* compiled from: FeedbackRepository.kt */
@Metadata(d1 = {"\u0000R\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J+\u0010\u0005\u001a\u0014\u0012\u0010\u0012\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\t0\b0\u00070\u00062\u0006\u0010\n\u001a\u00020\u000bH\u0086@ø\u0001\u0000¢\u0006\u0002\u0010\fJ\u000e\u0010\r\u001a\n\u0012\u0004\u0012\u00020\u000e\u0018\u00010\bJ\u000e\u0010\u000f\u001a\u00020\u00102\u0006\u0010\u0011\u001a\u00020\u000eJ3\u0010\u0012\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\u00130\u00070\u00062\u0006\u0010\u0014\u001a\u00020\u00152\f\u0010\u0016\u001a\b\u0012\u0004\u0012\u00020\u00180\u0017H\u0086@ø\u0001\u0000¢\u0006\u0002\u0010\u0019R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082\u0004¢\u0006\u0002\n\u0000\u0082\u0002\u0004\n\u0002\b\u0019¨\u0006\u001a"}, d2 = {"Lcom/qcwireless/qcwatch/ui/base/repository/mine/FeedbackRepository;", "", "()V", "feedbackDao", "Lcom/qcwireless/qcwatch/ui/base/repository/dao/QcFeedbackDao;", "downFeedbackFromServer", "Lkotlinx/coroutines/flow/Flow;", "Lcom/qcwireless/qcwatch/ui/base/repository/mine/NetState;", "", "Lcom/qcwireless/qcwatch/ui/base/bean/response/mine/feedback/FeedbackResp;", "language", "", "(Ljava/lang/String;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "queryAllFeedbackList", "Lcom/qcwireless/qcwatch/ui/base/repository/entity/FeedbackEntity;", "saveEntity", "", "entity", "upFeedbackImages", "", "params", "Lcom/qcwireless/qcwatch/ui/base/bean/request/user/FeedbackRequest;", "files", "", "Ljava/io/File;", "(Lcom/qcwireless/qcwatch/ui/base/bean/request/user/FeedbackRequest;Ljava/util/List;Lkotlin/coroutines/Continuation;)Ljava/lang/Object;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class FeedbackRepository {
    private final QcFeedbackDao feedbackDao = QcDatabase.INSTANCE.getDatabase(QCApplication.INSTANCE.getCONTEXT()).qcFeedbackDao();

    public final Object downFeedbackFromServer(String str, Continuation<? super Flow<NetState<List<FeedbackResp>>>> continuation) {
        return FlowKt.m2572catch(FlowKt.flowOn(FlowKt.onStart(FlowKt.flow(new FeedbackRepository$downFeedbackFromServer$2(str, null)), new FeedbackRepository$downFeedbackFromServer$3(null)), Dispatchers.getIO()), new FeedbackRepository$downFeedbackFromServer$4(null));
    }

    public final void saveEntity(FeedbackEntity entity) {
        Intrinsics.checkNotNullParameter(entity, "entity");
        this.feedbackDao.insert(entity);
    }

    public final List<FeedbackEntity> queryAllFeedbackList() {
        return this.feedbackDao.queryFeedbackList();
    }

    public final Object upFeedbackImages(FeedbackRequest feedbackRequest, List<File> list, Continuation<? super Flow<NetState<Integer>>> continuation) {
        return FlowKt.m2572catch(FlowKt.flowOn(FlowKt.onStart(FlowKt.flow(new FeedbackRepository$upFeedbackImages$2(list, feedbackRequest, null)), new FeedbackRepository$upFeedbackImages$3(null)), Dispatchers.getIO()), new FeedbackRepository$upFeedbackImages$4(null));
    }
}
