package com.qcwireless.qcwatch.ui.base.service;

import android.os.Build;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.QCApplication;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.ui.base.api.QcRetrofitClient;
import com.qcwireless.qcwatch.ui.base.bean.request.collection.CollectionRequest;
import java.util.Locale;
import kotlin.Metadata;
import kotlin.ResultKt;
import kotlin.Unit;
import kotlin.coroutines.Continuation;
import kotlin.coroutines.intrinsics.IntrinsicsKt;
import kotlin.coroutines.jvm.internal.DebugMetadata;
import kotlin.coroutines.jvm.internal.SuspendLambda;
import kotlin.jvm.functions.Function2;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.CoroutineScope;

/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: NetService.kt */
@Metadata(d1 = {"\u0000\n\n\u0000\n\u0002\u0010\u0002\n\u0002\u0018\u0002\u0010\u0000\u001a\u00020\u0001*\u00020\u0002H\u008a@"}, d2 = {"<anonymous>", "", "Lkotlinx/coroutines/CoroutineScope;"}, k = 3, mv = {1, 6, 0}, xi = 48)
@DebugMetadata(c = "com.qcwireless.qcwatch.ui.base.service.NetService$upCollectionData$1", f = "NetService.kt", i = {}, l = {359}, m = "invokeSuspend", n = {}, s = {})
/* loaded from: classes2.dex */
public final class NetService$upCollectionData$1 extends SuspendLambda implements Function2<CoroutineScope, Continuation<? super Unit>, Object> {
    int label;

    /* JADX INFO: Access modifiers changed from: package-private */
    public NetService$upCollectionData$1(Continuation<? super NetService$upCollectionData$1> continuation) {
        super(2, continuation);
    }

    @Override // kotlin.coroutines.jvm.internal.BaseContinuationImpl
    public final Continuation<Unit> create(Object obj, Continuation<?> continuation) {
        return new NetService$upCollectionData$1(continuation);
    }

    @Override // kotlin.jvm.functions.Function2
    public final Object invoke(CoroutineScope coroutineScope, Continuation<? super Unit> continuation) {
        return ((NetService$upCollectionData$1) create(coroutineScope, continuation)).invokeSuspend(Unit.INSTANCE);
    }

    @Override // kotlin.coroutines.jvm.internal.BaseContinuationImpl
    public final Object invokeSuspend(Object obj) {
        Object coroutine_suspended = IntrinsicsKt.getCOROUTINE_SUSPENDED();
        int i = this.label;
        try {
            if (i == 0) {
                ResultKt.throwOnFailure(obj);
                String country = Locale.getDefault().getCountry();
                String brand = Build.BRAND;
                String model = Build.MODEL;
                String system = Build.VERSION.RELEASE;
                String str = GlobalKt.getAppName(QCApplication.INSTANCE.getCONTEXT()) + '-' + GlobalKt.getVersionName(QCApplication.INSTANCE.getCONTEXT());
                String deviceNameNoClear = UserConfig.INSTANCE.getInstance().getDeviceNameNoClear();
                String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
                Intrinsics.checkNotNullExpressionValue(country, "country");
                Intrinsics.checkNotNullExpressionValue(model, "model");
                Intrinsics.checkNotNullExpressionValue(brand, "brand");
                Intrinsics.checkNotNullExpressionValue(system, "system");
                CollectionRequest collectionRequest = new CollectionRequest(deviceNameNoClear, deviceAddressNoClear, country, model, brand, system, str, UserConfig.INSTANCE.getInstance().getHwVersion(), UserConfig.INSTANCE.getInstance().getFmVersion(), UserConfig.INSTANCE.getInstance().getUserEmail(), UserConfig.INSTANCE.getInstance().getUid());
                this.label = 1;
                if (QcRetrofitClient.INSTANCE.service().collectionData(collectionRequest, this) == coroutine_suspended) {
                    return coroutine_suspended;
                }
            } else {
                if (i != 1) {
                    throw new IllegalStateException("call to 'resume' before 'invoke' with coroutine");
                }
                ResultKt.throwOnFailure(obj);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (UserConfig.INSTANCE.getInstance().getFmVersion().length() > 0) {
            UserConfig.INSTANCE.getInstance().setLastCollectionTime(new DateUtil().getUnixTimestamp() + 21600);
            UserConfig.INSTANCE.getInstance().save();
        }
        return Unit.INSTANCE;
    }
}
