package com.qcwireless.qcwatch.ui.base.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import com.qcwireless.ring.R;

/* loaded from: classes2.dex */
public class QBgRunningTextView extends ConstraintLayout {
    private TextView des;
    private TextView title;
    private TextView toSetting;

    public QBgRunningTextView(Context context) {
        super(context);
    }

    public QBgRunningTextView(Context context, AttributeSet attrs) {
        super(context, attrs);
        View inflate = LayoutInflater.from(context).inflate(R.layout.qc_appbackground_text, this);
        this.title = (TextView) inflate.findViewById(R.id.app_title);
        this.des = (TextView) inflate.findViewById(R.id.app_des);
        this.toSetting = (TextView) inflate.findViewById(R.id.btn_app_setting);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attrs, com.qcwireless.qcwatch.R.styleable.qc_background_setting);
        String string = obtainStyledAttributes.getString(1);
        String string2 = obtainStyledAttributes.getString(0);
        this.title.setText(string);
        this.des.setText(string2);
        obtainStyledAttributes.recycle();
    }

    public QBgRunningTextView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    public void setClickListener(View.OnClickListener listener) {
        this.toSetting.setOnClickListener(listener);
    }

    public void setImgBackground(Drawable drawable) {
        this.toSetting.setBackground(drawable);
    }

    public void setBtnText(String text) {
        this.toSetting.setText(text);
    }

    public void setBtnTextColor(int color) {
        this.toSetting.setTextColor(color);
    }
}
