package com.qcwireless.qcwatch.ui.base.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.CornerPathEffect;
import android.graphics.DashPathEffect;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.Shader;
import android.util.AttributeSet;
import android.view.View;
import androidx.collection.ArrayMap;
import androidx.core.content.ContextCompat;
import com.blankj.utilcode.constant.CacheConstants;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.ring.R;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/* loaded from: classes2.dex */
public class QBloodOxygenLineChartHomeView extends View {
    private List<DataBean> boList;
    private int bottomOffset;
    int[] colors;
    int[] colorsBoLine;
    int[] colorsLine;
    private Context context;
    private Paint dotPaint;
    private Map<String, DataBean> hashData;
    private int height;
    private int leftRightOffset;
    private int lineHeight;
    private Paint linePaint;
    private Paint paint;
    private Paint paintFill;
    private Paint paintY;
    private Path path;
    private Paint textDownPaint;
    private int[] timeArray;
    private int width;
    private Path yLinePath;

    /* loaded from: classes2.dex */
    public interface OnSelectedListener {
        void onSelected(DataBean bean);
    }

    public QBloodOxygenLineChartHomeView(Context context) {
        super(context);
        this.timeArray = new int[24];
        this.boList = new ArrayList();
        this.leftRightOffset = 20;
        this.colors = new int[0];
        this.colorsLine = new int[0];
        this.colorsBoLine = new int[0];
        this.bottomOffset = 50;
        this.lineHeight = 185;
        this.hashData = new ArrayMap();
        init(context, null);
    }

    public QBloodOxygenLineChartHomeView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.timeArray = new int[24];
        this.boList = new ArrayList();
        this.leftRightOffset = 20;
        this.colors = new int[0];
        this.colorsLine = new int[0];
        this.colorsBoLine = new int[0];
        this.bottomOffset = 50;
        this.lineHeight = 185;
        this.hashData = new ArrayMap();
        init(context, attrs);
    }

    public QBloodOxygenLineChartHomeView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.timeArray = new int[24];
        this.boList = new ArrayList();
        this.leftRightOffset = 20;
        this.colors = new int[0];
        this.colorsLine = new int[0];
        this.colorsBoLine = new int[0];
        this.bottomOffset = 50;
        this.lineHeight = 185;
        this.hashData = new ArrayMap();
        init(context, attrs);
    }

    public QBloodOxygenLineChartHomeView(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        this.timeArray = new int[24];
        this.boList = new ArrayList();
        this.leftRightOffset = 20;
        this.colors = new int[0];
        this.colorsLine = new int[0];
        this.colorsBoLine = new int[0];
        this.bottomOffset = 50;
        this.lineHeight = 185;
        this.hashData = new ArrayMap();
        init(context, attrs);
    }

    private void init(Context context, AttributeSet attrs) {
        this.context = context;
        for (int i = 0; i < 24; i++) {
            this.timeArray[i] = i * CacheConstants.HOUR;
        }
        this.colors = new int[]{ContextCompat.getColor(context, R.color.blood_oxygen_text_2), ContextCompat.getColor(context, R.color.blood_oxygen_text_2), ContextCompat.getColor(context, R.color.blood_oxygen_text_2)};
        this.colorsBoLine = new int[]{ContextCompat.getColor(context, R.color.blood_oxygen_text_2), ContextCompat.getColor(context, R.color.blood_oxygen_text_2), ContextCompat.getColor(context, R.color.blood_oxygen_text_2)};
        this.colorsLine = new int[]{ContextCompat.getColor(context, R.color.blood_oxygen_text_2), ContextCompat.getColor(context, R.color.blood_oxygen_text_2), ContextCompat.getColor(context, R.color.blood_oxygen_text_2)};
        Paint paint = new Paint();
        this.paint = paint;
        paint.setStyle(Paint.Style.STROKE);
        this.paint.setAntiAlias(true);
        this.paint.setStrokeJoin(Paint.Join.ROUND);
        this.paint.setPathEffect(new CornerPathEffect(30.0f));
        this.paint.setColor(ContextCompat.getColor(context, R.color.blood_oxygen_text_2));
        this.paint.setStrokeWidth(DpUtils.dp2px(context, 0.5f));
        Paint paint2 = new Paint();
        this.paintFill = paint2;
        paint2.setStyle(Paint.Style.FILL);
        this.paintFill.setAntiAlias(true);
        this.paintFill.setPathEffect(new CornerPathEffect(30.0f));
        Paint paint3 = new Paint();
        this.paintY = paint3;
        paint3.setAntiAlias(true);
        this.paintY.setColor(ContextCompat.getColor(context, R.color.q_view_blood_oxygen_10));
        this.paintY.setStrokeWidth(DpUtils.dp2px(context, 0.05f));
        this.paintY.setPathEffect(new DashPathEffect(new float[]{5.0f, 5.0f}, 0.0f));
        this.paintY.setStyle(Paint.Style.STROKE);
        Paint paint4 = new Paint();
        this.dotPaint = paint4;
        paint4.setAntiAlias(true);
        this.dotPaint.setStyle(Paint.Style.FILL);
        this.dotPaint.setStrokeCap(Paint.Cap.ROUND);
        this.path = new Path();
        this.yLinePath = new Path();
        Paint paint5 = new Paint();
        this.linePaint = paint5;
        paint5.setAntiAlias(true);
        this.linePaint.setStyle(Paint.Style.FILL);
        this.linePaint.setStyle(Paint.Style.STROKE);
        this.linePaint.setStrokeWidth(2.0f);
        Paint paint6 = new Paint();
        this.textDownPaint = paint6;
        paint6.setAntiAlias(true);
        this.textDownPaint.setStyle(Paint.Style.FILL);
        this.textDownPaint.setColor(ContextCompat.getColor(context, R.color.q_view_blood_oxygen_10));
        this.textDownPaint.setStrokeWidth(2.0f);
        this.textDownPaint.setTextSize(dp2px(context, 10.0f));
        this.lineHeight = (int) DpUtils.dp2px(context, 200.0f);
        this.bottomOffset = (int) DpUtils.dp2px(context, 10.0f);
        this.linePaint.setStrokeCap(Paint.Cap.ROUND);
        int i2 = this.width;
        this.linePaint.setShader(new LinearGradient(i2, this.lineHeight - this.bottomOffset, i2, 90.0f, this.colorsBoLine, (float[]) null, Shader.TileMode.CLAMP));
        this.linePaint.setStrokeWidth(DpUtils.dp2px(context, 3.0f));
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        this.width = getMySize(200, widthMeasureSpec);
        if (getLayoutParams().height == -2) {
            this.height = (int) DpUtils.dp2px(this.context, 60.0f);
        } else {
            this.height = getMySize(200, heightMeasureSpec);
        }
        if (this.boList.size() > 0) {
            setData(this.boList);
        }
        setMeasuredDimension(this.width, this.height);
        postInvalidate();
    }

    @Override // android.view.View
    protected void onLayout(boolean changed, int left, int top2, int right, int bottom) {
        super.onLayout(changed, left, top2, right, bottom);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.boList.size() > 0) {
            canvas.drawPath(this.path, this.linePaint);
        }
        int i = (this.lineHeight - this.bottomOffset) / 12;
        canvas.drawText("0", this.width - getTextWidth(this.textDownPaint, "0"), ((this.lineHeight - this.bottomOffset) - i) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float f = i;
        canvas.drawText("90", this.width - getTextWidth(this.textDownPaint, "00"), ((this.lineHeight - this.bottomOffset) - (4.0f * f)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        canvas.drawText("95", this.width - getTextWidth(this.textDownPaint, "00"), ((this.lineHeight - this.bottomOffset) - (6.8f * f)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        canvas.drawText("100", this.width - getTextWidth(this.textDownPaint, "000"), ((this.lineHeight - this.bottomOffset) - (f * 10.2f)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        canvas.drawPath(this.yLinePath, this.paintY);
    }

    public void setData(List<DataBean> data) {
        this.boList = data;
        this.hashData.clear();
        this.path.reset();
        int i = (this.lineHeight - this.bottomOffset) / 12;
        if (this.width > 0) {
            for (DataBean dataBean : data) {
                this.hashData.put(dataBean.seconds + "", dataBean);
                if (dataBean.getMinValue() > 0 && dataBean.getMaxValue() > 0 && dataBean.getMinValue() >= 51 && dataBean.getMaxValue() >= 51) {
                    dataBean.setMinValue(30);
                    dataBean.setMaxValue(dataBean.getMaxValue() - 51);
                    Path path = this.path;
                    int seconds = dataBean.getSeconds();
                    int i2 = this.width;
                    int i3 = this.leftRightOffset;
                    path.moveTo(((seconds * (i2 - (i3 * 2))) / CacheConstants.DAY) + i3, (this.lineHeight - this.bottomOffset) - i);
                    Path path2 = this.path;
                    int seconds2 = dataBean.getSeconds();
                    int i4 = this.width;
                    int i5 = this.leftRightOffset;
                    path2.lineTo(((seconds2 * (i4 - (i5 * 2))) / CacheConstants.DAY) + i5, (this.lineHeight - this.bottomOffset) - (((dataBean.getMaxValue() - 39) + 1) * i));
                }
            }
        } else {
            AwLog.i(Author.HeZhiYuan, "width=0");
        }
        this.yLinePath.moveTo(this.leftRightOffset, (this.lineHeight - this.bottomOffset) - i);
        this.yLinePath.lineTo((this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00"), (this.lineHeight - this.bottomOffset) - i);
        float f = i;
        float f2 = 4.0f * f;
        this.yLinePath.moveTo(this.leftRightOffset, (this.lineHeight - this.bottomOffset) - f2);
        this.yLinePath.lineTo((this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00"), (this.lineHeight - this.bottomOffset) - f2);
        float f3 = 6.8f * f;
        this.yLinePath.moveTo(this.leftRightOffset, (this.lineHeight - this.bottomOffset) - f3);
        this.yLinePath.lineTo((this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00"), (this.lineHeight - this.bottomOffset) - f3);
        float f4 = f * 10.3f;
        this.yLinePath.moveTo(this.leftRightOffset, (this.lineHeight - this.bottomOffset) - f4);
        this.yLinePath.lineTo((this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00"), (this.lineHeight - this.bottomOffset) - f4);
        postInvalidate();
    }

    public int getMySize(int defaultSize, int measureSpec) {
        int mode = View.MeasureSpec.getMode(measureSpec);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? View.MeasureSpec.getSize(measureSpec) : defaultSize;
    }

    /* loaded from: classes2.dex */
    public static class DataBean {
        private int maxValue;
        private int minValue;
        private int seconds;
        private int unixTime;

        public DataBean(int seconds, int minValue, int maxValue) {
            this.seconds = seconds;
            this.minValue = minValue;
            this.maxValue = maxValue;
        }

        public DataBean(int seconds, int minValue, int maxValue, int unixTime) {
            this.seconds = seconds;
            this.minValue = minValue;
            this.maxValue = maxValue;
            this.unixTime = unixTime;
        }

        public int getUnixTime() {
            return this.unixTime;
        }

        public void setUnixTime(int unixTime) {
            this.unixTime = unixTime;
        }

        public int getSeconds() {
            return this.seconds;
        }

        public void setSeconds(int seconds) {
            this.seconds = seconds;
        }

        public int getMinValue() {
            return this.minValue;
        }

        public void setMinValue(int minValue) {
            this.minValue = minValue;
        }

        public int getMaxValue() {
            return this.maxValue;
        }

        public void setMaxValue(int maxValue) {
            this.maxValue = maxValue;
        }
    }

    public float dp2px(Context context, float dp) {
        return (dp * context.getResources().getDisplayMetrics().density) + 0.5f;
    }

    public float getTextWidth(Paint paint, String str) {
        float f = 0.0f;
        if (str != null && str.length() > 0) {
            int length = str.length();
            paint.getTextWidths(str, new float[length]);
            for (int i = 0; i < length; i++) {
                f += (float) Math.ceil(r2[i]);
            }
        }
        return f;
    }

    public float getTextHeight(Paint paint, String str) {
        paint.getTextBounds(str, 0, str.length(), new Rect());
        return r0.height();
    }
}
