package com.qcwireless.qcwatch.ui.base.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.DashPathEffect;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import androidx.collection.ArrayMap;
import androidx.core.content.ContextCompat;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.ring.R;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import skin.support.content.res.SkinCompatResources;

/* loaded from: classes2.dex */
public class QBloodPressureChartHomeView extends View {
    private int bottomOffset;
    private List<BpDataBean> bpList;
    int[] colorsLine;
    private Context context;
    private BpDataBean currBean;
    private Paint dotPaint;
    private Map<String, BpDataBean> hashData;
    private int height;
    private int leftRightOffset;
    private int lineHeight;
    private OnSelectedListener listener;
    private Paint paint;
    private Paint paintFill;
    private Paint paintY;
    private Path path;
    private Path path1;
    private Paint textDownPaint;
    private int[] timeArray;
    private int width;
    private int xMax;
    private Path yLinePath;
    private int yMax;

    /* loaded from: classes2.dex */
    public interface OnSelectedListener {
        void onSelected(BpDataBean bean);
    }

    public void setSelectedListener(OnSelectedListener listener) {
        this.listener = listener;
    }

    public QBloodPressureChartHomeView(Context context) {
        super(context);
        this.xMax = 1440;
        this.yMax = 200;
        this.timeArray = new int[1440];
        this.bpList = new ArrayList();
        this.leftRightOffset = 20;
        this.colorsLine = new int[0];
        this.hashData = new ArrayMap();
        this.bottomOffset = 70;
        this.lineHeight = 190;
        init(context, null);
    }

    public QBloodPressureChartHomeView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.xMax = 1440;
        this.yMax = 200;
        this.timeArray = new int[1440];
        this.bpList = new ArrayList();
        this.leftRightOffset = 20;
        this.colorsLine = new int[0];
        this.hashData = new ArrayMap();
        this.bottomOffset = 70;
        this.lineHeight = 190;
        init(context, attrs);
    }

    public QBloodPressureChartHomeView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.xMax = 1440;
        this.yMax = 200;
        this.timeArray = new int[1440];
        this.bpList = new ArrayList();
        this.leftRightOffset = 20;
        this.colorsLine = new int[0];
        this.hashData = new ArrayMap();
        this.bottomOffset = 70;
        this.lineHeight = 190;
        init(context, attrs);
    }

    public QBloodPressureChartHomeView(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        this.xMax = 1440;
        this.yMax = 200;
        this.timeArray = new int[1440];
        this.bpList = new ArrayList();
        this.leftRightOffset = 20;
        this.colorsLine = new int[0];
        this.hashData = new ArrayMap();
        this.bottomOffset = 70;
        this.lineHeight = 190;
        init(context, attrs);
    }

    private void init(Context context, AttributeSet attrs) {
        this.context = context;
        this.colorsLine = new int[]{ContextCompat.getColor(context, R.color.q_view_blood_pressure_3), ContextCompat.getColor(context, R.color.q_view_blood_pressure_2), ContextCompat.getColor(context, R.color.q_view_blood_pressure_3)};
        Paint paint = new Paint();
        this.paint = paint;
        paint.setStyle(Paint.Style.STROKE);
        this.paint.setAntiAlias(true);
        this.paint.setColor(ContextCompat.getColor(context, R.color.q_view_blood_pressure_2));
        this.paint.setStrokeWidth(dp2px(context, 1.0f));
        Paint paint2 = new Paint();
        this.paintFill = paint2;
        paint2.setStyle(Paint.Style.STROKE);
        this.paintFill.setAntiAlias(true);
        this.paintFill.setStrokeWidth(dp2px(context, 1.0f));
        this.paintFill.setColor(ContextCompat.getColor(context, R.color.q_view_blood_pressure_4));
        Paint paint3 = new Paint();
        this.paintY = paint3;
        paint3.setAntiAlias(true);
        this.paintY.setColor(ContextCompat.getColor(context, R.color.q_view_blood_pressure_5));
        this.paintY.setStrokeWidth(dp2px(context, 0.05f));
        this.paintY.setPathEffect(new DashPathEffect(new float[]{5.0f, 5.0f}, 0.0f));
        this.paintY.setStyle(Paint.Style.STROKE);
        this.lineHeight = (int) dp2px(context, 185.0f);
        this.bottomOffset = (int) dp2px(context, 10.0f);
        Paint paint4 = new Paint();
        this.dotPaint = paint4;
        paint4.setAntiAlias(true);
        this.dotPaint.setStyle(Paint.Style.FILL);
        this.dotPaint.setStrokeCap(Paint.Cap.ROUND);
        Paint paint5 = new Paint();
        this.textDownPaint = paint5;
        paint5.setAntiAlias(true);
        this.textDownPaint.setStyle(Paint.Style.FILL);
        this.textDownPaint.setColor(SkinCompatResources.getColor(context, R.color.blood_pressure_common_4));
        this.textDownPaint.setStrokeWidth(2.0f);
        this.textDownPaint.setTextSize(dp2px(context, 10.0f));
        this.path = new Path();
        this.path1 = new Path();
        this.yLinePath = new Path();
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        this.width = getMySize(140, widthMeasureSpec);
        if (getLayoutParams().height == -2) {
            this.height = (int) dp2px(this.context, 200.0f);
        } else {
            this.height = getMySize(200, heightMeasureSpec);
        }
        setMeasuredDimension(this.width, this.height);
        setData(this.bpList);
        postInvalidate();
    }

    @Override // android.view.View
    protected void onLayout(boolean changed, int left, int top2, int right, int bottom) {
        super.onLayout(changed, left, top2, right, bottom);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.bpList.size() > 1) {
            canvas.drawPath(this.path1, this.paintFill);
            canvas.drawPath(this.path, this.paint);
        }
        for (BpDataBean bpDataBean : this.bpList) {
            this.dotPaint.setColor(ContextCompat.getColor(this.context, R.color.q_view_common_7));
            canvas.drawCircle(bpDataBean.sbpX, bpDataBean.sbpY, dp2px(this.context, 2.0f), this.dotPaint);
            this.dotPaint.setColor(ContextCompat.getColor(this.context, R.color.q_view_blood_pressure_2));
            canvas.drawCircle(bpDataBean.sbpX, bpDataBean.sbpY, dp2px(this.context, 1.5f), this.dotPaint);
            this.dotPaint.setColor(ContextCompat.getColor(this.context, R.color.q_view_common_7));
            canvas.drawCircle(bpDataBean.dbpX, bpDataBean.dbpY, dp2px(this.context, 2.0f), this.dotPaint);
            this.dotPaint.setColor(ContextCompat.getColor(this.context, R.color.q_view_blood_pressure_4));
            canvas.drawCircle(bpDataBean.dbpX, bpDataBean.dbpY, dp2px(this.context, 1.5f), this.dotPaint);
        }
        canvas.drawPath(this.yLinePath, this.paintY);
        this.textDownPaint.setTextSize(dp2px(this.context, 10.0f));
        float textWidth = this.width - getTextWidth(this.textDownPaint, "00");
        int i = this.lineHeight;
        int i2 = this.bottomOffset;
        canvas.drawText("30", textWidth, ((i - i2) - (((this.height - i2) * 30) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float textWidth2 = this.width - getTextWidth(this.textDownPaint, "00");
        int i3 = this.lineHeight;
        int i4 = this.bottomOffset;
        canvas.drawText("60", textWidth2, ((i3 - i4) - (((this.height - i4) * 60) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float textWidth3 = this.width - getTextWidth(this.textDownPaint, "00");
        int i5 = this.lineHeight;
        int i6 = this.bottomOffset;
        canvas.drawText("90", textWidth3, ((i5 - i6) - (((this.height - i6) * 90) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float textWidth4 = this.width - getTextWidth(this.textDownPaint, "000");
        int i7 = this.lineHeight;
        int i8 = this.bottomOffset;
        canvas.drawText("120", textWidth4, ((i7 - i8) - (((this.height - i8) * 120) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float textWidth5 = this.width - getTextWidth(this.textDownPaint, "000");
        int i9 = this.lineHeight;
        int i10 = this.bottomOffset;
        canvas.drawText("150", textWidth5, ((i9 - i10) - (((this.height - i10) * 150) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
    }

    public void setData(List<BpDataBean> list) {
        this.bpList = list;
        this.path.reset();
        this.hashData.clear();
        if (this.width > 0) {
            filterData(list);
        } else {
            AwLog.i(Author.HeZhiYuan, "width=0");
        }
        postInvalidate();
    }

    private void filterData(List<BpDataBean> list) {
        int i = 1025;
        int i2 = 0;
        for (int i3 = 0; i3 < list.size(); i3++) {
            BpDataBean bpDataBean = list.get(i3);
            if (bpDataBean.getMin() < i) {
                i = bpDataBean.getMin();
            }
            if (bpDataBean.getMin() > i2) {
                i2 = bpDataBean.getMin();
            }
            int min = bpDataBean.getMin();
            int i4 = this.width;
            int i5 = this.leftRightOffset;
            bpDataBean.dbpX = ((min * (i4 - (i5 * 2))) / this.xMax) + i5;
            bpDataBean.dbpY = (this.lineHeight - this.bottomOffset) - ((bpDataBean.getDbp() * (this.height - this.bottomOffset)) / this.yMax);
            int min2 = bpDataBean.getMin();
            int i6 = this.width;
            int i7 = this.leftRightOffset;
            bpDataBean.sbpX = ((min2 * (i6 - (i7 * 2))) / this.xMax) + i7;
            bpDataBean.sbpY = (this.lineHeight - this.bottomOffset) - ((bpDataBean.getSbp() * (this.height - this.bottomOffset)) / this.yMax);
        }
        Path path = this.yLinePath;
        float f = this.leftRightOffset;
        int i8 = this.lineHeight;
        int i9 = this.bottomOffset;
        path.moveTo(f, (i8 - i9) - (((this.height - i9) * 30) / this.yMax));
        Path path2 = this.yLinePath;
        float textWidth = (this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00");
        int i10 = this.lineHeight;
        int i11 = this.bottomOffset;
        path2.lineTo(textWidth, (i10 - i11) - (((this.height - i11) * 30) / this.yMax));
        Path path3 = this.yLinePath;
        float f2 = this.leftRightOffset;
        int i12 = this.lineHeight;
        int i13 = this.bottomOffset;
        path3.moveTo(f2, (i12 - i13) - (((this.height - i13) * 60) / this.yMax));
        Path path4 = this.yLinePath;
        float textWidth2 = (this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00");
        int i14 = this.lineHeight;
        int i15 = this.bottomOffset;
        path4.lineTo(textWidth2, (i14 - i15) - (((this.height - i15) * 60) / this.yMax));
        Path path5 = this.yLinePath;
        float f3 = this.leftRightOffset;
        int i16 = this.lineHeight;
        int i17 = this.bottomOffset;
        path5.moveTo(f3, (i16 - i17) - (((this.height - i17) * 90) / this.yMax));
        Path path6 = this.yLinePath;
        float textWidth3 = (this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00");
        int i18 = this.lineHeight;
        int i19 = this.bottomOffset;
        path6.lineTo(textWidth3, (i18 - i19) - (((this.height - i19) * 90) / this.yMax));
        Path path7 = this.yLinePath;
        float f4 = this.leftRightOffset;
        int i20 = this.lineHeight;
        int i21 = this.bottomOffset;
        path7.moveTo(f4, (i20 - i21) - (((this.height - i21) * 120) / this.yMax));
        Path path8 = this.yLinePath;
        float textWidth4 = (this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00");
        int i22 = this.lineHeight;
        int i23 = this.bottomOffset;
        path8.lineTo(textWidth4, (i22 - i23) - (((this.height - i23) * 120) / this.yMax));
        Path path9 = this.yLinePath;
        float f5 = this.leftRightOffset;
        int i24 = this.lineHeight;
        int i25 = this.bottomOffset;
        path9.moveTo(f5, (i24 - i25) - (((this.height - i25) * 150) / this.yMax));
        Path path10 = this.yLinePath;
        float textWidth5 = (this.width - this.leftRightOffset) - getTextWidth(this.textDownPaint, "00");
        int i26 = this.lineHeight;
        int i27 = this.bottomOffset;
        path10.lineTo(textWidth5, (i26 - i27) - (((this.height - i27) * 150) / this.yMax));
        this.bpList = list;
        this.path.reset();
        this.path1.reset();
        this.hashData.clear();
        for (int i28 = 0; i28 < this.bpList.size(); i28++) {
            BpDataBean bpDataBean2 = this.bpList.get(i28);
            this.timeArray[i28] = bpDataBean2.getMin();
            this.hashData.put(bpDataBean2.getMin() + "", bpDataBean2);
            if (i28 == 0) {
                this.path.moveTo(bpDataBean2.sbpX, bpDataBean2.sbpY);
                this.path.lineTo(bpDataBean2.sbpX, bpDataBean2.sbpY);
                this.path1.moveTo(bpDataBean2.dbpX, bpDataBean2.dbpY);
            } else {
                this.path.lineTo(bpDataBean2.sbpX, bpDataBean2.sbpY);
            }
            this.path1.lineTo(bpDataBean2.dbpX, bpDataBean2.dbpY);
        }
        postInvalidate();
    }

    public int getMySize(int defaultSize, int measureSpec) {
        int mode = View.MeasureSpec.getMode(measureSpec);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? View.MeasureSpec.getSize(measureSpec) : defaultSize;
    }

    /* loaded from: classes2.dex */
    public static class BpDataBean {
        private int dbp;
        public int dbpX;
        public int dbpY;
        private int min;
        private int sbp;
        public int sbpX;
        public int sbpY;
        private long unixTime;

        public BpDataBean(int min, int sbp, int dbp) {
            this.min = min;
            this.sbp = sbp;
            this.dbp = dbp;
        }

        public BpDataBean(int min, int sbp, int dbp, long unixTime) {
            this.min = min;
            this.sbp = sbp;
            this.dbp = dbp;
            this.unixTime = unixTime;
        }

        public int getMin() {
            return this.min;
        }

        public void setMin(int min) {
            this.min = min;
        }

        public int getSbp() {
            return this.sbp;
        }

        public void setSbp(int sbp) {
            this.sbp = sbp;
        }

        public int getDbp() {
            return this.dbp;
        }

        public void setDbp(int dbp) {
            this.dbp = dbp;
        }

        public int getSbpX() {
            return this.sbpX;
        }

        public void setSbpX(int sbpX) {
            this.sbpX = sbpX;
        }

        public int getSbpY() {
            return this.sbpY;
        }

        public void setSbpY(int sbpY) {
            this.sbpY = sbpY;
        }

        public int getDbpX() {
            return this.dbpX;
        }

        public void setDbpX(int dbpX) {
            this.dbpX = dbpX;
        }

        public int getDbpY() {
            return this.dbpY;
        }

        public void setDbpY(int dbpY) {
            this.dbpY = dbpY;
        }

        public long getUnixTime() {
            return this.unixTime;
        }

        public void setUnixTime(long unixTime) {
            this.unixTime = unixTime;
        }
    }

    public float dp2px(Context context, float dp) {
        return (dp * context.getResources().getDisplayMetrics().density) + 0.5f;
    }

    public float getTextWidth(Paint paint, String str) {
        float f = 0.0f;
        if (str != null && str.length() > 0) {
            int length = str.length();
            paint.getTextWidths(str, new float[length]);
            for (int i = 0; i < length; i++) {
                f += (float) Math.ceil(r2[i]);
            }
        }
        return f;
    }

    public float getTextHeight(Paint paint, String str) {
        paint.getTextBounds(str, 0, str.length(), new Rect());
        return r0.height();
    }
}
