package com.qcwireless.qcwatch.ui.base.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.CornerPathEffect;
import android.graphics.DashPathEffect;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.Shader;
import android.util.AttributeSet;
import android.view.View;
import androidx.collection.ArrayMap;
import androidx.core.content.ContextCompat;
import com.qcwireless.qcwatch.ui.base.view.QHeartLineChartView;
import com.qcwireless.ring.R;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import skin.support.content.res.SkinCompatResources;

/* loaded from: classes2.dex */
public class QHomeHeartLineChartView extends View {
    private int bottomOffset;
    int[] colors;
    int[] colorsLine;
    private Context context;
    private Path fillPath;
    private QHeartLineChartView.HeartDataBean firstBean;
    private Map<String, QHeartLineChartView.HeartDataBean> hashData;
    private List<QHeartLineChartView.HeartDataBean> heartList;
    private int height;
    private List<XTextChange> labelsList;
    private int leftRightOffset;
    private int lineHeight;
    private Paint paint;
    private Paint paintBottom;
    private Paint paintFill;
    private Paint paintY;
    private Path path;
    float[] position;
    private int range;
    private Paint textDownPaint;
    private int[] timeArray;
    private int width;
    private int xMax;
    private Path yLinePath;
    private int yMax;

    private void initXLabels() {
    }

    public QHomeHeartLineChartView(Context context) {
        super(context);
        this.xMax = 1440;
        this.yMax = 200;
        this.heartList = new ArrayList();
        this.leftRightOffset = 10;
        this.position = new float[]{0.01f, 0.1f, 5.0f};
        this.colors = new int[0];
        this.colorsLine = new int[0];
        this.bottomOffset = 30;
        this.lineHeight = 120;
        this.range = 5;
        this.labelsList = new ArrayList();
        this.hashData = new ArrayMap();
        this.context = context;
        init(context, null);
    }

    public QHomeHeartLineChartView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.xMax = 1440;
        this.yMax = 200;
        this.heartList = new ArrayList();
        this.leftRightOffset = 10;
        this.position = new float[]{0.01f, 0.1f, 5.0f};
        this.colors = new int[0];
        this.colorsLine = new int[0];
        this.bottomOffset = 30;
        this.lineHeight = 120;
        this.range = 5;
        this.labelsList = new ArrayList();
        this.hashData = new ArrayMap();
        this.context = context;
        init(context, attrs);
    }

    public QHomeHeartLineChartView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.xMax = 1440;
        this.yMax = 200;
        this.heartList = new ArrayList();
        this.leftRightOffset = 10;
        this.position = new float[]{0.01f, 0.1f, 5.0f};
        this.colors = new int[0];
        this.colorsLine = new int[0];
        this.bottomOffset = 30;
        this.lineHeight = 120;
        this.range = 5;
        this.labelsList = new ArrayList();
        this.hashData = new ArrayMap();
        this.context = context;
        init(context, attrs);
    }

    public QHomeHeartLineChartView(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        this.xMax = 1440;
        this.yMax = 200;
        this.heartList = new ArrayList();
        this.leftRightOffset = 10;
        this.position = new float[]{0.01f, 0.1f, 5.0f};
        this.colors = new int[0];
        this.colorsLine = new int[0];
        this.bottomOffset = 30;
        this.lineHeight = 120;
        this.range = 5;
        this.labelsList = new ArrayList();
        this.hashData = new ArrayMap();
        this.context = context;
        init(context, attrs);
    }

    private void init(Context context, AttributeSet attrs) {
        this.colors = new int[]{ContextCompat.getColor(context, R.color.q_view_heart_10), ContextCompat.getColor(context, R.color.q_view_heart_11), ContextCompat.getColor(context, R.color.q_view_heart_6)};
        this.colorsLine = new int[]{ContextCompat.getColor(context, R.color.q_view_heart_6), ContextCompat.getColor(context, R.color.q_view_heart_10), ContextCompat.getColor(context, R.color.q_view_heart_6)};
        Paint paint = new Paint();
        this.paint = paint;
        paint.setStyle(Paint.Style.STROKE);
        this.paint.setAntiAlias(true);
        this.paint.setStrokeJoin(Paint.Join.ROUND);
        this.paint.setPathEffect(new CornerPathEffect(10.0f));
        this.paint.setColor(ContextCompat.getColor(context, R.color.q_view_heart_10));
        this.paint.setStrokeWidth(dp2px(context, 0.5f));
        Paint paint2 = new Paint();
        this.paintFill = paint2;
        paint2.setStyle(Paint.Style.FILL);
        this.paintFill.setAntiAlias(true);
        this.paintFill.setPathEffect(new CornerPathEffect(10.0f));
        Paint paint3 = new Paint();
        this.paintY = paint3;
        paint3.setAntiAlias(true);
        this.paintY.setColor(ContextCompat.getColor(context, R.color.q_view_heart_9));
        this.paintY.setStrokeWidth(dp2px(context, 0.05f));
        this.paintY.setPathEffect(new DashPathEffect(new float[]{5.0f, 5.0f}, 0.0f));
        this.paintY.setStyle(Paint.Style.STROKE);
        this.path = new Path();
        this.fillPath = new Path();
        this.yLinePath = new Path();
        Paint paint4 = new Paint();
        this.textDownPaint = paint4;
        paint4.setAntiAlias(true);
        this.textDownPaint.setStyle(Paint.Style.FILL);
        this.textDownPaint.setStrokeWidth(2.0f);
        this.textDownPaint.setTextSize(dp2px(context, 8.0f));
        this.textDownPaint.setColor(SkinCompatResources.getColor(context, R.color.q_view_heart_9));
        Paint paint5 = new Paint();
        this.paintBottom = paint5;
        paint5.setStyle(Paint.Style.FILL);
        this.paintBottom.setStrokeJoin(Paint.Join.ROUND);
        this.paintBottom.setAntiAlias(true);
        this.paintBottom.setStrokeWidth(dp2px(context, 1.0f));
        this.paintBottom.setColor(SkinCompatResources.getColor(context, R.color.q_view_heart_10));
        this.lineHeight = (int) dp2px(context, 185.0f);
        initTimeStamp();
    }

    public float getTextWidth(Paint paint, String str) {
        float f = 0.0f;
        if (str != null && str.length() > 0) {
            int length = str.length();
            paint.getTextWidths(str, new float[length]);
            for (int i = 0; i < length; i++) {
                f += (float) Math.ceil(r2[i]);
            }
        }
        return f;
    }

    private void initTimeStamp() {
        if (this.range <= 0) {
            this.range = 5;
        }
        this.timeArray = new int[1440 / this.range];
        int i = 0;
        while (true) {
            int i2 = this.range;
            if (i >= 1440 / i2) {
                break;
            }
            this.timeArray[i] = i2 * i;
            i++;
        }
        for (int i3 = 0; i3 < 1440 / this.range; i3++) {
            this.hashData.put(i3 + "", null);
        }
    }

    public int getMySize(int defaultSize, int measureSpec) {
        int mode = View.MeasureSpec.getMode(measureSpec);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? View.MeasureSpec.getSize(measureSpec) : defaultSize;
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        this.width = getMySize(200, widthMeasureSpec);
        if (getLayoutParams().height == -2) {
            this.height = (int) dp2px(this.context, 200.0f);
        } else {
            this.height = getMySize(200, heightMeasureSpec);
        }
        setMeasuredDimension(this.width, this.height);
        filterData(this.heartList);
        initXLabels();
        postInvalidate();
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int i = this.width;
        this.paintFill.setShader(new LinearGradient(i, 0.0f, i, this.height - (this.bottomOffset * 2), this.colors, this.position, Shader.TileMode.CLAMP));
        if (this.heartList.size() > 1) {
            canvas.drawPath(this.fillPath, this.paintFill);
            canvas.drawPath(this.path, this.paint);
        }
        for (int i2 = 0; i2 < this.heartList.size(); i2++) {
            if (this.heartList.get(i2).isBegin()) {
                canvas.drawCircle(r2.x, r2.y, dp2px(this.context, 0.1f), this.paint);
            }
        }
        canvas.drawPath(this.yLinePath, this.paintY);
        this.textDownPaint.setTextSize(dp2px(this.context, 10.0f));
        float textWidth = this.width - getTextWidth(this.textDownPaint, "0");
        int i3 = this.lineHeight;
        int i4 = this.bottomOffset;
        canvas.drawText("0", textWidth, ((i3 - i4) - (((this.height - i4) * 1) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float textWidth2 = this.width - getTextWidth(this.textDownPaint, "00");
        int i5 = this.lineHeight;
        int i6 = this.bottomOffset;
        canvas.drawText("40", textWidth2, ((i5 - i6) - (((this.height - i6) * 40) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float textWidth3 = this.width - getTextWidth(this.textDownPaint, "00");
        int i7 = this.lineHeight;
        int i8 = this.bottomOffset;
        canvas.drawText("85", textWidth3, ((i7 - i8) - (((this.height - i8) * 85) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float textWidth4 = this.width - getTextWidth(this.textDownPaint, "000");
        int i9 = this.lineHeight;
        int i10 = this.bottomOffset;
        canvas.drawText("130", textWidth4, ((i9 - i10) - (((this.height - i10) * 130) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
        float textWidth5 = this.width - getTextWidth(this.textDownPaint, "000");
        int i11 = this.lineHeight;
        int i12 = this.bottomOffset;
        canvas.drawText("175", textWidth5, ((i11 - i12) - (((this.height - i12) * 175) / this.yMax)) + (getTextHeight(this.textDownPaint, "00") / 2.0f), this.textDownPaint);
    }

    public float dp2px(Context context, float dp) {
        return (dp * context.getResources().getDisplayMetrics().density) + 0.5f;
    }

    public void setData(List<QHeartLineChartView.HeartDataBean> list) {
        initTimeStamp();
        this.heartList = list;
        this.path.reset();
        this.fillPath.reset();
        this.hashData.clear();
        if (this.width > 0) {
            filterData(list);
        }
        postInvalidate();
    }

    public float getTextHeight(Paint paint, String str) {
        paint.getTextBounds(str, 0, str.length(), new Rect());
        return r0.height();
    }

    private void filterData(List<QHeartLineChartView.HeartDataBean> list) {
        for (int i = 0; i < list.size(); i++) {
            QHeartLineChartView.HeartDataBean heartDataBean = list.get(i);
            int min = heartDataBean.getMin();
            int i2 = this.width;
            int i3 = this.leftRightOffset;
            heartDataBean.x = ((min * (i2 - (i3 * 2))) / this.xMax) + i3;
            heartDataBean.y = (this.lineHeight - this.bottomOffset) - ((heartDataBean.getValue() * (this.height - this.bottomOffset)) / this.yMax);
            if (i <= 0) {
                heartDataBean.setBegin(true);
            }
            this.hashData.put(heartDataBean.getMin() + "", heartDataBean);
        }
        for (int i4 = 0; i4 < this.heartList.size(); i4++) {
            QHeartLineChartView.HeartDataBean heartDataBean2 = this.heartList.get(i4);
            this.hashData.put(heartDataBean2.getMin() + "", heartDataBean2);
            if (heartDataBean2.isBegin()) {
                this.firstBean = heartDataBean2;
                this.path.moveTo(heartDataBean2.x, heartDataBean2.y);
                this.fillPath.moveTo(heartDataBean2.x, heartDataBean2.y);
                this.path.lineTo(heartDataBean2.x, heartDataBean2.y);
                this.fillPath.lineTo(heartDataBean2.x, heartDataBean2.y);
            } else {
                this.path.lineTo(heartDataBean2.x, heartDataBean2.y);
                this.fillPath.lineTo(heartDataBean2.x, heartDataBean2.y);
                if ((i4 < this.heartList.size() - 1 && this.heartList.get(i4 + 1).isBegin()) || i4 == this.heartList.size() - 1) {
                    this.fillPath.lineTo(heartDataBean2.x, this.height - this.bottomOffset);
                    this.fillPath.lineTo(this.firstBean.x, this.height - this.bottomOffset);
                    this.fillPath.lineTo(this.firstBean.x, heartDataBean2.y);
                    this.fillPath.close();
                }
            }
        }
        Path path = this.yLinePath;
        float f = this.leftRightOffset;
        int i5 = this.lineHeight;
        int i6 = this.bottomOffset;
        path.moveTo(f, (i5 - i6) - (((this.height - i6) * 1) / this.yMax));
        Path path2 = this.yLinePath;
        float textWidth = (this.width - (this.leftRightOffset * 2)) - getTextWidth(this.textDownPaint, "00");
        int i7 = this.lineHeight;
        int i8 = this.bottomOffset;
        path2.lineTo(textWidth, (i7 - i8) - (((this.height - i8) * 1) / this.yMax));
        Path path3 = this.yLinePath;
        float f2 = this.leftRightOffset;
        int i9 = this.lineHeight;
        int i10 = this.bottomOffset;
        path3.moveTo(f2, (i9 - i10) - (((this.height - i10) * 40) / this.yMax));
        Path path4 = this.yLinePath;
        float textWidth2 = (this.width - (this.leftRightOffset * 2)) - getTextWidth(this.textDownPaint, "00");
        int i11 = this.lineHeight;
        int i12 = this.bottomOffset;
        path4.lineTo(textWidth2, (i11 - i12) - (((this.height - i12) * 40) / this.yMax));
        Path path5 = this.yLinePath;
        float f3 = this.leftRightOffset;
        int i13 = this.lineHeight;
        int i14 = this.bottomOffset;
        path5.moveTo(f3, (i13 - i14) - (((this.height - i14) * 85) / this.yMax));
        Path path6 = this.yLinePath;
        float textWidth3 = (this.width - (this.leftRightOffset * 2)) - getTextWidth(this.textDownPaint, "00");
        int i15 = this.lineHeight;
        int i16 = this.bottomOffset;
        path6.lineTo(textWidth3, (i15 - i16) - (((this.height - i16) * 85) / this.yMax));
        Path path7 = this.yLinePath;
        float f4 = this.leftRightOffset;
        int i17 = this.lineHeight;
        int i18 = this.bottomOffset;
        path7.moveTo(f4, (i17 - i18) - (((this.height - i18) * 130) / this.yMax));
        Path path8 = this.yLinePath;
        float textWidth4 = (this.width - (this.leftRightOffset * 2)) - getTextWidth(this.textDownPaint, "00");
        int i19 = this.lineHeight;
        int i20 = this.bottomOffset;
        path8.lineTo(textWidth4, (i19 - i20) - (((this.height - i20) * 130) / this.yMax));
        Path path9 = this.yLinePath;
        float f5 = this.leftRightOffset;
        int i21 = this.lineHeight;
        int i22 = this.bottomOffset;
        path9.moveTo(f5, (i21 - i22) - (((this.height - i22) * 175) / this.yMax));
        Path path10 = this.yLinePath;
        float textWidth5 = (this.width - (this.leftRightOffset * 2)) - getTextWidth(this.textDownPaint, "00");
        int i23 = this.lineHeight;
        int i24 = this.bottomOffset;
        path10.lineTo(textWidth5, (i23 - i24) - (((this.height - i24) * 175) / this.yMax));
        postInvalidate();
    }

    /* loaded from: classes2.dex */
    public class XTextChange {
        public String label;
        public int max;
        public int min;
        public float x;
        public float y;

        public XTextChange() {
        }

        public int getMin() {
            return this.min;
        }

        public void setMin(int min) {
            this.min = min;
        }

        public int getMax() {
            return this.max;
        }

        public void setMax(int max) {
            this.max = max;
        }

        public String getLabel() {
            return this.label;
        }

        public void setLabel(String label) {
            this.label = label;
        }

        public float getX() {
            return this.x;
        }

        public void setX(float x) {
            this.x = x;
        }

        public float getY() {
            return this.y;
        }

        public void setY(float y) {
            this.y = y;
        }
    }
}
