package com.qcwireless.qcwatch.ui.base.view;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import com.qcwireless.ring.R;
import skin.support.content.res.SkinCompatResources;

/* loaded from: classes2.dex */
public class QHomeMenstruationView extends View {
    private Context context;
    private int height;
    private int maxHeight;
    private int moveX;
    private Paint paint;
    private int type;
    private int width;

    public QHomeMenstruationView(Context context) {
        super(context);
        this.type = -1;
        this.context = context;
        initView();
    }

    public QHomeMenstruationView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.type = -1;
        this.context = context;
        initView();
    }

    public QHomeMenstruationView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.type = -1;
        this.context = context;
        initView();
    }

    public QHomeMenstruationView(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        this.type = -1;
        this.context = context;
        initView();
    }

    private void initView() {
        Paint paint = new Paint();
        this.paint = paint;
        paint.setAntiAlias(true);
        this.paint.setStyle(Paint.Style.FILL);
        this.paint.setStrokeWidth(dp2px(this.context, 12.0f));
        this.maxHeight = (int) dp2px(this.context, 30.0f);
    }

    public void setType(int type) {
        int i = (this.width - 40) / 30;
        this.type = type;
        if (type != 0) {
            if (type == 1) {
                this.moveX = ((i * 11) + (i / 2)) - 20;
            } else if (type == 2 || type == 3) {
                this.moveX = ((i * 4) + (i / 2)) - 20;
            } else if (type != 4) {
                this.moveX = -20;
            }
            postInvalidate();
        }
        this.moveX = ((i * 23) + (i / 2)) - 20;
        postInvalidate();
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int i = (this.width - 40) / 30;
        this.paint.setColor(SkinCompatResources.getColor(this.context, R.color.menstruation_show_2));
        float f = i * 8;
        canvas.drawRect(new RectF(40.0f, 40.0f, f, this.maxHeight), this.paint);
        this.paint.setColor(SkinCompatResources.getColor(this.context, R.color.menstruation_show_4));
        float f2 = i * 15;
        canvas.drawRect(new RectF(f2, 40.0f, i * 26, this.maxHeight), this.paint);
        this.paint.setColor(SkinCompatResources.getColor(this.context, R.color.menstruation_show_3));
        canvas.drawRect(new RectF(f, 40.0f, f2, this.maxHeight), this.paint);
        this.paint.setColor(SkinCompatResources.getColor(this.context, R.color.menstruation_show_2));
        canvas.drawRoundRect(new RectF(20.0f, 40.0f, i * 6, this.maxHeight), 10.0f, 10.0f, this.paint);
        this.paint.setColor(SkinCompatResources.getColor(this.context, R.color.menstruation_show_4));
        canvas.drawRoundRect(new RectF(i * 20, 40.0f, i * 30, this.maxHeight), 10.0f, 10.0f, this.paint);
        if (this.moveX > 0) {
            Bitmap decodeResource = BitmapFactory.decodeResource(getResources(), R.mipmap.menstruation_move);
            int i2 = this.moveX;
            canvas.drawBitmap(decodeResource, (Rect) null, new Rect(i2, 0, decodeResource.getWidth() + i2, decodeResource.getHeight()), this.paint);
            return;
        }
        setType(this.type);
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        this.width = getMySize(200, widthMeasureSpec);
        if (getLayoutParams().height == -2) {
            this.height = (int) dp2px(this.context, 20.0f);
        } else {
            this.height = getMySize(200, heightMeasureSpec);
        }
        setMeasuredDimension(this.width, this.height);
        postInvalidate();
    }

    public float dp2px(Context context, float dp) {
        return (dp * context.getResources().getDisplayMetrics().density) + 0.5f;
    }

    public int getMySize(int defaultSize, int measureSpec) {
        int mode = View.MeasureSpec.getMode(measureSpec);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? View.MeasureSpec.getSize(measureSpec) : defaultSize;
    }
}
