package com.qcwireless.qcwatch.ui.base.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import androidx.core.content.ContextCompat;
import com.qcwireless.ring.R;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes2.dex */
public class QSleepCirclePieDataView extends View {
    private int a;
    private Paint awakePaint;
    private Context context;
    private Paint deepPaint;
    private int height;
    private Paint lightPaint;
    private List<CakeValue> mPieItems;
    private int mSweep;
    private int pieCenterX;
    private int pieCenterY;
    private RectF pieOval;
    private RectF pieOvalIn;
    private RectF pieOvalLine;
    private RectF pieOvalLineIn;
    private Paint piePaint;
    private Paint piePaintIn;
    private Paint piePaintLine;
    private int pieRadius;
    private int sweep;
    private float totalValue;
    private int width;

    public QSleepCirclePieDataView(Context context) {
        super(context);
        this.a = 0;
        this.mSweep = 0;
        this.sweep = 0;
        this.context = context;
        init(context);
    }

    public QSleepCirclePieDataView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.a = 0;
        this.mSweep = 0;
        this.sweep = 0;
        this.context = context;
        init(context);
    }

    public QSleepCirclePieDataView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.a = 0;
        this.mSweep = 0;
        this.sweep = 0;
        this.context = context;
        init(context);
    }

    public QSleepCirclePieDataView(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        this.a = 0;
        this.mSweep = 0;
        this.sweep = 0;
        this.context = context;
        init(context);
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        this.width = getMySize((int) dp2px(this.context, 150.0f), widthMeasureSpec);
        if (getLayoutParams().height == -2) {
            this.height = (int) dp2px(this.context, 150.0f);
        } else {
            this.height = getMySize((int) dp2px(this.context, 150.0f), heightMeasureSpec);
        }
        setMeasuredDimension(this.width, this.height);
        init(this.context);
    }

    private void init(Context context) {
        int dp2px = (int) dp2px(context, 20.0f);
        int dp2px2 = (int) dp2px(context, 5.0f);
        this.pieRadius = (int) dp2px(context, 40.0f);
        int dp2px3 = (int) dp2px(context, 40.0f);
        this.pieCenterX = this.width / 2;
        this.pieCenterY = this.height / 2;
        RectF rectF = new RectF();
        this.pieOval = rectF;
        rectF.left = this.pieCenterX - this.pieRadius;
        this.pieOval.top = this.pieCenterY - this.pieRadius;
        this.pieOval.right = this.pieCenterX + this.pieRadius;
        this.pieOval.bottom = this.pieCenterY + this.pieRadius;
        RectF rectF2 = new RectF();
        this.pieOvalLineIn = rectF2;
        rectF2.left = (this.pieCenterX - this.pieRadius) + dp2px2;
        this.pieOvalLineIn.top = (this.pieCenterY - this.pieRadius) + dp2px2;
        this.pieOvalLineIn.right = (this.pieCenterX + this.pieRadius) - dp2px2;
        this.pieOvalLineIn.bottom = (this.pieCenterY + this.pieRadius) - dp2px2;
        RectF rectF3 = new RectF();
        this.pieOvalLine = rectF3;
        rectF3.left = this.pieCenterX - dp2px3;
        this.pieOvalLine.top = this.pieCenterY - dp2px3;
        this.pieOvalLine.right = this.pieCenterX + dp2px3;
        this.pieOvalLine.bottom = this.pieCenterY + dp2px3;
        RectF rectF4 = new RectF();
        this.pieOvalIn = rectF4;
        float f = dp2px;
        rectF4.left = this.pieOval.left + f;
        this.pieOvalIn.top = this.pieOval.top + f;
        this.pieOvalIn.right = this.pieOval.right - f;
        this.pieOvalIn.bottom = this.pieOval.bottom - f;
        Paint paint = new Paint();
        this.piePaint = paint;
        paint.setAntiAlias(true);
        this.piePaint.setStyle(Paint.Style.FILL);
        Paint paint2 = new Paint();
        this.piePaintIn = paint2;
        paint2.setAntiAlias(true);
        this.piePaintIn.setStyle(Paint.Style.FILL);
        Paint paint3 = new Paint();
        this.piePaintLine = paint3;
        paint3.setAntiAlias(true);
        this.piePaintLine.setStyle(Paint.Style.STROKE);
        this.piePaintLine.setStrokeWidth(3.0f);
        Paint paint4 = new Paint();
        this.awakePaint = paint4;
        paint4.setAntiAlias(true);
        this.awakePaint.setStyle(Paint.Style.FILL);
        this.awakePaint.setColor(ContextCompat.getColor(context, R.color.pubu_sleep_1));
        this.awakePaint.setStrokeWidth(2.0f);
        this.awakePaint.setTextSize(dp2px(context, 10.0f));
        Paint paint5 = new Paint();
        this.lightPaint = paint5;
        paint5.setAntiAlias(true);
        this.lightPaint.setStyle(Paint.Style.FILL);
        this.lightPaint.setColor(ContextCompat.getColor(context, R.color.pubu_sleep_2));
        this.lightPaint.setStrokeWidth(2.0f);
        this.lightPaint.setTextSize(dp2px(context, 10.0f));
        Paint paint6 = new Paint();
        this.deepPaint = paint6;
        paint6.setAntiAlias(true);
        this.deepPaint.setStyle(Paint.Style.FILL);
        this.deepPaint.setColor(ContextCompat.getColor(context, R.color.pubu_sleep_3));
        this.deepPaint.setStrokeWidth(2.0f);
        this.deepPaint.setTextSize(dp2px(context, 10.0f));
    }

    public int getMySize(int defaultSize, int measureSpec) {
        int mode = View.MeasureSpec.getMode(measureSpec);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? View.MeasureSpec.getSize(measureSpec) : defaultSize;
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        List<CakeValue> list = this.mPieItems;
        if (list != null && list.size() > 0) {
            this.mSweep = this.sweep + this.a;
            for (int i = 0; i < this.mPieItems.size(); i++) {
                this.mPieItems.get(i);
                this.piePaint.setColor(this.mPieItems.get(i).getColors());
                this.piePaintLine.setColor(this.mPieItems.get(i).getLineColors());
                if (this.mPieItems.get(i).getItemType() == 1) {
                    canvas.drawArc(this.pieOval, this.mSweep, this.mPieItems.get(i).getSw(), true, this.piePaint);
                } else {
                    canvas.drawArc(this.pieOvalLineIn, this.mSweep, this.mPieItems.get(i).getSw(), true, this.piePaint);
                }
                this.mSweep = this.mSweep + this.mPieItems.get(i).getSw() + this.a;
            }
            return;
        }
        List<CakeValue> list2 = this.mPieItems;
        if (list2 != null) {
            list2.size();
            this.piePaint.setColor(ContextCompat.getColor(this.context, R.color.pubu_sleep_4));
            canvas.drawArc(this.pieOval, 0.0f, 360.0f, true, this.piePaint);
        }
    }

    public float getTextWidth(Paint paint, String str) {
        float f = 0.0f;
        if (str != null && str.length() > 0) {
            int length = str.length();
            paint.getTextWidths(str, new float[length]);
            for (int i = 0; i < length; i++) {
                f += (float) Math.ceil(r2[i]);
            }
        }
        return f;
    }

    public float getTextHeight(Paint paint, String str) {
        paint.getTextBounds(str, 0, str.length(), new Rect());
        return r0.height();
    }

    private void drawSliceLabel(Canvas canvas, float angle, int mSweep, String label, int type) {
        float width;
        int i = (int) (angle + (mSweep / 2));
        float min = (Math.min(getWidth(), getHeight()) / 2.0f) * 0.6f;
        int textWidth = (int) getTextWidth(this.awakePaint, label);
        if (i >= 90 && i <= 270) {
            width = ((getWidth() / 2.0f) + (((float) Math.cos(Math.toRadians(i))) * min)) - textWidth;
        } else {
            width = (getWidth() / 2.0f) + (((float) Math.cos(Math.toRadians(i))) * min) + (textWidth / 4);
        }
        double d = i;
        float height = (getHeight() / 2.0f) + (((float) Math.sin(Math.toRadians(d))) * min);
        float textHeight = (getTextHeight(this.awakePaint, "0") / 2.0f) + (getHeight() / 2.0f) + (((float) Math.sin(Math.toRadians(d))) * min);
        if (type == 1) {
            canvas.drawLine(this.pieCenterX, this.pieCenterY, width, height, this.deepPaint);
            canvas.drawText(label, width, textHeight, this.deepPaint);
        } else if (type == 2) {
            canvas.drawLine(this.pieCenterX, this.pieCenterY, (int) ((getWidth() / 2.0f) + (min * ((float) Math.cos(Math.toRadians(d))))), height, this.lightPaint);
            canvas.drawText(label, width, textHeight, this.lightPaint);
        } else if (type == 3) {
            canvas.drawLine(this.pieCenterX, this.pieCenterY, width, height, this.awakePaint);
            canvas.drawText(label, width, textHeight, this.awakePaint);
        }
    }

    public void setData(List<CakeValue> pieItems) {
        ArrayList arrayList = new ArrayList();
        this.totalValue = 0.0f;
        Iterator<CakeValue> it = pieItems.iterator();
        while (it.hasNext()) {
            this.totalValue = (float) (this.totalValue + it.next().getItemValue());
        }
        for (int i = 0; i < pieItems.size(); i++) {
            if (pieItems.get(i).getItemValue() != 0.0d) {
                arrayList.add(pieItems.get(i));
            }
        }
        this.mPieItems = arrayList;
        int size = arrayList.size() > 1 ? this.a * this.mPieItems.size() : 0;
        for (int i2 = 0; i2 < this.mPieItems.size(); i2++) {
            this.piePaint.setColor(this.mPieItems.get(i2).getColors());
            this.piePaintLine.setColor(this.mPieItems.get(i2).getLineColors());
            this.mPieItems.get(i2).setSw(Integer.parseInt(new DecimalFormat("0").format((this.mPieItems.get(i2).getItemValue() / this.totalValue) * (360 - size))));
        }
        invalidate();
    }

    /* loaded from: classes2.dex */
    public class CakeValue {
        private int colors;
        private int itemType;
        private int lineColors;
        private int sw;
        private double value;

        public CakeValue(int itemType, double itemValue, int color, int lineColors) {
            this.itemType = itemType;
            this.value = itemValue;
            this.colors = color;
            this.lineColors = lineColors;
        }

        public int getLineColors() {
            return this.lineColors;
        }

        public void setLineColors(int lineColors) {
            this.lineColors = lineColors;
        }

        public int getItemType() {
            return this.itemType;
        }

        public void setItemType(int itemType) {
            this.itemType = itemType;
        }

        public double getItemValue() {
            return this.value;
        }

        public void setItemValue(double itemValue) {
            this.value = itemValue;
        }

        public int getColors() {
            return this.colors;
        }

        public void setColors(int color) {
            this.colors = color;
        }

        public int getSw() {
            return this.sw;
        }

        public void setSw(int sw) {
            this.sw = sw;
        }
    }

    public float px2dp(Context context, float px) {
        return (px / context.getResources().getDisplayMetrics().density) + 0.5f;
    }

    public float dp2px(Context context, float dp) {
        return (dp * context.getResources().getDisplayMetrics().density) + 0.5f;
    }

    public void dataInit(int[] data) {
        ArrayList arrayList = new ArrayList();
        arrayList.add(new CakeValue(1, data[0], ContextCompat.getColor(this.context, R.color.pubu_sleep_3), ContextCompat.getColor(this.context, R.color.pubu_sleep_3)));
        arrayList.add(new CakeValue(2, data[1], ContextCompat.getColor(this.context, R.color.pubu_sleep_2), ContextCompat.getColor(this.context, R.color.pubu_sleep_2)));
        arrayList.add(new CakeValue(3, data[2], ContextCompat.getColor(this.context, R.color.pubu_sleep_1), ContextCompat.getColor(this.context, R.color.pubu_sleep_1)));
        arrayList.add(new CakeValue(4, data[3], ContextCompat.getColor(this.context, R.color.q_view_circle_pie_8), ContextCompat.getColor(this.context, R.color.q_view_circle_pie_9)));
        arrayList.add(new CakeValue(5, data[4], ContextCompat.getColor(this.context, R.color.q_view_circle_pie_10), ContextCompat.getColor(this.context, R.color.q_view_circle_pie_11)));
        setData(arrayList);
    }
}
