package com.qcwireless.qcwatch.ui.base.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.ring.R;
import skin.support.content.res.SkinCompatResources;

/* loaded from: classes2.dex */
public class QSleepHomeHBarView extends View {
    private Context context;
    private SleepDataBean currBean;
    protected int diameterDefault;
    private String end;
    private int endTime;
    private int height;
    private int leftRightOffset;
    private Paint linePaint;
    private int maxSleepTime;
    private Paint sleepPaint;
    private String start;
    private int startTime;
    private Paint textDownPaint;
    private int width;

    public QSleepHomeHBarView(Context context) {
        super(context);
        this.leftRightOffset = 20;
        this.maxSleepTime = 720;
        this.width = 1080;
        this.height = 60;
        this.diameterDefault = 30;
        this.start = "";
        this.end = "";
        this.context = context;
        initPaint(context, null);
    }

    public QSleepHomeHBarView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.leftRightOffset = 20;
        this.maxSleepTime = 720;
        this.width = 1080;
        this.height = 60;
        this.diameterDefault = 30;
        this.start = "";
        this.end = "";
        this.context = context;
        initPaint(context, attrs);
    }

    public QSleepHomeHBarView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.leftRightOffset = 20;
        this.maxSleepTime = 720;
        this.width = 1080;
        this.height = 60;
        this.diameterDefault = 30;
        this.start = "";
        this.end = "";
        this.context = context;
        initPaint(context, attrs);
    }

    public QSleepHomeHBarView(Context context, AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        this.leftRightOffset = 20;
        this.maxSleepTime = 720;
        this.width = 1080;
        this.height = 60;
        this.diameterDefault = 30;
        this.start = "";
        this.end = "";
        this.context = context;
        initPaint(context, attrs);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.currBean == null) {
            AwLog.i(Author.HeZhiYuan, "currBean=null");
            return;
        }
        float totalTime = (int) ((r0.getTotalTime() * ((this.width - this.leftRightOffset) + dp2px(this.context, 10.0f))) / this.maxSleepTime);
        int lightScale = (int) (this.currBean.getLightScale() * totalTime);
        int deepScale = (int) (this.currBean.getDeepScale() * totalTime);
        int awakeScale = (int) (this.currBean.getAwakeScale() * totalTime);
        canvas.drawLine(this.leftRightOffset, dp2px(this.context, 14.0f), this.leftRightOffset + lightScale, dp2px(this.context, 14.0f), this.sleepPaint);
        canvas.drawLine(this.leftRightOffset + lightScale, dp2px(this.context, 14.0f), dp2px(this.context, 14.0f) + this.leftRightOffset + lightScale, dp2px(this.context, 14.0f), this.linePaint);
        canvas.drawLine(dp2px(this.context, 14.0f) + this.leftRightOffset + lightScale, dp2px(this.context, 14.0f), dp2px(this.context, 14.0f) + this.leftRightOffset + lightScale + deepScale, dp2px(this.context, 14.0f), this.sleepPaint);
        if (awakeScale > 0) {
            canvas.drawLine(dp2px(this.context, 14.0f) + this.leftRightOffset + lightScale + deepScale, dp2px(this.context, 14.0f), (dp2px(this.context, 14.0f) * 2.0f) + this.leftRightOffset + lightScale + deepScale, dp2px(this.context, 14.0f), this.linePaint);
            canvas.drawLine((dp2px(this.context, 14.0f) * 2.0f) + this.leftRightOffset + lightScale + deepScale, dp2px(this.context, 14.0f), awakeScale + this.leftRightOffset + lightScale + deepScale + (dp2px(this.context, 14.0f) * 2.0f), dp2px(this.context, 14.0f), this.sleepPaint);
        }
        float textWidth = this.leftRightOffset - (getTextWidth(this.sleepPaint, "00:00") / 2.0f);
        float textWidth2 = (this.width - (this.leftRightOffset * 2)) - (getTextWidth(this.sleepPaint, "00:00") * 2.0f);
        canvas.drawText(this.start, textWidth, dp2px(this.context, 30.0f), this.textDownPaint);
        canvas.drawText(this.end, textWidth2, dp2px(this.context, 30.0f), this.textDownPaint);
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        this.width = getMySize(this.diameterDefault, widthMeasureSpec);
        if (getLayoutParams().height == -2) {
            this.height = this.diameterDefault;
        } else {
            this.height = getMySize(this.diameterDefault, heightMeasureSpec);
        }
        setMeasuredDimension(this.width, this.height);
        this.diameterDefault = (int) dp2px(this.context, 60.0f);
        setMeasuredDimension(this.width, this.height);
        SleepDataBean sleepDataBean = this.currBean;
        if (sleepDataBean != null) {
            setData(sleepDataBean, this.startTime, this.endTime);
        }
        postInvalidate();
    }

    public void initPaint(Context context, AttributeSet attrs) {
        Paint paint = new Paint();
        this.sleepPaint = paint;
        paint.setAntiAlias(true);
        this.sleepPaint.setStyle(Paint.Style.STROKE);
        this.sleepPaint.setStrokeWidth(dp2px(context, 12.0f));
        this.sleepPaint.setColor(SkinCompatResources.getColor(context, R.color.sleep_item_home_progress_1));
        this.sleepPaint.setStrokeCap(Paint.Cap.ROUND);
        Paint paint2 = new Paint();
        this.linePaint = paint2;
        paint2.setAntiAlias(true);
        this.linePaint.setStyle(Paint.Style.STROKE);
        this.linePaint.setStrokeWidth(dp2px(context, 2.0f));
        this.linePaint.setColor(SkinCompatResources.getColor(context, R.color.sleep_item_home_progress_1));
        Paint paint3 = new Paint();
        this.textDownPaint = paint3;
        paint3.setAntiAlias(true);
        this.textDownPaint.setStyle(Paint.Style.FILL);
        this.textDownPaint.setColor(SkinCompatResources.getColor(context, R.color.sleep_item_home_progress_1));
        this.textDownPaint.setStrokeWidth(2.0f);
        this.textDownPaint.setTextSize(dp2px(context, 10.0f));
        initAttr(context, attrs);
    }

    private void initAttr(Context context, AttributeSet attrs) {
        if (attrs != null) {
            context.obtainStyledAttributes(attrs, com.qcwireless.qcwatch.R.styleable.qc_chart).recycle();
        }
    }

    public void setData(SleepDataBean data, int startTime, int endTime) {
        this.currBean = data;
        this.startTime = startTime;
        this.endTime = endTime;
        this.maxSleepTime = data.totalTime + 90;
        this.start = new DateUtil(startTime, true).getHHmmDate();
        this.end = new DateUtil(endTime, true).getHHmmDate();
        postInvalidate();
    }

    public int getMySize(int defaultSize, int measureSpec) {
        int mode = View.MeasureSpec.getMode(measureSpec);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? View.MeasureSpec.getSize(measureSpec) : defaultSize;
    }

    public float px2dp(Context context, float px) {
        return (px / context.getResources().getDisplayMetrics().density) + 0.5f;
    }

    public float dp2px(Context context, float dp) {
        return (dp * context.getResources().getDisplayMetrics().density) + 0.5f;
    }

    public float getTextWidth(Paint paint, String str) {
        float f = 0.0f;
        if (str != null && str.length() > 0) {
            int length = str.length();
            paint.getTextWidths(str, new float[length]);
            for (int i = 0; i < length; i++) {
                f += (float) Math.ceil(r2[i]);
            }
        }
        return f;
    }

    public float getTextHeight(Paint paint, String str) {
        paint.getTextBounds(str, 0, str.length(), new Rect());
        return r0.height();
    }

    /* loaded from: classes2.dex */
    public static class SleepDataBean {
        private int awake;
        private float awakeScale;
        private float deepScale;
        private int deepTime;
        private float lightScale;
        private int lightTime;
        private int totalTime;
        private long unixTime;
        private float x;
        private float y;

        public float getX() {
            return this.x;
        }

        public void setX(float x) {
            this.x = x;
        }

        public float getY() {
            return this.y;
        }

        public void setY(float y) {
            this.y = y;
        }

        public SleepDataBean(long unixTime, int totalTime, int deepTime, int lightTime, int awake, float deepScale, float lightScale, float awakeScale) {
            this.unixTime = unixTime;
            this.totalTime = totalTime;
            this.deepTime = deepTime;
            this.lightTime = lightTime;
            this.awake = awake;
            this.deepScale = deepScale;
            this.lightScale = lightScale;
            this.awakeScale = awakeScale;
        }

        public float getDeepScale() {
            return this.deepScale;
        }

        public void setDeepScale(float deepScale) {
            this.deepScale = deepScale;
        }

        public float getLightScale() {
            return this.lightScale;
        }

        public void setLightScale(float lightScale) {
            this.lightScale = lightScale;
        }

        public float getAwakeScale() {
            return this.awakeScale;
        }

        public void setAwakeScale(float awakeScale) {
            this.awakeScale = awakeScale;
        }

        public long getUnixTime() {
            return this.unixTime;
        }

        public void setUnixTime(long unixTime) {
            this.unixTime = unixTime;
        }

        public int getTotalTime() {
            return this.totalTime;
        }

        public void setTotalTime(int totalTime) {
            this.totalTime = totalTime;
        }

        public int getDeepTime() {
            return this.deepTime;
        }

        public void setDeepTime(int deepTime) {
            this.deepTime = deepTime;
        }

        public int getLightTime() {
            return this.lightTime;
        }

        public void setLightTime(int lightTime) {
            this.lightTime = lightTime;
        }

        public int getAwake() {
            return this.awake;
        }

        public void setAwake(int awake) {
            this.awake = awake;
        }
    }
}
