package com.qcwireless.qcwatch.ui.base.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.Group;
import androidx.core.app.NotificationCompat;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.ring.R;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: QStepComponentView.kt */
@Metadata(d1 = {"\u0000@\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\u0018\u00002\u00020\u0001B\u000f\b\u0016\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004B\u0019\b\u0016\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006¢\u0006\u0002\u0010\u0007B!\b\u0016\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006\u0012\u0006\u0010\b\u001a\u00020\t¢\u0006\u0002\u0010\nJ\u001a\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0002\u001a\u00020\u00032\b\u0010\u0005\u001a\u0004\u0018\u00010\u0006H\u0002J\u0016\u0010\u0013\u001a\u00020\u00122\u0006\u0010\u0014\u001a\u00020\u00152\u0006\u0010\u0016\u001a\u00020\u0017J\u000e\u0010\u0018\u001a\u00020\u00122\u0006\u0010\u0019\u001a\u00020\u0015J\u000e\u0010\u001a\u001a\u00020\u00122\u0006\u0010\u001b\u001a\u00020\u0015J\u0016\u0010\u001c\u001a\u00020\u00122\u0006\u0010\u001b\u001a\u00020\u00152\u0006\u0010\u0019\u001a\u00020\u0015R\u000e\u0010\u000b\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\r\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000e\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u000f\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0010\u001a\u00020\fX\u0082.¢\u0006\u0002\n\u0000¨\u0006\u001d"}, d2 = {"Lcom/qcwireless/qcwatch/ui/base/view/QStepComponentView;", "Landroidx/constraintlayout/widget/ConstraintLayout;", "context", "Landroid/content/Context;", "(Landroid/content/Context;)V", "attrs", "Landroid/util/AttributeSet;", "(Landroid/content/Context;Landroid/util/AttributeSet;)V", "defStyleAttr", "", "(Landroid/content/Context;Landroid/util/AttributeSet;I)V", "tvStatus", "Landroid/widget/TextView;", "tvUnit1", "tvUnit2", "tvValue", "tvValue2", "initView", "", "setStatus", NotificationCompat.CATEGORY_STATUS, "", "drawable", "Landroid/graphics/drawable/Drawable;", "setTitleUnit", "unit", "setTitleValue", "text", "setValueAndUnit2", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class QStepComponentView extends ConstraintLayout {
    private TextView tvStatus;
    private TextView tvUnit1;
    private TextView tvUnit2;
    private TextView tvValue;
    private TextView tvValue2;

    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
    public QStepComponentView(Context context) {
        super(context);
        Intrinsics.checkNotNullParameter(context, "context");
        initView(context, null);
    }

    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
    public QStepComponentView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        Intrinsics.checkNotNullParameter(context, "context");
        initView(context, attributeSet);
    }

    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
    public QStepComponentView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        Intrinsics.checkNotNullParameter(context, "context");
        initView(context, attributeSet);
    }

    private final void initView(Context context, AttributeSet attrs) {
        View inflate = ConstraintLayout.inflate(context, R.layout.view_step_component, this);
        View findViewById = inflate.findViewById(R.id.tv_sleep_hour);
        Intrinsics.checkNotNullExpressionValue(findViewById, "view.findViewById(R.id.tv_sleep_hour)");
        this.tvValue = (TextView) findViewById;
        View findViewById2 = inflate.findViewById(R.id.tv_sleep_status);
        Intrinsics.checkNotNullExpressionValue(findViewById2, "view.findViewById(R.id.tv_sleep_status)");
        this.tvStatus = (TextView) findViewById2;
        View findViewById3 = inflate.findViewById(R.id.tv_sleep_unit_h);
        Intrinsics.checkNotNullExpressionValue(findViewById3, "view.findViewById(R.id.tv_sleep_unit_h)");
        this.tvUnit1 = (TextView) findViewById3;
        View findViewById4 = inflate.findViewById(R.id.tv_sleep_unit_min);
        Intrinsics.checkNotNullExpressionValue(findViewById4, "view.findViewById(R.id.tv_sleep_unit_min)");
        this.tvUnit2 = (TextView) findViewById4;
        View findViewById5 = inflate.findViewById(R.id.tv_sleep_min);
        Intrinsics.checkNotNullExpressionValue(findViewById5, "view.findViewById(R.id.tv_sleep_min)");
        this.tvValue2 = (TextView) findViewById5;
        TextView textView = (TextView) inflate.findViewById(R.id.tv_sleep_total_time);
        TextView textView2 = (TextView) inflate.findViewById(R.id.tv_1);
        Group group = (Group) inflate.findViewById(R.id.tv_detail_group);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attrs, com.qcwireless.qcwatch.R.styleable.QSleepItem);
        Intrinsics.checkNotNullExpressionValue(obtainStyledAttributes, "context.obtainStyledAttr…, R.styleable.QSleepItem)");
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i = 0; i < indexCount; i++) {
            int index = obtainStyledAttributes.getIndex(i);
            if (index != 0) {
                if (index == 1) {
                    textView2.setText(obtainStyledAttributes.getString(index));
                } else if (index == 2) {
                    textView.setText(obtainStyledAttributes.getString(index));
                } else if (index == 3) {
                    String string = obtainStyledAttributes.getString(index);
                    TextView textView3 = this.tvUnit1;
                    if (textView3 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("tvUnit1");
                        textView3 = null;
                    }
                    textView3.setText(string);
                }
            } else if (obtainStyledAttributes.getBoolean(index, false)) {
                ViewKt.visible(group);
            } else {
                ViewKt.gone(group);
            }
        }
        obtainStyledAttributes.recycle();
    }

    public final void setTitleValue(String text) {
        Intrinsics.checkNotNullParameter(text, "text");
        TextView textView = this.tvValue;
        if (textView == null) {
            Intrinsics.throwUninitializedPropertyAccessException("tvValue");
            textView = null;
        }
        textView.setText(text);
    }

    public final void setTitleUnit(String unit) {
        Intrinsics.checkNotNullParameter(unit, "unit");
        TextView textView = this.tvUnit1;
        if (textView == null) {
            Intrinsics.throwUninitializedPropertyAccessException("tvUnit1");
            textView = null;
        }
        textView.setText(unit);
    }

    public final void setValueAndUnit2(String text, String unit) {
        Intrinsics.checkNotNullParameter(text, "text");
        Intrinsics.checkNotNullParameter(unit, "unit");
        TextView textView = this.tvValue2;
        TextView textView2 = null;
        if (textView == null) {
            Intrinsics.throwUninitializedPropertyAccessException("tvValue2");
            textView = null;
        }
        textView.setText(text);
        TextView textView3 = this.tvUnit2;
        if (textView3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("tvUnit2");
        } else {
            textView2 = textView3;
        }
        textView2.setText(unit);
    }

    public final void setStatus(String status, Drawable drawable) {
        Intrinsics.checkNotNullParameter(status, "status");
        Intrinsics.checkNotNullParameter(drawable, "drawable");
        TextView textView = this.tvStatus;
        TextView textView2 = null;
        if (textView == null) {
            Intrinsics.throwUninitializedPropertyAccessException("tvStatus");
            textView = null;
        }
        textView.setText(status);
        TextView textView3 = this.tvStatus;
        if (textView3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("tvStatus");
        } else {
            textView2 = textView3;
        }
        textView2.setBackground(drawable);
    }
}
