package com.qcwireless.qcwatch.ui.base.view.healthy;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import androidx.core.content.ContextCompat;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.ring.R;

/* loaded from: classes2.dex */
public class PubuProgressCircle extends View {
    private float addCalorieCr;
    private float addDistanceCr;
    private int addStep;
    private float addStepCr;
    private int calorie;
    private Context context;
    private float drawCalorieCr;
    private float drawDistanceCr;
    private float drawStepCr;
    private int goalStep;
    private boolean isFirst;
    private int num;
    private boolean refresh;
    private int sport;
    private Paint sportPaint;
    private Paint sportPaint1;
    private Paint standUpPaint;
    private Paint standUpPaint1;
    private int step;
    private Paint stepPaint;
    private Paint stepPaint1;
    private float totalCalorieCr;
    private float totalDistanceCr;
    private int totalNum;
    private float totalStepCr;

    static /* synthetic */ int access$008(PubuProgressCircle pubuProgressCircle) {
        int i = pubuProgressCircle.num;
        pubuProgressCircle.num = i + 1;
        return i;
    }

    static /* synthetic */ float access$316(PubuProgressCircle pubuProgressCircle, float f) {
        float f2 = pubuProgressCircle.drawStepCr + f;
        pubuProgressCircle.drawStepCr = f2;
        return f2;
    }

    static /* synthetic */ float access$516(PubuProgressCircle pubuProgressCircle, float f) {
        float f2 = pubuProgressCircle.drawCalorieCr + f;
        pubuProgressCircle.drawCalorieCr = f2;
        return f2;
    }

    static /* synthetic */ float access$716(PubuProgressCircle pubuProgressCircle, float f) {
        float f2 = pubuProgressCircle.drawDistanceCr + f;
        pubuProgressCircle.drawDistanceCr = f2;
        return f2;
    }

    public boolean isRefresh() {
        return this.refresh;
    }

    public void setRefresh(boolean refresh) {
        this.refresh = refresh;
    }

    public PubuProgressCircle(Context context) {
        super(context);
        this.refresh = false;
        this.num = 0;
        this.context = context;
        initView();
    }

    public PubuProgressCircle(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.refresh = false;
        this.num = 0;
        this.context = context;
        initView();
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
    }

    private void initView() {
        Paint paint = new Paint();
        this.stepPaint = paint;
        paint.setStrokeWidth(dip2px(getContext(), 10.0f));
        this.stepPaint.setAntiAlias(true);
        this.stepPaint.setColor(ContextCompat.getColor(this.context, R.color.healthy_circle_bar_step));
        this.stepPaint.setStyle(Paint.Style.STROKE);
        this.stepPaint.setStrokeCap(Paint.Cap.ROUND);
        Paint paint2 = new Paint();
        this.stepPaint1 = paint2;
        paint2.setStrokeWidth(dip2px(getContext(), 10.0f));
        this.stepPaint1.setAntiAlias(true);
        this.stepPaint1.setColor(ContextCompat.getColor(this.context, R.color.healthy_circle_bar_step_1));
        this.stepPaint1.setStyle(Paint.Style.STROKE);
        this.stepPaint1.setStrokeCap(Paint.Cap.ROUND);
        Paint paint3 = new Paint();
        this.standUpPaint = paint3;
        paint3.setStrokeWidth(dip2px(getContext(), 14.0f));
        this.standUpPaint.setAntiAlias(true);
        this.standUpPaint.setColor(ContextCompat.getColor(this.context, R.color.healthy_circle_bar_distance));
        this.standUpPaint.setStyle(Paint.Style.STROKE);
        this.standUpPaint.setStrokeCap(Paint.Cap.ROUND);
        Paint paint4 = new Paint();
        this.standUpPaint1 = paint4;
        paint4.setStrokeWidth(dip2px(getContext(), 14.0f));
        this.standUpPaint1.setAntiAlias(true);
        this.standUpPaint1.setColor(ContextCompat.getColor(this.context, R.color.healthy_circle_bar_distance_1));
        this.standUpPaint1.setStyle(Paint.Style.STROKE);
        this.standUpPaint1.setStrokeCap(Paint.Cap.ROUND);
        Paint paint5 = new Paint();
        this.sportPaint = paint5;
        paint5.setStrokeWidth(dip2px(getContext(), 14.0f));
        this.sportPaint.setAntiAlias(true);
        this.sportPaint.setColor(ContextCompat.getColor(this.context, R.color.healthy_circle_bar_calorie));
        this.sportPaint.setStyle(Paint.Style.STROKE);
        this.sportPaint.setStrokeCap(Paint.Cap.ROUND);
        Paint paint6 = new Paint();
        this.sportPaint1 = paint6;
        paint6.setStrokeWidth(dip2px(getContext(), 14.0f));
        this.sportPaint1.setAntiAlias(true);
        this.sportPaint1.setColor(ContextCompat.getColor(this.context, R.color.healthy_circle_bar_calorie_1));
        this.sportPaint1.setStyle(Paint.Style.STROKE);
        this.sportPaint1.setStrokeCap(Paint.Cap.ROUND);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int dip2px = (int) dip2px(this.context, 360.0f);
        dip2px(getContext(), 20.0f);
        int dip2px2 = (int) dip2px(getContext(), 10.0f);
        RectF rectF = new RectF();
        rectF.left = dip2px / 6;
        rectF.top = dip2px2;
        rectF.right = (dip2px * 5) / 6;
        rectF.bottom = ((dip2px * 4) / 6) + dip2px2;
        canvas.drawArc(rectF, 180.0f, 180.0f, false, this.stepPaint);
        canvas.drawArc(rectF, 180.0f, this.drawCalorieCr, false, this.stepPaint1);
    }

    public void refreshViewGoal(int calorie, int goalCalorie) {
        refreshView(calorie, 0, 0, goalCalorie, 1, 1);
    }

    public void refreshView(int calorie, int distance, int step, int goalCalorie, int goalDistance, int goalStep) {
        int i;
        if (calorie > 0 && step > 0 && step == this.step && calorie == this.calorie && !this.refresh && goalStep == this.goalStep) {
            AwLog.i(Author.HeZhiYuan, "返回");
            return;
        }
        if (step > 0 && (i = this.step) > 0 && step - i < 50 && goalStep == this.goalStep) {
            AwLog.i(Author.HeZhiYuan, "返回1");
            return;
        }
        this.refresh = false;
        this.goalStep = goalStep;
        this.step = step;
        this.calorie = calorie;
        this.sport = distance;
        this.addStep = 180;
        int i2 = step / 180;
        this.totalNum = i2;
        if (i2 <= 1) {
            this.totalNum = 1;
        }
        this.num = 0;
        float f = (step * 180) / goalStep;
        this.totalStepCr = f;
        this.totalCalorieCr = (calorie * 180) / goalCalorie;
        float f2 = (distance * 180) / goalDistance;
        this.totalDistanceCr = f2;
        int i3 = this.totalNum;
        this.addStepCr = f / i3;
        this.addCalorieCr = f / i3;
        this.addDistanceCr = f2 / i3;
        this.drawStepCr = 0.0f;
        this.drawCalorieCr = 0.0f;
        this.drawDistanceCr = 0.0f;
        refreshDraw();
    }

    private void refreshDraw() {
        this.isFirst = true;
        new Thread(new Runnable() { // from class: com.qcwireless.qcwatch.ui.base.view.healthy.PubuProgressCircle.1
            @Override // java.lang.Runnable
            public void run() {
                while (PubuProgressCircle.this.num <= PubuProgressCircle.this.totalNum) {
                    try {
                        if (PubuProgressCircle.this.isFirst) {
                            Thread.sleep(600L);
                        } else {
                            Thread.sleep(40L);
                        }
                        PubuProgressCircle.access$008(PubuProgressCircle.this);
                        PubuProgressCircle pubuProgressCircle = PubuProgressCircle.this;
                        PubuProgressCircle.access$316(pubuProgressCircle, pubuProgressCircle.addStepCr);
                        PubuProgressCircle pubuProgressCircle2 = PubuProgressCircle.this;
                        PubuProgressCircle.access$516(pubuProgressCircle2, pubuProgressCircle2.addCalorieCr);
                        PubuProgressCircle pubuProgressCircle3 = PubuProgressCircle.this;
                        PubuProgressCircle.access$716(pubuProgressCircle3, pubuProgressCircle3.addDistanceCr);
                        if (PubuProgressCircle.this.drawStepCr > 0.0f && PubuProgressCircle.this.drawCalorieCr == 0.0f) {
                            PubuProgressCircle.this.drawCalorieCr = 1.0f;
                        }
                        if (PubuProgressCircle.this.drawStepCr >= 180.0f) {
                            PubuProgressCircle.this.drawStepCr = 180.0f;
                        }
                        if (PubuProgressCircle.this.drawCalorieCr >= 180.0f) {
                            PubuProgressCircle.this.drawCalorieCr = 180.0f;
                        }
                        if (PubuProgressCircle.this.drawDistanceCr >= 180.0f) {
                            PubuProgressCircle.this.drawDistanceCr = 180.0f;
                        }
                        PubuProgressCircle.this.postInvalidate();
                        PubuProgressCircle.this.isFirst = false;
                    } catch (Exception e) {
                        e.printStackTrace();
                        return;
                    }
                }
                PubuProgressCircle pubuProgressCircle4 = PubuProgressCircle.this;
                pubuProgressCircle4.drawStepCr = pubuProgressCircle4.totalStepCr;
                PubuProgressCircle pubuProgressCircle5 = PubuProgressCircle.this;
                pubuProgressCircle5.drawCalorieCr = pubuProgressCircle5.totalCalorieCr;
                PubuProgressCircle pubuProgressCircle6 = PubuProgressCircle.this;
                pubuProgressCircle6.drawDistanceCr = pubuProgressCircle6.totalDistanceCr;
                if (PubuProgressCircle.this.drawStepCr >= 180.0f) {
                    PubuProgressCircle.this.drawStepCr = 180.0f;
                }
                if (PubuProgressCircle.this.drawCalorieCr >= 180.0f) {
                    PubuProgressCircle.this.drawCalorieCr = 180.0f;
                }
                if (PubuProgressCircle.this.drawDistanceCr >= 180.0f) {
                    PubuProgressCircle.this.drawDistanceCr = 180.0f;
                }
                PubuProgressCircle.this.postInvalidate();
            }
        }).start();
    }

    public float dip2px(Context context, float dp) {
        return (dp * context.getResources().getDisplayMetrics().density) + 0.5f;
    }
}
