package com.qcwireless.qcwatch.ui.device.camera;

import android.app.Activity;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import com.hjq.permissions.Permission;

/* loaded from: classes2.dex */
class PermissionsDelegate {
    private static final int REQUEST_CODE = 10;
    private final Activity activity;

    /* JADX INFO: Access modifiers changed from: package-private */
    public PermissionsDelegate(Activity activity) {
        this.activity = activity;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean hasCameraPermission() {
        return ContextCompat.checkSelfPermission(this.activity, Permission.CAMERA) == 0;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void requestCameraPermission() {
        ActivityCompat.requestPermissions(this.activity, new String[]{Permission.CAMERA}, 10);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean resultGranted(int requestCode, String[] permissions, int[] grantResults) {
        if (requestCode != 10 || grantResults.length < 1 || !permissions[0].equals(Permission.CAMERA)) {
            return false;
        }
        if (grantResults[0] == 0) {
            return true;
        }
        requestCameraPermission();
        return false;
    }
}
