package com.qcwireless.qcwatch.ui.device.more;

import android.os.Bundle;
import android.widget.CompoundButton;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.oudmon.ble.base.bluetooth.BleOperateManager;
import com.oudmon.ble.base.communication.CommandHandle;
import com.oudmon.ble.base.communication.ICommandResponse;
import com.oudmon.ble.base.communication.entity.StartEndTimeEntity;
import com.oudmon.ble.base.communication.req.BloodOxygenSettingReq;
import com.oudmon.ble.base.communication.req.BpSettingReq;
import com.oudmon.ble.base.communication.req.HeartRateSettingReq;
import com.oudmon.ble.base.communication.req.HrvSettingReq;
import com.oudmon.ble.base.communication.req.PressureSettingReq;
import com.oudmon.ble.base.communication.rsp.BaseRspCmd;
import com.oudmon.ble.base.communication.rsp.BloodOxygenSettingRsp;
import com.oudmon.ble.base.communication.rsp.BpSettingRsp;
import com.oudmon.ble.base.communication.rsp.HRVSettingRsp;
import com.oudmon.ble.base.communication.rsp.HeartRateSettingRsp;
import com.oudmon.ble.base.communication.rsp.PressureSettingRsp;
import com.qcwireless.qcwatch.base.dialog.BottomDeviceHeartDialog;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.MoshiUtils;
import com.qcwireless.qcwatch.base.utils.TypeToken;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityHealthyCheckBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.bean.device.DeviceSetting;
import com.qcwireless.qcwatch.ui.base.bean.device.OneKeySupport;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.base.view.QSettingItemWithClickSystem;
import com.qcwireless.ring.R;
import com.squareup.moshi.JsonAdapter;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: HealthyCheckActivity.kt */
@Metadata(d1 = {"\u00004\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u000f\u001a\u00020\u00102\b\u0010\u0011\u001a\u0004\u0018\u00010\u0012H\u0014J\b\u0010\u0013\u001a\u00020\u0010H\u0014J\b\u0010\u0014\u001a\u00020\u0010H\u0002J\b\u0010\u0015\u001a\u00020\u0010H\u0014J\u0006\u0010\u0016\u001a\u00020\u0010R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\t\u001a\u00020\n8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\r\u0010\u000e\u001a\u0004\b\u000b\u0010\f¨\u0006\u0017"}, d2 = {"Lcom/qcwireless/qcwatch/ui/device/more/HealthyCheckActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityHealthyCheckBinding;", "deviceSetting", "Lcom/qcwireless/qcwatch/ui/base/bean/device/DeviceSetting;", "heartWarming", "", "moreSettingVm", "Lcom/qcwireless/qcwatch/ui/device/more/MoreSettingViewModel;", "getMoreSettingVm", "()Lcom/qcwireless/qcwatch/ui/device/more/MoreSettingViewModel;", "moreSettingVm$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onResume", "readFromDevice", "setupViews", "showHeartInterval", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class HealthyCheckActivity extends BaseActivity {
    private ActivityHealthyCheckBinding binding;
    private DeviceSetting deviceSetting;
    private int heartWarming;

    /* renamed from: moreSettingVm$delegate, reason: from kotlin metadata */
    private final Lazy moreSettingVm;

    private final void readFromDevice() {
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-10$lambda-9, reason: not valid java name */
    public static final void m468setupViews$lambda11$lambda10$lambda9(PressureSettingRsp pressureSettingRsp) {
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-3$lambda-2, reason: not valid java name */
    public static final void m470setupViews$lambda11$lambda3$lambda2(BloodOxygenSettingRsp bloodOxygenSettingRsp) {
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-5$lambda-4, reason: not valid java name */
    public static final void m472setupViews$lambda11$lambda5$lambda4(HRVSettingRsp hRVSettingRsp) {
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-7$lambda-6, reason: not valid java name */
    public static final void m474setupViews$lambda11$lambda7$lambda6(BpSettingRsp bpSettingRsp) {
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showHeartInterval$lambda-13$lambda-12, reason: not valid java name */
    public static final void m477showHeartInterval$lambda13$lambda12(HeartRateSettingRsp heartRateSettingRsp) {
    }

    public HealthyCheckActivity() {
        final HealthyCheckActivity healthyCheckActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.moreSettingVm = LazyKt.lazy(new Function0<MoreSettingViewModel>() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.device.more.MoreSettingViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final MoreSettingViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(MoreSettingViewModel.class), qualifier, b);
            }
        });
    }

    private final MoreSettingViewModel getMoreSettingVm() {
        return (MoreSettingViewModel) this.moreSettingVm.getValue();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityHealthyCheckBinding inflate = ActivityHealthyCheckBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        showLoadingDialogTimeout(5000);
        getMoreSettingVm().initData(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear());
        getMoreSettingVm().getUiDeviceState().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda9
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                HealthyCheckActivity.m465setupViews$lambda0(HealthyCheckActivity.this, (DeviceSetting) obj);
            }
        });
        ActivityHealthyCheckBinding activityHealthyCheckBinding = this.binding;
        ActivityHealthyCheckBinding activityHealthyCheckBinding2 = null;
        if (activityHealthyCheckBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding = null;
        }
        activityHealthyCheckBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_6666014));
        activityHealthyCheckBinding.qcSettingHeart.setmOnLSettingItemWithClick(new QSettingItemWithClickSystem.OnLSettingItemWithClickSystem() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$setupViews$2$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItemWithClickSystem.OnLSettingItemWithClickSystem
            public void click(int id, boolean isChecked) {
                HealthyCheckActivity.this.showHeartInterval();
            }
        });
        activityHealthyCheckBinding.qcSettingHeart.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda0
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                HealthyCheckActivity.m466setupViews$lambda11$lambda1(HealthyCheckActivity.this, compoundButton, z);
            }
        });
        ActivityHealthyCheckBinding activityHealthyCheckBinding3 = this.binding;
        if (activityHealthyCheckBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding3 = null;
        }
        activityHealthyCheckBinding3.qcSettingBloodOxygen.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda8
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                HealthyCheckActivity.m469setupViews$lambda11$lambda3(HealthyCheckActivity.this, compoundButton, z);
            }
        });
        ActivityHealthyCheckBinding activityHealthyCheckBinding4 = this.binding;
        if (activityHealthyCheckBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding4 = null;
        }
        activityHealthyCheckBinding4.qcSettingHrv.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda7
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                HealthyCheckActivity.m471setupViews$lambda11$lambda5(HealthyCheckActivity.this, compoundButton, z);
            }
        });
        ActivityHealthyCheckBinding activityHealthyCheckBinding5 = this.binding;
        if (activityHealthyCheckBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding5 = null;
        }
        activityHealthyCheckBinding5.qcSettingBloodPressure.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda4
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                HealthyCheckActivity.m473setupViews$lambda11$lambda7(HealthyCheckActivity.this, compoundButton, z);
            }
        });
        ActivityHealthyCheckBinding activityHealthyCheckBinding6 = this.binding;
        if (activityHealthyCheckBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding6 = null;
        }
        activityHealthyCheckBinding6.qcSettingHeartNot.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda5
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                HealthyCheckActivity.m475setupViews$lambda11$lambda8(HealthyCheckActivity.this, compoundButton, z);
            }
        });
        ActivityHealthyCheckBinding activityHealthyCheckBinding7 = this.binding;
        if (activityHealthyCheckBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHealthyCheckBinding2 = activityHealthyCheckBinding7;
        }
        activityHealthyCheckBinding2.qcSettingPressure.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda6
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                HealthyCheckActivity.m467setupViews$lambda11$lambda10(HealthyCheckActivity.this, compoundButton, z);
            }
        });
        activityHealthyCheckBinding.qcMoreHeartWarmingUp.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$setupViews$2$8
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-0, reason: not valid java name */
    public static final void m465setupViews$lambda0(HealthyCheckActivity this$0, DeviceSetting it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.dismissLoadingDialog();
        Intrinsics.checkNotNullExpressionValue(it, "it");
        this$0.deviceSetting = it;
        ActivityHealthyCheckBinding activityHealthyCheckBinding = null;
        if (it.getHrDetection() && it.getHrInterval() != 99) {
            ActivityHealthyCheckBinding activityHealthyCheckBinding2 = this$0.binding;
            if (activityHealthyCheckBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHealthyCheckBinding2 = null;
            }
            activityHealthyCheckBinding2.qcSettingHeart.setRightText(it.getHrInterval() + this$0.getString(R.string.qc_text_8087));
        } else {
            ActivityHealthyCheckBinding activityHealthyCheckBinding3 = this$0.binding;
            if (activityHealthyCheckBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHealthyCheckBinding3 = null;
            }
            activityHealthyCheckBinding3.qcSettingHeart.setRightText(this$0.getString(R.string.qc_text_21));
        }
        if (UserConfig.INSTANCE.getInstance().getHeartRateInterval()) {
            ActivityHealthyCheckBinding activityHealthyCheckBinding4 = this$0.binding;
            if (activityHealthyCheckBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHealthyCheckBinding4 = null;
            }
            ViewKt.visible(activityHealthyCheckBinding4.qcSettingHeart);
            ActivityHealthyCheckBinding activityHealthyCheckBinding5 = this$0.binding;
            if (activityHealthyCheckBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHealthyCheckBinding5 = null;
            }
            ViewKt.gone(activityHealthyCheckBinding5.qcSettingHeartNot);
        } else {
            ActivityHealthyCheckBinding activityHealthyCheckBinding6 = this$0.binding;
            if (activityHealthyCheckBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHealthyCheckBinding6 = null;
            }
            ViewKt.visible(activityHealthyCheckBinding6.qcSettingHeartNot);
            ActivityHealthyCheckBinding activityHealthyCheckBinding7 = this$0.binding;
            if (activityHealthyCheckBinding7 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHealthyCheckBinding7 = null;
            }
            ViewKt.gone(activityHealthyCheckBinding7.qcSettingHeart);
        }
        String oneKeySupport = UserConfig.INSTANCE.getInstance().getOneKeySupport();
        if (oneKeySupport.length() > 0) {
            JsonAdapter adapter = MoshiUtils.INSTANCE.getMoshiBuild().adapter(new TypeToken<OneKeySupport>() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$setupViews$lambda-0$$inlined$fromJson$1
            }.getType());
            Intrinsics.checkNotNullExpressionValue(adapter, "moshiBuild.adapter(objec…: TypeToken<T>() {}.type)");
            OneKeySupport oneKeySupport2 = (OneKeySupport) adapter.fromJson(oneKeySupport);
            if (oneKeySupport2 != null) {
                if (oneKeySupport2.getSupportBloodPressure()) {
                    ActivityHealthyCheckBinding activityHealthyCheckBinding8 = this$0.binding;
                    if (activityHealthyCheckBinding8 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHealthyCheckBinding8 = null;
                    }
                    ViewKt.visible(activityHealthyCheckBinding8.qcSettingBloodPressure);
                } else {
                    ActivityHealthyCheckBinding activityHealthyCheckBinding9 = this$0.binding;
                    if (activityHealthyCheckBinding9 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHealthyCheckBinding9 = null;
                    }
                    ViewKt.gone(activityHealthyCheckBinding9.qcSettingBloodPressure);
                }
                if (oneKeySupport2.getSupportPressure()) {
                    ActivityHealthyCheckBinding activityHealthyCheckBinding10 = this$0.binding;
                    if (activityHealthyCheckBinding10 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHealthyCheckBinding10 = null;
                    }
                    ViewKt.visible(activityHealthyCheckBinding10.qcSettingPressure);
                } else {
                    ActivityHealthyCheckBinding activityHealthyCheckBinding11 = this$0.binding;
                    if (activityHealthyCheckBinding11 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHealthyCheckBinding11 = null;
                    }
                    ViewKt.gone(activityHealthyCheckBinding11.qcSettingPressure);
                }
                if (oneKeySupport2.getSupportHrv()) {
                    ActivityHealthyCheckBinding activityHealthyCheckBinding12 = this$0.binding;
                    if (activityHealthyCheckBinding12 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHealthyCheckBinding12 = null;
                    }
                    ViewKt.visible(activityHealthyCheckBinding12.qcSettingHrv);
                } else {
                    ActivityHealthyCheckBinding activityHealthyCheckBinding13 = this$0.binding;
                    if (activityHealthyCheckBinding13 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("binding");
                        activityHealthyCheckBinding13 = null;
                    }
                    ViewKt.gone(activityHealthyCheckBinding13.qcSettingHrv);
                }
            }
        }
        ActivityHealthyCheckBinding activityHealthyCheckBinding14 = this$0.binding;
        if (activityHealthyCheckBinding14 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding14 = null;
        }
        activityHealthyCheckBinding14.qcSettingHeartNot.setChecked(it.getHrDetection());
        ActivityHealthyCheckBinding activityHealthyCheckBinding15 = this$0.binding;
        if (activityHealthyCheckBinding15 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding15 = null;
        }
        activityHealthyCheckBinding15.qcSettingBloodOxygen.setChecked(it.getBo2Detection());
        ActivityHealthyCheckBinding activityHealthyCheckBinding16 = this$0.binding;
        if (activityHealthyCheckBinding16 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding16 = null;
        }
        activityHealthyCheckBinding16.qcSettingPressure.setChecked(it.getPressureDetection());
        ActivityHealthyCheckBinding activityHealthyCheckBinding17 = this$0.binding;
        if (activityHealthyCheckBinding17 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding17 = null;
        }
        activityHealthyCheckBinding17.qcSettingBloodPressure.setChecked(it.getBpSwitch());
        ActivityHealthyCheckBinding activityHealthyCheckBinding18 = this$0.binding;
        if (activityHealthyCheckBinding18 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityHealthyCheckBinding = activityHealthyCheckBinding18;
        }
        activityHealthyCheckBinding.qcSettingHrv.setChecked(it.getHrvEnable());
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-1, reason: not valid java name */
    public static final void m466setupViews$lambda11$lambda1(HealthyCheckActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting2 = null;
            }
            deviceSetting2.setHrDetection(z);
            MoreSettingViewModel moreSettingVm = this$0.getMoreSettingVm();
            String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
            DeviceSetting deviceSetting3 = this$0.deviceSetting;
            if (deviceSetting3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            } else {
                deviceSetting = deviceSetting3;
            }
            moreSettingVm.saveReminder(deviceAddressNoClear, deviceSetting);
            return;
        }
        ActivityHealthyCheckBinding activityHealthyCheckBinding = this$0.binding;
        if (activityHealthyCheckBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding = null;
        }
        QSettingItemWithClickSystem qSettingItemWithClickSystem = activityHealthyCheckBinding.qcSettingHeart;
        DeviceSetting deviceSetting4 = this$0.deviceSetting;
        if (deviceSetting4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting4 = null;
        }
        qSettingItemWithClickSystem.setChecked(deviceSetting4.getHrDetection());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-3, reason: not valid java name */
    public static final void m469setupViews$lambda11$lambda3(HealthyCheckActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting2 = null;
            }
            deviceSetting2.setBo2Detection(z);
            MoreSettingViewModel moreSettingVm = this$0.getMoreSettingVm();
            String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
            DeviceSetting deviceSetting3 = this$0.deviceSetting;
            if (deviceSetting3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting3 = null;
            }
            moreSettingVm.saveReminder(deviceAddressNoClear, deviceSetting3);
            CommandHandle commandHandle = CommandHandle.getInstance();
            DeviceSetting deviceSetting4 = this$0.deviceSetting;
            if (deviceSetting4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            } else {
                deviceSetting = deviceSetting4;
            }
            commandHandle.executeReqCmd(BloodOxygenSettingReq.getWriteInstance(deviceSetting.getBo2Detection()), new ICommandResponse() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda10
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public final void onDataResponse(BaseRspCmd baseRspCmd) {
                    HealthyCheckActivity.m470setupViews$lambda11$lambda3$lambda2((BloodOxygenSettingRsp) baseRspCmd);
                }
            });
            return;
        }
        ActivityHealthyCheckBinding activityHealthyCheckBinding = this$0.binding;
        if (activityHealthyCheckBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding = null;
        }
        QSettingItemWithClickSystem qSettingItemWithClickSystem = activityHealthyCheckBinding.qcSettingBloodOxygen;
        DeviceSetting deviceSetting5 = this$0.deviceSetting;
        if (deviceSetting5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting5 = null;
        }
        qSettingItemWithClickSystem.setChecked(deviceSetting5.getBo2Detection());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-5, reason: not valid java name */
    public static final void m471setupViews$lambda11$lambda5(HealthyCheckActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting2 = null;
            }
            deviceSetting2.setHrvEnable(z);
            MoreSettingViewModel moreSettingVm = this$0.getMoreSettingVm();
            String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
            DeviceSetting deviceSetting3 = this$0.deviceSetting;
            if (deviceSetting3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting3 = null;
            }
            moreSettingVm.saveReminder(deviceAddressNoClear, deviceSetting3);
            CommandHandle commandHandle = CommandHandle.getInstance();
            DeviceSetting deviceSetting4 = this$0.deviceSetting;
            if (deviceSetting4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            } else {
                deviceSetting = deviceSetting4;
            }
            commandHandle.executeReqCmd(new HrvSettingReq(deviceSetting.getHrvEnable()), new ICommandResponse() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda12
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public final void onDataResponse(BaseRspCmd baseRspCmd) {
                    HealthyCheckActivity.m472setupViews$lambda11$lambda5$lambda4((HRVSettingRsp) baseRspCmd);
                }
            });
            return;
        }
        ActivityHealthyCheckBinding activityHealthyCheckBinding = this$0.binding;
        if (activityHealthyCheckBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding = null;
        }
        QSettingItemWithClickSystem qSettingItemWithClickSystem = activityHealthyCheckBinding.qcSettingHrv;
        DeviceSetting deviceSetting5 = this$0.deviceSetting;
        if (deviceSetting5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting5 = null;
        }
        qSettingItemWithClickSystem.setChecked(deviceSetting5.getHrvEnable());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-7, reason: not valid java name */
    public static final void m473setupViews$lambda11$lambda7(HealthyCheckActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting2 = null;
            }
            deviceSetting2.setBpSwitch(z);
            MoreSettingViewModel moreSettingVm = this$0.getMoreSettingVm();
            String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
            DeviceSetting deviceSetting3 = this$0.deviceSetting;
            if (deviceSetting3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting3 = null;
            }
            moreSettingVm.saveReminder(deviceAddressNoClear, deviceSetting3);
            StartEndTimeEntity startEndTimeEntity = new StartEndTimeEntity(0, 0, 23, 59);
            CommandHandle commandHandle = CommandHandle.getInstance();
            DeviceSetting deviceSetting4 = this$0.deviceSetting;
            if (deviceSetting4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            } else {
                deviceSetting = deviceSetting4;
            }
            commandHandle.executeReqCmd(BpSettingReq.getWriteInstance(deviceSetting.getBpSwitch(), startEndTimeEntity, 60), new ICommandResponse() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda11
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public final void onDataResponse(BaseRspCmd baseRspCmd) {
                    HealthyCheckActivity.m474setupViews$lambda11$lambda7$lambda6((BpSettingRsp) baseRspCmd);
                }
            });
            return;
        }
        ActivityHealthyCheckBinding activityHealthyCheckBinding = this$0.binding;
        if (activityHealthyCheckBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding = null;
        }
        QSettingItemWithClickSystem qSettingItemWithClickSystem = activityHealthyCheckBinding.qcSettingBloodPressure;
        DeviceSetting deviceSetting5 = this$0.deviceSetting;
        if (deviceSetting5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting5 = null;
        }
        qSettingItemWithClickSystem.setChecked(deviceSetting5.getBpSwitch());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-8, reason: not valid java name */
    public static final void m475setupViews$lambda11$lambda8(HealthyCheckActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting2 = null;
            }
            deviceSetting2.setHrDetection(z);
            MoreSettingViewModel moreSettingVm = this$0.getMoreSettingVm();
            String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
            DeviceSetting deviceSetting3 = this$0.deviceSetting;
            if (deviceSetting3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            } else {
                deviceSetting = deviceSetting3;
            }
            moreSettingVm.saveReminder(deviceAddressNoClear, deviceSetting);
            return;
        }
        ActivityHealthyCheckBinding activityHealthyCheckBinding = this$0.binding;
        if (activityHealthyCheckBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding = null;
        }
        QSettingItemWithClickSystem qSettingItemWithClickSystem = activityHealthyCheckBinding.qcSettingHeartNot;
        DeviceSetting deviceSetting4 = this$0.deviceSetting;
        if (deviceSetting4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting4 = null;
        }
        qSettingItemWithClickSystem.setChecked(deviceSetting4.getHrDetection());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-11$lambda-10, reason: not valid java name */
    public static final void m467setupViews$lambda11$lambda10(HealthyCheckActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DeviceSetting deviceSetting = null;
        if (BleOperateManager.getInstance().isConnected()) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting2 = null;
            }
            deviceSetting2.setPressureDetection(z);
            MoreSettingViewModel moreSettingVm = this$0.getMoreSettingVm();
            String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
            DeviceSetting deviceSetting3 = this$0.deviceSetting;
            if (deviceSetting3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting3 = null;
            }
            moreSettingVm.saveReminder(deviceAddressNoClear, deviceSetting3);
            CommandHandle commandHandle = CommandHandle.getInstance();
            DeviceSetting deviceSetting4 = this$0.deviceSetting;
            if (deviceSetting4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            } else {
                deviceSetting = deviceSetting4;
            }
            commandHandle.executeReqCmd(PressureSettingReq.getWriteInstance(deviceSetting.getPressureDetection()), new ICommandResponse() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda2
                @Override // com.oudmon.ble.base.communication.ICommandResponse
                public final void onDataResponse(BaseRspCmd baseRspCmd) {
                    HealthyCheckActivity.m468setupViews$lambda11$lambda10$lambda9((PressureSettingRsp) baseRspCmd);
                }
            });
            return;
        }
        ActivityHealthyCheckBinding activityHealthyCheckBinding = this$0.binding;
        if (activityHealthyCheckBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityHealthyCheckBinding = null;
        }
        QSettingItemWithClickSystem qSettingItemWithClickSystem = activityHealthyCheckBinding.qcSettingPressure;
        DeviceSetting deviceSetting5 = this$0.deviceSetting;
        if (deviceSetting5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting5 = null;
        }
        qSettingItemWithClickSystem.setChecked(deviceSetting5.getPressureDetection());
        String string = this$0.getString(R.string.qc_text_75);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_75)");
        GlobalKt.showToast$default(string, 0, 1, null);
    }

    public final void showHeartInterval() {
        BottomDeviceHeartDialog.Builder builder = new BottomDeviceHeartDialog.Builder(getActivity());
        builder.setContentView(R.layout.layout_dialog_heart_interval);
        BottomDeviceHeartDialog create = builder.create();
        create.setListener(new BottomDeviceHeartDialog.SelectSecondListener() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda3
            @Override // com.qcwireless.qcwatch.base.dialog.BottomDeviceHeartDialog.SelectSecondListener
            public final void showSecond(String str) {
                HealthyCheckActivity.m476showHeartInterval$lambda13(HealthyCheckActivity.this, str);
            }
        });
        create.initData(this);
        DeviceSetting deviceSetting = this.deviceSetting;
        DeviceSetting deviceSetting2 = null;
        if (deviceSetting == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
            deviceSetting = null;
        }
        if (deviceSetting.getHrInterval() != 99) {
            DeviceSetting deviceSetting3 = this.deviceSetting;
            if (deviceSetting3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting3 = null;
            }
            if (deviceSetting3.getHrDetection()) {
                StringBuilder sb = new StringBuilder();
                DeviceSetting deviceSetting4 = this.deviceSetting;
                if (deviceSetting4 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                } else {
                    deviceSetting2 = deviceSetting4;
                }
                sb.append(deviceSetting2.getHrInterval());
                sb.append(getString(R.string.qc_text_8087));
                create.setCurrItemText(sb.toString());
                create.show();
            }
        }
        create.setCurrItemText(getString(R.string.qc_text_6666063));
        create.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showHeartInterval$lambda-13, reason: not valid java name */
    public static final void m476showHeartInterval$lambda13(HealthyCheckActivity this$0, String it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullExpressionValue(it, "it");
        AwLog.i(Author.HeZhiYuan, Integer.valueOf(Integer.parseInt(it)));
        int parseInt = Integer.parseInt(it);
        DeviceSetting deviceSetting = null;
        if (parseInt == 99) {
            DeviceSetting deviceSetting2 = this$0.deviceSetting;
            if (deviceSetting2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting2 = null;
            }
            deviceSetting2.setHrDetection(false);
            ActivityHealthyCheckBinding activityHealthyCheckBinding = this$0.binding;
            if (activityHealthyCheckBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHealthyCheckBinding = null;
            }
            activityHealthyCheckBinding.qcSettingHeart.setRightText(this$0.getString(R.string.qc_text_21));
        } else {
            DeviceSetting deviceSetting3 = this$0.deviceSetting;
            if (deviceSetting3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting3 = null;
            }
            deviceSetting3.setHrDetection(true);
            DeviceSetting deviceSetting4 = this$0.deviceSetting;
            if (deviceSetting4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
                deviceSetting4 = null;
            }
            deviceSetting4.setHrInterval(parseInt);
            ActivityHealthyCheckBinding activityHealthyCheckBinding2 = this$0.binding;
            if (activityHealthyCheckBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityHealthyCheckBinding2 = null;
            }
            activityHealthyCheckBinding2.qcSettingHeart.setRightText(it + this$0.getString(R.string.qc_text_8087));
        }
        boolean z = parseInt != 99;
        if (parseInt == 99) {
            parseInt = 5;
        }
        CommandHandle.getInstance().executeReqCmd(HeartRateSettingReq.getWriteInstance(z, parseInt), new ICommandResponse() { // from class: com.qcwireless.qcwatch.ui.device.more.HealthyCheckActivity$$ExternalSyntheticLambda1
            @Override // com.oudmon.ble.base.communication.ICommandResponse
            public final void onDataResponse(BaseRspCmd baseRspCmd) {
                HealthyCheckActivity.m477showHeartInterval$lambda13$lambda12((HeartRateSettingRsp) baseRspCmd);
            }
        });
        MoreSettingViewModel moreSettingVm = this$0.getMoreSettingVm();
        String deviceAddressNoClear = UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear();
        DeviceSetting deviceSetting5 = this$0.deviceSetting;
        if (deviceSetting5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("deviceSetting");
        } else {
            deviceSetting = deviceSetting5;
        }
        moreSettingVm.saveReminder(deviceAddressNoClear, deviceSetting);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onResume() {
        super.onResume();
    }
}
