package com.qcwireless.qcwatch.ui.home.bloodoxgen;

import android.animation.ObjectAnimator;
import android.os.Bundle;
import android.view.View;
import androidx.constraintlayout.motion.widget.Key;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityBloodOxygenDataDetailBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenViewModel;
import com.qcwireless.qcwatch.ui.home.bloodoxgen.adapter.BloodOxygenDetailAdapter;
import com.qcwireless.ring.R;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: BloodOxygenDataDetailActivity.kt */
@Metadata(d1 = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u0011\u001a\u00020\u00122\b\u0010\u0013\u001a\u0004\u0018\u00010\u0014H\u0014J\u0010\u0010\u0015\u001a\u00020\u00122\u0006\u0010\u0016\u001a\u00020\u0017H\u0017J\b\u0010\u0018\u001a\u00020\u0012H\u0015J\b\u0010\u0019\u001a\u00020\u0012H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\u000b\u001a\u00020\f8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u000f\u0010\u0010\u001a\u0004\b\r\u0010\u000e¨\u0006\u001a"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenDataDetailActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/adapter/BloodOxygenDetailAdapter;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityBloodOxygenDataDetailBinding;", "date", "Lcom/qcwireless/qc_utils/date/DateUtil;", "type", "", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/bloodoxgen/BloodOxygenViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "setupViews", "startAnim", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class BloodOxygenDataDetailActivity extends BaseActivity {
    private BloodOxygenDetailAdapter adapter;
    private ActivityBloodOxygenDataDetailBinding binding;
    private DateUtil date;
    private int type;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public BloodOxygenDataDetailActivity() {
        final BloodOxygenDataDetailActivity bloodOxygenDataDetailActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<BloodOxygenViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenDataDetailActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final BloodOxygenViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(BloodOxygenViewModel.class), qualifier, b);
            }
        });
        this.date = new DateUtil();
    }

    private final BloodOxygenViewModel getViewModel() {
        return (BloodOxygenViewModel) this.viewModel.getValue();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityBloodOxygenDataDetailBinding inflate = ActivityBloodOxygenDataDetailBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        Bundle extras = getIntent().getExtras();
        BloodOxygenDetailAdapter bloodOxygenDetailAdapter = null;
        Integer valueOf = extras != null ? Integer.valueOf(extras.getInt("timestamp")) : null;
        Intrinsics.checkNotNull(valueOf);
        int intValue = valueOf.intValue();
        Bundle extras2 = getIntent().getExtras();
        Integer valueOf2 = extras2 != null ? Integer.valueOf(extras2.getInt("type")) : null;
        Intrinsics.checkNotNull(valueOf2);
        this.type = valueOf2.intValue();
        long j = intValue;
        this.date = new DateUtil(j, true);
        AwLog.i(Author.HeZhiYuan, Integer.valueOf(this.type));
        if (this.type > 0) {
            getViewModel().queryAppBloodOxygenByDateDetail(this.date);
        } else {
            getViewModel().queryBloodOxygenByDateDetail(this.date);
        }
        BloodOxygenDataDetailActivity bloodOxygenDataDetailActivity = this;
        BloodOxygenDetailAdapter bloodOxygenDetailAdapter2 = new BloodOxygenDetailAdapter(bloodOxygenDataDetailActivity, getViewModel().getDetailList());
        this.adapter = bloodOxygenDetailAdapter2;
        if (this.type > 0) {
            bloodOxygenDetailAdapter2.setApp(true);
        }
        ActivityBloodOxygenDataDetailBinding activityBloodOxygenDataDetailBinding = this.binding;
        if (activityBloodOxygenDataDetailBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenDataDetailBinding = null;
        }
        activityBloodOxygenDataDetailBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_480));
        activityBloodOxygenDataDetailBinding.tvDataDate.setText(new DateUtil(j, true).getY_M_D());
        if (this.date.isToday()) {
            if (this.type > 0) {
                ViewKt.gone(activityBloodOxygenDataDetailBinding.titleBar.tvRightText);
            } else {
                ViewKt.visible(activityBloodOxygenDataDetailBinding.titleBar.tvRightText);
            }
            activityBloodOxygenDataDetailBinding.titleBar.tvRightText.setBackgroundResource(R.mipmap.data_detail_refresh);
        } else {
            ViewKt.gone(activityBloodOxygenDataDetailBinding.titleBar.tvRightText);
        }
        activityBloodOxygenDataDetailBinding.rcvBloodOxygenDetail.setLayoutManager(new LinearLayoutManager(bloodOxygenDataDetailActivity));
        RecyclerView recyclerView = activityBloodOxygenDataDetailBinding.rcvBloodOxygenDetail;
        BloodOxygenDetailAdapter bloodOxygenDetailAdapter3 = this.adapter;
        if (bloodOxygenDetailAdapter3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
        } else {
            bloodOxygenDetailAdapter = bloodOxygenDetailAdapter3;
        }
        recyclerView.setAdapter(bloodOxygenDetailAdapter);
        activityBloodOxygenDataDetailBinding.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenDataDetailActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodOxygenDataDetailActivity.m633setupViews$lambda1$lambda0(BloodOxygenDataDetailActivity.this, view);
            }
        });
        getViewModel().getUiDetail().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bloodoxgen.BloodOxygenDataDetailActivity$$ExternalSyntheticLambda1
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodOxygenDataDetailActivity.m634setupViews$lambda2(BloodOxygenDataDetailActivity.this, (BloodOxygenViewModel.BloodOxygenDetail) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-1$lambda-0, reason: not valid java name */
    public static final void m633setupViews$lambda1$lambda0(BloodOxygenDataDetailActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.startAnim();
        this$0.getViewModel().syncTodayData();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-2, reason: not valid java name */
    public static final void m634setupViews$lambda2(BloodOxygenDataDetailActivity this$0, BloodOxygenViewModel.BloodOxygenDetail bloodOxygenDetail) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.getViewModel().getDetailList().clear();
        this$0.getViewModel().getDetailList().addAll(bloodOxygenDetail.getData());
        BloodOxygenDetailAdapter bloodOxygenDetailAdapter = null;
        if (this$0.getViewModel().getDetailList().size() == 0) {
            ActivityBloodOxygenDataDetailBinding activityBloodOxygenDataDetailBinding = this$0.binding;
            if (activityBloodOxygenDataDetailBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenDataDetailBinding = null;
            }
            ViewKt.visible(activityBloodOxygenDataDetailBinding.noDataView);
            ActivityBloodOxygenDataDetailBinding activityBloodOxygenDataDetailBinding2 = this$0.binding;
            if (activityBloodOxygenDataDetailBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenDataDetailBinding2 = null;
            }
            ViewKt.visible(activityBloodOxygenDataDetailBinding2.tvErrorText);
        } else {
            ActivityBloodOxygenDataDetailBinding activityBloodOxygenDataDetailBinding3 = this$0.binding;
            if (activityBloodOxygenDataDetailBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodOxygenDataDetailBinding3 = null;
            }
            ViewKt.gone(activityBloodOxygenDataDetailBinding3.noDataView);
        }
        BloodOxygenDetailAdapter bloodOxygenDetailAdapter2 = this$0.adapter;
        if (bloodOxygenDetailAdapter2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
        } else {
            bloodOxygenDetailAdapter = bloodOxygenDetailAdapter2;
        }
        bloodOxygenDetailAdapter.notifyDataSetChanged();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if ((messageEvent instanceof ManualRefreshEvent) && this.type <= 0 && this.date.isToday()) {
            getViewModel().queryBloodOxygenByDateDetail(this.date);
        }
    }

    private final void startAnim() {
        ActivityBloodOxygenDataDetailBinding activityBloodOxygenDataDetailBinding = this.binding;
        ActivityBloodOxygenDataDetailBinding activityBloodOxygenDataDetailBinding2 = null;
        if (activityBloodOxygenDataDetailBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodOxygenDataDetailBinding = null;
        }
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(activityBloodOxygenDataDetailBinding.titleBar.tvRightText, Key.ROTATION, 0.0f, 360.0f);
        float f = getResources().getDisplayMetrics().density * 10000;
        ActivityBloodOxygenDataDetailBinding activityBloodOxygenDataDetailBinding3 = this.binding;
        if (activityBloodOxygenDataDetailBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodOxygenDataDetailBinding2 = activityBloodOxygenDataDetailBinding3;
        }
        activityBloodOxygenDataDetailBinding2.titleBar.tvRightText.setCameraDistance(f);
        ofFloat.setDuration(1500L);
        ofFloat.start();
    }
}
