package com.qcwireless.qcwatch.ui.home.bloodsugar;

import android.animation.ObjectAnimator;
import android.os.Bundle;
import android.view.View;
import androidx.constraintlayout.motion.widget.Key;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityBloodSugarDataDetailBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivityViewModel;
import com.qcwireless.qcwatch.ui.home.bloodsugar.adapter.BloodSugarDetailAdapter;
import com.qcwireless.ring.R;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: BloodSugarDataDetailActivity.kt */
@Metadata(d1 = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u0011\u001a\u00020\u00122\b\u0010\u0013\u001a\u0004\u0018\u00010\u0014H\u0014J\u0010\u0010\u0015\u001a\u00020\u00122\u0006\u0010\u0016\u001a\u00020\u0017H\u0017J\b\u0010\u0018\u001a\u00020\u0012H\u0015J\b\u0010\u0019\u001a\u00020\u0012H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\u000b\u001a\u00020\f8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u000f\u0010\u0010\u001a\u0004\b\r\u0010\u000e¨\u0006\u001a"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bloodsugar/BloodSugarDataDetailActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/bloodsugar/adapter/BloodSugarDetailAdapter;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityBloodSugarDataDetailBinding;", "date", "Lcom/qcwireless/qc_utils/date/DateUtil;", "type", "", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/bloodsugar/BloodSugarActivityViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/bloodsugar/BloodSugarActivityViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "setupViews", "startAnim", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class BloodSugarDataDetailActivity extends BaseActivity {
    private BloodSugarDetailAdapter adapter;
    private ActivityBloodSugarDataDetailBinding binding;
    private DateUtil date;
    private int type;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public BloodSugarDataDetailActivity() {
        final BloodSugarDataDetailActivity bloodSugarDataDetailActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<BloodSugarActivityViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarDataDetailActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarActivityViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final BloodSugarActivityViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(BloodSugarActivityViewModel.class), qualifier, b);
            }
        });
        this.date = new DateUtil();
    }

    private final BloodSugarActivityViewModel getViewModel() {
        return (BloodSugarActivityViewModel) this.viewModel.getValue();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityBloodSugarDataDetailBinding inflate = ActivityBloodSugarDataDetailBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        Bundle extras = getIntent().getExtras();
        BloodSugarDetailAdapter bloodSugarDetailAdapter = null;
        Integer valueOf = extras != null ? Integer.valueOf(extras.getInt("timestamp")) : null;
        Intrinsics.checkNotNull(valueOf);
        int intValue = valueOf.intValue();
        Bundle extras2 = getIntent().getExtras();
        Integer valueOf2 = extras2 != null ? Integer.valueOf(extras2.getInt("type")) : null;
        Intrinsics.checkNotNull(valueOf2);
        this.type = valueOf2.intValue();
        long j = intValue;
        this.date = new DateUtil(j, true);
        BloodSugarDataDetailActivity bloodSugarDataDetailActivity = this;
        this.adapter = new BloodSugarDetailAdapter(bloodSugarDataDetailActivity, getViewModel().getDetailList());
        if (this.type > 0) {
            getViewModel().queryAppBloodSugarByDateDetail(this.date);
            BloodSugarDetailAdapter bloodSugarDetailAdapter2 = this.adapter;
            if (bloodSugarDetailAdapter2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("adapter");
                bloodSugarDetailAdapter2 = null;
            }
            bloodSugarDetailAdapter2.setApp(true);
        } else {
            getViewModel().queryBloodSugarByDateDetail(this.date);
        }
        ActivityBloodSugarDataDetailBinding activityBloodSugarDataDetailBinding = this.binding;
        if (activityBloodSugarDataDetailBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarDataDetailBinding = null;
        }
        activityBloodSugarDataDetailBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_480));
        activityBloodSugarDataDetailBinding.tvDataDate.setText(new DateUtil(j, true).getY_M_D());
        if (this.date.isToday()) {
            if (this.type > 0) {
                ViewKt.gone(activityBloodSugarDataDetailBinding.titleBar.tvRightText);
            } else {
                ViewKt.gone(activityBloodSugarDataDetailBinding.titleBar.tvRightText);
                activityBloodSugarDataDetailBinding.titleBar.tvRightText.setBackgroundResource(R.mipmap.data_detail_refresh);
            }
        } else {
            ViewKt.gone(activityBloodSugarDataDetailBinding.titleBar.tvRightText);
        }
        activityBloodSugarDataDetailBinding.rcvBloodOxygenDetail.setLayoutManager(new LinearLayoutManager(bloodSugarDataDetailActivity));
        RecyclerView recyclerView = activityBloodSugarDataDetailBinding.rcvBloodOxygenDetail;
        BloodSugarDetailAdapter bloodSugarDetailAdapter3 = this.adapter;
        if (bloodSugarDetailAdapter3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
        } else {
            bloodSugarDetailAdapter = bloodSugarDetailAdapter3;
        }
        recyclerView.setAdapter(bloodSugarDetailAdapter);
        activityBloodSugarDataDetailBinding.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarDataDetailActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                BloodSugarDataDetailActivity.m650setupViews$lambda1$lambda0(BloodSugarDataDetailActivity.this, view);
            }
        });
        getViewModel().getUiDetail().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.bloodsugar.BloodSugarDataDetailActivity$$ExternalSyntheticLambda1
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                BloodSugarDataDetailActivity.m651setupViews$lambda2(BloodSugarDataDetailActivity.this, (BloodSugarActivityViewModel.BloodSugarDetail) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-1$lambda-0, reason: not valid java name */
    public static final void m650setupViews$lambda1$lambda0(BloodSugarDataDetailActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.startAnim();
        this$0.getViewModel().syncTodayData();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-2, reason: not valid java name */
    public static final void m651setupViews$lambda2(BloodSugarDataDetailActivity this$0, BloodSugarActivityViewModel.BloodSugarDetail bloodSugarDetail) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.getViewModel().getDetailList().clear();
        this$0.getViewModel().getDetailList().addAll(bloodSugarDetail.getData());
        BloodSugarDetailAdapter bloodSugarDetailAdapter = null;
        if (this$0.getViewModel().getDetailList().size() == 0) {
            ActivityBloodSugarDataDetailBinding activityBloodSugarDataDetailBinding = this$0.binding;
            if (activityBloodSugarDataDetailBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarDataDetailBinding = null;
            }
            ViewKt.visible(activityBloodSugarDataDetailBinding.noDataView);
            ActivityBloodSugarDataDetailBinding activityBloodSugarDataDetailBinding2 = this$0.binding;
            if (activityBloodSugarDataDetailBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarDataDetailBinding2 = null;
            }
            ViewKt.visible(activityBloodSugarDataDetailBinding2.tvErrorText);
        } else {
            ActivityBloodSugarDataDetailBinding activityBloodSugarDataDetailBinding3 = this$0.binding;
            if (activityBloodSugarDataDetailBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityBloodSugarDataDetailBinding3 = null;
            }
            ViewKt.gone(activityBloodSugarDataDetailBinding3.noDataView);
        }
        BloodSugarDetailAdapter bloodSugarDetailAdapter2 = this$0.adapter;
        if (bloodSugarDetailAdapter2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
        } else {
            bloodSugarDetailAdapter = bloodSugarDetailAdapter2;
        }
        bloodSugarDetailAdapter.notifyDataSetChanged();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if ((messageEvent instanceof ManualRefreshEvent) && this.date.isToday()) {
            getViewModel().queryBloodSugarByDateDetail(this.date);
        }
    }

    private final void startAnim() {
        ActivityBloodSugarDataDetailBinding activityBloodSugarDataDetailBinding = this.binding;
        ActivityBloodSugarDataDetailBinding activityBloodSugarDataDetailBinding2 = null;
        if (activityBloodSugarDataDetailBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityBloodSugarDataDetailBinding = null;
        }
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(activityBloodSugarDataDetailBinding.titleBar.tvRightText, Key.ROTATION, 0.0f, 360.0f);
        float f = getResources().getDisplayMetrics().density * 10000;
        ActivityBloodSugarDataDetailBinding activityBloodSugarDataDetailBinding3 = this.binding;
        if (activityBloodSugarDataDetailBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityBloodSugarDataDetailBinding2 = activityBloodSugarDataDetailBinding3;
        }
        activityBloodSugarDataDetailBinding2.titleBar.tvRightText.setCameraDistance(f);
        ofFloat.setDuration(1500L);
        ofFloat.start();
    }
}
