package com.qcwireless.qcwatch.ui.home.bp;

import android.os.Bundle;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.event.ManualRefreshEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityManualBloodPressureDetailBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.repository.entity.BloodPressureManualEntity;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodPressureRepository;
import com.qcwireless.qcwatch.ui.home.bp.adapter.ManualBloodPressureDetailBgAdapter;
import com.qcwireless.qcwatch.ui.home.bp.bean.BpDetailBean;
import com.qcwireless.ring.R;
import java.util.ArrayList;
import java.util.List;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;

/* compiled from: ManualBloodPressureDetailActivity.kt */
@Metadata(d1 = {"\u0000@\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\u000e\u001a\u00020\u000f2\b\u0010\u0010\u001a\u0004\u0018\u00010\u0011H\u0014J\u0010\u0010\u0012\u001a\u00020\u000f2\u0006\u0010\u0013\u001a\u00020\u0014H\u0017J\u0010\u0010\u0015\u001a\u00020\u000f2\u0006\u0010\u0007\u001a\u00020\bH\u0002J\b\u0010\u0016\u001a\u00020\u000fH\u0014R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u0017\u0010\t\u001a\b\u0012\u0004\u0012\u00020\u000b0\n¢\u0006\b\n\u0000\u001a\u0004\b\f\u0010\r¨\u0006\u0017"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/bp/ManualBloodPressureDetailActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/bp/adapter/ManualBloodPressureDetailBgAdapter;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityManualBloodPressureDetailBinding;", "date", "Lcom/qcwireless/qc_utils/date/DateUtil;", "manualList", "", "Lcom/qcwireless/qcwatch/ui/home/bp/bean/BpDetailBean;", "getManualList", "()Ljava/util/List;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "queryManualBloodPressure", "setupViews", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class ManualBloodPressureDetailActivity extends BaseActivity {
    private ManualBloodPressureDetailBgAdapter adapter;
    private ActivityManualBloodPressureDetailBinding binding;
    private final List<BpDetailBean> manualList = new ArrayList();
    private DateUtil date = new DateUtil();

    public final List<BpDetailBean> getManualList() {
        return this.manualList;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityManualBloodPressureDetailBinding inflate = ActivityManualBloodPressureDetailBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        Bundle extras = getIntent().getExtras();
        ManualBloodPressureDetailBgAdapter manualBloodPressureDetailBgAdapter = null;
        Integer valueOf = extras != null ? Integer.valueOf(extras.getInt("timestamp")) : null;
        Intrinsics.checkNotNull(valueOf);
        long intValue = valueOf.intValue();
        this.date = new DateUtil(intValue, true);
        ManualBloodPressureDetailActivity manualBloodPressureDetailActivity = this;
        this.adapter = new ManualBloodPressureDetailBgAdapter(manualBloodPressureDetailActivity, this.manualList);
        ActivityManualBloodPressureDetailBinding activityManualBloodPressureDetailBinding = this.binding;
        if (activityManualBloodPressureDetailBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityManualBloodPressureDetailBinding = null;
        }
        activityManualBloodPressureDetailBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_480));
        activityManualBloodPressureDetailBinding.tvDataDate.setText(new DateUtil(intValue, true).getY_M_D());
        activityManualBloodPressureDetailBinding.rcvBloodPressureDetail.setLayoutManager(new LinearLayoutManager(manualBloodPressureDetailActivity));
        RecyclerView recyclerView = activityManualBloodPressureDetailBinding.rcvBloodPressureDetail;
        ManualBloodPressureDetailBgAdapter manualBloodPressureDetailBgAdapter2 = this.adapter;
        if (manualBloodPressureDetailBgAdapter2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
        } else {
            manualBloodPressureDetailBgAdapter = manualBloodPressureDetailBgAdapter2;
        }
        recyclerView.setAdapter(manualBloodPressureDetailBgAdapter);
        queryManualBloodPressure(this.date);
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if ((messageEvent instanceof ManualRefreshEvent) && this.date.isToday()) {
            queryManualBloodPressure(this.date);
        }
    }

    private final void queryManualBloodPressure(final DateUtil date) {
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<ManualBloodPressureDetailActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.ManualBloodPressureDetailActivity$queryManualBloodPressure$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(ManualBloodPressureDetailActivity manualBloodPressureDetailActivity) {
                invoke2(manualBloodPressureDetailActivity);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(ManualBloodPressureDetailActivity ktxRunOnBgSingle) {
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                BloodPressureRepository getInstance = BloodPressureRepository.INSTANCE.getGetInstance();
                String y_m_d = DateUtil.this.getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d, "date.y_M_D");
                List<BloodPressureManualEntity> queryManualBloodPressureAll = getInstance.queryManualBloodPressureAll(y_m_d);
                ktxRunOnBgSingle.getManualList().clear();
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(queryManualBloodPressureAll.size()));
                for (BloodPressureManualEntity bloodPressureManualEntity : queryManualBloodPressureAll) {
                    ktxRunOnBgSingle.getManualList().add(new BpDetailBean(new DateUtil(bloodPressureManualEntity.getTimestamp(), true).getTodayMin(), bloodPressureManualEntity.getSbp(), bloodPressureManualEntity.getDbp(), bloodPressureManualEntity.getTimestamp()));
                }
                ThreadExtKt.ktxRunOnUi(ktxRunOnBgSingle, new Function1<ManualBloodPressureDetailActivity, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.bp.ManualBloodPressureDetailActivity$queryManualBloodPressure$1.2
                    @Override // kotlin.jvm.functions.Function1
                    public /* bridge */ /* synthetic */ Unit invoke(ManualBloodPressureDetailActivity manualBloodPressureDetailActivity) {
                        invoke2(manualBloodPressureDetailActivity);
                        return Unit.INSTANCE;
                    }

                    /* renamed from: invoke, reason: avoid collision after fix types in other method */
                    public final void invoke2(ManualBloodPressureDetailActivity ktxRunOnUi) {
                        ActivityManualBloodPressureDetailBinding activityManualBloodPressureDetailBinding;
                        ActivityManualBloodPressureDetailBinding activityManualBloodPressureDetailBinding2;
                        ManualBloodPressureDetailBgAdapter manualBloodPressureDetailBgAdapter;
                        ActivityManualBloodPressureDetailBinding activityManualBloodPressureDetailBinding3;
                        ActivityManualBloodPressureDetailBinding activityManualBloodPressureDetailBinding4;
                        Intrinsics.checkNotNullParameter(ktxRunOnUi, "$this$ktxRunOnUi");
                        ManualBloodPressureDetailBgAdapter manualBloodPressureDetailBgAdapter2 = null;
                        if (ktxRunOnUi.getManualList().size() == 0) {
                            activityManualBloodPressureDetailBinding3 = ktxRunOnUi.binding;
                            if (activityManualBloodPressureDetailBinding3 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityManualBloodPressureDetailBinding3 = null;
                            }
                            ViewKt.visible(activityManualBloodPressureDetailBinding3.noDataView);
                            activityManualBloodPressureDetailBinding4 = ktxRunOnUi.binding;
                            if (activityManualBloodPressureDetailBinding4 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityManualBloodPressureDetailBinding4 = null;
                            }
                            ViewKt.visible(activityManualBloodPressureDetailBinding4.tvErrorText);
                        } else {
                            activityManualBloodPressureDetailBinding = ktxRunOnUi.binding;
                            if (activityManualBloodPressureDetailBinding == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityManualBloodPressureDetailBinding = null;
                            }
                            ViewKt.gone(activityManualBloodPressureDetailBinding.noDataView);
                            activityManualBloodPressureDetailBinding2 = ktxRunOnUi.binding;
                            if (activityManualBloodPressureDetailBinding2 == null) {
                                Intrinsics.throwUninitializedPropertyAccessException("binding");
                                activityManualBloodPressureDetailBinding2 = null;
                            }
                            ViewKt.gone(activityManualBloodPressureDetailBinding2.tvErrorText);
                        }
                        manualBloodPressureDetailBgAdapter = ktxRunOnUi.adapter;
                        if (manualBloodPressureDetailBgAdapter == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("adapter");
                        } else {
                            manualBloodPressureDetailBgAdapter2 = manualBloodPressureDetailBgAdapter;
                        }
                        manualBloodPressureDetailBgAdapter2.notifyDataSetChanged();
                    }
                });
            }
        });
    }
}
