package com.qcwireless.qcwatch.ui.home.drag;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.recyclerview.widget.ItemTouchHelper;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.qcwireless.qcwatch.databinding.ActivityDragSelectBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.repository.device.DeviceSupportRepository;
import com.qcwireless.qcwatch.ui.home.drag.helper.DragRecyclerViewAdapter;
import com.qcwireless.qcwatch.ui.home.drag.helper.ItemEntity;
import com.qcwireless.qcwatch.ui.home.drag.helper.MyItemTouchHelperCallback;
import com.qcwireless.qcwatch.ui.home.drag.helper.OnStartDragListener;
import com.qcwireless.ring.R;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.BuildersKt__Builders_commonKt;
import kotlinx.coroutines.GlobalScope;

/* compiled from: DragSelectActivity.kt */
@Metadata(d1 = {"\u0000L\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010%\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0004\u0018\u0000 \u001c2\u00020\u00012\u00020\u0002:\u0001\u001cB\u0005¢\u0006\u0002\u0010\u0003J\u0012\u0010\u0010\u001a\u00020\u00112\b\u0010\u0012\u001a\u0004\u0018\u00010\u0013H\u0014J\b\u0010\u0014\u001a\u00020\u0011H\u0014J\u0016\u0010\u0015\u001a\u00020\u00112\f\u0010\u0016\u001a\b\u0012\u0004\u0012\u00020\f0\u000bH\u0016J\u0012\u0010\u0017\u001a\u00020\u00112\b\u0010\u0018\u001a\u0004\u0018\u00010\u0019H\u0016J\b\u0010\u001a\u001a\u00020\u0011H\u0002J\b\u0010\u001b\u001a\u00020\u0011H\u0014R\u000e\u0010\u0004\u001a\u00020\u0005X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0007X\u0082.¢\u0006\u0002\n\u0000R\u0010\u0010\b\u001a\u0004\u0018\u00010\tX\u0082\u000e¢\u0006\u0002\n\u0000R\u0014\u0010\n\u001a\b\u0012\u0004\u0012\u00020\f0\u000bX\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\r\u001a\u000e\u0012\u0004\u0012\u00020\u000f\u0012\u0004\u0012\u00020\f0\u000eX\u0082.¢\u0006\u0002\n\u0000¨\u0006\u001d"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/drag/DragSelectActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "Lcom/qcwireless/qcwatch/ui/home/drag/helper/OnStartDragListener;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/drag/helper/DragRecyclerViewAdapter;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityDragSelectBinding;", "mItemTouchHelper", "Landroidx/recyclerview/widget/ItemTouchHelper;", "mList", "", "Lcom/qcwireless/qcwatch/ui/home/drag/helper/ItemEntity;", "map", "", "", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onDestroy", "onEndDrag", "list", "onStartDrag", "viewHolder", "Landroidx/recyclerview/widget/RecyclerView$ViewHolder;", "refreshSupportUi", "setupViews", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class DragSelectActivity extends BaseActivity implements OnStartDragListener {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private DragRecyclerViewAdapter adapter;
    private ActivityDragSelectBinding binding;
    private ItemTouchHelper mItemTouchHelper;
    private List<ItemEntity> mList = new ArrayList();
    private Map<Integer, ItemEntity> map;

    @Override // com.qcwireless.qcwatch.ui.home.drag.helper.OnStartDragListener
    public void onEndDrag(List<ItemEntity> list) {
        Intrinsics.checkNotNullParameter(list, "list");
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityDragSelectBinding inflate = ActivityDragSelectBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        refreshSupportUi();
        this.adapter = new DragRecyclerViewAdapter(this.mList, this);
        ActivityDragSelectBinding activityDragSelectBinding = this.binding;
        ActivityDragSelectBinding activityDragSelectBinding2 = null;
        if (activityDragSelectBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityDragSelectBinding = null;
        }
        activityDragSelectBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_6));
        activityDragSelectBinding.dragRcv.setLayoutManager(new LinearLayoutManager(this, 1, false));
        RecyclerView recyclerView = activityDragSelectBinding.dragRcv;
        DragRecyclerViewAdapter dragRecyclerViewAdapter = this.adapter;
        if (dragRecyclerViewAdapter == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            dragRecyclerViewAdapter = null;
        }
        recyclerView.setAdapter(dragRecyclerViewAdapter);
        DragRecyclerViewAdapter dragRecyclerViewAdapter2 = this.adapter;
        if (dragRecyclerViewAdapter2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            dragRecyclerViewAdapter2 = null;
        }
        dragRecyclerViewAdapter2.setOnClickSwitchListener(new DragRecyclerViewAdapter.OnClickSwitchListener() { // from class: com.qcwireless.qcwatch.ui.home.drag.DragSelectActivity$setupViews$2
            @Override // com.qcwireless.qcwatch.ui.home.drag.helper.DragRecyclerViewAdapter.OnClickSwitchListener
            public void onClick(int position, boolean isChecked) {
                List list;
                List list2;
                Map map;
                List<ItemEntity> list3;
                Map<Integer, ItemEntity> map2;
                Map map3;
                list = DragSelectActivity.this.mList;
                ItemEntity itemEntity = (ItemEntity) list.get(position);
                itemEntity.setChecked(isChecked);
                list2 = DragSelectActivity.this.mList;
                list2.set(position, itemEntity);
                map = DragSelectActivity.this.map;
                Map<Integer, ItemEntity> map4 = null;
                if (map == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("map");
                    map = null;
                }
                map.clear();
                list3 = DragSelectActivity.this.mList;
                DragSelectActivity dragSelectActivity = DragSelectActivity.this;
                for (ItemEntity itemEntity2 : list3) {
                    map3 = dragSelectActivity.map;
                    if (map3 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("map");
                        map3 = null;
                    }
                    map3.put(Integer.valueOf(itemEntity2.getModelType()), itemEntity2);
                }
                DeviceSupportRepository getInstance = DeviceSupportRepository.INSTANCE.getGetInstance();
                map2 = DragSelectActivity.this.map;
                if (map2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("map");
                } else {
                    map4 = map2;
                }
                getInstance.saveDeviceSupport(map4);
            }
        });
        DragRecyclerViewAdapter dragRecyclerViewAdapter3 = this.adapter;
        if (dragRecyclerViewAdapter3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
            dragRecyclerViewAdapter3 = null;
        }
        ItemTouchHelper itemTouchHelper = new ItemTouchHelper(new MyItemTouchHelperCallback(dragRecyclerViewAdapter3));
        this.mItemTouchHelper = itemTouchHelper;
        Intrinsics.checkNotNull(itemTouchHelper);
        ActivityDragSelectBinding activityDragSelectBinding3 = this.binding;
        if (activityDragSelectBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityDragSelectBinding2 = activityDragSelectBinding3;
        }
        itemTouchHelper.attachToRecyclerView(activityDragSelectBinding2.dragRcv);
    }

    private final void refreshSupportUi() {
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new DragSelectActivity$refreshSupportUi$1(this, null), 3, null);
    }

    @Override // com.qcwireless.qcwatch.ui.home.drag.helper.OnStartDragListener
    public void onStartDrag(RecyclerView.ViewHolder viewHolder) {
        ItemTouchHelper itemTouchHelper = this.mItemTouchHelper;
        Intrinsics.checkNotNull(itemTouchHelper);
        Intrinsics.checkNotNull(viewHolder);
        itemTouchHelper.startDrag(viewHolder);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onDestroy() {
        super.onDestroy();
        Map<Integer, ItemEntity> map = this.map;
        Map<Integer, ItemEntity> map2 = null;
        if (map == null) {
            Intrinsics.throwUninitializedPropertyAccessException("map");
            map = null;
        }
        map.clear();
        for (ItemEntity itemEntity : this.mList) {
            Map<Integer, ItemEntity> map3 = this.map;
            if (map3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("map");
                map3 = null;
            }
            map3.put(Integer.valueOf(itemEntity.getModelType()), itemEntity);
        }
        DeviceSupportRepository getInstance = DeviceSupportRepository.INSTANCE.getGetInstance();
        Map<Integer, ItemEntity> map4 = this.map;
        if (map4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("map");
        } else {
            map2 = map4;
        }
        getInstance.saveDragSelectDeviceSupport(map2);
    }

    /* compiled from: DragSelectActivity.kt */
    @Metadata(d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u000e\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u0006¨\u0006\u0007"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/drag/DragSelectActivity$Companion;", "", "()V", "start", "", "context", "Landroid/content/Context;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final void start(Context context) {
            Intrinsics.checkNotNullParameter(context, "context");
            context.startActivity(new Intent(context, (Class<?>) DragSelectActivity.class));
        }
    }
}
