package com.qcwireless.qcwatch.ui.home.heart;

import android.os.Bundle;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityAppHeartDetailBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.home.heart.HeartActivityViewModel;
import com.qcwireless.qcwatch.ui.home.heart.adapter.HeartRateDetailAdapter;
import com.qcwireless.ring.R;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: AppHeartDetailActivity.kt */
@Metadata(d1 = {"\u0000.\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\r\u001a\u00020\u000e2\b\u0010\u000f\u001a\u0004\u0018\u00010\u0010H\u0014J\b\u0010\u0011\u001a\u00020\u000eH\u0014R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u001b\u0010\u0007\u001a\u00020\b8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u000b\u0010\f\u001a\u0004\b\t\u0010\n¨\u0006\u0012"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/heart/AppHeartDetailActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "adapter", "Lcom/qcwireless/qcwatch/ui/home/heart/adapter/HeartRateDetailAdapter;", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityAppHeartDetailBinding;", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivityViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/heart/HeartActivityViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "setupViews", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class AppHeartDetailActivity extends BaseActivity {
    private HeartRateDetailAdapter adapter;
    private ActivityAppHeartDetailBinding binding;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public AppHeartDetailActivity() {
        final AppHeartDetailActivity appHeartDetailActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<HeartActivityViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.heart.AppHeartDetailActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.heart.HeartActivityViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final HeartActivityViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(HeartActivityViewModel.class), qualifier, b);
            }
        });
    }

    private final HeartActivityViewModel getViewModel() {
        return (HeartActivityViewModel) this.viewModel.getValue();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityAppHeartDetailBinding inflate = ActivityAppHeartDetailBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        Bundle extras = getIntent().getExtras();
        HeartRateDetailAdapter heartRateDetailAdapter = null;
        Integer valueOf = extras != null ? Integer.valueOf(extras.getInt("timestamp")) : null;
        Intrinsics.checkNotNull(valueOf);
        final int intValue = valueOf.intValue();
        long j = intValue;
        getViewModel().queryAppHeartRateByDateDetail(new DateUtil(j, true));
        AppHeartDetailActivity appHeartDetailActivity = this;
        HeartRateDetailAdapter heartRateDetailAdapter2 = new HeartRateDetailAdapter(appHeartDetailActivity, getViewModel().getDetailList());
        this.adapter = heartRateDetailAdapter2;
        heartRateDetailAdapter2.setEmptyView(R.layout.recycleview_heart_empty);
        ActivityAppHeartDetailBinding activityAppHeartDetailBinding = this.binding;
        if (activityAppHeartDetailBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityAppHeartDetailBinding = null;
        }
        activityAppHeartDetailBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_480));
        activityAppHeartDetailBinding.tvDataDate.setText(new DateUtil(j, true).getY_M_D());
        ViewKt.gone(activityAppHeartDetailBinding.titleBar.tvRightText);
        activityAppHeartDetailBinding.rcvHeartRateDetail.setLayoutManager(new LinearLayoutManager(appHeartDetailActivity));
        RecyclerView recyclerView = activityAppHeartDetailBinding.rcvHeartRateDetail;
        HeartRateDetailAdapter heartRateDetailAdapter3 = this.adapter;
        if (heartRateDetailAdapter3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
        } else {
            heartRateDetailAdapter = heartRateDetailAdapter3;
        }
        recyclerView.setAdapter(heartRateDetailAdapter);
        getViewModel().getUiDetail().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.heart.AppHeartDetailActivity$$ExternalSyntheticLambda0
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                AppHeartDetailActivity.m756setupViews$lambda1(AppHeartDetailActivity.this, intValue, (HeartActivityViewModel.HeartRateDetail) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-1, reason: not valid java name */
    public static final void m756setupViews$lambda1(AppHeartDetailActivity this$0, int i, HeartActivityViewModel.HeartRateDetail heartRateDetail) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        this$0.getViewModel().getDetailList().clear();
        this$0.getViewModel().getDetailList().addAll(heartRateDetail.getData());
        HeartRateDetailAdapter heartRateDetailAdapter = null;
        if (this$0.getViewModel().getDetailList().size() == 0) {
            ActivityAppHeartDetailBinding activityAppHeartDetailBinding = this$0.binding;
            if (activityAppHeartDetailBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityAppHeartDetailBinding = null;
            }
            ViewKt.visible(activityAppHeartDetailBinding.noDataView);
            if (new DateUtil(i, true).isToday()) {
                ActivityAppHeartDetailBinding activityAppHeartDetailBinding2 = this$0.binding;
                if (activityAppHeartDetailBinding2 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityAppHeartDetailBinding2 = null;
                }
                ViewKt.visible(activityAppHeartDetailBinding2.tvErrorText);
            } else {
                ActivityAppHeartDetailBinding activityAppHeartDetailBinding3 = this$0.binding;
                if (activityAppHeartDetailBinding3 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    activityAppHeartDetailBinding3 = null;
                }
                ViewKt.visible(activityAppHeartDetailBinding3.tvErrorText);
            }
        } else {
            ActivityAppHeartDetailBinding activityAppHeartDetailBinding4 = this$0.binding;
            if (activityAppHeartDetailBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityAppHeartDetailBinding4 = null;
            }
            ViewKt.gone(activityAppHeartDetailBinding4.noDataView);
        }
        HeartRateDetailAdapter heartRateDetailAdapter2 = this$0.adapter;
        if (heartRateDetailAdapter2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("adapter");
        } else {
            heartRateDetailAdapter = heartRateDetailAdapter2;
        }
        heartRateDetailAdapter.notifyDataSetChanged();
    }
}
