package com.qcwireless.qcwatch.ui.home.menstruation;

import android.content.Intent;
import android.os.Bundle;
import android.os.Parcelable;
import android.view.View;
import android.widget.CompoundButton;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.dialog.BottomTimeDialog;
import com.qcwireless.qcwatch.base.dialog.BottomWheelViewDialog;
import com.qcwireless.qcwatch.base.dialog.BottomYMDDialog;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.QcDateUtil;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityMenstruationSettingBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.view.QSettingItem;
import com.qcwireless.qcwatch.ui.home.menstruation.MenstruationViewModel;
import com.qcwireless.qcwatch.ui.home.menstruation.bean.MenstruationBean;
import com.qcwireless.ring.R;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.jvm.internal.StringCompanionObject;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: MenstruationSettingActivity.kt */
@Metadata(d1 = {"\u0000.\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\t\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0012\u0010\r\u001a\u00020\u000e2\b\u0010\u000f\u001a\u0004\u0018\u00010\u0010H\u0014J\b\u0010\u0011\u001a\u00020\u000eH\u0014J\b\u0010\u0012\u001a\u00020\u000eH\u0014J\u0006\u0010\u0013\u001a\u00020\u000eJ\u0006\u0010\u0014\u001a\u00020\u000eJ\u0006\u0010\u0015\u001a\u00020\u000eJ\u0006\u0010\u0016\u001a\u00020\u000eJ\u0006\u0010\u0017\u001a\u00020\u000eJ\u0006\u0010\u0018\u001a\u00020\u000eR\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u001b\u0010\u0007\u001a\u00020\b8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u000b\u0010\f\u001a\u0004\b\t\u0010\n¨\u0006\u0019"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/menstruation/MenstruationSettingActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityMenstruationSettingBinding;", "menstruationSettings", "Lcom/qcwireless/qcwatch/ui/home/menstruation/bean/MenstruationBean;", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/menstruation/MenstruationViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/menstruation/MenstruationViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onResume", "setupViews", "showAlert1Dialog", "showAlert2Dialog", "showCycleDialog", "showDateDialog", "showDuringDialog", "showTimeDialog", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class MenstruationSettingActivity extends BaseActivity {
    private ActivityMenstruationSettingBinding binding;
    private MenstruationBean menstruationSettings;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;

    public MenstruationSettingActivity() {
        final MenstruationSettingActivity menstruationSettingActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<MenstruationViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [com.qcwireless.qcwatch.ui.home.menstruation.MenstruationViewModel, androidx.lifecycle.ViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final MenstruationViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(MenstruationViewModel.class), qualifier, b);
            }
        });
    }

    private final MenstruationViewModel getViewModel() {
        return (MenstruationViewModel) this.viewModel.getValue();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityMenstruationSettingBinding inflate = ActivityMenstruationSettingBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        getViewModel().initData();
        final ActivityMenstruationSettingBinding activityMenstruationSettingBinding = this.binding;
        if (activityMenstruationSettingBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMenstruationSettingBinding = null;
        }
        activityMenstruationSettingBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_191));
        ViewKt.visible(activityMenstruationSettingBinding.titleBar.tvRightText);
        activityMenstruationSettingBinding.titleBar.tvRightText.setText(getString(R.string.qc_text_79));
        activityMenstruationSettingBinding.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                MenstruationSettingActivity.m811setupViews$lambda3$lambda0(MenstruationSettingActivity.this, view);
            }
        });
        activityMenstruationSettingBinding.qcMsSwitch.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda1
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                MenstruationSettingActivity.m812setupViews$lambda3$lambda1(ActivityMenstruationSettingBinding.this, this, compoundButton, z);
            }
        });
        activityMenstruationSettingBinding.qcMsDuring.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$setupViews$1$3
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                MenstruationSettingActivity.this.showDuringDialog();
            }
        });
        activityMenstruationSettingBinding.qcMsCycle.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$setupViews$1$4
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                MenstruationSettingActivity.this.showCycleDialog();
            }
        });
        activityMenstruationSettingBinding.qcMsLast.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$setupViews$1$5
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                MenstruationSettingActivity.this.showDateDialog();
            }
        });
        activityMenstruationSettingBinding.qcMsAlarmSwitch.setQSettingItemCheckListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda2
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                MenstruationSettingActivity.m813setupViews$lambda3$lambda2(ActivityMenstruationSettingBinding.this, this, compoundButton, z);
            }
        });
        activityMenstruationSettingBinding.qcMsAlarm1.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$setupViews$1$7
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                MenstruationSettingActivity.this.showAlert1Dialog();
            }
        });
        activityMenstruationSettingBinding.qcMsAlarm2.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$setupViews$1$8
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                MenstruationSettingActivity.this.showAlert2Dialog();
            }
        });
        activityMenstruationSettingBinding.qcMsAlarm3.setmOnLSettingItemClick(new QSettingItem.OnLSettingItemClick() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$setupViews$1$9
            @Override // com.qcwireless.qcwatch.ui.base.view.QSettingItem.OnLSettingItemClick
            public void click(int id, boolean isChecked) {
                MenstruationSettingActivity.this.showTimeDialog();
            }
        });
        getViewModel().getUiState().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda3
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                MenstruationSettingActivity.m814setupViews$lambda5(MenstruationSettingActivity.this, (MenstruationViewModel.MenstruationSettingUI) obj);
            }
        });
        getViewModel().queryMenstruationSetting();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-3$lambda-0, reason: not valid java name */
    public static final void m811setupViews$lambda3$lambda0(MenstruationSettingActivity this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (this$0.menstruationSettings != null) {
            MenstruationViewModel viewModel = this$0.getViewModel();
            MenstruationBean menstruationBean = this$0.menstruationSettings;
            if (menstruationBean == null) {
                Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
                menstruationBean = null;
            }
            viewModel.saveMenstruationSetting(menstruationBean);
            this$0.finish();
            if (UserConfig.INSTANCE.getInstance().getMenstruationSetting()) {
                return;
            }
            UserConfig.INSTANCE.getInstance().setMenstruationSetting(true);
            UserConfig.INSTANCE.getInstance().save();
            MenstruationSettingActivity menstruationSettingActivity = this$0;
            ArrayList<Pair> arrayList = new ArrayList();
            Intent intent = new Intent(menstruationSettingActivity, (Class<?>) MenstruationActivity.class);
            for (Pair pair : arrayList) {
                if (pair != null) {
                    String str = (String) pair.getFirst();
                    Object second = pair.getSecond();
                    if (second instanceof Integer) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                    } else if (second instanceof Byte) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                    } else if (second instanceof Character) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                    } else if (second instanceof Short) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                    } else if (second instanceof Boolean) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                    } else if (second instanceof Long) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                    } else if (second instanceof Float) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                    } else if (second instanceof Double) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                    } else if (second instanceof String) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                    } else if (second instanceof CharSequence) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                    } else if (second instanceof Parcelable) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                    } else if (second instanceof Object[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof ArrayList) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof Serializable) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof boolean[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                    } else if (second instanceof byte[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                    } else if (second instanceof short[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                    } else if (second instanceof char[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                    } else if (second instanceof int[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                    } else if (second instanceof long[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                    } else if (second instanceof float[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                    } else if (second instanceof double[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                    } else if (second instanceof Bundle) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                    } else if (second instanceof Intent) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                    } else {
                        Unit unit = Unit.INSTANCE;
                    }
                }
            }
            menstruationSettingActivity.startActivity(intent);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-3$lambda-1, reason: not valid java name */
    public static final void m812setupViews$lambda3$lambda1(ActivityMenstruationSettingBinding this_run, MenstruationSettingActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (z) {
            ViewKt.visible(this_run.menstruationGroup);
        } else {
            ViewKt.visible(this_run.menstruationGroup);
        }
        MenstruationBean menstruationBean = this$0.menstruationSettings;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        menstruationBean.setMenstruationSwitch(z);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-3$lambda-2, reason: not valid java name */
    public static final void m813setupViews$lambda3$lambda2(ActivityMenstruationSettingBinding this_run, MenstruationSettingActivity this$0, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (z) {
            ViewKt.visible(this_run.alarmGroup);
        } else {
            ViewKt.gone(this_run.alarmGroup);
        }
        MenstruationBean menstruationBean = this$0.menstruationSettings;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        menstruationBean.setMenstruationAlarm(z);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5, reason: not valid java name */
    public static final void m814setupViews$lambda5(MenstruationSettingActivity this$0, MenstruationViewModel.MenstruationSettingUI menstruationSettingUI) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (menstruationSettingUI != null) {
            this$0.menstruationSettings = menstruationSettingUI.getEntity();
            ActivityMenstruationSettingBinding activityMenstruationSettingBinding = this$0.binding;
            if (activityMenstruationSettingBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityMenstruationSettingBinding = null;
            }
            boolean menstruationSwitch = menstruationSettingUI.getEntity().getMenstruationSwitch();
            activityMenstruationSettingBinding.qcMsSwitch.setChecked(menstruationSwitch);
            activityMenstruationSettingBinding.qcMsDuring.setRightText(menstruationSettingUI.getEntity().getDuring() + this$0.getString(R.string.qc_text_228));
            activityMenstruationSettingBinding.qcMsCycle.setRightText(menstruationSettingUI.getEntity().getCycle() + this$0.getString(R.string.qc_text_228));
            activityMenstruationSettingBinding.qcMsLast.setRightText(QcDateUtil.INSTANCE.getGetInstance().localDateFormat(new DateUtil(menstruationSettingUI.getEntity().getLastTime(), true)));
            activityMenstruationSettingBinding.qcMsAlarmSwitch.setChecked(menstruationSettingUI.getEntity().getMenstruationAlarm());
            QSettingItem qSettingItem = activityMenstruationSettingBinding.qcMsAlarm1;
            StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
            String string = this$0.getString(R.string.qc_text_246);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_246)");
            String format = String.format(string, Arrays.copyOf(new Object[]{String.valueOf(menstruationSettingUI.getEntity().getAlarm1())}, 1));
            Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
            qSettingItem.setRightText(format);
            QSettingItem qSettingItem2 = activityMenstruationSettingBinding.qcMsAlarm2;
            StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
            String string2 = this$0.getString(R.string.qc_text_246);
            Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_246)");
            String format2 = String.format(string2, Arrays.copyOf(new Object[]{String.valueOf(menstruationSettingUI.getEntity().getAlarm2())}, 1));
            Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
            qSettingItem2.setRightText(format2);
            activityMenstruationSettingBinding.qcMsAlarm3.setRightText(DateUtil.dayMinToStr(menstruationSettingUI.getEntity().getAlarmMin()));
            if (menstruationSwitch) {
                ViewKt.visible(activityMenstruationSettingBinding.menstruationGroup);
                return;
            } else {
                ViewKt.visible(activityMenstruationSettingBinding.menstruationGroup);
                return;
            }
        }
        this$0.getViewModel().queryMenstruationSetting();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onResume() {
        super.onResume();
    }

    public final void showDuringDialog() {
        BottomWheelViewDialog create = new BottomWheelViewDialog.Builder(getActivity()).create();
        create.initData(this, getViewModel().getDuringList());
        create.setDialogTitle(getString(R.string.qc_text_195));
        create.setUnitText(getString(R.string.qc_text_228));
        create.setListener(new BottomWheelViewDialog.SaveClickListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda7
            @Override // com.qcwireless.qcwatch.base.dialog.BottomWheelViewDialog.SaveClickListener
            public final void itemClick(int i) {
                MenstruationSettingActivity.m819showDuringDialog$lambda6(MenstruationSettingActivity.this, i);
            }
        });
        MenstruationBean menstruationBean = this.menstruationSettings;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        create.setCurrItemText(String.valueOf(menstruationBean.getDuring()));
        create.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showDuringDialog$lambda-6, reason: not valid java name */
    public static final void m819showDuringDialog$lambda6(MenstruationSettingActivity this$0, int i) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        MenstruationBean menstruationBean = this$0.menstruationSettings;
        MenstruationBean menstruationBean2 = null;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        menstruationBean.setDuring(Integer.parseInt(this$0.getViewModel().getDuringList().get(i)));
        ActivityMenstruationSettingBinding activityMenstruationSettingBinding = this$0.binding;
        if (activityMenstruationSettingBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMenstruationSettingBinding = null;
        }
        QSettingItem qSettingItem = activityMenstruationSettingBinding.qcMsDuring;
        StringBuilder sb = new StringBuilder();
        MenstruationBean menstruationBean3 = this$0.menstruationSettings;
        if (menstruationBean3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
        } else {
            menstruationBean2 = menstruationBean3;
        }
        sb.append(menstruationBean2.getDuring());
        sb.append(this$0.getString(R.string.qc_text_228));
        qSettingItem.setRightText(sb.toString());
    }

    public final void showCycleDialog() {
        BottomWheelViewDialog create = new BottomWheelViewDialog.Builder(getActivity()).create();
        create.initData(this, getViewModel().getCycleList());
        create.setDialogTitle(getString(R.string.qc_text_196));
        create.setUnitText(getString(R.string.qc_text_228));
        create.setListener(new BottomWheelViewDialog.SaveClickListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda6
            @Override // com.qcwireless.qcwatch.base.dialog.BottomWheelViewDialog.SaveClickListener
            public final void itemClick(int i) {
                MenstruationSettingActivity.m817showCycleDialog$lambda7(MenstruationSettingActivity.this, i);
            }
        });
        MenstruationBean menstruationBean = this.menstruationSettings;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        create.setCurrItemText(String.valueOf(menstruationBean.getCycle()));
        create.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showCycleDialog$lambda-7, reason: not valid java name */
    public static final void m817showCycleDialog$lambda7(MenstruationSettingActivity this$0, int i) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        MenstruationBean menstruationBean = this$0.menstruationSettings;
        MenstruationBean menstruationBean2 = null;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        menstruationBean.setCycle(Integer.parseInt(this$0.getViewModel().getCycleList().get(i)));
        ActivityMenstruationSettingBinding activityMenstruationSettingBinding = this$0.binding;
        if (activityMenstruationSettingBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMenstruationSettingBinding = null;
        }
        QSettingItem qSettingItem = activityMenstruationSettingBinding.qcMsCycle;
        StringBuilder sb = new StringBuilder();
        MenstruationBean menstruationBean3 = this$0.menstruationSettings;
        if (menstruationBean3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
        } else {
            menstruationBean2 = menstruationBean3;
        }
        sb.append(menstruationBean2.getCycle());
        sb.append(this$0.getString(R.string.qc_text_228));
        qSettingItem.setRightText(sb.toString());
    }

    public final void showDateDialog() {
        MenstruationBean menstruationBean = this.menstruationSettings;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        DateUtil dateUtil = new DateUtil(menstruationBean.getLastTime(), true);
        BottomYMDDialog create = new BottomYMDDialog.Builder(getActivity()).create();
        create.initData(this);
        create.setDialogTitle(getString(R.string.qc_text_197));
        create.setListener(new BottomYMDDialog.DialogSaveClickListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda9
            @Override // com.qcwireless.qcwatch.base.dialog.BottomYMDDialog.DialogSaveClickListener
            public final void itemClick(int i, int i2, int i3) {
                MenstruationSettingActivity.m818showDateDialog$lambda8(MenstruationSettingActivity.this, i, i2, i3);
            }
        });
        create.setCurrItem(dateUtil.getYear(), dateUtil.getMonth(), dateUtil.getDay());
        create.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showDateDialog$lambda-8, reason: not valid java name */
    public static final void m818showDateDialog$lambda8(MenstruationSettingActivity this$0, int i, int i2, int i3) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        DateUtil dateUtil = new DateUtil(i, i2, i3);
        ActivityMenstruationSettingBinding activityMenstruationSettingBinding = null;
        if (new DateUtil().daysBetweenMe(dateUtil) > 90) {
            String string = this$0.getString(R.string.qc_text_296);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_296)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        if (dateUtil.getUnixTimestamp() > new DateUtil().getUnixTimestamp()) {
            String string2 = this$0.getString(R.string.qc_text_229);
            Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_229)");
            GlobalKt.showToast$default(string2, 0, 1, null);
            return;
        }
        MenstruationBean menstruationBean = this$0.menstruationSettings;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        menstruationBean.setLastTime(dateUtil.getUnixTimestamp());
        ActivityMenstruationSettingBinding activityMenstruationSettingBinding2 = this$0.binding;
        if (activityMenstruationSettingBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityMenstruationSettingBinding = activityMenstruationSettingBinding2;
        }
        activityMenstruationSettingBinding.qcMsLast.setRightText(QcDateUtil.INSTANCE.getGetInstance().localDateFormat(dateUtil));
    }

    public final void showAlert1Dialog() {
        BottomWheelViewDialog create = new BottomWheelViewDialog.Builder(getActivity()).create();
        create.initData(this, getViewModel().getAlarmList());
        create.setDialogTitle(getString(R.string.qc_text_199));
        create.setUnitText(getString(R.string.qc_text_228));
        create.setListener(new BottomWheelViewDialog.SaveClickListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda8
            @Override // com.qcwireless.qcwatch.base.dialog.BottomWheelViewDialog.SaveClickListener
            public final void itemClick(int i) {
                MenstruationSettingActivity.m815showAlert1Dialog$lambda9(MenstruationSettingActivity.this, i);
            }
        });
        MenstruationBean menstruationBean = this.menstruationSettings;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        create.setCurrItemText(String.valueOf(menstruationBean.getAlarm1()));
        create.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showAlert1Dialog$lambda-9, reason: not valid java name */
    public static final void m815showAlert1Dialog$lambda9(MenstruationSettingActivity this$0, int i) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        MenstruationBean menstruationBean = this$0.menstruationSettings;
        MenstruationBean menstruationBean2 = null;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        menstruationBean.setAlarm1(Integer.parseInt(this$0.getViewModel().getAlarmList().get(i)));
        ActivityMenstruationSettingBinding activityMenstruationSettingBinding = this$0.binding;
        if (activityMenstruationSettingBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMenstruationSettingBinding = null;
        }
        QSettingItem qSettingItem = activityMenstruationSettingBinding.qcMsAlarm1;
        StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
        String string = this$0.getString(R.string.qc_text_246);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_246)");
        Object[] objArr = new Object[1];
        MenstruationBean menstruationBean3 = this$0.menstruationSettings;
        if (menstruationBean3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
        } else {
            menstruationBean2 = menstruationBean3;
        }
        objArr[0] = String.valueOf(menstruationBean2.getAlarm1());
        String format = String.format(string, Arrays.copyOf(objArr, 1));
        Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
        qSettingItem.setRightText(format);
    }

    public final void showAlert2Dialog() {
        BottomWheelViewDialog create = new BottomWheelViewDialog.Builder(getActivity()).create();
        create.initData(this, getViewModel().getAlarmList());
        create.setDialogTitle(getString(R.string.qc_text_200));
        create.setUnitText(getString(R.string.qc_text_228));
        create.setListener(new BottomWheelViewDialog.SaveClickListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda5
            @Override // com.qcwireless.qcwatch.base.dialog.BottomWheelViewDialog.SaveClickListener
            public final void itemClick(int i) {
                MenstruationSettingActivity.m816showAlert2Dialog$lambda10(MenstruationSettingActivity.this, i);
            }
        });
        MenstruationBean menstruationBean = this.menstruationSettings;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        create.setCurrItemText(String.valueOf(menstruationBean.getAlarm2()));
        create.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showAlert2Dialog$lambda-10, reason: not valid java name */
    public static final void m816showAlert2Dialog$lambda10(MenstruationSettingActivity this$0, int i) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        MenstruationBean menstruationBean = this$0.menstruationSettings;
        MenstruationBean menstruationBean2 = null;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        menstruationBean.setAlarm2(Integer.parseInt(this$0.getViewModel().getAlarmList().get(i)));
        ActivityMenstruationSettingBinding activityMenstruationSettingBinding = this$0.binding;
        if (activityMenstruationSettingBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityMenstruationSettingBinding = null;
        }
        QSettingItem qSettingItem = activityMenstruationSettingBinding.qcMsAlarm2;
        StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
        String string = this$0.getString(R.string.qc_text_246);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_246)");
        Object[] objArr = new Object[1];
        MenstruationBean menstruationBean3 = this$0.menstruationSettings;
        if (menstruationBean3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
        } else {
            menstruationBean2 = menstruationBean3;
        }
        objArr[0] = String.valueOf(menstruationBean2.getAlarm2());
        String format = String.format(string, Arrays.copyOf(objArr, 1));
        Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
        qSettingItem.setRightText(format);
    }

    public final void showTimeDialog() {
        BottomTimeDialog.Builder builder = new BottomTimeDialog.Builder(getActivity());
        builder.setContentView(R.layout.layout_dialog_time_selector);
        BottomTimeDialog create = builder.create();
        create.setListener(new BottomTimeDialog.TimeListener() { // from class: com.qcwireless.qcwatch.ui.home.menstruation.MenstruationSettingActivity$$ExternalSyntheticLambda4
            @Override // com.qcwireless.qcwatch.base.dialog.BottomTimeDialog.TimeListener
            public final void min(int i) {
                MenstruationSettingActivity.m820showTimeDialog$lambda11(MenstruationSettingActivity.this, i);
            }
        });
        create.initData(this);
        create.setTitle(getString(R.string.qc_text_201));
        MenstruationBean menstruationBean = this.menstruationSettings;
        MenstruationBean menstruationBean2 = null;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        int alarmMin = menstruationBean.getAlarmMin() / 60;
        MenstruationBean menstruationBean3 = this.menstruationSettings;
        if (menstruationBean3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
        } else {
            menstruationBean2 = menstruationBean3;
        }
        create.setCurrTime(alarmMin, menstruationBean2.getAlarmMin() % 60);
        create.show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showTimeDialog$lambda-11, reason: not valid java name */
    public static final void m820showTimeDialog$lambda11(MenstruationSettingActivity this$0, int i) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        MenstruationBean menstruationBean = this$0.menstruationSettings;
        ActivityMenstruationSettingBinding activityMenstruationSettingBinding = null;
        if (menstruationBean == null) {
            Intrinsics.throwUninitializedPropertyAccessException("menstruationSettings");
            menstruationBean = null;
        }
        menstruationBean.setAlarmMin(i);
        ActivityMenstruationSettingBinding activityMenstruationSettingBinding2 = this$0.binding;
        if (activityMenstruationSettingBinding2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityMenstruationSettingBinding = activityMenstruationSettingBinding2;
        }
        activityMenstruationSettingBinding.qcMsAlarm3.setRightText(DateUtil.dayMinToStr(i));
    }
}
