package com.qcwireless.qcwatch.ui.home.sleep;

import android.content.Intent;
import android.os.Bundle;
import android.os.Parcelable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.FragmentSleepBinding;
import com.qcwireless.qcwatch.ui.activity.MainActivity;
import com.qcwireless.qcwatch.ui.base.BaseFragment;
import com.qcwireless.qcwatch.ui.base.view.QSwitchButtonView;
import com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragment;
import com.qcwireless.qcwatch.ui.home.sleep.month.MonthSleepFragment;
import com.qcwireless.qcwatch.ui.home.sleep.week.WeekSleepFragment;
import com.qcwireless.ring.R;
import java.io.Serializable;
import java.util.ArrayList;
import kotlin.Metadata;
import kotlin.Pair;
import kotlin.Unit;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: SleepFragment.kt */
@Metadata(d1 = {"\u0000^\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0011\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \u001e2\u00020\u0001:\u0001\u001eB\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0013\u001a\u00020\u0014H\u0002J\b\u0010\u0015\u001a\u00020\u0012H\u0016J&\u0010\u0016\u001a\u0004\u0018\u00010\u00172\u0006\u0010\u0018\u001a\u00020\u00192\b\u0010\u001a\u001a\u0004\u0018\u00010\u001b2\b\u0010\u001c\u001a\u0004\u0018\u00010\u001dH\u0016R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u0010\u0010\u0005\u001a\u0004\u0018\u00010\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\u0007\u001a\u0004\u0018\u00010\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\t\u001a\u0004\u0018\u00010\nX\u0082\u000e¢\u0006\u0002\n\u0000R\u0016\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\r0\fX\u0082.¢\u0006\u0004\n\u0002\u0010\u000eR\u0010\u0010\u000f\u001a\u0004\u0018\u00010\u0010X\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006\u001f"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/sleep/SleepFragment;", "Lcom/qcwireless/qcwatch/ui/base/BaseFragment;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/FragmentSleepBinding;", "daySleepFragment", "Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragment;", "fragmentManager", "Landroidx/fragment/app/FragmentManager;", "monthSleepFragment", "Lcom/qcwireless/qcwatch/ui/home/sleep/month/MonthSleepFragment;", "titleList", "", "", "[Ljava/lang/String;", "weekSleepFragment", "Lcom/qcwireless/qcwatch/ui/home/sleep/week/WeekSleepFragment;", "hideFragments", "", "transaction", "Landroidx/fragment/app/FragmentTransaction;", "loadDataOnce", "onCreateView", "Landroid/view/View;", "inflater", "Landroid/view/LayoutInflater;", "container", "Landroid/view/ViewGroup;", "savedInstanceState", "Landroid/os/Bundle;", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class SleepFragment extends BaseFragment {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private FragmentSleepBinding binding;
    private DaySleepFragment daySleepFragment;
    private FragmentManager fragmentManager;
    private MonthSleepFragment monthSleepFragment;
    private String[] titleList;
    private WeekSleepFragment weekSleepFragment;

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        Intrinsics.checkNotNullParameter(inflater, "inflater");
        FragmentSleepBinding inflate = FragmentSleepBinding.inflate(inflater, container, false);
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(inflater, container, false)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        return inflate.getRoot();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment
    public void loadDataOnce() {
        super.loadDataOnce();
        this.fragmentManager = getChildFragmentManager();
        String string = getString(R.string.qc_text_117);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_117)");
        String string2 = getString(R.string.qc_text_105);
        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_105)");
        String string3 = getString(R.string.qc_text_106);
        Intrinsics.checkNotNullExpressionValue(string3, "getString(R.string.qc_text_106)");
        this.titleList = new String[]{string, string2, string3};
        FragmentSleepBinding fragmentSleepBinding = this.binding;
        String[] strArr = null;
        if (fragmentSleepBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentSleepBinding = null;
        }
        fragmentSleepBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_84));
        ViewKt.gone(fragmentSleepBinding.titleBar.divider);
        ViewKt.invisible(fragmentSleepBinding.titleBar.ivNavigateBefore);
        QSwitchButtonView qSwitchButtonView = fragmentSleepBinding.sleepQsvView;
        String[] strArr2 = this.titleList;
        if (strArr2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("titleList");
        } else {
            strArr = strArr2;
        }
        qSwitchButtonView.setTitle(strArr);
        ViewKt.visible(fragmentSleepBinding.titleBar.tvRightText);
        fragmentSleepBinding.titleBar.tvRightText.setBackgroundResource(R.mipmap.app_desp);
        fragmentSleepBinding.titleBar.tvRightText.setOnClickListener(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.sleep.SleepFragment$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                SleepFragment.m852loadDataOnce$lambda1$lambda0(SleepFragment.this, view);
            }
        });
        fragmentSleepBinding.sleepQsvView.setActivity((MainActivity) getActivity());
        fragmentSleepBinding.sleepQsvView.select(0, true);
        fragmentSleepBinding.sleepQsvView.setOnTabSelectedListener(new QSwitchButtonView.OnTabSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.sleep.SleepFragment$loadDataOnce$1$2
            @Override // com.qcwireless.qcwatch.ui.base.view.QSwitchButtonView.OnTabSelectedListener
            public void onTabSelected(int index) {
                FragmentManager fragmentManager;
                DaySleepFragment daySleepFragment;
                DaySleepFragment daySleepFragment2;
                DaySleepFragment daySleepFragment3;
                WeekSleepFragment weekSleepFragment;
                WeekSleepFragment weekSleepFragment2;
                WeekSleepFragment weekSleepFragment3;
                MonthSleepFragment monthSleepFragment;
                MonthSleepFragment monthSleepFragment2;
                MonthSleepFragment monthSleepFragment3;
                fragmentManager = SleepFragment.this.fragmentManager;
                Intrinsics.checkNotNull(fragmentManager);
                FragmentTransaction beginTransaction = fragmentManager.beginTransaction();
                SleepFragment sleepFragment = SleepFragment.this;
                Intrinsics.checkNotNullExpressionValue(beginTransaction, "this");
                sleepFragment.hideFragments(beginTransaction);
                if (index == 0) {
                    daySleepFragment = sleepFragment.daySleepFragment;
                    if (daySleepFragment == null) {
                        sleepFragment.daySleepFragment = DaySleepFragment.INSTANCE.newInstance();
                        daySleepFragment3 = sleepFragment.daySleepFragment;
                        Intrinsics.checkNotNull(daySleepFragment3);
                        beginTransaction.add(R.id.sleepContainer, daySleepFragment3);
                    } else {
                        daySleepFragment2 = sleepFragment.daySleepFragment;
                        Intrinsics.checkNotNull(daySleepFragment2);
                        beginTransaction.show(daySleepFragment2);
                    }
                } else if (index == 1) {
                    weekSleepFragment = sleepFragment.weekSleepFragment;
                    if (weekSleepFragment == null) {
                        sleepFragment.weekSleepFragment = WeekSleepFragment.INSTANCE.newInstance();
                        weekSleepFragment3 = sleepFragment.weekSleepFragment;
                        Intrinsics.checkNotNull(weekSleepFragment3);
                        beginTransaction.add(R.id.sleepContainer, weekSleepFragment3);
                    } else {
                        weekSleepFragment2 = sleepFragment.weekSleepFragment;
                        Intrinsics.checkNotNull(weekSleepFragment2);
                        beginTransaction.show(weekSleepFragment2);
                    }
                } else if (index == 2) {
                    monthSleepFragment = sleepFragment.monthSleepFragment;
                    if (monthSleepFragment == null) {
                        sleepFragment.monthSleepFragment = MonthSleepFragment.INSTANCE.newInstance();
                        monthSleepFragment3 = sleepFragment.monthSleepFragment;
                        Intrinsics.checkNotNull(monthSleepFragment3);
                        beginTransaction.add(R.id.sleepContainer, monthSleepFragment3);
                    } else {
                        monthSleepFragment2 = sleepFragment.monthSleepFragment;
                        Intrinsics.checkNotNull(monthSleepFragment2);
                        beginTransaction.show(monthSleepFragment2);
                    }
                }
                beginTransaction.commitAllowingStateLoss();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-1$lambda-0, reason: not valid java name */
    public static final void m852loadDataOnce$lambda1$lambda0(SleepFragment this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        SleepFragment sleepFragment = this$0;
        FragmentActivity it = sleepFragment.getActivity();
        if (it != null) {
            ArrayList<Pair> arrayList = new ArrayList();
            Intrinsics.checkNotNullExpressionValue(it, "it");
            Intent intent = new Intent(it, (Class<?>) SleepGuideActivity.class);
            for (Pair pair : arrayList) {
                if (pair != null) {
                    String str = (String) pair.getFirst();
                    Object second = pair.getSecond();
                    if (second instanceof Integer) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).intValue()), "putExtra(name, value)");
                    } else if (second instanceof Byte) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).byteValue()), "putExtra(name, value)");
                    } else if (second instanceof Character) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Character) second).charValue()), "putExtra(name, value)");
                    } else if (second instanceof Short) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).shortValue()), "putExtra(name, value)");
                    } else if (second instanceof Boolean) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Boolean) second).booleanValue()), "putExtra(name, value)");
                    } else if (second instanceof Long) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).longValue()), "putExtra(name, value)");
                    } else if (second instanceof Float) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).floatValue()), "putExtra(name, value)");
                    } else if (second instanceof Double) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, ((Number) second).doubleValue()), "putExtra(name, value)");
                    } else if (second instanceof String) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (String) second), "putExtra(name, value)");
                    } else if (second instanceof CharSequence) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (CharSequence) second), "putExtra(name, value)");
                    } else if (second instanceof Parcelable) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                    } else if (second instanceof Object[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof ArrayList) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof Serializable) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Serializable) second), "putExtra(name, value)");
                    } else if (second instanceof boolean[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (boolean[]) second), "putExtra(name, value)");
                    } else if (second instanceof byte[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (byte[]) second), "putExtra(name, value)");
                    } else if (second instanceof short[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (short[]) second), "putExtra(name, value)");
                    } else if (second instanceof char[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (char[]) second), "putExtra(name, value)");
                    } else if (second instanceof int[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (int[]) second), "putExtra(name, value)");
                    } else if (second instanceof long[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (long[]) second), "putExtra(name, value)");
                    } else if (second instanceof float[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (float[]) second), "putExtra(name, value)");
                    } else if (second instanceof double[]) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (double[]) second), "putExtra(name, value)");
                    } else if (second instanceof Bundle) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Bundle) second), "putExtra(name, value)");
                    } else if (second instanceof Intent) {
                        Intrinsics.checkNotNullExpressionValue(intent.putExtra(str, (Parcelable) second), "putExtra(name, value)");
                    } else {
                        Unit unit = Unit.INSTANCE;
                    }
                }
            }
            sleepFragment.startActivity(intent);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void hideFragments(FragmentTransaction transaction) {
        DaySleepFragment daySleepFragment = this.daySleepFragment;
        if (daySleepFragment != null) {
            Intrinsics.checkNotNull(daySleepFragment);
            transaction.hide(daySleepFragment);
        }
        WeekSleepFragment weekSleepFragment = this.weekSleepFragment;
        if (weekSleepFragment != null) {
            Intrinsics.checkNotNull(weekSleepFragment);
            transaction.hide(weekSleepFragment);
        }
        MonthSleepFragment monthSleepFragment = this.monthSleepFragment;
        if (monthSleepFragment != null) {
            Intrinsics.checkNotNull(monthSleepFragment);
            transaction.hide(monthSleepFragment);
        }
    }

    /* compiled from: SleepFragment.kt */
    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/sleep/SleepFragment$Companion;", "", "()V", "newInstance", "Lcom/qcwireless/qcwatch/ui/home/sleep/SleepFragment;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final SleepFragment newInstance() {
            return new SleepFragment();
        }
    }
}
