package com.qcwireless.qcwatch.ui.home.sleep.day;

import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import com.google.android.gms.fitness.FitnessActivities;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.ui.base.BaseViewModel;
import com.qcwireless.qcwatch.ui.base.repository.entity.SleepDetail;
import com.qcwireless.qcwatch.ui.base.repository.healthy.BloodOxygenRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.HRVRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.HeartRateDetailRepository;
import com.qcwireless.qcwatch.ui.base.repository.healthy.SleepDetailRepository;
import com.qcwireless.qcwatch.ui.base.view.QHeartLineChartView;
import com.qcwireless.qcwatch.ui.base.view.QHrvLineChartView;
import com.qcwireless.qcwatch.ui.base.view.QSleepBarChart;
import com.qcwireless.qcwatch.ui.home.bloodoxgen.bean.BloodOxyDetailBean;
import com.qcwireless.qcwatch.ui.home.sleep.bean.SleepViewBean;
import com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragmentViewModel;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.math.MathKt;
import kotlinx.coroutines.BuildersKt__Builders_commonKt;
import kotlinx.coroutines.GlobalScope;

/* compiled from: DaySleepFragmentViewModel.kt */
@Metadata(d1 = {"\u0000@\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0010\u0002\n\u0002\b\u0003\n\u0002\u0010\t\n\u0002\b\u0004\u0018\u00002\u00020\u0001:\u0001\u001cB\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u0006\u0010\u0014\u001a\u00020\u0015J\u0016\u0010\u0016\u001a\u00020\u00152\u0006\u0010\u0017\u001a\u00020\u00072\u0006\u0010\u0018\u001a\u00020\u0019J\u000e\u0010\u001a\u001a\u00020\u00152\u0006\u0010\u001b\u001a\u00020\u0007R\u0014\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\b\u001a\b\u0012\u0004\u0012\u00020\t0\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\n\u001a\b\u0012\u0004\u0012\u00020\u000b0\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u0017\u0010\f\u001a\b\u0012\u0004\u0012\u00020\u00070\r8F¢\u0006\u0006\u001a\u0004\b\u000e\u0010\u000fR\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u0004¢\u0006\u0002\n\u0000R\u0017\u0010\u0010\u001a\b\u0012\u0004\u0012\u00020\t0\r8F¢\u0006\u0006\u001a\u0004\b\u0011\u0010\u000fR\u0017\u0010\u0012\u001a\b\u0012\u0004\u0012\u00020\u000b0\r8F¢\u0006\u0006\u001a\u0004\b\u0013\u0010\u000f¨\u0006\u001d"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragmentViewModel;", "Lcom/qcwireless/qcwatch/ui/base/BaseViewModel;", "sleepDetailRepository", "Lcom/qcwireless/qcwatch/ui/base/repository/healthy/SleepDetailRepository;", "(Lcom/qcwireless/qcwatch/ui/base/repository/healthy/SleepDetailRepository;)V", "_lastDate", "Landroidx/lifecycle/MutableLiveData;", "Lcom/qcwireless/qc_utils/date/DateUtil;", "_uiOtherDataDetail", "Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragmentViewModel$DayStepUI;", "_uiState", "Lcom/qcwireless/qcwatch/ui/home/sleep/bean/SleepViewBean;", "lastDate", "Landroidx/lifecycle/LiveData;", "getLastDate", "()Landroidx/lifecycle/LiveData;", "uiOtherDataDetail", "getUiOtherDataDetail", "uiState", "getUiState", "queryLastData", "", "queryOtherSleepData", "dateStr", "endTime", "", "showDaySleepView", "dateUtil", "DayStepUI", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class DaySleepFragmentViewModel extends BaseViewModel {
    private final MutableLiveData<DateUtil> _lastDate;
    private final MutableLiveData<DayStepUI> _uiOtherDataDetail;
    private final MutableLiveData<SleepViewBean> _uiState;
    private final SleepDetailRepository sleepDetailRepository;

    public DaySleepFragmentViewModel(SleepDetailRepository sleepDetailRepository) {
        Intrinsics.checkNotNullParameter(sleepDetailRepository, "sleepDetailRepository");
        this.sleepDetailRepository = sleepDetailRepository;
        this._uiState = new MutableLiveData<>();
        this._lastDate = new MutableLiveData<>();
        this._uiOtherDataDetail = new MutableLiveData<>();
    }

    public final LiveData<SleepViewBean> getUiState() {
        return this._uiState;
    }

    public final LiveData<DateUtil> getLastDate() {
        return this._lastDate;
    }

    public final LiveData<DayStepUI> getUiOtherDataDetail() {
        return this._uiOtherDataDetail;
    }

    public final void showDaySleepView(final DateUtil dateUtil) {
        Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<DaySleepFragmentViewModel, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragmentViewModel$showDaySleepView$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(DaySleepFragmentViewModel daySleepFragmentViewModel) {
                invoke2(daySleepFragmentViewModel);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(DaySleepFragmentViewModel ktxRunOnBgSingle) {
                SleepDetailRepository sleepDetailRepository;
                SleepDetailRepository sleepDetailRepository2;
                SleepDetailRepository sleepDetailRepository3;
                MutableLiveData mutableLiveData;
                MutableLiveData mutableLiveData2;
                SleepDetailRepository sleepDetailRepository4;
                MutableLiveData mutableLiveData3;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                if (UserConfig.INSTANCE.getInstance().getNewSleepProtocol()) {
                    sleepDetailRepository4 = ktxRunOnBgSingle.sleepDetailRepository;
                    SleepViewBean querySleepNewProtocol = sleepDetailRepository4.querySleepNewProtocol(DateUtil.this);
                    ktxRunOnBgSingle.queryOtherSleepData(DateUtil.this, querySleepNewProtocol.getEndTime());
                    mutableLiveData3 = ktxRunOnBgSingle._uiState;
                    mutableLiveData3.postValue(querySleepNewProtocol);
                    return;
                }
                sleepDetailRepository = ktxRunOnBgSingle.sleepDetailRepository;
                String y_m_d = DateUtil.this.getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d, "dateUtil.y_M_D");
                SleepDetail querySleepByDate = sleepDetailRepository.querySleepByDate(y_m_d);
                AwLog.i(Author.HeZhiYuan, DateUtil.this.getY_M_D());
                DateUtil dateUtil2 = new DateUtil(DateUtil.this.getUnixTimestamp(), true);
                dateUtil2.addDay(-1);
                sleepDetailRepository2 = ktxRunOnBgSingle.sleepDetailRepository;
                String y_m_d2 = dateUtil2.getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d2, "yesDate.y_M_D");
                SleepDetail querySleepByDate2 = sleepDetailRepository2.querySleepByDate(y_m_d2);
                if (querySleepByDate == null) {
                    mutableLiveData2 = ktxRunOnBgSingle._uiState;
                    mutableLiveData2.postValue(new SleepViewBean(null, 0, 0, 0, 0, 0L, 0L, 127, null));
                }
                if (querySleepByDate2 == null) {
                    querySleepByDate2 = new SleepDetail(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear(), "", TypedValues.Custom.TYPE_INT, "", "", false, new DateUtil().getUnixTimestamp());
                }
                if (querySleepByDate != null) {
                    sleepDetailRepository3 = ktxRunOnBgSingle.sleepDetailRepository;
                    SleepViewBean calcSleepViewData = sleepDetailRepository3.calcSleepViewData(querySleepByDate, querySleepByDate2);
                    mutableLiveData = ktxRunOnBgSingle._uiState;
                    mutableLiveData.postValue(calcSleepViewData);
                }
            }
        });
    }

    public final void queryOtherSleepData(final DateUtil dateStr, final long endTime) {
        Intrinsics.checkNotNullParameter(dateStr, "dateStr");
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<DaySleepFragmentViewModel, Unit>() { // from class: com.qcwireless.qcwatch.ui.home.sleep.day.DaySleepFragmentViewModel$queryOtherSleepData$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(DaySleepFragmentViewModel daySleepFragmentViewModel) {
                invoke2(daySleepFragmentViewModel);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(DaySleepFragmentViewModel ktxRunOnBgSingle) {
                MutableLiveData mutableLiveData;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                String y_m_d = DateUtil.this.getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d, "dateStr.y_M_D");
                DaySleepFragmentViewModel.DayStepUI dayStepUI = new DaySleepFragmentViewModel.DayStepUI(y_m_d, 0, 0, 0, 0, (int) endTime);
                int todayMin = new DateUtil(endTime, true).getTodayMin();
                HeartRateDetailRepository getInstance = HeartRateDetailRepository.INSTANCE.getGetInstance();
                String y_m_d2 = DateUtil.this.getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d2, "dateStr.y_M_D");
                int i = 0;
                int i2 = 0;
                int i3 = 0;
                for (QHeartLineChartView.HeartDataBean heartDataBean : getInstance.queryHeartRateDetailByDate(y_m_d2)) {
                    if (heartDataBean.getMin() <= todayMin) {
                        i2 += heartDataBean.getValue();
                        i3++;
                    }
                }
                if (i2 > 0) {
                    dayStepUI.setHeart(MathKt.roundToInt((i2 * 1.0f) / i3));
                }
                int i4 = 0;
                int i5 = 0;
                for (BloodOxyDetailBean bloodOxyDetailBean : BloodOxygenRepository.INSTANCE.getGetInstance().queryBloodOxygenByDateDetail(UserConfig.INSTANCE.getInstance().getDeviceAddressNoClear(), DateUtil.this)) {
                    if (bloodOxyDetailBean.getSeconds() <= todayMin * 60) {
                        i4 += bloodOxyDetailBean.getMaxValue();
                        i5++;
                    }
                }
                if (i4 > 0) {
                    dayStepUI.setSpo2(MathKt.roundToInt((i4 * 1.0f) / i5));
                }
                SleepViewBean querySleepNewProtocol = SleepDetailRepository.INSTANCE.getGetInstance().querySleepNewProtocol(DateUtil.this);
                if (true ^ querySleepNewProtocol.getData().isEmpty()) {
                    QSleepBarChart.SleepDataBean sleepDataBean = querySleepNewProtocol.getData().get(0);
                    dayStepUI.setBedTime((((int) (sleepDataBean.getSleepEnd() - sleepDataBean.getSleepStart())) / 60) % 20);
                }
                int i6 = 0;
                for (QHrvLineChartView.HeartDataBean heartDataBean2 : HRVRepository.INSTANCE.getGetInstance().queryHrvByDateDetailResp(DateUtil.this)) {
                    if (heartDataBean2.getMin() <= todayMin) {
                        i += heartDataBean2.getValue();
                        i6++;
                    }
                }
                if (i > 0) {
                    dayStepUI.setHrv(MathKt.roundToInt((i * 1.0f) / i6));
                }
                SleepDetailRepository getInstance2 = SleepDetailRepository.INSTANCE.getGetInstance();
                String y_m_d3 = DateUtil.this.getY_M_D();
                Intrinsics.checkNotNullExpressionValue(y_m_d3, "dateStr.y_M_D");
                getInstance2.updateSleepTotal(y_m_d3, dayStepUI.getBedTime(), dayStepUI.getHeart(), dayStepUI.getSpo2(), dayStepUI.getHrv());
                mutableLiveData = ktxRunOnBgSingle._uiOtherDataDetail;
                mutableLiveData.postValue(dayStepUI);
            }
        });
    }

    public final void queryLastData() {
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new DaySleepFragmentViewModel$queryLastData$1(this, null), 3, null);
    }

    /* compiled from: DaySleepFragmentViewModel.kt */
    @Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\b\n\u0002\b\u001d\n\u0002\u0010\u000b\n\u0002\b\u0004\b\u0086\b\u0018\u00002\u00020\u0001B5\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u0012\u0006\u0010\u0006\u001a\u00020\u0005\u0012\u0006\u0010\u0007\u001a\u00020\u0005\u0012\u0006\u0010\b\u001a\u00020\u0005\u0012\u0006\u0010\t\u001a\u00020\u0005¢\u0006\u0002\u0010\nJ\t\u0010\u001b\u001a\u00020\u0003HÆ\u0003J\t\u0010\u001c\u001a\u00020\u0005HÆ\u0003J\t\u0010\u001d\u001a\u00020\u0005HÆ\u0003J\t\u0010\u001e\u001a\u00020\u0005HÆ\u0003J\t\u0010\u001f\u001a\u00020\u0005HÆ\u0003J\t\u0010 \u001a\u00020\u0005HÆ\u0003JE\u0010!\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u00032\b\b\u0002\u0010\u0004\u001a\u00020\u00052\b\b\u0002\u0010\u0006\u001a\u00020\u00052\b\b\u0002\u0010\u0007\u001a\u00020\u00052\b\b\u0002\u0010\b\u001a\u00020\u00052\b\b\u0002\u0010\t\u001a\u00020\u0005HÆ\u0001J\u0013\u0010\"\u001a\u00020#2\b\u0010$\u001a\u0004\u0018\u00010\u0001HÖ\u0003J\t\u0010%\u001a\u00020\u0005HÖ\u0001J\t\u0010&\u001a\u00020\u0003HÖ\u0001R\u001a\u0010\b\u001a\u00020\u0005X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001a\u0010\u0002\u001a\u00020\u0003X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000f\u0010\u0010\"\u0004\b\u0011\u0010\u0012R\u001a\u0010\t\u001a\u00020\u0005X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0013\u0010\f\"\u0004\b\u0014\u0010\u000eR\u001a\u0010\u0004\u001a\u00020\u0005X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0015\u0010\f\"\u0004\b\u0016\u0010\u000eR\u001a\u0010\u0007\u001a\u00020\u0005X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0017\u0010\f\"\u0004\b\u0018\u0010\u000eR\u001a\u0010\u0006\u001a\u00020\u0005X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0019\u0010\f\"\u0004\b\u001a\u0010\u000e¨\u0006'"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/sleep/day/DaySleepFragmentViewModel$DayStepUI;", "", "dateStr", "", "heart", "", "spo2", "hrv", "bedTime", "hasSleep", "(Ljava/lang/String;IIIII)V", "getBedTime", "()I", "setBedTime", "(I)V", "getDateStr", "()Ljava/lang/String;", "setDateStr", "(Ljava/lang/String;)V", "getHasSleep", "setHasSleep", "getHeart", "setHeart", "getHrv", "setHrv", "getSpo2", "setSpo2", "component1", "component2", "component3", "component4", "component5", "component6", "copy", "equals", "", FitnessActivities.OTHER, "hashCode", "toString", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final /* data */ class DayStepUI {
        private int bedTime;
        private String dateStr;
        private int hasSleep;
        private int heart;
        private int hrv;
        private int spo2;

        public static /* synthetic */ DayStepUI copy$default(DayStepUI dayStepUI, String str, int i, int i2, int i3, int i4, int i5, int i6, Object obj) {
            if ((i6 & 1) != 0) {
                str = dayStepUI.dateStr;
            }
            if ((i6 & 2) != 0) {
                i = dayStepUI.heart;
            }
            int i7 = i;
            if ((i6 & 4) != 0) {
                i2 = dayStepUI.spo2;
            }
            int i8 = i2;
            if ((i6 & 8) != 0) {
                i3 = dayStepUI.hrv;
            }
            int i9 = i3;
            if ((i6 & 16) != 0) {
                i4 = dayStepUI.bedTime;
            }
            int i10 = i4;
            if ((i6 & 32) != 0) {
                i5 = dayStepUI.hasSleep;
            }
            return dayStepUI.copy(str, i7, i8, i9, i10, i5);
        }

        /* renamed from: component1, reason: from getter */
        public final String getDateStr() {
            return this.dateStr;
        }

        /* renamed from: component2, reason: from getter */
        public final int getHeart() {
            return this.heart;
        }

        /* renamed from: component3, reason: from getter */
        public final int getSpo2() {
            return this.spo2;
        }

        /* renamed from: component4, reason: from getter */
        public final int getHrv() {
            return this.hrv;
        }

        /* renamed from: component5, reason: from getter */
        public final int getBedTime() {
            return this.bedTime;
        }

        /* renamed from: component6, reason: from getter */
        public final int getHasSleep() {
            return this.hasSleep;
        }

        public final DayStepUI copy(String dateStr, int heart, int spo2, int hrv, int bedTime, int hasSleep) {
            Intrinsics.checkNotNullParameter(dateStr, "dateStr");
            return new DayStepUI(dateStr, heart, spo2, hrv, bedTime, hasSleep);
        }

        public boolean equals(Object other) {
            if (this == other) {
                return true;
            }
            if (!(other instanceof DayStepUI)) {
                return false;
            }
            DayStepUI dayStepUI = (DayStepUI) other;
            return Intrinsics.areEqual(this.dateStr, dayStepUI.dateStr) && this.heart == dayStepUI.heart && this.spo2 == dayStepUI.spo2 && this.hrv == dayStepUI.hrv && this.bedTime == dayStepUI.bedTime && this.hasSleep == dayStepUI.hasSleep;
        }

        public int hashCode() {
            return (((((((((this.dateStr.hashCode() * 31) + this.heart) * 31) + this.spo2) * 31) + this.hrv) * 31) + this.bedTime) * 31) + this.hasSleep;
        }

        public String toString() {
            return "DayStepUI(dateStr=" + this.dateStr + ", heart=" + this.heart + ", spo2=" + this.spo2 + ", hrv=" + this.hrv + ", bedTime=" + this.bedTime + ", hasSleep=" + this.hasSleep + ')';
        }

        public DayStepUI(String dateStr, int i, int i2, int i3, int i4, int i5) {
            Intrinsics.checkNotNullParameter(dateStr, "dateStr");
            this.dateStr = dateStr;
            this.heart = i;
            this.spo2 = i2;
            this.hrv = i3;
            this.bedTime = i4;
            this.hasSleep = i5;
        }

        public final String getDateStr() {
            return this.dateStr;
        }

        public final void setDateStr(String str) {
            Intrinsics.checkNotNullParameter(str, "<set-?>");
            this.dateStr = str;
        }

        public final int getHeart() {
            return this.heart;
        }

        public final void setHeart(int i) {
            this.heart = i;
        }

        public final int getSpo2() {
            return this.spo2;
        }

        public final void setSpo2(int i) {
            this.spo2 = i;
        }

        public final int getHrv() {
            return this.hrv;
        }

        public final void setHrv(int i) {
            this.hrv = i;
        }

        public final int getBedTime() {
            return this.bedTime;
        }

        public final void setBedTime(int i) {
            this.bedTime = i;
        }

        public final int getHasSleep() {
            return this.hasSleep;
        }

        public final void setHasSleep(int i) {
            this.hasSleep = i;
        }
    }
}
