package com.qcwireless.qcwatch.ui.home.sleep.week;

import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.king.zxing.util.CodeUtils;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.QcDateUtil;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.FragmentWeekSleepBinding;
import com.qcwireless.qcwatch.ui.activity.MainActivity;
import com.qcwireless.qcwatch.ui.base.BaseFragment;
import com.qcwireless.qcwatch.ui.base.view.QDateWeekSwitchView;
import com.qcwireless.qcwatch.ui.base.view.QSleepWeekBarView;
import com.qcwireless.qcwatch.ui.home.sleep.SleepActivity;
import com.qcwireless.qcwatch.ui.home.sleep.aigo.AlSleepUtil;
import com.qcwireless.ring.R;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.jvm.internal.StringCompanionObject;
import kotlin.math.MathKt;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;
import skin.support.content.res.SkinCompatResources;

/* compiled from: WeekSleepFragment.kt */
@Metadata(d1 = {"\u0000V\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u0011\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 !2\u00020\u0001:\u0001!B\u0005¢\u0006\u0002\u0010\u0002J\u000e\u0010\u000f\u001a\u00020\r2\u0006\u0010\u0010\u001a\u00020\u0011J\b\u0010\u0012\u001a\u00020\u0013H\u0016J\u0012\u0010\u0014\u001a\u00020\u00132\b\u0010\u0015\u001a\u0004\u0018\u00010\u0016H\u0016J&\u0010\u0017\u001a\u0004\u0018\u00010\u00182\u0006\u0010\u0019\u001a\u00020\u001a2\b\u0010\u001b\u001a\u0004\u0018\u00010\u001c2\b\u0010\u0015\u001a\u0004\u0018\u00010\u0016H\u0016J\b\u0010\u001d\u001a\u00020\u0013H\u0016J\u0010\u0010\u001e\u001a\u00020\u00132\u0006\u0010\u001f\u001a\u00020 H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u001b\u0010\u0005\u001a\u00020\u00068BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\t\u0010\n\u001a\u0004\b\u0007\u0010\bR\u0016\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\r0\fX\u0082.¢\u0006\u0004\n\u0002\u0010\u000e¨\u0006\""}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/sleep/week/WeekSleepFragment;", "Lcom/qcwireless/qcwatch/ui/base/BaseFragment;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/FragmentWeekSleepBinding;", "viewModel", "Lcom/qcwireless/qcwatch/ui/home/sleep/week/WeekSleepFragmentViewModel;", "getViewModel", "()Lcom/qcwireless/qcwatch/ui/home/sleep/week/WeekSleepFragmentViewModel;", "viewModel$delegate", "Lkotlin/Lazy;", "weeks", "", "", "[Ljava/lang/String;", "formatText", "minute", "", "loadDataOnce", "", "onCreate", "savedInstanceState", "Landroid/os/Bundle;", "onCreateView", "Landroid/view/View;", "inflater", "Landroid/view/LayoutInflater;", "container", "Landroid/view/ViewGroup;", "onResume", "textView", "view", "Landroid/widget/TextView;", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class WeekSleepFragment extends BaseFragment {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private FragmentWeekSleepBinding binding;

    /* renamed from: viewModel$delegate, reason: from kotlin metadata */
    private final Lazy viewModel;
    private String[] weeks;

    public WeekSleepFragment() {
        final WeekSleepFragment weekSleepFragment = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.viewModel = LazyKt.lazy(new Function0<WeekSleepFragmentViewModel>() { // from class: com.qcwireless.qcwatch.ui.home.sleep.week.WeekSleepFragment$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.home.sleep.week.WeekSleepFragmentViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final WeekSleepFragmentViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(WeekSleepFragmentViewModel.class), qualifier, b);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final WeekSleepFragmentViewModel getViewModel() {
        return (WeekSleepFragmentViewModel) this.viewModel.getValue();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        Intrinsics.checkNotNullParameter(inflater, "inflater");
        FragmentWeekSleepBinding inflate = FragmentWeekSleepBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        return inflate.getRoot();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment
    public void loadDataOnce() {
        super.loadDataOnce();
        WeekSleepFragmentViewModel viewModel = getViewModel();
        DateUtil firstDayOfWeek = DateUtil.firstDayOfWeek();
        Intrinsics.checkNotNullExpressionValue(firstDayOfWeek, "firstDayOfWeek()");
        viewModel.queryWeekSleepHistory(firstDayOfWeek);
        String string = getString(R.string.qc_text_6208);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_6208)");
        String string2 = getString(R.string.qc_text_6202);
        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_6202)");
        String string3 = getString(R.string.qc_text_6203);
        Intrinsics.checkNotNullExpressionValue(string3, "getString(R.string.qc_text_6203)");
        String string4 = getString(R.string.qc_text_6204);
        Intrinsics.checkNotNullExpressionValue(string4, "getString(R.string.qc_text_6204)");
        String string5 = getString(R.string.qc_text_6205);
        Intrinsics.checkNotNullExpressionValue(string5, "getString(R.string.qc_text_6205)");
        String string6 = getString(R.string.qc_text_6206);
        Intrinsics.checkNotNullExpressionValue(string6, "getString(R.string.qc_text_6206)");
        String string7 = getString(R.string.qc_text_6207);
        Intrinsics.checkNotNullExpressionValue(string7, "getString(R.string.qc_text_6207)");
        this.weeks = new String[]{string, string2, string3, string4, string5, string6, string7};
        FragmentWeekSleepBinding fragmentWeekSleepBinding = this.binding;
        if (fragmentWeekSleepBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding = null;
        }
        QDateWeekSwitchView qDateWeekSwitchView = fragmentWeekSleepBinding.qcDateChange;
        DateUtil firstDayOfWeek2 = DateUtil.firstDayOfWeek();
        Intrinsics.checkNotNullExpressionValue(firstDayOfWeek2, "firstDayOfWeek()");
        qDateWeekSwitchView.setWeekDayStart(firstDayOfWeek2);
        fragmentWeekSleepBinding.qcDateChange.setDateListener(new QDateWeekSwitchView.QDateBefore() { // from class: com.qcwireless.qcwatch.ui.home.sleep.week.WeekSleepFragment$loadDataOnce$1$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QDateWeekSwitchView.QDateBefore
            public void clickBefore(boolean r1, DateUtil dateUtil) {
                WeekSleepFragmentViewModel viewModel2;
                Intrinsics.checkNotNullParameter(dateUtil, "dateUtil");
                viewModel2 = WeekSleepFragment.this.getViewModel();
                viewModel2.queryWeekSleepHistory(dateUtil);
            }
        });
        fragmentWeekSleepBinding.qcDateChange.setCalendarClick(new View.OnClickListener() { // from class: com.qcwireless.qcwatch.ui.home.sleep.week.WeekSleepFragment$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                WeekSleepFragment.m864loadDataOnce$lambda3$lambda0(WeekSleepFragment.this, view);
            }
        });
        fragmentWeekSleepBinding.weekSleepBarView.setListener(new QSleepWeekBarView.OnSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.sleep.week.WeekSleepFragment$$ExternalSyntheticLambda2
            @Override // com.qcwireless.qcwatch.ui.base.view.QSleepWeekBarView.OnSelectedListener
            public final void onSelected(QSleepWeekBarView.SleepDataBean sleepDataBean) {
                WeekSleepFragment.m865loadDataOnce$lambda3$lambda2(WeekSleepFragment.this, sleepDataBean);
            }
        });
        getViewModel().getUiState().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.home.sleep.week.WeekSleepFragment$$ExternalSyntheticLambda1
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                WeekSleepFragment.m866loadDataOnce$lambda7(WeekSleepFragment.this, (List) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-3$lambda-0, reason: not valid java name */
    public static final void m864loadDataOnce$lambda3$lambda0(WeekSleepFragment this$0, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (this$0.getActivity() instanceof MainActivity) {
            ((MainActivity) this$0.getActivity()).doCalendar(2, new DateUtil());
        } else if (this$0.getActivity() instanceof SleepActivity) {
            ((SleepActivity) this$0.getActivity()).doCalendar(new DateUtil());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-3$lambda-2, reason: not valid java name */
    public static final void m865loadDataOnce$lambda3$lambda2(WeekSleepFragment this$0, QSleepWeekBarView.SleepDataBean sleepDataBean) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        FragmentWeekSleepBinding fragmentWeekSleepBinding = this$0.binding;
        String[] strArr = null;
        if (fragmentWeekSleepBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding = null;
        }
        int whatDay = DateUtil.getWhatDay(sleepDataBean.getUnixTime());
        DateUtil dateUtil = new DateUtil(sleepDataBean.getUnixTime(), true);
        TextView textView = fragmentWeekSleepBinding.tvSleepRange;
        StringBuilder sb = new StringBuilder();
        sb.append(QcDateUtil.INSTANCE.getGetInstance().localDateFormat(dateUtil));
        sb.append(' ');
        String[] strArr2 = this$0.weeks;
        if (strArr2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("weeks");
        } else {
            strArr = strArr2;
        }
        sb.append(strArr[whatDay]);
        textView.setText(sb.toString());
        if (sleepDataBean.getTotalTime() > 0) {
            fragmentWeekSleepBinding.tvSleepH1.setText(String.valueOf(sleepDataBean.getTotalTime() / 60));
            fragmentWeekSleepBinding.tvSleepMin1.setText(String.valueOf(sleepDataBean.getTotalTime() % 60));
        } else {
            fragmentWeekSleepBinding.tvSleepH1.setText("--");
            fragmentWeekSleepBinding.tvSleepMin1.setText("--");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: loadDataOnce$lambda-7, reason: not valid java name */
    public static final void m866loadDataOnce$lambda7(WeekSleepFragment this$0, List list) {
        FragmentWeekSleepBinding fragmentWeekSleepBinding;
        FragmentWeekSleepBinding fragmentWeekSleepBinding2;
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        FragmentWeekSleepBinding fragmentWeekSleepBinding3 = this$0.binding;
        if (fragmentWeekSleepBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding3 = null;
        }
        fragmentWeekSleepBinding3.pbAwake1.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_item_progress_7));
        FragmentWeekSleepBinding fragmentWeekSleepBinding4 = this$0.binding;
        if (fragmentWeekSleepBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding4 = null;
        }
        fragmentWeekSleepBinding4.pbLight1.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_item_progress_9));
        FragmentWeekSleepBinding fragmentWeekSleepBinding5 = this$0.binding;
        if (fragmentWeekSleepBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding5 = null;
        }
        fragmentWeekSleepBinding5.pbDeep1.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.sleep_item_progress_10));
        FragmentWeekSleepBinding fragmentWeekSleepBinding6 = this$0.binding;
        if (fragmentWeekSleepBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding6 = null;
        }
        fragmentWeekSleepBinding6.pbSleep1.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentWeekSleepBinding fragmentWeekSleepBinding7 = this$0.binding;
        if (fragmentWeekSleepBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding7 = null;
        }
        fragmentWeekSleepBinding7.pbSleep2.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentWeekSleepBinding fragmentWeekSleepBinding8 = this$0.binding;
        if (fragmentWeekSleepBinding8 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding8 = null;
        }
        fragmentWeekSleepBinding8.pbSleep3.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentWeekSleepBinding fragmentWeekSleepBinding9 = this$0.binding;
        if (fragmentWeekSleepBinding9 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding9 = null;
        }
        fragmentWeekSleepBinding9.pbSleep4.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentWeekSleepBinding fragmentWeekSleepBinding10 = this$0.binding;
        if (fragmentWeekSleepBinding10 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding10 = null;
        }
        fragmentWeekSleepBinding10.pbSleep5.setBgColor(SkinCompatResources.getColor(this$0.getActivity(), R.color.q_view_step_5));
        FragmentWeekSleepBinding fragmentWeekSleepBinding11 = this$0.binding;
        if (fragmentWeekSleepBinding11 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding11 = null;
        }
        TextView textView = fragmentWeekSleepBinding11.tvSleepAwake1;
        Intrinsics.checkNotNullExpressionValue(textView, "binding.tvSleepAwake1");
        this$0.textView(textView);
        FragmentWeekSleepBinding fragmentWeekSleepBinding12 = this$0.binding;
        if (fragmentWeekSleepBinding12 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding12 = null;
        }
        TextView textView2 = fragmentWeekSleepBinding12.tvSleepLight1;
        Intrinsics.checkNotNullExpressionValue(textView2, "binding.tvSleepLight1");
        this$0.textView(textView2);
        FragmentWeekSleepBinding fragmentWeekSleepBinding13 = this$0.binding;
        if (fragmentWeekSleepBinding13 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding13 = null;
        }
        TextView textView3 = fragmentWeekSleepBinding13.tvSleepDeep1;
        Intrinsics.checkNotNullExpressionValue(textView3, "binding.tvSleepDeep1");
        this$0.textView(textView3);
        FragmentWeekSleepBinding fragmentWeekSleepBinding14 = this$0.binding;
        if (fragmentWeekSleepBinding14 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding14 = null;
        }
        TextView textView4 = fragmentWeekSleepBinding14.tvSleepScore2;
        Intrinsics.checkNotNullExpressionValue(textView4, "binding.tvSleepScore2");
        this$0.textView(textView4);
        if (UserConfig.INSTANCE.getInstance().getHrvSupport()) {
            FragmentWeekSleepBinding fragmentWeekSleepBinding15 = this$0.binding;
            if (fragmentWeekSleepBinding15 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding15 = null;
            }
            ViewKt.visible(fragmentWeekSleepBinding15.showHrv);
        } else {
            FragmentWeekSleepBinding fragmentWeekSleepBinding16 = this$0.binding;
            if (fragmentWeekSleepBinding16 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding16 = null;
            }
            ViewKt.gone(fragmentWeekSleepBinding16.showHrv);
        }
        if (UserConfig.INSTANCE.getInstance().getBloodOxygenSupport()) {
            FragmentWeekSleepBinding fragmentWeekSleepBinding17 = this$0.binding;
            if (fragmentWeekSleepBinding17 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding17 = null;
            }
            ViewKt.visible(fragmentWeekSleepBinding17.showBo);
        } else {
            FragmentWeekSleepBinding fragmentWeekSleepBinding18 = this$0.binding;
            if (fragmentWeekSleepBinding18 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding18 = null;
            }
            ViewKt.gone(fragmentWeekSleepBinding18.showBo);
        }
        if (list != null && (!list.isEmpty())) {
            FragmentWeekSleepBinding fragmentWeekSleepBinding19 = this$0.binding;
            if (fragmentWeekSleepBinding19 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding19 = null;
            }
            fragmentWeekSleepBinding19.weekSleepBarView.setData(list);
            Iterator it = list.iterator();
            int i = 0;
            int i2 = 0;
            int i3 = 0;
            int i4 = 0;
            int i5 = 0;
            int i6 = 0;
            int i7 = 0;
            int i8 = 0;
            int i9 = 0;
            int i10 = 0;
            int i11 = 0;
            while (it.hasNext()) {
                QSleepWeekBarView.SleepDataBean sleepDataBean = (QSleepWeekBarView.SleepDataBean) it.next();
                if (sleepDataBean.getTotalTime() > 0) {
                    i8 += sleepDataBean.getTotalTime();
                    i10 += sleepDataBean.getDeepTime();
                    i11 += sleepDataBean.getAwake();
                    sleepDataBean.getBedtime();
                    if (sleepDataBean.getHeart() > 0) {
                        i7++;
                    }
                    if (sleepDataBean.getHrv() > 0) {
                        i9++;
                    }
                    if (sleepDataBean.getSpo2() > 0) {
                        i6++;
                    }
                    i += sleepDataBean.getBedtime();
                    i3 += sleepDataBean.getHeart();
                    i2 += sleepDataBean.getSpo2();
                    i4 += sleepDataBean.getHrv();
                    i5++;
                }
            }
            if (i8 > 0 && i5 > 0) {
                int i12 = i4;
                int i13 = i8 / i5;
                int i14 = i9;
                fragmentWeekSleepBinding19.tvSleepH.setText(String.valueOf(i13 / 60));
                fragmentWeekSleepBinding19.tvSleepM.setText(String.valueOf(i13 % 60));
                int i15 = i10 / i5;
                int i16 = i2;
                float f = ((i15 * 100) * 1.0f) / i13;
                int i17 = i11 / i5;
                int i18 = i6;
                int i19 = (i17 * 100) / i13;
                int i20 = (i8 - i10) - i11;
                int roundToInt = MathKt.roundToInt(((i20 * 100) * 1.0f) / i8);
                int i21 = i3;
                int i22 = i20 / i5;
                int i23 = i7;
                int i24 = i5;
                int calcSleepScore = AlSleepUtil.calcSleepScore(i13 * 60, i15 * 60, i22 * 60, 0);
                fragmentWeekSleepBinding19.tvSleep21.setText(this$0.formatText(i13));
                if (i13 < 240) {
                    fragmentWeekSleepBinding19.tvSleepScore1.setText("90%");
                } else {
                    if (i13 <= 300 && 240 <= i13) {
                        fragmentWeekSleepBinding19.tvSleepScore1.setText("95%");
                    } else {
                        if (i13 <= 480 && 360 <= i13) {
                            fragmentWeekSleepBinding19.tvSleepScore1.setText("99%");
                        } else {
                            fragmentWeekSleepBinding19.tvSleepScore1.setText("100%");
                        }
                    }
                }
                if (i17 == 0) {
                    fragmentWeekSleepBinding19.tvSleepAwake1Time.setText("--");
                    fragmentWeekSleepBinding19.tvSleepAwake1Progress.setText("");
                } else {
                    fragmentWeekSleepBinding19.tvSleepAwake1Time.setText(this$0.formatText(i17));
                    TextView textView5 = fragmentWeekSleepBinding19.tvSleepAwake1Progress;
                    StringBuilder sb = new StringBuilder();
                    sb.append((100 - MathKt.roundToInt(f)) - roundToInt);
                    sb.append('%');
                    textView5.setText(sb.toString());
                }
                fragmentWeekSleepBinding19.tvSleepLight1Time.setText(this$0.formatText(i22));
                fragmentWeekSleepBinding19.tvSleepDeep1Time.setText(this$0.formatText(i15));
                TextView textView6 = fragmentWeekSleepBinding19.tvSleepLight1Progress;
                StringBuilder sb2 = new StringBuilder();
                sb2.append(roundToInt);
                sb2.append('%');
                textView6.setText(sb2.toString());
                TextView textView7 = fragmentWeekSleepBinding19.tvSleepDeep1Progress;
                StringBuilder sb3 = new StringBuilder();
                sb3.append(MathKt.roundToInt(f));
                sb3.append('%');
                textView7.setText(sb3.toString());
                if (i19 <= 0) {
                    fragmentWeekSleepBinding19.pbAwake1.setProgress(5);
                } else {
                    fragmentWeekSleepBinding19.pbAwake1.setProgress(i19);
                }
                fragmentWeekSleepBinding19.pbLight1.setProgress(roundToInt);
                fragmentWeekSleepBinding19.pbDeep1.setProgress((int) f);
                int roundToInt2 = MathKt.roundToInt((i * 1.0f) / i24);
                AwLog.i(Author.HeZhiYuan, Integer.valueOf(i));
                fragmentWeekSleepBinding19.tvSleep31.setText(this$0.formatText(roundToInt2));
                fragmentWeekSleepBinding19.pbSleep2.setProgress((roundToInt2 * 100) / 20);
                fragmentWeekSleepBinding19.pbSleep1.setProgress((i13 * 100) / CodeUtils.DEFAULT_REQ_WIDTH);
                fragmentWeekSleepBinding19.tvSleepTimeRang.setText(fragmentWeekSleepBinding19.qcDateChange.getTitleText());
                fragmentWeekSleepBinding19.tvProgressValue.setText(String.valueOf(calcSleepScore));
                fragmentWeekSleepBinding19.progressValue.setPercentage(calcSleepScore);
                if (calcSleepScore <= 30) {
                    fragmentWeekSleepBinding19.tvSleepScore2.setText(this$0.getString(R.string.qc_text_8015));
                } else {
                    if (31 <= calcSleepScore && calcSleepScore < 61) {
                        fragmentWeekSleepBinding19.tvSleepScore2.setText(this$0.getString(R.string.qc_text_8014));
                    } else {
                        fragmentWeekSleepBinding19.tvSleepScore2.setText(this$0.getString(R.string.qc_text_8013));
                    }
                }
                if (i23 > 0) {
                    TextView textView8 = fragmentWeekSleepBinding19.tvSleep41;
                    StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
                    String string = this$0.getString(R.string.qc_text_8054);
                    Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_8054)");
                    String format = String.format(string, Arrays.copyOf(new Object[]{String.valueOf(MathKt.roundToInt((i21 * 1.0f) / i23))}, 1));
                    Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
                    textView8.setText(format);
                    fragmentWeekSleepBinding19.pbSleep3.setProgress(((i21 / i23) * 100) / 80);
                } else {
                    TextView textView9 = fragmentWeekSleepBinding19.tvSleep41;
                    StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
                    String string2 = this$0.getString(R.string.qc_text_8054);
                    Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_8054)");
                    String format2 = String.format(string2, Arrays.copyOf(new Object[]{"--"}, 1));
                    Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
                    textView9.setText(format2);
                    fragmentWeekSleepBinding19.pbSleep3.setProgress(0);
                }
                if (i18 > 0) {
                    TextView textView10 = fragmentWeekSleepBinding19.tvSleep51;
                    StringBuilder sb4 = new StringBuilder();
                    sb4.append(MathKt.roundToInt((i16 * 1.0f) / i18));
                    sb4.append('%');
                    textView10.setText(sb4.toString());
                    fragmentWeekSleepBinding19.pbSleep4.setProgress(i16 / i18);
                } else {
                    fragmentWeekSleepBinding19.tvSleep51.setText("--%");
                    fragmentWeekSleepBinding19.pbSleep4.setProgress(0);
                }
                if (i14 > 0) {
                    fragmentWeekSleepBinding19.tvSleep61.setText(MathKt.roundToInt((i12 * 1.0f) / i14) + "ms");
                    fragmentWeekSleepBinding19.pbSleep5.setProgress(((i12 / i14) * 100) / 200);
                } else {
                    fragmentWeekSleepBinding19.tvSleep61.setText("--ms");
                    fragmentWeekSleepBinding19.pbSleep5.setProgress(0);
                }
                ViewKt.gone(fragmentWeekSleepBinding19.sleepNoData);
            } else {
                FragmentWeekSleepBinding fragmentWeekSleepBinding20 = this$0.binding;
                if (fragmentWeekSleepBinding20 == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("binding");
                    fragmentWeekSleepBinding2 = null;
                } else {
                    fragmentWeekSleepBinding2 = fragmentWeekSleepBinding20;
                }
                ViewKt.visible(fragmentWeekSleepBinding2.sleepNoData);
                fragmentWeekSleepBinding2.tvSleepTimeRang.setText(fragmentWeekSleepBinding2.qcDateChange.getTitleText());
                fragmentWeekSleepBinding2.weekSleepBarView.setData(list);
                fragmentWeekSleepBinding2.qcSleep1.setTitleValue("--");
                fragmentWeekSleepBinding2.qcSleep1.setValue2("--");
                fragmentWeekSleepBinding2.qcSleep3.setTitleValue("--");
                fragmentWeekSleepBinding2.qcSleep4.setTitleValue("--");
                fragmentWeekSleepBinding2.qcSleep2.setTitleValue("--");
                fragmentWeekSleepBinding2.qcSleep1.setStatusNull("");
                fragmentWeekSleepBinding2.qcSleep2.setStatusNull("");
                fragmentWeekSleepBinding2.qcSleep3.setStatusNull("");
                fragmentWeekSleepBinding2.qcSleep4.setStatusNull("");
                fragmentWeekSleepBinding2.tvSleepH.setText("--");
                fragmentWeekSleepBinding2.tvSleepM.setText("--");
                fragmentWeekSleepBinding2.tvSleepH1.setText("--");
                fragmentWeekSleepBinding2.tvSleepMin1.setText("--");
                fragmentWeekSleepBinding2.tvSleepScore1.setText("--");
                fragmentWeekSleepBinding2.tvSleepScore2.setText("--");
                fragmentWeekSleepBinding2.tvSleep31.setText("--");
                fragmentWeekSleepBinding2.pbSleep1.setProgress(0);
                fragmentWeekSleepBinding2.pbSleep2.setProgress(0);
                fragmentWeekSleepBinding2.pbSleep3.setProgress(0);
                fragmentWeekSleepBinding2.pbSleep4.setProgress(0);
                fragmentWeekSleepBinding2.pbSleep5.setProgress(0);
                fragmentWeekSleepBinding2.pbAwake1.setProgress(5);
                fragmentWeekSleepBinding2.pbLight1.setProgress(5);
                fragmentWeekSleepBinding2.pbDeep1.setProgress(5);
                fragmentWeekSleepBinding2.tvSleepDeep2.setText("--");
                fragmentWeekSleepBinding2.tvSleepLight2.setText("--");
                fragmentWeekSleepBinding2.tvSleepAwake2.setText("--");
                fragmentWeekSleepBinding2.tvSleepAwake1Time.setText("--");
                fragmentWeekSleepBinding2.tvSleepAwake1Progress.setText("");
                fragmentWeekSleepBinding2.tvSleepLight1Time.setText("--");
                fragmentWeekSleepBinding2.tvSleepLight1Progress.setText("");
                fragmentWeekSleepBinding2.tvSleepDeep1Time.setText("--");
                fragmentWeekSleepBinding2.tvSleepDeep1Progress.setText("");
                fragmentWeekSleepBinding2.tvProgressValue.setText("--");
                fragmentWeekSleepBinding2.progressValue.setPercentage(0);
                TextView textView11 = fragmentWeekSleepBinding2.tvSleep21;
                StringCompanionObject stringCompanionObject3 = StringCompanionObject.INSTANCE;
                String string3 = this$0.getString(R.string.qc_text_8078);
                Intrinsics.checkNotNullExpressionValue(string3, "getString(R.string.qc_text_8078)");
                String format3 = String.format(string3, Arrays.copyOf(new Object[]{"--"}, 1));
                Intrinsics.checkNotNullExpressionValue(format3, "format(format, *args)");
                textView11.setText(format3);
                TextView textView12 = fragmentWeekSleepBinding2.tvSleep31;
                StringCompanionObject stringCompanionObject4 = StringCompanionObject.INSTANCE;
                String string4 = this$0.getString(R.string.qc_text_8078);
                Intrinsics.checkNotNullExpressionValue(string4, "getString(R.string.qc_text_8078)");
                String format4 = String.format(string4, Arrays.copyOf(new Object[]{"--"}, 1));
                Intrinsics.checkNotNullExpressionValue(format4, "format(format, *args)");
                textView12.setText(format4);
                TextView textView13 = fragmentWeekSleepBinding2.tvSleep41;
                StringCompanionObject stringCompanionObject5 = StringCompanionObject.INSTANCE;
                String string5 = this$0.getString(R.string.qc_text_8054);
                Intrinsics.checkNotNullExpressionValue(string5, "getString(R.string.qc_text_8054)");
                String format5 = String.format(string5, Arrays.copyOf(new Object[]{"--"}, 1));
                Intrinsics.checkNotNullExpressionValue(format5, "format(format, *args)");
                textView13.setText(format5);
                fragmentWeekSleepBinding2.tvSleep51.setText("--%");
                fragmentWeekSleepBinding2.tvSleep61.setText("--ms");
                fragmentWeekSleepBinding2.pbSleep5.setProgress(0);
                Unit unit = Unit.INSTANCE;
            }
            Unit unit2 = Unit.INSTANCE;
            return;
        }
        FragmentWeekSleepBinding fragmentWeekSleepBinding21 = this$0.binding;
        if (fragmentWeekSleepBinding21 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentWeekSleepBinding = null;
        } else {
            fragmentWeekSleepBinding = fragmentWeekSleepBinding21;
        }
        fragmentWeekSleepBinding.tvSleepTimeRang.setText(fragmentWeekSleepBinding.qcDateChange.getTitleText());
        fragmentWeekSleepBinding.weekSleepBarView.setData(list);
        fragmentWeekSleepBinding.qcSleep1.setTitleValue("--");
        fragmentWeekSleepBinding.qcSleep1.setValue2("--");
        fragmentWeekSleepBinding.qcSleep3.setTitleValue("--");
        fragmentWeekSleepBinding.qcSleep4.setTitleValue("--");
        fragmentWeekSleepBinding.qcSleep2.setTitleValue("--");
        fragmentWeekSleepBinding.tvSleepH1.setText("--");
        fragmentWeekSleepBinding.tvSleepMin1.setText("--");
        fragmentWeekSleepBinding.tvSleepScore1.setText("--");
        fragmentWeekSleepBinding.tvSleepScore2.setText("--");
        fragmentWeekSleepBinding.tvSleep31.setText("--");
        fragmentWeekSleepBinding.pbSleep1.setProgress(0);
        fragmentWeekSleepBinding.pbSleep2.setProgress(0);
        fragmentWeekSleepBinding.pbSleep3.setProgress(0);
        fragmentWeekSleepBinding.pbSleep4.setProgress(0);
        fragmentWeekSleepBinding.pbSleep5.setProgress(0);
        fragmentWeekSleepBinding.pbAwake1.setProgress(5);
        fragmentWeekSleepBinding.pbLight1.setProgress(5);
        fragmentWeekSleepBinding.pbDeep1.setProgress(5);
        fragmentWeekSleepBinding.tvSleepDeep2.setText("--");
        fragmentWeekSleepBinding.tvSleepLight2.setText("--");
        fragmentWeekSleepBinding.tvSleepAwake2.setText("--");
        fragmentWeekSleepBinding.tvSleepAwake1Time.setText("--");
        fragmentWeekSleepBinding.tvSleepAwake1Progress.setText("");
        fragmentWeekSleepBinding.tvSleepLight1Time.setText("--");
        fragmentWeekSleepBinding.tvSleepLight1Progress.setText("");
        fragmentWeekSleepBinding.tvSleepDeep1Time.setText("--");
        fragmentWeekSleepBinding.tvSleepDeep1Progress.setText("");
        fragmentWeekSleepBinding.tvProgressValue.setText("--");
        fragmentWeekSleepBinding.progressValue.setPercentage(0);
        TextView textView14 = fragmentWeekSleepBinding.tvSleep21;
        StringCompanionObject stringCompanionObject6 = StringCompanionObject.INSTANCE;
        String string6 = this$0.getString(R.string.qc_text_8078);
        Intrinsics.checkNotNullExpressionValue(string6, "getString(R.string.qc_text_8078)");
        String format6 = String.format(string6, Arrays.copyOf(new Object[]{"--"}, 1));
        Intrinsics.checkNotNullExpressionValue(format6, "format(format, *args)");
        textView14.setText(format6);
        TextView textView15 = fragmentWeekSleepBinding.tvSleep31;
        StringCompanionObject stringCompanionObject7 = StringCompanionObject.INSTANCE;
        String string7 = this$0.getString(R.string.qc_text_8078);
        Intrinsics.checkNotNullExpressionValue(string7, "getString(R.string.qc_text_8078)");
        String format7 = String.format(string7, Arrays.copyOf(new Object[]{"--"}, 1));
        Intrinsics.checkNotNullExpressionValue(format7, "format(format, *args)");
        textView15.setText(format7);
        TextView textView16 = fragmentWeekSleepBinding.tvSleep41;
        StringCompanionObject stringCompanionObject8 = StringCompanionObject.INSTANCE;
        String string8 = this$0.getString(R.string.qc_text_8054);
        Intrinsics.checkNotNullExpressionValue(string8, "getString(R.string.qc_text_8054)");
        String format8 = String.format(string8, Arrays.copyOf(new Object[]{"--"}, 1));
        Intrinsics.checkNotNullExpressionValue(format8, "format(format, *args)");
        textView16.setText(format8);
        fragmentWeekSleepBinding.tvSleep41.setText("--bpm");
        fragmentWeekSleepBinding.tvSleep51.setText("--%");
        fragmentWeekSleepBinding.tvSleep61.setText("--ms");
        fragmentWeekSleepBinding.pbSleep5.setProgress(0);
        Unit unit3 = Unit.INSTANCE;
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        try {
            FragmentWeekSleepBinding fragmentWeekSleepBinding = this.binding;
            FragmentWeekSleepBinding fragmentWeekSleepBinding2 = null;
            if (fragmentWeekSleepBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding = null;
            }
            fragmentWeekSleepBinding.pbAwake1.setBgColor(SkinCompatResources.getColor(getActivity(), R.color.sleep_item_progress_7));
            FragmentWeekSleepBinding fragmentWeekSleepBinding3 = this.binding;
            if (fragmentWeekSleepBinding3 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding3 = null;
            }
            fragmentWeekSleepBinding3.pbLight1.setBgColor(SkinCompatResources.getColor(getActivity(), R.color.sleep_item_progress_9));
            FragmentWeekSleepBinding fragmentWeekSleepBinding4 = this.binding;
            if (fragmentWeekSleepBinding4 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding4 = null;
            }
            fragmentWeekSleepBinding4.pbDeep1.setBgColor(SkinCompatResources.getColor(getActivity(), R.color.sleep_item_progress_10));
            FragmentWeekSleepBinding fragmentWeekSleepBinding5 = this.binding;
            if (fragmentWeekSleepBinding5 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding5 = null;
            }
            fragmentWeekSleepBinding5.pbSleep1.setBgColor(SkinCompatResources.getColor(getActivity(), R.color.q_view_step_5));
            FragmentWeekSleepBinding fragmentWeekSleepBinding6 = this.binding;
            if (fragmentWeekSleepBinding6 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding6 = null;
            }
            fragmentWeekSleepBinding6.pbSleep2.setBgColor(SkinCompatResources.getColor(getActivity(), R.color.q_view_step_5));
            FragmentWeekSleepBinding fragmentWeekSleepBinding7 = this.binding;
            if (fragmentWeekSleepBinding7 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding7 = null;
            }
            fragmentWeekSleepBinding7.pbSleep3.setBgColor(SkinCompatResources.getColor(getActivity(), R.color.q_view_step_5));
            FragmentWeekSleepBinding fragmentWeekSleepBinding8 = this.binding;
            if (fragmentWeekSleepBinding8 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                fragmentWeekSleepBinding8 = null;
            }
            fragmentWeekSleepBinding8.pbSleep4.setBgColor(SkinCompatResources.getColor(getActivity(), R.color.q_view_step_5));
            FragmentWeekSleepBinding fragmentWeekSleepBinding9 = this.binding;
            if (fragmentWeekSleepBinding9 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                fragmentWeekSleepBinding2 = fragmentWeekSleepBinding9;
            }
            fragmentWeekSleepBinding2.pbSleep5.setBgColor(SkinCompatResources.getColor(getActivity(), R.color.q_view_step_5));
        } catch (Exception unused) {
        }
    }

    public final String formatText(int minute) {
        String str;
        String str2;
        String str3;
        int i = minute / 60;
        int i2 = minute % 60;
        if (i == 0) {
            if (i2 < 10) {
                StringBuilder sb = new StringBuilder();
                sb.append('0');
                sb.append(i2);
                str3 = sb.toString();
            } else {
                str3 = i2 + "";
            }
            StringCompanionObject stringCompanionObject = StringCompanionObject.INSTANCE;
            String string = getString(R.string.qc_text_8053);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_8053)");
            String format = String.format(string, Arrays.copyOf(new Object[]{str3}, 1));
            Intrinsics.checkNotNullExpressionValue(format, "format(format, *args)");
            return format;
        }
        if (i < 10) {
            StringBuilder sb2 = new StringBuilder();
            sb2.append('0');
            sb2.append(i);
            str = sb2.toString();
        } else {
            str = i + "";
        }
        if (i2 < 10) {
            StringBuilder sb3 = new StringBuilder();
            sb3.append('0');
            sb3.append(i2);
            str2 = sb3.toString();
        } else {
            str2 = i2 + "";
        }
        StringCompanionObject stringCompanionObject2 = StringCompanionObject.INSTANCE;
        String string2 = getString(R.string.qc_text_8052);
        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_8052)");
        String format2 = String.format(string2, Arrays.copyOf(new Object[]{str, str2}, 2));
        Intrinsics.checkNotNullExpressionValue(format2, "format(format, *args)");
        return format2;
    }

    private final void textView(TextView view) {
        view.setEllipsize(TextUtils.TruncateAt.MARQUEE);
        view.setSingleLine();
        view.setSelected(true);
        view.setFocusable(true);
        view.setFocusableInTouchMode(true);
    }

    /* compiled from: WeekSleepFragment.kt */
    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/sleep/week/WeekSleepFragment$Companion;", "", "()V", "newInstance", "Lcom/qcwireless/qcwatch/ui/home/sleep/week/WeekSleepFragment;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final WeekSleepFragment newInstance() {
            return new WeekSleepFragment();
        }
    }
}
