package com.qcwireless.qcwatch.ui.home.step;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;
import com.qcwireless.qcwatch.base.event.HomeStepRefreshEvent;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.FragmentStepBinding;
import com.qcwireless.qcwatch.ui.activity.MainActivity;
import com.qcwireless.qcwatch.ui.base.BaseFragment;
import com.qcwireless.qcwatch.ui.base.view.QSwitchButtonView;
import com.qcwireless.qcwatch.ui.home.step.day.DayStepFragment;
import com.qcwireless.qcwatch.ui.home.step.month.MonthStepFragment;
import com.qcwireless.qcwatch.ui.home.step.week.WeekStepFragment;
import com.qcwireless.ring.R;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import org.greenrobot.eventbus.EventBus;

/* compiled from: StepFragment.kt */
@Metadata(d1 = {"\u0000^\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0011\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u0000 \u001e2\u00020\u0001:\u0001\u001eB\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0013\u001a\u00020\u0014H\u0002J\b\u0010\u0015\u001a\u00020\u0012H\u0016J&\u0010\u0016\u001a\u0004\u0018\u00010\u00172\u0006\u0010\u0018\u001a\u00020\u00192\b\u0010\u001a\u001a\u0004\u0018\u00010\u001b2\b\u0010\u001c\u001a\u0004\u0018\u00010\u001dH\u0016R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u0010\u0010\u0005\u001a\u0004\u0018\u00010\u0006X\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\u0007\u001a\u0004\u0018\u00010\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\t\u001a\u0004\u0018\u00010\nX\u0082\u000e¢\u0006\u0002\n\u0000R\u0016\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\r0\fX\u0082.¢\u0006\u0004\n\u0002\u0010\u000eR\u0010\u0010\u000f\u001a\u0004\u0018\u00010\u0010X\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006\u001f"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/step/StepFragment;", "Lcom/qcwireless/qcwatch/ui/base/BaseFragment;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/FragmentStepBinding;", "daySleepFragment", "Lcom/qcwireless/qcwatch/ui/home/step/day/DayStepFragment;", "fragmentManager", "Landroidx/fragment/app/FragmentManager;", "monthSleepFragment", "Lcom/qcwireless/qcwatch/ui/home/step/month/MonthStepFragment;", "titleList", "", "", "[Ljava/lang/String;", "weekSleepFragment", "Lcom/qcwireless/qcwatch/ui/home/step/week/WeekStepFragment;", "hideFragments", "", "transaction", "Landroidx/fragment/app/FragmentTransaction;", "loadDataOnce", "onCreateView", "Landroid/view/View;", "inflater", "Landroid/view/LayoutInflater;", "container", "Landroid/view/ViewGroup;", "savedInstanceState", "Landroid/os/Bundle;", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class StepFragment extends BaseFragment {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private FragmentStepBinding binding;
    private DayStepFragment daySleepFragment;
    private FragmentManager fragmentManager;
    private MonthStepFragment monthSleepFragment;
    private String[] titleList;
    private WeekStepFragment weekSleepFragment;

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment, androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        Intrinsics.checkNotNullParameter(inflater, "inflater");
        FragmentStepBinding inflate = FragmentStepBinding.inflate(inflater, container, false);
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(inflater, container, false)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        return inflate.getRoot();
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseFragment
    public void loadDataOnce() {
        super.loadDataOnce();
        this.fragmentManager = getChildFragmentManager();
        String string = getString(R.string.qc_text_117);
        Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_117)");
        String string2 = getString(R.string.qc_text_105);
        Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_105)");
        String string3 = getString(R.string.qc_text_106);
        Intrinsics.checkNotNullExpressionValue(string3, "getString(R.string.qc_text_106)");
        this.titleList = new String[]{string, string2, string3};
        FragmentStepBinding fragmentStepBinding = this.binding;
        String[] strArr = null;
        if (fragmentStepBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            fragmentStepBinding = null;
        }
        fragmentStepBinding.titleBar.tvTitle.setText(getString(R.string.qc_text_6666066));
        ViewKt.gone(fragmentStepBinding.titleBar.divider);
        ViewKt.invisible(fragmentStepBinding.titleBar.ivNavigateBefore);
        QSwitchButtonView qSwitchButtonView = fragmentStepBinding.stepQsvView;
        String[] strArr2 = this.titleList;
        if (strArr2 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("titleList");
        } else {
            strArr = strArr2;
        }
        qSwitchButtonView.setTitle(strArr);
        fragmentStepBinding.stepQsvView.setActivity((MainActivity) getActivity());
        fragmentStepBinding.stepQsvView.select(0, true);
        fragmentStepBinding.stepQsvView.setOnTabSelectedListener(new QSwitchButtonView.OnTabSelectedListener() { // from class: com.qcwireless.qcwatch.ui.home.step.StepFragment$loadDataOnce$1$1
            @Override // com.qcwireless.qcwatch.ui.base.view.QSwitchButtonView.OnTabSelectedListener
            public void onTabSelected(int index) {
                FragmentManager fragmentManager;
                DayStepFragment dayStepFragment;
                DayStepFragment dayStepFragment2;
                DayStepFragment dayStepFragment3;
                WeekStepFragment weekStepFragment;
                WeekStepFragment weekStepFragment2;
                WeekStepFragment weekStepFragment3;
                MonthStepFragment monthStepFragment;
                MonthStepFragment monthStepFragment2;
                MonthStepFragment monthStepFragment3;
                fragmentManager = StepFragment.this.fragmentManager;
                Intrinsics.checkNotNull(fragmentManager);
                FragmentTransaction beginTransaction = fragmentManager.beginTransaction();
                StepFragment stepFragment = StepFragment.this;
                Intrinsics.checkNotNullExpressionValue(beginTransaction, "this");
                stepFragment.hideFragments(beginTransaction);
                if (index == 0) {
                    dayStepFragment = stepFragment.daySleepFragment;
                    if (dayStepFragment == null) {
                        stepFragment.daySleepFragment = DayStepFragment.INSTANCE.newInstance();
                        dayStepFragment3 = stepFragment.daySleepFragment;
                        Intrinsics.checkNotNull(dayStepFragment3);
                        beginTransaction.add(R.id.stepContainer, dayStepFragment3);
                    } else {
                        dayStepFragment2 = stepFragment.daySleepFragment;
                        Intrinsics.checkNotNull(dayStepFragment2);
                        beginTransaction.show(dayStepFragment2);
                    }
                    EventBus.getDefault().post(new HomeStepRefreshEvent());
                } else if (index == 1) {
                    weekStepFragment = stepFragment.weekSleepFragment;
                    if (weekStepFragment == null) {
                        stepFragment.weekSleepFragment = WeekStepFragment.INSTANCE.newInstance();
                        weekStepFragment3 = stepFragment.weekSleepFragment;
                        Intrinsics.checkNotNull(weekStepFragment3);
                        beginTransaction.add(R.id.stepContainer, weekStepFragment3);
                    } else {
                        weekStepFragment2 = stepFragment.weekSleepFragment;
                        Intrinsics.checkNotNull(weekStepFragment2);
                        beginTransaction.show(weekStepFragment2);
                    }
                    EventBus.getDefault().post(new HomeStepRefreshEvent());
                } else if (index == 2) {
                    monthStepFragment = stepFragment.monthSleepFragment;
                    if (monthStepFragment == null) {
                        stepFragment.monthSleepFragment = MonthStepFragment.INSTANCE.newInstance();
                        monthStepFragment3 = stepFragment.monthSleepFragment;
                        Intrinsics.checkNotNull(monthStepFragment3);
                        beginTransaction.add(R.id.stepContainer, monthStepFragment3);
                    } else {
                        monthStepFragment2 = stepFragment.monthSleepFragment;
                        Intrinsics.checkNotNull(monthStepFragment2);
                        beginTransaction.show(monthStepFragment2);
                    }
                    EventBus.getDefault().post(new HomeStepRefreshEvent());
                }
                beginTransaction.commitAllowingStateLoss();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void hideFragments(FragmentTransaction transaction) {
        DayStepFragment dayStepFragment = this.daySleepFragment;
        if (dayStepFragment != null) {
            Intrinsics.checkNotNull(dayStepFragment);
            transaction.hide(dayStepFragment);
        }
        WeekStepFragment weekStepFragment = this.weekSleepFragment;
        if (weekStepFragment != null) {
            Intrinsics.checkNotNull(weekStepFragment);
            transaction.hide(weekStepFragment);
        }
        MonthStepFragment monthStepFragment = this.monthSleepFragment;
        if (monthStepFragment != null) {
            Intrinsics.checkNotNull(monthStepFragment);
            transaction.hide(monthStepFragment);
        }
    }

    /* compiled from: StepFragment.kt */
    @Metadata(d1 = {"\u0000\u0012\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0006\u0010\u0003\u001a\u00020\u0004¨\u0006\u0005"}, d2 = {"Lcom/qcwireless/qcwatch/ui/home/step/StepFragment$Companion;", "", "()V", "newInstance", "Lcom/qcwireless/qcwatch/ui/home/step/StepFragment;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final StepFragment newInstance() {
            return new StepFragment();
        }
    }
}
