package com.qcwireless.qcwatch.ui.mine.feedback;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import com.androidnetworking.common.ANConstants;
import com.google.android.gms.fitness.FitnessActivities;
import com.qcwireless.qcwatch.ui.base.BaseViewModel;
import com.qcwireless.qcwatch.ui.base.bean.request.user.FeedbackRequest;
import com.qcwireless.qcwatch.ui.base.repository.entity.FeedbackEntity;
import com.qcwireless.qcwatch.ui.base.repository.mine.FeedbackRepository;
import com.qcwireless.qcwatch.ui.mine.feedback.bean.FeedbackImageBean;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.BuildersKt__Builders_commonKt;
import kotlinx.coroutines.GlobalScope;

/* compiled from: FeedbackViewModel.kt */
@Metadata(d1 = {"\u0000T\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\u00020\u0001:\u0001\"B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\u000e\u0010\u0018\u001a\u00020\u00192\u0006\u0010\u001a\u001a\u00020\u001bJ\u0006\u0010\u001c\u001a\u00020\u0019J\u001c\u0010\u001d\u001a\u00020\u00192\u0006\u0010\u001e\u001a\u00020\u001f2\f\u0010 \u001a\b\u0012\u0004\u0012\u00020!0\tR\u0014\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u0006X\u0082\u0004¢\u0006\u0002\n\u0000R\u0017\u0010\b\u001a\b\u0012\u0004\u0012\u00020\n0\t¢\u0006\b\n\u0000\u001a\u0004\b\u000b\u0010\fR\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u0004¢\u0006\u0002\n\u0000R\u0017\u0010\r\u001a\b\u0012\u0004\u0012\u00020\n0\t¢\u0006\b\n\u0000\u001a\u0004\b\u000e\u0010\fR\u0017\u0010\u000f\u001a\b\u0012\u0004\u0012\u00020\n0\t¢\u0006\b\n\u0000\u001a\u0004\b\u0010\u0010\fR\u0017\u0010\u0011\u001a\b\u0012\u0004\u0012\u00020\u00120\t¢\u0006\b\n\u0000\u001a\u0004\b\u0013\u0010\fR\u0017\u0010\u0014\u001a\b\u0012\u0004\u0012\u00020\u00070\u00158F¢\u0006\u0006\u001a\u0004\b\u0016\u0010\u0017¨\u0006#"}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/feedback/FeedbackViewModel;", "Lcom/qcwireless/qcwatch/ui/base/BaseViewModel;", "feedbackRepository", "Lcom/qcwireless/qcwatch/ui/base/repository/mine/FeedbackRepository;", "(Lcom/qcwireless/qcwatch/ui/base/repository/mine/FeedbackRepository;)V", "_uiState", "Landroidx/lifecycle/MutableLiveData;", "Lcom/qcwireless/qcwatch/ui/mine/feedback/FeedbackViewModel$FeedBackUI;", "featuresList", "", "Lcom/qcwireless/qcwatch/ui/base/repository/entity/FeedbackEntity;", "getFeaturesList", "()Ljava/util/List;", "firmwareList", "getFirmwareList", "hardwareList", "getHardwareList", "imageList", "Lcom/qcwireless/qcwatch/ui/mine/feedback/bean/FeedbackImageBean;", "getImageList", "uiState", "Landroidx/lifecycle/LiveData;", "getUiState", "()Landroidx/lifecycle/LiveData;", "downloadListFromServer", "", "language", "", "queryAll", "submitFeedback", "params", "Lcom/qcwireless/qcwatch/ui/base/bean/request/user/FeedbackRequest;", "files", "Ljava/io/File;", "FeedBackUI", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class FeedbackViewModel extends BaseViewModel {
    private final MutableLiveData<FeedBackUI> _uiState;
    private final List<FeedbackEntity> featuresList;
    private final FeedbackRepository feedbackRepository;
    private final List<FeedbackEntity> firmwareList;
    private final List<FeedbackEntity> hardwareList;
    private final List<FeedbackImageBean> imageList;

    public FeedbackViewModel(FeedbackRepository feedbackRepository) {
        Intrinsics.checkNotNullParameter(feedbackRepository, "feedbackRepository");
        this.feedbackRepository = feedbackRepository;
        this.featuresList = new ArrayList();
        this.firmwareList = new ArrayList();
        this.hardwareList = new ArrayList();
        this.imageList = new ArrayList();
        this._uiState = new MutableLiveData<>();
    }

    public final List<FeedbackEntity> getFeaturesList() {
        return this.featuresList;
    }

    public final List<FeedbackEntity> getFirmwareList() {
        return this.firmwareList;
    }

    public final List<FeedbackEntity> getHardwareList() {
        return this.hardwareList;
    }

    public final List<FeedbackImageBean> getImageList() {
        return this.imageList;
    }

    public final LiveData<FeedBackUI> getUiState() {
        return this._uiState;
    }

    public final void queryAll() {
        this.featuresList.clear();
        this.firmwareList.clear();
        this.hardwareList.clear();
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new FeedbackViewModel$queryAll$1(this, null), 3, null);
    }

    public final void downloadListFromServer(String language) {
        Intrinsics.checkNotNullParameter(language, "language");
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new FeedbackViewModel$downloadListFromServer$1(this, language, null), 3, null);
    }

    public final void submitFeedback(FeedbackRequest params, List<File> files) {
        Intrinsics.checkNotNullParameter(params, "params");
        Intrinsics.checkNotNullParameter(files, "files");
        BuildersKt__Builders_commonKt.launch$default(GlobalScope.INSTANCE, null, null, new FeedbackViewModel$submitFeedback$1(this, params, files, null), 3, null);
    }

    /* compiled from: FeedbackViewModel.kt */
    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000b\n\u0002\b\b\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0086\b\u0018\u00002\u00020\u0001B\r\u0012\u0006\u0010\u0002\u001a\u00020\u0003¢\u0006\u0002\u0010\u0004J\t\u0010\u0007\u001a\u00020\u0003HÆ\u0003J\u0013\u0010\b\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u0003HÆ\u0001J\u0013\u0010\t\u001a\u00020\u00032\b\u0010\n\u001a\u0004\u0018\u00010\u0001HÖ\u0003J\t\u0010\u000b\u001a\u00020\fHÖ\u0001J\t\u0010\r\u001a\u00020\u000eHÖ\u0001R\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\u0005\u0010\u0006¨\u0006\u000f"}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/feedback/FeedbackViewModel$FeedBackUI;", "", ANConstants.SUCCESS, "", "(Z)V", "getSuccess", "()Z", "component1", "copy", "equals", FitnessActivities.OTHER, "hashCode", "", "toString", "", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final /* data */ class FeedBackUI {
        private final boolean success;

        public static /* synthetic */ FeedBackUI copy$default(FeedBackUI feedBackUI, boolean z, int i, Object obj) {
            if ((i & 1) != 0) {
                z = feedBackUI.success;
            }
            return feedBackUI.copy(z);
        }

        /* renamed from: component1, reason: from getter */
        public final boolean getSuccess() {
            return this.success;
        }

        public final FeedBackUI copy(boolean success) {
            return new FeedBackUI(success);
        }

        public boolean equals(Object other) {
            if (this == other) {
                return true;
            }
            return (other instanceof FeedBackUI) && this.success == ((FeedBackUI) other).success;
        }

        public int hashCode() {
            boolean z = this.success;
            if (z) {
                return 1;
            }
            return z ? 1 : 0;
        }

        public String toString() {
            return "FeedBackUI(success=" + this.success + ')';
        }

        public FeedBackUI(boolean z) {
            this.success = z;
        }

        public final boolean getSuccess() {
            return this.success;
        }
    }
}
