package com.qcwireless.qcwatch.ui.mine.login;

import android.os.Bundle;
import android.text.Editable;
import android.text.InputFilter;
import android.text.Spanned;
import android.text.TextWatcher;
import android.text.method.HideReturnsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.view.View;
import android.widget.Button;
import android.widget.CompoundButton;
import android.widget.EditText;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.Observer;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.qcwatch.base.event.LoginSuccessEvent;
import com.qcwireless.qcwatch.base.event.MessageEvent;
import com.qcwireless.qcwatch.base.event.RefreshEvent;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.base.view.ViewKt;
import com.qcwireless.qcwatch.databinding.ActivityLoginBinding;
import com.qcwireless.qcwatch.ui.base.BaseActivity;
import com.qcwireless.qcwatch.ui.base.bean.mine.MineActivityFinish;
import com.qcwireless.qcwatch.ui.base.repository.mine.NetState;
import com.qcwireless.qcwatch.ui.mine.MineFragment;
import com.qcwireless.ring.R;
import java.util.Locale;
import java.util.regex.Pattern;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.text.Regex;
import kotlin.text.StringsKt;
import org.greenrobot.eventbus.EventBus;
import org.koin.androidx.viewmodel.ext.android.LifecycleOwnerExtKt;
import org.koin.core.qualifier.Qualifier;

/* compiled from: LoginActivity.kt */
@Metadata(d1 = {"\u0000D\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0010\u0010\u0015\u001a\u00020\u00162\u0006\u0010\u0005\u001a\u00020\u0006H\u0002J\u0012\u0010\u0017\u001a\u00020\u00182\b\u0010\u0019\u001a\u0004\u0018\u00010\u001aH\u0014J\u0010\u0010\u001b\u001a\u00020\u00182\u0006\u0010\u001c\u001a\u00020\u001dH\u0016J\b\u0010\u001e\u001a\u00020\u0018H\u0014J\b\u0010\u001f\u001a\u00020\u0018H\u0014R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000R\u001a\u0010\u0007\u001a\u00020\bX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\t\u0010\n\"\u0004\b\u000b\u0010\fR\u000e\u0010\r\u001a\u00020\bX\u0082\u000e¢\u0006\u0002\n\u0000R\u001b\u0010\u000e\u001a\u00020\u000f8BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u0012\u0010\u0013\u001a\u0004\b\u0010\u0010\u0011R\u000e\u0010\u0014\u001a\u00020\u0006X\u0082.¢\u0006\u0002\n\u0000¨\u0006 "}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/login/LoginActivity;", "Lcom/qcwireless/qcwatch/ui/base/BaseActivity;", "()V", "binding", "Lcom/qcwireless/qcwatch/databinding/ActivityLoginBinding;", "email", "", "emptyInputFilter", "Landroid/text/InputFilter;", "getEmptyInputFilter", "()Landroid/text/InputFilter;", "setEmptyInputFilter", "(Landroid/text/InputFilter;)V", "inputFilter", "loginViewModel", "Lcom/qcwireless/qcwatch/ui/mine/login/LoginViewModel;", "getLoginViewModel", "()Lcom/qcwireless/qcwatch/ui/mine/login/LoginViewModel;", "loginViewModel$delegate", "Lkotlin/Lazy;", "password", "isValidEmail", "", "onCreate", "", "savedInstanceState", "Landroid/os/Bundle;", "onMessageEvent", "messageEvent", "Lcom/qcwireless/qcwatch/base/event/MessageEvent;", "onResume", "setupViews", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class LoginActivity extends BaseActivity {
    private ActivityLoginBinding binding;
    private String email;
    private InputFilter emptyInputFilter;
    private InputFilter inputFilter;

    /* renamed from: loginViewModel$delegate, reason: from kotlin metadata */
    private final Lazy loginViewModel;
    private String password;

    public LoginActivity() {
        final LoginActivity loginActivity = this;
        final Qualifier qualifier = null;
        final byte b = 0 == true ? 1 : 0;
        this.loginViewModel = LazyKt.lazy(new Function0<LoginViewModel>() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$special$$inlined$viewModel$default$1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(0);
            }

            /* JADX WARN: Can't rename method to resolve collision */
            /* JADX WARN: Type inference failed for: r0v1, types: [androidx.lifecycle.ViewModel, com.qcwireless.qcwatch.ui.mine.login.LoginViewModel] */
            @Override // kotlin.jvm.functions.Function0
            public final LoginViewModel invoke() {
                return LifecycleOwnerExtKt.getViewModel(LifecycleOwner.this, Reflection.getOrCreateKotlinClass(LoginViewModel.class), qualifier, b);
            }
        });
        this.emptyInputFilter = new InputFilter() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$$ExternalSyntheticLambda0
            @Override // android.text.InputFilter
            public final CharSequence filter(CharSequence charSequence, int i, int i2, Spanned spanned, int i3, int i4) {
                CharSequence m1001emptyInputFilter$lambda6;
                m1001emptyInputFilter$lambda6 = LoginActivity.m1001emptyInputFilter$lambda6(LoginActivity.this, charSequence, i, i2, spanned, i3, i4);
                return m1001emptyInputFilter$lambda6;
            }
        };
        this.inputFilter = new InputFilter() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$inputFilter$1
            private Pattern emoji = Pattern.compile("[^\\u0000-\\uFFFF]", 66);

            public final Pattern getEmoji() {
                return this.emoji;
            }

            public final void setEmoji(Pattern pattern) {
                this.emoji = pattern;
            }

            @Override // android.text.InputFilter
            public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
                Intrinsics.checkNotNullParameter(source, "source");
                Intrinsics.checkNotNullParameter(dest, "dest");
                return this.emoji.matcher(source).find() ? "" : source;
            }
        };
    }

    public static final /* synthetic */ ActivityLoginBinding access$getBinding$p(LoginActivity loginActivity) {
        return loginActivity.binding;
    }

    public static final /* synthetic */ String access$getEmail$p(LoginActivity loginActivity) {
        return loginActivity.email;
    }

    public static final /* synthetic */ LoginViewModel access$getLoginViewModel(LoginActivity loginActivity) {
        return loginActivity.getLoginViewModel();
    }

    public static final /* synthetic */ String access$getPassword$p(LoginActivity loginActivity) {
        return loginActivity.password;
    }

    public static final /* synthetic */ boolean access$isValidEmail(LoginActivity loginActivity, String str) {
        return loginActivity.isValidEmail(str);
    }

    public static final /* synthetic */ void access$setEmail$p(LoginActivity loginActivity, String str) {
        loginActivity.email = str;
    }

    public static final /* synthetic */ void access$setPassword$p(LoginActivity loginActivity, String str) {
        loginActivity.password = str;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final LoginViewModel getLoginViewModel() {
        return (LoginViewModel) this.loginViewModel.getValue();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityLoginBinding inflate = ActivityLoginBinding.inflate(getLayoutInflater());
        Intrinsics.checkNotNullExpressionValue(inflate, "inflate(layoutInflater)");
        this.binding = inflate;
        if (inflate == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            inflate = null;
        }
        ConstraintLayout root = inflate.getRoot();
        Intrinsics.checkNotNullExpressionValue(root, "binding.root");
        setContentView(root);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity
    public void setupViews() {
        super.setupViews();
        View[] viewArr = new View[5];
        ActivityLoginBinding activityLoginBinding = this.binding;
        final ActivityLoginBinding activityLoginBinding2 = null;
        if (activityLoginBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityLoginBinding = null;
        }
        viewArr[0] = activityLoginBinding.btnLogin;
        ActivityLoginBinding activityLoginBinding3 = this.binding;
        if (activityLoginBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityLoginBinding3 = null;
        }
        viewArr[1] = activityLoginBinding3.tvForgetPws;
        ActivityLoginBinding activityLoginBinding4 = this.binding;
        if (activityLoginBinding4 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityLoginBinding4 = null;
        }
        viewArr[2] = activityLoginBinding4.tvRegister;
        ActivityLoginBinding activityLoginBinding5 = this.binding;
        if (activityLoginBinding5 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityLoginBinding5 = null;
        }
        viewArr[3] = activityLoginBinding5.userPrivacyEn;
        ActivityLoginBinding activityLoginBinding6 = this.binding;
        if (activityLoginBinding6 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityLoginBinding6 = null;
        }
        viewArr[4] = activityLoginBinding6.userAgreement;
        GlobalKt.setOnClickListener(viewArr, new Function1<View, Unit>() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$setupViews$1
            /* JADX INFO: Access modifiers changed from: package-private */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(View view) {
                invoke2(view);
                return Unit.INSTANCE;
            }

            /*  JADX ERROR: JadxRuntimeException in pass: BlockProcessor
                jadx.core.utils.exceptions.JadxRuntimeException: CFG modification limit reached, blocks count: 745
                	at jadx.core.dex.visitors.blocks.BlockProcessor.processBlocksTree(BlockProcessor.java:64)
                	at jadx.core.dex.visitors.blocks.BlockProcessor.visit(BlockProcessor.java:44)
                */
            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(android.view.View r18) {
                /*
                    Method dump skipped, instructions count: 2788
                    To view this dump change 'Code comments level' option to 'DEBUG'
                */
                throw new UnsupportedOperationException("Method not decompiled: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$setupViews$1.invoke2(android.view.View):void");
            }
        });
        getLoginViewModel().getLoginUI().observe(this, new Observer() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$$ExternalSyntheticLambda2
            @Override // androidx.lifecycle.Observer
            public final void onChanged(Object obj) {
                LoginActivity.m1002setupViews$lambda1$lambda0(LoginActivity.this, (NetState) obj);
            }
        });
        ActivityLoginBinding activityLoginBinding7 = this.binding;
        if (activityLoginBinding7 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityLoginBinding2 = activityLoginBinding7;
        }
        activityLoginBinding2.imgPwd.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$$ExternalSyntheticLambda1
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                LoginActivity.m1003setupViews$lambda5$lambda2(ActivityLoginBinding.this, compoundButton, z);
            }
        });
        if (UserConfig.INSTANCE.getInstance().getUserEmail().length() > 0) {
            activityLoginBinding2.userEmail.setText(UserConfig.INSTANCE.getInstance().getUserEmail());
        }
        activityLoginBinding2.userEmail.setFilters(new InputFilter[]{this.inputFilter, this.emptyInputFilter, new InputFilter.LengthFilter(60)});
        activityLoginBinding2.userPwd.setFilters(new InputFilter[]{this.inputFilter, this.emptyInputFilter, new InputFilter.LengthFilter(60)});
        EditText userEmail = activityLoginBinding2.userEmail;
        Intrinsics.checkNotNullExpressionValue(userEmail, "userEmail");
        userEmail.addTextChangedListener(new TextWatcher() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$setupViews$lambda-5$$inlined$doAfterTextChanged$1
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence text, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence text, int start, int before, int count) {
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                ActivityLoginBinding.this.userEmail.requestFocus();
                Editable text = ActivityLoginBinding.this.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text, "userEmail.text");
                boolean z = false;
                if (!StringsKt.contains$default((CharSequence) text, (CharSequence) "@", false, 2, (Object) null)) {
                    ActivityLoginBinding.this.tvError.setText(this.getString(R.string.qc_text_219));
                    ActivityLoginBinding.this.btnLogin.setEnabled(false);
                    return;
                }
                ActivityLoginBinding.this.btnLogin.setEnabled(true);
                ActivityLoginBinding.this.tvError.setText("");
                Editable text2 = ActivityLoginBinding.this.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text2, "userEmail.text");
                Editable text3 = ActivityLoginBinding.this.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text3, "userEmail.text");
                if (text2.subSequence(0, StringsKt.indexOf$default((CharSequence) text3, "@", 0, false, 4, (Object) null)).toString().length() == 0) {
                    ActivityLoginBinding.this.tvError.setText(this.getString(R.string.qc_text_219));
                    ActivityLoginBinding.this.btnLogin.setEnabled(false);
                    return;
                }
                ActivityLoginBinding.this.btnLogin.setEnabled(true);
                ActivityLoginBinding.this.tvError.setText("");
                Button button = ActivityLoginBinding.this.btnLogin;
                Editable text4 = ActivityLoginBinding.this.userPwd.getText();
                Intrinsics.checkNotNullExpressionValue(text4, "userPwd.text");
                if (!(text4.length() == 0)) {
                    Editable text5 = ActivityLoginBinding.this.userEmail.getText();
                    Intrinsics.checkNotNullExpressionValue(text5, "userEmail.text");
                    if (!(text5.length() == 0)) {
                        z = true;
                    }
                }
                button.setEnabled(z);
                LoginActivity loginActivity = this;
                Editable text6 = ActivityLoginBinding.this.userEmail.getText();
                Intrinsics.checkNotNullExpressionValue(text6, "userEmail.text");
                loginActivity.email = new Regex("\\s").replace(text6, "");
            }
        });
        EditText userPwd = activityLoginBinding2.userPwd;
        Intrinsics.checkNotNullExpressionValue(userPwd, "userPwd");
        userPwd.addTextChangedListener(new TextWatcher() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginActivity$setupViews$lambda-5$$inlined$doAfterTextChanged$2
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence text, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence text, int start, int before, int count) {
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                String str;
                String str2;
                String str3;
                ActivityLoginBinding.this.userPwd.requestFocus();
                LoginActivity loginActivity = this;
                Editable text = ActivityLoginBinding.this.userPwd.getText();
                Intrinsics.checkNotNullExpressionValue(text, "userPwd.text");
                loginActivity.password = new Regex("\\s").replace(text, "");
                str = this.password;
                String str4 = null;
                if (str == null) {
                    Intrinsics.throwUninitializedPropertyAccessException("password");
                    str = null;
                }
                boolean z = false;
                if (str.length() >= 6) {
                    str2 = this.password;
                    if (str2 == null) {
                        Intrinsics.throwUninitializedPropertyAccessException("password");
                        str2 = null;
                    }
                    if (str2.length() <= 12) {
                        ActivityLoginBinding.this.btnLogin.setEnabled(true);
                        ActivityLoginBinding.this.tvError.setText("");
                        Button button = ActivityLoginBinding.this.btnLogin;
                        str3 = this.password;
                        if (str3 == null) {
                            Intrinsics.throwUninitializedPropertyAccessException("password");
                        } else {
                            str4 = str3;
                        }
                        if (!(str4.length() == 0)) {
                            Editable text2 = ActivityLoginBinding.this.userEmail.getText();
                            Intrinsics.checkNotNullExpressionValue(text2, "userEmail.text");
                            if (!(text2.length() == 0)) {
                                z = true;
                            }
                        }
                        button.setEnabled(z);
                        return;
                    }
                }
                ActivityLoginBinding.this.tvError.setText(this.getString(R.string.qc_text_220));
                ActivityLoginBinding.this.btnLogin.setEnabled(false);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-1$lambda-0, reason: not valid java name */
    public static final void m1002setupViews$lambda1$lambda0(LoginActivity this$0, NetState netState) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (netState.getIsLoading()) {
            this$0.showLoadingDialog();
        } else {
            this$0.dismissLoadingDialog();
        }
        int retCode = netState.getRetCode();
        if (retCode == 0) {
            UserConfig.INSTANCE.getInstance().setLoginStatus(true);
            UserConfig.INSTANCE.getInstance().save();
            EventBus.getDefault().post(new LoginSuccessEvent());
            EventBus.getDefault().post(new RefreshEvent(MineFragment.class));
            this$0.finish();
            return;
        }
        if (retCode == 50003) {
            ActivityLoginBinding activityLoginBinding = this$0.binding;
            if (activityLoginBinding == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityLoginBinding = null;
            }
            activityLoginBinding.tvError.setText(this$0.getString(R.string.qc_text_222));
            String string = this$0.getString(R.string.qc_text_222);
            Intrinsics.checkNotNullExpressionValue(string, "getString(R.string.qc_text_222)");
            GlobalKt.showToast$default(string, 0, 1, null);
            return;
        }
        if (retCode == 50012) {
            ActivityLoginBinding activityLoginBinding2 = this$0.binding;
            if (activityLoginBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
                activityLoginBinding2 = null;
            }
            activityLoginBinding2.tvError.setText(this$0.getString(R.string.qc_text_272));
            String string2 = this$0.getString(R.string.qc_text_272);
            Intrinsics.checkNotNullExpressionValue(string2, "getString(R.string.qc_text_272)");
            GlobalKt.showToast$default(string2, 0, 1, null);
            return;
        }
        GlobalKt.showToast$default(this$0.getString(R.string.qc_text_288) + ':' + netState.getRetCode(), 0, 1, null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: setupViews$lambda-5$lambda-2, reason: not valid java name */
    public static final void m1003setupViews$lambda5$lambda2(ActivityLoginBinding this_run, CompoundButton compoundButton, boolean z) {
        Intrinsics.checkNotNullParameter(this_run, "$this_run");
        if (z) {
            this_run.userPwd.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
            this_run.userPwd.setSelection(this_run.userPwd.length());
        } else {
            this_run.userPwd.setTransformationMethod(PasswordTransformationMethod.getInstance());
            this_run.userPwd.setSelection(this_run.userPwd.length());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final boolean isValidEmail(String email) {
        return Pattern.matches("^(\\w+([-.][A-Za-z0-9]+)*){3,18}@\\w+([-.][A-Za-z0-9]+)*\\.\\w+([-.][A-Za-z0-9]+)*$", email);
    }

    public final InputFilter getEmptyInputFilter() {
        return this.emptyInputFilter;
    }

    public final void setEmptyInputFilter(InputFilter inputFilter) {
        Intrinsics.checkNotNullParameter(inputFilter, "<set-?>");
        this.emptyInputFilter = inputFilter;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: emptyInputFilter$lambda-6, reason: not valid java name */
    public static final CharSequence m1001emptyInputFilter$lambda6(LoginActivity this$0, CharSequence charSequence, int i, int i2, Spanned spanned, int i3, int i4) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if (!Intrinsics.areEqual(charSequence, " ") && !Intrinsics.areEqual(charSequence, "")) {
            return charSequence;
        }
        ActivityLoginBinding activityLoginBinding = this$0.binding;
        if (activityLoginBinding == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
            activityLoginBinding = null;
        }
        activityLoginBinding.tvError.setText(this$0.getString(R.string.qc_text_284));
        return "";
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.qcwireless.qcwatch.ui.base.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    public void onResume() {
        super.onResume();
        String language = Locale.getDefault().getLanguage();
        AwLog.i(Author.HeZhiYuan, "-----" + language);
        Intrinsics.checkNotNullExpressionValue(language, "language");
        ActivityLoginBinding activityLoginBinding = null;
        if (StringsKt.startsWith$default(language, "zh", false, 2, (Object) null)) {
            ActivityLoginBinding activityLoginBinding2 = this.binding;
            if (activityLoginBinding2 == null) {
                Intrinsics.throwUninitializedPropertyAccessException("binding");
            } else {
                activityLoginBinding = activityLoginBinding2;
            }
            ViewKt.visible(activityLoginBinding.showCtl);
            return;
        }
        ActivityLoginBinding activityLoginBinding3 = this.binding;
        if (activityLoginBinding3 == null) {
            Intrinsics.throwUninitializedPropertyAccessException("binding");
        } else {
            activityLoginBinding = activityLoginBinding3;
        }
        ViewKt.gone(activityLoginBinding.showCtl);
    }

    @Override // com.qcwireless.qcwatch.ui.base.BaseThemeActivity
    public void onMessageEvent(MessageEvent messageEvent) {
        Intrinsics.checkNotNullParameter(messageEvent, "messageEvent");
        super.onMessageEvent(messageEvent);
        if (messageEvent instanceof MineActivityFinish) {
            finish();
        }
    }
}
