package com.qcwireless.qcwatch.ui.mine.login;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.ui.base.BaseViewModel;
import com.qcwireless.qcwatch.ui.base.bean.response.mine.UserLoginResp;
import com.qcwireless.qcwatch.ui.base.repository.entity.UserEntity;
import com.qcwireless.qcwatch.ui.base.repository.mine.LoginRepository;
import com.qcwireless.qcwatch.ui.base.repository.mine.NetState;
import com.qcwireless.qcwatch.ui.base.repository.mine.UserProfileRepository;
import com.qcwireless.qcwatch.ui.base.service.NetService;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: LoginViewModel.kt */
@Metadata(d1 = {"\u0000D\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\b\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0007\u0018\u00002\u00020\u0001B\u0015\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005¢\u0006\u0002\u0010\u0006J\u001e\u0010\u0013\u001a\u00020\u00142\u0006\u0010\u0015\u001a\u00020\u00162\f\u0010\u0017\u001a\b\u0012\u0004\u0012\u00020\n0\tH\u0002J\u001e\u0010\u0018\u001a\u00020\u00142\u0006\u0010\u0019\u001a\u00020\u00162\u0006\u0010\u001a\u001a\u00020\u00162\u0006\u0010\u001b\u001a\u00020\u0010J\u001e\u0010\u001c\u001a\u00020\u00142\u0006\u0010\u0019\u001a\u00020\u00162\u0006\u0010\u001a\u001a\u00020\u00162\u0006\u0010\u001b\u001a\u00020\u0010R\u001a\u0010\u0007\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\n0\t0\bX\u0082\u0004¢\u0006\u0002\n\u0000R\u001d\u0010\u000b\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\n0\t0\f8F¢\u0006\u0006\u001a\u0004\b\r\u0010\u000eR\u000e\u0010\u000f\u001a\u00020\u0010X\u0082D¢\u0006\u0002\n\u0000R\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\u0011\u0010\u0012R\u000e\u0010\u0004\u001a\u00020\u0005X\u0082\u0004¢\u0006\u0002\n\u0000¨\u0006\u001d"}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/login/LoginViewModel;", "Lcom/qcwireless/qcwatch/ui/base/BaseViewModel;", "repository", "Lcom/qcwireless/qcwatch/ui/base/repository/mine/LoginRepository;", "userProfileRepository", "Lcom/qcwireless/qcwatch/ui/base/repository/mine/UserProfileRepository;", "(Lcom/qcwireless/qcwatch/ui/base/repository/mine/LoginRepository;Lcom/qcwireless/qcwatch/ui/base/repository/mine/UserProfileRepository;)V", "_uiState", "Landroidx/lifecycle/MutableLiveData;", "Lcom/qcwireless/qcwatch/ui/base/repository/mine/NetState;", "Lcom/qcwireless/qcwatch/ui/base/bean/response/mine/UserLoginResp;", "loginUI", "Landroidx/lifecycle/LiveData;", "getLoginUI", "()Landroidx/lifecycle/LiveData;", "notLoginId", "", "getRepository", "()Lcom/qcwireless/qcwatch/ui/base/repository/mine/LoginRepository;", "insertOrUpdateProfile", "", "email", "", "register", "login", "account", "password", "type", "loginChina", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class LoginViewModel extends BaseViewModel {
    private final MutableLiveData<NetState<UserLoginResp>> _uiState;
    private final int notLoginId;
    private final LoginRepository repository;
    private final UserProfileRepository userProfileRepository;

    public LoginViewModel(LoginRepository repository, UserProfileRepository userProfileRepository) {
        Intrinsics.checkNotNullParameter(repository, "repository");
        Intrinsics.checkNotNullParameter(userProfileRepository, "userProfileRepository");
        this.repository = repository;
        this.userProfileRepository = userProfileRepository;
        this._uiState = new MutableLiveData<>();
        this.notLoginId = 968888;
    }

    public final LoginRepository getRepository() {
        return this.repository;
    }

    public final LiveData<NetState<UserLoginResp>> getLoginUI() {
        return this._uiState;
    }

    public final void login(String account, String password, int type) {
        Intrinsics.checkNotNullParameter(account, "account");
        Intrinsics.checkNotNullParameter(password, "password");
        launchOnUI(new LoginViewModel$login$1(this, account, password, type, null));
    }

    public final void loginChina(String account, String password, int type) {
        Intrinsics.checkNotNullParameter(account, "account");
        Intrinsics.checkNotNullParameter(password, "password");
        launchOnUI(new LoginViewModel$loginChina$1(this, account, password, type, null));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void insertOrUpdateProfile(final String email, final NetState<UserLoginResp> register) {
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<LoginViewModel, Unit>() { // from class: com.qcwireless.qcwatch.ui.mine.login.LoginViewModel$insertOrUpdateProfile$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(LoginViewModel loginViewModel) {
                invoke2(loginViewModel);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(LoginViewModel ktxRunOnBgSingle) {
                UserProfileRepository userProfileRepository;
                UserProfileRepository userProfileRepository2;
                int i;
                UserProfileRepository userProfileRepository3;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                UserLoginResp isSuccess = register.isSuccess();
                if (isSuccess == null || isSuccess.getRetCode() != 0) {
                    return;
                }
                UserConfig.INSTANCE.getInstance().setUserToken(isSuccess.getToken());
                UserConfig.INSTANCE.getInstance().setUserEmail(email);
                UserConfig.INSTANCE.getInstance().setUid(isSuccess.getUid());
                UserConfig.INSTANCE.getInstance().save();
                NetService.Companion.getGetInstance().downUserProfile();
                userProfileRepository = ktxRunOnBgSingle.userProfileRepository;
                if (userProfileRepository.queryUserByUid(isSuccess.getUid()) == null) {
                    userProfileRepository2 = ktxRunOnBgSingle.userProfileRepository;
                    i = ktxRunOnBgSingle.notLoginId;
                    UserEntity queryUserByUid = userProfileRepository2.queryUserByUid(i);
                    if (queryUserByUid != null) {
                        UserEntity userEntity = new UserEntity(isSuccess.getUid(), email, queryUserByUid.getNickName(), queryUserByUid.getGender(), queryUserByUid.getWeight(), queryUserByUid.getWeightLbs(), queryUserByUid.getHeight(), queryUserByUid.getBirthday(), queryUserByUid.getAvatarUrl(), queryUserByUid.getAvatarUrl(), queryUserByUid.getGoalSteps(), queryUserByUid.getGoalCalorie(), queryUserByUid.getGoalDistance(), queryUserByUid.getGoalSportTime(), queryUserByUid.getGoalSleepTime(), isSuccess.getRegisterDate(), 0);
                        userProfileRepository3 = ktxRunOnBgSingle.userProfileRepository;
                        userProfileRepository3.insertUser(userEntity);
                    }
                }
            }
        });
    }
}
