package com.qcwireless.qcwatch.ui.mine.register;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.ui.base.BaseViewModel;
import com.qcwireless.qcwatch.ui.base.bean.response.mine.UserLoginResp;
import com.qcwireless.qcwatch.ui.base.repository.entity.UserEntity;
import com.qcwireless.qcwatch.ui.base.repository.mine.NetState;
import com.qcwireless.qcwatch.ui.base.repository.mine.RegisterRepository;
import com.qcwireless.qcwatch.ui.base.repository.mine.UserProfileRepository;
import kotlin.Metadata;
import kotlin.Unit;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: RegisterViewModel.kt */
@Metadata(d1 = {"\u0000D\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0010\b\n\u0002\b\u0002\u0018\u00002\u00020\u0001B\u0015\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005¢\u0006\u0002\u0010\u0006J\u001e\u0010\u000f\u001a\u00020\u00102\u0006\u0010\u0011\u001a\u00020\u00122\f\u0010\u0013\u001a\b\u0012\u0004\u0012\u00020\n0\tH\u0002J\u001e\u0010\u0013\u001a\u00020\u00102\u0006\u0010\u0014\u001a\u00020\u00122\u0006\u0010\u0015\u001a\u00020\u00122\u0006\u0010\u0016\u001a\u00020\u0017J\u001e\u0010\u0018\u001a\u00020\u00102\u0006\u0010\u0014\u001a\u00020\u00122\u0006\u0010\u0015\u001a\u00020\u00122\u0006\u0010\u0016\u001a\u00020\u0017R\u001a\u0010\u0007\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\n0\t0\bX\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u0004¢\u0006\u0002\n\u0000R\u001d\u0010\u000b\u001a\u000e\u0012\n\u0012\b\u0012\u0004\u0012\u00020\n0\t0\f8F¢\u0006\u0006\u001a\u0004\b\r\u0010\u000eR\u000e\u0010\u0004\u001a\u00020\u0005X\u0082\u0004¢\u0006\u0002\n\u0000¨\u0006\u0019"}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/register/RegisterViewModel;", "Lcom/qcwireless/qcwatch/ui/base/BaseViewModel;", "registerRepository", "Lcom/qcwireless/qcwatch/ui/base/repository/mine/RegisterRepository;", "userProfileRepository", "Lcom/qcwireless/qcwatch/ui/base/repository/mine/UserProfileRepository;", "(Lcom/qcwireless/qcwatch/ui/base/repository/mine/RegisterRepository;Lcom/qcwireless/qcwatch/ui/base/repository/mine/UserProfileRepository;)V", "_uiState", "Landroidx/lifecycle/MutableLiveData;", "Lcom/qcwireless/qcwatch/ui/base/repository/mine/NetState;", "Lcom/qcwireless/qcwatch/ui/base/bean/response/mine/UserLoginResp;", "registerUI", "Landroidx/lifecycle/LiveData;", "getRegisterUI", "()Landroidx/lifecycle/LiveData;", "insertOrUpdateProfile", "", "email", "", "register", "account", "password", "type", "", "registerChina", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class RegisterViewModel extends BaseViewModel {
    private final MutableLiveData<NetState<UserLoginResp>> _uiState;
    private final RegisterRepository registerRepository;
    private final UserProfileRepository userProfileRepository;

    public RegisterViewModel(RegisterRepository registerRepository, UserProfileRepository userProfileRepository) {
        Intrinsics.checkNotNullParameter(registerRepository, "registerRepository");
        Intrinsics.checkNotNullParameter(userProfileRepository, "userProfileRepository");
        this.registerRepository = registerRepository;
        this.userProfileRepository = userProfileRepository;
        this._uiState = new MutableLiveData<>();
    }

    public final LiveData<NetState<UserLoginResp>> getRegisterUI() {
        return this._uiState;
    }

    public final void register(String account, String password, int type) {
        Intrinsics.checkNotNullParameter(account, "account");
        Intrinsics.checkNotNullParameter(password, "password");
        launchOnUI(new RegisterViewModel$register$1(this, account, password, type, null));
    }

    public final void registerChina(String account, String password, int type) {
        Intrinsics.checkNotNullParameter(account, "account");
        Intrinsics.checkNotNullParameter(password, "password");
        launchOnUI(new RegisterViewModel$registerChina$1(this, account, password, type, null));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void insertOrUpdateProfile(final String email, final NetState<UserLoginResp> register) {
        ThreadExtKt.ktxRunOnBgSingle(this, new Function1<RegisterViewModel, Unit>() { // from class: com.qcwireless.qcwatch.ui.mine.register.RegisterViewModel$insertOrUpdateProfile$1
            /* JADX INFO: Access modifiers changed from: package-private */
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super(1);
            }

            @Override // kotlin.jvm.functions.Function1
            public /* bridge */ /* synthetic */ Unit invoke(RegisterViewModel registerViewModel) {
                invoke2(registerViewModel);
                return Unit.INSTANCE;
            }

            /* renamed from: invoke, reason: avoid collision after fix types in other method */
            public final void invoke2(RegisterViewModel ktxRunOnBgSingle) {
                MutableLiveData mutableLiveData;
                UserProfileRepository userProfileRepository;
                UserProfileRepository userProfileRepository2;
                MutableLiveData mutableLiveData2;
                Intrinsics.checkNotNullParameter(ktxRunOnBgSingle, "$this$ktxRunOnBgSingle");
                UserLoginResp isSuccess = register.isSuccess();
                if (isSuccess == null || isSuccess.getRetCode() != 0) {
                    mutableLiveData = ktxRunOnBgSingle._uiState;
                    mutableLiveData.postValue(register);
                    return;
                }
                userProfileRepository = ktxRunOnBgSingle.userProfileRepository;
                if (userProfileRepository.queryUserByUid(isSuccess.getUid()) == null) {
                    UserEntity userEntity = new UserEntity(isSuccess.getUid(), email, "", 1, 60.0f, 120, 175.0f, "1995-01", "", "", 10000, 200.0f, 5.0f, 1.5f, 8.0f, isSuccess.getRegisterDate(), 0);
                    UserConfig.INSTANCE.getInstance().setUserToken(isSuccess.getToken());
                    UserConfig.INSTANCE.getInstance().setUserEmail(email);
                    UserConfig.INSTANCE.getInstance().setUid(isSuccess.getUid());
                    UserConfig.INSTANCE.getInstance().save();
                    userProfileRepository2 = ktxRunOnBgSingle.userProfileRepository;
                    userProfileRepository2.insertUser(userEntity);
                    mutableLiveData2 = ktxRunOnBgSingle._uiState;
                    mutableLiveData2.postValue(register);
                }
            }
        });
    }
}
