package com.qcwireless.qcwatch.ui.mine.thirdSync.googlefit;

import android.app.Activity;
import android.app.Application;
import android.app.Dialog;
import com.google.android.gms.auth.api.signin.GoogleSignIn;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.common.GoogleApiAvailability;
import com.google.android.gms.fitness.Fitness;
import com.google.android.gms.fitness.FitnessOptions;
import com.google.android.gms.fitness.data.DataSource;
import com.google.android.gms.fitness.data.DataType;
import com.iwown.awlog.Author;
import com.iwown.awlog.AwLog;
import com.qcwireless.qc_utils.date.DateUtil;
import com.qcwireless.qcwatch.QJavaApplication;
import com.qcwireless.qcwatch.base.ktx.ThreadExtKt;
import com.qcwireless.qcwatch.base.pref.UserConfig;
import com.qcwireless.qcwatch.base.utils.MoshiUtils;
import com.qcwireless.qcwatch.base.utils.MoshiUtilsKt;
import com.qcwireless.qcwatch.base.utils.TypeToken;
import com.qcwireless.qcwatch.base.view.GlobalKt;
import com.qcwireless.qcwatch.ui.base.bean.mine.GoogleFitDataBean;
import com.squareup.moshi.JsonAdapter;
import kotlin.Lazy;
import kotlin.LazyKt;
import kotlin.LazyThreadSafetyMode;
import kotlin.Metadata;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Ref;

/* compiled from: GoogleFitSync.kt */
@Metadata(d1 = {"\u0000.\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\n\u0018\u0000 \u00192\u00020\u0001:\u0001\u0019B\u0005¢\u0006\u0002\u0010\u0002J\u000e\u0010\t\u001a\u00020\n2\u0006\u0010\u000b\u001a\u00020\fJ\u0006\u0010\r\u001a\u00020\u000eJ\b\u0010\u000f\u001a\u00020\u0010H\u0002J\b\u0010\u0011\u001a\u0004\u0018\u00010\u0010J\u0006\u0010\u0012\u001a\u00020\nJ\u0010\u0010\u0013\u001a\u00020\n2\u0006\u0010\u000b\u001a\u00020\fH\u0002J\u000e\u0010\u0014\u001a\u00020\n2\u0006\u0010\u000b\u001a\u00020\fJ\u0006\u0010\u0015\u001a\u00020\u000eJ\b\u0010\u0016\u001a\u00020\u000eH\u0002J\b\u0010\u0017\u001a\u00020\u000eH\u0002J\b\u0010\u0018\u001a\u00020\u000eH\u0002R\u001b\u0010\u0003\u001a\u00020\u00048BX\u0082\u0084\u0002¢\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006¨\u0006\u001a"}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/thirdSync/googlefit/GoogleFitSync;", "", "()V", "fitnessOptions", "Lcom/google/android/gms/fitness/FitnessOptions;", "getFitnessOptions", "()Lcom/google/android/gms/fitness/FitnessOptions;", "fitnessOptions$delegate", "Lkotlin/Lazy;", "connectGoogleFit", "", "activity", "Landroid/app/Activity;", "disconnectGoogleFit", "", "getGoogleAccount", "Lcom/google/android/gms/auth/api/signin/GoogleSignInAccount;", "getLastSignIn", "hasGoogleFitPermissions", "isGooglePlayAvailable", "supportGoogleFit", "syncGoogleFit", "uploadHeart2Fit", "uploadSleep2Fit", "uploadStepAndCalorie2Fit", "Companion", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class GoogleFitSync {

    /* renamed from: Companion, reason: from kotlin metadata */
    public static final Companion INSTANCE = new Companion(null);
    private static final Lazy<GoogleFitSync> getInstance$delegate = LazyKt.lazy(LazyThreadSafetyMode.SYNCHRONIZED, (Function0) new Function0<GoogleFitSync>() { // from class: com.qcwireless.qcwatch.ui.mine.thirdSync.googlefit.GoogleFitSync$Companion$getInstance$2
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // kotlin.jvm.functions.Function0
        public final GoogleFitSync invoke() {
            return new GoogleFitSync();
        }
    });

    /* renamed from: fitnessOptions$delegate, reason: from kotlin metadata */
    private final Lazy fitnessOptions = LazyKt.lazy(new Function0<FitnessOptions>() { // from class: com.qcwireless.qcwatch.ui.mine.thirdSync.googlefit.GoogleFitSync$fitnessOptions$2
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // kotlin.jvm.functions.Function0
        public final FitnessOptions invoke() {
            FitnessOptions build = FitnessOptions.builder().addDataType(DataType.TYPE_STEP_COUNT_DELTA, 1).addDataType(DataType.AGGREGATE_STEP_COUNT_DELTA, 1).addDataType(DataType.TYPE_CALORIES_EXPENDED, 1).addDataType(DataType.TYPE_SLEEP_SEGMENT, 1).addDataType(DataType.TYPE_HEART_RATE_BPM, 1).build();
            Intrinsics.checkNotNullExpressionValue(build, "builder()\n            .a…ITE)\n            .build()");
            return build;
        }
    });

    private final FitnessOptions getFitnessOptions() {
        return (FitnessOptions) this.fitnessOptions.getValue();
    }

    public final boolean supportGoogleFit(Activity activity) {
        Intrinsics.checkNotNullParameter(activity, "activity");
        if (isGooglePlayAvailable(activity)) {
            return true;
        }
        AwLog.i(Author.HeZhiYuan, "GooglePlayAvailable");
        return false;
    }

    public final boolean connectGoogleFit(Activity activity) {
        Intrinsics.checkNotNullParameter(activity, "activity");
        if (activity.isDestroyed()) {
            return false;
        }
        if (!isGooglePlayAvailable(activity)) {
            AwLog.i(Author.HeZhiYuan, "GooglePlayAvailable");
            return false;
        }
        GoogleSignInAccount googleAccount = getGoogleAccount();
        GoogleSignIn.requestPermissions(activity, 2000, googleAccount, getFitnessOptions());
        if (GoogleSignIn.hasPermissions(googleAccount, getFitnessOptions())) {
            return true;
        }
        GoogleSignIn.requestPermissions(activity, 2000, googleAccount, getFitnessOptions());
        AwLog.e(Author.HeZhiYuan, "权限没有授权");
        return false;
    }

    public final boolean hasGoogleFitPermissions() {
        return GoogleSignIn.hasPermissions(getGoogleAccount(), getFitnessOptions());
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final GoogleSignInAccount getGoogleAccount() {
        GoogleSignInAccount accountForExtension = GoogleSignIn.getAccountForExtension(QJavaApplication.getInstance().getApplication(), getFitnessOptions());
        Intrinsics.checkNotNullExpressionValue(accountForExtension, "getAccountForExtension(\n…     fitnessOptions\n    )");
        return accountForExtension;
    }

    public final GoogleSignInAccount getLastSignIn() {
        return GoogleSignIn.getLastSignedInAccount(QJavaApplication.getInstance().getApplication());
    }

    private final boolean isGooglePlayAvailable(Activity activity) {
        Dialog errorDialog;
        GoogleApiAvailability googleApiAvailability = GoogleApiAvailability.getInstance();
        Intrinsics.checkNotNullExpressionValue(googleApiAvailability, "getInstance()");
        int isGooglePlayServicesAvailable = googleApiAvailability.isGooglePlayServicesAvailable(activity.getApplicationContext());
        if (isGooglePlayServicesAvailable == 0) {
            return true;
        }
        if (googleApiAvailability.isUserResolvableError(isGooglePlayServicesAvailable) && (errorDialog = googleApiAvailability.getErrorDialog(activity, isGooglePlayServicesAvailable, 2404)) != null) {
            errorDialog.show();
        }
        return false;
    }

    public final void disconnectGoogleFit() {
        Fitness.getConfigClient(QJavaApplication.getInstance().getApplication(), getGoogleAccount()).disableFit();
    }

    public final void syncGoogleFit() {
        try {
            uploadStepAndCalorie2Fit();
            uploadSleep2Fit();
            uploadHeart2Fit();
        } catch (Exception unused) {
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v15, types: [T, com.qcwireless.qcwatch.ui.base.bean.mine.GoogleFitDataBean, java.lang.Object] */
    /* JADX WARN: Type inference failed for: r1v6, types: [T, java.lang.Object] */
    private final void uploadStepAndCalorie2Fit() {
        DateUtil dateUtil = new DateUtil();
        String googleFitLastInfo = UserConfig.INSTANCE.getInstance().getGoogleFitLastInfo();
        if (googleFitLastInfo.length() == 0) {
            GoogleFitDataBean googleFitDataBean = new GoogleFitDataBean();
            googleFitDataBean.setStep(0);
            googleFitDataBean.setCalorie(0);
            googleFitDataBean.setTime((int) dateUtil.getZeroTime());
            UserConfig.INSTANCE.getInstance().setGoogleFitLastInfo(MoshiUtilsKt.toJson(googleFitDataBean));
            UserConfig.INSTANCE.getInstance().save();
            googleFitLastInfo = MoshiUtilsKt.toJson(googleFitDataBean);
        } else {
            JsonAdapter adapter = MoshiUtils.INSTANCE.getMoshiBuild().adapter(new TypeToken<GoogleFitDataBean>() { // from class: com.qcwireless.qcwatch.ui.mine.thirdSync.googlefit.GoogleFitSync$uploadStepAndCalorie2Fit$$inlined$fromJson$1
            }.getType());
            Intrinsics.checkNotNullExpressionValue(adapter, "moshiBuild.adapter(objec…: TypeToken<T>() {}.type)");
            if (((GoogleFitDataBean) adapter.fromJson(googleFitLastInfo)) != null && !new DateUtil(r2.getTime(), true).isToday()) {
                GoogleFitDataBean googleFitDataBean2 = new GoogleFitDataBean();
                googleFitDataBean2.setStep(0);
                googleFitDataBean2.setCalorie(0);
                googleFitDataBean2.setTime((int) dateUtil.getZeroTime());
                UserConfig.INSTANCE.getInstance().setGoogleFitLastInfo(MoshiUtilsKt.toJson(googleFitDataBean2));
                UserConfig.INSTANCE.getInstance().save();
                googleFitLastInfo = MoshiUtilsKt.toJson(googleFitDataBean2);
            }
        }
        Ref.ObjectRef objectRef = new Ref.ObjectRef();
        JsonAdapter adapter2 = MoshiUtils.INSTANCE.getMoshiBuild().adapter(new TypeToken<GoogleFitDataBean>() { // from class: com.qcwireless.qcwatch.ui.mine.thirdSync.googlefit.GoogleFitSync$uploadStepAndCalorie2Fit$$inlined$fromJson$2
        }.getType());
        Intrinsics.checkNotNullExpressionValue(adapter2, "moshiBuild.adapter(objec…: TypeToken<T>() {}.type)");
        objectRef.element = adapter2.fromJson(googleFitLastInfo);
        AwLog.i(Author.HeZhiYuan, objectRef.element);
        if (objectRef.element == 0) {
            ?? googleFitDataBean3 = new GoogleFitDataBean();
            googleFitDataBean3.setStep(0);
            googleFitDataBean3.setCalorie(0);
            googleFitDataBean3.setTime((int) dateUtil.getZeroTime());
            UserConfig.INSTANCE.getInstance().setGoogleFitLastInfo(MoshiUtilsKt.toJson(googleFitDataBean3));
            UserConfig.INSTANCE.getInstance().save();
            objectRef.element = googleFitDataBean3;
        } else if (dateUtil.getUnixTimestamp() - ((GoogleFitDataBean) objectRef.element).getTime() < 120) {
            AwLog.i(Author.HeZhiYuan, "Google Fit 两分钟内不同步");
            return;
        }
        ThreadExtKt.ktxRunOnBgSingle(this, new GoogleFitSync$uploadStepAndCalorie2Fit$1(dateUtil, objectRef));
    }

    private final void uploadSleep2Fit() {
        ThreadExtKt.ktxRunOnBgSingle(this, GoogleFitSync$uploadSleep2Fit$1.INSTANCE);
    }

    private final void uploadHeart2Fit() {
        DataSource.Builder dataType = new DataSource.Builder().setType(0).setDataType(DataType.TYPE_HEART_RATE_BPM);
        Application application = QJavaApplication.getInstance().getApplication();
        Intrinsics.checkNotNullExpressionValue(application, "getInstance().application");
        DataSource build = dataType.setAppPackageName(GlobalKt.getPackageName(application)).build();
        Intrinsics.checkNotNullExpressionValue(build, "Builder().setType(DataSo…on))\n            .build()");
        ThreadExtKt.ktxRunOnBgSingle(this, new GoogleFitSync$uploadHeart2Fit$1(build));
    }

    /* compiled from: GoogleFitSync.kt */
    @Metadata(d1 = {"\u0000\u0014\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002R\u001b\u0010\u0003\u001a\u00020\u00048FX\u0086\u0084\u0002¢\u0006\f\n\u0004\b\u0007\u0010\b\u001a\u0004\b\u0005\u0010\u0006¨\u0006\t"}, d2 = {"Lcom/qcwireless/qcwatch/ui/mine/thirdSync/googlefit/GoogleFitSync$Companion;", "", "()V", "getInstance", "Lcom/qcwireless/qcwatch/ui/mine/thirdSync/googlefit/GoogleFitSync;", "getGetInstance", "()Lcom/qcwireless/qcwatch/ui/mine/thirdSync/googlefit/GoogleFitSync;", "getInstance$delegate", "Lkotlin/Lazy;", "app_championRelease"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        private Companion() {
        }

        public final GoogleFitSync getGetInstance() {
            return (GoogleFitSync) GoogleFitSync.getInstance$delegate.getValue();
        }
    }
}
