package com.sweetzpot.stravazpot.activity.request;

import com.sweetzpot.stravazpot.activity.api.CommentAPI;
import com.sweetzpot.stravazpot.activity.model.Comment;
import com.sweetzpot.stravazpot.activity.rest.CommentsRest;
import java.util.List;

/* loaded from: classes2.dex */
public class ListActivityCommentsRequest {
    private final int activityID;
    private final CommentAPI api;
    private Integer page;
    private Integer perPage;
    private final CommentsRest restService;

    public ListActivityCommentsRequest(int i, CommentsRest commentsRest, CommentAPI commentAPI) {
        this.activityID = i;
        this.restService = commentsRest;
        this.api = commentAPI;
    }

    public ListActivityCommentsRequest inPage(int i) {
        this.page = Integer.valueOf(i);
        return this;
    }

    public ListActivityCommentsRequest perPage(int i) {
        this.perPage = Integer.valueOf(i);
        return this;
    }

    public List<Comment> execute() {
        return (List) this.api.execute(this.restService.getActivityComments(Integer.valueOf(this.activityID), this.page, this.perPage));
    }
}
