package com.sweetzpot.stravazpot.activity.request;

import com.sweetzpot.stravazpot.activity.api.KudosAPI;
import com.sweetzpot.stravazpot.activity.rest.KudosRest;
import com.sweetzpot.stravazpot.athlete.model.Athlete;
import java.util.List;

/* loaded from: classes2.dex */
public class ListActivityKudoersRequest {
    private final int activityID;
    private final KudosAPI api;
    private Integer page;
    private Integer perPage;
    private final KudosRest restService;

    public ListActivityKudoersRequest(int i, KudosRest kudosRest, KudosAPI kudosAPI) {
        this.activityID = i;
        this.restService = kudosRest;
        this.api = kudosAPI;
    }

    public ListActivityKudoersRequest inPage(int i) {
        this.page = Integer.valueOf(i);
        return this;
    }

    public ListActivityKudoersRequest perPage(int i) {
        this.perPage = Integer.valueOf(i);
        return this;
    }

    public List<Athlete> execute() {
        return (List) this.api.execute(this.restService.getActivityKudos(Integer.valueOf(this.activityID), this.page, this.perPage));
    }
}
