package com.sweetzpot.stravazpot.athlete.request;

import com.sweetzpot.stravazpot.athlete.api.FriendAPI;
import com.sweetzpot.stravazpot.athlete.model.Athlete;
import com.sweetzpot.stravazpot.athlete.rest.FriendRest;
import java.util.List;

/* loaded from: classes2.dex */
public class GetBothFollowingRequest {
    private final FriendAPI api;
    private final int athleteID;
    private Integer page;
    private Integer perPage;
    private final FriendRest restService;

    public GetBothFollowingRequest(int i, FriendRest friendRest, FriendAPI friendAPI) {
        this.athleteID = i;
        this.restService = friendRest;
        this.api = friendAPI;
    }

    public GetBothFollowingRequest inPage(int i) {
        this.page = Integer.valueOf(i);
        return this;
    }

    public GetBothFollowingRequest perPage(int i) {
        this.perPage = Integer.valueOf(i);
        return this;
    }

    public List<Athlete> execute() {
        return (List) this.api.execute(this.restService.getBothFollowing(Integer.valueOf(this.athleteID), this.page, this.perPage));
    }
}
