package com.sweetzpot.stravazpot.athlete.request;

import com.sweetzpot.stravazpot.athlete.api.FriendAPI;
import com.sweetzpot.stravazpot.athlete.model.Athlete;
import com.sweetzpot.stravazpot.athlete.rest.FriendRest;
import java.util.List;

/* loaded from: classes2.dex */
public class GetMyFollowersRequest {
    private final FriendAPI api;
    private Integer page;
    private Integer perPage;
    private final FriendRest restService;

    public GetMyFollowersRequest(FriendRest friendRest, FriendAPI friendAPI) {
        this.restService = friendRest;
        this.api = friendAPI;
    }

    public GetMyFollowersRequest inPage(int i) {
        this.page = Integer.valueOf(i);
        return this;
    }

    public GetMyFollowersRequest perPage(int i) {
        this.perPage = Integer.valueOf(i);
        return this;
    }

    public List<Athlete> execute() {
        return (List) this.api.execute(this.restService.getMyFollowers(this.page, this.perPage));
    }
}
