package com.sweetzpot.stravazpot.athlete.request;

import com.sweetzpot.stravazpot.athlete.api.AthleteAPI;
import com.sweetzpot.stravazpot.athlete.model.Athlete;
import com.sweetzpot.stravazpot.athlete.rest.AthleteRest;
import com.sweetzpot.stravazpot.common.model.Gender;

/* loaded from: classes2.dex */
public class UpdateAthleteRequest {
    private final AthleteAPI api;
    private String city;
    private String country;
    private final AthleteRest restService;
    private Gender sex;
    private String state;
    private Float weight;

    public UpdateAthleteRequest(AthleteRest athleteRest, AthleteAPI athleteAPI) {
        this.restService = athleteRest;
        this.api = athleteAPI;
    }

    public UpdateAthleteRequest newCity(String str) {
        this.city = str;
        return this;
    }

    public UpdateAthleteRequest newState(String str) {
        this.state = str;
        return this;
    }

    public UpdateAthleteRequest newCountry(String str) {
        this.country = str;
        return this;
    }

    public UpdateAthleteRequest newSex(Gender gender) {
        this.sex = gender;
        return this;
    }

    public UpdateAthleteRequest newWeight(Float f) {
        this.weight = f;
        return this;
    }

    public Athlete execute() {
        return (Athlete) this.api.execute(this.restService.updateAthlete(this.city, this.state, this.country, this.sex, this.weight));
    }
}
