package com.sweetzpot.stravazpot.club.request;

import com.sweetzpot.stravazpot.activity.model.Activity;
import com.sweetzpot.stravazpot.club.api.ClubAPI;
import com.sweetzpot.stravazpot.club.rest.ClubRest;
import java.util.List;

/* loaded from: classes2.dex */
public class ListClubActivitiesRequest {
    private final ClubAPI api;
    private Integer before;
    private final int clubID;
    private Integer page;
    private Integer perPage;
    private final ClubRest restService;

    public ListClubActivitiesRequest(int i, ClubRest clubRest, ClubAPI clubAPI) {
        this.clubID = i;
        this.restService = clubRest;
        this.api = clubAPI;
    }

    public ListClubActivitiesRequest before(int i) {
        this.before = Integer.valueOf(i);
        return this;
    }

    public ListClubActivitiesRequest inPage(int i) {
        this.page = Integer.valueOf(i);
        return this;
    }

    public ListClubActivitiesRequest perPage(int i) {
        this.perPage = Integer.valueOf(i);
        return this;
    }

    public List<Activity> execute() {
        return (List) this.api.execute(this.restService.getClubActivities(Integer.valueOf(this.clubID), this.before, this.page, this.perPage));
    }
}
