package com.sweetzpot.stravazpot.club.request;

import com.sweetzpot.stravazpot.athlete.model.Athlete;
import com.sweetzpot.stravazpot.club.api.ClubAPI;
import com.sweetzpot.stravazpot.club.rest.ClubRest;
import java.util.List;

/* loaded from: classes2.dex */
public class ListClubMembersRequest {
    private final ClubAPI api;
    private final int clubID;
    private Integer page;
    private Integer perPage;
    private final ClubRest restService;

    public ListClubMembersRequest(int i, ClubRest clubRest, ClubAPI clubAPI) {
        this.clubID = i;
        this.restService = clubRest;
        this.api = clubAPI;
    }

    public ListClubMembersRequest inPage(int i) {
        this.page = Integer.valueOf(i);
        return this;
    }

    public ListClubMembersRequest perPage(int i) {
        this.perPage = Integer.valueOf(i);
        return this;
    }

    public List<Athlete> execute() {
        return (List) this.api.execute(this.restService.getClubMembers(Integer.valueOf(this.clubID), this.page, this.perPage));
    }
}
