package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.activity.model.AchievementType;
import java.io.IOException;

/* loaded from: classes2.dex */
public class AchievementTypeTypeAdapter extends TypeAdapter<AchievementType> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, AchievementType achievementType) throws IOException {
        jsonWriter.value(achievementType.getRawValue());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public AchievementType read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            int nextInt = jsonReader.nextInt();
            for (AchievementType achievementType : AchievementType.values()) {
                if (achievementType.getRawValue() == nextInt) {
                    return achievementType;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
