package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.activity.model.ActivityType;
import java.io.IOException;

/* loaded from: classes2.dex */
public class ActivityTypeTypeAdapter extends TypeAdapter<ActivityType> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, ActivityType activityType) throws IOException {
        jsonWriter.value(activityType.toString());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public ActivityType read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            String nextString = jsonReader.nextString();
            for (ActivityType activityType : ActivityType.values()) {
                if (activityType.toString().equalsIgnoreCase(nextString)) {
                    return activityType;
                }
            }
        } else {
            jsonReader.nextNull();
        }
        return ActivityType.RIDE;
    }
}
