package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.athlete.model.AthleteType;
import java.io.IOException;

/* loaded from: classes2.dex */
public class AthleteTypeTypeAdapter extends TypeAdapter<AthleteType> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, AthleteType athleteType) throws IOException {
        jsonWriter.value(athleteType.getRawValue());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public AthleteType read(JsonReader jsonReader) throws IOException {
        if (jsonReader.peek().equals(JsonToken.NULL)) {
            return null;
        }
        int nextInt = jsonReader.nextInt();
        for (AthleteType athleteType : AthleteType.values()) {
            if (athleteType.getRawValue() == nextInt) {
                return athleteType;
            }
        }
        return null;
    }
}
