package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.common.model.Coordinates;
import java.io.IOException;

/* loaded from: classes2.dex */
public class CoordinatesTypeAdapter extends TypeAdapter<Coordinates> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, Coordinates coordinates) throws IOException {
        jsonWriter.beginArray();
        jsonWriter.value(coordinates.getLatitude());
        jsonWriter.value(coordinates.getLongitude());
        jsonWriter.endArray();
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public Coordinates read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            jsonReader.beginArray();
            float nextDouble = (float) jsonReader.nextDouble();
            float nextDouble2 = (float) jsonReader.nextDouble();
            jsonReader.endArray();
            return Coordinates.at(nextDouble, nextDouble2);
        }
        jsonReader.nextNull();
        return null;
    }
}
