package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.gear.model.FrameType;
import java.io.IOException;

/* loaded from: classes2.dex */
public class FrameTypeTypeAdapter extends TypeAdapter<FrameType> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, FrameType frameType) throws IOException {
        jsonWriter.value(frameType.getRawValue());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public FrameType read(JsonReader jsonReader) throws IOException {
        if (jsonReader.peek().equals(JsonToken.NULL)) {
            return null;
        }
        int nextInt = jsonReader.nextInt();
        for (FrameType frameType : FrameType.values()) {
            if (frameType.getRawValue() == nextInt) {
                return frameType;
            }
        }
        return null;
    }
}
