package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.athlete.model.FriendStatus;
import java.io.IOException;

/* loaded from: classes2.dex */
public class FriendStatusTypeAdapter extends TypeAdapter<FriendStatus> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, FriendStatus friendStatus) throws IOException {
        if (friendStatus == FriendStatus.NOT_FRIENDS) {
            jsonWriter.nullValue();
        } else {
            jsonWriter.value(friendStatus.toString());
        }
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public FriendStatus read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            String nextString = jsonReader.nextString();
            for (FriendStatus friendStatus : FriendStatus.values()) {
                if (friendStatus.toString().equalsIgnoreCase(nextString)) {
                    return friendStatus;
                }
            }
        } else {
            jsonReader.nextNull();
        }
        return FriendStatus.NOT_FRIENDS;
    }
}
