package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.common.model.Gender;
import java.io.IOException;

/* loaded from: classes2.dex */
public class GenderTypeAdapter extends TypeAdapter<Gender> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, Gender gender) throws IOException {
        if (gender == Gender.NOT_DEFINED) {
            jsonWriter.nullValue();
        } else {
            jsonWriter.value(gender.toString());
        }
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public Gender read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            String nextString = jsonReader.nextString();
            for (Gender gender : Gender.values()) {
                if (gender.toString().equalsIgnoreCase(nextString)) {
                    return gender;
                }
            }
        } else {
            jsonReader.nextNull();
        }
        return Gender.NOT_DEFINED;
    }
}
