package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.athlete.model.MeasurementPreference;
import java.io.IOException;

/* loaded from: classes2.dex */
public class MeasurementPreferenceTypeAdapter extends TypeAdapter<MeasurementPreference> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, MeasurementPreference measurementPreference) throws IOException {
        jsonWriter.value(measurementPreference.toString());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public MeasurementPreference read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            String nextString = jsonReader.nextString();
            for (MeasurementPreference measurementPreference : MeasurementPreference.values()) {
                if (measurementPreference.toString().equalsIgnoreCase(nextString)) {
                    return measurementPreference;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
