package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.club.model.Membership;
import java.io.IOException;

/* loaded from: classes2.dex */
public class MembershipTypeAdapter extends TypeAdapter<Membership> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, Membership membership) throws IOException {
        if (membership == Membership.NOT_MEMBER) {
            jsonWriter.nullValue();
        } else {
            jsonWriter.value(membership.toString());
        }
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public Membership read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            String nextString = jsonReader.nextString();
            for (Membership membership : Membership.values()) {
                if (membership.toString().equalsIgnoreCase(nextString)) {
                    return membership;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
