package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.activity.model.PhotoSource;
import java.io.IOException;

/* loaded from: classes2.dex */
public class PhotoSourceTypeAdapter extends TypeAdapter<PhotoSource> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, PhotoSource photoSource) throws IOException {
        jsonWriter.value(photoSource.getRawValue());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public PhotoSource read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            int nextInt = jsonReader.nextInt();
            for (PhotoSource photoSource : PhotoSource.values()) {
                if (photoSource.getRawValue() == nextInt) {
                    return photoSource;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
