package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.stream.model.Resolution;
import java.io.IOException;

/* loaded from: classes2.dex */
public class ResolutionTypeAdapter extends TypeAdapter<Resolution> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, Resolution resolution) throws IOException {
        jsonWriter.value(resolution.toString());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public Resolution read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            String nextString = jsonReader.nextString();
            for (Resolution resolution : Resolution.values()) {
                if (resolution.toString().equalsIgnoreCase(nextString)) {
                    return resolution;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
