package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.common.model.ResourceState;
import java.io.IOException;

/* loaded from: classes2.dex */
public class ResourceStateTypeAdapter extends TypeAdapter<ResourceState> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, ResourceState resourceState) throws IOException {
        jsonWriter.value(resourceState.getRawValue());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public ResourceState read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            int nextInt = jsonReader.nextInt();
            for (ResourceState resourceState : ResourceState.values()) {
                if (resourceState.getRawValue() == nextInt) {
                    return resourceState;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
