package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.route.model.RouteType;
import java.io.IOException;

/* loaded from: classes2.dex */
public class RouteTypeTypeAdapter extends TypeAdapter<RouteType> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, RouteType routeType) throws IOException {
        jsonWriter.value(routeType.getRawValue());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public RouteType read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            int nextInt = jsonReader.nextInt();
            for (RouteType routeType : RouteType.values()) {
                if (routeType.getRawValue() == nextInt) {
                    return routeType;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
