package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.stream.model.SeriesType;
import java.io.IOException;

/* loaded from: classes2.dex */
public class SeriesTypeTypeAdapter extends TypeAdapter<SeriesType> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, SeriesType seriesType) throws IOException {
        jsonWriter.value(seriesType.toString());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public SeriesType read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            String nextString = jsonReader.nextString();
            for (SeriesType seriesType : SeriesType.values()) {
                if (seriesType.toString().equalsIgnoreCase(nextString)) {
                    return seriesType;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
