package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.common.model.Temperature;
import java.io.IOException;

/* loaded from: classes2.dex */
public class TemperatureTypeAdapter extends TypeAdapter<Temperature> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, Temperature temperature) throws IOException {
        jsonWriter.value(temperature.getCelsiusDegrees());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public Temperature read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            return Temperature.celsiusDegrees((float) jsonReader.nextDouble());
        }
        jsonReader.nextNull();
        return null;
    }
}
