package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.club.model.Terrain;
import java.io.IOException;

/* loaded from: classes2.dex */
public class TerrainTypeAdapter extends TypeAdapter<Terrain> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, Terrain terrain) throws IOException {
        jsonWriter.value(terrain.getRawValue());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public Terrain read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            int nextInt = jsonReader.nextInt();
            for (Terrain terrain : Terrain.values()) {
                if (terrain.getRawValue() == nextInt) {
                    return terrain;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
