package com.sweetzpot.stravazpot.common.typeadapter;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;
import com.sweetzpot.stravazpot.activity.model.WorkoutType;
import java.io.IOException;

/* loaded from: classes2.dex */
public class WorkoutTypeTypeAdapter extends TypeAdapter<WorkoutType> {
    @Override // com.google.gson.TypeAdapter
    public void write(JsonWriter jsonWriter, WorkoutType workoutType) throws IOException {
        jsonWriter.value(workoutType.getRawValue());
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // com.google.gson.TypeAdapter
    public WorkoutType read(JsonReader jsonReader) throws IOException {
        if (!jsonReader.peek().equals(JsonToken.NULL)) {
            int nextInt = jsonReader.nextInt();
            for (WorkoutType workoutType : WorkoutType.values()) {
                if (workoutType.getRawValue() == nextInt) {
                    return workoutType;
                }
            }
            return null;
        }
        jsonReader.nextNull();
        return null;
    }
}
