package com.sweetzpot.stravazpot.segment.request;

import com.sweetzpot.stravazpot.segment.api.SegmentAPI;
import com.sweetzpot.stravazpot.segment.model.Segment;
import com.sweetzpot.stravazpot.segment.rest.SegmentRest;
import java.util.List;

/* loaded from: classes2.dex */
public class ListAthleteStarredSegmentsRequest {
    private final SegmentAPI api;
    private final int athleteID;
    private Integer page;
    private Integer perPage;
    private final SegmentRest restService;

    public ListAthleteStarredSegmentsRequest(int i, SegmentRest segmentRest, SegmentAPI segmentAPI) {
        this.athleteID = i;
        this.restService = segmentRest;
        this.api = segmentAPI;
    }

    public ListAthleteStarredSegmentsRequest inPage(int i) {
        this.page = Integer.valueOf(i);
        return this;
    }

    public ListAthleteStarredSegmentsRequest perPage(int i) {
        this.perPage = Integer.valueOf(i);
        return this;
    }

    public List<Segment> execute() {
        return (List) this.api.execute(this.restService.getAthleteStarredSegments(Integer.valueOf(this.athleteID), this.page, this.perPage));
    }
}
